"""
<description not available>
"""

# this file was auto-generated!

from openminds.base import IRI

from openminds.base import LinkedMetadata
from openminds.properties import Property


class ParcellationEntityVersion(LinkedMetadata):
    """
    <description not available>
    """

    type_ = "https://openminds.ebrains.eu/sands/ParcellationEntityVersion"
    context = {"@vocab": "https://openminds.ebrains.eu/vocab/"}
    schema_version = "v3.0"

    properties = [
        Property(
            "abbreviation",
            str,
            "abbreviation",
            formatting="text/plain",
            description="no description available",
            instructions="Enter the official abbreviation of this parcellation entity version.",
        ),
        Property(
            "additional_remarks",
            str,
            "additionalRemarks",
            formatting="text/markdown",
            multiline=True,
            description="Mention of what deserves additional attention or notice.",
            instructions="Enter any additional remarks concerning this parcellation entity version.",
        ),
        Property(
            "alternate_names",
            str,
            "alternateName",
            multiple=True,
            unique_items=True,
            min_items=1,
            formatting="text/plain",
            description="no description available",
            instructions="Enter any alternate names, including any alternative abbreviations, for this parcellation entity version.",
        ),
        Property(
            "corrected_name",
            str,
            "correctedName",
            formatting="text/plain",
            description="no description available",
            instructions="Enter the refined or corrected name of this parcellation entity version.",
        ),
        Property(
            "has_annotations",
            "openminds.v3.sands.AtlasAnnotation",
            "hasAnnotation",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="no description available",
            instructions="Add all atlas annotations which define this parcellation entity version.",
        ),
        Property(
            "has_parents",
            ["openminds.v3.sands.ParcellationEntity", "openminds.v3.sands.ParcellationEntityVersion"],
            "hasParent",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="Reference to a parent object or legal person.",
            instructions="Add all anatomical parent structures (or version of the structures) for this parcellation entity as defined within corresponding brain atlas version.",
        ),
        Property(
            "lookup_label",
            str,
            "lookupLabel",
            formatting="text/plain",
            description="no description available",
            instructions="Enter a lookup label for this parcellation entity version that may help you to find this instance more easily.",
        ),
        Property(
            "name",
            str,
            "name",
            formatting="text/plain",
            required=True,
            description="Word or phrase that constitutes the distinctive designation of the parcellation entity version.",
            instructions="Enter the name of this parcellation entity version.",
        ),
        Property(
            "ontology_identifiers",
            str,
            "ontologyIdentifier",
            multiple=True,
            unique_items=True,
            min_items=1,
            formatting="text/plain",
            description="Term or code used to identify the parcellation entity version registered within a particular ontology.",
            instructions="Enter the internationalized resource identifiers (IRIs) to the related ontological terms matching this parcellation entity version.",
        ),
        Property(
            "relation_assessments",
            ["openminds.v3.sands.QualitativeRelationAssessment", "openminds.v3.sands.QuantitativeRelationAssessment"],
            "relationAssessment",
            multiple=True,
            unique_items=True,
            min_items=1,
            description="no description available",
            instructions="Add all relations (qualitative or quantitative) of this parcellation entity version to other anatomical entities.",
        ),
        Property(
            "version_identifier",
            str,
            "versionIdentifier",
            formatting="text/plain",
            required=True,
            description="Term or code used to identify the version of something.",
            instructions="Enter the version identifier of this parcellation entity version.",
        ),
        Property(
            "version_innovation",
            str,
            "versionInnovation",
            formatting="text/markdown",
            multiline=True,
            description="Documentation on what changed in comparison to a previously published form of something.",
            instructions="Enter a short description (or summary) of the novelties/peculiarities of this parcellation entity version in comparison to its preceding versions. If this parcellation entity version is the first version, leave blank.",
        ),
    ]

    def __init__(
        self,
        id=None,
        abbreviation=None,
        additional_remarks=None,
        alternate_names=None,
        corrected_name=None,
        has_annotations=None,
        has_parents=None,
        lookup_label=None,
        name=None,
        ontology_identifiers=None,
        relation_assessments=None,
        version_identifier=None,
        version_innovation=None,
    ):
        return super().__init__(
            id=id,
            abbreviation=abbreviation,
            additional_remarks=additional_remarks,
            alternate_names=alternate_names,
            corrected_name=corrected_name,
            has_annotations=has_annotations,
            has_parents=has_parents,
            lookup_label=lookup_label,
            name=name,
            ontology_identifiers=ontology_identifiers,
            relation_assessments=relation_assessments,
            version_identifier=version_identifier,
            version_innovation=version_innovation,
        )

    @classmethod
    def instances(cls):
        return [value for value in cls.__dict__.values() if isinstance(value, cls)]

    @classmethod
    def by_name(cls, name):
        if cls._instance_lookup is None:
            cls._instance_lookup = {}
            for instance in cls.instances():
                cls._instance_lookup[instance.name] = instance
                if instance.synonyms:
                    for synonym in instance.synonyms:
                        cls._instance_lookup[synonym] = instance
        return cls._instance_lookup[name]


ParcellationEntityVersion.aal1_spm12_v4_acin = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_ACIN",
    abbreviation="ACIN",
    alternate_names=["CIA", "Cingulum_Ant"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_ACIN",
    name="anterior cingulate and paracingulate gyri",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_ag = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_AG",
    abbreviation="AG",
    alternate_names=["GA", "Angular"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6221",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6222",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    lookup_label="AAL1_SPM12-v4_AG",
    name="angular gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_amyg = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_AMYG",
    abbreviation="AMYG",
    alternate_names=["AMYGD", "Amygdala"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4201",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4202",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    lookup_label="AAL1_SPM12-v4_AMYG",
    name="amygdala",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_cau = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_CAU",
    abbreviation="CAU",
    alternate_names=["NC", "Caudate"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    lookup_label="AAL1_SPM12-v4_CAU",
    name="caudate nucleus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1",
    abbreviation="F1",
    alternate_names=["F1", "Frontal_Sup"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F1",
    name="superior frontal gyrus, dorsolateral",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f1_m = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1M",
    abbreviation="F1M",
    alternate_names=["FM", "Frontal_Sup_Medial"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2601",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2602",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F1M",
    name="superior frontal gyrus, medial",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f1_mo = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1MO",
    abbreviation="F1MO",
    alternate_names=["FMO", "Frontal_Med_Orb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2611",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2612",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F1MO",
    name="superior frontal gyrus, medial orbital",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f1_o = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F1O",
    abbreviation="F1O",
    alternate_names=["F1O", "Frontal_Sup_Orb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2111",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2112",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F1O",
    name="superior frontal gyrus, orbital part",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F2",
    abbreviation="F2",
    alternate_names=["F2", "Frontal_Mid"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2201",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2202",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F2",
    name="middle frontal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f2_o = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F2O",
    abbreviation="F2O",
    alternate_names=["F2O", "Frontal_Mid_Orb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2211",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2212",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F2O",
    name="middle frontal gyrus, orbital part",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f3_o = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3O",
    abbreviation="F3O",
    alternate_names=["F3O", "Frontal_Inf_Orb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2321",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2322",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F3O",
    name="inferior frontal gyrus, orbital part",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f3_op = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3OP",
    abbreviation="F3OP",
    alternate_names=["F3OP", "Frontal_Inf_Oper"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2301",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2302",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F3OP",
    name="inferior frontal gyrus, opercular part",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_f3_t = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_F3T",
    abbreviation="F3T",
    alternate_names=["F3T", "Frontal_Inf_Tri"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2311",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2312",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_F3T",
    name="inferior frontal gyrus, triangular part",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_fusi = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_FUSI",
    abbreviation="FUSI",
    alternate_names=["FUSI", "Fusiform"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5401",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5402",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_FUSI",
    name="fusiform gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_gr = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_GR",
    abbreviation="GR",
    alternate_names=["GR", "Rectus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2701",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2702",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_GR",
    name="gyrus rectus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_hes = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_HES",
    abbreviation="HES",
    alternate_names=["HESCHL", "Heschl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    lookup_label="AAL1_SPM12-v4_HES",
    name="Heschl gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_hip = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_HIP",
    abbreviation="HIP",
    alternate_names=["HIPPO", "Hippocampus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_HIP",
    name="hippocampus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_in = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_IN",
    abbreviation="IN",
    alternate_names=["IN", "Insula"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "3001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "3002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_brain"}],
    lookup_label="AAL1_SPM12-v4_IN",
    name="insula",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_ling = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_LING",
    abbreviation="LING",
    alternate_names=["LING", "Lingual"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5021",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5022",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_LING",
    name="lingual gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_mcin = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_MCIN",
    abbreviation="MCIN",
    alternate_names=["CINM", "Cingulum_Mid"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4011",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4012",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_MCIN",
    name="median cingulate and paracingulate gyri",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_o1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_O1",
    abbreviation="O1",
    alternate_names=["O1", "Occipital_Sup"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_O1",
    name="superior occipital gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_o2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_O2",
    abbreviation="O2",
    alternate_names=["O2", "Occipital_Mid"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5201",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5202",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_O2",
    name="middle occipital gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_o3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_O3",
    abbreviation="O3",
    alternate_names=["O3", "Occipital_Inf"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5301",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5302",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_O3",
    name="inferior occipital gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_oc = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_OC",
    abbreviation="OC",
    alternate_names=["COB", "Olfactory"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2501",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2502",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_OC",
    name="olfactory cortex",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_p1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_P1",
    abbreviation="P1",
    alternate_names=["P1", "Parietal_Sup"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    lookup_label="AAL1_SPM12-v4_P1",
    name="superior parietal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_p2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_P2",
    abbreviation="P2",
    alternate_names=["P2", "Parietal_Inf"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6201",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6202",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    lookup_label="AAL1_SPM12-v4_P2",
    name="inferior parietal, but supramarginal and angular gyri",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_pal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PAL",
    abbreviation="PAL",
    alternate_names=["PALL", "Pallidum"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7021",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7022",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    lookup_label="AAL1_SPM12-v4_PAL",
    name="lenticular nucleus, pallidum",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_pcin = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PCIN",
    abbreviation="PCIN",
    alternate_names=["CIP", "Cingulum_Post"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4021",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4022",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_PCIN",
    name="posterior cingulate gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_pcl = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PCL",
    abbreviation="PCL",
    alternate_names=["LPC", "Paracentralobule"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6401",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6402",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_PCL",
    name="paracentral lobule",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_phip = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PHIP",
    abbreviation="PHIP",
    alternate_names=["PARA_HIPPO", "ParaHippocampal"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4111",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "4112",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_PHIP",
    name="parahippocampal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_post = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_POST",
    abbreviation="POST",
    alternate_names=["PA", "Postcentral"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_centralRegion"}],
    lookup_label="AAL1_SPM12-v4_POST",
    name="postcentral gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_pq = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PQ",
    abbreviation="PQ",
    alternate_names=["PQ", "Precuneus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6301",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6302",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    lookup_label="AAL1_SPM12-v4_PQ",
    name="precuneus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_pre = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PRE",
    abbreviation="PRE",
    alternate_names=["FA", "Precentral"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_centralRegion"}],
    lookup_label="AAL1_SPM12-v4_PRE",
    name="precentral gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_put = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_PUT",
    abbreviation="PUT",
    alternate_names=["NL", "Putamen"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7011",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7012",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    lookup_label="AAL1_SPM12-v4_PUT",
    name="lenticular nucleus, putamen",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_q = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_Q",
    abbreviation="Q",
    alternate_names=["Q", "Cuneus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5011",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5012",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_Q",
    name="cuneus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_ro = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_RO",
    abbreviation="RO",
    alternate_names=["OR", "Rolandic_Oper"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2331",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2332",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_centralRegion"}],
    lookup_label="AAL1_SPM12-v4_RO",
    name="rolandic operculum",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_sma = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_SMA",
    abbreviation="SMA",
    alternate_names=["SMA", "Supp_Motor_Area"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2401",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "2402",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_frontalLobe"}],
    lookup_label="AAL1_SPM12-v4_SMA",
    name="supplementary motor area",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_smg = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_SMG",
    abbreviation="SMG",
    alternate_names=["GSM", "SupraMarginal"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6211",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "6212",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_parietalLobe"}],
    lookup_label="AAL1_SPM12-v4_SMG",
    name="supramarginal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_t1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T1",
    abbreviation="T1",
    alternate_names=["T1", "Temporal_Sup"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8111",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8112",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    lookup_label="AAL1_SPM12-v4_T1",
    name="superior temporal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_t1_p = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T1P",
    abbreviation="T1P",
    alternate_names=["T1A", "Temporal_Pole_Sup"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8121",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8122",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_T1P",
    name="temporal pole: superior temporal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_t2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T2",
    abbreviation="T2",
    alternate_names=["T2", "Temporal_Mid"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8201",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8202",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    lookup_label="AAL1_SPM12-v4_T2",
    name="middle temporal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_t2_p = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T2P",
    abbreviation="T2P",
    alternate_names=["T2A", "Temporal_Pole_Mid"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8211",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8212",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_limbicLobe"}],
    lookup_label="AAL1_SPM12-v4_T2P",
    name="temporal pole: middle temporal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_t3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_T3",
    abbreviation="T3",
    alternate_names=["T3", "Temporal_Inf"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8301",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "8302",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_temporalLobe"}],
    lookup_label="AAL1_SPM12-v4_T3",
    name="inferior temporal gyrus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_tha = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_THA",
    abbreviation="THA",
    alternate_names=["THA", "Thalamus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7101",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "7102",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_subcorticalGrayNuclei"}],
    lookup_label="AAL1_SPM12-v4_THA",
    name="thalamus",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.aal1_spm12_v4_v1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AAL1_SPM12-v4_V1",
    abbreviation="V1",
    alternate_names=["V1", "Calcarine"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5001",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": "5002",
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/AAL1_occipitalLobe"}],
    lookup_label="AAL1_SPM12-v4_V1",
    name="calcarine fissure and surrounding cortex",
    version_identifier="SPM12, v4",
)
ParcellationEntityVersion.amba_cc_fv3_2015_abducens_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_abducensNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "710",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_abducensNerve",
    name="abducens nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_abducensNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "653",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_abducensNucleus",
    name="abducens nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryAbducensNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "568",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryAbducensNucleus",
    name="accessory abducens nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_facial_motor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryFacialMotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "576",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryFacialMotorNucleus",
    name="accessory facial motor nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "151",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOlfactoryBulb",
    name="accessory olfactory bulb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_olfactory_bulb_glomerular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulbGlomerularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "188",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOlfactoryBulbGlomerularLayer",
    name="accessory olfactory bulb, glomerular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_olfactory_bulb_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulbGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "196",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOlfactoryBulbGranularLayer",
    name="accessory olfactory bulb, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_olfactory_bulb_mitral_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryBulbMitralLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "204",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOlfactoryBulbMitralLayer",
    name="accessory olfactory bulb, mitral layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "459",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOlfactoryTract",
    name="accessory olfactory tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "876",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessoryOpticTract",
    name="accessory optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_spinal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessorySpinalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "717",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessorySpinalNerve",
    name="accessory spinal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_accessory_supraoptic_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_accessorySupraopticGroup",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "332",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_accessorySupraopticGroup",
    name="accessory supraoptic group",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "95",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularArea",
    name="agranular insular area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "104",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPart",
    name="agranular insular area, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "996",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer1",
    name="agranular insular area, dorsal part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "328",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer2-3",
    name="agranular insular area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1101",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer5",
    name="agranular insular area, dorsal part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "783",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer6a",
    name="agranular insular area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "831",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaDorsalPartLayer6b",
    name="agranular insular area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "111",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPart",
    name="agranular insular area, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer1",
    name="agranular insular area, posterior part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "163",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer2-3",
    name="agranular insular area, posterior part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "344",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer5",
    name="agranular insular area, posterior part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "314",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer6a",
    name="agranular insular area, posterior part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_posterior_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "355",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaPosteriorPartLayer6b",
    name="agranular insular area, posterior part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPart",
    name="agranular insular area, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "704",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer1",
    name="agranular insular area, ventral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "694",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer2-3",
    name="agranular insular area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "800",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer5",
    name="agranular insular area, ventral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "675",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer6a",
    name="agranular insular area, ventral part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_agranular_insular_area_ventral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "699",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_agranularInsularAreaVentralPartLayer6b",
    name="agranular insular area, ventral part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_alveus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_alveus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "466",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_alveus",
    name="alveus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ammons_horn = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ammonsHorn",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "375",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ammonsHorn",
    name="Ammon's horn",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_amygdalar_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_amygdalarCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "884",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_amygdalarCapsule",
    name="amygdalar capsule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_angular_path = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_angularPath",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "474",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_angularPath",
    name="angular path",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ansa_peduncularis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ansaPeduncularis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "892",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ansaPeduncularis",
    name="ansa peduncularis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ansiform_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ansiformLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1017",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ansiformLobule",
    name="ansiform lobule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ansoparamedian_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ansoparamedianFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "43",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ansoparamedianFissure",
    name="ansoparamedian fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_amygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAmygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "23",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAmygdalarArea",
    name="anterior amygdalar area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782546",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorArea",
    name="anterior area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782550",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer1",
    name="anterior area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782554",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer2-3",
    name="anterior area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782558",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer4",
    name="anterior area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782562",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer5",
    name="anterior area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782566",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer6a",
    name="anterior area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782570",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorAreaLayer6b",
    name="anterior area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "31",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateArea",
    name="anterior cingulate area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "39",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPart",
    name="anterior cingulate area, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "935",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer1",
    name="anterior cingulate area, dorsal part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "211",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer2-3",
    name="anterior cingulate area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1015",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer5",
    name="anterior cingulate area, dorsal part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "919",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer6a",
    name="anterior cingulate area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "927",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaDorsalPartLayer6b",
    name="anterior cingulate area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "572",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaLayer1",
    name="anterior cingulate area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1053",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaLayer2-3",
    name="anterior cingulate area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "739",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaLayer5",
    name="anterior cingulate area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "179",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaLayer6a",
    name="anterior cingulate area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "227",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaLayer6b",
    name="anterior cingulate area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "48",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart",
    name="anterior cingulate area, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "810",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart6a",
    name="anterior cingulate area, ventral part, 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "819",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPart6b",
    name="anterior cingulate area, ventral part, 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "588",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer1",
    name="anterior cingulate area, ventral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "296",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer2-3",
    name="anterior cingulate area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_cingulate_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "772",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCingulateAreaVentralPartLayer5",
    name="anterior cingulate area, ventral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_commissure_olfactory_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCommissureOlfactoryLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "900",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCommissureOlfactoryLimb",
    name="anterior commissure, olfactory limb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_commissure_temporal_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorCommissureTemporalLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "908",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorCommissureTemporalLimb",
    name="anterior commissure, temporal limb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "239",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorGroupOfTheDorsalThalamus",
    name="anterior group of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "80",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicArea",
    name="anterior hypothalamic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "88",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicNucleus",
    name="anterior hypothalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "700",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicNucleusAnteriorPart",
    name="anterior hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "708",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicNucleusCentralPart",
    name="anterior hypothalamic nucleus, central part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "716",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicNucleusDorsalPart",
    name="anterior hypothalamic nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorHypothalamicNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "724",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorHypothalamicNucleusPosteriorPart",
    name="anterior hypothalamic nucleus, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "159",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleus",
    name="anterior olfactory nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "167",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusDorsalPart",
    name="anterior olfactory nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_external_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusExternalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "175",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusExternalPart",
    name="anterior olfactory nucleus, external part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "183",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusLateralPart",
    name="anterior olfactory nucleus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "160",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusLayer1",
    name="anterior olfactory nucleus, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "168",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusLayer2",
    name="anterior olfactory nucleus, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "191",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusMedialPart",
    name="anterior olfactory nucleus, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_olfactory_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorOlfactoryNucleusPosteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "199",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorOlfactoryNucleusPosteroventralPart",
    name="anterior olfactory nucleus, posteroventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "215",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorPretectalNucleus",
    name="anterior pretectal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterior_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteriorTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "231",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteriorTegmentalNucleus",
    name="anterior tegmental nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterodorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterodorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "64",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterodorsalNucleus",
    name="anterodorsal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterodorsalPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "72",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterodorsalPreopticNucleus",
    name="anterodorsal preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "402",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualArea",
    name="anterolateral visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1074",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer1",
    name="anterolateral visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "905",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer2-3",
    name="anterolateral visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer4",
    name="anterolateral visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "233",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer5",
    name="anterolateral visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "601",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer6a",
    name="anterolateral visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anterolateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anterolateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "649",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anterolateralVisualAreaLayer6b",
    name="anterolateral visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialNucleus",
    name="anteromedial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1096",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialNucleusDorsalPart",
    name="anteromedial nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1104",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialNucleusVentralPart",
    name="anteromedial nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "394",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualArea",
    name="anteromedial visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "281",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer1",
    name="anteromedial visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1066",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer2-3",
    name="anteromedial visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "401",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer4",
    name="anteromedial visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "433",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer5",
    name="anteromedial visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1046",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer6a",
    name="anteromedial visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteromedial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteromedialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "441",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteromedialVisualAreaLayer6b",
    name="anteromedial visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteroventral_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteroventralNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "255",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteroventralNucleusOfThalamus",
    name="anteroventral nucleus of thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteroventral_periventricular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteroventralPeriventricularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "272",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteroventralPeriventricularNucleus",
    name="anteroventral periventricular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_anteroventral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_anteroventralPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "263",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_anteroventralPreopticNucleus",
    name="anteroventral preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_arbor_vitae = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_arborVitae",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "728",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_arborVitae",
    name="arbor vitae",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_arcuate_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_arcuateHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "223",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_arcuateHypothalamicNucleus",
    name="arcuate hypothalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_area_postrema = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_areaPostrema",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "207",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_areaPostrema",
    name="area postrema",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_area_prostriata = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_areaProstriata",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682508",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#33B932"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_areaProstriata",
    name="area prostriata",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_auditory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_auditoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "247",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_auditoryAreas",
    name="auditory areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_auditory_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_auditoryRadiation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682524",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_auditoryRadiation",
    name="auditory radiation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_barringtons_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_barringtonsNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "280",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_barringtonsNucleus",
    name="Barrington's nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basic_cell_groups_and_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basicCellGroupsAndRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "8",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#BFDAE3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basicCellGroupsAndRegions",
    name="basic cell groups and regions",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basolateral_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "295",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basolateralAmygdalarNucleus",
    name="basolateral amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basolateral_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "303",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basolateralAmygdalarNucleusAnteriorPart",
    name="basolateral amygdalar nucleus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basolateral_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "311",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basolateralAmygdalarNucleusPosteriorPart",
    name="basolateral amygdalar nucleus, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basolateral_amygdalar_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basolateralAmygdalarNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "451",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basolateralAmygdalarNucleusVentralPart",
    name="basolateral amygdalar nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basomedial_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basomedialAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "319",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basomedialAmygdalarNucleus",
    name="basomedial amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basomedial_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basomedialAmygdalarNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "327",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basomedialAmygdalarNucleusAnteriorPart",
    name="basomedial amygdalar nucleus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_basomedial_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_basomedialAmygdalarNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "334",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_basomedialAmygdalarNucleusPosteriorPart",
    name="basomedial amygdalar nucleus, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "351",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalis",
    name="bed nuclei of the stria terminalis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "359",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivision",
    name="bed nuclei of the stria terminalis, anterior division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_anterolateral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnterolateralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "537",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnterolateralArea",
    name="bed nuclei of the stria terminalis, anterior division, anterolateral area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_anteromedial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnteromedialArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "498",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnteromedialArea",
    name="bed nuclei of the stria terminalis, anterior division, anteromedial area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_dorsomedial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "505",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    name="bed nuclei of the stria terminalis, anterior division, dorsomedial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_fusiform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionFusiformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "513",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionFusiformNucleus",
    name="bed nuclei of the stria terminalis, anterior division, fusiform nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_juxtacapsular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "546",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    name="bed nuclei of the stria terminalis, anterior division, juxtacapsular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_magnocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "521",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    name="bed nuclei of the stria terminalis, anterior division, magnocellular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_oval_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionOvalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "554",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionOvalNucleus",
    name="bed nuclei of the stria terminalis, anterior division, oval nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_rhomboid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionRhomboidNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "562",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionRhomboidNucleus",
    name="bed nuclei of the stria terminalis, anterior division, rhomboid nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_anterior_division_ventral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionVentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "529",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisAnteriorDivisionVentralNucleus",
    name="bed nuclei of the stria terminalis, anterior division, ventral nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "367",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivision",
    name="bed nuclei of the stria terminalis, posterior division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionDorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "569",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionDorsalNucleus",
    name="bed nuclei of the stria terminalis, posterior division, dorsal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division_interfascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "585",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    name="bed nuclei of the stria terminalis, posterior division, interfascicular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division_principal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionPrincipalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "578",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionPrincipalNucleus",
    name="bed nuclei of the stria terminalis, posterior division, principal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division_strial_extension = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionStrialExtension",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "602",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionStrialExtension",
    name="bed nuclei of the stria terminalis, posterior division, strial extension",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nuclei_of_the_stria_terminalis_posterior_division_transverse_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionTransverseNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "594",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleiOfTheStriaTerminalisPosteriorDivisionTransverseNucleus",
    name="bed nuclei of the stria terminalis, posterior division, transverse nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nucleus_of_the_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleusOfTheAccessoryOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "292",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleusOfTheAccessoryOlfactoryTract",
    name="bed nucleus of the accessory olfactory tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bed_nucleus_of_the_anterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bedNucleusOfTheAnteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "287",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bedNucleusOfTheAnteriorCommissure",
    name="bed nucleus of the anterior commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_brachiumOfTheInferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "482",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_brachiumOfTheInferiorColliculus",
    name="brachium of the inferior colliculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_brachiumOfTheSuperiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "916",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_brain_stem = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_brainStem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "343",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_brainStem",
    name="brain stem",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_bulbocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_bulbocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "490",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_bulbocerebellarTract",
    name="bulbocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_caudoputamen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_caudoputamen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_caudoputamen",
    name="caudoputamen",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "536",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralAmygdalarNucleus",
    name="central amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_amygdalar_nucleus_capsular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleusCapsularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "544",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralAmygdalarNucleusCapsularPart",
    name="central amygdalar nucleus, capsular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_amygdalar_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "551",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralAmygdalarNucleusLateralPart",
    name="central amygdalar nucleus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_amygdalar_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralAmygdalarNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "559",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralAmygdalarNucleusMedialPart",
    name="central amygdalar nucleus, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_canal_spinal_cordmedulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralCanalSpinalCordmedulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "164",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralCanalSpinalCordmedulla",
    name="central canal, spinal cord/medulla",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_lateral_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralLateralNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "575",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralLateralNucleusOfTheThalamus",
    name="central lateral nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_linear_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralLinearNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "591",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralLinearNucleusRaphe",
    name="central linear nucleus raphe",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "920",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralLobule",
    name="central lobule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_medial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralMedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "599",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralMedialNucleusOfTheThalamus",
    name="central medial nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_central_tegmental_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_centralTegmentalBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "736",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_centralTegmentalBundle",
    name="central tegmental bundle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebal_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebalPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "924",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebalPeduncle",
    name="cerebal peduncle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "744",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarCommissure",
    name="cerebellar commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "528",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarCortex",
    name="cerebellar cortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_cortex_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortexGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarCortexGranularLayer",
    name="cerebellar cortex, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_cortex_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortexMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1144",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarCortexMolecularLayer",
    name="cerebellar cortex, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_cortex_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarCortexPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarCortexPurkinjeLayer",
    name="cerebellar cortex, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "519",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarNuclei",
    name="cerebellar nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellar_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellarPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "752",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellarPeduncles",
    name="cerebellar peduncles",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "512",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellum",
    name="cerebellum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebellum_related_fiber_tracts = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebellumRelatedFiberTracts",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "960",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebellumRelatedFiberTracts",
    name="cerebellum related fiber tracts",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebral_aqueduct = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralAqueduct",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebralAqueduct",
    name="cerebral aqueduct",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "688",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B0FFB8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebralCortex",
    name="cerebral cortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebral_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "623",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebralNuclei",
    name="cerebral nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebral_nuclei_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebralNucleiRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "760",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebralNucleiRelated",
    name="cerebral nuclei related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "567",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B0F0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebrum",
    name="cerebrum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cerebrum_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cerebrumRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "768",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cerebrumRelated",
    name="cerebrum related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cervicothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cervicothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "932",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cervicothalamicTract",
    name="cervicothalamic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_choroid_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_choroidFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "116",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_choroidFissure",
    name="choroid fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_choroid_plexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_choroidPlexus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_choroidPlexus",
    name="choroid plexus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cingulum_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cingulumBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "940",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cingulumBundle",
    name="cingulum bundle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_claustrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_claustrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "583",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_claustrum",
    name="claustrum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "948",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cochlearNerve",
    name="cochlear nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cochlear_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cochlearNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cochlearNuclei",
    name="cochlear nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cochlear_nucleus_subpedunclular_granular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cochlearNucleusSubpedunclularGranularRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cochlearNucleusSubpedunclularGranularRegion",
    name="cochlear nucleus, subpedunclular granular region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_columns_of_the_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_columnsOfTheFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "436",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_columnsOfTheFornix",
    name="columns of the fornix",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_commissural_branch_of_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_commissuralBranchOfStriaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682528",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_commissuralBranchOfStriaTerminalis",
    name="commissural branch of stria terminalis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_copula_pyramidis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1033",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_copulaPyramidis",
    name="copula pyramidis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_copula_pyramidis_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidisGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10684",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_copulaPyramidisGranularLayer",
    name="copula pyramidis, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_copula_pyramidis_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidisMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10686",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_copulaPyramidisMolecularLayer",
    name="copula pyramidis, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_copula_pyramidis_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_copulaPyramidisPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10685",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_copulaPyramidisPurkinjeLayer",
    name="copula pyramidis, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "776",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosum",
    name="corpus callosum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_anterior_forceps = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumAnteriorForceps",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "956",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumAnteriorForceps",
    name="corpus callosum, anterior forceps",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682516",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumBody",
    name="corpus callosum, body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_extreme_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumExtremeCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "964",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumExtremeCapsule",
    name="corpus callosum, extreme capsule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_posterior_forceps = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumPosteriorForceps",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "971",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumPosteriorForceps",
    name="corpus callosum, posterior forceps",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_rostrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumRostrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "979",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumRostrum",
    name="corpus callosum, rostrum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corpus_callosum_splenium = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corpusCallosumSplenium",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "986",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corpusCallosumSplenium",
    name="corpus callosum, splenium",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "631",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarArea",
    name="cortical amygdalar area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "639",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPart",
    name="cortical amygdalar area, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_anterior_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "192",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer1",
    name="cortical amygdalar area, anterior part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_anterior_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "200",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer2",
    name="cortical amygdalar area, anterior part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_anterior_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "208",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaAnteriorPartLayer3",
    name="cortical amygdalar area, anterior part, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "647",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPart",
    name="cortical amygdalar area, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "655",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZone",
    name="cortical amygdalar area, posterior part, lateral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "216",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer1",
    name="cortical amygdalar area, posterior part, lateral zone, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "224",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer2",
    name="cortical amygdalar area, posterior part, lateral zone, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "232",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayer3",
    name="cortical amygdalar area, posterior part, lateral zone, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone_layers12 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayers12",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "584",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayers12",
    name="cortical amygdalar area, posterior part, lateral zone, layers 1-2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_lateral_zone_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "376",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartLateralZoneLayers13",
    name="cortical amygdalar area, posterior part, lateral zone, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "663",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZone",
    name="cortical amygdalar area, posterior part, medial zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "240",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer1",
    name="cortical amygdalar area, posterior part, medial zone, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "248",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer2",
    name="cortical amygdalar area, posterior part, medial zone, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "256",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayer3",
    name="cortical amygdalar area, posterior part, medial zone, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone_layers12 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayers12",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "592",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayers12",
    name="cortical amygdalar area, posterior part, medial zone, layers 1-2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_amygdalar_area_posterior_part_medial_zone_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "383",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalAmygdalarAreaPosteriorPartMedialZoneLayers13",
    name="cortical amygdalar area, posterior part, medial zone, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_plate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalPlate",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "695",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#70FF70"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalPlate",
    name="cortical plate",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cortical_subplate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticalSubplate",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "703",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticalSubplate",
    name="cortical subplate",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticobulbar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticobulbarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "994",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticobulbarTract",
    name="corticobulbar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticopontine_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticopontineTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1003",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticopontineTract",
    name="corticopontine tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticorubral_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticorubralTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1012",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticorubralTract",
    name="corticorubral tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "784",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticospinalTract",
    name="corticospinal tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticospinal_tract_crossed = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticospinalTractCrossed",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1019",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticospinalTractCrossed",
    name="corticospinal tract, crossed",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticospinal_tract_uncrossed = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticospinalTractUncrossed",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1028",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticospinalTractUncrossed",
    name="corticospinal tract, uncrossed",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_corticotectal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_corticotectalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1036",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_corticotectalTract",
    name="corticotectal tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cranial_nerves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cranialNerves",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "967",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cranialNerves",
    name="cranial nerves",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crossed_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crossedTectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1043",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crossedTectospinalPathway",
    name="crossed tectospinal pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1056",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus1",
    name="crus 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus1_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1GranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10675",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus1GranularLayer",
    name="crus 1, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus1_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1MolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10677",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus1MolecularLayer",
    name="crus 1, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus1_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus1PurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10676",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus1PurkinjeLayer",
    name="crus 1, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1064",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus2",
    name="crus 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus2_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2GranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10678",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus2GranularLayer",
    name="crus 2, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus2_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2MolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10680",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus2MolecularLayer",
    name="crus 2, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_crus2_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_crus2PurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10679",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_crus2PurkinjeLayer",
    name="crus 2, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_culmen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_culmen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "928",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_culmen",
    name="culmen",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cuneate_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneateFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "380",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cuneateFascicle",
    name="cuneate fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cuneate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cuneateNucleus",
    name="cuneate nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cuneiform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneiformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "616",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cuneiformNucleus",
    name="cuneiform nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_cuneocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_cuneocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "499",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_cuneocerebellarTract",
    name="cuneocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_declive_vi = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVI",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "936",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_decliveVI",
    name="declive (VI)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_declive_vi_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10723",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_decliveVIGranularLayer",
    name="declive (VI), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_declive_vi_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10725",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_decliveVIMolecularLayer",
    name="declive (VI), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_declive_vi_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_decliveVIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10724",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_decliveVIPurkinjeLayer",
    name="declive (VI), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "726",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrus",
    name="dentate gyrus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_crest = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrest",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "734",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusCrest",
    name="dentate gyrus crest",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_crest_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrestGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "758",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusCrestGranuleCellLayer",
    name="dentate gyrus crest, granule cell layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_crest_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrestMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "742",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusCrestMolecularLayer",
    name="dentate gyrus crest, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_crest_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusCrestPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "751",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusCrestPolymorphLayer",
    name="dentate gyrus crest, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "632",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusGranuleCellLayer",
    name="dentate gyrus, granule cell layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_lateral_blade = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBlade",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "766",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusLateralBlade",
    name="dentate gyrus lateral blade",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_lateral_blade_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBladeGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "790",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusLateralBladeGranuleCellLayer",
    name="dentate gyrus lateral blade, granule cell layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_lateral_blade_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBladeMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "775",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusLateralBladeMolecularLayer",
    name="dentate gyrus lateral blade, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_lateral_blade_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusLateralBladePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "782",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusLateralBladePolymorphLayer",
    name="dentate gyrus lateral blade, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_medial_blade = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBlade",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "799",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusMedialBlade",
    name="dentate gyrus medial blade",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_medial_blade_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBladeGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "823",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusMedialBladeGranuleCellLayer",
    name="dentate gyrus medial blade, granule cell layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_medial_blade_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBladeMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "807",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusMedialBladeMolecularLayer",
    name="dentate gyrus medial blade, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_medial_blade_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMedialBladePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "815",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusMedialBladePolymorphLayer",
    name="dentate gyrus medial blade, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10703",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusMolecularLayer",
    name="dentate gyrus, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10704",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusPolymorphLayer",
    name="dentate gyrus, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_gyrus_subgranular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateGyrusSubgranularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10702",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateGyrusSubgranularZone",
    name="dentate gyrus, subgranular zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dentate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dentateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "846",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dentateNucleus",
    name="dentate nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_diagonal_band_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_diagonalBandNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "596",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_diagonalBandNucleus",
    name="diagonal band nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_direct_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_directTectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1051",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_directTectospinalPathway",
    name="direct tectospinal pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dopaminergic_a13_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dopaminergicA13Group",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "796",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dopaminergicA13Group",
    name="dopaminergic A13 group",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_doral_tegmental_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_doralTegmentalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1060",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_doralTegmentalDecussation",
    name="doral tegmental decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_acoustic_stria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAcousticStria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "506",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAcousticStria",
    name="dorsal acoustic stria",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1011",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryArea",
    name="dorsal auditory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "527",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer1",
    name="dorsal auditory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "600",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer2-3",
    name="dorsal auditory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "678",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer4",
    name="dorsal auditory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "252",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer5",
    name="dorsal auditory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "156",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer6a",
    name="dorsal auditory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "243",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalAuditoryAreaLayer6b",
    name="dorsal auditory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalCochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "96",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalCochlearNucleus",
    name="dorsal cochlear nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_column = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalColumn",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "514",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalColumn",
    name="dorsal column",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_column_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalColumnNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "720",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalColumnNuclei",
    name="dorsal column nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_commissure_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalCommissureOfTheSpinalCord",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "522",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalCommissureOfTheSpinalCord",
    name="dorsal commissure of the spinal cord",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "530",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalFornix",
    name="dorsal fornix",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalHippocampalCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "443",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalHippocampalCommissure",
    name="dorsal hippocampal commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "538",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalLimb",
    name="dorsal limb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_longitudinal_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalLongitudinalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "547",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalLongitudinalFascicle",
    name="dorsal longitudinal fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_motor_nucleus_of_the_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalMotorNucleusOfTheVagusNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "839",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalMotorNucleusOfTheVagusNerve",
    name="dorsal motor nucleus of the vagus nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "872",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalNucleusRaphe",
    name="dorsal nucleus raphe",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_part_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "170",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplex",
    name="dorsal part of the lateral geniculate complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_part_of_the_lateral_geniculate_complex_core = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexCore",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345668",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexCore",
    name="dorsal part of the lateral geniculate complex, core",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_part_of_the_lateral_geniculate_complex_ipsilateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexIpsilateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexIpsilateralZone",
    name="dorsal part of the lateral geniculate complex, ipsilateral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_part_of_the_lateral_geniculate_complex_shell = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexShell",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345664",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPartOfTheLateralGeniculateComplexShell",
    name="dorsal part of the lateral geniculate complex, shell",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "814",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularArea",
    name="dorsal peduncular area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularAreaLayer1",
    name="dorsal peduncular area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "535",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularAreaLayer2",
    name="dorsal peduncular area, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "360",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularAreaLayer2-3",
    name="dorsal peduncular area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "646",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularAreaLayer5",
    name="dorsal peduncular area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_peduncular_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPeduncularAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "267",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPeduncularAreaLayer6a",
    name="dorsal peduncular area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_premammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalPremammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "980",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalPremammillaryNucleus",
    name="dorsal premammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_roots = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalRoots",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "792",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalRoots",
    name="dorsal roots",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalSpinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "553",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalSpinocerebellarTract",
    name="dorsal spinocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "880",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalTegmentalNucleus",
    name="dorsal tegmental nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_tegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalTegmentalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "563",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalTegmentalTract",
    name="dorsal tegmental tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "75",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    name="dorsal terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsal_thalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsalThalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1068",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsalThalamusRelated",
    name="dorsal thalamus related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsolateral_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsolateralFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "570",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsolateralFascicle",
    name="dorsolateral fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsomedial_nucleus_of_the_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "830",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamus",
    name="dorsomedial nucleus of the hypothalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsomedial_nucleus_of_the_hypothalamus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "668",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusAnteriorPart",
    name="dorsomedial nucleus of the hypothalamus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsomedial_nucleus_of_the_hypothalamus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "676",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusPosteriorPart",
    name="dorsomedial nucleus of the hypothalamus, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_dorsomedial_nucleus_of_the_hypothalamus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "684",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_dorsomedialNucleusOfTheHypothalamusVentralPart",
    name="dorsomedial nucleus of the hypothalamus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "895",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalArea",
    name="ectorhinal area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "836",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalAreaLayer1",
    name="ectorhinal area/layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "427",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalAreaLayer2-3",
    name="ectorhinal area/layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "988",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalAreaLayer5",
    name="ectorhinal area/layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "977",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalAreaLayer6a",
    name="ectorhinal area/layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ectorhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ectorhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1045",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ectorhinalAreaLayer6b",
    name="ectorhinal area/layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_edinger_westphal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_edingerWestphalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "975",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_edingerWestphalNucleus",
    name="edinger-Westphal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_efferent_cochlear_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_efferentCochlearGroup",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "887",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_efferentCochlearGroup",
    name="efferent cochlear group",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_efferent_cochleovestibular_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_efferentCochleovestibularBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1076",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_efferentCochleovestibularBundle",
    name="efferent cochleovestibular bundle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_efferent_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_efferentVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "640",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_efferentVestibularNucleus",
    name="efferent vestibular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_endopiriform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endopiriformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "942",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_endopiriformNucleus",
    name="endopiriform nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_endopiriform_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endopiriformNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "952",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_endopiriformNucleusDorsalPart",
    name="endopiriform nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_endopiriform_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endopiriformNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "966",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_endopiriformNucleusVentralPart",
    name="endopiriform nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_endorhinal_groove = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_endorhinalGroove",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1055",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_endorhinalGroove",
    name="endorhinal groove",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "909",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalArea",
    name="entorhinal area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "918",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPart",
    name="entorhinal area, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer1",
    name="entorhinal area, lateral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "20",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2",
    name="entorhinal area, lateral part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "999",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2-3",
    name="entorhinal area, lateral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer2a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "715",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2a",
    name="entorhinal area, lateral part, layer 2a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer2b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "764",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer2b",
    name="entorhinal area, lateral part, layer 2b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "52",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer3",
    name="entorhinal area, lateral part, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "92",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer4",
    name="entorhinal area, lateral part, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer4_5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer4-5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer4-5",
    name="entorhinal area, lateral part, layer 4/5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer5",
    name="entorhinal area, lateral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "387",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer5-6",
    name="entorhinal area, lateral part, layer 5/6",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "28",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer6a",
    name="entorhinal area, lateral part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_lateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "60",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaLateralPartLayer6b",
    name="entorhinal area, lateral part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "926",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZone",
    name="entorhinal area, medial part, dorsal zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "526",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer1",
    name="entorhinal area, medial part, dorsal zone, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "543",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2",
    name="entorhinal area, medial part, dorsal zone, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer2a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "468",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2a",
    name="entorhinal area, medial part, dorsal zone, layer 2a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer2b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "508",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer2b",
    name="entorhinal area, medial part, dorsal zone, layer 2b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "664",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer3",
    name="entorhinal area, medial part, dorsal zone, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "712",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer4",
    name="entorhinal area, medial part, dorsal zone, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "727",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer5",
    name="entorhinal area, medial part, dorsal zone, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "550",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer5-6",
    name="entorhinal area, medial part, dorsal zone, layer 5/6",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_dorsal_zone_layer6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "743",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartDorsalZoneLayer6",
    name="entorhinal area, medial part, dorsal zone, layer 6",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "934",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZone",
    name="entorhinal area, medial part, ventral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "259",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer1",
    name="entorhinal area, medial part, ventral zone, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "324",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer2",
    name="entorhinal area, medial part, ventral zone, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "371",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer3",
    name="entorhinal area, medial part, ventral zone, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "419",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer4",
    name="entorhinal area, medial part, ventral zone, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_entorhinal_area_medial_part_ventral_zone_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_entorhinalAreaMedialPartVentralZoneLayer5-6",
    name="entorhinal area, medial part, ventral zone, layer 5/6",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_epithalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_epithalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "958",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_epithalamus",
    name="epithalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_epithalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_epithalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1083",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_epithalamusRelated",
    name="epithalamus related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_external_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_externalCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "579",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_externalCapsule",
    name="external capsule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_external_cuneate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_externalCuneateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "903",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_externalCuneateNucleus",
    name="external cuneate nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_external_medullary_lamina_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_externalMedullaryLaminaOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1092",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_externalMedullaryLaminaOfTheThalamus",
    name="external medullary lamina of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_extrapyramidal_fiber_systems = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_extrapyramidalFiberSystems",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1000",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_extrapyramidalFiberSystems",
    name="extrapyramidal fiber systems",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_facial_motor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_facialMotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "661",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_facialMotorNucleus",
    name="facial motor nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_facialNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "798",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_facialNerve",
    name="facial nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fasciculus_proprius = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fasciculusProprius",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "586",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fasciculusProprius",
    name="fasciculus proprius",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fasciculus_retroflexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fasciculusRetroflexus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "595",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fasciculusRetroflexus",
    name="fasciculus retroflexus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fasciola_cinerea = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fasciolaCinerea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "982",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fasciolaCinerea",
    name="fasciola cinerea",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fastigial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fastigialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "989",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fastigialNucleus",
    name="fastigial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fiber_tracts = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fiberTracts",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1009",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fiberTracts",
    name="fiber tracts",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "382",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA1",
    name="field CA1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca1_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "407",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA1PyramidalLayer",
    name="field CA1, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca1_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "391",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA1StratumLacunosummoleculare",
    name="field CA1, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca1_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "399",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA1StratumOriens",
    name="field CA1, stratum oriens",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca1_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA1StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "415",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA1StratumRadiatum",
    name="field CA1, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "423",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA2",
    name="field CA2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca2_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "446",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA2PyramidalLayer",
    name="field CA2, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca2_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "431",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA2StratumLacunosummoleculare",
    name="field CA2, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca2_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "438",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA2StratumOriens",
    name="field CA2, stratum oriens",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca2_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA2StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "454",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA2StratumRadiatum",
    name="field CA2, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "463",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3",
    name="field CA3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "495",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3PyramidalLayer",
    name="field CA3, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "471",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3StratumLacunosummoleculare",
    name="field CA3, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3_stratum_lucidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumLucidum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "479",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3StratumLucidum",
    name="field CA3, stratum lucidum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "486",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3StratumOriens",
    name="field CA3, stratum oriens",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_field_ca3_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldCA3StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "504",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldCA3StratumRadiatum",
    name="field CA3, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fields_of_forel = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fieldsOfForel",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "804",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fieldsOfForel",
    name="fields of Forel",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fimbria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fimbria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "603",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fimbria",
    name="fimbria",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_flocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1049",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_flocculus",
    name="flocculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_flocculus_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculusGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10690",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_flocculusGranularLayer",
    name="flocculus, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_flocculus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10692",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_flocculusMolecularLayer",
    name="flocculus, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_flocculus_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_flocculusPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10691",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_flocculusPurkinjeLayer",
    name="flocculus, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_foliumtuber_vermis_vii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "944",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_foliumtuberVermisVII",
    name="folium-tuber vermis (VII)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_foliumtuber_vermis_vii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10726",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_foliumtuberVermisVIIGranularLayer",
    name="folium-tuber vermis (VII), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_foliumtuber_vermis_vii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10728",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_foliumtuberVermisVIIMolecularLayer",
    name="folium-tuber vermis (VII), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_foliumtuber_vermis_vii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_foliumtuberVermisVIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10727",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_foliumtuberVermisVIIPurkinjeLayer",
    name="folium-tuber vermis (VII), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fornix_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fornixSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1099",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fornixSystem",
    name="fornix system",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fourth_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fourthVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fourthVentricle",
    name="fourth ventricle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_frontal_pole_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_frontalPoleCerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "184",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_frontalPoleCerebralCortex",
    name="frontal pole, cerebral cortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_frontal_pole_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_frontalPoleLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "68",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_frontalPoleLayer1",
    name="frontal pole, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_frontal_pole_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_frontalPoleLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "667",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_frontalPoleLayer2-3",
    name="frontal pole, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_fundus_of_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_fundusOfStriatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "998",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_fundusOfStriatum",
    name="fundus of striatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_geniculate_group_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_geniculateGroupDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1008",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_geniculateGroupDorsalThalamus",
    name="geniculate group, dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_geniculate_group_ventral_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_geniculateGroupVentralThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1014",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_geniculateGroupVentralThalamus",
    name="geniculate group, ventral thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_genu_of_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_genuOfCorpusCallosum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_genuOfCorpusCallosum",
    name="genu of corpus callosum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_genuOfTheFacialNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1116",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gigantocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1048",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gigantocellularReticularNucleus",
    name="gigantocellular reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_globus_pallidus_external_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_globusPallidusExternalSegment",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1022",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_globusPallidusExternalSegment",
    name="globus pallidus, external segment",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_globus_pallidus_internal_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_globusPallidusInternalSegment",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1031",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_globusPallidusInternalSegment",
    name="globus pallidus, internal segment",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_glossopharyngeal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_glossopharyngealNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "808",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_glossopharyngealNerve",
    name="glossopharyngeal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gracile_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gracileFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "388",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gracileFascicle",
    name="gracile fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gracile_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gracileNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1039",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gracileNucleus",
    name="gracile nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_granular_lamina_of_the_cochlear_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_granularLaminaOfTheCochlearNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_granularLaminaOfTheCochlearNuclei",
    name="granular lamina of the cochlear nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_grooves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_grooves",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1024",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_grooves",
    name="grooves",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_grooves_of_the_cerebellar_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_groovesOfTheCerebellarCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1040",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_groovesOfTheCerebellarCortex",
    name="grooves of the cerebellar cortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_grooves_of_the_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_groovesOfTheCerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1032",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_groovesOfTheCerebralCortex",
    name="grooves of the cerebral cortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1057",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreas",
    name="gustatory areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "36",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer1",
    name="gustatory areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "180",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer2-3",
    name="gustatory areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "148",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer4",
    name="gustatory areas, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "187",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer5",
    name="gustatory areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "638",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer6a",
    name="gustatory areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_gustatory_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_gustatoryAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "662",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_gustatoryAreasLayer6b",
    name="gustatory areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_habenular_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_habenularCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "611",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_habenularCommissure",
    name="habenular commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hemispheric_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hemisphericRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1073",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hemisphericRegions",
    name="hemispheric regions",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hindbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hindbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1065",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9B88"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hindbrain",
    name="hindbrain",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hippocampal_commissures = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalCommissures",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "618",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hippocampalCommissures",
    name="hippocampal commissures",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hippocampal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1063",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hippocampalFissure",
    name="hippocampal fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hippocampal_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalFormation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1089",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hippocampalFormation",
    name="hippocampal formation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hippocampal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hippocampalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1080",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hippocampalRegion",
    name="hippocampal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypoglossal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypoglossalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "813",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypoglossalNerve",
    name="hypoglossal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypoglossal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypoglossalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "773",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypoglossalNucleus",
    name="hypoglossal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypothalamic_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamicLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "290",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypothalamicLateralZone",
    name="hypothalamic lateral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypothalamic_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamicMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "467",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypothalamicMedialZone",
    name="hypothalamic medial zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypothalamohypophysial_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamohypophysialTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "627",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypothalamohypophysialTract",
    name="hypothalamohypophysial tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1097",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E64438"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypothalamus",
    name="hypothalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_hypothalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_hypothalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "824",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_hypothalamusRelated",
    name="hypothalamus related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_induseum_griseum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_induseumGriseum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "19",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_induseumGriseum",
    name="induseum griseum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorCerebellarPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorCerebellarPeduncle",
    name="inferior cerebellar peduncle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "4",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorColliculus",
    name="inferior colliculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_colliculus_central_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusCentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "811",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorColliculusCentralNucleus",
    name="inferior colliculus, central nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "633",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorColliculusCommissure",
    name="inferior colliculus commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_colliculus_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusDorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "820",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorColliculusDorsalNucleus",
    name="inferior colliculus, dorsal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_colliculus_external_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorColliculusExternalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "828",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorColliculusExternalNucleus",
    name="inferior colliculus, external nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_olivary_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorOlivaryComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "83",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorOlivaryComplex",
    name="inferior olivary complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_inferior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_inferiorSalivatoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "106",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_inferiorSalivatoryNucleus",
    name="inferior salivatory nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infracerebellar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infracerebellarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "372",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infracerebellarNucleus",
    name="infracerebellar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "44",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicArea",
    name="infralimbic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "707",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer1",
    name="infralimbic area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "747",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer2",
    name="infralimbic area, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "556",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer2-3",
    name="infralimbic area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "827",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer5",
    name="infralimbic area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1054",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer6a",
    name="infralimbic area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_infralimbic_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_infralimbicAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1081",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_infralimbicAreaLayer6b",
    name="infralimbic area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interanterodorsal_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interanterodorsalNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interanterodorsalNucleusOfTheThalamus",
    name="interanterodorsal nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interanteromedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interanteromedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interanteromedialNucleusOfTheThalamus",
    name="interanteromedial nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interbrain",
    name="interbrain",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intercalated_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intercalatedAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1105",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intercalatedAmygdalarNucleus",
    name="intercalated amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intercrural_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intercruralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "34",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intercruralFissure",
    name="intercrural fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interfascicular_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interfascicularNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interfascicularNucleusRaphe",
    name="interfascicular nucleus raphe",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intergeniculate_leaflet_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intergeniculateLeafletOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "27",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intergeniculateLeafletOfTheLateralGeniculateComplex",
    name="intergeniculate leaflet of the lateral geniculate complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intermediate_acoustic_stria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediateAcousticStria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "641",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intermediateAcousticStria",
    name="intermediate acoustic stria",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intermediate_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediateNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intermediateNerve",
    name="intermediate nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intermediate_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediateReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "136",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intermediateReticularNucleus",
    name="intermediate reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intermediodorsal_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intermediodorsalNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "59",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intermediodorsalNucleusOfTheThalamus",
    name="intermediodorsal nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_internal_arcuate_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_internalArcuateFibers",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "396",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_internalArcuateFibers",
    name="internal arcuate fibers",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_internal_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_internalCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "6",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_internalCapsule",
    name="internal capsule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_internal_medullary_lamina_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_internalMedullaryLaminaOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "14",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_internalMedullaryLaminaOfTheThalamus",
    name="internal medullary lamina of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interpeduncular_fossa = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interpeduncularFossa",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "624",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interpeduncularFossa",
    name="interpeduncular fossa",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interpeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interpeduncularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interpeduncularNucleus",
    name="interpeduncular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interposed_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interposedNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "91",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interposedNucleus",
    name="interposed nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interstitial_nucleus_of_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interstitialNucleusOfCajal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "67",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interstitialNucleusOfCajal",
    name="interstitial nucleus of Cajal",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interstitial_nucleus_of_the_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interstitialNucleusOfTheVestibularNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "76",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interstitialNucleusOfTheVestibularNerve",
    name="interstitial nucleus of the vestibular nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_interventricular_foramen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_interventricularForamen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "124",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_interventricularForamen",
    name="interventricular foramen",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intralaminar_nuclei_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intralaminarNucleiOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "51",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intralaminarNucleiOfTheDorsalThalamus",
    name="intralaminar nuclei of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_intraparafloccular_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_intraparafloccularFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "49",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_intraparafloccularFissure",
    name="intraparafloccular fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_islands_of_calleja = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_islandsOfCalleja",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "481",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_islandsOfCalleja",
    name="islands of Calleja",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_isocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_isocortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "315",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#70FF71"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_isocortex",
    name="isocortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_juxtarestiform_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_juxtarestiformBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "650",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_juxtarestiformBody",
    name="juxtarestiform body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_koelliker_fuse_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_koellikerFuseSubnucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_koellikerFuseSubnucleus",
    name="Koelliker-Fuse subnucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90EB8D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralAmygdalarNucleus",
    name="lateral amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_dorsal_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralDorsalNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "155",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralDorsalNucleusOfThalamus",
    name="lateral dorsal nucleus of thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_forebrain_bundle_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralForebrainBundleSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "983",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralForebrainBundleSystem",
    name="lateral forebrain bundle system",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "138",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralGroupOfTheDorsalThalamus",
    name="lateral group of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_habenula = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralHabenula",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "186",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralHabenula",
    name="lateral habenula",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralHypothalamicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "194",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralHypothalamicArea",
    name="lateral hypothalamic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "658",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralLemniscus",
    name="lateral lemniscus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_mammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralMammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "210",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralMammillaryNucleus",
    name="lateral mammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_olfactory_tract_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralOlfactoryTractBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "665",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralOlfactoryTractBody",
    name="lateral olfactory tract, body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_olfactory_tract_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralOlfactoryTractGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "21",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralOlfactoryTractGeneral",
    name="lateral olfactory tract, general",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_posterior_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralPosteriorNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "218",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralPosteriorNucleusOfTheThalamus",
    name="lateral posterior nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralPreopticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "226",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralPreopticArea",
    name="lateral preoptic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralRecess",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "153",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralRecess",
    name="lateral recess",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "235",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralReticularNucleus",
    name="lateral reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_reticular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralReticularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "955",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralReticularNucleusMagnocellularPart",
    name="lateral reticular nucleus, magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralReticularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "963",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralReticularNucleusParvicellularPart",
    name="lateral reticular nucleus, parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_septal_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "275",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSeptalComplex",
    name="lateral septal complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "242",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSeptalNucleus",
    name="lateral septal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_septal_nucleus_caudal_caudodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleusCaudalCaudodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "250",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSeptalNucleusCaudalCaudodorsalPart",
    name="lateral septal nucleus, caudal (caudodorsal) part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_septal_nucleus_rostral_rostroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleusRostralRostroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "258",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSeptalNucleusRostralRostroventralPart",
    name="lateral septal nucleus, rostral (rostroventral) part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_septal_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSeptalNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "266",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSeptalNucleusVentralPart",
    name="lateral septal nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralSpinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "29",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralSpinothalamicTract",
    name="lateral spinothalamic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "283",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralTegmentalNucleus",
    name="lateral tegmental nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "66",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralTerminalNucleusOfTheAccessoryOpticTract",
    name="lateral terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "81",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVentricle",
    name="lateral ventricle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "209",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVestibularNucleus",
    name="lateral vestibular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "409",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualArea",
    name="lateral visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "421",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer1",
    name="lateral visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "973",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer2-3",
    name="lateral visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "573",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer4",
    name="lateral visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "613",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer5",
    name="lateral visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "74",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer6a",
    name="lateral visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lateralVisualAreaLayer6b",
    name="lateral visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterodorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterodorsalTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "162",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterodorsalTegmentalNucleus",
    name="laterodorsal tegmental nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782574",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateArea",
    name="laterointermediate area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782578",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer1",
    name="laterointermediate area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782582",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer2-3",
    name="laterointermediate area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782586",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer4",
    name="laterointermediate area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782590",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer5",
    name="laterointermediate area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782594",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer6a",
    name="laterointermediate area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterointermediate_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterointermediateAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782598",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterointermediateAreaLayer6b",
    name="laterointermediate area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149230",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualArea",
    name="laterolateral anterior visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149234",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer1",
    name="laterolateral anterior visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149238",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer2-3",
    name="laterolateral anterior visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149242",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer4",
    name="laterolateral anterior visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149250",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer6a",
    name="laterolateral anterior visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149254",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualAreaLayer6b",
    name="laterolateral anterior visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_laterolateral_anterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_laterolateralAnteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149246",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_laterolateralAnteriorVisualArealayer5",
    name="laterolateral anterior visual area,layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_layer6b_isocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_layer6bIsocortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "16",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_layer6bIsocortex",
    name="layer 6b, isocortex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_linear_nucleus_of_the_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_linearNucleusOfTheMedulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "203",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_linearNucleusOfTheMedulla",
    name="linear nucleus of the medulla",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lingula_i = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaI",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "912",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lingulaI",
    name="lingula (I)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lingula_i_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lingulaIGranularLayer",
    name="lingula (I), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lingula_i_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10707",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lingulaIMolecularLayer",
    name="lingula (I), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lingula_i_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lingulaIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10706",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lingulaIPurkinjeLayer",
    name="lingula (I), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_ii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "976",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleII",
    name="lobule II",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_ii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10708",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIGranularLayer",
    name="lobule II, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_ii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10710",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIMolecularLayer",
    name="lobule II, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_ii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIPurkinjeLayer",
    name="lobule II, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "984",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIII",
    name="lobule III",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIIGranularLayer",
    name="lobule III, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIIMolecularLayer",
    name="lobule III, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10712",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIIIPurkinjeLayer",
    name="lobule III, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iv = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIV",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "992",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIV",
    name="lobule IV",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iv_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIVGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10714",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIVGranularLayer",
    name="lobule IV, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iv_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIVMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10716",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIVMolecularLayer",
    name="lobule IV, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_iv_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleIVPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10715",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleIVPurkinjeLayer",
    name="lobule IV, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_v = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleV",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1001",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleV",
    name="lobule V",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_v_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleVGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10717",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleVGranularLayer",
    name="lobule V, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_v_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleVMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10719",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleVMolecularLayer",
    name="lobule V, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobule_v_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobuleVPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10718",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobuleVPurkinjeLayer",
    name="lobule V, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobules_iv_v = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-V",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1091",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobulesIV-V",
    name="lobules IV-V",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobules_iv_v_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-VGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10720",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobulesIV-VGranularLayer",
    name="lobules IV-V, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobules_iv_v_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-VMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10722",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobulesIV-VMolecularLayer",
    name="lobules IV-V, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_lobules_iv_v_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_lobulesIV-VPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10721",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_lobulesIV-VPurkinjeLayer",
    name="lobules IV-V, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_locus_ceruleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_locusCeruleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "147",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_locusCeruleus",
    name="locus ceruleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_longitudinal_association_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_longitudinalAssociationBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "37",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_longitudinalAssociationBundle",
    name="longitudinal association bundle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_magnocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_magnocellularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "298",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_magnocellularNucleus",
    name="magnocellular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_magnocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_magnocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "307",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_magnocellularReticularNucleus",
    name="magnocellular reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "507",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulb",
    name="main olfactory bulb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb_glomerular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbGlomerularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "212",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulbGlomerularLayer",
    name="main olfactory bulb, glomerular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb_granule_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbGranuleLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "220",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulbGranuleLayer",
    name="main olfactory bulb, granule layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb_inner_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbInnerPlexiformLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "228",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulbInnerPlexiformLayer",
    name="main olfactory bulb, inner plexiform layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb_mitral_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbMitralLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "236",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulbMitralLayer",
    name="main olfactory bulb, mitral layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_main_olfactory_bulb_outer_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mainOlfactoryBulbOuterPlexiformLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "244",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mainOlfactoryBulbOuterPlexiformLayer",
    name="main olfactory bulb, outer plexiform layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_major_island_of_calleja = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_majorIslandOfCalleja",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "489",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_majorIslandOfCalleja",
    name="major island of Calleja",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mammillary_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillaryBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "331",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mammillaryBody",
    name="mammillary body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mammillary_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillaryPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "673",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mammillaryPeduncle",
    name="mammillary peduncle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mammillary_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillaryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "46",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mammillaryRelated",
    name="mammillary related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mammillotegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammillotegmentalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "681",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mammillotegmentalTract",
    name="mammillotegmental tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mammilothalmic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mammilothalmicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "690",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mammilothalmicTract",
    name="mammilothalmic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "403",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleus",
    name="medial amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_anterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusAnterodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "411",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusAnterodorsalPart",
    name="medial amygdalar nucleus, anterodorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_anteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusAnteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "418",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusAnteroventralPart",
    name="medial amygdalar nucleus, anteroventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_posterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "426",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPart",
    name="medial amygdalar nucleus, posterodorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_posterodorsal_part_sublayer_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerA",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "472",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerA",
    name="medial amygdalar nucleus, posterodorsal part, sublayer a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_posterodorsal_part_sublayer_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerB",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerB",
    name="medial amygdalar nucleus, posterodorsal part, sublayer b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_posterodorsal_part_sublayer_c = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerC",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "487",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusPosterodorsalPartSublayerC",
    name="medial amygdalar nucleus, posterodorsal part, sublayer c",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_amygdalar_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialAmygdalarNucleusPosteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "435",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialAmygdalarNucleusPosteroventralPart",
    name="medial amygdalar nucleus, posteroventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_corticohypothalmic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialCorticohypothalmicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "428",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialCorticohypothalmicTract",
    name="medial corticohypothalmic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_forebrain_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialForebrainBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "54",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialForebrainBundle",
    name="medial forebrain bundle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_forebrain_bundle_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialForebrainBundleSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "991",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialForebrainBundleSystem",
    name="medial forebrain bundle system",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "475",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialGeniculateComplex",
    name="medial geniculate complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_geniculate_complex_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplexDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1072",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialGeniculateComplexDorsalPart",
    name="medial geniculate complex, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_geniculate_complex_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplexMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1088",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialGeniculateComplexMedialPart",
    name="medial geniculate complex, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_geniculate_complex_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGeniculateComplexVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1079",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialGeniculateComplexVentralPart",
    name="medial geniculate complex, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "444",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialGroupOfTheDorsalThalamus",
    name="medial group of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_habenula = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialHabenula",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "483",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialHabenula",
    name="medial habenula",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialLemniscus",
    name="medial lemniscus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_longitudinal_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialLongitudinalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "62",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialLongitudinalFascicle",
    name="medial longitudinal fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_mammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialMammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "491",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialMammillaryNucleus",
    name="medial mammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_mammillary_nucleus_median_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialMammillaryNucleusMedianPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "732",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialMammillaryNucleusMedianPart",
    name="medial mammillary nucleus, median part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "523",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPreopticArea",
    name="medial preoptic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "515",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPreopticNucleus",
    name="medial preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_preoptic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "740",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPreopticNucleusCentralPart",
    name="medial preoptic nucleus, central part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_preoptic_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "748",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPreopticNucleusLateralPart",
    name="medial preoptic nucleus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_preoptic_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPreopticNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "756",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPreopticNucleusMedialPart",
    name="medial preoptic nucleus, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_pretectal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialPretectalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "531",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialPretectalArea",
    name="medial pretectal area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_septal_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialSeptalComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "904",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialSeptalComplex",
    name="medial septal complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialSeptalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "564",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialSeptalNucleus",
    name="medial septal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "58",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialTerminalNucleusOfTheAccessoryOpticTract",
    name="medial terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "202",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVestibularNucleus",
    name="medial vestibular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149314",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualArea",
    name="medial visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149318",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualAreaLayer1",
    name="medial visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149322",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualAreaLayer2-3",
    name="medial visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149326",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualAreaLayer4",
    name="medial visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149334",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualAreaLayer6a",
    name="medial visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149338",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualAreaLayer6b",
    name="medial visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medial_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medialVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149330",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medialVisualArealayer5",
    name="medial visual area,layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_median_eminence = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medianEminence",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10671",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medianEminence",
    name="median eminence",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_median_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medianPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "452",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medianPreopticNucleus",
    name="median preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediodorsal_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "362",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediodorsalNucleusOfThalamus",
    name="mediodorsal nucleus of thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediodorsal_nucleus_of_the_thalamus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "617",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusCentralPart",
    name="mediodorsal nucleus of the thalamus, central part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediodorsal_nucleus_of_the_thalamus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "626",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusLateralPart",
    name="mediodorsal nucleus of the thalamus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediodorsal_nucleus_of_the_thalamus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "636",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediodorsalNucleusOfTheThalamusMedialPart",
    name="mediodorsal nucleus of the thalamus, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149258",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualArea",
    name="mediomedial anterior visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149262",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer1",
    name="mediomedial anterior visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149266",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer2-3",
    name="mediomedial anterior visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149270",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer4",
    name="mediomedial anterior visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149278",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer6a",
    name="mediomedial anterior visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149282",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualAreaLayer6b",
    name="mediomedial anterior visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_anterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialAnteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149274",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialAnteriorVisualArealayer5",
    name="mediomedial anterior visual area,layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149286",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualArea",
    name="mediomedial posterior visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149290",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer1",
    name="mediomedial posterior visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149294",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer2-3",
    name="mediomedial posterior visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149298",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer4",
    name="mediomedial posterior visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149306",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer6a",
    name="mediomedial posterior visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149310",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualAreaLayer6b",
    name="mediomedial posterior visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_mediomedial_posterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_mediomedialPosteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149302",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_mediomedialPosteriorVisualArealayer5",
    name="mediomedial posterior visual area,layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "354",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9BCD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medulla",
    name="medulla",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medulla_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "379",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaBehavioralStateRelated",
    name="medulla, behavioral state related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medulla_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "370",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaMotorRelated",
    name="medulla, motor related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medulla_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "386",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaSensoryRelated",
    name="medulla, sensory related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medullary_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaryReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "395",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaryReticularNucleus",
    name="medullary reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medullary_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaryReticularNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1098",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaryReticularNucleusDorsalPart",
    name="medullary reticular nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_medullary_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_medullaryReticularNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1107",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_medullaryReticularNucleusVentralPart",
    name="medullary reticular nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "313",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF64FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrain",
    name="midbrain",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "348",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainBehavioralStateRelated",
    name="midbrain, behavioral state related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "323",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainMotorRelated",
    name="midbrain, motor related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_raphe_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainRapheNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "165",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainRapheNuclei",
    name="midbrain raphe nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "70",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainRelated",
    name="midbrain related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainReticularNucleus",
    name="midbrain reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_reticular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "539",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainReticularNucleusMagnocellularPart",
    name="midbrain reticular nucleus, magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_reticular_nucleus_magnocellular_part_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusMagnocellularPartGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "548",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainReticularNucleusMagnocellularPartGeneral",
    name="midbrain reticular nucleus, magnocellular part, general",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "555",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainReticularNucleusParvicellularPart",
    name="midbrain reticular nucleus, parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_reticular_nucleus_retrorubral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainReticularNucleusRetrorubralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "246",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainReticularNucleusRetrorubralArea",
    name="midbrain reticular nucleus, retrorubral area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "339",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainSensoryRelated",
    name="midbrain, sensory related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_tract_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainTractOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainTractOfTheTrigeminalNerve",
    name="midbrain tract of the trigeminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midbrain_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midbrainTrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "460",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midbrainTrigeminalNucleus",
    name="midbrain trigeminal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_middleCerebellarPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "78",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_middle_thalamic_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_middleThalamicCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "86",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_middleThalamicCommissure",
    name="middle thalamic commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_midline_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_midlineGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "571",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_midlineGroupOfTheDorsalThalamus",
    name="midline group of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_motor_nucleus_of_trigeminal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_motorNucleusOfTrigeminal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "621",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_motorNucleusOfTrigeminal",
    name="motor nucleus of trigeminal",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_motor_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_motorRootOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "93",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_motorRootOfTheTrigeminalNerve",
    name="motor root of the trigeminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nigrostriatal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nigrostriatalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "102",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nigrostriatalTract",
    name="nigrostriatal tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nigrothalamic_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nigrothalamicFibers",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nigrothalamicFibers",
    name="nigrothalamic fibers",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nodular_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodularFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "18",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nodularFissure",
    name="nodular fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nodulus_x = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "968",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nodulusX",
    name="nodulus (X)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nodulus_x_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusXGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10735",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nodulusXGranularLayer",
    name="nodulus (X), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nodulus_x_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusXMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10737",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nodulusXMolecularLayer",
    name="nodulus (X), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nodulus_x_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nodulusXPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10736",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nodulusXPurkinjeLayer",
    name="nodulus (X), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_accumbens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAccumbens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "56",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusAccumbens",
    name="nucleus accumbens",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_ambiguus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAmbiguus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "135",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusAmbiguus",
    name="nucleus ambiguus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_ambiguus_dorsal_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAmbiguusDorsalDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "939",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusAmbiguusDorsalDivision",
    name="nucleus ambiguus, dorsal division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_ambiguus_ventral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusAmbiguusVentralDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusAmbiguusVentralDivision",
    name="nucleus ambiguus, ventral division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_circularis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusCircularis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "432",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusCircularis",
    name="nucleus circularis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_incertus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusIncertus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "604",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusIncertus",
    name="nucleus incertus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_intercalatus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusIntercalatus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "161",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusIntercalatus",
    name="nucleus intercalatus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_darkschewitsch = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfDarkschewitsch",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "587",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfDarkschewitsch",
    name="nucleus of Darkschewitsch",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_reunions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfReunions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "181",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfReunions",
    name="nucleus of reunions",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_roller = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfRoller",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "177",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfRoller",
    name="nucleus of Roller",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheBrachiumOfTheInferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "580",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheBrachiumOfTheInferiorColliculus",
    name="nucleus of the brachium of the inferior colliculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "612",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralLemniscus",
    name="nucleus of the lateral lemniscus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_lemniscus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "82",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusDorsalPart",
    name="nucleus of the lateral lemniscus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_lemniscus_horizontal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusHorizontalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "90",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusHorizontalPart",
    name="nucleus of the lateral lemniscus, horizontal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_lemniscus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "99",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralLemniscusVentralPart",
    name="nucleus of the lateral lemniscus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "619",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTract",
    name="nucleus of the lateral olfactory tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_olfactory_tract_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractLayer3",
    name="nucleus of the lateral olfactory tract, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_olfactory_tract_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "392",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractLayers13",
    name="nucleus of the lateral olfactory tract, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_olfactory_tract_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "260",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    name="nucleus of the lateral olfactory tract, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_lateral_olfactory_tract_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "268",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    name="nucleus of the lateral olfactory tract, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "628",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheOpticTract",
    name="nucleus of the optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfThePosteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "634",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfThePosteriorCommissure",
    name="nucleus of the posterior commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "651",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTract",
    name="nucleus of the solitary tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "659",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTractCentralPart",
    name="nucleus of the solitary tract, central part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract_commissural_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractCommissuralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "666",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTractCommissuralPart",
    name="nucleus of the solitary tract, commissural part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract_gelatinous_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractGelatinousPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "674",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTractGelatinousPart",
    name="nucleus of the solitary tract, gelatinous part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "682",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTractLateralPart",
    name="nucleus of the solitary tract, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_solitary_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheSolitaryTractMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "691",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheSolitaryTractMedialPart",
    name="nucleus of the solitary tract, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_of_the_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusOfTheTrapezoidBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "642",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_prepositus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusPrepositus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "169",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusPrepositus",
    name="nucleus prepositus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_raphe_magnus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRapheMagnus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "206",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusRapheMagnus",
    name="nucleus raphe magnus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_raphe_obscurus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRapheObscurus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "222",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusRapheObscurus",
    name="nucleus raphe obscurus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_raphe_pallidus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRaphePallidus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "230",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusRaphePallidus",
    name="nucleus raphe pallidus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_raphe_pontis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusRaphePontis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "238",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusRaphePontis",
    name="nucleus raphe pontis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_sagulum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusSagulum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "271",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusSagulum",
    name="nucleus sagulum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_x = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "765",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusX",
    name="nucleus x",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_y = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusY",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "781",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusY",
    name="nucleus y",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_nucleus_z = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_nucleusZ",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "789",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_nucleusZ",
    name="nucleus z",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_oculomotor_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_oculomotorNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "832",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_oculomotorNerve",
    name="oculomotor nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_oculomotor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_oculomotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "35",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_oculomotorNucleus",
    name="oculomotor nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "698",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryAreas",
    name="olfactory areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "840",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryNerve",
    name="olfactory nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_nerve_layer_of_main_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryNerveLayerOfMainOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1016",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryNerveLayerOfMainOlfactoryBulb",
    name="olfactory nerve layer of main olfactory bulb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_tubercle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTubercle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "754",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryTubercle",
    name="olfactory tubercle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_tubercle_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTubercleLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "144",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryTubercleLayers13",
    name="olfactory tubercle, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_tubercle_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTubercleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "458",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryTubercleMolecularLayer",
    name="olfactory tubercle, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_tubercle_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTuberclePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "473",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryTuberclePolymorphLayer",
    name="olfactory tubercle, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olfactory_tubercle_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olfactoryTuberclePyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "465",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olfactoryTuberclePyramidalLayer",
    name="olfactory tubercle, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olivary_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olivaryPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "706",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olivaryPretectalNucleus",
    name="olivary pretectal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_olivocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_olivocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "404",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_olivocerebellarTract",
    name="olivocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticChiasm",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "117",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_opticChiasm",
    name="optic chiasm",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "848",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_opticNerve",
    name="optic nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_optic_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticRadiation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682520",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_opticRadiation",
    name="optic radiation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_opticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_opticTract",
    name="optic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "714",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalArea",
    name="orbital area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "723",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPart",
    name="orbital area, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "448",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPartLayer1",
    name="orbital area, lateral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "412",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPartLayer2-3",
    name="orbital area, lateral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "630",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPartLayer5",
    name="orbital area, lateral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "440",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPartLayer6a",
    name="orbital area, lateral part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_lateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "488",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLateralPartLayer6b",
    name="orbital area, lateral part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "264",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLayer1",
    name="orbital area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "492",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLayer2-3",
    name="orbital area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "352",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLayer5",
    name="orbital area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "476",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLayer6a",
    name="orbital area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "516",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaLayer6b",
    name="orbital area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "731",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPart",
    name="orbital area, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPartLayer1",
    name="orbital area, medial part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "524",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPartLayer2",
    name="orbital area, medial part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "582",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPartLayer2-3",
    name="orbital area, medial part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "620",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPartLayer5",
    name="orbital area, medial part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_medial_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaMedialPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "910",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaMedialPartLayer6a",
    name="orbital area, medial part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "738",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentralPart",
    name="orbital area, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "746",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPart",
    name="orbital area, ventrolateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "969",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer1",
    name="orbital area, ventrolateral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "288",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer2-3",
    name="orbital area, ventrolateral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer5",
    name="orbital area, ventrolateral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "608",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer6a",
    name="orbital area, ventrolateral part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_orbital_area_ventrolateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "680",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_orbitalAreaVentrolateralPartLayer6b",
    name="orbital area, ventrolateral part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidotegmental_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidotegmentalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "134",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidotegmentalFascicle",
    name="pallidotegmental fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidothalmic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidothalmicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidothalmicPathway",
    name="pallidothalmic pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "803",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidum",
    name="pallidum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidum_caudal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumCaudalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "809",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidumCaudalRegion",
    name="pallidum, caudal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidum_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumDorsalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "818",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidumDorsalRegion",
    name="pallidum, dorsal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidum_medial_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumMedialRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "826",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidumMedialRegion",
    name="pallidum, medial region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pallidum_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pallidumVentralRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "835",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pallidumVentralRegion",
    name="pallidum, ventral region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "874",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabigeminalNucleus",
    name="parabigeminal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "867",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleus",
    name="parabrachial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "881",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivision",
    name="parabrachial nucleus, lateral division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division_central_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionCentralLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "860",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionCentralLateralPart",
    name="parabrachial nucleus, lateral division, central lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division_dorsal_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionDorsalLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "868",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionDorsalLateralPart",
    name="parabrachial nucleus, lateral division, dorsal lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division_external_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionExternalLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "875",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionExternalLateralPart",
    name="parabrachial nucleus, lateral division, external lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division_superior_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionSuperiorLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "883",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionSuperiorLateralPart",
    name="parabrachial nucleus, lateral division, superior lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_lateral_division_ventral_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionVentralLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "891",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusLateralDivisionVentralLateralPart",
    name="parabrachial nucleus, lateral division, ventral lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "890",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusMedialDivision",
    name="parabrachial nucleus, medial division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_medial_division_external_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionExternalMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "899",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionExternalMedialPart",
    name="parabrachial nucleus, medial division, external medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_medial_division_medial_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionMedialMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "915",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionMedialMedialPart",
    name="parabrachial nucleus, medial division, medial medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parabrachial_nucleus_medial_division_ventral_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionVentralMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "923",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parabrachialNucleusMedialDivisionVentralMedialPart",
    name="parabrachial nucleus, medial division, ventral medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paracentral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paracentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "907",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paracentralNucleus",
    name="paracentral nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parafascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "930",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parafascicularNucleus",
    name="parafascicular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parafloccular_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parafloccularSulcus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "65",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parafloccularSulcus",
    name="parafloccular sulcus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraflocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1041",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraflocculus",
    name="paraflocculus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraflocculus_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculusGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10687",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraflocculusGranularLayer",
    name="paraflocculus, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraflocculus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraflocculusMolecularLayer",
    name="paraflocculus, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraflocculus_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraflocculusPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10688",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraflocculusPurkinjeLayer",
    name="paraflocculus, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paragigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paragigantocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "938",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paragigantocellularReticularNucleus",
    name="paragigantocellular reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paragigantocellular_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paragigantocellularReticularNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "970",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paragigantocellularReticularNucleusDorsalPart",
    name="paragigantocellular reticular nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paragigantocellular_reticular_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paragigantocellularReticularNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "978",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paragigantocellularReticularNucleusLateralPart",
    name="paragigantocellular reticular nucleus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1025",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianLobule",
    name="paramedian lobule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_lobule_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobuleGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10681",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianLobuleGranularLayer",
    name="paramedian lobule, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_lobule_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobuleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10683",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianLobuleMolecularLayer",
    name="paramedian lobule, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_lobule_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianLobulePurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10682",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianLobulePurkinjeLayer",
    name="paramedian lobule, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "995",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianReticularNucleus",
    name="paramedian reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paramedian_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paramedianSulcus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "57",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paramedianSulcus",
    name="paramedian sulcus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parapyramidal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parapyramidalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1069",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parapyramidalNucleus",
    name="parapyramidal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parapyramidal_nucleus_deep_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parapyramidalNucleusDeepPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "185",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parapyramidalNucleusDeepPart",
    name="parapyramidal nucleus, deep part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parapyramidal_nucleus_superficial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parapyramidalNucleusSuperficialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "193",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parapyramidalNucleusSuperficialPart",
    name="parapyramidal nucleus, superficial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasolitary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasolitaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "859",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasolitaryNucleus",
    name="parasolitary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parastrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parastrialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parastrialNucleus",
    name="parastrial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "843",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasubiculum",
    name="parasubiculum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasubiculumLayer1",
    name="parasubiculum, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10694",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasubiculumLayer2",
    name="parasubiculum, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10695",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasubiculumLayer3",
    name="parasubiculum, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parasubthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parasubthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "364",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parasubthalamicNucleus",
    name="parasubthalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parataenial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parataenialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "15",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parataenialNucleus",
    name="parataenial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "38",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleus",
    name="paraventricular hypothalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_descending_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "63",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivision",
    name="paraventricular hypothalamic nucleus, descending division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_descending_division_dorsal_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionDorsalParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "439",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionDorsalParvicellularPart",
    name="paraventricular hypothalamic nucleus, descending division, dorsal parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_descending_division_forniceal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionFornicealPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "447",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionFornicealPart",
    name="paraventricular hypothalamic nucleus, descending division, forniceal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_descending_division_lateral_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionLateralParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "455",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionLateralParvicellularPart",
    name="paraventricular hypothalamic nucleus, descending division, lateral parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_descending_division_medial_parvicellular_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionMedialParvicellularPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "464",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusDescendingDivisionMedialParvicellularPartVentralZone",
    name="paraventricular hypothalamic nucleus, descending division, medial parvicellular part, ventral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "71",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivision",
    name="paraventricular hypothalamic nucleus, magnocellular division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division_anterior_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionAnteriorMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "47",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionAnteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, anterior magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division_medial_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionMedialMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "79",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionMedialMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, medial magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "103",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "652",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartLateralZone",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part, lateral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "660",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartMedialZone",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part, medial zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_parvicellular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "94",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivision",
    name="paraventricular hypothalamic nucleus, parvicellular division",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_parvicellular_division_anterior_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionAnteriorParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "55",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionAnteriorParvicellularPart",
    name="paraventricular hypothalamic nucleus, parvicellular division, anterior parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_parvicellular_division_medial_parvicellular_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionMedialParvicellularPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "87",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionMedialParvicellularPartDorsalZone",
    name="paraventricular hypothalamic nucleus, parvicellular division, medial parvicellular part, dorsal zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_hypothalamic_nucleus_parvicellular_division_periventricular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionPeriventricularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularHypothalamicNucleusParvicellularDivisionPeriventricularPart",
    name="paraventricular hypothalamic nucleus, parvicellular division, periventricular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_paraventricular_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_paraventricularNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "149",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_paraventricularNucleusOfTheThalamus",
    name="paraventricular nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_parvicellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_parvicellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "852",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_parvicellularReticularNucleus",
    name="parvicellular reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pedunculopontine_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pedunculopontineNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1052",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pedunculopontineNucleus",
    name="pedunculopontine nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perforant_path = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perforantPath",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perforantPath",
    name="perforant path",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periaqueductalGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "795",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perihypoglossal_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perihypoglossalNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "154",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perihypoglossalNuclei",
    name="perihypoglossal nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_peripeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_peripeduncularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1044",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_peripeduncularNucleus",
    name="peripeduncular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perireunensis_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perireunensisNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1077",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perireunensisNucleus",
    name="perireunensis nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "922",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalArea",
    name="perirhinal area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "540",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalAreaLayer1",
    name="perirhinal area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "888",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalAreaLayer2-3",
    name="perirhinal area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "692",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalAreaLayer5",
    name="perirhinal area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "335",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalAreaLayer6a",
    name="perirhinal area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_perirhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_perirhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "368",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_perirhinalAreaLayer6b",
    name="perirhinal area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_bundle_of_the_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularBundleOfTheHypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "150",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularBundleOfTheHypothalamus",
    name="periventricular bundle of the hypothalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_bundle_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularBundleOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "722",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularBundleOfTheThalamus",
    name="periventricular bundle of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "30",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularHypothalamicNucleusAnteriorPart",
    name="periventricular hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_hypothalamic_nucleus_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusIntermediatePart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "118",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularHypothalamicNucleusIntermediatePart",
    name="periventricular hypothalamic nucleus, intermediate part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularHypothalamicNucleusPosteriorPart",
    name="periventricular hypothalamic nucleus, posterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_hypothalamic_nucleus_preoptic_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularHypothalamicNucleusPreopticPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularHypothalamicNucleusPreopticPart",
    name="periventricular hypothalamic nucleus, preoptic part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularRegion",
    name="periventricular region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_periventricular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_periventricularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "157",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_periventricularZone",
    name="periventricular zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pineal_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pinealBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "953",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pinealBody",
    name="pineal body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pineal_stalk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pinealStalk",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "730",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pinealStalk",
    name="pineal stalk",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriform_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "961",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformArea",
    name="piriform area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriform_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "152",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformAreaLayers13",
    name="piriform area, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriform_area_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "276",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformAreaMolecularLayer",
    name="piriform area, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriform_area_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "291",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformAreaPolymorphLayer",
    name="piriform area, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriform_area_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformAreaPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "284",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformAreaPyramidalLayer",
    name="piriform area, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriformamygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "788",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformamygdalarArea",
    name="piriform-amygdalar area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriformamygdalar_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "400",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformamygdalarAreaLayers13",
    name="piriform-amygdalar area, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriformamygdalar_area_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "408",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformamygdalarAreaMolecularLayer",
    name="piriform-amygdalar area, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriformamygdalar_area_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "424",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformamygdalarAreaPolymorphLayer",
    name="piriform-amygdalar area, polymorph layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_piriformamygdalar_area_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_piriformamygdalarAreaPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "416",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_piriformamygdalarAreaPyramidalLayer",
    name="piriform-amygdalar area, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pons",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "771",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9B88"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pons",
    name="pons",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pons_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ponsBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1117",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ponsBehavioralStateRelated",
    name="pons, behavioral state related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pons_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ponsMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "987",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ponsMotorRelated",
    name="pons, motor related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pons_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ponsSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ponsSensoryRelated",
    name="pons, sensory related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pontine_central_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineCentralGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "898",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pontineCentralGray",
    name="pontine central gray",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pontine_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "931",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pontineGray",
    name="pontine gray",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pontine_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "146",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pontineReticularNucleus",
    name="pontine reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pontine_reticular_nucleus_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineReticularNucleusCaudalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1093",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pontineReticularNucleusCaudalPart",
    name="pontine reticular nucleus, caudal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pontine_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pontineReticularNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "552",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pontineReticularNucleusVentralPart",
    name="pontine reticular nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postcommissural_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postcommissuralFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "737",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postcommissuralFornix",
    name="postcommissural fornix",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "780",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#97EC93"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAmygdalarNucleus",
    name="posterior amygdalar nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1027",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryArea",
    name="posterior auditory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "696",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer1",
    name="posterior auditory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "643",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer2-3",
    name="posterior auditory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "759",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer4",
    name="posterior auditory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "791",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer5",
    name="posterior auditory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "249",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer6a",
    name="posterior auditory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "456",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorAuditoryAreaLayer6b",
    name="posterior auditory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "158",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorCommissure",
    name="posterior commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1020",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorComplexOfTheThalamus",
    name="posterior complex of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "946",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorHypothalamicNucleus",
    name="posterior hypothalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_limiting_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorLimitingNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1029",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorLimitingNucleusOfTheThalamus",
    name="posterior limiting nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "22",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreas",
    name="posterior parietal association areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "532",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer1",
    name="posterior parietal association areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "241",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer2-3",
    name="posterior parietal association areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "635",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer4",
    name="posterior parietal association areas, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "683",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer5",
    name="posterior parietal association areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "308",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer6a",
    name="posterior parietal association areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_parietal_association_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "340",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorParietalAssociationAreasLayer6b",
    name="posterior parietal association areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1061",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorPretectalNucleus",
    name="posterior pretectal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterior_superior_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteriorSuperiorFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteriorSuperiorFissure",
    name="posterior superior fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterodorsalPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "914",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterodorsalPreopticNucleus",
    name="posterodorsal preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "11",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralFissure",
    name="posterolateral fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "425",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualArea",
    name="posterolateral visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "750",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer1",
    name="posterolateral visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "269",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer2-3",
    name="posterolateral visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "869",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer4",
    name="posterolateral visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "902",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer5",
    name="posterolateral visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "377",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer6a",
    name="posterolateral visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posterolateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posterolateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "393",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posterolateralVisualAreaLayer6b",
    name="posterolateral visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "533",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualArea",
    name="posteromedial visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "805",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer1",
    name="posteromedial visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "41",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer2-3",
    name="posteromedial visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "501",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer4",
    name="posteromedial visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "565",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer5",
    name="posteromedial visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "257",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer6a",
    name="posteromedial visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_posteromedial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_posteromedialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "469",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_posteromedialVisualAreaLayer6b",
    name="posteromedial visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postpiriform_transition_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "566",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postpiriformTransitionArea",
    name="postpiriform transition area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postpiriform_transition_area_layers1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postpiriformTransitionAreaLayers1",
    name="postpiriform transition area, layers 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postpiriform_transition_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "517",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postpiriformTransitionAreaLayers13",
    name="postpiriform transition area, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postpiriform_transition_area_layers2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postpiriformTransitionAreaLayers2",
    name="postpiriform transition area, layers 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postpiriform_transition_area_layers3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postpiriformTransitionAreaLayers3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postpiriformTransitionAreaLayers3",
    name="postpiriform transition area, layers 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782628",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalArea",
    name="postrhinal area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782632",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer1",
    name="postrhinal area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782636",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer2-3",
    name="postrhinal area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782640",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer4",
    name="postrhinal area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782644",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer5",
    name="postrhinal area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782648",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer6a",
    name="postrhinal area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postrhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postrhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782652",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postrhinalAreaLayer6b",
    name="postrhinal area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postsubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1037",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postsubiculum",
    name="postsubiculum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postsubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10696",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postsubiculumLayer1",
    name="postsubiculum, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postsubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postsubiculumLayer2",
    name="postsubiculum, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_postsubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_postsubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10698",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_postsubiculumLayer3",
    name="postsubiculum, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_precentral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precentralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1087",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_precentralFissure",
    name="precentral fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_precommissural_fornix_diagonal_band = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precommissuralFornixDiagonalBand",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "420",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_precommissuralFornixDiagonalBand",
    name="precommissural fornix diagonal band",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_precommissural_fornix_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precommissuralFornixGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "745",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_precommissuralFornixGeneral",
    name="precommissural fornix, general",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_precommissural_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_precommissuralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "50",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_precommissuralNucleus",
    name="precommissural nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_preculminate_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_preculminateFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1095",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_preculminateFissure",
    name="preculminate fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "972",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicArea",
    name="prelimbic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "171",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer1",
    name="prelimbic area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "195",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer2",
    name="prelimbic area, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "304",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer2-3",
    name="prelimbic area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "363",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer5",
    name="prelimbic area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "84",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer6a",
    name="prelimbic area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prelimbic_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prelimbicAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prelimbicAreaLayer6b",
    name="prelimbic area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_premammillary_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_premammillaryCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "166",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_premammillaryCommissure",
    name="premammillary commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_preoptic_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_preopticCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "174",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_preopticCommissure",
    name="preoptic commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_preparasubthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_preparasubthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "356",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_preparasubthalamicNucleus",
    name="preparasubthalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prepyramidal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prepyramidalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prepyramidalFissure",
    name="prepyramidal fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_presubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1084",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_presubiculum",
    name="presubiculum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_presubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10699",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_presubiculumLayer1",
    name="presubiculum, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_presubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10700",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_presubiculumLayer2",
    name="presubiculum, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_presubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_presubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_presubiculumLayer3",
    name="presubiculum, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pretectal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pretectalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pretectalRegion",
    name="pretectal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1002",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryArea",
    name="primary auditory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "735",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer1",
    name="primary auditory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "251",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer2-3",
    name="primary auditory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "816",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer4",
    name="primary auditory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "847",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer5",
    name="primary auditory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "954",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer6a",
    name="primary auditory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1005",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryAuditoryAreaLayer6b",
    name="primary auditory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1103",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryFissure",
    name="primary fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "985",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorArea",
    name="primary motor area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "320",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorAreaLayer1",
    name="primary motor area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "943",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorAreaLayer2-3",
    name="primary motor area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "648",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorAreaLayer5",
    name="primary motor area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "844",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorAreaLayer6a",
    name="primary motor area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_motor_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryMotorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "882",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryMotorAreaLayer6b",
    name="primary motor area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "322",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryArea",
    name="primary somatosensory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelField",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "329",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelField",
    name="primary somatosensory area, barrel field",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "981",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer1",
    name="primary somatosensory area, barrel field, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "201",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer2-3",
    name="primary somatosensory area, barrel field, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1047",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer4",
    name="primary somatosensory area, barrel field, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1070",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer5",
    name="primary somatosensory area, barrel field, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1038",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer6a",
    name="primary somatosensory area, barrel field, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_barrel_field_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1062",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaBarrelFieldLayer6b",
    name="primary somatosensory area, barrel field, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "793",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer1",
    name="primary somatosensory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "346",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer2-3",
    name="primary somatosensory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "865",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer4",
    name="primary somatosensory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "921",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer5",
    name="primary somatosensory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "686",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer6a",
    name="primary somatosensory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "719",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLayer6b",
    name="primary somatosensory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "337",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimb",
    name="primary somatosensory area, lower limb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1030",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer1",
    name="primary somatosensory area, lower limb, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer2-3",
    name="primary somatosensory area, lower limb, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1094",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer4",
    name="primary somatosensory area, lower limb, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer5",
    name="primary somatosensory area, lower limb, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "478",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer6a",
    name="primary somatosensory area, lower limb, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_lower_limb_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "510",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaLowerLimbLayer6b",
    name="primary somatosensory area, lower limb, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouth",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "345",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouth",
    name="primary somatosensory area, mouth",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "878",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer1",
    name="primary somatosensory area, mouth, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "657",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer2-3",
    name="primary somatosensory area, mouth, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "950",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer4",
    name="primary somatosensory area, mouth, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "974",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer5",
    name="primary somatosensory area, mouth, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1102",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer6a",
    name="primary somatosensory area, mouth, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_mouth_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "2",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaMouthLayer6b",
    name="primary somatosensory area, mouth, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNose",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "353",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNose",
    name="primary somatosensory area, nose",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "558",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer1",
    name="primary somatosensory area, nose, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "838",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer2-3",
    name="primary somatosensory area, nose, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "654",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer4",
    name="primary somatosensory area, nose, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "702",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer5",
    name="primary somatosensory area, nose, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "889",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer6a",
    name="primary somatosensory area, nose, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_nose_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "929",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaNoseLayer6b",
    name="primary somatosensory area, nose, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunk",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "361",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunk",
    name="primary somatosensory area, trunk",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1006",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer1",
    name="primary somatosensory area, trunk, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "670",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer2-3",
    name="primary somatosensory area, trunk, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1086",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer4",
    name="primary somatosensory area, trunk, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1111",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer5",
    name="primary somatosensory area, trunk, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "9",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer6a",
    name="primary somatosensory area, trunk, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_trunk_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "461",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaTrunkLayer6b",
    name="primary somatosensory area, trunk, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassigned",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassigned",
    name="primary somatosensory area, unassigned",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer1",
    name="primary somatosensory area, unassigned, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer2-3",
    name="primary somatosensory area, unassigned, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer4",
    name="primary somatosensory area, unassigned, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer5",
    name="primary somatosensory area, unassigned, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer6a",
    name="primary somatosensory area, unassigned, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_unassigned_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUnassignedLayer6b",
    name="primary somatosensory area, unassigned, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "369",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimb",
    name="primary somatosensory area, upper limb",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "450",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer1",
    name="primary somatosensory area, upper limb, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "854",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer2-3",
    name="primary somatosensory area, upper limb, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "577",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer4",
    name="primary somatosensory area, upper limb, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "625",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer5",
    name="primary somatosensory area, upper limb, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "945",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer6a",
    name="primary somatosensory area, upper limb, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_somatosensory_area_upper_limb_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1026",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primarySomatosensoryAreaUpperLimbLayer6b",
    name="primary somatosensory area, upper limb, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "385",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualArea",
    name="primary visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "593",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer1",
    name="primary visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "821",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer2-3",
    name="primary visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "721",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer4",
    name="primary visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "778",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer5",
    name="primary visual area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "33",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer6a",
    name="primary visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_primary_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_primaryVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "305",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_primaryVisualAreaLayer6b",
    name="primary visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_principal_mammillary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_principalMammillaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "753",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_principalMammillaryTract",
    name="principal mammillary tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_principal_sensory_nucleus_of_the_trigeminal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_principalSensoryNucleusOfTheTrigeminal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "7",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_principalSensoryNucleusOfTheTrigeminal",
    name="principal sensory nucleus of the trigeminal",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_propriohypothalamic_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathways",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_propriohypothalamicPathways",
    name="propriohypothalamic pathways",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_propriohypothalamic_pathways_dorsal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysDorsal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "762",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_propriohypothalamicPathwaysDorsal",
    name="propriohypothalamic pathways, dorsal",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_propriohypothalamic_pathways_lateral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysLateral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "770",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_propriohypothalamicPathwaysLateral",
    name="propriohypothalamic pathways, lateral",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_propriohypothalamic_pathways_medial = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysMedial",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "779",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_propriohypothalamicPathwaysMedial",
    name="propriohypothalamic pathways, medial",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_propriohypothalamic_pathways_ventral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_propriohypothalamicPathwaysVentral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "787",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_propriohypothalamicPathwaysVentral",
    name="propriohypothalamic pathways, ventral",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682470",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculum",
    name="prosubiculum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682475",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumDorsalPart",
    name="prosubiculum, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_dorsal_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682479",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumDorsalPartMolecularLayer",
    name="prosubiculum, dorsal part, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_dorsal_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682483",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#56B84B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumDorsalPartPyramidalLayer",
    name="prosubiculum, dorsal part, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_dorsal_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumDorsalPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682487",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumDorsalPartStratumRadiatum",
    name="prosubiculum, dorsal part, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682492",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumVentralPart",
    name="prosubiculum, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_ventral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682496",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumVentralPartMolecularLayer",
    name="prosubiculum, ventral part, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_ventral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682500",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#56B84B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumVentralPartPyramidalLayer",
    name="prosubiculum, ventral part, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_prosubiculum_ventral_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_prosubiculumVentralPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682504",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_prosubiculumVentralPartStratumRadiatum",
    name="prosubiculum, ventral part, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramid = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramid",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "190",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramid",
    name="pyramid",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramidal_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramidalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "198",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramidalDecussation",
    name="pyramidal decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramus_viii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "951",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramusVIII",
    name="pyramus (VIII)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramus_viii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10729",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramusVIIIGranularLayer",
    name="pyramus (VIII), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramus_viii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10731",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramusVIIIMolecularLayer",
    name="pyramus (VIII), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_pyramus_viii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_pyramusVIIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10730",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_pyramusVIIIPurkinjeLayer",
    name="pyramus (VIII), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_red_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_redNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "214",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_redNucleus",
    name="red nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_reticular_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_reticularNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "262",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_reticularNucleusOfTheThalamus",
    name="reticular nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_reticulocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_reticulocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "410",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_reticulocerebellarTract",
    name="reticulocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retina",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "304325711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7F2E7E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retina",
    name="retina",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retriculospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retriculospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "855",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retriculospinalTract",
    name="retriculospinal tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retriculospinal_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retriculospinalTractLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "205",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retriculospinalTractLateralPart",
    name="retriculospinal tract, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retriculospinal_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retriculospinalTractMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "213",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retriculospinalTractMedialPart",
    name="retriculospinal tract, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrochiasmatic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrochiasmaticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "173",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrochiasmaticArea",
    name="retrochiasmatic area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrohippocampal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrohippocampalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "822",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrohippocampalRegion",
    name="retrohippocampal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "254",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialArea",
    name="retrosplenial area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "879",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPart",
    name="retrosplenial area, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "442",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer1",
    name="retrosplenial area, dorsal part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "434",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer2-3",
    name="retrosplenial area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "545",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer4",
    name="retrosplenial area, dorsal part, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "610",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer5",
    name="retrosplenial area, dorsal part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "274",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer6a",
    name="retrosplenial area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "330",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaDorsalPartLayer6b",
    name="retrosplenial area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "894",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPart",
    name="retrosplenial area, lateral agranular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "671",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer1",
    name="retrosplenial area, lateral agranular part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "965",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer2-3",
    name="retrosplenial area, lateral agranular part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "774",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer5",
    name="retrosplenial area, lateral agranular part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "906",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer6a",
    name="retrosplenial area, lateral agranular part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_lateral_agranular_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "279",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaLateralAgranularPartLayer6b",
    name="retrosplenial area, lateral agranular part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "886",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPart",
    name="retrosplenial area, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "542",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer1",
    name="retrosplenial area, ventral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer2",
    name="retrosplenial area, ventral part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "430",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer2-3",
    name="retrosplenial area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "687",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer5",
    name="retrosplenial area, ventral part, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "590",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer6a",
    name="retrosplenial area, ventral part, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_retrosplenial_area_ventral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "622",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_retrosplenialAreaVentralPartLayer6b",
    name="retrosplenial area, ventral part, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rhinal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhinalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1071",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rhinalFissure",
    name="rhinal fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rhinal_incisure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhinalIncisure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1078",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rhinalIncisure",
    name="rhinal incisure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rhinocele = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhinocele",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "89",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rhinocele",
    name="rhinocele",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rhomboid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rhomboidNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "189",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rhomboidNucleus",
    name="rhomboid nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_root = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_root",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "997",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_root",
    name="root",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostral_linear_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostralLinearNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "197",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostralLinearNucleusRaphe",
    name="rostral linear nucleus raphe",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782604",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer1",
    name="rostrolateral area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782608",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer2-3",
    name="rostrolateral area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782612",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer4",
    name="rostrolateral area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782616",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer5",
    name="rostrolateral area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782620",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer6a",
    name="rostrolateral area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782624",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralAreaLayer6b",
    name="rostrolateral area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149202",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualArea",
    name="rostrolateral lateral visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149206",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer1",
    name="rostrolateral lateral visual area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149210",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer2-3",
    name="rostrolateral lateral visual area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149214",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer4",
    name="rostrolateral lateral visual area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149222",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer6a",
    name="rostrolateral lateral visual area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149226",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualAreaLayer6b",
    name="rostrolateral lateral visual area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_lateral_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralLateralVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149218",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralLateralVisualArealayer5",
    name="rostrolateral lateral visual area,layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rostrolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rostrolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "417",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rostrolateralVisualArea",
    name="rostrolateral visual area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rubroreticular_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rubroreticularTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "221",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rubroreticularTract",
    name="rubroreticular tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_rubrospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_rubrospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "863",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_rubrospinalTract",
    name="rubrospinal tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "3",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryFissure",
    name="secondary fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "993",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorArea",
    name="secondary motor area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "656",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorAreaLayer1",
    name="secondary motor area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "962",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorAreaLayer2-3",
    name="secondary motor area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "767",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorAreaLayer5",
    name="secondary motor area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1021",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorAreaLayer6a",
    name="secondary motor area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_secondary_motor_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_secondaryMotorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1085",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_secondaryMotorAreaLayer6b",
    name="secondary motor area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_sensory_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_sensoryRootOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "229",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_sensoryRootOfTheTrigeminalNerve",
    name="sensory root of the trigeminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_septofimbrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_septofimbrialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "310",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_septofimbrialNucleus",
    name="septofimbrial nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_septohippocampal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_septohippocampalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "333",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_septohippocampalNucleus",
    name="septohippocampal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_simple_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "25",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_simpleFissure",
    name="simple fissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_simple_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1007",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_simpleLobule",
    name="simple lobule",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_simple_lobule_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobuleGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_simpleLobuleGranularLayer",
    name="simple lobule, granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_simple_lobule_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobuleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10674",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_simpleLobuleMolecularLayer",
    name="simple lobule, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_simple_lobule_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_simpleLobulePurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10673",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_simpleLobulePurkinjeLayer",
    name="simple lobule, Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_solitaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "237",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_solitaryTract",
    name="solitary tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "500",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreas",
    name="somatomotor areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "107",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreasLayer1",
    name="somatomotor areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "219",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreasLayer2-3",
    name="somatomotor areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "299",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreasLayer5",
    name="somatomotor areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "644",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreasLayer6a",
    name="somatomotor areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatomotor_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatomotorAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "947",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatomotorAreasLayer6b",
    name="somatomotor areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "453",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreas",
    name="somatosensory areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12993",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer1",
    name="somatosensory areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12994",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer2-3",
    name="somatosensory areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12995",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer4",
    name="somatosensory areas, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12996",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer5",
    name="somatosensory areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12997",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer6a",
    name="somatosensory areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_somatosensory_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_somatosensoryAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12998",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_somatosensoryAreasLayer6b",
    name="somatosensory areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalCaudalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "429",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalCaudalPart",
    name="spinal nucleus of the trigeminal, caudal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_interpolar_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalInterpolarPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "437",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalInterpolarPart",
    name="spinal nucleus of the trigeminal, interpolar part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "445",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPart",
    name="spinal nucleus of the trigeminal, oral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part_caudal_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "77",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialPart",
    name="spinal nucleus of the trigeminal, oral part, caudal dorsomedial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "53",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartDorsalZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial part, dorsal zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "61",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartVentralZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial part, ventral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part_rostral_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "45",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialPart",
    name="spinal nucleus of the trigeminal, oral part, rostral dorsomedial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_nucleus_of_the_trigeminal_oral_part_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "69",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    name="spinal nucleus of the trigeminal, oral part, ventrolateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_tract_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalTractOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "794",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalTractOfTheTrigeminalNerve",
    name="spinal tract of the trigeminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinal_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinalVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "225",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinalVestibularNucleus",
    name="spinal vestibular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "85",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinocerebellarTract",
    name="spinocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinocervical_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinocervicalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "245",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinocervicalTract",
    name="spinocervical tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinohypothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinohypothalamicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "253",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinohypothalamicPathway",
    name="spinohypothalamic pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinoolivary_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinoolivaryPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "261",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinoolivaryPathway",
    name="spino-olivary pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinoreticular_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinoreticularPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "270",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinoreticularPathway",
    name="spinoreticular pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinotectal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinotectalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "277",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinotectalPathway",
    name="spinotectal pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinotelenchephalic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinotelenchephalicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "285",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinotelenchephalicPathway",
    name="spinotelenchephalic pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "871",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinothalamicTract",
    name="spinothalamic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_spinovestibular_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_spinovestibularPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "293",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_spinovestibularPathway",
    name="spinovestibular pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striaMedullaris",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "802",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striaMedullaris",
    name="stria medullaris",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "301",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striaTerminalis",
    name="stria terminalis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_striatonigral_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatonigralPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "309",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striatonigralPathway",
    name="striatonigral pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "477",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striatum",
    name="striatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_striatum_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatumDorsalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "485",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striatumDorsalRegion",
    name="striatum dorsal region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_striatum_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatumVentralRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "493",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striatumVentralRegion",
    name="striatum ventral region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_striatumlike_amygdalar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_striatumlikeAmygdalarNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "278",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_striatumlikeAmygdalarNuclei",
    name="striatum-like amygdalar nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subceruleus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subceruleusNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "350",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subceruleusNucleus",
    name="subceruleus nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subependymal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subependymalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "98",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subependymalZone",
    name="subependymal zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subfornical_organ = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subfornicalOrgan",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "338",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subfornicalOrgan",
    name="subfornical organ",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subgeniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subgeniculateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "321",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subgeniculateNucleus",
    name="subgeniculate nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "502",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculum",
    name="subiculum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "509",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumDorsalPart",
    name="subiculum, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_dorsal_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "829",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumDorsalPartMolecularLayer",
    name="subiculum, dorsal part, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_dorsal_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "845",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4BB547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumDorsalPartPyramidalLayer",
    name="subiculum, dorsal part, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_dorsal_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumDorsalPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "837",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumDorsalPartStratumRadiatum",
    name="subiculum, dorsal part, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "518",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumVentralPart",
    name="subiculum, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_ventral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "853",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumVentralPartMolecularLayer",
    name="subiculum, ventral part, molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_ventral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "870",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4BB547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumVentralPartPyramidalLayer",
    name="subiculum, ventral part, pyramidal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subiculum_ventral_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subiculumVentralPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "861",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subiculumVentralPartStratumRadiatum",
    name="subiculum, ventral part, stratum radiatum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_sublaterodorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_sublaterodorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "358",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_sublaterodorsalNucleus",
    name="sublaterodorsal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_submedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_submedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "366",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_submedialNucleusOfTheThalamus",
    name="submedial nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subparafascicular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "609",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subparafascicularArea",
    name="subparafascicular area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subparafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "406",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subparafascicularNucleus",
    name="subparafascicular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subparafascicular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "414",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subparafascicularNucleusMagnocellularPart",
    name="subparafascicular nucleus, magnocellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subparafascicular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparafascicularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "422",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subparafascicularNucleusParvicellularPart",
    name="subparafascicular nucleus, parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subparaventricular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subparaventricularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "347",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subparaventricularZone",
    name="subparaventricular zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_substantia_innominata = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaInnominata",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "342",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_substantiaInnominata",
    name="substantia innominata",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_substantia_nigra_compact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaNigraCompactPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "374",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_substantiaNigraCompactPart",
    name="substantia nigra, compact part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_substantia_nigra_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaNigraLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "615",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_substantiaNigraLateralPart",
    name="substantia nigra, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_substantia_nigra_reticular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_substantiaNigraReticularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "381",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_substantiaNigraReticularPart",
    name="substantia nigra, reticular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subthalamic_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subthalamicFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "317",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subthalamicFascicle",
    name="subthalamic fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_subthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_subthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "470",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_subthalamicNucleus",
    name="subthalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_central_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCentralNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "679",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorCentralNucleusRaphe",
    name="superior central nucleus raphe",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_central_nucleus_raphe_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCentralNucleusRapheLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "137",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorCentralNucleusRapheLateralPart",
    name="superior central nucleus raphe, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_central_nucleus_raphe_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCentralNucleusRapheMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "130",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorCentralNucleusRapheMedialPart",
    name="superior central nucleus raphe, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_cerebelar_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCerebelarPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "326",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorCerebelarPeduncles",
    name="superior cerebelar peduncles",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_cerebellar_peduncle_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorCerebellarPeduncleDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "812",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorCerebellarPeduncleDecussation",
    name="superior cerebellar peduncle decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "336",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusCommissure",
    name="superior colliculus commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "294",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelated",
    name="superior colliculus, motor related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_deep_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedDeepGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "26",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedDeepGrayLayer",
    name="superior colliculus, motor related, deep gray layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_deep_white_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedDeepWhiteLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "42",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedDeepWhiteLayer",
    name="superior colliculus, motor related, deep white layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_intermediate_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayer",
    name="superior colliculus, motor related, intermediate gray layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerA",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "494",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerA",
    name="superior colliculus, motor related, intermediate gray layer, sublayer a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerB",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "503",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerB",
    name="superior colliculus, motor related, intermediate gray layer, sublayer b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_c = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerC",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "511",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerC",
    name="superior colliculus, motor related, intermediate gray layer, sublayer c",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_motor_related_intermediate_white_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateWhiteLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "17",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusMotorRelatedIntermediateWhiteLayer",
    name="superior colliculus, motor related, intermediate white layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_optic_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusOpticLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "851",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusOpticLayer",
    name="superior colliculus, optic layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "302",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusSensoryRelated",
    name="superior colliculus, sensory related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_superficial_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusSuperficialGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "842",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusSuperficialGrayLayer",
    name="superior colliculus, superficial gray layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_colliculus_zonal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorColliculusZonalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "834",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorColliculusZonalLayer",
    name="superior colliculus, zonal layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_olivary_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "398",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorOlivaryComplex",
    name="superior olivary complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_olivary_complex_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplexLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorOlivaryComplexLateralPart",
    name="superior olivary complex, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_olivary_complex_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplexMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "105",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorOlivaryComplexMedialPart",
    name="superior olivary complex, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_olivary_complex_periolivary_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorOlivaryComplexPeriolivaryRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "122",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorOlivaryComplexPeriolivaryRegion",
    name="superior olivary complex, periolivary region",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorSalivatoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "462",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorSalivatoryNucleus",
    name="superior salivatory nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_superior_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_superiorVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "217",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_superiorVestibularNucleus",
    name="superior vestibular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "378",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryArea",
    name="supplemental somatosensory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "873",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer1",
    name="supplemental somatosensory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "806",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer2-3",
    name="supplemental somatosensory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1035",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer4",
    name="supplemental somatosensory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1090",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer5",
    name="supplemental somatosensory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "862",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer6a",
    name="supplemental somatosensory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supplemental_somatosensory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "893",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supplementalSomatosensoryAreaLayer6b",
    name="supplemental somatosensory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supracallosal_cerebral_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supracallosalCerebralWhiteMatter",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682512",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supracallosalCerebralWhiteMatter",
    name="supra-callosal cerebral white matter",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_suprachiasmatic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_suprachiasmaticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "286",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_suprachiasmaticNucleus",
    name="suprachiasmatic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_suprachiasmatic_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_suprachiasmaticPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1124",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_suprachiasmaticPreopticNucleus",
    name="suprachiasmatic preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_suprageniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_suprageniculateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "325",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_suprageniculateNucleus",
    name="suprageniculate nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supragenual_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supragenualNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "318",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supragenualNucleus",
    name="supragenual nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supramammillary_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "341",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supramammillaryDecussation",
    name="supramammillary decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supramammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "525",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supramammillaryNucleus",
    name="supramammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supramammillary_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supramammillaryNucleusLateralPart",
    name="supramammillary nucleus, lateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supramammillary_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supramammillaryNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1118",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supramammillaryNucleusMedialPart",
    name="supramammillary nucleus, medial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supraoptic_commissures = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissures",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "349",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supraopticCommissures",
    name="supraoptic commissures",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supraoptic_commissures_anterior = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissuresAnterior",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "817",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supraopticCommissuresAnterior",
    name="supraoptic commissures, anterior",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supraoptic_commissures_dorsal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissuresDorsal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "825",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supraopticCommissuresDorsal",
    name="supraoptic commissures, dorsal",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supraoptic_commissures_ventral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticCommissuresVentral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "833",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supraopticCommissuresVentral",
    name="supraoptic commissures, ventral",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supraoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supraopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "390",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supraopticNucleus",
    name="supraoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_supratrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_supratrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "534",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_supratrigeminalNucleus",
    name="supratrigeminal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTecta",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "589",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTecta",
    name="taenia tecta",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "597",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPart",
    name="taenia tecta, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1034",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer1",
    name="taenia tecta, dorsal part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1042",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer2",
    name="taenia tecta, dorsal part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1050",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer3",
    name="taenia tecta, dorsal part, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1059",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPartLayer4",
    name="taenia tecta, dorsal part, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_dorsal_part_layers14 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaDorsalPartLayers14",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "297",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaDorsalPartLayers14",
    name="taenia tecta, dorsal part, layers 1-4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "605",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaVentralPart",
    name="taenia tecta, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1067",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaVentralPartLayer1",
    name="taenia tecta, ventral part, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_ventral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1075",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaVentralPartLayer2",
    name="taenia tecta, ventral part, layer 2",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_ventral_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1082",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaVentralPartLayer3",
    name="taenia tecta, ventral part, layer 3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_taenia_tecta_ventral_part_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_taeniaTectaVentralPartLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "306",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_taeniaTectaVentralPartLayers13",
    name="taenia tecta, ventral part, layers 1-3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "877",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tectospinalPathway",
    name="tectospinal pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tectothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tectothalamicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "357",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tectothalamicPathway",
    name="tectothalamic pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tegmental_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tegmentalReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "574",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tegmentalReticularNucleus",
    name="tegmental reticular nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "541",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreas",
    name="temporal association areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "97",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer1",
    name="temporal association areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer2-3",
    name="temporal association areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "234",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer4",
    name="temporal association areas, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "289",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer5",
    name="temporal association areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "729",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer6a",
    name="temporal association areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_temporal_association_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_temporalAssociationAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "786",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_temporalAssociationAreasLayer6b",
    name="temporal association areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_terminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_terminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "885",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_terminalNerve",
    name="terminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_thalamic_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamicPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "365",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thalamicPeduncles",
    name="thalamic peduncles",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thalamus",
    name="thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_thalamus_polymodal_association_cortex_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamusPolymodalAssociationCortexRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "856",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thalamusPolymodalAssociationCortexRelated",
    name="thalamus, polymodal association cortex related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_thalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "896",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thalamusRelated",
    name="thalamus related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_thalamus_sensorymotor_cortex_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thalamusSensorymotorCortexRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "864",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thalamusSensorymotorCortexRelated",
    name="thalamus, sensory-motor cortex related",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_third_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_thirdVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_thirdVentricle",
    name="third ventricle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trapezoidBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "841",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trapezoidBody",
    name="trapezoid body",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_triangular_nucleus_of_septum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_triangularNucleusOfSeptum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "581",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_triangularNucleusOfSeptum",
    name="triangular nucleus of septum",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "901",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trigeminalNerve",
    name="trigeminal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trigeminocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trigeminocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "373",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trigeminocerebellarTract",
    name="trigeminocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "911",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trochlearNerve",
    name="trochlear nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trochlear_nerve_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trochlearNerveDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "384",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trochlearNerveDecussation",
    name="trochlear nerve decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_trochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_trochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "115",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_trochlearNucleus",
    name="trochlear nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tuberal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "614",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tuberalNucleus",
    name="tuberal nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tuberomammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberomammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "557",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tuberomammillaryNucleus",
    name="tuberomammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tuberomammillary_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberomammillaryNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tuberomammillaryNucleusDorsalPart",
    name="tuberomammillary nucleus, dorsal part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_tuberomammillary_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_tuberomammillaryNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_tuberomammillaryNucleusVentralPart",
    name="tuberomammillary nucleus, ventral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_uncinate_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uncinateFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "850",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_uncinateFascicle",
    name="uncinate fascicle",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_uvula_ix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "957",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_uvulaIX",
    name="uvula (IX)",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_uvula_ix_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIXGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10732",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_uvulaIXGranularLayer",
    name="uvula (IX), granular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_uvula_ix_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIXMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10734",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_uvulaIXMolecularLayer",
    name="uvula (IX), molecular layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_uvula_ix_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_uvulaIXPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10733",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_uvulaIXPurkinjeLayer",
    name="uvula (IX), Purkinje layer",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vagusNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "917",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vagusNerve",
    name="vagus nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vascular_organ_of_the_lamina_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vascularOrganOfTheLaminaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "763",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vascularOrganOfTheLaminaTerminalis",
    name="vascular organ of the lamina terminalis",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_anteriorlateral_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAnteriorlateralComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "629",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAnteriorlateralComplexOfTheThalamus",
    name="ventral anterior-lateral complex of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1018",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryArea",
    name="ventral auditory area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "959",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer1",
    name="ventral auditory area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "755",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer2-3",
    name="ventral auditory area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "990",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer4",
    name="ventral auditory area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1023",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer5",
    name="ventral auditory area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "520",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer6a",
    name="ventral auditory area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "598",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralAuditoryAreaLayer6b",
    name="ventral auditory area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralCochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "101",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralCochlearNucleus",
    name="ventral cochlear nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_commissure_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralCommissureOfTheSpinalCord",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "858",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralCommissureOfTheSpinalCord",
    name="ventral commissure of the spinal cord",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "637",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralGroupOfTheDorsalThalamus",
    name="ventral group of the dorsal thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralHippocampalCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "449",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_medial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralMedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "685",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralMedialNucleusOfTheThalamus",
    name="ventral medial nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_part_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "178",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplex",
    name="ventral part of the lateral geniculate complex",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_part_of_the_lateral_geniculate_complex_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplexLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "300",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplexLateralZone",
    name="ventral part of the lateral geniculate complex, lateral zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_part_of_the_lateral_geniculate_complex_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplexMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "316",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPartOfTheLateralGeniculateComplexMedialZone",
    name="ventral part of the lateral geniculate complex, medial zone",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_posterior_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosteriorComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPosteriorComplexOfTheThalamus",
    name="ventral posterior complex of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_posterolateral_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosterolateralNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "718",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPosterolateralNucleusOfTheThalamus",
    name="ventral posterolateral nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_posterolateral_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosterolateralNucleusOfTheThalamusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "725",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPosterolateralNucleusOfTheThalamusParvicellularPart",
    name="ventral posterolateral nucleus of the thalamus, parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_posteromedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosteromedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "733",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPosteromedialNucleusOfTheThalamus",
    name="ventral posteromedial nucleus of the thalamus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_posteromedial_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPosteromedialNucleusOfTheThalamusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "741",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPosteromedialNucleusOfTheThalamusParvicellularPart",
    name="ventral posteromedial nucleus of the thalamus, parvicellular part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_premammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralPremammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1004",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralPremammillaryNucleus",
    name="ventral premammillary nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_roots = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralRoots",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "925",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralRoots",
    name="ventral roots",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralSpinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "866",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralSpinocerebellarTract",
    name="ventral spinocerebellar tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralSpinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "389",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralSpinothalamicTract",
    name="ventral spinothalamic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_tegmental_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralTegmentalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "749",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralTegmentalArea",
    name="ventral tegmental area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_tegmental_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralTegmentalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "397",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralTegmentalDecussation",
    name="ventral tegmental decussation",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventral_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventralTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "757",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventralTegmentalNucleus",
    name="ventral tegmental nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventricular_systems = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventricularSystems",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "73",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventricularSystems",
    name="ventricular systems",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventrolateral_hypothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventrolateralHypothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "405",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventrolateralHypothalamicTract",
    name="ventrolateral hypothalamic tract",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventrolateral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventrolateralPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventrolateralPreopticNucleus",
    name="ventrolateral preoptic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventromedial_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventromedialHypothalamicNucleus",
    name="ventromedial hypothalamic nucleus",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventromedial_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "761",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventromedialHypothalamicNucleusAnteriorPart",
    name="ventromedial hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventromedial_hypothalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "769",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventromedialHypothalamicNucleusCentralPart",
    name="ventromedial hypothalamic nucleus, central part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventromedial_hypothalamic_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "777",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventromedialHypothalamicNucleusDorsomedialPart",
    name="ventromedial hypothalamic nucleus, dorsomedial part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_ventromedial_hypothalamic_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_ventromedialHypothalamicNucleusVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "785",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_ventromedialHypothalamicNucleusVentrolateralPart",
    name="ventromedial hypothalamic nucleus, ventrolateral part",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vermal_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vermalRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "645",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vermalRegions",
    name="vermal regions",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibularNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "413",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vestibularNerve",
    name="vestibular nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vestibular_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibularNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vestibularNuclei",
    name="vestibular nuclei",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vestibulocochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibulocochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "933",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vestibulocochlearNerve",
    name="vestibulocochlear nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vestibulospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vestibulospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "941",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vestibulospinalPathway",
    name="vestibulospinal pathway",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "677",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralArea",
    name="visceral area",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "897",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer1",
    name="visceral area, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1106",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer2-3",
    name="visceral area, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1010",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer4",
    name="visceral area, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1058",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer5",
    name="visceral area, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "857",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer6a",
    name="visceral area, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visceral_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visceralAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "849",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visceralAreaLayer6b",
    name="visceral area, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "669",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreas",
    name="visual areas",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "801",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer1",
    name="visual areas, layer 1",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "561",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer2-3",
    name="visual areas, layer 2/3",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "913",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer4",
    name="visual areas, layer 4",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "937",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer5",
    name="visual areas, layer 5",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "457",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer6a",
    name="visual areas, layer 6a",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_visual_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_visualAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "497",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_visualAreasLayer6b",
    name="visual areas, layer 6b",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_vomeronasal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_vomeronasalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "949",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_vomeronasalNerve",
    name="vomeronasal nerve",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2015_zona_incerta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2015_zonaIncerta",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "797",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2015_zonaIncerta",
    name="zona incerta",
    version_identifier="CCFv3, 2015",
)
ParcellationEntityVersion.amba_cc_fv3_2017_abducens_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_abducensNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "710",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_abducensNerve",
    name="abducens nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_abducensNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "653",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_abducensNucleus",
    name="abducens nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryAbducensNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "568",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryAbducensNucleus",
    name="accessory abducens nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_facial_motor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryFacialMotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "576",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryFacialMotorNucleus",
    name="accessory facial motor nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "151",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOlfactoryBulb",
    name="accessory olfactory bulb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_olfactory_bulb_glomerular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulbGlomerularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "188",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOlfactoryBulbGlomerularLayer",
    name="accessory olfactory bulb, glomerular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_olfactory_bulb_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulbGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "196",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOlfactoryBulbGranularLayer",
    name="accessory olfactory bulb, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_olfactory_bulb_mitral_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryBulbMitralLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "204",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DF0D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOlfactoryBulbMitralLayer",
    name="accessory olfactory bulb, mitral layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "459",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOlfactoryTract",
    name="accessory olfactory tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "876",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryOpticTract",
    name="accessory optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_spinal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessorySpinalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "717",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessorySpinalNerve",
    name="accessory spinal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_supraoptic_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessorySupraopticGroup",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "332",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessorySupraopticGroup",
    name="accessory supraoptic group",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_accessory_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_accessoryTrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009219",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_accessoryTrigeminalNucleus",
    name="accessory trigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "95",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularArea",
    name="agranular insular area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "104",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPart",
    name="agranular insular area, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "996",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer1",
    name="agranular insular area, dorsal part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "328",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer2-3",
    name="agranular insular area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1101",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer5",
    name="agranular insular area, dorsal part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "783",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer6a",
    name="agranular insular area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "831",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaDorsalPartLayer6b",
    name="agranular insular area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "111",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPart",
    name="agranular insular area, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer1",
    name="agranular insular area, posterior part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "163",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer2-3",
    name="agranular insular area, posterior part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "344",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer5",
    name="agranular insular area, posterior part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "314",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer6a",
    name="agranular insular area, posterior part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_posterior_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "355",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaPosteriorPartLayer6b",
    name="agranular insular area, posterior part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPart",
    name="agranular insular area, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "704",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer1",
    name="agranular insular area, ventral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "694",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer2-3",
    name="agranular insular area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "800",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer5",
    name="agranular insular area, ventral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "675",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer6a",
    name="agranular insular area, ventral part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_agranular_insular_area_ventral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "699",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#219866"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_agranularInsularAreaVentralPartLayer6b",
    name="agranular insular area, ventral part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_alveus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_alveus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "466",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_alveus",
    name="alveus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ammons_horn = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ammonsHorn",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "375",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ammonsHorn",
    name="Ammon's horn",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_amygdalar_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_amygdalarCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "884",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_amygdalarCapsule",
    name="amygdalar capsule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_angular_path = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_angularPath",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "474",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_angularPath",
    name="angular path",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ansa_peduncularis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ansaPeduncularis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "892",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ansaPeduncularis",
    name="ansa peduncularis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ansiform_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ansiformLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1017",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ansiformLobule",
    name="ansiform lobule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ansoparamedian_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ansoparamedianFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "43",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ansoparamedianFissure",
    name="ansoparamedian fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_amygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAmygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "23",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAmygdalarArea",
    name="anterior amygdalar area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782546",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorArea",
    name="anterior area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782550",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer1",
    name="anterior area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782554",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer2-3",
    name="anterior area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782558",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer4",
    name="anterior area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782562",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer5",
    name="anterior area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782566",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer6a",
    name="anterior area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782570",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorAreaLayer6b",
    name="anterior area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "31",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateArea",
    name="anterior cingulate area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "39",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPart",
    name="anterior cingulate area, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "935",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer1",
    name="anterior cingulate area, dorsal part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "211",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer2-3",
    name="anterior cingulate area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1015",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer5",
    name="anterior cingulate area, dorsal part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "919",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer6a",
    name="anterior cingulate area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "927",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaDorsalPartLayer6b",
    name="anterior cingulate area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "572",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaLayer1",
    name="anterior cingulate area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1053",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaLayer2-3",
    name="anterior cingulate area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "739",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaLayer5",
    name="anterior cingulate area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "179",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaLayer6a",
    name="anterior cingulate area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "227",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaLayer6b",
    name="anterior cingulate area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "48",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart",
    name="anterior cingulate area, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "810",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart6a",
    name="anterior cingulate area, ventral part, 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "819",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPart6b",
    name="anterior cingulate area, ventral part, 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "588",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer1",
    name="anterior cingulate area, ventral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "296",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer2-3",
    name="anterior cingulate area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_cingulate_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "772",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#40A666"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCingulateAreaVentralPartLayer5",
    name="anterior cingulate area, ventral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_commissure_olfactory_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCommissureOlfactoryLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "900",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCommissureOlfactoryLimb",
    name="anterior commissure, olfactory limb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_commissure_temporal_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorCommissureTemporalLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "908",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorCommissureTemporalLimb",
    name="anterior commissure, temporal limb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "239",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorGroupOfTheDorsalThalamus",
    name="anterior group of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "80",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicArea",
    name="anterior hypothalamic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "88",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicNucleus",
    name="anterior hypothalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "700",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicNucleusAnteriorPart",
    name="anterior hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "708",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicNucleusCentralPart",
    name="anterior hypothalamic nucleus, central part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "716",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicNucleusDorsalPart",
    name="anterior hypothalamic nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorHypothalamicNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "724",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorHypothalamicNucleusPosteriorPart",
    name="anterior hypothalamic nucleus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "159",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleus",
    name="anterior olfactory nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "167",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusDorsalPart",
    name="anterior olfactory nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_external_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusExternalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "175",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusExternalPart",
    name="anterior olfactory nucleus, external part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "183",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusLateralPart",
    name="anterior olfactory nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "160",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusLayer1",
    name="anterior olfactory nucleus, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "168",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusLayer2",
    name="anterior olfactory nucleus, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "191",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusMedialPart",
    name="anterior olfactory nucleus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_olfactory_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorOlfactoryNucleusPosteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "199",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#54BF94"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorOlfactoryNucleusPosteroventralPart",
    name="anterior olfactory nucleus, posteroventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "215",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorPretectalNucleus",
    name="anterior pretectal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterior_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteriorTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "231",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteriorTegmentalNucleus",
    name="anterior tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterodorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterodorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "64",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterodorsalNucleus",
    name="anterodorsal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterodorsalPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "72",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterodorsalPreopticNucleus",
    name="anterodorsal preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "402",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualArea",
    name="anterolateral visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1074",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer1",
    name="anterolateral visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "905",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer2-3",
    name="anterolateral visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer4",
    name="anterolateral visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "233",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer5",
    name="anterolateral visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "601",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer6a",
    name="anterolateral visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anterolateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anterolateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "649",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anterolateralVisualAreaLayer6b",
    name="anterolateral visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialNucleus",
    name="anteromedial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1096",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialNucleusDorsalPart",
    name="anteromedial nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1104",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialNucleusVentralPart",
    name="anteromedial nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "394",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualArea",
    name="anteromedial visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "281",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer1",
    name="anteromedial visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1066",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer2-3",
    name="anteromedial visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "401",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer4",
    name="anteromedial visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "433",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer5",
    name="anteromedial visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1046",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer6a",
    name="anteromedial visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteromedial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteromedialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "441",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteromedialVisualAreaLayer6b",
    name="anteromedial visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteroventral_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteroventralNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "255",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteroventralNucleusOfThalamus",
    name="anteroventral nucleus of thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteroventral_periventricular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteroventralPeriventricularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "272",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteroventralPeriventricularNucleus",
    name="anteroventral periventricular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_anteroventral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_anteroventralPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "263",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_anteroventralPreopticNucleus",
    name="anteroventral preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_arbor_vitae = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_arborVitae",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "728",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_arborVitae",
    name="arbor vitae",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_arcuate_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_arcuateHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "223",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_arcuateHypothalamicNucleus",
    name="arcuate hypothalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_area_postrema = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_areaPostrema",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "207",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_areaPostrema",
    name="area postrema",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_area_prostriata = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_areaProstriata",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682508",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#33B932"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_areaProstriata",
    name="area prostriata",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_auditory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_auditoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "247",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_auditoryAreas",
    name="auditory areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_auditory_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_auditoryRadiation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682524",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_auditoryRadiation",
    name="auditory radiation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_barringtons_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_barringtonsNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "280",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_barringtonsNucleus",
    name="Barrington's nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basic_cell_groups_and_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basicCellGroupsAndRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "8",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#BFDAE3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basicCellGroupsAndRegions",
    name="basic cell groups and regions",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basolateral_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "295",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basolateralAmygdalarNucleus",
    name="basolateral amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basolateral_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "303",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basolateralAmygdalarNucleusAnteriorPart",
    name="basolateral amygdalar nucleus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basolateral_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "311",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basolateralAmygdalarNucleusPosteriorPart",
    name="basolateral amygdalar nucleus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basolateral_amygdalar_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basolateralAmygdalarNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "451",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9DE79C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basolateralAmygdalarNucleusVentralPart",
    name="basolateral amygdalar nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basomedial_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basomedialAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "319",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basomedialAmygdalarNucleus",
    name="basomedial amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basomedial_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basomedialAmygdalarNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "327",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basomedialAmygdalarNucleusAnteriorPart",
    name="basomedial amygdalar nucleus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_basomedial_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_basomedialAmygdalarNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "334",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#84EA81"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_basomedialAmygdalarNucleusPosteriorPart",
    name="basomedial amygdalar nucleus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "351",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalis",
    name="bed nuclei of the stria terminalis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "359",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivision",
    name="bed nuclei of the stria terminalis, anterior division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_anterolateral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnterolateralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "537",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnterolateralArea",
    name="bed nuclei of the stria terminalis, anterior division, anterolateral area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_anteromedial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnteromedialArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "498",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionAnteromedialArea",
    name="bed nuclei of the stria terminalis, anterior division, anteromedial area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_dorsomedial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "505",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    name="bed nuclei of the stria terminalis, anterior division, dorsomedial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_fusiform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionFusiformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "513",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionFusiformNucleus",
    name="bed nuclei of the stria terminalis, anterior division, fusiform nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_juxtacapsular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "546",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    name="bed nuclei of the stria terminalis, anterior division, juxtacapsular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_magnocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "521",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    name="bed nuclei of the stria terminalis, anterior division, magnocellular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_oval_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionOvalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "554",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionOvalNucleus",
    name="bed nuclei of the stria terminalis, anterior division, oval nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_rhomboid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionRhomboidNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "562",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionRhomboidNucleus",
    name="bed nuclei of the stria terminalis, anterior division, rhomboid nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_anterior_division_ventral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionVentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "529",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisAnteriorDivisionVentralNucleus",
    name="bed nuclei of the stria terminalis, anterior division, ventral nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "367",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivision",
    name="bed nuclei of the stria terminalis, posterior division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionDorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "569",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionDorsalNucleus",
    name="bed nuclei of the stria terminalis, posterior division, dorsal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division_interfascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "585",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    name="bed nuclei of the stria terminalis, posterior division, interfascicular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division_principal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionPrincipalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "578",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionPrincipalNucleus",
    name="bed nuclei of the stria terminalis, posterior division, principal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division_strial_extension = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionStrialExtension",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "602",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionStrialExtension",
    name="bed nuclei of the stria terminalis, posterior division, strial extension",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nuclei_of_the_stria_terminalis_posterior_division_transverse_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionTransverseNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "594",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleiOfTheStriaTerminalisPosteriorDivisionTransverseNucleus",
    name="bed nuclei of the stria terminalis, posterior division, transverse nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nucleus_of_the_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleusOfTheAccessoryOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "292",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleusOfTheAccessoryOlfactoryTract",
    name="bed nucleus of the accessory olfactory tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bed_nucleus_of_the_anterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bedNucleusOfTheAnteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "287",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bedNucleusOfTheAnteriorCommissure",
    name="bed nucleus of the anterior commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_brachiumOfTheInferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "482",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_brachiumOfTheInferiorColliculus",
    name="brachium of the inferior colliculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_brachiumOfTheSuperiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "916",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_brain_stem = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_brainStem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "343",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_brainStem",
    name="brain stem",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_bulbocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_bulbocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "490",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_bulbocerebellarTract",
    name="bulbocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_caudoputamen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_caudoputamen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_caudoputamen",
    name="caudoputamen",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "536",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralAmygdalarNucleus",
    name="central amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_amygdalar_nucleus_capsular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleusCapsularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "544",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralAmygdalarNucleusCapsularPart",
    name="central amygdalar nucleus, capsular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_amygdalar_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "551",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralAmygdalarNucleusLateralPart",
    name="central amygdalar nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_amygdalar_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralAmygdalarNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "559",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralAmygdalarNucleusMedialPart",
    name="central amygdalar nucleus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_canal_spinal_cordmedulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralCanalSpinalCordmedulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "164",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralCanalSpinalCordmedulla",
    name="central canal, spinal cord/medulla",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_lateral_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralLateralNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "575",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralLateralNucleusOfTheThalamus",
    name="central lateral nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_linear_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralLinearNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "591",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralLinearNucleusRaphe",
    name="central linear nucleus raphe",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "920",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralLobule",
    name="central lobule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_medial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralMedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "599",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralMedialNucleusOfTheThalamus",
    name="central medial nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_central_tegmental_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_centralTegmentalBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "736",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_centralTegmentalBundle",
    name="central tegmental bundle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebal_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebalPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "924",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebalPeduncle",
    name="cerebal peduncle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "744",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarCommissure",
    name="cerebellar commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "528",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarCortex",
    name="cerebellar cortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_cortex_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortexGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarCortexGranularLayer",
    name="cerebellar cortex, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_cortex_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortexMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1144",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarCortexMolecularLayer",
    name="cerebellar cortex, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_cortex_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarCortexPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarCortexPurkinjeLayer",
    name="cerebellar cortex, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "519",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarNuclei",
    name="cerebellar nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellar_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellarPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "752",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellarPeduncles",
    name="cerebellar peduncles",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "512",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellum",
    name="cerebellum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebellum_related_fiber_tracts = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebellumRelatedFiberTracts",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "960",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebellumRelatedFiberTracts",
    name="cerebellum related fiber tracts",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebral_aqueduct = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralAqueduct",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebralAqueduct",
    name="cerebral aqueduct",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "688",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B0FFB8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebralCortex",
    name="cerebral cortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebral_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "623",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebralNuclei",
    name="cerebral nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebral_nuclei_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebralNucleiRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "760",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebralNucleiRelated",
    name="cerebral nuclei related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "567",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B0F0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebrum",
    name="cerebrum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cerebrum_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cerebrumRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "768",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cerebrumRelated",
    name="cerebrum related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cervicothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cervicothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "932",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cervicothalamicTract",
    name="cervicothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_choroid_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_choroidFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "116",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_choroidFissure",
    name="choroid fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_choroid_plexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_choroidPlexus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_choroidPlexus",
    name="choroid plexus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cingulum_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cingulumBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "940",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cingulumBundle",
    name="cingulum bundle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_claustrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_claustrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "583",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_claustrum",
    name="claustrum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "948",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cochlearNerve",
    name="cochlear nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cochlear_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cochlearNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cochlearNuclei",
    name="cochlear nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cochlear_nucleus_subpedunclular_granular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cochlearNucleusSubpedunclularGranularRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cochlearNucleusSubpedunclularGranularRegion",
    name="cochlear nucleus, subpedunclular granular region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_columns_of_the_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_columnsOfTheFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "436",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_columnsOfTheFornix",
    name="columns of the fornix",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_commissural_branch_of_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_commissuralBranchOfStriaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682528",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_commissuralBranchOfStriaTerminalis",
    name="commissural branch of stria terminalis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_copula_pyramidis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1033",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_copulaPyramidis",
    name="copula pyramidis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_copula_pyramidis_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidisGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10684",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_copulaPyramidisGranularLayer",
    name="copula pyramidis, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_copula_pyramidis_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidisMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10686",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_copulaPyramidisMolecularLayer",
    name="copula pyramidis, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_copula_pyramidis_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_copulaPyramidisPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10685",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_copulaPyramidisPurkinjeLayer",
    name="copula pyramidis, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "776",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosum",
    name="corpus callosum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_anterior_forceps = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumAnteriorForceps",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "956",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumAnteriorForceps",
    name="corpus callosum, anterior forceps",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682516",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumBody",
    name="corpus callosum, body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_extreme_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumExtremeCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "964",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumExtremeCapsule",
    name="corpus callosum, extreme capsule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_posterior_forceps = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumPosteriorForceps",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "971",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumPosteriorForceps",
    name="corpus callosum, posterior forceps",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_rostrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumRostrum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "979",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumRostrum",
    name="corpus callosum, rostrum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corpus_callosum_splenium = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corpusCallosumSplenium",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "986",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corpusCallosumSplenium",
    name="corpus callosum, splenium",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "631",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarArea",
    name="cortical amygdalar area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "639",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPart",
    name="cortical amygdalar area, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_anterior_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "192",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer1",
    name="cortical amygdalar area, anterior part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_anterior_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "200",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer2",
    name="cortical amygdalar area, anterior part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_anterior_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "208",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaAnteriorPartLayer3",
    name="cortical amygdalar area, anterior part, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "647",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPart",
    name="cortical amygdalar area, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "655",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZone",
    name="cortical amygdalar area, posterior part, lateral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "216",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer1",
    name="cortical amygdalar area, posterior part, lateral zone, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "224",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer2",
    name="cortical amygdalar area, posterior part, lateral zone, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "232",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayer3",
    name="cortical amygdalar area, posterior part, lateral zone, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone_layers12 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayers12",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "584",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayers12",
    name="cortical amygdalar area, posterior part, lateral zone, layers 1-2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_lateral_zone_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "376",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartLateralZoneLayers13",
    name="cortical amygdalar area, posterior part, lateral zone, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "663",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZone",
    name="cortical amygdalar area, posterior part, medial zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "240",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer1",
    name="cortical amygdalar area, posterior part, medial zone, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "248",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer2",
    name="cortical amygdalar area, posterior part, medial zone, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "256",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayer3",
    name="cortical amygdalar area, posterior part, medial zone, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone_layers12 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayers12",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "592",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayers12",
    name="cortical amygdalar area, posterior part, medial zone, layers 1-2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_amygdalar_area_posterior_part_medial_zone_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "383",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#61E7B7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalAmygdalarAreaPosteriorPartMedialZoneLayers13",
    name="cortical amygdalar area, posterior part, medial zone, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_plate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalPlate",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "695",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#70FF70"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalPlate",
    name="cortical plate",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cortical_subplate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticalSubplate",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "703",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticalSubplate",
    name="cortical subplate",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticobulbar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticobulbarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "994",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticobulbarTract",
    name="corticobulbar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticopontine_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticopontineTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1003",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticopontineTract",
    name="corticopontine tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticorubral_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticorubralTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1012",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticorubralTract",
    name="corticorubral tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "784",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticospinalTract",
    name="corticospinal tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticospinal_tract_crossed = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticospinalTractCrossed",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1019",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticospinalTractCrossed",
    name="corticospinal tract, crossed",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticospinal_tract_uncrossed = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticospinalTractUncrossed",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1028",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticospinalTractUncrossed",
    name="corticospinal tract, uncrossed",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_corticotectal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_corticotectalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1036",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_corticotectalTract",
    name="corticotectal tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cranial_nerves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cranialNerves",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "967",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cranialNerves",
    name="cranial nerves",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crossed_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crossedTectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1043",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crossedTectospinalPathway",
    name="crossed tectospinal pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1056",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus1",
    name="crus 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus1_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1GranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10675",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus1GranularLayer",
    name="crus 1, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus1_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1MolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10677",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus1MolecularLayer",
    name="crus 1, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus1_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus1PurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10676",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus1PurkinjeLayer",
    name="crus 1, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1064",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus2",
    name="crus 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus2_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2GranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10678",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus2GranularLayer",
    name="crus 2, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus2_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2MolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10680",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus2MolecularLayer",
    name="crus 2, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_crus2_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_crus2PurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10679",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_crus2PurkinjeLayer",
    name="crus 2, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_culmen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_culmen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "928",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_culmen",
    name="culmen",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cuneate_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneateFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "380",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cuneateFascicle",
    name="cuneate fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cuneate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cuneateNucleus",
    name="cuneate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cuneiform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneiformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "616",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cuneiformNucleus",
    name="cuneiform nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_cuneocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_cuneocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "499",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_cuneocerebellarTract",
    name="cuneocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_declive_vi = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVI",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "936",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_decliveVI",
    name="declive (VI)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_declive_vi_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10723",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_decliveVIGranularLayer",
    name="declive (VI), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_declive_vi_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10725",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_decliveVIMolecularLayer",
    name="declive (VI), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_declive_vi_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_decliveVIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10724",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_decliveVIPurkinjeLayer",
    name="declive (VI), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "726",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrus",
    name="dentate gyrus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_crest = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrest",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "734",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusCrest",
    name="dentate gyrus crest",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_crest_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrestGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "758",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusCrestGranuleCellLayer",
    name="dentate gyrus crest, granule cell layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_crest_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrestMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "742",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusCrestMolecularLayer",
    name="dentate gyrus crest, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_crest_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusCrestPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "751",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusCrestPolymorphLayer",
    name="dentate gyrus crest, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "632",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusGranuleCellLayer",
    name="dentate gyrus, granule cell layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_lateral_blade = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBlade",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "766",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusLateralBlade",
    name="dentate gyrus lateral blade",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_lateral_blade_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBladeGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "790",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusLateralBladeGranuleCellLayer",
    name="dentate gyrus lateral blade, granule cell layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_lateral_blade_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBladeMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "775",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusLateralBladeMolecularLayer",
    name="dentate gyrus lateral blade, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_lateral_blade_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusLateralBladePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "782",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusLateralBladePolymorphLayer",
    name="dentate gyrus lateral blade, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_medial_blade = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBlade",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "799",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusMedialBlade",
    name="dentate gyrus medial blade",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_medial_blade_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBladeGranuleCellLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "823",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusMedialBladeGranuleCellLayer",
    name="dentate gyrus medial blade, granule cell layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_medial_blade_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBladeMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "807",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusMedialBladeMolecularLayer",
    name="dentate gyrus medial blade, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_medial_blade_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMedialBladePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "815",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusMedialBladePolymorphLayer",
    name="dentate gyrus medial blade, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10703",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusMolecularLayer",
    name="dentate gyrus, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10704",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusPolymorphLayer",
    name="dentate gyrus, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_gyrus_subgranular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateGyrusSubgranularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10702",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateGyrusSubgranularZone",
    name="dentate gyrus, subgranular zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dentate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dentateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "846",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dentateNucleus",
    name="dentate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_diagonal_band_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_diagonalBandNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "596",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_diagonalBandNucleus",
    name="diagonal band nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_direct_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_directTectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1051",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_directTectospinalPathway",
    name="direct tectospinal pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dopaminergic_a13_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dopaminergicA13Group",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "796",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dopaminergicA13Group",
    name="dopaminergic A13 group",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_doral_tegmental_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_doralTegmentalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1060",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_doralTegmentalDecussation",
    name="doral tegmental decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_acoustic_stria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAcousticStria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "506",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAcousticStria",
    name="dorsal acoustic stria",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1011",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryArea",
    name="dorsal auditory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "527",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer1",
    name="dorsal auditory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "600",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer2-3",
    name="dorsal auditory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "678",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer4",
    name="dorsal auditory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "252",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer5",
    name="dorsal auditory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "156",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer6a",
    name="dorsal auditory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "243",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalAuditoryAreaLayer6b",
    name="dorsal auditory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalCochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "96",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalCochlearNucleus",
    name="dorsal cochlear nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_column = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalColumn",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "514",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalColumn",
    name="dorsal column",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_column_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalColumnNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "720",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalColumnNuclei",
    name="dorsal column nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_commissure_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalCommissureOfTheSpinalCord",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "522",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalCommissureOfTheSpinalCord",
    name="dorsal commissure of the spinal cord",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "530",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalFornix",
    name="dorsal fornix",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalHippocampalCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "443",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalHippocampalCommissure",
    name="dorsal hippocampal commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "538",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalLimb",
    name="dorsal limb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_longitudinal_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalLongitudinalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "547",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalLongitudinalFascicle",
    name="dorsal longitudinal fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_motor_nucleus_of_the_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalMotorNucleusOfTheVagusNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "839",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalMotorNucleusOfTheVagusNerve",
    name="dorsal motor nucleus of the vagus nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "872",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalNucleusRaphe",
    name="dorsal nucleus raphe",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_part_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "170",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplex",
    name="dorsal part of the lateral geniculate complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_part_of_the_lateral_geniculate_complex_core = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexCore",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345668",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexCore",
    name="dorsal part of the lateral geniculate complex, core",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_part_of_the_lateral_geniculate_complex_ipsilateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexIpsilateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexIpsilateralZone",
    name="dorsal part of the lateral geniculate complex, ipsilateral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_part_of_the_lateral_geniculate_complex_shell = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexShell",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496345664",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPartOfTheLateralGeniculateComplexShell",
    name="dorsal part of the lateral geniculate complex, shell",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "814",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularArea",
    name="dorsal peduncular area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "496",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularAreaLayer1",
    name="dorsal peduncular area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "535",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularAreaLayer2",
    name="dorsal peduncular area, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "360",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularAreaLayer2-3",
    name="dorsal peduncular area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "646",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularAreaLayer5",
    name="dorsal peduncular area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_peduncular_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPeduncularAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "267",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A4DAA4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPeduncularAreaLayer6a",
    name="dorsal peduncular area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_premammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalPremammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "980",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalPremammillaryNucleus",
    name="dorsal premammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_roots = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalRoots",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "792",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalRoots",
    name="dorsal roots",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalSpinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "553",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalSpinocerebellarTract",
    name="dorsal spinocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "880",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalTegmentalNucleus",
    name="dorsal tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_tegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalTegmentalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "563",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalTegmentalTract",
    name="dorsal tegmental tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "75",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    name="dorsal terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsal_thalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsalThalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1068",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsalThalamusRelated",
    name="dorsal thalamus related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsolateral_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsolateralFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "570",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsolateralFascicle",
    name="dorsolateral fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsomedial_nucleus_of_the_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "830",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamus",
    name="dorsomedial nucleus of the hypothalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsomedial_nucleus_of_the_hypothalamus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "668",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusAnteriorPart",
    name="dorsomedial nucleus of the hypothalamus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsomedial_nucleus_of_the_hypothalamus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "676",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusPosteriorPart",
    name="dorsomedial nucleus of the hypothalamus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_dorsomedial_nucleus_of_the_hypothalamus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "684",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_dorsomedialNucleusOfTheHypothalamusVentralPart",
    name="dorsomedial nucleus of the hypothalamus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "895",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalArea",
    name="ectorhinal area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "836",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalAreaLayer1",
    name="ectorhinal area/layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "427",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalAreaLayer2-3",
    name="ectorhinal area/layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "988",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalAreaLayer5",
    name="ectorhinal area/layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "977",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalAreaLayer6a",
    name="ectorhinal area/layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ectorhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ectorhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1045",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0D9F91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ectorhinalAreaLayer6b",
    name="ectorhinal area/layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_edinger_westphal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_edingerWestphalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "975",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_edingerWestphalNucleus",
    name="edinger-Westphal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_efferent_cochlear_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_efferentCochlearGroup",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "887",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_efferentCochlearGroup",
    name="efferent cochlear group",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_efferent_cochleovestibular_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_efferentCochleovestibularBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1076",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_efferentCochleovestibularBundle",
    name="efferent cochleovestibular bundle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_efferent_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_efferentVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "640",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_efferentVestibularNucleus",
    name="efferent vestibular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_endopiriform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endopiriformNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "942",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_endopiriformNucleus",
    name="endopiriform nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_endopiriform_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endopiriformNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "952",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_endopiriformNucleusDorsalPart",
    name="endopiriform nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_endopiriform_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endopiriformNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "966",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0EE9D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_endopiriformNucleusVentralPart",
    name="endopiriform nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_endorhinal_groove = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_endorhinalGroove",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1055",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_endorhinalGroove",
    name="endorhinal groove",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "909",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalArea",
    name="entorhinal area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "918",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPart",
    name="entorhinal area, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer1",
    name="entorhinal area, lateral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "20",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2",
    name="entorhinal area, lateral part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "999",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2-3",
    name="entorhinal area, lateral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer2a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "715",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2a",
    name="entorhinal area, lateral part, layer 2a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer2b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "764",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer2b",
    name="entorhinal area, lateral part, layer 2b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "52",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer3",
    name="entorhinal area, lateral part, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "92",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer4",
    name="entorhinal area, lateral part, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer4_5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer4-5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer4-5",
    name="entorhinal area, lateral part, layer 4/5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer5",
    name="entorhinal area, lateral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "387",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer5-6",
    name="entorhinal area, lateral part, layer 5/6",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "28",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer6a",
    name="entorhinal area, lateral part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_lateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "60",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaLateralPartLayer6b",
    name="entorhinal area, lateral part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "926",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZone",
    name="entorhinal area, medial part, dorsal zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "526",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer1",
    name="entorhinal area, medial part, dorsal zone, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "543",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2",
    name="entorhinal area, medial part, dorsal zone, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer2a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "468",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2a",
    name="entorhinal area, medial part, dorsal zone, layer 2a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer2b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "508",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer2b",
    name="entorhinal area, medial part, dorsal zone, layer 2b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "664",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer3",
    name="entorhinal area, medial part, dorsal zone, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "712",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer4",
    name="entorhinal area, medial part, dorsal zone, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "727",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer5",
    name="entorhinal area, medial part, dorsal zone, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "550",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer5-6",
    name="entorhinal area, medial part, dorsal zone, layer 5/6",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_dorsal_zone_layer6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "743",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartDorsalZoneLayer6",
    name="entorhinal area, medial part, dorsal zone, layer 6",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "934",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZone",
    name="entorhinal area, medial part, ventral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "259",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer1",
    name="entorhinal area, medial part, ventral zone, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "324",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer2",
    name="entorhinal area, medial part, ventral zone, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "371",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer3",
    name="entorhinal area, medial part, ventral zone, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "419",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer4",
    name="entorhinal area, medial part, ventral zone, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_entorhinal_area_medial_part_ventral_zone_layer5_6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer5-6",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_entorhinalAreaMedialPartVentralZoneLayer5-6",
    name="entorhinal area, medial part, ventral zone, layer 5/6",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_epithalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_epithalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "958",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_epithalamus",
    name="epithalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_epithalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_epithalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1083",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_epithalamusRelated",
    name="epithalamus related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ethmoid_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ethmoidNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560581551",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ethmoidNucleusOfTheThalamus",
    name="ethmoid nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_external_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_externalCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "579",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_externalCapsule",
    name="external capsule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_external_cuneate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_externalCuneateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "903",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_externalCuneateNucleus",
    name="external cuneate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_external_medullary_lamina_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_externalMedullaryLaminaOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1092",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_externalMedullaryLaminaOfTheThalamus",
    name="external medullary lamina of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_extrapyramidal_fiber_systems = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_extrapyramidalFiberSystems",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1000",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_extrapyramidalFiberSystems",
    name="extrapyramidal fiber systems",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_facial_motor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_facialMotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "661",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_facialMotorNucleus",
    name="facial motor nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_facialNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "798",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_facialNerve",
    name="facial nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fasciculus_proprius = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fasciculusProprius",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "586",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fasciculusProprius",
    name="fasciculus proprius",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fasciculus_retroflexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fasciculusRetroflexus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "595",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fasciculusRetroflexus",
    name="fasciculus retroflexus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fasciola_cinerea = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fasciolaCinerea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "982",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fasciolaCinerea",
    name="fasciola cinerea",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fastigial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fastigialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "989",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fastigialNucleus",
    name="fastigial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fiber_tracts = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fiberTracts",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1009",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fiberTracts",
    name="fiber tracts",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "382",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA1",
    name="field CA1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca1_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "407",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA1PyramidalLayer",
    name="field CA1, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca1_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "391",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA1StratumLacunosummoleculare",
    name="field CA1, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca1_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "399",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA1StratumOriens",
    name="field CA1, stratum oriens",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca1_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA1StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "415",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA1StratumRadiatum",
    name="field CA1, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "423",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA2",
    name="field CA2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca2_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "446",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA2PyramidalLayer",
    name="field CA2, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca2_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "431",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA2StratumLacunosummoleculare",
    name="field CA2, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca2_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "438",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA2StratumOriens",
    name="field CA2, stratum oriens",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca2_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA2StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "454",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA2StratumRadiatum",
    name="field CA2, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "463",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3",
    name="field CA3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3PyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "495",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#66A83D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3PyramidalLayer",
    name="field CA3, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumLacunosummoleculare",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "471",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3StratumLacunosummoleculare",
    name="field CA3, stratum lacunosum-moleculare",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3_stratum_lucidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumLucidum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "479",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3StratumLucidum",
    name="field CA3, stratum lucidum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumOriens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "486",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3StratumOriens",
    name="field CA3, stratum oriens",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_field_ca3_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldCA3StratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "504",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldCA3StratumRadiatum",
    name="field CA3, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fields_of_forel = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fieldsOfForel",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "804",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fieldsOfForel",
    name="fields of Forel",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fimbria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fimbria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "603",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fimbria",
    name="fimbria",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_flocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1049",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_flocculus",
    name="flocculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_flocculus_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculusGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10690",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_flocculusGranularLayer",
    name="flocculus, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_flocculus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10692",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_flocculusMolecularLayer",
    name="flocculus, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_flocculus_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_flocculusPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10691",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_flocculusPurkinjeLayer",
    name="flocculus, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_foliumtuber_vermis_vii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "944",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_foliumtuberVermisVII",
    name="folium-tuber vermis (VII)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_foliumtuber_vermis_vii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10726",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_foliumtuberVermisVIIGranularLayer",
    name="folium-tuber vermis (VII), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_foliumtuber_vermis_vii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10728",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_foliumtuberVermisVIIMolecularLayer",
    name="folium-tuber vermis (VII), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_foliumtuber_vermis_vii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_foliumtuberVermisVIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10727",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_foliumtuberVermisVIIPurkinjeLayer",
    name="folium-tuber vermis (VII), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fornix_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fornixSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1099",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fornixSystem",
    name="fornix system",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fourth_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fourthVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fourthVentricle",
    name="fourth ventricle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleCerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "184",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleCerebralCortex",
    name="frontal pole, cerebral cortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "68",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleLayer1",
    name="frontal pole, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "667",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleLayer2-3",
    name="frontal pole, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "526157192",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleLayer5",
    name="frontal pole, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "526157196",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleLayer6a",
    name="frontal pole, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_frontal_pole_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_frontalPoleLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "526322264",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#268F45"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_frontalPoleLayer6b",
    name="frontal pole, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_fundus_of_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_fundusOfStriatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "998",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_fundusOfStriatum",
    name="fundus of striatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_geniculate_group_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_geniculateGroupDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1008",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_geniculateGroupDorsalThalamus",
    name="geniculate group, dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_geniculate_group_ventral_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_geniculateGroupVentralThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1014",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_geniculateGroupVentralThalamus",
    name="geniculate group, ventral thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_genu_of_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_genuOfCorpusCallosum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_genuOfCorpusCallosum",
    name="genu of corpus callosum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_genuOfTheFacialNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1116",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gigantocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1048",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gigantocellularReticularNucleus",
    name="gigantocellular reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_globus_pallidus_external_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_globusPallidusExternalSegment",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1022",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_globusPallidusExternalSegment",
    name="globus pallidus, external segment",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_globus_pallidus_internal_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_globusPallidusInternalSegment",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1031",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_globusPallidusInternalSegment",
    name="globus pallidus, internal segment",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_glossopharyngeal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_glossopharyngealNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "808",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_glossopharyngealNerve",
    name="glossopharyngeal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gracile_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gracileFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "388",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gracileFascicle",
    name="gracile fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gracile_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gracileNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1039",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gracileNucleus",
    name="gracile nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_granular_lamina_of_the_cochlear_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_granularLaminaOfTheCochlearNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_granularLaminaOfTheCochlearNuclei",
    name="granular lamina of the cochlear nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_grooves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_grooves",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1024",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_grooves",
    name="grooves",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_grooves_of_the_cerebellar_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_groovesOfTheCerebellarCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1040",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_groovesOfTheCerebellarCortex",
    name="grooves of the cerebellar cortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_grooves_of_the_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_groovesOfTheCerebralCortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1032",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_groovesOfTheCerebralCortex",
    name="grooves of the cerebral cortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1057",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreas",
    name="gustatory areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "36",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer1",
    name="gustatory areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "180",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer2-3",
    name="gustatory areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "148",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer4",
    name="gustatory areas, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "187",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer5",
    name="gustatory areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "638",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer6a",
    name="gustatory areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_gustatory_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_gustatoryAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "662",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009C75"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_gustatoryAreasLayer6b",
    name="gustatory areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_habenular_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_habenularCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "611",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_habenularCommissure",
    name="habenular commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hemispheric_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hemisphericRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1073",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hemisphericRegions",
    name="hemispheric regions",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hindbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hindbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1065",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9B88"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hindbrain",
    name="hindbrain",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hippocampal_commissures = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalCommissures",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "618",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hippocampalCommissures",
    name="hippocampal commissures",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hippocampal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1063",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hippocampalFissure",
    name="hippocampal fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hippocampal_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalFormation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1089",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hippocampalFormation",
    name="hippocampal formation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hippocampal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1080",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hippocampalRegion",
    name="hippocampal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hippocampoamygdalar_transition_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hippocampoamygdalarTransitionArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "589508447",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#33B932"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hippocampoamygdalarTransitionArea",
    name="hippocampo-amygdalar transition area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypoglossal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypoglossalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "813",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypoglossalNerve",
    name="hypoglossal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypoglossal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypoglossalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "773",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypoglossalNucleus",
    name="hypoglossal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypothalamic_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamicLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "290",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypothalamicLateralZone",
    name="hypothalamic lateral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypothalamic_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamicMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "467",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypothalamicMedialZone",
    name="hypothalamic medial zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypothalamohypophysial_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamohypophysialTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "627",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypothalamohypophysialTract",
    name="hypothalamohypophysial tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1097",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E64438"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypothalamus",
    name="hypothalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_hypothalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_hypothalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "824",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_hypothalamusRelated",
    name="hypothalamus related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_induseum_griseum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_induseumGriseum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "19",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ED04B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_induseumGriseum",
    name="induseum griseum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorCerebellarPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorCerebellarPeduncle",
    name="inferior cerebellar peduncle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "4",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorColliculus",
    name="inferior colliculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_colliculus_central_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusCentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "811",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorColliculusCentralNucleus",
    name="inferior colliculus, central nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "633",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorColliculusCommissure",
    name="inferior colliculus commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_colliculus_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusDorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "820",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorColliculusDorsalNucleus",
    name="inferior colliculus, dorsal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_colliculus_external_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorColliculusExternalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "828",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorColliculusExternalNucleus",
    name="inferior colliculus, external nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_olivary_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorOlivaryComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "83",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorOlivaryComplex",
    name="inferior olivary complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_inferior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_inferiorSalivatoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "106",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_inferiorSalivatoryNucleus",
    name="inferior salivatory nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infracerebellar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infracerebellarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "372",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infracerebellarNucleus",
    name="infracerebellar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "44",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicArea",
    name="infralimbic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "707",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer1",
    name="infralimbic area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "747",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer2",
    name="infralimbic area, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "556",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer2-3",
    name="infralimbic area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "827",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer5",
    name="infralimbic area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1054",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer6a",
    name="infralimbic area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_infralimbic_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_infralimbicAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1081",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B363"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_infralimbicAreaLayer6b",
    name="infralimbic area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interanterodorsal_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interanterodorsalNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interanterodorsalNucleusOfTheThalamus",
    name="interanterodorsal nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interanteromedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interanteromedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interanteromedialNucleusOfTheThalamus",
    name="interanteromedial nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interbrain",
    name="interbrain",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intercalated_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intercalatedAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1105",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intercalatedAmygdalarNucleus",
    name="intercalated amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intercollicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intercollicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009207",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intercollicularNucleus",
    name="intercollicular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intercrural_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intercruralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "34",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intercruralFissure",
    name="intercrural fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interfascicular_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interfascicularNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interfascicularNucleusRaphe",
    name="interfascicular nucleus raphe",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intergeniculate_leaflet_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intergeniculateLeafletOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "27",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intergeniculateLeafletOfTheLateralGeniculateComplex",
    name="intergeniculate leaflet of the lateral geniculate complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intermediate_acoustic_stria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateAcousticStria",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "641",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intermediateAcousticStria",
    name="intermediate acoustic stria",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intermediate_geniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateGeniculateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "563807439",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intermediateGeniculateNucleus",
    name="intermediate geniculate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intermediate_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intermediateNerve",
    name="intermediate nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intermediate_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediateReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "136",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intermediateReticularNucleus",
    name="intermediate reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intermediodorsal_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intermediodorsalNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "59",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intermediodorsalNucleusOfTheThalamus",
    name="intermediodorsal nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_internal_arcuate_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_internalArcuateFibers",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "396",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_internalArcuateFibers",
    name="internal arcuate fibers",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_internal_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_internalCapsule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "6",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_internalCapsule",
    name="internal capsule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_internal_medullary_lamina_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_internalMedullaryLaminaOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "14",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_internalMedullaryLaminaOfTheThalamus",
    name="internal medullary lamina of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_fossa = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularFossa",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "624",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularFossa",
    name="interpeduncular fossa",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleus",
    name="interpeduncular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_apical = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusApical",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344842",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusApical",
    name="interpeduncular nucleus, apical",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_caudal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusCaudal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344838",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusCaudal",
    name="interpeduncular nucleus, caudal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_dorsolateral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusDorsolateral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344858",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusDorsolateral",
    name="interpeduncular nucleus, dorsolateral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_dorsomedial = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusDorsomedial",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344854",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusDorsomedial",
    name="interpeduncular nucleus, dorsomedial",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_intermediate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusIntermediate",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344850",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusIntermediate",
    name="interpeduncular nucleus, intermediate",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_lateral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusLateral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344846",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusLateral",
    name="interpeduncular nucleus, lateral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_rostral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusRostral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344834",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusRostral",
    name="interpeduncular nucleus, rostral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interpeduncular_nucleus_rostrolateral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interpeduncularNucleusRostrolateral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344862",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interpeduncularNucleusRostrolateral",
    name="interpeduncular nucleus, rostrolateral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interposed_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interposedNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "91",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interposedNucleus",
    name="interposed nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interstitial_nucleus_of_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interstitialNucleusOfCajal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "67",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interstitialNucleusOfCajal",
    name="interstitial nucleus of Cajal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interstitial_nucleus_of_the_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interstitialNucleusOfTheVestibularNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "76",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interstitialNucleusOfTheVestibularNerve",
    name="interstitial nucleus of the vestibular nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intertrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intertrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009227",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intertrigeminalNucleus",
    name="intertrigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_interventricular_foramen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_interventricularForamen",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "124",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_interventricularForamen",
    name="interventricular foramen",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intralaminar_nuclei_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intralaminarNucleiOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "51",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intralaminarNucleiOfTheDorsalThalamus",
    name="intralaminar nuclei of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_intraparafloccular_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_intraparafloccularFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "49",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_intraparafloccularFissure",
    name="intraparafloccular fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_islands_of_calleja = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_islandsOfCalleja",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "481",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_islandsOfCalleja",
    name="islands of Calleja",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_isocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_isocortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "315",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#70FF71"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_isocortex",
    name="isocortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_juxtarestiform_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_juxtarestiformBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "650",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_juxtarestiformBody",
    name="juxtarestiform body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_koelliker_fuse_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_koellikerFuseSubnucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_koellikerFuseSubnucleus",
    name="Koelliker-Fuse subnucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90EB8D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralAmygdalarNucleus",
    name="lateral amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_dorsal_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralDorsalNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "155",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralDorsalNucleusOfThalamus",
    name="lateral dorsal nucleus of thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_forebrain_bundle_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralForebrainBundleSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "983",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralForebrainBundleSystem",
    name="lateral forebrain bundle system",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "138",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralGroupOfTheDorsalThalamus",
    name="lateral group of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_habenula = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralHabenula",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "186",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralHabenula",
    name="lateral habenula",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralHypothalamicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "194",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralHypothalamicArea",
    name="lateral hypothalamic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "658",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralLemniscus",
    name="lateral lemniscus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_mammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralMammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "210",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralMammillaryNucleus",
    name="lateral mammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_olfactory_tract_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralOlfactoryTractBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "665",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralOlfactoryTractBody",
    name="lateral olfactory tract, body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_olfactory_tract_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralOlfactoryTractGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "21",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralOlfactoryTractGeneral",
    name="lateral olfactory tract, general",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_posterior_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralPosteriorNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "218",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralPosteriorNucleusOfTheThalamus",
    name="lateral posterior nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralPreopticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "226",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralPreopticArea",
    name="lateral preoptic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralRecess",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "153",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralRecess",
    name="lateral recess",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "235",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralReticularNucleus",
    name="lateral reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_reticular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralReticularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "955",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralReticularNucleusMagnocellularPart",
    name="lateral reticular nucleus, magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralReticularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "963",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralReticularNucleusParvicellularPart",
    name="lateral reticular nucleus, parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_septal_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "275",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSeptalComplex",
    name="lateral septal complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "242",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSeptalNucleus",
    name="lateral septal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_septal_nucleus_caudal_caudodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleusCaudalCaudodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "250",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSeptalNucleusCaudalCaudodorsalPart",
    name="lateral septal nucleus, caudal (caudodorsal) part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_septal_nucleus_rostral_rostroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleusRostralRostroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "258",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSeptalNucleusRostralRostroventralPart",
    name="lateral septal nucleus, rostral (rostroventral) part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_septal_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSeptalNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "266",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSeptalNucleusVentralPart",
    name="lateral septal nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralSpinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "29",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralSpinothalamicTract",
    name="lateral spinothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_strip_of_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralStripOfStriatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009199",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralStripOfStriatum",
    name="lateral strip of striatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "283",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralTegmentalNucleus",
    name="lateral tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "66",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralTerminalNucleusOfTheAccessoryOpticTract",
    name="lateral terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "81",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVentricle",
    name="lateral ventricle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "209",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVestibularNucleus",
    name="lateral vestibular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "409",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualArea",
    name="lateral visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "421",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer1",
    name="lateral visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "973",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer2-3",
    name="lateral visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "573",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer4",
    name="lateral visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "613",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer5",
    name="lateral visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "74",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer6a",
    name="lateral visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lateralVisualAreaLayer6b",
    name="lateral visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterodorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterodorsalTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "162",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterodorsalTegmentalNucleus",
    name="laterodorsal tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782574",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateArea",
    name="laterointermediate area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782578",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer1",
    name="laterointermediate area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782582",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer2-3",
    name="laterointermediate area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782586",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer4",
    name="laterointermediate area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782590",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer5",
    name="laterointermediate area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782594",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer6a",
    name="laterointermediate area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterointermediate_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterointermediateAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782598",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterointermediateAreaLayer6b",
    name="laterointermediate area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149230",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualArea",
    name="laterolateral anterior visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149234",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer1",
    name="laterolateral anterior visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149238",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer2-3",
    name="laterolateral anterior visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149242",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer4",
    name="laterolateral anterior visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149250",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer6a",
    name="laterolateral anterior visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149254",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualAreaLayer6b",
    name="laterolateral anterior visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_laterolateral_anterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_laterolateralAnteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149246",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_laterolateralAnteriorVisualArealayer5",
    name="laterolateral anterior visual area,layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_layer6b_isocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_layer6bIsocortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "16",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8ADA87"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_layer6bIsocortex",
    name="layer 6b, isocortex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_linear_nucleus_of_the_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_linearNucleusOfTheMedulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "203",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_linearNucleusOfTheMedulla",
    name="linear nucleus of the medulla",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lingula_i = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaI",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "912",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lingulaI",
    name="lingula (I)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lingula_i_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lingulaIGranularLayer",
    name="lingula (I), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lingula_i_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10707",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lingulaIMolecularLayer",
    name="lingula (I), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lingula_i_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lingulaIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10706",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lingulaIPurkinjeLayer",
    name="lingula (I), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_ii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "976",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleII",
    name="lobule II",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_ii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10708",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIGranularLayer",
    name="lobule II, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_ii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10710",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIMolecularLayer",
    name="lobule II, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_ii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIPurkinjeLayer",
    name="lobule II, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "984",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIII",
    name="lobule III",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIIGranularLayer",
    name="lobule III, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIIMolecularLayer",
    name="lobule III, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10712",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIIIPurkinjeLayer",
    name="lobule III, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iv = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIV",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "992",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIV",
    name="lobule IV",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iv_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIVGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10714",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIVGranularLayer",
    name="lobule IV, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iv_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIVMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10716",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIVMolecularLayer",
    name="lobule IV, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_iv_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleIVPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10715",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleIVPurkinjeLayer",
    name="lobule IV, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_v = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleV",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1001",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleV",
    name="lobule V",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_v_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleVGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10717",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleVGranularLayer",
    name="lobule V, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_v_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleVMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10719",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleVMolecularLayer",
    name="lobule V, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobule_v_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobuleVPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10718",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobuleVPurkinjeLayer",
    name="lobule V, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobules_iv_v = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-V",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1091",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobulesIV-V",
    name="lobules IV-V",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobules_iv_v_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-VGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10720",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobulesIV-VGranularLayer",
    name="lobules IV-V, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobules_iv_v_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-VMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10722",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobulesIV-VMolecularLayer",
    name="lobules IV-V, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_lobules_iv_v_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_lobulesIV-VPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10721",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_lobulesIV-VPurkinjeLayer",
    name="lobules IV-V, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_locus_ceruleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_locusCeruleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "147",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_locusCeruleus",
    name="locus ceruleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_longitudinal_association_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_longitudinalAssociationBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "37",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_longitudinalAssociationBundle",
    name="longitudinal association bundle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_magnocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_magnocellularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "298",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_magnocellularNucleus",
    name="magnocellular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_magnocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_magnocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "307",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_magnocellularReticularNucleus",
    name="magnocellular reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "507",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulb",
    name="main olfactory bulb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb_glomerular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbGlomerularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "212",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulbGlomerularLayer",
    name="main olfactory bulb, glomerular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb_granule_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbGranuleLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "220",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulbGranuleLayer",
    name="main olfactory bulb, granule layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb_inner_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbInnerPlexiformLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "228",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulbInnerPlexiformLayer",
    name="main olfactory bulb, inner plexiform layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb_mitral_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbMitralLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "236",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#82C7AE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulbMitralLayer",
    name="main olfactory bulb, mitral layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_main_olfactory_bulb_outer_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mainOlfactoryBulbOuterPlexiformLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "244",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mainOlfactoryBulbOuterPlexiformLayer",
    name="main olfactory bulb, outer plexiform layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_major_island_of_calleja = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_majorIslandOfCalleja",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "489",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_majorIslandOfCalleja",
    name="major island of Calleja",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mammillary_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillaryBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "331",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mammillaryBody",
    name="mammillary body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mammillary_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillaryPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "673",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mammillaryPeduncle",
    name="mammillary peduncle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mammillary_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillaryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "46",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mammillaryRelated",
    name="mammillary related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mammillotegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillotegmentalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "681",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mammillotegmentalTract",
    name="mammillotegmental tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mammillothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mammillothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "690",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mammillothalamicTract",
    name="mammillothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_accesory_oculomotor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAccesoryOculomotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009211",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAccesoryOculomotorNucleus",
    name="medial accessory oculomotor nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "403",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleus",
    name="medial amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_anterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusAnterodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "411",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusAnterodorsalPart",
    name="medial amygdalar nucleus, anterodorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_anteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusAnteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "418",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusAnteroventralPart",
    name="medial amygdalar nucleus, anteroventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_posterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "426",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPart",
    name="medial amygdalar nucleus, posterodorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_posterodorsal_part_sublayer_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerA",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "472",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerA",
    name="medial amygdalar nucleus, posterodorsal part, sublayer a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_posterodorsal_part_sublayer_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerB",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerB",
    name="medial amygdalar nucleus, posterodorsal part, sublayer b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_posterodorsal_part_sublayer_c = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerC",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "487",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusPosterodorsalPartSublayerC",
    name="medial amygdalar nucleus, posterodorsal part, sublayer c",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_amygdalar_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialAmygdalarNucleusPosteroventralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "435",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialAmygdalarNucleusPosteroventralPart",
    name="medial amygdalar nucleus, posteroventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_corticohypothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialCorticohypothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "428",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialCorticohypothalamicTract",
    name="medial corticohypothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_forebrain_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialForebrainBundle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "54",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialForebrainBundle",
    name="medial forebrain bundle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_forebrain_bundle_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialForebrainBundleSystem",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "991",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialForebrainBundleSystem",
    name="medial forebrain bundle system",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "475",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialGeniculateComplex",
    name="medial geniculate complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_geniculate_complex_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplexDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1072",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialGeniculateComplexDorsalPart",
    name="medial geniculate complex, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_geniculate_complex_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplexMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1088",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialGeniculateComplexMedialPart",
    name="medial geniculate complex, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_geniculate_complex_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGeniculateComplexVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1079",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialGeniculateComplexVentralPart",
    name="medial geniculate complex, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "444",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialGroupOfTheDorsalThalamus",
    name="medial group of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_habenula = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialHabenula",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "483",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialHabenula",
    name="medial habenula",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialLemniscus",
    name="medial lemniscus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_longitudinal_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialLongitudinalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "62",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialLongitudinalFascicle",
    name="medial longitudinal fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "491",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleus",
    name="medial mammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606826659",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleusDorsalPart",
    name="medial mammillary nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606826647",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleusLateralPart",
    name="medial mammillary nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606826651",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleusMedialPart",
    name="medial mammillary nucleus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus_median_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusMedianPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "732",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleusMedianPart",
    name="medial mammillary nucleus, median part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_mammillary_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialMammillaryNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606826655",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialMammillaryNucleusPosteriorPart",
    name="medial mammillary nucleus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "523",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPreopticArea",
    name="medial preoptic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "515",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPreopticNucleus",
    name="medial preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_preoptic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "740",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPreopticNucleusCentralPart",
    name="medial preoptic nucleus, central part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_preoptic_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "748",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPreopticNucleusLateralPart",
    name="medial preoptic nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_preoptic_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPreopticNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "756",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPreopticNucleusMedialPart",
    name="medial preoptic nucleus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_pretectal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialPretectalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "531",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialPretectalArea",
    name="medial pretectal area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_septal_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialSeptalComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "904",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialSeptalComplex",
    name="medial septal complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialSeptalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "564",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialSeptalNucleus",
    name="medial septal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialTerminalNucleusOfTheAccessoryOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "58",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialTerminalNucleusOfTheAccessoryOpticTract",
    name="medial terminal nucleus of the accessory optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "202",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVestibularNucleus",
    name="medial vestibular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149314",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualArea",
    name="medial visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149318",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualAreaLayer1",
    name="medial visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149322",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualAreaLayer2-3",
    name="medial visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149326",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualAreaLayer4",
    name="medial visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149334",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualAreaLayer6a",
    name="medial visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149338",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualAreaLayer6b",
    name="medial visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medial_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medialVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149330",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medialVisualArealayer5",
    name="medial visual area,layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_median_eminence = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medianEminence",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10671",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medianEminence",
    name="median eminence",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_median_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medianPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "452",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medianPreopticNucleus",
    name="median preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediodorsal_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "362",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediodorsalNucleusOfThalamus",
    name="mediodorsal nucleus of thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediodorsal_nucleus_of_the_thalamus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "617",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusCentralPart",
    name="mediodorsal nucleus of the thalamus, central part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediodorsal_nucleus_of_the_thalamus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "626",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusLateralPart",
    name="mediodorsal nucleus of the thalamus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediodorsal_nucleus_of_the_thalamus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "636",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediodorsalNucleusOfTheThalamusMedialPart",
    name="mediodorsal nucleus of the thalamus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149258",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualArea",
    name="mediomedial anterior visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149262",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer1",
    name="mediomedial anterior visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149266",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer2-3",
    name="mediomedial anterior visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149270",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer4",
    name="mediomedial anterior visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149278",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer6a",
    name="mediomedial anterior visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149282",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualAreaLayer6b",
    name="mediomedial anterior visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_anterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialAnteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149274",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialAnteriorVisualArealayer5",
    name="mediomedial anterior visual area,layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149286",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualArea",
    name="mediomedial posterior visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149290",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer1",
    name="mediomedial posterior visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149294",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer2-3",
    name="mediomedial posterior visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149298",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer4",
    name="mediomedial posterior visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149306",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer6a",
    name="mediomedial posterior visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149310",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualAreaLayer6b",
    name="mediomedial posterior visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_mediomedial_posterior_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_mediomedialPosteriorVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149302",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_mediomedialPosteriorVisualArealayer5",
    name="mediomedial posterior visual area,layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medulla",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "354",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9BCD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medulla",
    name="medulla",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medulla_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "379",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaBehavioralStateRelated",
    name="medulla, behavioral state related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medulla_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "370",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaMotorRelated",
    name="medulla, motor related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medulla_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "386",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaSensoryRelated",
    name="medulla, sensory related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medullary_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaryReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "395",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaryReticularNucleus",
    name="medullary reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medullary_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaryReticularNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1098",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaryReticularNucleusDorsalPart",
    name="medullary reticular nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_medullary_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_medullaryReticularNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1107",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_medullaryReticularNucleusVentralPart",
    name="medullary reticular nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrain",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "313",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF64FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrain",
    name="midbrain",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "348",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainBehavioralStateRelated",
    name="midbrain, behavioral state related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "323",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainMotorRelated",
    name="midbrain, motor related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_raphe_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainRapheNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "165",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainRapheNuclei",
    name="midbrain raphe nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "70",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainRelated",
    name="midbrain related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainReticularNucleus",
    name="midbrain reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_reticular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "539",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainReticularNucleusMagnocellularPart",
    name="midbrain reticular nucleus, magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_reticular_nucleus_magnocellular_part_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusMagnocellularPartGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "548",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainReticularNucleusMagnocellularPartGeneral",
    name="midbrain reticular nucleus, magnocellular part, general",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "555",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainReticularNucleusParvicellularPart",
    name="midbrain reticular nucleus, parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_reticular_nucleus_retrorubral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainReticularNucleusRetrorubralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "246",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainReticularNucleusRetrorubralArea",
    name="midbrain reticular nucleus, retrorubral area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "339",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainSensoryRelated",
    name="midbrain, sensory related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_tract_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainTractOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainTractOfTheTrigeminalNerve",
    name="midbrain tract of the trigeminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midbrain_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midbrainTrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "460",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midbrainTrigeminalNucleus",
    name="midbrain trigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_middleCerebellarPeduncle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "78",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_middle_thalamic_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_middleThalamicCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "86",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_middleThalamicCommissure",
    name="middle thalamic commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_midline_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_midlineGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "571",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_midlineGroupOfTheDorsalThalamus",
    name="midline group of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_motor_nucleus_of_trigeminal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_motorNucleusOfTrigeminal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "621",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_motorNucleusOfTrigeminal",
    name="motor nucleus of trigeminal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_motor_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_motorRootOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "93",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_motorRootOfTheTrigeminalNerve",
    name="motor root of the trigeminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nigrostriatal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nigrostriatalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "102",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nigrostriatalTract",
    name="nigrostriatal tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nigrothalamic_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nigrothalamicFibers",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nigrothalamicFibers",
    name="nigrothalamic fibers",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nodular_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodularFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "18",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nodularFissure",
    name="nodular fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nodulus_x = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "968",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nodulusX",
    name="nodulus (X)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nodulus_x_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusXGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10735",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nodulusXGranularLayer",
    name="nodulus (X), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nodulus_x_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusXMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10737",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nodulusXMolecularLayer",
    name="nodulus (X), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nodulus_x_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nodulusXPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10736",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nodulusXPurkinjeLayer",
    name="nodulus (X), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_accumbens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAccumbens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "56",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusAccumbens",
    name="nucleus accumbens",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_ambiguus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAmbiguus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "135",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusAmbiguus",
    name="nucleus ambiguus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_ambiguus_dorsal_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAmbiguusDorsalDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "939",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusAmbiguusDorsalDivision",
    name="nucleus ambiguus, dorsal division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_ambiguus_ventral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusAmbiguusVentralDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusAmbiguusVentralDivision",
    name="nucleus ambiguus, ventral division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_circularis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusCircularis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "432",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusCircularis",
    name="nucleus circularis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_incertus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusIncertus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "604",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusIncertus",
    name="nucleus incertus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_intercalatus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusIntercalatus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "161",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusIntercalatus",
    name="nucleus intercalatus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_darkschewitsch = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfDarkschewitsch",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "587",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfDarkschewitsch",
    name="nucleus of Darkschewitsch",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_reuniens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfReuniens",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "181",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfReuniens",
    name="nucleus of reuniens",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_roller = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfRoller",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "177",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfRoller",
    name="nucleus of Roller",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheBrachiumOfTheInferiorColliculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "580",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheBrachiumOfTheInferiorColliculus",
    name="nucleus of the brachium of the inferior colliculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "612",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralLemniscus",
    name="nucleus of the lateral lemniscus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_lemniscus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "82",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusDorsalPart",
    name="nucleus of the lateral lemniscus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_lemniscus_horizontal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusHorizontalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "90",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusHorizontalPart",
    name="nucleus of the lateral lemniscus, horizontal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_lemniscus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "99",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralLemniscusVentralPart",
    name="nucleus of the lateral lemniscus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "619",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTract",
    name="nucleus of the lateral olfactory tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_olfactory_tract_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractLayer3",
    name="nucleus of the lateral olfactory tract, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_olfactory_tract_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "392",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractLayers13",
    name="nucleus of the lateral olfactory tract, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_olfactory_tract_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "260",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    name="nucleus of the lateral olfactory tract, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_lateral_olfactory_tract_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "268",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#95E4C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    name="nucleus of the lateral olfactory tract, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheOpticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "628",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheOpticTract",
    name="nucleus of the optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfThePosteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "634",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfThePosteriorCommissure",
    name="nucleus of the posterior commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "651",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTract",
    name="nucleus of the solitary tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "659",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTractCentralPart",
    name="nucleus of the solitary tract, central part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract_commissural_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractCommissuralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "666",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTractCommissuralPart",
    name="nucleus of the solitary tract, commissural part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract_gelatinous_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractGelatinousPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "674",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTractGelatinousPart",
    name="nucleus of the solitary tract, gelatinous part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "682",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTractLateralPart",
    name="nucleus of the solitary tract, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_solitary_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheSolitaryTractMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "691",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheSolitaryTractMedialPart",
    name="nucleus of the solitary tract, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_of_the_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusOfTheTrapezoidBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "642",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_prepositus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusPrepositus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "169",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusPrepositus",
    name="nucleus prepositus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_raphe_magnus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRapheMagnus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "206",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusRapheMagnus",
    name="nucleus raphe magnus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_raphe_obscurus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRapheObscurus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "222",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusRapheObscurus",
    name="nucleus raphe obscurus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_raphe_pallidus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRaphePallidus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "230",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC6E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusRaphePallidus",
    name="nucleus raphe pallidus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_raphe_pontis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusRaphePontis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "238",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusRaphePontis",
    name="nucleus raphe pontis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_sagulum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusSagulum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "271",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusSagulum",
    name="nucleus sagulum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_x = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "765",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusX",
    name="nucleus x",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_y = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusY",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "781",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusY",
    name="nucleus y",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_nucleus_z = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_nucleusZ",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "789",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_nucleusZ",
    name="nucleus z",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_oculomotor_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_oculomotorNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "832",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_oculomotorNerve",
    name="oculomotor nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_oculomotor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_oculomotorNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "35",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_oculomotorNucleus",
    name="oculomotor nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "698",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9AD2BD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryAreas",
    name="olfactory areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "840",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryNerve",
    name="olfactory nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_nerve_layer_of_main_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryNerveLayerOfMainOlfactoryBulb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1016",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryNerveLayerOfMainOlfactoryBulb",
    name="olfactory nerve layer of main olfactory bulb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_tubercle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTubercle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "754",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryTubercle",
    name="olfactory tubercle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_tubercle_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTubercleLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "144",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryTubercleLayers13",
    name="olfactory tubercle, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_tubercle_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTubercleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "458",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryTubercleMolecularLayer",
    name="olfactory tubercle, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_tubercle_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTuberclePolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "473",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryTuberclePolymorphLayer",
    name="olfactory tubercle, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olfactory_tubercle_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olfactoryTuberclePyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "465",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olfactoryTuberclePyramidalLayer",
    name="olfactory tubercle, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olivary_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olivaryPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "706",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olivaryPretectalNucleus",
    name="olivary pretectal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_olivocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_olivocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "404",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_olivocerebellarTract",
    name="olivocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticChiasm",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "117",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_opticChiasm",
    name="optic chiasm",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "848",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_opticNerve",
    name="optic nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_optic_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticRadiation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682520",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_opticRadiation",
    name="optic radiation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_opticTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_opticTract",
    name="optic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "714",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalArea",
    name="orbital area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "723",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPart",
    name="orbital area, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "448",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPartLayer1",
    name="orbital area, lateral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "412",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPartLayer2-3",
    name="orbital area, lateral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "630",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPartLayer5",
    name="orbital area, lateral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "440",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPartLayer6a",
    name="orbital area, lateral part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_lateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "488",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLateralPartLayer6b",
    name="orbital area, lateral part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "264",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLayer1",
    name="orbital area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "492",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLayer2-3",
    name="orbital area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "352",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLayer5",
    name="orbital area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "476",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLayer6a",
    name="orbital area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "516",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaLayer6b",
    name="orbital area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "731",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPart",
    name="orbital area, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer1",
    name="orbital area, medial part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "524",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer2",
    name="orbital area, medial part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "582",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer2-3",
    name="orbital area, medial part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "620",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer5",
    name="orbital area, medial part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "910",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer6a",
    name="orbital area, medial part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_medial_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaMedialPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "527696977",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaMedialPartLayer6b",
    name="orbital area, medial part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "738",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentralPart",
    name="orbital area, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "746",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPart",
    name="orbital area, ventrolateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "969",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer1",
    name="orbital area, ventrolateral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "288",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer2-3",
    name="orbital area, ventrolateral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer5",
    name="orbital area, ventrolateral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "608",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer6a",
    name="orbital area, ventrolateral part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_orbital_area_ventrolateral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "680",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#248A5E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_orbitalAreaVentrolateralPartLayer6b",
    name="orbital area, ventrolateral part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidotegmental_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidotegmentalFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "134",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidotegmentalFascicle",
    name="pallidotegmental fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidothalamicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidothalamicPathway",
    name="pallidothalamic pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "803",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidum",
    name="pallidum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidum_caudal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumCaudalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "809",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B3C0DF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidumCaudalRegion",
    name="pallidum, caudal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidum_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumDorsalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "818",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8599CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidumDorsalRegion",
    name="pallidum, dorsal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidum_medial_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumMedialRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "826",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidumMedialRegion",
    name="pallidum, medial region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pallidum_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pallidumVentralRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "835",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pallidumVentralRegion",
    name="pallidum, ventral region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "874",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabigeminalNucleus",
    name="parabigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "867",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleus",
    name="parabrachial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "881",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivision",
    name="parabrachial nucleus, lateral division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division_central_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionCentralLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "860",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionCentralLateralPart",
    name="parabrachial nucleus, lateral division, central lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division_dorsal_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionDorsalLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "868",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionDorsalLateralPart",
    name="parabrachial nucleus, lateral division, dorsal lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division_external_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionExternalLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "875",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionExternalLateralPart",
    name="parabrachial nucleus, lateral division, external lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division_superior_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionSuperiorLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "883",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionSuperiorLateralPart",
    name="parabrachial nucleus, lateral division, superior lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_lateral_division_ventral_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionVentralLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "891",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusLateralDivisionVentralLateralPart",
    name="parabrachial nucleus, lateral division, ventral lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "890",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusMedialDivision",
    name="parabrachial nucleus, medial division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_medial_division_external_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionExternalMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "899",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionExternalMedialPart",
    name="parabrachial nucleus, medial division, external medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_medial_division_medial_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionMedialMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "915",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionMedialMedialPart",
    name="parabrachial nucleus, medial division, medial medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parabrachial_nucleus_medial_division_ventral_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionVentralMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "923",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parabrachialNucleusMedialDivisionVentralMedialPart",
    name="parabrachial nucleus, medial division, ventral medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paracentral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paracentralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "907",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paracentralNucleus",
    name="paracentral nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parafascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "930",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parafascicularNucleus",
    name="parafascicular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parafloccular_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parafloccularSulcus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "65",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parafloccularSulcus",
    name="parafloccular sulcus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraflocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1041",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraflocculus",
    name="paraflocculus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraflocculus_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculusGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10687",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraflocculusGranularLayer",
    name="paraflocculus, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraflocculus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculusMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraflocculusMolecularLayer",
    name="paraflocculus, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraflocculus_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraflocculusPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10688",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraflocculusPurkinjeLayer",
    name="paraflocculus, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paragigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paragigantocellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "938",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paragigantocellularReticularNucleus",
    name="paragigantocellular reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paragigantocellular_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paragigantocellularReticularNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "970",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paragigantocellularReticularNucleusDorsalPart",
    name="paragigantocellular reticular nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paragigantocellular_reticular_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paragigantocellularReticularNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "978",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paragigantocellularReticularNucleusLateralPart",
    name="paragigantocellular reticular nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1025",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianLobule",
    name="paramedian lobule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_lobule_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobuleGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10681",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianLobuleGranularLayer",
    name="paramedian lobule, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_lobule_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobuleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10683",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianLobuleMolecularLayer",
    name="paramedian lobule, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_lobule_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianLobulePurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10682",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianLobulePurkinjeLayer",
    name="paramedian lobule, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "995",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianReticularNucleus",
    name="paramedian reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paramedian_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paramedianSulcus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "57",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paramedianSulcus",
    name="paramedian sulcus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paranigral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paranigralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "607344830",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paranigralNucleus",
    name="paranigral nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parapyramidal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parapyramidalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1069",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parapyramidalNucleus",
    name="parapyramidal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parapyramidal_nucleus_deep_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parapyramidalNucleusDeepPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "185",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parapyramidalNucleusDeepPart",
    name="parapyramidal nucleus, deep part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parapyramidal_nucleus_superficial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parapyramidalNucleusSuperficialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "193",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parapyramidalNucleusSuperficialPart",
    name="parapyramidal nucleus, superficial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasolitary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasolitaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "859",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasolitaryNucleus",
    name="parasolitary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parastrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parastrialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parastrialNucleus",
    name="parastrial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "843",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasubiculum",
    name="parasubiculum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasubiculumLayer1",
    name="parasubiculum, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10694",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasubiculumLayer2",
    name="parasubiculum, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10695",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#72D569"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasubiculumLayer3",
    name="parasubiculum, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parasubthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parasubthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "364",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parasubthalamicNucleus",
    name="parasubthalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parataenial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parataenialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "15",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parataenialNucleus",
    name="parataenial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paratrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paratrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "589508451",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paratrigeminalNucleus",
    name="paratrigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paratrochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paratrochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606826663",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paratrochlearNucleus",
    name="paratrochlear nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "38",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleus",
    name="paraventricular hypothalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_descending_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "63",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivision",
    name="paraventricular hypothalamic nucleus, descending division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_descending_division_dorsal_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionDorsalParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "439",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionDorsalParvicellularPart",
    name="paraventricular hypothalamic nucleus, descending division, dorsal parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_descending_division_forniceal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionFornicealPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "447",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionFornicealPart",
    name="paraventricular hypothalamic nucleus, descending division, forniceal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_descending_division_lateral_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionLateralParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "455",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionLateralParvicellularPart",
    name="paraventricular hypothalamic nucleus, descending division, lateral parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_descending_division_medial_parvicellular_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionMedialParvicellularPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "464",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusDescendingDivisionMedialParvicellularPartVentralZone",
    name="paraventricular hypothalamic nucleus, descending division, medial parvicellular part, ventral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "71",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivision",
    name="paraventricular hypothalamic nucleus, magnocellular division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division_anterior_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionAnteriorMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "47",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionAnteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, anterior magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division_medial_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionMedialMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "79",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionMedialMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, medial magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "103",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "652",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartLateralZone",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part, lateral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_magnocellular_division_posterior_magnocellular_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "660",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusMagnocellularDivisionPosteriorMagnocellularPartMedialZone",
    name="paraventricular hypothalamic nucleus, magnocellular division, posterior magnocellular part, medial zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_parvicellular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivision",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "94",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivision",
    name="paraventricular hypothalamic nucleus, parvicellular division",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_parvicellular_division_anterior_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionAnteriorParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "55",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionAnteriorParvicellularPart",
    name="paraventricular hypothalamic nucleus, parvicellular division, anterior parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_parvicellular_division_medial_parvicellular_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionMedialParvicellularPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "87",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionMedialParvicellularPartDorsalZone",
    name="paraventricular hypothalamic nucleus, parvicellular division, medial parvicellular part, dorsal zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_hypothalamic_nucleus_parvicellular_division_periventricular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionPeriventricularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularHypothalamicNucleusParvicellularDivisionPeriventricularPart",
    name="paraventricular hypothalamic nucleus, parvicellular division, periventricular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_paraventricular_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_paraventricularNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "149",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_paraventricularNucleusOfTheThalamus",
    name="paraventricular nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parvicellular_motor5_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parvicellularMotor5Nucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009223",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parvicellularMotor5Nucleus",
    name="parvicellular motor 5 nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_parvicellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_parvicellularReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "852",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_parvicellularReticularNucleus",
    name="parvicellular reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pedunculopontine_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pedunculopontineNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1052",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pedunculopontineNucleus",
    name="pedunculopontine nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perforant_path = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perforantPath",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perforantPath",
    name="perforant path",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periaqueductalGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "795",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perifornical_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perifornicalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "576073704",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perifornicalNucleus",
    name="perifornical nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perihypoglossal_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perihypoglossalNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "154",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perihypoglossalNuclei",
    name="perihypoglossal nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_peripeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_peripeduncularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1044",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_peripeduncularNucleus",
    name="peripeduncular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perireunensis_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perireunensisNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1077",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perireunensisNucleus",
    name="perireunensis nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "922",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalArea",
    name="perirhinal area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "540",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalAreaLayer1",
    name="perirhinal area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "888",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalAreaLayer2-3",
    name="perirhinal area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "692",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalAreaLayer5",
    name="perirhinal area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "335",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalAreaLayer6a",
    name="perirhinal area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_perirhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_perirhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "368",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E9684"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_perirhinalAreaLayer6b",
    name="perirhinal area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_peritrigeminal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_peritrigeminalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009215",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_peritrigeminalZone",
    name="peritrigeminal zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_bundle_of_the_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularBundleOfTheHypothalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "150",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularBundleOfTheHypothalamus",
    name="periventricular bundle of the hypothalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_bundle_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularBundleOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "722",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularBundleOfTheThalamus",
    name="periventricular bundle of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "30",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularHypothalamicNucleusAnteriorPart",
    name="periventricular hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_hypothalamic_nucleus_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusIntermediatePart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "118",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularHypothalamicNucleusIntermediatePart",
    name="periventricular hypothalamic nucleus, intermediate part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusPosteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularHypothalamicNucleusPosteriorPart",
    name="periventricular hypothalamic nucleus, posterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_hypothalamic_nucleus_preoptic_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularHypothalamicNucleusPreopticPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularHypothalamicNucleusPreopticPart",
    name="periventricular hypothalamic nucleus, preoptic part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularRegion",
    name="periventricular region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_periventricular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_periventricularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "157",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_periventricularZone",
    name="periventricular zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pineal_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pinealBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "953",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pinealBody",
    name="pineal body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pineal_stalk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pinealStalk",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "730",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pinealStalk",
    name="pineal stalk",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriform_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "961",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformArea",
    name="piriform area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriform_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "152",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformAreaLayers13",
    name="piriform area, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriform_area_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "276",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformAreaMolecularLayer",
    name="piriform area, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriform_area_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "291",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformAreaPolymorphLayer",
    name="piriform area, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriform_area_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformAreaPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "284",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6ACBBA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformAreaPyramidalLayer",
    name="piriform area, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriformamygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "788",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformamygdalarArea",
    name="piriform-amygdalar area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriformamygdalar_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "400",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformamygdalarAreaLayers13",
    name="piriform-amygdalar area, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriformamygdalar_area_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "408",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformamygdalarAreaMolecularLayer",
    name="piriform-amygdalar area, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriformamygdalar_area_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaPolymorphLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "424",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformamygdalarAreaPolymorphLayer",
    name="piriform-amygdalar area, polymorph layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_piriformamygdalar_area_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_piriformamygdalarAreaPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "416",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59DAAB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_piriformamygdalarAreaPyramidalLayer",
    name="piriform-amygdalar area, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pons",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "771",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF9B88"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pons",
    name="pons",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pons_behavioral_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ponsBehavioralStateRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1117",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ponsBehavioralStateRelated",
    name="pons, behavioral state related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pons_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ponsMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "987",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ponsMotorRelated",
    name="pons, motor related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pons_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ponsSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ponsSensoryRelated",
    name="pons, sensory related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pontine_central_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineCentralGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "898",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pontineCentralGray",
    name="pontine central gray",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pontine_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "931",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pontineGray",
    name="pontine gray",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pontine_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "146",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pontineReticularNucleus",
    name="pontine reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pontine_reticular_nucleus_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineReticularNucleusCaudalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1093",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pontineReticularNucleusCaudalPart",
    name="pontine reticular nucleus, caudal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pontine_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pontineReticularNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "552",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pontineReticularNucleusVentralPart",
    name="pontine reticular nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postcommissural_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postcommissuralFornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "737",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postcommissuralFornix",
    name="postcommissural fornix",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAmygdalarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "780",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#97EC93"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAmygdalarNucleus",
    name="posterior amygdalar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1027",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryArea",
    name="posterior auditory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "696",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer1",
    name="posterior auditory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "643",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer2-3",
    name="posterior auditory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "759",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer4",
    name="posterior auditory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "791",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer5",
    name="posterior auditory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "249",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer6a",
    name="posterior auditory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "456",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorAuditoryAreaLayer6b",
    name="posterior auditory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "158",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorCommissure",
    name="posterior commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1020",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorComplexOfTheThalamus",
    name="posterior complex of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "946",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorHypothalamicNucleus",
    name="posterior hypothalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_intralaminar_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorIntralaminarThalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560581563",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorIntralaminarThalamicNucleus",
    name="posterior intralaminar thalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_limiting_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorLimitingNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1029",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorLimitingNucleusOfTheThalamus",
    name="posterior limiting nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "22",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreas",
    name="posterior parietal association areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "532",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer1",
    name="posterior parietal association areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "241",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer2-3",
    name="posterior parietal association areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "635",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer4",
    name="posterior parietal association areas, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "683",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer5",
    name="posterior parietal association areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "308",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer6a",
    name="posterior parietal association areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_parietal_association_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "340",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorParietalAssociationAreasLayer6b",
    name="posterior parietal association areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorPretectalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1061",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorPretectalNucleus",
    name="posterior pretectal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_superior_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorSuperiorFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorSuperiorFissure",
    name="posterior superior fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterior_triangular_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteriorTriangularThalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "563807435",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteriorTriangularThalamicNucleus",
    name="posterior triangular thalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterodorsalPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "914",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterodorsalPreopticNucleus",
    name="posterodorsal preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterodorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterodorsalTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "599626927",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterodorsalTegmentalNucleus",
    name="posterodorsal tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "11",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralFissure",
    name="posterolateral fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "425",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualArea",
    name="posterolateral visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "750",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer1",
    name="posterolateral visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "269",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer2-3",
    name="posterolateral visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "869",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer4",
    name="posterolateral visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "902",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer5",
    name="posterolateral visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "377",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer6a",
    name="posterolateral visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posterolateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posterolateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "393",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posterolateralVisualAreaLayer6b",
    name="posterolateral visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "533",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualArea",
    name="posteromedial visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "805",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer1",
    name="posteromedial visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "41",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer2-3",
    name="posteromedial visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "501",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer4",
    name="posteromedial visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "565",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer5",
    name="posteromedial visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "257",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer6a",
    name="posteromedial visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_posteromedial_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_posteromedialVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "469",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_posteromedialVisualAreaLayer6b",
    name="posteromedial visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postpiriform_transition_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "566",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postpiriformTransitionArea",
    name="postpiriform transition area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postpiriform_transition_area_layers1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postpiriformTransitionAreaLayers1",
    name="postpiriform transition area, layers 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postpiriform_transition_area_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "517",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postpiriformTransitionAreaLayers13",
    name="postpiriform transition area, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postpiriform_transition_area_layers2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postpiriformTransitionAreaLayers2",
    name="postpiriform transition area, layers 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postpiriform_transition_area_layers3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postpiriformTransitionAreaLayers3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A8ECD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postpiriformTransitionAreaLayers3",
    name="postpiriform transition area, layers 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782628",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalArea",
    name="postrhinal area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782632",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer1",
    name="postrhinal area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782636",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer2-3",
    name="postrhinal area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782640",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer4",
    name="postrhinal area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782644",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer5",
    name="postrhinal area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782648",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer6a",
    name="postrhinal area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postrhinal_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postrhinalAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782652",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postrhinalAreaLayer6b",
    name="postrhinal area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postsubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1037",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postsubiculum",
    name="postsubiculum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postsubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10696",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postsubiculumLayer1",
    name="postsubiculum, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postsubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postsubiculumLayer2",
    name="postsubiculum, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_postsubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_postsubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10698",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#48C83C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_postsubiculumLayer3",
    name="postsubiculum, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_precentral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precentralFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1087",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_precentralFissure",
    name="precentral fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_precommissural_fornix_diagonal_band = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precommissuralFornixDiagonalBand",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "420",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_precommissuralFornixDiagonalBand",
    name="precommissural fornix diagonal band",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_precommissural_fornix_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precommissuralFornixGeneral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "745",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_precommissuralFornixGeneral",
    name="precommissural fornix, general",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_precommissural_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_precommissuralNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "50",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_precommissuralNucleus",
    name="precommissural nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_preculminate_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_preculminateFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1095",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_preculminateFissure",
    name="preculminate fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "972",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicArea",
    name="prelimbic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "171",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer1",
    name="prelimbic area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "195",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer2",
    name="prelimbic area, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "304",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer2-3",
    name="prelimbic area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "363",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer5",
    name="prelimbic area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "84",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer6a",
    name="prelimbic area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prelimbic_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prelimbicAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2FA850"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prelimbicAreaLayer6b",
    name="prelimbic area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_premammillary_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_premammillaryCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "166",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_premammillaryCommissure",
    name="premammillary commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_preoptic_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_preopticCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "174",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_preopticCommissure",
    name="preoptic commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_preparasubthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_preparasubthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "356",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_preparasubthalamicNucleus",
    name="preparasubthalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prepyramidal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prepyramidalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prepyramidalFissure",
    name="prepyramidal fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_presubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1084",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_presubiculum",
    name="presubiculum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_presubiculum_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculumLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10699",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_presubiculumLayer1",
    name="presubiculum, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_presubiculum_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculumLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10700",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_presubiculumLayer2",
    name="presubiculum, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_presubiculum_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_presubiculumLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#59B947"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_presubiculumLayer3",
    name="presubiculum, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pretectal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pretectalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pretectalRegion",
    name="pretectal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1002",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryArea",
    name="primary auditory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "735",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer1",
    name="primary auditory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "251",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer2-3",
    name="primary auditory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "816",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer4",
    name="primary auditory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "847",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer5",
    name="primary auditory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "954",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer6a",
    name="primary auditory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1005",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryAuditoryAreaLayer6b",
    name="primary auditory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1103",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryFissure",
    name="primary fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "985",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorArea",
    name="primary motor area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "320",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorAreaLayer1",
    name="primary motor area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "943",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorAreaLayer2-3",
    name="primary motor area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "648",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorAreaLayer5",
    name="primary motor area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "844",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorAreaLayer6a",
    name="primary motor area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_motor_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryMotorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "882",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryMotorAreaLayer6b",
    name="primary motor area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "322",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryArea",
    name="primary somatosensory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelField",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "329",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelField",
    name="primary somatosensory area, barrel field",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "981",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer1",
    name="primary somatosensory area, barrel field, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "201",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer2-3",
    name="primary somatosensory area, barrel field, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1047",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer4",
    name="primary somatosensory area, barrel field, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1070",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer5",
    name="primary somatosensory area, barrel field, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1038",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer6a",
    name="primary somatosensory area, barrel field, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_barrel_field_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1062",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaBarrelFieldLayer6b",
    name="primary somatosensory area, barrel field, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "793",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer1",
    name="primary somatosensory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "346",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer2-3",
    name="primary somatosensory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "865",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer4",
    name="primary somatosensory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "921",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer5",
    name="primary somatosensory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "686",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer6a",
    name="primary somatosensory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "719",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLayer6b",
    name="primary somatosensory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "337",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimb",
    name="primary somatosensory area, lower limb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1030",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer1",
    name="primary somatosensory area, lower limb, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer2-3",
    name="primary somatosensory area, lower limb, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1094",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer4",
    name="primary somatosensory area, lower limb, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer5",
    name="primary somatosensory area, lower limb, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "478",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer6a",
    name="primary somatosensory area, lower limb, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_lower_limb_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "510",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaLowerLimbLayer6b",
    name="primary somatosensory area, lower limb, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouth",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "345",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouth",
    name="primary somatosensory area, mouth",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "878",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer1",
    name="primary somatosensory area, mouth, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "657",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer2-3",
    name="primary somatosensory area, mouth, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "950",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer4",
    name="primary somatosensory area, mouth, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "974",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer5",
    name="primary somatosensory area, mouth, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1102",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer6a",
    name="primary somatosensory area, mouth, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_mouth_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "2",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaMouthLayer6b",
    name="primary somatosensory area, mouth, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNose",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "353",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNose",
    name="primary somatosensory area, nose",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "558",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer1",
    name="primary somatosensory area, nose, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "838",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer2-3",
    name="primary somatosensory area, nose, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "654",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer4",
    name="primary somatosensory area, nose, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "702",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer5",
    name="primary somatosensory area, nose, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "889",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer6a",
    name="primary somatosensory area, nose, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_nose_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "929",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaNoseLayer6b",
    name="primary somatosensory area, nose, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunk",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "361",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunk",
    name="primary somatosensory area, trunk",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1006",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer1",
    name="primary somatosensory area, trunk, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "670",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer2-3",
    name="primary somatosensory area, trunk, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1086",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer4",
    name="primary somatosensory area, trunk, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1111",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer5",
    name="primary somatosensory area, trunk, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "9",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer6a",
    name="primary somatosensory area, trunk, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_trunk_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "461",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaTrunkLayer6b",
    name="primary somatosensory area, trunk, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassigned",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassigned",
    name="primary somatosensory area, unassigned",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer1",
    name="primary somatosensory area, unassigned, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305697",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer2-3",
    name="primary somatosensory area, unassigned, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer4",
    name="primary somatosensory area, unassigned, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305705",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer5",
    name="primary somatosensory area, unassigned, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer6a",
    name="primary somatosensory area, unassigned, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_unassigned_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182305713",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUnassignedLayer6b",
    name="primary somatosensory area, unassigned, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimb",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "369",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimb",
    name="primary somatosensory area, upper limb",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "450",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer1",
    name="primary somatosensory area, upper limb, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "854",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer2-3",
    name="primary somatosensory area, upper limb, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "577",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer4",
    name="primary somatosensory area, upper limb, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "625",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer5",
    name="primary somatosensory area, upper limb, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "945",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer6a",
    name="primary somatosensory area, upper limb, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_somatosensory_area_upper_limb_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1026",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primarySomatosensoryAreaUpperLimbLayer6b",
    name="primary somatosensory area, upper limb, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "385",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualArea",
    name="primary visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "593",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer1",
    name="primary visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "821",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer2-3",
    name="primary visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "721",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer4",
    name="primary visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "778",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer5",
    name="primary visual area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "33",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer6a",
    name="primary visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_primary_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_primaryVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "305",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_primaryVisualAreaLayer6b",
    name="primary visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_principal_mammillary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_principalMammillaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "753",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_principalMammillaryTract",
    name="principal mammillary tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_principal_sensory_nucleus_of_the_trigeminal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_principalSensoryNucleusOfTheTrigeminal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "7",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_principalSensoryNucleusOfTheTrigeminal",
    name="principal sensory nucleus of the trigeminal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_propriohypothalamic_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathways",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_propriohypothalamicPathways",
    name="propriohypothalamic pathways",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_propriohypothalamic_pathways_dorsal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysDorsal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "762",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_propriohypothalamicPathwaysDorsal",
    name="propriohypothalamic pathways, dorsal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_propriohypothalamic_pathways_lateral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysLateral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "770",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_propriohypothalamicPathwaysLateral",
    name="propriohypothalamic pathways, lateral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_propriohypothalamic_pathways_medial = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysMedial",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "779",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_propriohypothalamicPathwaysMedial",
    name="propriohypothalamic pathways, medial",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_propriohypothalamic_pathways_ventral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_propriohypothalamicPathwaysVentral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "787",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_propriohypothalamicPathwaysVentral",
    name="propriohypothalamic pathways, ventral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682470",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculum",
    name="prosubiculum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682475",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumDorsalPart",
    name="prosubiculum, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_dorsal_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682479",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumDorsalPartMolecularLayer",
    name="prosubiculum, dorsal part, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_dorsal_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682483",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#56B84B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumDorsalPartPyramidalLayer",
    name="prosubiculum, dorsal part, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_dorsal_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumDorsalPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682487",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumDorsalPartStratumRadiatum",
    name="prosubiculum, dorsal part, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682492",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumVentralPart",
    name="prosubiculum, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_ventral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682496",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumVentralPartMolecularLayer",
    name="prosubiculum, ventral part, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_ventral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682500",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#56B84B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumVentralPartPyramidalLayer",
    name="prosubiculum, ventral part, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_prosubiculum_ventral_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_prosubiculumVentralPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682504",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#58BA48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_prosubiculumVentralPartStratumRadiatum",
    name="prosubiculum, ventral part, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramid = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramid",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "190",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramid",
    name="pyramid",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramidal_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramidalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "198",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramidalDecussation",
    name="pyramidal decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramus_viii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIII",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "951",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramusVIII",
    name="pyramus (VIII)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramus_viii_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIIIGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10729",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramusVIIIGranularLayer",
    name="pyramus (VIII), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramus_viii_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIIIMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10731",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramusVIIIMolecularLayer",
    name="pyramus (VIII), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_pyramus_viii_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_pyramusVIIIPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10730",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_pyramusVIIIPurkinjeLayer",
    name="pyramus (VIII), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_red_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_redNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "214",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_redNucleus",
    name="red nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_reticular_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_reticularNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "262",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_reticularNucleusOfTheThalamus",
    name="reticular nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_reticulocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_reticulocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "410",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_reticulocerebellarTract",
    name="reticulocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retina",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "304325711",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7F2E7E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retina",
    name="retina",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retriculospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retriculospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "855",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retriculospinalTract",
    name="retriculospinal tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retriculospinal_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retriculospinalTractLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "205",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retriculospinalTractLateralPart",
    name="retriculospinal tract, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retriculospinal_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retriculospinalTractMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "213",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retriculospinalTractMedialPart",
    name="retriculospinal tract, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrochiasmatic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrochiasmaticArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "173",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrochiasmaticArea",
    name="retrochiasmatic area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retroethmoid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retroethmoidNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560581555",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retroethmoidNucleus",
    name="retroethmoid nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrohippocampal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrohippocampalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "822",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#32B825"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrohippocampalRegion",
    name="retrohippocampal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retroparafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retroparafascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549009203",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retroparafascicularNucleus",
    name="retroparafascicular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "254",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialArea",
    name="retrosplenial area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "879",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPart",
    name="retrosplenial area, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "442",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer1",
    name="retrosplenial area, dorsal part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "434",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer2-3",
    name="retrosplenial area, dorsal part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "545",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer4",
    name="retrosplenial area, dorsal part, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "610",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer5",
    name="retrosplenial area, dorsal part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "274",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer6a",
    name="retrosplenial area, dorsal part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_dorsal_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "330",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaDorsalPartLayer6b",
    name="retrosplenial area, dorsal part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "894",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPart",
    name="retrosplenial area, lateral agranular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "671",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer1",
    name="retrosplenial area, lateral agranular part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "965",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer2-3",
    name="retrosplenial area, lateral agranular part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "774",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer5",
    name="retrosplenial area, lateral agranular part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "906",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer6a",
    name="retrosplenial area, lateral agranular part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_lateral_agranular_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "279",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaLateralAgranularPartLayer6b",
    name="retrosplenial area, lateral agranular part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "886",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPart",
    name="retrosplenial area, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "542",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer1",
    name="retrosplenial area, ventral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "606",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer2",
    name="retrosplenial area, ventral part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "430",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer2-3",
    name="retrosplenial area, ventral part, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "687",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer5",
    name="retrosplenial area, ventral part, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "590",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer6a",
    name="retrosplenial area, ventral part, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_retrosplenial_area_ventral_part_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "622",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AA698"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_retrosplenialAreaVentralPartLayer6b",
    name="retrosplenial area, ventral part, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rhinal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhinalFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1071",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rhinalFissure",
    name="rhinal fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rhinal_incisure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhinalIncisure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1078",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rhinalIncisure",
    name="rhinal incisure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rhinocele = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhinocele",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "89",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rhinocele",
    name="rhinocele",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rhomboid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rhomboidNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "189",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rhomboidNucleus",
    name="rhomboid nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_root = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_root",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "997",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_root",
    name="root",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostral_linear_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostralLinearNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "197",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostralLinearNucleusRaphe",
    name="rostral linear nucleus raphe",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782604",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer1",
    name="rostrolateral area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782608",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer2-3",
    name="rostrolateral area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782612",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer4",
    name="rostrolateral area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782616",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer5",
    name="rostrolateral area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782620",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer6a",
    name="rostrolateral area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "312782624",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralAreaLayer6b",
    name="rostrolateral area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149202",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualArea",
    name="rostrolateral lateral visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149206",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer1",
    name="rostrolateral lateral visual area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149210",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer2-3",
    name="rostrolateral lateral visual area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149214",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer4",
    name="rostrolateral lateral visual area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149222",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer6a",
    name="rostrolateral lateral visual area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149226",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualAreaLayer6b",
    name="rostrolateral lateral visual area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_lateral_visual_arealayer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralLateralVisualArealayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "480149218",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralLateralVisualArealayer5",
    name="rostrolateral lateral visual area,layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rostrolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rostrolateralVisualArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "417",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009FAC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rostrolateralVisualArea",
    name="rostrolateral visual area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rubroreticular_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rubroreticularTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "221",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rubroreticularTract",
    name="rubroreticular tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_rubrospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_rubrospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "863",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_rubrospinalTract",
    name="rubrospinal tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "3",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryFissure",
    name="secondary fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "993",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorArea",
    name="secondary motor area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "656",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorAreaLayer1",
    name="secondary motor area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "962",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorAreaLayer2-3",
    name="secondary motor area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "767",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorAreaLayer5",
    name="secondary motor area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1021",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorAreaLayer6a",
    name="secondary motor area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_secondary_motor_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_secondaryMotorAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1085",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_secondaryMotorAreaLayer6b",
    name="secondary motor area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_sensory_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_sensoryRootOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "229",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_sensoryRootOfTheTrigeminalNerve",
    name="sensory root of the trigeminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_septofimbrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_septofimbrialNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "310",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_septofimbrialNucleus",
    name="septofimbrial nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_septohippocampal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_septohippocampalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "333",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#90CBED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_septohippocampalNucleus",
    name="septohippocampal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_simple_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleFissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "25",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_simpleFissure",
    name="simple fissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_simple_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobule",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1007",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_simpleLobule",
    name="simple lobule",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_simple_lobule_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobuleGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10672",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_simpleLobuleGranularLayer",
    name="simple lobule, granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_simple_lobule_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobuleMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10674",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_simpleLobuleMolecularLayer",
    name="simple lobule, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_simple_lobule_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_simpleLobulePurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10673",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_simpleLobulePurkinjeLayer",
    name="simple lobule, Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_solitaryTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "237",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_solitaryTract",
    name="solitary tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "500",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreas",
    name="somatomotor areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "107",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreasLayer1",
    name="somatomotor areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "219",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreasLayer2-3",
    name="somatomotor areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "299",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreasLayer5",
    name="somatomotor areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "644",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreasLayer6a",
    name="somatomotor areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatomotor_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatomotorAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "947",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1F9D5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatomotorAreasLayer6b",
    name="somatomotor areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "453",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreas",
    name="somatosensory areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12993",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer1",
    name="somatosensory areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12994",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer2-3",
    name="somatosensory areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12995",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer4",
    name="somatosensory areas, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12996",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer5",
    name="somatosensory areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12997",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer6a",
    name="somatosensory areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_somatosensory_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_somatosensoryAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "12998",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_somatosensoryAreasLayer6b",
    name="somatosensory areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalCaudalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "429",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalCaudalPart",
    name="spinal nucleus of the trigeminal, caudal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_interpolar_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalInterpolarPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "437",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalInterpolarPart",
    name="spinal nucleus of the trigeminal, interpolar part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "445",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPart",
    name="spinal nucleus of the trigeminal, oral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part_caudal_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "77",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialPart",
    name="spinal nucleus of the trigeminal, oral part, caudal dorsomedial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartDorsalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "53",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartDorsalZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial part, dorsal zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartVentralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "61",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialPartVentralZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial part, ventral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part_rostral_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "45",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialPart",
    name="spinal nucleus of the trigeminal, oral part, rostral dorsomedial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_nucleus_of_the_trigeminal_oral_part_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "69",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    name="spinal nucleus of the trigeminal, oral part, ventrolateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_tract_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalTractOfTheTrigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "794",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalTractOfTheTrigeminalNerve",
    name="spinal tract of the trigeminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinal_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinalVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "225",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinalVestibularNucleus",
    name="spinal vestibular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "85",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinocerebellarTract",
    name="spinocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinocervical_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinocervicalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "245",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinocervicalTract",
    name="spinocervical tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinohypothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinohypothalamicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "253",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinohypothalamicPathway",
    name="spinohypothalamic pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinoolivary_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinoolivaryPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "261",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinoolivaryPathway",
    name="spino-olivary pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinoreticular_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinoreticularPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "270",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinoreticularPathway",
    name="spinoreticular pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinotectal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinotectalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "277",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinotectalPathway",
    name="spinotectal pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinotelenchephalic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinotelenchephalicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "285",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinotelenchephalicPathway",
    name="spinotelenchephalic pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "871",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinothalamicTract",
    name="spinothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_spinovestibular_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_spinovestibularPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "293",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_spinovestibularPathway",
    name="spinovestibular pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striaMedullaris",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "802",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striaMedullaris",
    name="stria medullaris",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "301",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striaTerminalis",
    name="stria terminalis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_striatonigral_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatonigralPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "309",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striatonigralPathway",
    name="striatonigral pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "477",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striatum",
    name="striatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_striatum_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatumDorsalRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "485",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#98D6F9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striatumDorsalRegion",
    name="striatum dorsal region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_striatum_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatumVentralRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "493",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80CDF8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striatumVentralRegion",
    name="striatum ventral region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_striatumlike_amygdalar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_striatumlikeAmygdalarNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "278",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80C0E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_striatumlikeAmygdalarNuclei",
    name="striatum-like amygdalar nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subceruleus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subceruleusNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "350",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subceruleusNucleus",
    name="subceruleus nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subcommissural_organ = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subcommissuralOrgan",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "599626923",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subcommissuralOrgan",
    name="subcommissural organ",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subependymal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subependymalZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "98",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subependymalZone",
    name="subependymal zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subfornical_organ = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subfornicalOrgan",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "338",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subfornicalOrgan",
    name="subfornical organ",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subgeniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subgeniculateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "321",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subgeniculateNucleus",
    name="subgeniculate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "502",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculum",
    name="subiculum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "509",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumDorsalPart",
    name="subiculum, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_dorsal_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "829",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumDorsalPartMolecularLayer",
    name="subiculum, dorsal part, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_dorsal_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "845",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4BB547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumDorsalPartPyramidalLayer",
    name="subiculum, dorsal part, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_dorsal_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumDorsalPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "837",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumDorsalPartStratumRadiatum",
    name="subiculum, dorsal part, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "518",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumVentralPart",
    name="subiculum, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_ventral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPartMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "853",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumVentralPartMolecularLayer",
    name="subiculum, ventral part, molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_ventral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPartPyramidalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "870",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4BB547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumVentralPartPyramidalLayer",
    name="subiculum, ventral part, pyramidal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subiculum_ventral_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subiculumVentralPartStratumRadiatum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "861",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4FC244"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subiculumVentralPartStratumRadiatum",
    name="subiculum, ventral part, stratum radiatum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_sublaterodorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_sublaterodorsalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "358",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_sublaterodorsalNucleus",
    name="sublaterodorsal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_submedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_submedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "366",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_submedialNucleusOfTheThalamus",
    name="submedial nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subparafascicular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "609",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subparafascicularArea",
    name="subparafascicular area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subparafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "406",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subparafascicularNucleus",
    name="subparafascicular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subparafascicular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularNucleusMagnocellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "414",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subparafascicularNucleusMagnocellularPart",
    name="subparafascicular nucleus, magnocellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subparafascicular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparafascicularNucleusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "422",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subparafascicularNucleusParvicellularPart",
    name="subparafascicular nucleus, parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subparaventricular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subparaventricularZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "347",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subparaventricularZone",
    name="subparaventricular zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_substantia_innominata = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaInnominata",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "342",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A2B1D8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_substantiaInnominata",
    name="substantia innominata",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_substantia_nigra_compact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaNigraCompactPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "374",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_substantiaNigraCompactPart",
    name="substantia nigra, compact part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_substantia_nigra_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaNigraLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "615",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_substantiaNigraLateralPart",
    name="substantia nigra, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_substantia_nigra_reticular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_substantiaNigraReticularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "381",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_substantiaNigraReticularPart",
    name="substantia nigra, reticular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subthalamic_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subthalamicFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "317",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subthalamicFascicle",
    name="subthalamic fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_subthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_subthalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "470",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_subthalamicNucleus",
    name="subthalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_central_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCentralNucleusRaphe",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "679",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorCentralNucleusRaphe",
    name="superior central nucleus raphe",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_central_nucleus_raphe_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCentralNucleusRapheLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "137",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorCentralNucleusRapheLateralPart",
    name="superior central nucleus raphe, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_central_nucleus_raphe_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCentralNucleusRapheMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "130",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC395"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorCentralNucleusRapheMedialPart",
    name="superior central nucleus raphe, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_cerebelar_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCerebelarPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "326",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorCerebelarPeduncles",
    name="superior cerebelar peduncles",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_cerebellar_peduncle_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorCerebellarPeduncleDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "812",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorCerebellarPeduncleDecussation",
    name="superior cerebellar peduncle decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "336",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusCommissure",
    name="superior colliculus commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "294",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelated",
    name="superior colliculus, motor related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_deep_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedDeepGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "26",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedDeepGrayLayer",
    name="superior colliculus, motor related, deep gray layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_deep_white_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedDeepWhiteLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "42",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedDeepWhiteLayer",
    name="superior colliculus, motor related, deep white layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_intermediate_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayer",
    name="superior colliculus, motor related, intermediate gray layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerA",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "494",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerA",
    name="superior colliculus, motor related, intermediate gray layer, sublayer a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerB",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "503",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerB",
    name="superior colliculus, motor related, intermediate gray layer, sublayer b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_intermediate_gray_layer_sublayer_c = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerC",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "511",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateGrayLayerSublayerC",
    name="superior colliculus, motor related, intermediate gray layer, sublayer c",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_motor_related_intermediate_white_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateWhiteLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "17",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusMotorRelatedIntermediateWhiteLayer",
    name="superior colliculus, motor related, intermediate white layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_optic_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusOpticLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "851",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusOpticLayer",
    name="superior colliculus, optic layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusSensoryRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "302",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusSensoryRelated",
    name="superior colliculus, sensory related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_superficial_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusSuperficialGrayLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "842",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusSuperficialGrayLayer",
    name="superior colliculus, superficial gray layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_colliculus_zonal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorColliculusZonalLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "834",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7AFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorColliculusZonalLayer",
    name="superior colliculus, zonal layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_olivary_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "398",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorOlivaryComplex",
    name="superior olivary complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_olivary_complex_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplexLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorOlivaryComplexLateralPart",
    name="superior olivary complex, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_olivary_complex_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplexMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "105",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorOlivaryComplexMedialPart",
    name="superior olivary complex, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_olivary_complex_periolivary_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorOlivaryComplexPeriolivaryRegion",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "122",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAE6F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorOlivaryComplexPeriolivaryRegion",
    name="superior olivary complex, periolivary region",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorSalivatoryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "462",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorSalivatoryNucleus",
    name="superior salivatory nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_superior_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_superiorVestibularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "217",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_superiorVestibularNucleus",
    name="superior vestibular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "378",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryArea",
    name="supplemental somatosensory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "873",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer1",
    name="supplemental somatosensory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "806",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer2-3",
    name="supplemental somatosensory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1035",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer4",
    name="supplemental somatosensory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1090",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer5",
    name="supplemental somatosensory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "862",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer6a",
    name="supplemental somatosensory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supplemental_somatosensory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "893",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#188064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supplementalSomatosensoryAreaLayer6b",
    name="supplemental somatosensory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supracallosal_cerebral_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supracallosalCerebralWhiteMatter",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "484682512",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supracallosalCerebralWhiteMatter",
    name="supra-callosal cerebral white matter",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_suprachiasmatic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_suprachiasmaticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "286",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_suprachiasmaticNucleus",
    name="suprachiasmatic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_suprachiasmatic_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_suprachiasmaticPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1124",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_suprachiasmaticPreopticNucleus",
    name="suprachiasmatic preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_suprageniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_suprageniculateNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "325",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_suprageniculateNucleus",
    name="suprageniculate nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supragenual_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supragenualNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "318",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supragenualNucleus",
    name="supragenual nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supramammillary_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "341",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supramammillaryDecussation",
    name="supramammillary decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supramammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "525",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supramammillaryNucleus",
    name="supramammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supramammillary_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryNucleusLateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supramammillaryNucleusLateralPart",
    name="supramammillary nucleus, lateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supramammillary_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supramammillaryNucleusMedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1118",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supramammillaryNucleusMedialPart",
    name="supramammillary nucleus, medial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoculomotor_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraoculomotorPeriaqueductalGray",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "614454277",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraoculomotorPeriaqueductalGray",
    name="supraoculomotor periaqueductal gray",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoptic_commissures = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissures",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "349",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraopticCommissures",
    name="supraoptic commissures",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoptic_commissures_anterior = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissuresAnterior",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "817",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraopticCommissuresAnterior",
    name="supraoptic commissures, anterior",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoptic_commissures_dorsal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissuresDorsal",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "825",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraopticCommissuresDorsal",
    name="supraoptic commissures, dorsal",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoptic_commissures_ventral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticCommissuresVentral",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "833",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraopticCommissuresVentral",
    name="supraoptic commissures, ventral",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supraoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supraopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "390",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5D50"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supraopticNucleus",
    name="supraoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_supratrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_supratrigeminalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "534",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_supratrigeminalNucleus",
    name="supratrigeminal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTecta",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "589",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTecta",
    name="taenia tecta",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "597",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPart",
    name="taenia tecta, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1034",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer1",
    name="taenia tecta, dorsal part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1042",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer2",
    name="taenia tecta, dorsal part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1050",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer3",
    name="taenia tecta, dorsal part, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1059",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPartLayer4",
    name="taenia tecta, dorsal part, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_dorsal_part_layers14 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaDorsalPartLayers14",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "297",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaDorsalPartLayers14",
    name="taenia tecta, dorsal part, layers 1-4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "605",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaVentralPart",
    name="taenia tecta, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_ventral_part_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1067",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaVentralPartLayer1",
    name="taenia tecta, ventral part, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_ventral_part_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayer2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1075",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaVentralPartLayer2",
    name="taenia tecta, ventral part, layer 2",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_ventral_part_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayer3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1082",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaVentralPartLayer3",
    name="taenia tecta, ventral part, layer 3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_taenia_tecta_ventral_part_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_taeniaTectaVentralPartLayers13",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "306",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#62D09F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_taeniaTectaVentralPartLayers13",
    name="taenia tecta, ventral part, layers 1-3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tectospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "877",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tectospinalPathway",
    name="tectospinal pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tectothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tectothalamicPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "357",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tectothalamicPathway",
    name="tectothalamic pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tegmental_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tegmentalReticularNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "574",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA86"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tegmentalReticularNucleus",
    name="tegmental reticular nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "541",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreas",
    name="temporal association areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "97",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer1",
    name="temporal association areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer2-3",
    name="temporal association areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "234",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer4",
    name="temporal association areas, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "289",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer5",
    name="temporal association areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "729",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer6a",
    name="temporal association areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_temporal_association_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_temporalAssociationAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "786",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15B0B3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_temporalAssociationAreasLayer6b",
    name="temporal association areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_terminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_terminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "885",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_terminalNerve",
    name="terminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_thalamic_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamicPeduncles",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "365",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thalamicPeduncles",
    name="thalamic peduncles",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "549",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thalamus",
    name="thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_thalamus_polymodal_association_cortex_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamusPolymodalAssociationCortexRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "856",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thalamusPolymodalAssociationCortexRelated",
    name="thalamus, polymodal association cortex related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_thalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamusRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "896",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thalamusRelated",
    name="thalamus related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_thalamus_sensorymotor_cortex_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thalamusSensorymotorCortexRelated",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "864",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thalamusSensorymotorCortexRelated",
    name="thalamus, sensory-motor cortex related",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_third_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_thirdVentricle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_thirdVentricle",
    name="third ventricle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trapezoidBody",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "841",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trapezoidBody",
    name="trapezoid body",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_triangular_nucleus_of_septum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_triangularNucleusOfSeptum",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "581",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#96A7D3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_triangularNucleusOfSeptum",
    name="triangular nucleus of septum",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trigeminalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "901",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trigeminalNerve",
    name="trigeminal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trigeminocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trigeminocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "373",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trigeminocerebellarTract",
    name="trigeminocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "911",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trochlearNerve",
    name="trochlear nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trochlear_nerve_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trochlearNerveDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "384",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trochlearNerveDecussation",
    name="trochlear nerve decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_trochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_trochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "115",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_trochlearNucleus",
    name="trochlear nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tuberal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "614",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tuberalNucleus",
    name="tuberal nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tuberomammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberomammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "557",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tuberomammillaryNucleus",
    name="tuberomammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tuberomammillary_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberomammillaryNucleusDorsalPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tuberomammillaryNucleusDorsalPart",
    name="tuberomammillary nucleus, dorsal part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_tuberomammillary_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_tuberomammillaryNucleusVentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_tuberomammillaryNucleusVentralPart",
    name="tuberomammillary nucleus, ventral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_uncinate_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uncinateFascicle",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "850",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_uncinateFascicle",
    name="uncinate fascicle",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_uvula_ix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIX",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "957",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_uvulaIX",
    name="uvula (IX)",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_uvula_ix_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIXGranularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10732",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ECE754"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_uvulaIXGranularLayer",
    name="uvula (IX), granular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_uvula_ix_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIXMolecularLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10734",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_uvulaIXMolecularLayer",
    name="uvula (IX), molecular layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_uvula_ix_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_uvulaIXPurkinjeLayer",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10733",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_uvulaIXPurkinjeLayer",
    name="uvula (IX), Purkinje layer",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vagusNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "917",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vagusNerve",
    name="vagus nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vascular_organ_of_the_lamina_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vascularOrganOfTheLaminaTerminalis",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "763",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vascularOrganOfTheLaminaTerminalis",
    name="vascular organ of the lamina terminalis",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_anteriorlateral_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAnteriorlateralComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "629",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAnteriorlateralComplexOfTheThalamus",
    name="ventral anterior-lateral complex of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1018",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryArea",
    name="ventral auditory area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "959",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer1",
    name="ventral auditory area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "755",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer2-3",
    name="ventral auditory area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "990",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer4",
    name="ventral auditory area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1023",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer5",
    name="ventral auditory area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "520",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer6a",
    name="ventral auditory area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_auditory_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralAuditoryAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "598",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019399"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralAuditoryAreaLayer6b",
    name="ventral auditory area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralCochlearNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "101",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA5D2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralCochlearNucleus",
    name="ventral cochlear nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_commissure_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralCommissureOfTheSpinalCord",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "858",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralCommissureOfTheSpinalCord",
    name="ventral commissure of the spinal cord",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralGroupOfTheDorsalThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "637",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralGroupOfTheDorsalThalamus",
    name="ventral group of the dorsal thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralHippocampalCommissure",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "449",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_medial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralMedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "685",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralMedialNucleusOfTheThalamus",
    name="ventral medial nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_part_of_the_lateral_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "178",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplex",
    name="ventral part of the lateral geniculate complex",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_part_of_the_lateral_geniculate_complex_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplexLateralZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "300",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplexLateralZone",
    name="ventral part of the lateral geniculate complex, lateral zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_part_of_the_lateral_geniculate_complex_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplexMedialZone",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "316",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPartOfTheLateralGeniculateComplexMedialZone",
    name="ventral part of the lateral geniculate complex, medial zone",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_posterior_complex_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosteriorComplexOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "709",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPosteriorComplexOfTheThalamus",
    name="ventral posterior complex of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_posterolateral_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosterolateralNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "718",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPosterolateralNucleusOfTheThalamus",
    name="ventral posterolateral nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_posterolateral_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosterolateralNucleusOfTheThalamusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "725",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPosterolateralNucleusOfTheThalamusParvicellularPart",
    name="ventral posterolateral nucleus of the thalamus, parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_posteromedial_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosteromedialNucleusOfTheThalamus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "733",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPosteromedialNucleusOfTheThalamus",
    name="ventral posteromedial nucleus of the thalamus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_posteromedial_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPosteromedialNucleusOfTheThalamusParvicellularPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "741",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8084"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPosteromedialNucleusOfTheThalamusParvicellularPart",
    name="ventral posteromedial nucleus of the thalamus, parvicellular part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_premammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralPremammillaryNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1004",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralPremammillaryNucleus",
    name="ventral premammillary nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_roots = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralRoots",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "925",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralRoots",
    name="ventral roots",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralSpinocerebellarTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "866",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralSpinocerebellarTract",
    name="ventral spinocerebellar tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralSpinothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "389",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralSpinothalamicTract",
    name="ventral spinothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_tegmental_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralTegmentalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "749",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralTegmentalArea",
    name="ventral tegmental area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_tegmental_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralTegmentalDecussation",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "397",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralTegmentalDecussation",
    name="ventral tegmental decussation",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventral_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventralTegmentalNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "757",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventralTegmentalNucleus",
    name="ventral tegmental nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventricular_systems = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventricularSystems",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "73",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAAA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventricularSystems",
    name="ventricular systems",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventrolateral_hypothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventrolateralHypothalamicTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "405",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventrolateralHypothalamicTract",
    name="ventrolateral hypothalamic tract",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventrolateral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventrolateralPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "689",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventrolateralPreopticNucleus",
    name="ventrolateral preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "693",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialHypothalamicNucleus",
    name="ventromedial hypothalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusAnteriorPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "761",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialHypothalamicNucleusAnteriorPart",
    name="ventromedial hypothalamic nucleus, anterior part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_hypothalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusCentralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "769",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialHypothalamicNucleusCentralPart",
    name="ventromedial hypothalamic nucleus, central part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_hypothalamic_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusDorsomedialPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "777",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialHypothalamicNucleusDorsomedialPart",
    name="ventromedial hypothalamic nucleus, dorsomedial part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_hypothalamic_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialHypothalamicNucleusVentrolateralPart",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "785",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4C3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialHypothalamicNucleusVentrolateralPart",
    name="ventromedial hypothalamic nucleus, ventrolateral part",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_ventromedial_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_ventromedialPreopticNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "576073699",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5547"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_ventromedialPreopticNucleus",
    name="ventromedial preoptic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vermal_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vermalRegions",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "645",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC91"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vermalRegions",
    name="vermal regions",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibularNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "413",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vestibularNerve",
    name="vestibular nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vestibular_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibularNuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "701",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB3D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vestibularNuclei",
    name="vestibular nuclei",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vestibulocerebellar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibulocerebellarNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "589508455",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFDBC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vestibulocerebellarNucleus",
    name="vestibulocerebellar nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vestibulocochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibulocochlearNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "933",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vestibulocochlearNerve",
    name="vestibulocochlear nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vestibulospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vestibulospinalPathway",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "941",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vestibulospinalPathway",
    name="vestibulospinal pathway",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "677",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralArea",
    name="visceral area",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "897",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer1",
    name="visceral area, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1106",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer2-3",
    name="visceral area, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1010",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer4",
    name="visceral area, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1058",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer5",
    name="visceral area, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "857",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer6a",
    name="visceral area, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visceral_area_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visceralAreaLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "849",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#11AD83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visceralAreaLayer6b",
    name="visceral area, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreas",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "669",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreas",
    name="visual areas",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "801",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer1",
    name="visual areas, layer 1",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer2_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer2-3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "561",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer2-3",
    name="visual areas, layer 2/3",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "913",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer4",
    name="visual areas, layer 4",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer5",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "937",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer5",
    name="visual areas, layer 5",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer6a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer6a",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "457",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer6a",
    name="visual areas, layer 6a",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_visual_areas_layer6b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_visualAreasLayer6b",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "497",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#08858C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_visualAreasLayer6b",
    name="visual areas, layer 6b",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_vomeronasal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_vomeronasalNerve",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "949",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CCCCCC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_vomeronasalNerve",
    name="vomeronasal nerve",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_xiphoid_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_xiphoidThalamicNucleus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "560581559",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF909F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_xiphoidThalamicNucleus",
    name="xiphoid thalamic nucleus",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.amba_cc_fv3_2017_zona_incerta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/AMBA_CCFv3-2017_zonaIncerta",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "797",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F2483B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="AMBA_CCFv3-2017_zonaIncerta",
    name="zona incerta",
    version_identifier="CCFv3, 2017",
)
ParcellationEntityVersion.ba_human_1909_ba1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA1",
    abbreviation="BA1",
    alternate_names=["Brodmann's area 1", "human Brodmann area 1", "human Brodmann's area 1", "humanBA1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA1",
    name="Brodmann area 1",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006099"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba10 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA10",
    abbreviation="BA10",
    alternate_names=["Brodmann's area 10", "human Brodmann area 10", "human Brodmann's area 10", "humanBA10"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA10",
    name="Brodmann area 10",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013541"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba11 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA11",
    abbreviation="BA11",
    alternate_names=["Brodmann's area 11", "human Brodmann area 11", "human Brodmann's area 11", "humanBA11"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA11",
    name="Brodmann area 11",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013528"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba12 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA12",
    abbreviation="BA12",
    alternate_names=["Brodmann's area 12", "human Brodmann area 12", "human Brodmann's area 12", "humanBA12"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA12",
    name="Brodmann area 12",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013543"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA13",
    abbreviation="BA13",
    alternate_names=["Brodmann's area 13", "human Brodmann area 13", "human Brodmann's area 13", "humanBA13"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA13",
    name="Brodmann area 13",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013544"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba14 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA14",
    abbreviation="BA14",
    alternate_names=["Brodmann's area 14", "human Brodmann area 14", "human Brodmann's area 14", "humanBA14"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA14",
    name="Brodmann area 14",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013545"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba15 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA15",
    abbreviation="BA15",
    alternate_names=["Brodmann's area 15", "human Brodmann area 15", "human Brodmann's area 15", "humanBA15"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA15",
    name="Brodmann area 15",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013546"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba16 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA16",
    abbreviation="BA16",
    alternate_names=["Brodmann's area 16", "human Brodmann area 16", "human Brodmann's area 16", "humanBA16"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA16",
    name="Brodmann area 16",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013547"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba17 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA17",
    abbreviation="BA17",
    alternate_names=["Brodmann's area 17", "human Brodmann area 17", "human Brodmann's area 17", "humanBA17"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA17",
    name="Brodmann area 17",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0002436"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba18 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA18",
    abbreviation="BA18",
    alternate_names=["Brodmann's area 18", "human Brodmann area 18", "human Brodmann's area 18", "humanBA18"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA18",
    name="Brodmann area 18",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006473"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba19 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA19",
    abbreviation="BA19",
    alternate_names=["Brodmann's area 19", "human Brodmann area 19", "human Brodmann's area 19", "humanBA19"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA19",
    name="Brodmann area 19",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013550"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA2",
    abbreviation="BA2",
    alternate_names=["Brodmann's area 2", "human Brodmann area 2", "human Brodmann's area 2", "humanBA2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA2",
    name="Brodmann area 2",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013533"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba20 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA20",
    abbreviation="BA20",
    alternate_names=["Brodmann's area 20", "human Brodmann area 20", "human Brodmann's area 20", "humanBA20"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA20",
    name="Brodmann area 20",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013551"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba21 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA21",
    abbreviation="BA21",
    alternate_names=["Brodmann's area 21", "human Brodmann area 21", "human Brodmann's area 21", "humanBA21"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA21",
    name="Brodmann area 21",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013552"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba22 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA22",
    abbreviation="BA22",
    alternate_names=["Brodmann's area 22", "human Brodmann area 22", "human Brodmann's area 22", "humanBA22"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA22",
    name="Brodmann area 22",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013553"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba23 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA23",
    abbreviation="BA23",
    alternate_names=["Brodmann's area 23", "human Brodmann area 23", "human Brodmann's area 23", "humanBA23"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA23",
    name="Brodmann area 23",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013554"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba24 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA24",
    abbreviation="BA24",
    alternate_names=["Brodmann's area 24", "human Brodmann area 24", "human Brodmann's area 24", "humanBA24"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA24",
    name="Brodmann area 24",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006101"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba25 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA25",
    abbreviation="BA25",
    alternate_names=["Brodmann's area 25", "human Brodmann area 25", "human Brodmann's area 25", "humanBA25"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA25",
    name="Brodmann area 25",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013556"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba26 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA26",
    abbreviation="BA26",
    alternate_names=["Brodmann's area 26", "human Brodmann area 26", "human Brodmann's area 26", "humanBA26"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA26",
    name="Brodmann area 26",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0004718"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba27 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA27",
    abbreviation="BA27",
    alternate_names=["Brodmann's area 27", "human Brodmann area 27", "human Brodmann's area 27", "humanBA27"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA27",
    name="Brodmann area 27",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013558"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba28 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA28",
    abbreviation="BA28",
    alternate_names=["Brodmann's area 28", "human Brodmann area 28", "human Brodmann's area 28", "humanBA28"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA28",
    name="Brodmann area 28",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013559"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba29 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA29",
    abbreviation="BA29",
    alternate_names=["Brodmann's area 29", "human Brodmann area 29", "human Brodmann's area 29", "humanBA29"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA29",
    name="Brodmann area 29",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0004717"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA3",
    abbreviation="BA3",
    alternate_names=["Brodmann's area 3", "human Brodmann area 3", "human Brodmann's area 3", "humanBA3"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA3",
    name="Brodmann area 3",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006100"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba30 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA30",
    abbreviation="BA30",
    alternate_names=["Brodmann's area 30", "human Brodmann area 30", "human Brodmann's area 30", "humanBA30"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA30",
    name="Brodmann area 30",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006474"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba31 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA31",
    abbreviation="BA31",
    alternate_names=["Brodmann's area 31", "human Brodmann area 31", "human Brodmann's area 31", "humanBA31"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA31",
    name="Brodmann area 31",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006475"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba32 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA32",
    abbreviation="BA32",
    alternate_names=["Brodmann's area 32", "human Brodmann area 32", "human Brodmann's area 32", "humanBA32"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA32",
    name="Brodmann area 32",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013560"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba33 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA33",
    abbreviation="BA33",
    alternate_names=["Brodmann's area 33", "human Brodmann area 33", "human Brodmann's area 33", "humanBA33"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA33",
    name="Brodmann area 33",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006476"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba34 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA34",
    abbreviation="BA34",
    alternate_names=["Brodmann's area 34", "human Brodmann area 34", "human Brodmann's area 34", "humanBA34"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA34",
    name="Brodmann area 34",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006477"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba35 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA35",
    abbreviation="BA35",
    alternate_names=["Brodmann's area 35", "human Brodmann area 35", "human Brodmann's area 35", "humanBA35"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA35",
    name="Brodmann area 35",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006102"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba36 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA36",
    abbreviation="BA36",
    alternate_names=["Brodmann's area 36", "human Brodmann area 36", "human Brodmann's area 36", "humanBA36"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA36",
    name="Brodmann area 36",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006104"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba37 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA37",
    abbreviation="BA37",
    alternate_names=["Brodmann's area 37", "human Brodmann area 37", "human Brodmann's area 37", "humanBA37"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA37",
    name="Brodmann area 37",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006478"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba38 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA38",
    abbreviation="BA38",
    alternate_names=["Brodmann's area 38", "human Brodmann area 38", "human Brodmann's area 38", "humanBA38"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA38",
    name="Brodmann area 38",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006479"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba39 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA39",
    abbreviation="BA39",
    alternate_names=["Brodmann's area 39", "human Brodmann area 39", "human Brodmann's area 39", "humanBA39"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA39",
    name="Brodmann area 39",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006480"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA4",
    abbreviation="BA4",
    alternate_names=["Brodmann's area 4", "human Brodmann area 4", "human Brodmann's area 4", "humanBA4"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA4",
    name="Brodmann area 4",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013535"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba40 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA40",
    abbreviation="BA40",
    alternate_names=["Brodmann's area 40", "human Brodmann area 40", "human Brodmann's area 40", "humanBA40"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA40",
    name="Brodmann area 40",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013573"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba41 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA41",
    abbreviation="BA41",
    alternate_names=["Brodmann's area 41", "human Brodmann area 41", "human Brodmann's area 41", "humanBA41"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA41",
    name="Brodmann area 41",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006095"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba42 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA42",
    abbreviation="BA42",
    alternate_names=["Brodmann's area 42", "human Brodmann area 42", "human Brodmann's area 42", "humanBA42"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA42",
    name="Brodmann area 42",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006096"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba43 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA43",
    abbreviation="BA43",
    alternate_names=["Brodmann's area 43", "human Brodmann area 43", "human Brodmann's area 43", "humanBA43"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA43",
    name="Brodmann area 43",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013561"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba44 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA44",
    abbreviation="BA44",
    alternate_names=["Brodmann's area 44", "human Brodmann area 44", "human Brodmann's area 44", "humanBA44"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA44",
    name="Brodmann area 44",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006481"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba45 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA45",
    abbreviation="BA45",
    alternate_names=["Brodmann's area 45", "human Brodmann area 45", "human Brodmann's area 45", "humanBA45"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA45",
    name="Brodmann area 45",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006482"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba46 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA46",
    abbreviation="BA46",
    alternate_names=["Brodmann's area 46", "human Brodmann area 46", "human Brodmann's area 46", "humanBA46"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA46",
    name="Brodmann area 46",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006483"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba47 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA47",
    abbreviation="BA47",
    alternate_names=["Brodmann's area 47", "human Brodmann area 47", "human Brodmann's area 47", "humanBA47"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA47",
    name="Brodmann area 47",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006484"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba48 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA48",
    abbreviation="BA48",
    alternate_names=["Brodmann's area 48", "human Brodmann area 48", "human Brodmann's area 48", "humanBA48"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA48",
    name="Brodmann area 48",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006485"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba5 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA5",
    abbreviation="BA5",
    alternate_names=["Brodmann's area 5", "human Brodmann area 5", "human Brodmann's area 5", "humanBA5"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA5",
    name="Brodmann area 5",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006471"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba52 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA52",
    abbreviation="BA52",
    alternate_names=["Brodmann's area 52", "human Brodmann area 52", "human Brodmann's area 52", "humanBA52"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA52",
    name="Brodmann area 52",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006486"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba6 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA6",
    abbreviation="BA6",
    alternate_names=["Brodmann's area 6", "human Brodmann area 6", "human Brodmann's area 6", "humanBA6"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA6",
    name="Brodmann area 6",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0006472"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba7 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA7",
    abbreviation="BA7",
    alternate_names=["Brodmann's area 7", "human Brodmann area 7", "human Brodmann's area 7", "humanBA7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA7",
    name="Brodmann area 7",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013538"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba8 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA8",
    abbreviation="BA8",
    alternate_names=["Brodmann's area 8", "human Brodmann area 8", "human Brodmann's area 8", "humanBA8"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA8",
    name="Brodmann area 8",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013539"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba8a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA8a",
    abbreviation="BA8a",
    alternate_names=["Brodmann's area 8a", "human Brodmann area 8a", "human Brodmann's area 8a", "humanBA8a"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA8a",
    name="Brodmann area 8a",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013562"),
    version_identifier="1909",
)
ParcellationEntityVersion.ba_human_1909_ba9 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/BA-human_1909_BA9",
    abbreviation="BA9",
    alternate_names=["Brodmann's area 9", "human Brodmann area 9", "human Brodmann's area 9", "humanBA9"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/asserted"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/BA-human_cerebralCortex"}],
    lookup_label="BA-human_1909_BA9",
    name="Brodmann area 9",
    ontology_identifiers=IRI("http://purl.obolibrary.org/obo/UBERON_0013540"),
    version_identifier="1909",
)
ParcellationEntityVersion.dwma_2018_anterior_segement_of_arcuate_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_anteriorSegementOfArcuateFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Arcuate_Anterior_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Arcuate_Anterior_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_arcuateFasciculus"}],
    lookup_label="DWMA_2018_anteriorSegementOfArcuateFasciculus",
    name="anterior segment of arcuate fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_corticospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_corticospinalTract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/CorticoSpinalTract_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/CorticoSpinalTract_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_2018_corticospinalTract",
    name="corticospinal tract",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_direct_segement_of_arcuate_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_directSegementOfArcuateFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Arcuate_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Arcuate_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_arcuateFasciculus"}],
    lookup_label="DWMA_2018_directSegementOfArcuateFasciculus",
    name="direct segment of arcuate fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_fornix",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Fornix_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Fornix_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_2018_fornix",
    name="fornix",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_inferior_fronto_occipital_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_inferiorFronto-occipitalFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/InferiorFrontoOccipital_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/InferiorFrontoOccipital_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_2018_inferiorFronto-occipitalFasciculus",
    name="inferior fronto-occipital fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_inferior_longitudinal_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_inferiorLongitudinalFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/InferiorLongitudinal_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/InferiorLongitudinal_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_2018_inferiorLongitudinalFasciculus",
    name="inferior longitudinal fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_long_cingulate_fibres = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_longCingulateFibres",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Cingulum_Long_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Cingulum_Long_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_cingulum"}],
    lookup_label="DWMA_2018_longCingulateFibres",
    name="long cingulate fibres",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_posterior_segement_of_arcuate_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_posteriorSegementOfArcuateFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Arcuate_Posterior_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Arcuate_Posterior_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_arcuateFasciculus"}],
    lookup_label="DWMA_2018_posteriorSegementOfArcuateFasciculus",
    name="posterior segment of arcuate fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_short_cingulate_fibres = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_shortCingulateFibres",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Cingulum_Short_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Cingulum_Short_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_cingulum"}],
    lookup_label="DWMA_2018_shortCingulateFibres",
    name="short cingulate fibres",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_temporal_cingulate_fibres = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_temporalCingulateFibres",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Cingulum_Temporal_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Cingulum_Temporal_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_cingulum"}],
    lookup_label="DWMA_2018_temporalCingulateFibres",
    name="temporal cingulate fibres",
    version_identifier="2018",
)
ParcellationEntityVersion.dwma_2018_uncinate_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/DWMA_2018_uncinateFasciculus",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/left-hemisphere/Probability_Maps/Uncinate_Left.nii.gz"
            },
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": {
                "@id": "https://object.cscs.ch/v1/AUTH_227176556f3c4bb38df9feea4b91200c/hbp-d000339_DeepWhiteMatterBundles_DWM_pub/version2018/right-hemisphere/Probability_Maps/Uncinate_Right.nii.gz"
            },
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/DWMA_deepWhiteMatter"}],
    lookup_label="DWMA_2018_uncinateFasciculus",
    name="uncinate fasciculus",
    version_identifier="2018",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_1_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-1_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-1_PM-v8.2",
    name="Area 1 (PostCG)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_25_pm_v16_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-25_PM-v16.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-25_PM-v16.0",
    name="Area 25 (sACC)",
    version_identifier="v1.13-Colin27, PM-v16.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-2_PM-v3.2",
    name="Area 2 (PostCS)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_33_pm_v16_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-33_PM-v16.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-33_PM-v16.0",
    name="Area 33 (ACC)",
    version_identifier="v1.13-Colin27, PM-v16.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_3a_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-3a_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-3a_PM-v8.2",
    name="Area 3a (PostCG)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_3b_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-3b_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-3b_PM-v8.2",
    name="Area 3b (PostCG)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_44_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-44_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-44_PM-v7.2",
    name="Area 44 (IFG)",
    version_identifier="v1.13-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_45_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-45_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-45_PM-v7.2",
    name="Area 45 (IFG)",
    version_identifier="v1.13-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_4a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-4a_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-4a_PM-v9.2",
    name="Area 4a (PreCG)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_4p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-4p_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-4p_PM-v9.2",
    name="Area 4p (PreCG)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_5_ci_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5Ci_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-5Ci_PM-v8.2",
    name="Area 5Ci (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_5_l_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5L_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-5L_PM-v8.2",
    name="Area 5L (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_5_m_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-5M_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-5M_PM-v8.2",
    name="Area 5M (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_7_a_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7A_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-7A_PM-v8.2",
    name="Area 7A (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_7_m_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7M_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-7M_PM-v8.2",
    name="Area 7M (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_7_p_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7P_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-7P_PM-v8.2",
    name="Area 7P (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_7_pc_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-7PC_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-7PC_PM-v8.2",
    name="Area 7PC (SPL)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__fo1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-Fo1_PM-v3.2",
    name="Area Fo1 (OFC)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__fo2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-Fo2_PM-v3.2",
    name="Area Fo2 (OFC)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__fo3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fo3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-Fo3_PM-v3.2",
    name="Area Fo3 (OFC)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__fp1_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fp1_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.13-Colin27_Area-Fp1_PM-v2.2",
    name="Area Fp1 (FPole)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__fp2_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Fp2_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.13-Colin27_Area-Fp2_PM-v2.2",
    name="Area Fp2 (FPole)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__id1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Id1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.13-Colin27_Area-Id1_PM-v11.0",
    name="Area Id1 (Insula)",
    version_identifier="v1.13-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__ig1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Ig1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.13-Colin27_Area-Ig1_PM-v11.0",
    name="Area Ig1 (Insula)",
    version_identifier="v1.13-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area__ig2_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-Ig2_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.13-Colin27_Area-Ig2_PM-v11.0",
    name="Area Ig2 (Insula)",
    version_identifier="v1.13-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_fg1_pm_v1_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG1_PM-v1.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-FG1_PM-v1.2",
    name="Area FG1 (FusG)",
    version_identifier="v1.13-Colin27, PM-v1.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_fg2_pm_v1_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG2_PM-v1.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-FG2_PM-v1.2",
    name="Area FG2 (FusG)",
    version_identifier="v1.13-Colin27, PM-v1.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_fg3_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG3_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-FG3_PM-v6.0",
    name="Area FG3 (FusG)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_fg4_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-FG4_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-FG4_PM-v6.0",
    name="Area FG4 (FusG)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_ip1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.13-Colin27_Area-hIP1_PM-v6.0",
    name="Area hIP1 (IPS)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_ip2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.13-Colin27_Area-hIP2_PM-v6.0",
    name="Area hIP2 (IPS)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_ip3_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hIP3_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.13-Colin27_Area-hIP3_PM-v8.2",
    name="Area hIP3 (IPS)",
    version_identifier="v1.13-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc1_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc1_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc1_PM-v2.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc2_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc2_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc2_PM-v2.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc3d_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc3d_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc3d_PM-v2.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc3v_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc3v_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc3v_PM-v3.2",
    name="Area hOc3v (LingG)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc4d_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4d_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc4d_PM-v2.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc4la_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4la_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc4la_PM-v3.2",
    name="Area hOc4la (LOC)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc4lp_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4lp_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc4lp_PM-v3.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc4v_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc4v_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc4v_PM-v3.2",
    name="Area hOc4v (LingG)",
    version_identifier="v1.13-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_h_oc5_pm_v2_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-hOc5_PM-v2.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.13-Colin27_Area-hOc5_PM-v2.2",
    name="Area hOc5 (LOC)",
    version_identifier="v1.13-Colin27, PM-v2.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_op1_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP1_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.13-Colin27_Area-OP1_PM-v9.2",
    name="Area OP1 (POperc)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_op2_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP2_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.13-Colin27_Area-OP2_PM-v9.2",
    name="Area OP2 (POperc)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_op3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.13-Colin27_Area-OP3_PM-v9.2",
    name="Area OP3 (POperc)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_op4_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-OP4_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.13-Colin27_Area-OP4_PM-v9.2",
    name="Area OP4 (POperc)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_fcm_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFcm_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PFcm_PM-v9.2",
    name="Area PFcm (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_fm_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFm_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PFm_PM-v9.2",
    name="Area PFm (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_fop_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFop_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PFop_PM-v9.2",
    name="Area PFop (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_ft_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PFt_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PFt_PM-v9.2",
    name="Area PFt (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_ga_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PGa_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PGa_PM-v9.2",
    name="Area PGa (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_p_gp_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PGp_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PGp_PM-v9.2",
    name="Area PGp (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_pf_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-PF_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.13-Colin27_Area-PF_PM-v9.2",
    name="Area PF (IPL)",
    version_identifier="v1.13-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_s24_pm_v16_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-s24_PM-v16.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-s24_PM-v16.0",
    name="Area s24 (sACC)",
    version_identifier="v1.13-Colin27, PM-v16.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_s32_pm_v16_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-s32_PM-v16.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-s32_PM-v16.0",
    name="Area s32 (sACC)",
    version_identifier="v1.13-Colin27, PM-v16.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_te_1_0_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.0_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-TE-1.0_PM-v5.0",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v1.13-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_te_1_1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-TE-1.1_PM-v5.0",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v1.13-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_te_1_2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-1.2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-TE-1.2_PM-v5.0",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v1.13-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__area_te_3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Area-TE-3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v1.13-Colin27_Area-TE-3_PM-v5.0",
    name="Area TE 3 (STG)",
    version_identifier="v1.13-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__ch_123_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ch-123_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v1.13-Colin27_Ch-123_PM-v4.0",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v1.13-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__ch_4_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ch-4_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v1.13-Colin27_Ch-4_PM-v4.0",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v1.13-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__dorsal__dentate__nucleus_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Dorsal-Dentate-Nucleus_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.13-Colin27_Dorsal-Dentate-Nucleus_PM-v6.0",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__entorhinal__cortex_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Entorhinal-Cortex_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_Entorhinal-Cortex_PM-v11b.0",
    name="Entorhinal Cortex",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__fastigial__nucleus_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Fastigial-Nucleus_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.13-Colin27_Fastigial-Nucleus_PM-v6.0",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__interposed__nucleus_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Interposed-Nucleus_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.13-Colin27_Interposed-Nucleus_PM-v6.0",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__subiculum_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Subiculum_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_Subiculum_PM-v11b.0",
    name="Subiculum (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27__ventral__dentate__nucleus_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_Ventral-Dentate-Nucleus_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.13-Colin27_Ventral-Dentate-Nucleus_PM-v6.0",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v1.13-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_ca1_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA1_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_CA1_PM-v11b.0",
    name="CA1 (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_ca2_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA2_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_CA2_PM-v11b.0",
    name="CA2 (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_ca3_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CA3_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_CA3_PM-v11b.0",
    name="CA3 (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_cm_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_CM_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.13-Colin27_CM_PM-v6.1",
    name="CM (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_13__colin27_dg_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_DG_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_DG_PM-v11b.0",
    name="DG (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_hata_pm_v11b_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_HATA_PM-v11b.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.13-Colin27_HATA_PM-v11b.0",
    name="HATA (Hippocampus)",
    version_identifier="v1.13-Colin27, PM-v11b.0",
)
ParcellationEntityVersion.jba_v1_13__colin27_if_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_IF_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.13-Colin27_IF_PM-v6.1",
    name="IF (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_13__colin27_lb_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_LB_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.13-Colin27_LB_PM-v6.1",
    name="LB (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_13__colin27_mf_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_MF_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.13-Colin27_MF_PM-v6.1",
    name="MF (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_13__colin27_sf_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_SF_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.13-Colin27_SF_PM-v6.1",
    name="SF (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_13__colin27_vtm_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.13-Colin27_VTM_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.13-Colin27_VTM_PM-v6.1",
    name="VTM (Amygdala)",
    version_identifier="v1.13-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v1.18-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v1.18-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v1.18-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v1.18-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v1.18-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v1.18-Colin27_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v1.18-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v1.18-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_7_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-7M_PM-v8.4",
    name="Area 7M (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v1.18-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v1.18-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v1.18-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v1.18-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.18-Colin27_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v1.18-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v1.18-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v1.18-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v1.18-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-Colin27_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v1.18-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v1.18-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v1.18-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v1.18-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v1.18-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v1.18-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v1.18-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v1.18-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v1.18-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-Colin27_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v1.18-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op1_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP1_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP1_PM-v9.4",
    name="Area OP1 (POperc)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op2_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP2_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP2_PM-v9.4",
    name="Area OP2 (POperc)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op3_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP3_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP3_PM-v9.4",
    name="Area OP3 (POperc)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op4_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP4_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP4_PM-v9.4",
    name="Area OP4 (POperc)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v1.18-Colin27_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-Colin27_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v1.18-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v1.18-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v1.18-Colin27_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v1.18-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v1.18-Colin27_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v1.18-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v1.18-Colin27_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v1.18-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v1_18__colin27__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v1.18-Colin27_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v1.18-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v1_18__colin27__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.18-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v1.18-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18__colin27__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-Colin27_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v1.18-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.18-Colin27_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v1.18-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18__colin27__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.18-Colin27_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v1.18-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18__colin27__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-Colin27_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v1.18-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18__colin27__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.18-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v1.18-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18__colin27_ca_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_CA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-Colin27_CA_PM-v11.1",
    name="CA (Hippocampus)",
    version_identifier="v1.18-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18__colin27_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-Colin27_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18__colin27_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-Colin27_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v1.18-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18__colin27_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-Colin27_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v1.18-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18__colin27_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-Colin27_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18__colin27_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-Colin27_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18__colin27_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-Colin27_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18__colin27_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-Colin27_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18__colin27_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-Colin27_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-Colin27_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v1.18-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v1.18-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v1.18-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v1.18-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v1.18-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v1.18-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v1.18-MNI152_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v1.18-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v1.18-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_7_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-7M_PM-v8.4",
    name="Area 7M (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v1.18-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v1.18-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v1.18-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v1.18-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v1.18-MNI152_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v1.18-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v1.18-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v1.18-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v1.18-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v1.18-MNI152_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v1.18-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v1.18-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v1.18-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v1.18-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v1.18-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v1.18-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v1.18-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v1.18-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v1.18-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v1.18-MNI152_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v1.18-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op1_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP1_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP1_PM-v9.4",
    name="Area OP1 (POperc)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op2_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP2_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP2_PM-v9.4",
    name="Area OP2 (POperc)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op3_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP3_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP3_PM-v9.4",
    name="Area OP3 (POperc)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op4_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP4_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP4_PM-v9.4",
    name="Area OP4 (POperc)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v1.18-MNI152_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v1.18-MNI152_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v1.18-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v1.18-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v1.18-MNI152_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v1.18-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v1.18-MNI152_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v1.18-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v1.18-MNI152_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v1.18-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v1_18_mni152__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v1.18-MNI152_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v1.18-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v1_18_mni152__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.18-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v1.18-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18_mni152__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-MNI152_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v1.18-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.18-MNI152_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v1.18-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18_mni152__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v1.18-MNI152_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v1.18-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18_mni152__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-MNI152_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v1.18-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18_mni152__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v1.18-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v1.18-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v1_18_mni152_ca_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_CA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-MNI152_CA_PM-v11.1",
    name="CA (Hippocampus)",
    version_identifier="v1.18-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18_mni152_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-MNI152_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-MNI152_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v1.18-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18_mni152_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v1.18-MNI152_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v1.18-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v1_18_mni152_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-MNI152_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-MNI152_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-MNI152_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v1.18-MNI152_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v1_18_mni152_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v1.18-MNI152_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v1.18-MNI152_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v1.18-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v2.2-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v2.2-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.2-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.2-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.2-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.2-Colin27_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.2-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.2-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v2.2-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v2.2-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v2.2-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v2.2-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.2-Colin27_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v2.2-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v2.2-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v2.2-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area__te_i_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TeI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-TeI_PM-v5.1",
    name="Area TeI (STG)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_a29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-a29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-a29_PM-v11.0",
    name="Area a29 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_a30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-a30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-a30_PM-v11.0",
    name="Area a30 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v2.2-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v2.2-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v2.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v2.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v2.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v2.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v2.2-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v2.2-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v2.2-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-Colin27_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_i29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-i29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-i29_PM-v11.0",
    name="Area i29 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_i30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-i30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-i30_PM-v11.0",
    name="Area i30 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP1_PM-v11.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op2_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP2_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP2_PM-v11.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op3_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP3_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP3_PM-v11.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op4_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP4_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP4_PM-v11.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op5_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP5_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP5_PM-v2.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.2-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op6_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP6_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP6_PM-v2.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.2-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op7_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP7_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP7_PM-v2.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.2-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-Colin27_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-p29_PM-v11.0",
    name="Area p29 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-Colin27_Area-p30_PM-v11.0",
    name="Area p30 (retrosplenial)",
    version_identifier="v2.2-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-Colin27_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v2.2-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v2.2-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.2-Colin27_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v2.2-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_2_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-2.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-2.1_PM-v5.1",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_2_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-2.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-2.2_PM-v5.1",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-Colin27_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__area_ti_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Area-TI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.2-Colin27_Area-TI_PM-v5.1",
    name="Area TI (STG)",
    version_identifier="v2.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.2-Colin27_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_2__colin27__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.2-Colin27_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_2__colin27__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2__colin27__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.2-Colin27_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2__colin27__frontal_i_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-I_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.2-Colin27_Frontal-I_PM-v9.0",
    name="Frontal-I (GapMap)",
    version_identifier="v2.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__frontal_ii_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-II_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.2-Colin27_Frontal-II_PM-v9.0",
    name="Frontal-II (GapMap)",
    version_identifier="v2.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__frontal_to__occipital_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-to-Occipital_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-Colin27_Frontal-to-Occipital_PM-v9.0",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__frontal_to__temporal_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Frontal-to-Temporal_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-Colin27_Frontal-to-Temporal_PM-v9.0",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.2-Colin27_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2__colin27__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27__temporal_to__parietal_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Temporal-to-Parietal_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-Colin27_Temporal-to-Parietal_PM-v9.0",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2__colin27__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2__colin27_ca1_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA1_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_CA1_PM-v11.1",
    name="CA1 (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27_ca2_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA2_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_CA2_PM-v11.1",
    name="CA2 (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27_ca3_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CA3_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_CA3_PM-v11.1",
    name="CA3 (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-Colin27_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-Colin27_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v2.2-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2__colin27_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-Colin27_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-Colin27_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-Colin27_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-Colin27_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2__colin27_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-Colin27_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-Colin27_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v2.2-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v2.2-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v2.2-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.2-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.2-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.2-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.2-MNI152_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.2-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.2-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v2.2-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v2.2-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v2.2-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v2.2-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.2-MNI152_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v2.2-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v2.2-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v2.2-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area__te_i_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TeI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-TeI_PM-v5.1",
    name="Area TeI (STG)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_a29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-a29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-a29_PM-v11.0",
    name="Area a29 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_a30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-a30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-a30_PM-v11.0",
    name="Area a30 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v2.2-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v2.2-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v2.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v2.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v2.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v2.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v2.2-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v2.2-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v2.2-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.2-MNI152_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_i29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-i29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-i29_PM-v11.0",
    name="Area i29 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_i30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-i30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-i30_PM-v11.0",
    name="Area i30 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP1_PM-v11.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op2_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP2_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP2_PM-v11.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op3_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP3_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP3_PM-v11.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op4_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP4_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP4_PM-v11.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op5_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP5_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP5_PM-v2.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.2-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op6_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP6_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP6_PM-v2.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.2-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op7_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP7_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP7_PM-v2.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.2-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.2-MNI152_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-p29_PM-v11.0",
    name="Area p29 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.2-MNI152_Area-p30_PM-v11.0",
    name="Area p30 (retrosplenial)",
    version_identifier="v2.2-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.2-MNI152_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v2.2-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v2.2-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.2-MNI152_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v2.2-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_2_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-2.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-2.1_PM-v5.1",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_2_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-2.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-2.2_PM-v5.1",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.2-MNI152_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__area_ti_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Area-TI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.2-MNI152_Area-TI_PM-v5.1",
    name="Area TI (STG)",
    version_identifier="v2.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.2-MNI152_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_2_mni152__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.2-MNI152_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_2_mni152__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2_mni152__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.2-MNI152_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2_mni152__frontal_i_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-I_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.2-MNI152_Frontal-I_PM-v9.0",
    name="Frontal-I (GapMap)",
    version_identifier="v2.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__frontal_ii_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-II_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.2-MNI152_Frontal-II_PM-v9.0",
    name="Frontal-II (GapMap)",
    version_identifier="v2.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__frontal_to__occipital_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-to-Occipital_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-MNI152_Frontal-to-Occipital_PM-v9.0",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__frontal_to__temporal_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Frontal-to-Temporal_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-MNI152_Frontal-to-Temporal_PM-v9.0",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.2-MNI152_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2_mni152__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152__temporal_to__parietal_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Temporal-to-Parietal_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.2-MNI152_Temporal-to-Parietal_PM-v9.0",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_2_mni152__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_2_mni152_ca1_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA1_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_CA1_PM-v11.1",
    name="CA1 (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152_ca2_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA2_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_CA2_PM-v11.1",
    name="CA2 (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152_ca3_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CA3_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_CA3_PM-v11.1",
    name="CA3 (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-MNI152_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.2-MNI152_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v2.2-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_2_mni152_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-MNI152_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-MNI152_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-MNI152_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.2-MNI152_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_2_mni152_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.2-MNI152_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.2-MNI152_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v2.2-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v2.4-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v2.4-Colin27, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.4-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.4-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.4-Colin27, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.4-Colin27_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.4-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.4-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v2.4-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v2.4-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v2.4-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v2.4-Colin27, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.4-Colin27_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v2.4-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.4-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v2.4-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v2.4-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area__te_i_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TeI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-TeI_PM-v5.1",
    name="Area TeI (STG)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_a29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-a29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-a29_PM-v11.0",
    name="Area a29 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_a30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-a30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-a30_PM-v11.0",
    name="Area a30 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v2.4-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v2.4-Colin27, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v2.4-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v2.4-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v2.4-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v2.4-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v2.4-Colin27, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v2.4-Colin27, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v2.4-Colin27, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-Colin27_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.4-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_i29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-i29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-i29_PM-v11.0",
    name="Area i29 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_i30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-i30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-i30_PM-v11.0",
    name="Area i30 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP1_PM-v11.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op2_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP2_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP2_PM-v11.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op3_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP3_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP3_PM-v11.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op4_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP4_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP4_PM-v11.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op5_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP5_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP5_PM-v2.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.4-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op6_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP6_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP6_PM-v2.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.4-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op7_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP7_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP7_PM-v2.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.4-Colin27, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-Colin27_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-p29_PM-v11.0",
    name="Area p29 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-Colin27_Area-p30_PM-v11.0",
    name="Area p30 (retrosplenial)",
    version_identifier="v2.4-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-Colin27_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v2.4-Colin27, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v2.4-Colin27, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.4-Colin27_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v2.4-Colin27, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_2_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-2.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-2.1_PM-v5.1",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_2_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-2.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-2.2_PM-v5.1",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-Colin27_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__area_ti_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Area-TI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.4-Colin27_Area-TI_PM-v5.1",
    name="Area TI (STG)",
    version_identifier="v2.4-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.4-Colin27_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.4-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.4-Colin27_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.4-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.4-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.4-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.4-Colin27_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.4-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__frontal_i_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-I_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.4-Colin27_Frontal-I_PM-v9.2",
    name="Frontal-I (GapMap)",
    version_identifier="v2.4-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__frontal_ii_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-II_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.4-Colin27_Frontal-II_PM-v9.2",
    name="Frontal-II (GapMap)",
    version_identifier="v2.4-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__frontal_to__occipital_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-to-Occipital_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-Colin27_Frontal-to-Occipital_PM-v9.2",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.4-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__frontal_to__temporal_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Frontal-to-Temporal_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-Colin27_Frontal-to-Temporal_PM-v9.2",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.4-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.4-Colin27_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.4-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27__temporal_to__parietal_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Temporal-to-Parietal_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-Colin27_Temporal-to-Parietal_PM-v9.2",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.4-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4__colin27__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.4-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.4-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4__colin27_ca1_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA1_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_CA1_PM-v11.1",
    name="CA1 (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27_ca2_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA2_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_CA2_PM-v11.1",
    name="CA2 (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27_ca3_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CA3_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_CA3_PM-v11.1",
    name="CA3 (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-Colin27_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-Colin27_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v2.4-Colin27, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4__colin27_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-Colin27_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-Colin27_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-Colin27_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-Colin27_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4__colin27_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-Colin27_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-Colin27_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v2.4-Colin27, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_1_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-1_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-1_PM-v8.4",
    name="Area 1 (PostCG)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_25_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-25_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-25_PM-v16.1",
    name="Area 25 (sACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-2_PM-v3.4",
    name="Area 2 (PostCS)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_33_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-33_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-33_PM-v16.1",
    name="Area 33 (ACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_3a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-3a_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-3a_PM-v8.4",
    name="Area 3a (PostCG)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_3b_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-3b_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-3b_PM-v8.4",
    name="Area 3b (PostCG)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_44_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-44_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-44_PM-v7.4",
    name="Area 44 (IFG)",
    version_identifier="v2.4-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_45_pm_v7_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-45_PM-v7.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-45_PM-v7.4",
    name="Area 45 (IFG)",
    version_identifier="v2.4-MNI152, PM-v7.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_4a_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-4a_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-4a_PM-v9.4",
    name="Area 4a (PreCG)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_4p_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-4p_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-4p_PM-v9.4",
    name="Area 4p (PreCG)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_5_ci_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5Ci_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-5Ci_PM-v8.4",
    name="Area 5Ci (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_5_l_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5L_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-5L_PM-v8.4",
    name="Area 5L (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_5_m_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-5M_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-5M_PM-v8.4",
    name="Area 5M (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_6d1_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d1_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-6d1_PM-v4.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.4-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_6d2_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d2_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-6d2_PM-v4.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.4-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_6d3_pm_v4_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6d3_PM-v4.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-6d3_PM-v4.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.4-MNI152, PM-v4.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_6ma_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6ma_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.4-MNI152_Area-6ma_PM-v9.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.4-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_6mp_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-6mp_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-6mp_PM-v9.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.4-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_7_a_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7A_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-7A_PM-v8.4",
    name="Area 7A (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_7_p_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7P_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-7P_PM-v8.4",
    name="Area 7P (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_7_pc_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-7PC_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-7PC_PM-v8.4",
    name="Area 7PC (SPL)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo1_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo1_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo1_PM-v3.4",
    name="Area Fo1 (OFC)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo2_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo2_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo2_PM-v3.4",
    name="Area Fo2 (OFC)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo3_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo3_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo3_PM-v3.4",
    name="Area Fo3 (OFC)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo4_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo4_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo4_PM-v2.1",
    name="Area Fo4 (OFC)",
    version_identifier="v2.4-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo5_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo5_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo5_PM-v2.1",
    name="Area Fo5 (OFC)",
    version_identifier="v2.4-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo6_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo6_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo6_PM-v2.1",
    name="Area Fo6 (OFC)",
    version_identifier="v2.4-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fo7_pm_v2_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fo7_PM-v2.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fo7_PM-v2.1",
    name="Area Fo7 (OFC)",
    version_identifier="v2.4-MNI152, PM-v2.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fp1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fp1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fp1_PM-v2.4",
    name="Area Fp1 (FPole)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__fp2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Fp2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.4-MNI152_Area-Fp2_PM-v2.4",
    name="Area Fp2 (FPole)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__ia_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ia_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Ia_PM-v3.1",
    name="Area Ia (Insula)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id1_PM-v13.1",
    name="Area Id1 (Insula)",
    version_identifier="v2.4-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id2_PM-v7.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id3_PM-v7.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id4_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id4_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id4_PM-v3.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id5_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id5_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id5_PM-v3.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id6_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id6_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id6_PM-v3.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__id7_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Id7_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Id7_PM-v6.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.4-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__ig1_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig1_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Ig1_PM-v13.1",
    name="Area Ig1 (Insula)",
    version_identifier="v2.4-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__ig2_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig2_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Ig2_PM-v13.1",
    name="Area Ig2 (Insula)",
    version_identifier="v2.4-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__ig3_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-Ig3_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-Ig3_PM-v3.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area__te_i_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TeI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-TeI_PM-v5.1",
    name="Area TeI (STG)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_a29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-a29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-a29_PM-v11.0",
    name="Area a29 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_a30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-a30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-a30_PM-v11.0",
    name="Area a30 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_fg1_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG1_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-FG1_PM-v1.4",
    name="Area FG1 (FusG)",
    version_identifier="v2.4-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_fg2_pm_v1_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG2_PM-v1.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-FG2_PM-v1.4",
    name="Area FG2 (FusG)",
    version_identifier="v2.4-MNI152, PM-v1.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_fg3_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG3_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-FG3_PM-v6.1",
    name="Area FG3 (FusG)",
    version_identifier="v2.4-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_fg4_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-FG4_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-FG4_PM-v6.1",
    name="Area FG4 (FusG)",
    version_identifier="v2.4-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip1_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP1_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP1_PM-v6.1",
    name="Area hIP1 (IPS)",
    version_identifier="v2.4-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip2_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP2_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP2_PM-v6.1",
    name="Area hIP2 (IPS)",
    version_identifier="v2.4-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip3_pm_v8_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP3_PM-v8.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP3_PM-v8.4",
    name="Area hIP3 (IPS)",
    version_identifier="v2.4-MNI152, PM-v8.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc1_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc1_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc1_PM-v2.4",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc2_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc2_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc2_PM-v2.4",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc3d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc3d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc3d_PM-v2.4",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc3v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc3v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc3v_PM-v3.4",
    name="Area hOc3v (LingG)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc4d_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4d_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc4d_PM-v2.4",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc4la_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4la_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc4la_PM-v3.4",
    name="Area hOc4la (LOC)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc4lp_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4lp_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc4lp_PM-v3.4",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc4v_pm_v3_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc4v_PM-v3.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc4v_PM-v3.4",
    name="Area hOc4v (LingG)",
    version_identifier="v2.4-MNI152, PM-v3.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc5_pm_v2_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc5_PM-v2.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc5_PM-v2.4",
    name="Area hOc5 (LOC)",
    version_identifier="v2.4-MNI152, PM-v2.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.4-MNI152_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.4-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_i29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-i29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-i29_PM-v11.0",
    name="Area i29 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_i30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-i30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-i30_PM-v11.0",
    name="Area i30 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op1_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP1_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP1_PM-v11.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op2_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP2_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP2_PM-v11.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op3_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP3_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP3_PM-v11.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op4_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP4_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP4_PM-v11.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op5_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP5_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP5_PM-v2.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.4-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op6_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP6_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP6_PM-v2.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.4-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op7_pm_v2_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP7_PM-v2.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP7_PM-v2.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.4-MNI152, PM-v2.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op8_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP8_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP8_PM-v5.1",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_op9_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-OP9_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.4-MNI152_Area-OP9_PM-v5.1",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p24ab_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p24ab_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-p24ab_PM-v16.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p24c_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p24c_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-p24c_PM-v16.1",
    name="Area p24c (pACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p29_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p29_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-p29_PM-v11.0",
    name="Area p29 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p30_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p30_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_retrosplenialPart"}],
    lookup_label="JBA_v2.4-MNI152_Area-p30_PM-v11.0",
    name="Area p30 (retrosplenial)",
    version_identifier="v2.4-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-p32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-p32_PM-v16.1",
    name="Area p32 (pACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_fcm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFcm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PFcm_PM-v9.4",
    name="Area PFcm (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_fm_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFm_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PFm_PM-v9.4",
    name="Area PFm (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_fop_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFop_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PFop_PM-v9.4",
    name="Area PFop (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_ft_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PFt_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PFt_PM-v9.4",
    name="Area PFt (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_ga_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PGa_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PGa_PM-v9.4",
    name="Area PGa (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_p_gp_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PGp_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PGp_PM-v9.4",
    name="Area PGp (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_pf_pm_v9_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-PF_PM-v9.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.4-MNI152_Area-PF_PM-v9.4",
    name="Area PF (IPL)",
    version_identifier="v2.4-MNI152, PM-v9.4",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_s24_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-s24_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-s24_PM-v16.1",
    name="Area s24 (sACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_s32_pm_v16_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-s32_PM-v16.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-s32_PM-v16.1",
    name="Area s32 (sACC)",
    version_identifier="v2.4-MNI152, PM-v16.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_sts1_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-STS1_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-STS1_PM-v3.1",
    name="Area STS1 (STS)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_sts2_pm_v3_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-STS2_PM-v3.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.4-MNI152_Area-STS2_PM-v3.1",
    name="Area STS2 (STS)",
    version_identifier="v2.4-MNI152, PM-v3.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_1_0_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.0_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-1.0_PM-v5.1",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_1_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-1.1_PM-v5.1",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_1_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-1.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-1.2_PM-v5.1",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_2_1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-2.1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-2.1_PM-v5.1",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_2_2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-2.2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-2.2_PM-v5.1",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_te_3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TE-3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.4-MNI152_Area-TE-3_PM-v5.1",
    name="Area TE 3 (STG)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__area_ti_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Area-TI_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.4-MNI152_Area-TI_PM-v5.1",
    name="Area TI (STG)",
    version_identifier="v2.4-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.4-MNI152_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.4-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.4-MNI152_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.4-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.4-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.4-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__entorhinal__cortex_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Entorhinal-Cortex_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_Entorhinal-Cortex_PM-v11.1",
    name="Entorhinal Cortex",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.4-MNI152_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.4-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__frontal_i_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-I_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.4-MNI152_Frontal-I_PM-v9.2",
    name="Frontal-I (GapMap)",
    version_identifier="v2.4-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__frontal_ii_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-II_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.4-MNI152_Frontal-II_PM-v9.2",
    name="Frontal-II (GapMap)",
    version_identifier="v2.4-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__frontal_to__occipital_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-to-Occipital_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-MNI152_Frontal-to-Occipital_PM-v9.2",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.4-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__frontal_to__temporal_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Frontal-to-Temporal_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-MNI152_Frontal-to-Temporal_PM-v9.2",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.4-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.4-MNI152_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.4-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__subiculum_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Subiculum_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_Subiculum_PM-v11.1",
    name="Subiculum (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152__temporal_to__parietal_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Temporal-to-Parietal_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.4-MNI152_Temporal-to-Parietal_PM-v9.2",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.4-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_4_mni152__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.4-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.4-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_4_mni152_ca1_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA1_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_CA1_PM-v11.1",
    name="CA1 (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152_ca2_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA2_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_CA2_PM-v11.1",
    name="CA2 (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152_ca3_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CA3_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_CA3_PM-v11.1",
    name="CA3 (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152_cm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_CM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-MNI152_CM_PM-v6.4",
    name="CM (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152_dg_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_DG_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_DG_PM-v11.1",
    name="DG (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152_hata_pm_v11_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_HATA_PM-v11.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.4-MNI152_HATA_PM-v11.1",
    name="HATA (Hippocampus)",
    version_identifier="v2.4-MNI152, PM-v11.1",
)
ParcellationEntityVersion.jba_v2_4_mni152_if_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_IF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-MNI152_IF_PM-v6.4",
    name="IF (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152_lb_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_LB_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-MNI152_LB_PM-v6.4",
    name="LB (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152_mf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_MF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-MNI152_MF_PM-v6.4",
    name="MF (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152_sf_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_SF_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.4-MNI152_SF_PM-v6.4",
    name="SF (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_4_mni152_vtm_pm_v6_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.4-MNI152_VTM_PM-v6.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.4-MNI152_VTM_PM-v6.4",
    name="VTM (Amygdala)",
    version_identifier="v2.4-MNI152, PM-v6.4",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_1_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-1_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-1_PM-v10.0",
    name="Area 1 (PostCG)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_25_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-25_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-25_PM-v18.0",
    name="Area 25 (sACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-2_PM-v5.0",
    name="Area 2 (PostCS)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_33_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-33_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-33_PM-v18.0",
    name="Area 33 (ACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_3a_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-3a_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-3a_PM-v10.0",
    name="Area 3a (PostCG)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_3b_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-3b_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-3b_PM-v10.0",
    name="Area 3b (PostCG)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_44_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-44_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-44_PM-v9.0",
    name="Area 44 (IFG)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_45_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-45_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-45_PM-v9.0",
    name="Area 45 (IFG)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_4a_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-4a_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-4a_PM-v11.0",
    name="Area 4a (PreCG)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_4p_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-4p_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-4p_PM-v11.0",
    name="Area 4p (PreCG)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_5_ci_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5Ci_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-5Ci_PM-v9.0",
    name="Area 5Ci (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_5_l_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5L_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-5L_PM-v9.0",
    name="Area 5L (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_5_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-5M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-5M_PM-v9.0",
    name="Area 5M (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_6d1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-6d1_PM-v5.0",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_6d2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-6d2_PM-v5.0",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_6d3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6d3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-6d3_PM-v5.0",
    name="Area 6d3 (SFS)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_6ma_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6ma_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.5-Colin27_Area-6ma_PM-v10.0",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_6mp_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-6mp_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-6mp_PM-v10.0",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_7_a_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7A_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-7A_PM-v9.0",
    name="Area 7A (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_7_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-7M_PM-v9.0",
    name="Area 7M (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_7_p_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7P_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-7P_PM-v9.0",
    name="Area 7P (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_7_pc_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-7PC_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-7PC_PM-v9.0",
    name="Area 7PC (SPL)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo1_PM-v5.0",
    name="Area Fo1 (OFC)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo2_PM-v5.0",
    name="Area Fo2 (OFC)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo3_PM-v5.0",
    name="Area Fo3 (OFC)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo4_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo4_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo4_PM-v3.0",
    name="Area Fo4 (OFC)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo5_PM-v3.0",
    name="Area Fo5 (OFC)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo6_PM-v3.0",
    name="Area Fo6 (OFC)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fo7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fo7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fo7_PM-v3.0",
    name="Area Fo7 (OFC)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fp1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fp1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fp1_PM-v4.0",
    name="Area Fp1 (FPole)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__fp2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Fp2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.5-Colin27_Area-Fp2_PM-v4.0",
    name="Area Fp2 (FPole)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__ia_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ia_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Ia_PM-v4.0",
    name="Area Ia (Insula)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id1_PM-v14.0",
    name="Area Id1 (Insula)",
    version_identifier="v2.5-Colin27, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id2_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id2_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id2_PM-v8.0",
    name="Area Id2 (Insula)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id3_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id3_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id3_PM-v8.0",
    name="Area Id3 (Insula)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id4_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id4_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id4_PM-v4.0",
    name="Area Id4 (Insula)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id5_PM-v4.0",
    name="Area Id5 (Insula)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id6_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id6_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id6_PM-v4.0",
    name="Area Id6 (Insula)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__id7_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Id7_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Id7_PM-v7.0",
    name="Area Id7 (Insula)",
    version_identifier="v2.5-Colin27, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__ig1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Ig1_PM-v14.0",
    name="Area Ig1 (Insula)",
    version_identifier="v2.5-Colin27, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__ig2_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig2_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Ig2_PM-v14.0",
    name="Area Ig2 (Insula)",
    version_identifier="v2.5-Colin27, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__ig3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-Ig3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-Ig3_PM-v4.0",
    name="Area Ig3 (Insula)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area__te_i_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TeI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-TeI_PM-v6.0",
    name="Area TeI (STG)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_fg1_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG1_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-FG1_PM-v3.0",
    name="Area FG1 (FusG)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_fg2_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG2_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-FG2_PM-v3.0",
    name="Area FG2 (FusG)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_fg3_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG3_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-FG3_PM-v7.0",
    name="Area FG3 (FusG)",
    version_identifier="v2.5-Colin27, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_fg4_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-FG4_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-FG4_PM-v7.0",
    name="Area FG4 (FusG)",
    version_identifier="v2.5-Colin27, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip1_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP1_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP1_PM-v7.0",
    name="Area hIP1 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip2_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP2_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP2_PM-v7.0",
    name="Area hIP2 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip3_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP3_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP3_PM-v9.0",
    name="Area hIP3 (IPS)",
    version_identifier="v2.5-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc1_PM-v4.0",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc2_PM-v4.0",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc3d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc3d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc3d_PM-v4.0",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc3v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc3v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc3v_PM-v5.0",
    name="Area hOc3v (LingG)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc4d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc4d_PM-v4.0",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc4la_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4la_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc4la_PM-v5.0",
    name="Area hOc4la (LOC)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc4lp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4lp_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc4lp_PM-v5.0",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc4v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc4v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc4v_PM-v5.0",
    name="Area hOc4v (LingG)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc5_PM-v4.0",
    name="Area hOc5 (LOC)",
    version_identifier="v2.5-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-Colin27_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.5-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op1_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP1_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP1_PM-v12.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.5-Colin27, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op2_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP2_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP2_PM-v12.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.5-Colin27, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op3_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP3_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP3_PM-v12.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.5-Colin27, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op4_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP4_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP4_PM-v12.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.5-Colin27, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP5_PM-v3.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP6_PM-v3.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP7_PM-v3.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.5-Colin27, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op8_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP8_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP8_PM-v6.0",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_op9_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-OP9_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-Colin27_Area-OP9_PM-v6.0",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p24ab_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p24ab_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-p24ab_PM-v18.0",
    name="Area p24ab (pACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p24c_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p24c_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-p24c_PM-v18.0",
    name="Area p24c (pACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-p32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-p32_PM-v18.0",
    name="Area p32 (pACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_fcm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFcm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PFcm_PM-v11.0",
    name="Area PFcm (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_fm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PFm_PM-v11.0",
    name="Area PFm (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_fop_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFop_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PFop_PM-v11.0",
    name="Area PFop (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_ft_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PFt_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PFt_PM-v11.0",
    name="Area PFt (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_ga_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PGa_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PGa_PM-v11.0",
    name="Area PGa (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_p_gp_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PGp_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PGp_PM-v11.0",
    name="Area PGp (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_pf_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-PF_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-Colin27_Area-PF_PM-v11.0",
    name="Area PF (IPL)",
    version_identifier="v2.5-Colin27, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_s24_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-s24_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-s24_PM-v18.0",
    name="Area s24 (sACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_s32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-s32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-s32_PM-v18.0",
    name="Area s32 (sACC)",
    version_identifier="v2.5-Colin27, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_sts1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-STS1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-STS1_PM-v5.0",
    name="Area STS1 (STS)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_sts2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-STS2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.5-Colin27_Area-STS2_PM-v5.0",
    name="Area STS2 (STS)",
    version_identifier="v2.5-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_1_0_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.0_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-1.0_PM-v6.0",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_1_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-1.1_PM-v6.0",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_1_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-1.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-1.2_PM-v6.0",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_2_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-2.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-2.1_PM-v6.0",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_2_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-2.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-2.2_PM-v6.0",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_te_3_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TE-3_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-Colin27_Area-TE-3_PM-v6.0",
    name="Area TE 3 (STG)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__area_ti_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Area-TI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.5-Colin27_Area-TI_PM-v6.0",
    name="Area TI (STG)",
    version_identifier="v2.5-Colin27, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.5-Colin27_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.5-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_5__colin27__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.5-Colin27_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.5-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_5__colin27__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.5-Colin27_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.5-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5__colin27__entorhinal__cortex_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Entorhinal-Cortex_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_Entorhinal-Cortex_PM-v13.0",
    name="Entorhinal Cortex",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.5-Colin27_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.5-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5__colin27__frontal_i_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-I_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.5-Colin27_Frontal-I_PM-v10.0",
    name="Frontal-I (GapMap)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__frontal_ii_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-II_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.5-Colin27_Frontal-II_PM-v10.0",
    name="Frontal-II (GapMap)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__frontal_to__occipital_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-to-Occipital_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-Colin27_Frontal-to-Occipital_PM-v10.0",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__frontal_to__temporal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Frontal-to-Temporal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-Colin27_Frontal-to-Temporal_PM-v10.0",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.5-Colin27_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.5-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5__colin27__subiculum__pa_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.PaS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-Colin27_Subiculum.PaS_PM-v13.0",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__subiculum__pre_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.PreS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-Colin27_Subiculum.PreS_PM-v13.0",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__subiculum__pro_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.ProS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-Colin27_Subiculum.ProS_PM-v13.0",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__subiculum__sub_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Subiculum.Sub_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-Colin27_Subiculum.Sub_PM-v13.0",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__temporal_to__parietal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Temporal-to-Parietal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-Colin27_Temporal-to-Parietal_PM-v10.0",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.5-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5__colin27__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.5-Colin27_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.5-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5__colin27_ca1_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA1_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_CA1_PM-v13.0",
    name="CA1 (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_ca2_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA2_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_CA2_PM-v13.0",
    name="CA2 (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_ca3_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CA3_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_CA3_PM-v13.0",
    name="CA3 (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_cm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_CM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-Colin27_CM_PM-v8.0",
    name="CM (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_dg_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_DG_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_DG_PM-v13.0",
    name="DG (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_hata_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_HATA_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_HATA_PM-v13.0",
    name="HATA (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_hc__transsubiculum_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_HC-Transsubiculum_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-Colin27_HC-Transsubiculum_PM-v13.0",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.5-Colin27, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_if_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_IF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-Colin27_IF_PM-v8.1",
    name="IF (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_5__colin27_lb_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_LB_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-Colin27_LB_PM-v8.0",
    name="LB (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_mf_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_MF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-Colin27_MF_PM-v8.1",
    name="MF (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_5__colin27_sf_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_SF_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-Colin27_SF_PM-v8.0",
    name="SF (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5__colin27_vtm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-Colin27_VTM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-Colin27_VTM_PM-v8.0",
    name="VTM (Amygdala)",
    version_identifier="v2.5-Colin27, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_1_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-1_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-1_PM-v10.0",
    name="Area 1 (PostCG)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_25_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-25_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-25_PM-v18.0",
    name="Area 25 (sACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-2_PM-v5.0",
    name="Area 2 (PostCS)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_33_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-33_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-33_PM-v18.0",
    name="Area 33 (ACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_3a_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-3a_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-3a_PM-v10.0",
    name="Area 3a (PostCG)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_3b_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-3b_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-3b_PM-v10.0",
    name="Area 3b (PostCG)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_44_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-44_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-44_PM-v9.0",
    name="Area 44 (IFG)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_45_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-45_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-45_PM-v9.0",
    name="Area 45 (IFG)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_4a_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-4a_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-4a_PM-v11.0",
    name="Area 4a (PreCG)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_4p_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-4p_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-4p_PM-v11.0",
    name="Area 4p (PreCG)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_5_ci_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5Ci_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-5Ci_PM-v9.0",
    name="Area 5Ci (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_5_l_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5L_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-5L_PM-v9.0",
    name="Area 5L (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_5_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-5M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-5M_PM-v9.0",
    name="Area 5M (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_6d1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-6d1_PM-v5.0",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_6d2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-6d2_PM-v5.0",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_6d3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6d3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-6d3_PM-v5.0",
    name="Area 6d3 (SFS)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_6ma_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6ma_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.5-MNI152_Area-6ma_PM-v10.0",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_6mp_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-6mp_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-6mp_PM-v10.0",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_7_a_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7A_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-7A_PM-v9.0",
    name="Area 7A (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_7_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-7M_PM-v9.0",
    name="Area 7M (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_7_p_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7P_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-7P_PM-v9.0",
    name="Area 7P (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_7_pc_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-7PC_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-7PC_PM-v9.0",
    name="Area 7PC (SPL)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo1_PM-v5.0",
    name="Area Fo1 (OFC)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo2_PM-v5.0",
    name="Area Fo2 (OFC)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo3_PM-v5.0",
    name="Area Fo3 (OFC)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo4_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo4_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo4_PM-v3.0",
    name="Area Fo4 (OFC)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo5_PM-v3.0",
    name="Area Fo5 (OFC)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo6_PM-v3.0",
    name="Area Fo6 (OFC)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fo7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fo7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fo7_PM-v3.0",
    name="Area Fo7 (OFC)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fp1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fp1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fp1_PM-v4.0",
    name="Area Fp1 (FPole)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__fp2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Fp2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.5-MNI152_Area-Fp2_PM-v4.0",
    name="Area Fp2 (FPole)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__ia_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ia_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Ia_PM-v4.0",
    name="Area Ia (Insula)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id1_PM-v14.0",
    name="Area Id1 (Insula)",
    version_identifier="v2.5-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id2_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id2_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id2_PM-v8.0",
    name="Area Id2 (Insula)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id3_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id3_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id3_PM-v8.0",
    name="Area Id3 (Insula)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id4_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id4_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id4_PM-v4.0",
    name="Area Id4 (Insula)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id5_PM-v4.0",
    name="Area Id5 (Insula)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id6_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id6_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id6_PM-v4.0",
    name="Area Id6 (Insula)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__id7_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Id7_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Id7_PM-v7.0",
    name="Area Id7 (Insula)",
    version_identifier="v2.5-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__ig1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Ig1_PM-v14.0",
    name="Area Ig1 (Insula)",
    version_identifier="v2.5-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__ig2_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig2_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Ig2_PM-v14.0",
    name="Area Ig2 (Insula)",
    version_identifier="v2.5-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__ig3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-Ig3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-Ig3_PM-v4.0",
    name="Area Ig3 (Insula)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area__te_i_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TeI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-TeI_PM-v6.0",
    name="Area TeI (STG)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_fg1_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG1_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-FG1_PM-v3.0",
    name="Area FG1 (FusG)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_fg2_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG2_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-FG2_PM-v3.0",
    name="Area FG2 (FusG)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_fg3_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG3_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-FG3_PM-v7.0",
    name="Area FG3 (FusG)",
    version_identifier="v2.5-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_fg4_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-FG4_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-FG4_PM-v7.0",
    name="Area FG4 (FusG)",
    version_identifier="v2.5-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip1_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP1_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP1_PM-v7.0",
    name="Area hIP1 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip2_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP2_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP2_PM-v7.0",
    name="Area hIP2 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip3_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP3_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP3_PM-v9.0",
    name="Area hIP3 (IPS)",
    version_identifier="v2.5-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc1_PM-v4.0",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc2_PM-v4.0",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc3d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc3d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc3d_PM-v4.0",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc3v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc3v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc3v_PM-v5.0",
    name="Area hOc3v (LingG)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc4d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc4d_PM-v4.0",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc4la_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4la_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc4la_PM-v5.0",
    name="Area hOc4la (LOC)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc4lp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4lp_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc4lp_PM-v5.0",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc4v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc4v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc4v_PM-v5.0",
    name="Area hOc4v (LingG)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc5_PM-v4.0",
    name="Area hOc5 (LOC)",
    version_identifier="v2.5-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.5-MNI152_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.5-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op1_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP1_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP1_PM-v12.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.5-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op2_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP2_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP2_PM-v12.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.5-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op3_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP3_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP3_PM-v12.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.5-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op4_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP4_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP4_PM-v12.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.5-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP5_PM-v3.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP6_PM-v3.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP7_PM-v3.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.5-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op8_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP8_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP8_PM-v6.0",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_op9_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-OP9_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.5-MNI152_Area-OP9_PM-v6.0",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p24ab_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p24ab_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-p24ab_PM-v18.0",
    name="Area p24ab (pACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p24c_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p24c_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-p24c_PM-v18.0",
    name="Area p24c (pACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-p32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-p32_PM-v18.0",
    name="Area p32 (pACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_fcm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFcm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PFcm_PM-v11.0",
    name="Area PFcm (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_fm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PFm_PM-v11.0",
    name="Area PFm (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_fop_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFop_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PFop_PM-v11.0",
    name="Area PFop (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_ft_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PFt_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PFt_PM-v11.0",
    name="Area PFt (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_ga_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PGa_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PGa_PM-v11.0",
    name="Area PGa (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_p_gp_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PGp_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PGp_PM-v11.0",
    name="Area PGp (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_pf_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-PF_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.5-MNI152_Area-PF_PM-v11.0",
    name="Area PF (IPL)",
    version_identifier="v2.5-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_s24_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-s24_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-s24_PM-v18.0",
    name="Area s24 (sACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_s32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-s32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-s32_PM-v18.0",
    name="Area s32 (sACC)",
    version_identifier="v2.5-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_sts1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-STS1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-STS1_PM-v5.0",
    name="Area STS1 (STS)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_sts2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-STS2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.5-MNI152_Area-STS2_PM-v5.0",
    name="Area STS2 (STS)",
    version_identifier="v2.5-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_1_0_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.0_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-1.0_PM-v6.0",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_1_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-1.1_PM-v6.0",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_1_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-1.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-1.2_PM-v6.0",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_2_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-2.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-2.1_PM-v6.0",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_2_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-2.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-2.2_PM-v6.0",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_te_3_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TE-3_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.5-MNI152_Area-TE-3_PM-v6.0",
    name="Area TE 3 (STG)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__area_ti_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Area-TI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.5-MNI152_Area-TI_PM-v6.0",
    name="Area TI (STG)",
    version_identifier="v2.5-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.5-MNI152_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.5-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_5_mni152__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.5-MNI152_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.5-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_5_mni152__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.5-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.5-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5_mni152__entorhinal__cortex_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Entorhinal-Cortex_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_Entorhinal-Cortex_PM-v13.0",
    name="Entorhinal Cortex",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.5-MNI152_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.5-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5_mni152__frontal_i_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-I_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.5-MNI152_Frontal-I_PM-v10.0",
    name="Frontal-I (GapMap)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__frontal_ii_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-II_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.5-MNI152_Frontal-II_PM-v10.0",
    name="Frontal-II (GapMap)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__frontal_to__occipital_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-to-Occipital_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-MNI152_Frontal-to-Occipital_PM-v10.0",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__frontal_to__temporal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Frontal-to-Temporal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-MNI152_Frontal-to-Temporal_PM-v10.0",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.5-MNI152_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.5-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5_mni152__subiculum__pa_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.PaS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-MNI152_Subiculum.PaS_PM-v13.0",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__subiculum__pre_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.PreS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-MNI152_Subiculum.PreS_PM-v13.0",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__subiculum__pro_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.ProS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-MNI152_Subiculum.ProS_PM-v13.0",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__subiculum__sub_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Subiculum.Sub_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.5-MNI152_Subiculum.Sub_PM-v13.0",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__temporal_to__parietal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Temporal-to-Parietal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.5-MNI152_Temporal-to-Parietal_PM-v10.0",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.5-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_5_mni152__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.5-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.5-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_5_mni152_ca1_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA1_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_CA1_PM-v13.0",
    name="CA1 (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_ca2_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA2_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_CA2_PM-v13.0",
    name="CA2 (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_ca3_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CA3_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_CA3_PM-v13.0",
    name="CA3 (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_cm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_CM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-MNI152_CM_PM-v8.0",
    name="CM (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_dg_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_DG_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_DG_PM-v13.0",
    name="DG (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_hata_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_HATA_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_HATA_PM-v13.0",
    name="HATA (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_hc__transsubiculum_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_HC-Transsubiculum_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.5-MNI152_HC-Transsubiculum_PM-v13.0",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.5-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_if_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_IF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-MNI152_IF_PM-v8.1",
    name="IF (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_5_mni152_lb_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_LB_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-MNI152_LB_PM-v8.0",
    name="LB (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_mf_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_MF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-MNI152_MF_PM-v8.1",
    name="MF (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_5_mni152_sf_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_SF_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.5-MNI152_SF_PM-v8.0",
    name="SF (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_5_mni152_vtm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.5-MNI152_VTM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.5-MNI152_VTM_PM-v8.0",
    name="VTM (Amygdala)",
    version_identifier="v2.5-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_1_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-1_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-1_PM-v10.0",
    name="Area 1 (PostCG)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_25_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-25_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-25_PM-v18.0",
    name="Area 25 (sACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-2_PM-v5.0",
    name="Area 2 (PostCS)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_33_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-33_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-33_PM-v18.0",
    name="Area 33 (ACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_3a_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-3a_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-3a_PM-v10.0",
    name="Area 3a (PostCG)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_3b_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-3b_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-3b_PM-v10.0",
    name="Area 3b (PostCG)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_44_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-44_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-44_PM-v9.0",
    name="Area 44 (IFG)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_45_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-45_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-45_PM-v9.0",
    name="Area 45 (IFG)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_4a_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-4a_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-4a_PM-v11.0",
    name="Area 4a (PreCG)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_4p_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-4p_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-4p_PM-v11.0",
    name="Area 4p (PreCG)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_5_ci_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5Ci_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-5Ci_PM-v9.0",
    name="Area 5Ci (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_5_l_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5L_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-5L_PM-v9.0",
    name="Area 5L (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_5_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-5M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-5M_PM-v9.0",
    name="Area 5M (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_6d1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-6d1_PM-v5.0",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_6d2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-6d2_PM-v5.0",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_6d3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6d3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-6d3_PM-v5.0",
    name="Area 6d3 (SFS)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_6ma_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6ma_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.6-MNI152_Area-6ma_PM-v10.0",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_6mp_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-6mp_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-6mp_PM-v10.0",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_7_a_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7A_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-7A_PM-v9.0",
    name="Area 7A (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_7_m_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7M_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-7M_PM-v9.0",
    name="Area 7M (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_7_p_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7P_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-7P_PM-v9.0",
    name="Area 7P (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_7_pc_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-7PC_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-7PC_PM-v9.0",
    name="Area 7PC (SPL)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo1_PM-v5.0",
    name="Area Fo1 (OFC)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo2_PM-v5.0",
    name="Area Fo2 (OFC)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo3_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo3_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo3_PM-v5.0",
    name="Area Fo3 (OFC)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo4_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo4_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo4_PM-v3.0",
    name="Area Fo4 (OFC)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo5_PM-v3.0",
    name="Area Fo5 (OFC)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo6_PM-v3.0",
    name="Area Fo6 (OFC)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fo7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fo7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fo7_PM-v3.0",
    name="Area Fo7 (OFC)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fp1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fp1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fp1_PM-v4.0",
    name="Area Fp1 (FPole)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__fp2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Fp2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.6-MNI152_Area-Fp2_PM-v4.0",
    name="Area Fp2 (FPole)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__ia_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ia_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Ia_PM-v4.0",
    name="Area Ia (Insula)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id1_PM-v14.0",
    name="Area Id1 (Insula)",
    version_identifier="v2.6-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id2_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id2_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id2_PM-v8.0",
    name="Area Id2 (Insula)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id3_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id3_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id3_PM-v8.0",
    name="Area Id3 (Insula)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id4_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id4_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id4_PM-v4.0",
    name="Area Id4 (Insula)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id5_PM-v4.0",
    name="Area Id5 (Insula)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id6_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id6_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id6_PM-v4.0",
    name="Area Id6 (Insula)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__id7_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Id7_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Id7_PM-v7.0",
    name="Area Id7 (Insula)",
    version_identifier="v2.6-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__ig1_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig1_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Ig1_PM-v14.0",
    name="Area Ig1 (Insula)",
    version_identifier="v2.6-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__ig2_pm_v14_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig2_PM-v14.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Ig2_PM-v14.0",
    name="Area Ig2 (Insula)",
    version_identifier="v2.6-MNI152, PM-v14.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__ig3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-Ig3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-Ig3_PM-v4.0",
    name="Area Ig3 (Insula)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area__te_i_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TeI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-TeI_PM-v6.0",
    name="Area TeI (STG)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_fg1_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG1_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-FG1_PM-v3.0",
    name="Area FG1 (FusG)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_fg2_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG2_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-FG2_PM-v3.0",
    name="Area FG2 (FusG)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_fg3_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG3_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-FG3_PM-v7.0",
    name="Area FG3 (FusG)",
    version_identifier="v2.6-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_fg4_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-FG4_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-FG4_PM-v7.0",
    name="Area FG4 (FusG)",
    version_identifier="v2.6-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip1_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP1_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP1_PM-v7.0",
    name="Area hIP1 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip2_pm_v7_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP2_PM-v7.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP2_PM-v7.0",
    name="Area hIP2 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip3_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP3_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP3_PM-v9.0",
    name="Area hIP3 (IPS)",
    version_identifier="v2.6-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip4_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP4_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP4_PM-v7.1",
    name="Area hIP4 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip5_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP5_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP5_PM-v7.1",
    name="Area hIP5 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP6_PM-v7.1",
    name="Area hIP6 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip7_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP7_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP7_PM-v7.1",
    name="Area hIP7 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_ip8_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hIP8_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hIP8_PM-v7.1",
    name="Area hIP8 (IPS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc1_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc1_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc1_PM-v4.0",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc2_PM-v4.0",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc3d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc3d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc3d_PM-v4.0",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc3v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc3v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc3v_PM-v5.0",
    name="Area hOc3v (LingG)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc4d_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4d_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc4d_PM-v4.0",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc4la_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4la_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc4la_PM-v5.0",
    name="Area hOc4la (LOC)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc4lp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4lp_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc4lp_PM-v5.0",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc4v_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc4v_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc4v_PM-v5.0",
    name="Area hOc4v (LingG)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc5_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc5_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc5_PM-v4.0",
    name="Area hOc5 (LOC)",
    version_identifier="v2.6-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_oc6_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hOc6_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.6-MNI152_Area-hOc6_PM-v7.1",
    name="Area hOc6 (POS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_h_po1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-hPO1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-hPO1_PM-v7.1",
    name="Area hPO1 (POS)",
    version_identifier="v2.6-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op1_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP1_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP1_PM-v12.0",
    name="Area OP1 (POperc)",
    version_identifier="v2.6-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op2_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP2_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP2_PM-v12.0",
    name="Area OP2 (POperc)",
    version_identifier="v2.6-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op3_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP3_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP3_PM-v12.0",
    name="Area OP3 (POperc)",
    version_identifier="v2.6-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op4_pm_v12_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP4_PM-v12.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP4_PM-v12.0",
    name="Area OP4 (POperc)",
    version_identifier="v2.6-MNI152, PM-v12.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op5_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP5_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP5_PM-v3.0",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op6_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP6_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP6_PM-v3.0",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op7_pm_v3_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP7_PM-v3.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP7_PM-v3.0",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.6-MNI152, PM-v3.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op8_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP8_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP8_PM-v6.0",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_op9_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-OP9_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.6-MNI152_Area-OP9_PM-v6.0",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p24ab_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p24ab_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-p24ab_PM-v18.0",
    name="Area p24ab (pACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p24c_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p24c_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-p24c_PM-v18.0",
    name="Area p24c (pACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-p32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-p32_PM-v18.0",
    name="Area p32 (pACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_fcm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFcm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PFcm_PM-v11.0",
    name="Area PFcm (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_fm_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFm_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PFm_PM-v11.0",
    name="Area PFm (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_fop_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFop_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PFop_PM-v11.0",
    name="Area PFop (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_ft_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PFt_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PFt_PM-v11.0",
    name="Area PFt (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_ga_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PGa_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PGa_PM-v11.0",
    name="Area PGa (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_p_gp_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PGp_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PGp_PM-v11.0",
    name="Area PGp (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_pf_pm_v11_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-PF_PM-v11.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.6-MNI152_Area-PF_PM-v11.0",
    name="Area PF (IPL)",
    version_identifier="v2.6-MNI152, PM-v11.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_s24_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-s24_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-s24_PM-v18.0",
    name="Area s24 (sACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_s32_pm_v18_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-s32_PM-v18.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-s32_PM-v18.0",
    name="Area s32 (sACC)",
    version_identifier="v2.6-MNI152, PM-v18.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_sts1_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-STS1_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-STS1_PM-v5.0",
    name="Area STS1 (STS)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_sts2_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-STS2_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.6-MNI152_Area-STS2_PM-v5.0",
    name="Area STS2 (STS)",
    version_identifier="v2.6-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_1_0_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.0_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-1.0_PM-v6.0",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_1_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-1.1_PM-v6.0",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_1_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-1.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-1.2_PM-v6.0",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_2_1_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-2.1_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-2.1_PM-v6.0",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_2_2_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-2.2_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-2.2_PM-v6.0",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_te_3_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TE-3_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.6-MNI152_Area-TE-3_PM-v6.0",
    name="Area TE 3 (STG)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__area_ti_pm_v6_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Area-TI_PM-v6.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.6-MNI152_Area-TI_PM-v6.0",
    name="Area TI (STG)",
    version_identifier="v2.6-MNI152, PM-v6.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__ch_123_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ch-123_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.6-MNI152_Ch-123_PM-v4.2",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.6-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_6_mni152__ch_4_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ch-4_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.6-MNI152_Ch-4_PM-v4.2",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.6-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_6_mni152__dorsal__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.6-MNI152_Dorsal-Dentate-Nucleus_PM-v6.2",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.6-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_6_mni152__entorhinal__cortex_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Entorhinal-Cortex_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_Entorhinal-Cortex_PM-v13.0",
    name="Entorhinal Cortex",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__fastigial__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Fastigial-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.6-MNI152_Fastigial-Nucleus_PM-v6.2",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.6-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_6_mni152__frontal_i_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-I_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.6-MNI152_Frontal-I_PM-v10.0",
    name="Frontal-I (GapMap)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__frontal_ii_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-II_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.6-MNI152_Frontal-II_PM-v10.0",
    name="Frontal-II (GapMap)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__frontal_to__occipital_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-to-Occipital_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.6-MNI152_Frontal-to-Occipital_PM-v10.0",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__frontal_to__temporal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Frontal-to-Temporal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.6-MNI152_Frontal-to-Temporal_PM-v10.0",
    name="Frontal-to-Temporal (GapMap)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__interposed__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Interposed-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.6-MNI152_Interposed-Nucleus_PM-v6.2",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.6-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_6_mni152__subiculum__pa_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.PaS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.6-MNI152_Subiculum.PaS_PM-v13.0",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__subiculum__pre_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.PreS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.6-MNI152_Subiculum.PreS_PM-v13.0",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__subiculum__pro_s_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.ProS_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.6-MNI152_Subiculum.ProS_PM-v13.0",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__subiculum__sub_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Subiculum.Sub_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.6-MNI152_Subiculum.Sub_PM-v13.0",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__temporal_to__parietal_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Temporal-to-Parietal_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.6-MNI152_Temporal-to-Parietal_PM-v10.0",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.6-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v2_6_mni152__ventral__dentate__nucleus_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.6-MNI152_Ventral-Dentate-Nucleus_PM-v6.2",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.6-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_6_mni152_ca1_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA1_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_CA1_PM-v13.0",
    name="CA1 (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_ca2_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA2_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_CA2_PM-v13.0",
    name="CA2 (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_ca3_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CA3_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_CA3_PM-v13.0",
    name="CA3 (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_cm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_CM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.6-MNI152_CM_PM-v8.0",
    name="CM (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_dg_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_DG_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_DG_PM-v13.0",
    name="DG (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_hata_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_HATA_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_HATA_PM-v13.0",
    name="HATA (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_hc__transsubiculum_pm_v13_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_HC-Transsubiculum_PM-v13.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.6-MNI152_HC-Transsubiculum_PM-v13.0",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.6-MNI152, PM-v13.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_if_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_IF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.6-MNI152_IF_PM-v8.1",
    name="IF (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_6_mni152_lb_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_LB_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.6-MNI152_LB_PM-v8.0",
    name="LB (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_mf_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_MF_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.6-MNI152_MF_PM-v8.1",
    name="MF (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_6_mni152_sf_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_SF_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.6-MNI152_SF_PM-v8.0",
    name="SF (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_6_mni152_vtm_pm_v8_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.6-MNI152_VTM_PM-v8.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.6-MNI152_VTM_PM-v8.0",
    name="VTM (Amygdala)",
    version_identifier="v2.6-MNI152, PM-v8.0",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_6d1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-6d1_int",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_6d2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-6d2_int",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_6d3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6d3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-6d3_int",
    name="Area 6d3 (SFS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_6ma_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-6ma_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.9-BigBrain_Area-6ma_int",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_ip4_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP4_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hIP4_int",
    name="Area hIP4 (IPS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_ip5_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP5_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hIP5_int",
    name="Area hIP5 (IPS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_ip6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hIP6_int",
    name="Area hIP6 (IPS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_ip7_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP7_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hIP7_int",
    name="Area hIP7 (IPS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_ip8_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hIP8_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hIP8_int",
    name="Area hIP8 (IPS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_oc1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hOc1_deep",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_oc2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hOc2_deep",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_oc3v_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc3v_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hOc3v_deep",
    name="Area hOc3v (LingG)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_oc5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hOc5_deep",
    name="Area hOc5 (LOC)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_oc6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hOc6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hOc6_int",
    name="Area hOc6 (POS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_h_po1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-hPO1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-hPO1_int",
    name="Area hPO1 (POS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_mfg1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-MFG1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-MFG1_deep",
    name="Area MFG1 (MFG)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_mfg2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-MFG2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-MFG2_deep",
    name="Area MFG2 (MFG)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_sfs1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-SFS1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-SFS1_deep",
    name="Area SFS1 (SFS)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_sfs2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-SFS2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-SFS2_deep",
    name="Area SFS2 (SFS)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_sts1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-STS1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-STS1_int",
    name="Area STS1 (STS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_sts2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-STS2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-STS2_int",
    name="Area STS2 (STS)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_te_1_0_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.0_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-TE-1.0_int",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_te_1_1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-TE-1.1_int",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_te_1_2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-1.2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-TE-1.2_int",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__area_te_3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Area-TE-3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-BigBrain_Area-TE-3_int",
    name="Area TE 3 (STG)",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain__entorhinal__cortex_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_Entorhinal-Cortex_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-BigBrain_Entorhinal-Cortex_int",
    name="Entorhinal Cortex",
    version_identifier="v2.9-BigBrain, int",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam1_deep",
    name="CGL.lam1 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam2_deep",
    name="CGL.lam2 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam3_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam3_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam3_deep",
    name="CGL.lam3 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam4_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam4_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam4_deep",
    name="CGL.lam4 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam5_deep",
    name="CGL.lam5 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgl_lam6_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGL.lam6_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v2.9-BigBrain_CGL.lam6_deep",
    name="CGL.lam6 (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgm_cg_md_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGM.CGMd_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v2.9-BigBrain_CGM.CGMd_deep",
    name="CGM.CGMd (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgm_cg_mm_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGM.CGMm_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v2.9-BigBrain_CGM.CGMm_deep",
    name="CGM.CGMm (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__big_brain_cgm_cg_mv_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-BigBrain_CGM.CGMv_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v2.9-BigBrain_CGM.CGMv_deep",
    name="CGM.CGMv (Metathalamus)",
    version_identifier="v2.9-BigBrain, deep",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v2.9-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v2.9-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v2.9-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v2.9-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v2.9-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v2.9-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.9-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.9-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.9-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.9-Colin27_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.9-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.9-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-Colin27_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v2.9-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v2.9-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v2.9-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v2.9-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.9-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.9-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.9-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v2.9-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v2.9-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v2.9-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v2.9-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.9-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v2.9-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v2.9-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v2.9-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-Colin27_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v2.9-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v2.9-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v2.9-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v2.9-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v2.9-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.9-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-Colin27_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-Colin27_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v2.9-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v2.9-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v2.9-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-Colin27_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v2.9-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-Colin27_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-Colin27_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v2.9-Colin27_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v2.9-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.9-Colin27_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.9-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.9-Colin27_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.9-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.9-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.9-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.9-Colin27_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.9-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__frontal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-Colin27_Frontal-I_PM-v11.3",
    name="Frontal-I (GapMap)",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__frontal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-Colin27_Frontal-II_PM-v11.3",
    name="Frontal-II (GapMap)",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__frontal_to__occipital_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Occipital_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-Colin27_Frontal-to-Occipital_PM-v11.3",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__frontal_to__temporal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Temporal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-Colin27_Frontal-to-Temporal-I_PM-v11.3",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__frontal_to__temporal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Frontal-to-Temporal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-Colin27_Frontal-to-Temporal-II_PM-v11.3",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.9-Colin27_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.9-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-Colin27_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-Colin27_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-Colin27_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-Colin27_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27__temporal_to__parietal_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Temporal-to-Parietal_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-Colin27_Temporal-to-Parietal_PM-v11.3",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.9-Colin27, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9__colin27__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.9-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.9-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9__colin27_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v2.9-Colin27_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v2.9-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_9__colin27_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_cgl_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CGL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-Colin27_CGL_PM-v5.0",
    name="CGL (Metathalamus)",
    version_identifier="v2.9-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9__colin27_cgm_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CGM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-Colin27_CGM_PM-v5.0",
    name="CGM (Metathalamus)",
    version_identifier="v2.9-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9__colin27_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-Colin27_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-Colin27_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.9-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-Colin27_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-Colin27_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-Colin27_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-Colin27_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9__colin27_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-Colin27_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-Colin27_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v2.9-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v2.9-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v2.9-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v2.9-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v2.9-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v2.9-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v2.9-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.9-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.9-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.9-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.9-fsaverage_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.9-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.9-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.9-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v2.9-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v2.9-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v2.9-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v2.9-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v2.9-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v2.9-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v2.9-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.9-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-fsaverage_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-fsaverage_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v2.9-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v2.9-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v2.9-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v2.9-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v2.9-fsaverage_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v2.9-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__frontal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-fsaverage_Frontal-I_PM-v11.3",
    name="Frontal-I (GapMap)",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__frontal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-fsaverage_Frontal-II_PM-v11.3",
    name="Frontal-II (GapMap)",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__frontal_to__occipital_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Occipital_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Frontal-to-Occipital_PM-v11.3",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__frontal_to__temporal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Temporal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-fsaverage_Frontal-to-Temporal-I_PM-v11.3",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__frontal_to__temporal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Frontal-to-Temporal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-fsaverage_Frontal-to-Temporal-II_PM-v11.3",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-fsaverage_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-fsaverage_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-fsaverage_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-fsaverage_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage__temporal_to__parietal_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_Temporal-to-Parietal_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-fsaverage_Temporal-to-Parietal_PM-v11.3",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.9-fsaverage, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_cgl_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CGL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-fsaverage_CGL_PM-v5.0",
    name="CGL (Metathalamus)",
    version_identifier="v2.9-fsaverage, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_cgm_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_CGM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-fsaverage_CGM_PM-v5.0",
    name="CGM (Metathalamus)",
    version_identifier="v2.9-fsaverage, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_fsaverage_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-fsaverage_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-fsaverage_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.9-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v2.9-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v2.9-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v2.9-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v2.9-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v2.9-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v2.9-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v2.9-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v2.9-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v2.9-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v2.9-MNI152_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v2.9-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v2.9-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v2.9-MNI152_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v2.9-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v2.9-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v2.9-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v2.9-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v2.9-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v2.9-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v2.9-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v2.9-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v2.9-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v2.9-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v2.9-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v2.9-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v2.9-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v2.9-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v2.9-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v2.9-MNI152_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v2.9-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v2.9-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v2.9-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v2.9-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v2.9-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v2.9-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v2.9-MNI152_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v2.9-MNI152_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v2.9-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v2.9-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v2.9-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v2.9-MNI152_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v2.9-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v2.9-MNI152_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v2.9-MNI152_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v2.9-MNI152_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v2.9-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v2.9-MNI152_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v2.9-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v2.9-MNI152_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v2.9-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.9-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v2.9-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.9-MNI152_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v2.9-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__frontal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-MNI152_Frontal-I_PM-v11.3",
    name="Frontal-I (GapMap)",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__frontal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v2.9-MNI152_Frontal-II_PM-v11.3",
    name="Frontal-II (GapMap)",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__frontal_to__occipital_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Occipital_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-MNI152_Frontal-to-Occipital_PM-v11.3",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__frontal_to__temporal_i_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Temporal-I_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-MNI152_Frontal-to-Temporal-I_PM-v11.3",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__frontal_to__temporal_ii_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Frontal-to-Temporal-II_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v2.9-MNI152_Frontal-to-Temporal-II_PM-v11.3",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v2.9-MNI152_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v2.9-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-MNI152_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-MNI152_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-MNI152_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v2.9-MNI152_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152__temporal_to__parietal_pm_v11_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Temporal-to-Parietal_PM-v11.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v2.9-MNI152_Temporal-to-Parietal_PM-v11.3",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v2.9-MNI152, PM-v11.3",
)
ParcellationEntityVersion.jba_v2_9_mni152__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v2.9-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v2.9-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v2_9_mni152_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v2.9-MNI152_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v2.9-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v2_9_mni152_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_cgl_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CGL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-MNI152_CGL_PM-v5.0",
    name="CGL (Metathalamus)",
    version_identifier="v2.9-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9_mni152_cgm_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CGM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v2.9-MNI152_CGM_PM-v5.0",
    name="CGM (Metathalamus)",
    version_identifier="v2.9-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v2_9_mni152_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-MNI152_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v2.9-MNI152_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v2.9-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-MNI152_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-MNI152_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-MNI152_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v2.9-MNI152_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v2_9_mni152_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v2.9-MNI152_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v2.9-MNI152_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v2.9-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_6d1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6d1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-6d1_int",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_6d2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6d2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-6d2_int",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_6d3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6d3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-6d3_int",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_6ma_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-6ma_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.1-BigBrain_Area-6ma_int",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_ip4_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP4_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hIP4_int",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_ip5_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP5_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hIP5_int",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_ip6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hIP6_int",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_ip7_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP7_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hIP7_int",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_ip8_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hIP8_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hIP8_int",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_oc1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hOc1_deep",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_oc2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hOc2_deep",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_oc3v_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc3v_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hOc3v_deep",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_oc5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hOc5_deep",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_oc6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hOc6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hOc6_int",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_h_po1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-hPO1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-hPO1_int",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_mfg1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-MFG1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-MFG1_deep",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_mfg2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-MFG2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-MFG2_deep",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_sfs1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-SFS1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-SFS1_deep",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_sfs2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-SFS2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-SFS2_deep",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_sts1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-STS1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-STS1_int",
    name="Area STS1 (STS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_sts2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-STS2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-STS2_int",
    name="Area STS2 (STS)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_te_1_0_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-1.0_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-TE-1.0_int",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_te_1_1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-1.1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-TE-1.1_int",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_te_1_2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-1.2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-TE-1.2_int",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__area_te_3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Area-TE-3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-BigBrain_Area-TE-3_int",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain__entorhinal__cortex_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_Entorhinal-Cortex_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-BigBrain_Entorhinal-Cortex_int",
    name="Entorhinal Cortex",
    version_identifier="v3.0.1-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam1_deep",
    name="CGL.lam1 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam2_deep",
    name="CGL.lam2 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam3_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam3_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam3_deep",
    name="CGL.lam3 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam4_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam4_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam4_deep",
    name="CGL.lam4 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam5_deep",
    name="CGL.lam5 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgl_lam6_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGL.lam6_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGL.lam6_deep",
    name="CGL.lam6 (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgm_cg_md_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGM.CGMd_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGM.CGMd_deep",
    name="CGM.CGMd (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgm_cg_mm_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGM.CGMm_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGM.CGMm_deep",
    name="CGM.CGMm (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__big_brain_cgm_cg_mv_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-BigBrain_CGM.CGMv_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.1-BigBrain_CGM.CGMv_deep",
    name="CGM.CGMv (Metathalamus)",
    version_identifier="v3.0.1-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-Colin27_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-Colin27_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.1-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.1-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.1-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.1-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.1-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.1-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.1-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.1-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.1-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.1-Colin27_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.1-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.1-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.1-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.1-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.1-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.1-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.1-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.1-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.1-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.1-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.1-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.1-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.1-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.1-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.1-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.1-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.1-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.1-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.1-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.1-Colin27_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.1-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.1-Colin27_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.1-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.1-Colin27_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.1-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.1-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.1-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.1-Colin27_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.1-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-Colin27_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-Colin27_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-Colin27_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-Colin27_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.1-Colin27_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.1-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-Colin27_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.1-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.1-Colin27_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.1-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.1-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.1-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.1-Colin27_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.1-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-Colin27_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.1-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-Colin27_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.1-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-Colin27_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-Colin27_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-Colin27_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-Colin27_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-Colin27_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.1-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-Colin27_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-Colin27_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-Colin27_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-Colin27_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-Colin27_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-Colin27_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-Colin27_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-Colin27_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-Colin27_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.1-Colin27_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.1-Colin27_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-Colin27_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-Colin27_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-Colin27_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-Colin27_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-Colin27_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.1-Colin27_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.1-Colin27_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.1-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1__colin27_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-Colin27_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-Colin27_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.1-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.1-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.1-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.1-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.1-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.1-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.1-fsaverage_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.1-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.1-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.1-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.1-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.1-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.1-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.1-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.1-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.1-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.1-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.1-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.1-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.1-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.1-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.1-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.1-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.1-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.1-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.1-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.1-fsaverage_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.1-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-fsaverage_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-fsaverage_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-fsaverage_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.1-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.1-fsaverage_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.1-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-fsaverage_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.1-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-fsaverage_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.1-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_fsaverage_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-fsaverage_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-fsaverage_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.1-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-MNI152_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-MNI152_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.1-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.1-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.1-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.1-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.1-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.1-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.1-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.1-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.1-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.1-MNI152_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.1-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.1-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.1-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.1-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.1-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.1-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.1-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.1-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.1-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.1-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.1-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.1-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.1-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.1-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.1-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.1-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.1-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.1-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.1-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.1-MNI152_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.1-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.1-MNI152_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.1-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.1-MNI152_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.1-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.1-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.1-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.1-MNI152_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.1-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-MNI152_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.1-MNI152_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.1-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-MNI152_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.1-MNI152_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.1-MNI152_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.1-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.1-MNI152_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.1-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.1-MNI152_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.1-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.1-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.1-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.1-MNI152_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.1-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-MNI152_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.1-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.1-MNI152_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.1-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-MNI152_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-MNI152_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.1-MNI152_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-MNI152_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.1-MNI152_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.1-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-MNI152_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-MNI152_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.1-MNI152_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-MNI152_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-MNI152_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-MNI152_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-MNI152_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.1-MNI152_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-MNI152_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.1-MNI152_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.1-MNI152_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-MNI152_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-MNI152_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-MNI152_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.1-MNI152_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.1-MNI152_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.1-MNI152_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.1-MNI152_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.1-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_1_mni152_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.1-MNI152_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.1-MNI152_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.1-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_6d1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-6d1_int",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_6d2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-6d2_int",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_6d3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6d3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-6d3_int",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_6ma_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-6ma_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.2-BigBrain_Area-6ma_int",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_ip4_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP4_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hIP4_int",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_ip5_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP5_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hIP5_int",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_ip6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hIP6_int",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_ip7_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP7_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hIP7_int",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_ip8_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hIP8_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hIP8_int",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_oc1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hOc1_deep",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_oc2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hOc2_deep",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_oc3v_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc3v_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hOc3v_deep",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_oc5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hOc5_deep",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_oc6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hOc6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hOc6_int",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_h_po1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-hPO1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-hPO1_int",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_mfg1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-MFG1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-MFG1_deep",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_mfg2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-MFG2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-MFG2_deep",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_sfs1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-SFS1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-SFS1_deep",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_sfs2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-SFS2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-SFS2_deep",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_sts1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-STS1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-STS1_int",
    name="Area STS1 (STS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_sts2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-STS2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-STS2_int",
    name="Area STS2 (STS)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_te_1_0_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.0_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-TE-1.0_int",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_te_1_1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-TE-1.1_int",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_te_1_2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-1.2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-TE-1.2_int",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__area_te_3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Area-TE-3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-BigBrain_Area-TE-3_int",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain__entorhinal__cortex_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_Entorhinal-Cortex_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-BigBrain_Entorhinal-Cortex_int",
    name="Entorhinal Cortex",
    version_identifier="v3.0.2-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam1_deep",
    name="CGL.lam1 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam2_deep",
    name="CGL.lam2 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam3_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam3_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam3_deep",
    name="CGL.lam3 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam4_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam4_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam4_deep",
    name="CGL.lam4 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam5_deep",
    name="CGL.lam5 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgl_lam6_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGL.lam6_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGL.lam6_deep",
    name="CGL.lam6 (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgm_cg_md_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGM.CGMd_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGM.CGMd_deep",
    name="CGM.CGMd (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgm_cg_mm_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGM.CGMm_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGM.CGMm_deep",
    name="CGM.CGMm (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__big_brain_cgm_cg_mv_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-BigBrain_CGM.CGMv_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.2-BigBrain_CGM.CGMv_deep",
    name="CGM.CGMv (Metathalamus)",
    version_identifier="v3.0.2-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-Colin27_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-Colin27_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.2-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.2-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.2-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.2-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.2-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.2-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.2-Colin27_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.2-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.2-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.2-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.2-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.2-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.2-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.2-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.2-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.2-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.2-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.2-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.2-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.2-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.2-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.2-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.2-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.2-Colin27_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.2-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.2-Colin27_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.2-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.2-Colin27_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.2-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.2-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.2-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.2-Colin27_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.2-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-Colin27_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-Colin27_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-Colin27_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-Colin27_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.2-Colin27_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.2-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-Colin27_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.2-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.2-Colin27_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.2-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.2-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.2-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.2-Colin27_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.2-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-Colin27_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.2-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-Colin27_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.2-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-Colin27_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-Colin27_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-Colin27_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-Colin27_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-Colin27_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.2-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-Colin27_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-Colin27_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-Colin27_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-Colin27_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-Colin27_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-Colin27_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-Colin27_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-Colin27_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-Colin27_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.2-Colin27_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.2-Colin27_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-Colin27_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-Colin27_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-Colin27_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-Colin27_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-Colin27_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.2-Colin27_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.2-Colin27_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.2-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2__colin27_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-Colin27_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-Colin27_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.2-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.2-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.2-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.2-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.2-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.2-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.2-fsaverage_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.2-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.2-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.2-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.2-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.2-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.2-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.2-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.2-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.2-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.2-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.2-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.2-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.2-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.2-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.2-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.2-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.2-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.2-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.2-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.2-fsaverage_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.2-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-fsaverage_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-fsaverage_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-fsaverage_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.2-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.2-fsaverage_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.2-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-fsaverage_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.2-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-fsaverage_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.2-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_fsaverage_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-fsaverage_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-fsaverage_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.2-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-MNI152_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-MNI152_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.2-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.2-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.2-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.2-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.2-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.2-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.2-MNI152_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.2-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.2-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.2-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.2-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.2-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.2-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.2-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.2-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.2-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.2-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.2-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.2-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.2-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.2-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.2-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.2-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.2-MNI152_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.2-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.2-MNI152_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.2-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.2-MNI152_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.2-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.2-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.2-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.2-MNI152_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.2-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-MNI152_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.2-MNI152_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.2-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-MNI152_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.2-MNI152_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.2-MNI152_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.2-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.2-MNI152_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.2-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.2-MNI152_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.2-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.2-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.2-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.2-MNI152_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.2-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-MNI152_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.2-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.2-MNI152_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.2-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-MNI152_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-MNI152_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.2-MNI152_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-MNI152_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.2-MNI152_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.2-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-MNI152_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-MNI152_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.2-MNI152_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-MNI152_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-MNI152_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-MNI152_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-MNI152_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.2-MNI152_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-MNI152_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.2-MNI152_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.2-MNI152_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-MNI152_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-MNI152_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-MNI152_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.2-MNI152_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.2-MNI152_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.2-MNI152_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.2-MNI152_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.2-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_2_mni152_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.2-MNI152_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.2-MNI152_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.2-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_6d1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6d1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-6d1_int",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_6d2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6d2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-6d2_int",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_6d3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6d3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-6d3_int",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_6ma_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-6ma_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.3-BigBrain_Area-6ma_int",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_ip4_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP4_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hIP4_int",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_ip5_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP5_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hIP5_int",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_ip6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hIP6_int",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_ip7_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP7_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hIP7_int",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_ip8_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hIP8_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hIP8_int",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_oc1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hOc1_deep",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_oc2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hOc2_deep",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_oc3v_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc3v_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hOc3v_deep",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_oc5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hOc5_deep",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_oc6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hOc6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hOc6_int",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_h_po1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-hPO1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-hPO1_int",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_mfg1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-MFG1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-MFG1_deep",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_mfg2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-MFG2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-MFG2_deep",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_sfs1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-SFS1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-SFS1_deep",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_sfs2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-SFS2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-SFS2_deep",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_sts1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-STS1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-STS1_int",
    name="Area STS1 (STS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_sts2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-STS2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-STS2_int",
    name="Area STS2 (STS)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_te_1_0_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-1.0_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-TE-1.0_int",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_te_1_1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-1.1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-TE-1.1_int",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_te_1_2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-1.2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-TE-1.2_int",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__area_te_3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Area-TE-3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-BigBrain_Area-TE-3_int",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain__entorhinal__cortex_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_Entorhinal-Cortex_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-BigBrain_Entorhinal-Cortex_int",
    name="Entorhinal Cortex",
    version_identifier="v3.0.3-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam1_deep",
    name="CGL.lam1 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam2_deep",
    name="CGL.lam2 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam3_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam3_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam3_deep",
    name="CGL.lam3 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam4_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam4_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam4_deep",
    name="CGL.lam4 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam5_deep",
    name="CGL.lam5 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgl_lam6_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGL.lam6_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGL.lam6_deep",
    name="CGL.lam6 (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgm_cg_md_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGM.CGMd_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGM.CGMd_deep",
    name="CGM.CGMd (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgm_cg_mm_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGM.CGMm_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGM.CGMm_deep",
    name="CGM.CGMm (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__big_brain_cgm_cg_mv_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-BigBrain_CGM.CGMv_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0.3-BigBrain_CGM.CGMv_deep",
    name="CGM.CGMv (Metathalamus)",
    version_identifier="v3.0.3-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-Colin27_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-Colin27_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.3-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.3-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.3-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.3-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.3-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.3-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.3-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.3-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.3-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.3-Colin27_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.3-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.3-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.3-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.3-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.3-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.3-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.3-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.3-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.3-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.3-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.3-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.3-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.3-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.3-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.3-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.3-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.3-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.3-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.3-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.3-Colin27_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.3-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.3-Colin27_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.3-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.3-Colin27_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.3-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.3-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.3-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.3-Colin27_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.3-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-Colin27_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-Colin27_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-Colin27_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-Colin27_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.3-Colin27_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.3-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-Colin27_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.3-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.3-Colin27_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.3-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.3-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.3-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.3-Colin27_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.3-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-Colin27_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.3-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-Colin27_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.3-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-Colin27_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-Colin27_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-Colin27_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-Colin27_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-Colin27_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.3-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-Colin27_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-Colin27_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-Colin27_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-Colin27_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-Colin27_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-Colin27_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-Colin27_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-Colin27_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-Colin27_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.3-Colin27_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.3-Colin27_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-Colin27_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-Colin27_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-Colin27_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-Colin27_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-Colin27_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.3-Colin27_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.3-Colin27_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.3-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3__colin27_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-Colin27_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-Colin27_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.3-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.3-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.3-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.3-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.3-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.3-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.3-fsaverage_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.3-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.3-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.3-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.3-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.3-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.3-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.3-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.3-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.3-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.3-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.3-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.3-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.3-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.3-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.3-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.3-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.3-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.3-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.3-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.3-fsaverage_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.3-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-fsaverage_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-fsaverage_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-fsaverage_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.3-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.3-fsaverage_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.3-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-fsaverage_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.3-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-fsaverage_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.3-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_fsaverage_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-fsaverage_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-fsaverage_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.3-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-MNI152_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-MNI152_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0.3-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0.3-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0.3-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0.3-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0.3-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0.3-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0.3-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0.3-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0.3-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0.3-MNI152_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0.3-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0.3-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0.3-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0.3-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0.3-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0.3-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0.3-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0.3-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0.3-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0.3-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0.3-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0.3-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0.3-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0.3-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0.3-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0.3-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0.3-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0.3-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0.3-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0.3-MNI152_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0.3-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0.3-MNI152_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0.3-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0.3-MNI152_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0.3-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.3-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.3-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.3-MNI152_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0.3-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-MNI152_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0.3-MNI152_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0.3-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-MNI152_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0.3-MNI152_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0.3-MNI152_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0.3-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0.3-MNI152_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0.3-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0.3-MNI152_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0.3-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0.3-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0.3-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0.3-MNI152_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0.3-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-MNI152_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0.3-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0.3-MNI152_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0.3-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-MNI152_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-MNI152_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0.3-MNI152_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-MNI152_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0.3-MNI152_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0.3-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-MNI152_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-MNI152_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0.3-MNI152_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-MNI152_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-MNI152_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-MNI152_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-MNI152_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0.3-MNI152_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-MNI152_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.3-MNI152_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0.3-MNI152_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-MNI152_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-MNI152_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-MNI152_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0.3-MNI152_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0.3-MNI152_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0.3-MNI152_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0.3-MNI152_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0.3-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_3_mni152_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0.3-MNI152_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0.3-MNI152_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0.3-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_6d1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6d1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-6d1_int",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_6d2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6d2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-6d2_int",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_6d3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6d3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-6d3_int",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_6ma_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-6ma_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0-BigBrain_Area-6ma_int",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_ip4_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP4_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hIP4_int",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_ip5_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP5_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hIP5_int",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_ip6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hIP6_int",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_ip7_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP7_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hIP7_int",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_ip8_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hIP8_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hIP8_int",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_oc1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hOc1_deep",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_oc2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hOc2_deep",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_oc3v_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc3v_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hOc3v_deep",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_oc5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hOc5_deep",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_oc6_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hOc6_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hOc6_int",
    name="Area hOc6 (POS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_h_po1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-hPO1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-hPO1_int",
    name="Area hPO1 (POS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_mfg1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-MFG1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-MFG1_deep",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_mfg2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-MFG2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-MFG2_deep",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_sfs1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-SFS1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-SFS1_deep",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_sfs2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-SFS2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-SFS2_deep",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_sts1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-STS1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-STS1_int",
    name="Area STS1 (STS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_sts2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-STS2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-STS2_int",
    name="Area STS2 (STS)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_te_1_0_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-1.0_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-TE-1.0_int",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_te_1_1_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-1.1_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-TE-1.1_int",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_te_1_2_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-1.2_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-TE-1.2_int",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__area_te_3_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Area-TE-3_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-BigBrain_Area-TE-3_int",
    name="Area TE 3 (STG)",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain__entorhinal__cortex_int = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_Entorhinal-Cortex_int",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-BigBrain_Entorhinal-Cortex_int",
    name="Entorhinal Cortex",
    version_identifier="v3.0-BigBrain, int",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam1_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam1_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam1_deep",
    name="CGL.lam1 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam2_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam2_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam2_deep",
    name="CGL.lam2 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam3_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam3_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam3_deep",
    name="CGL.lam3 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam4_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam4_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam4_deep",
    name="CGL.lam4 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam5_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam5_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam5_deep",
    name="CGL.lam5 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgl_lam6_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGL.lam6_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGL"}],
    lookup_label="JBA_v3.0-BigBrain_CGL.lam6_deep",
    name="CGL.lam6 (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgm_cg_md_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGM.CGMd_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0-BigBrain_CGM.CGMd_deep",
    name="CGM.CGMd (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgm_cg_mm_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGM.CGMm_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0-BigBrain_CGM.CGMm_deep",
    name="CGM.CGMm (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__big_brain_cgm_cg_mv_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-BigBrain_CGM.CGMv_deep",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CGM"}],
    lookup_label="JBA_v3.0-BigBrain_CGM.CGMv_deep",
    name="CGM.CGMv (Metathalamus)",
    version_identifier="v3.0-BigBrain, deep",
)
ParcellationEntityVersion.jba_v3_0__colin27__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-Colin27_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-Colin27_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0-Colin27_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0-Colin27_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0-Colin27, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0-Colin27, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0-Colin27_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0-Colin27, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-Colin27_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0-Colin27, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0-Colin27, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0-Colin27, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0-Colin27, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0-Colin27, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0-Colin27, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0-Colin27, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-Colin27_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0-Colin27, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0-Colin27, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0-Colin27, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-Colin27_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-Colin27_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-Colin27_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0-Colin27, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0-Colin27_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0-Colin27_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0-Colin27, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0-Colin27, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-Colin27_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0-Colin27, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-Colin27_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-Colin27_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0-Colin27_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0-Colin27, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0-Colin27_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0-Colin27_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0-Colin27, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0-Colin27_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0-Colin27_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-Colin27_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-Colin27_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-Colin27_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-Colin27_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-Colin27_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-Colin27_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-Colin27_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0-Colin27_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0__colin27__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-Colin27_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-Colin27_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-Colin27_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-Colin27_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-Colin27_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0-Colin27, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0__colin27__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0-Colin27_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0-Colin27_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0-Colin27, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0__colin27__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0-Colin27_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0-Colin27, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0__colin27_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0-Colin27_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0-Colin27, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0__colin27_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-Colin27_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0__colin27_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-Colin27_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0-Colin27, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0__colin27_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-Colin27_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-Colin27_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-Colin27_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-Colin27_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-Colin27_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0-Colin27, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-Colin27_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-Colin27_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-Colin27_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-Colin27_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-Colin27_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-Colin27_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-Colin27_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-Colin27_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-Colin27_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0-Colin27_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0-Colin27_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-Colin27_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-Colin27_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-Colin27_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-Colin27_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-Colin27_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0__colin27_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0-Colin27_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0-Colin27_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0-Colin27, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0__colin27_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-Colin27_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-Colin27_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0-Colin27, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0-fsaverage, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0-fsaverage, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0-fsaverage_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0-fsaverage, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0-fsaverage, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0-fsaverage, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0-fsaverage, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0-fsaverage, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0-fsaverage, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0-fsaverage, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-fsaverage_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-fsaverage_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0-fsaverage, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0-fsaverage, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0-fsaverage, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0-fsaverage, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0-fsaverage_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0-fsaverage, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-fsaverage_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-fsaverage_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-fsaverage_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-fsaverage_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-fsaverage_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-fsaverage_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-fsaverage_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-fsaverage_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0-fsaverage, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_fsaverage__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0-fsaverage_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0-fsaverage, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-fsaverage_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-fsaverage_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0-fsaverage, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_fsaverage_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-fsaverage_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": None,
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-fsaverage_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0-fsaverage, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__acb_l_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_AcbL_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-MNI152_AcbL_PM-v5.0",
    name="AcbL (Lateral Accumbens, Ventral Striatum)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__acb_m_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_AcbM_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-MNI152_AcbM_PM-v5.0",
    name="AcbM (Medial Accumbens, Ventral Striatum)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_1_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-1_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-1_PM-v12.1",
    name="Area 1 (PostCG)",
    version_identifier="v3.0-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_25_25a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-25.25a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0-MNI152_Area-25.25a_PM-v20.1",
    name="Area 25.25a (sACC",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_25_25p_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-25.25p_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-25"}],
    lookup_label="JBA_v3.0-MNI152_Area-25.25p_PM-v20.1",
    name="Area 25.25p (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_25_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-25_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-25_PM-v20.1",
    name="Area 25 (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-2_PM-v7.1",
    name="Area 2 (PostCS)",
    version_identifier="v3.0-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_33_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-33_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-33_PM-v20.1",
    name="Area 33 (ACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_3a_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-3a_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-3a_PM-v12.1",
    name="Area 3a (PostCG)",
    version_identifier="v3.0-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_3b_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-3b_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_postcentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-3b_PM-v12.1",
    name="Area 3b (PostCG)",
    version_identifier="v3.0-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_44_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-44_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-44_PM-v9.2",
    name="Area 44 (IFG)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_45_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-45_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-45_PM-v9.2",
    name="Area 45 (IFG)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_4a_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-4a_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-4a_PM-v13.1",
    name="Area 4a (PreCG)",
    version_identifier="v3.0-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_4p_pm_v13_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-4p_PM-v13.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_precentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-4p_PM-v13.1",
    name="Area 4p (PreCG)",
    version_identifier="v3.0-MNI152, PM-v13.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_5_ci_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-5Ci_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-5Ci_PM-v9.2",
    name="Area 5Ci (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_5_l_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-5L_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-5L_PM-v9.2",
    name="Area 5L (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_5_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-5M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-5M_PM-v9.2",
    name="Area 5M (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_6d1_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6d1_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-6d1_PM-v7.1",
    name="Area 6d1 (PreCG)",
    version_identifier="v3.0-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_6d2_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6d2_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalPrecentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-6d2_PM-v7.1",
    name="Area 6d2 (PreCG)",
    version_identifier="v3.0-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_6d3_pm_v7_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6d3_PM-v7.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-6d3_PM-v7.1",
    name="Area 6d3 (SFS)",
    version_identifier="v3.0-MNI152, PM-v7.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_6ma_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6ma_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_posteriorMedialSuperiorFrontalGyrus"}
    ],
    lookup_label="JBA_v3.0-MNI152_Area-6ma_PM-v12.1",
    name="Area 6ma (preSMA, mesial SFG)",
    version_identifier="v3.0-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_6mp_pm_v12_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-6mp_PM-v12.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_mesialPrecentralGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-6mp_PM-v12.1",
    name="Area 6mp (SMA, mesial SFG)",
    version_identifier="v3.0-MNI152, PM-v12.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_7_a_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7A_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-7A_PM-v9.2",
    name="Area 7A (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_7_m_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7M_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-7M_PM-v9.2",
    name="Area 7M (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_7_p_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7P_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-7P_PM-v9.2",
    name="Area 7P (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_7_pc_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-7PC_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-7PC_PM-v9.2",
    name="Area 7PC (SPL)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_8d1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8d1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-8d1_PM-v4.2",
    name="Area 8d1 (SFG)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_8d2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8d2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-8d2_PM-v4.2",
    name="Area 8d2 (SFG)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_8v1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8v1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-8v1_PM-v4.2",
    name="Area 8v1 (MFG)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_8v2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-8v2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-8v2_PM-v4.2",
    name="Area 8v2 (MFG)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__co_s1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-CoS1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_collateralSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-CoS1_PM-v7.2",
    name="Area CoS1 (CoS)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo1_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo1_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo1_PM-v5.2",
    name="Area Fo1 (OFC)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo2_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo2_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo2_PM-v5.2",
    name="Area Fo2 (OFC)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo3_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo3_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_medialOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo3_PM-v5.2",
    name="Area Fo3 (OFC)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo4_PM-v3.2",
    name="Area Fo4 (OFC)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo5_PM-v3.2",
    name="Area Fo5 (OFC)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo6_PM-v3.2",
    name="Area Fo6 (OFC)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fo7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fo7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOrbitofrontalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fo7_PM-v3.2",
    name="Area Fo7 (OFC)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fp1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fp1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fp1_PM-v5.1",
    name="Area Fp1 (FPole)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__fp2_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Fp2_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalPole"}],
    lookup_label="JBA_v3.0-MNI152_Area-Fp2_PM-v5.1",
    name="Area Fp2 (FPole)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ia1_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ia1_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ia1_PM-v5.1",
    name="Area Ia1 (Insula)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ia2_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ia2_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ia2_PM-v4.0",
    name="Area Ia2 (Insula)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ia3_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ia3_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_agranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ia3_PM-v4.0",
    name="Area Ia3 (Insula)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id10_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id10_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id10_PM-v4.0",
    name="Area Id10 (Insula)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id1_PM-v14.2",
    name="Area Id1 (Insula)",
    version_identifier="v3.0-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id2_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id2_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id2_PM-v9.1",
    name="Area Id2 (Insula)",
    version_identifier="v3.0-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id3_pm_v9_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id3_PM-v9.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id3_PM-v9.1",
    name="Area Id3 (Insula)",
    version_identifier="v3.0-MNI152, PM-v9.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id4_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id4_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id4_PM-v5.1",
    name="Area Id4 (Insula)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id5_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id5_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id5_PM-v5.1",
    name="Area Id5 (Insula)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id6_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id6_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id6_PM-v5.1",
    name="Area Id6 (Insula)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id7_pm_v8_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id7_PM-v8.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id7_PM-v8.1",
    name="Area Id7 (Insula)",
    version_identifier="v3.0-MNI152, PM-v8.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id8_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id8_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id8_PM-v4.0",
    name="Area Id8 (Insula)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__id9_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Id9_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dysgranularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Id9_PM-v4.0",
    name="Area Id9 (Insula)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ig1_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ig1_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ig1_PM-v14.2",
    name="Area Ig1 (Insula)",
    version_identifier="v3.0-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ig2_pm_v14_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ig2_PM-v14.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ig2_PM-v14.2",
    name="Area Ig2 (Insula)",
    version_identifier="v3.0-MNI152, PM-v14.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ig3_pm_v5_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ig3_PM-v5.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_granularInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ig3_PM-v5.1",
    name="Area Ig3 (Insula)",
    version_identifier="v3.0-MNI152, PM-v5.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ph1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ph1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ph1_PM-v7.2",
    name="Area Ph1 (PhG)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ph2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ph2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ph2_PM-v7.2",
    name="Area Ph2 (PhG)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__ph3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-Ph3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parahippocampalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-Ph3_PM-v7.2",
    name="Area Ph3 (PhG)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area__te_i_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TeI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-TeI_PM-v6.2",
    name="Area TeI (STG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_fg1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-FG1_PM-v3.2",
    name="Area FG1 (FusG)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_fg2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-FG2_PM-v3.2",
    name="Area FG2 (FusG)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_fg3_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG3_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-FG3_PM-v7.2",
    name="Area FG3 (FusG)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_fg4_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-FG4_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fusiformGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-FG4_PM-v7.2",
    name="Area FG4 (FusG)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip1_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP1_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP1_PM-v7.2",
    name="Area hIP1 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip2_pm_v7_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP2_PM-v7.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP2_PM-v7.2",
    name="Area hIP2 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip3_pm_v9_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP3_PM-v9.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP3_PM-v9.2",
    name="Area hIP3 (IPS)",
    version_identifier="v3.0-MNI152, PM-v9.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip4_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP4_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP4_PM-v7.3",
    name="Area hIP4 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip5_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP5_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP5_PM-v7.3",
    name="Area hIP5 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP6_PM-v7.3",
    name="Area hIP6 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip7_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP7_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP7_PM-v7.3",
    name="Area hIP7 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_ip8_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hIP8_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_intraparietalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hIP8_PM-v7.3",
    name="Area hIP8 (IPS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc1_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc1_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc1_PM-v4.2",
    name="Area hOc1 (V1, 17, CalcS)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc2_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc2_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_occipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc2_PM-v4.2",
    name="Area hOc2 (V2, 18)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc3d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc3d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc3d_PM-v4.2",
    name="Area hOc3d (Cuneus)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc3v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc3v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc3v_PM-v5.2",
    name="Area hOc3v (LingG)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc4d_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4d_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc4d_PM-v4.2",
    name="Area hOc4d (Cuneus)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc4la_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4la_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc4la_PM-v5.2",
    name="Area hOc4la (LOC)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc4lp_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4lp_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc4lp_PM-v5.2",
    name="Area hOc4lp (LOC)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc4v_pm_v5_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc4v_PM-v5.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc4v_PM-v5.2",
    name="Area hOc4v (LingG)",
    version_identifier="v3.0-MNI152, PM-v5.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc5_pm_v4_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc5_PM-v4.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_lateralOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc5_PM-v4.2",
    name="Area hOc5 (LOC)",
    version_identifier="v3.0-MNI152, PM-v4.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_oc6_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hOc6_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dorsalOccipitalCortex"}],
    lookup_label="JBA_v3.0-MNI152_Area-hOc6_PM-v7.3",
    name="Area hOc6 (POS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_h_po1_pm_v7_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-hPO1_PM-v7.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parieto-occipitalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-hPO1_PM-v7.3",
    name="Area hPO1 (POS)",
    version_identifier="v3.0-MNI152, PM-v7.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifj1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFJ1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFJ1_PM-v3.2",
    name="Area IFJ1 (IFS,PreCS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifj2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFJ2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFJ2_PM-v3.2",
    name="Area IFJ2 (IFS,PreCS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifs1_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS1_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFS1_PM-v3.2",
    name="Area IFS1 (IFS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifs2_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS2_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFS2_PM-v3.2",
    name="Area IFS2 (IFS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifs3_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS3_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFS3_PM-v3.2",
    name="Area IFS3 (IFS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ifs4_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-IFS4_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-IFS4_PM-v3.2",
    name="Area IFS4 (IFS)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_mfg1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-MFG1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_middleFrontalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-MFG1_PM-v9.0",
    name="Area MFG1 (MFG)",
    version_identifier="v3.0-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_mfg2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-MFG2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fronto-marginalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-MFG2_PM-v9.0",
    name="Area MFG2 (MFG)",
    version_identifier="v3.0-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op1_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP1_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP1_PM-v12.2",
    name="Area OP1 (POperc)",
    version_identifier="v3.0-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op2_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP2_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP2_PM-v12.2",
    name="Area OP2 (POperc)",
    version_identifier="v3.0-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op3_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP3_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP3_PM-v12.2",
    name="Area OP3 (POperc)",
    version_identifier="v3.0-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op4_pm_v12_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP4_PM-v12.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_parietalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP4_PM-v12.2",
    name="Area OP4 (POperc)",
    version_identifier="v3.0-MNI152, PM-v12.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op5_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP5_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP5_PM-v3.2",
    name="Area Op5 (Frontal Operculum)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op6_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP6_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP6_PM-v3.2",
    name="Area Op6 (Frontal Operculum)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op7_pm_v3_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP7_PM-v3.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP7_PM-v3.2",
    name="Area Op7 (Frontal Operculum)",
    version_identifier="v3.0-MNI152, PM-v3.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op8_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP8_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP8_PM-v6.2",
    name="Area Op8 (Frontal Operculum)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_op9_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-OP9_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalOperculum"}],
    lookup_label="JBA_v3.0-MNI152_Area-OP9_PM-v6.2",
    name="Area Op9 (Frontal Operculum)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24ab_p24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24ab.p24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24ab.p24a_PM-v20.1",
    name="Area p24ab.p24a (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24ab_p24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24ab.p24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24ab"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24ab.p24b_PM-v20.1",
    name="Area p24ab.p24b (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24ab_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24ab_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24ab_PM-v20.1",
    name="Area p24ab (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24c_pd24cd_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c.pd24cd_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24c.pd24cd_PM-v20.1",
    name="Area p24c.pd24cd (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24c_pd24cv_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c.pd24cv_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24c.pd24cv_PM-v20.1",
    name="Area p24c.pd24cv (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24c_PM-v20.1",
    name="Area p24c (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p24c_pv24c_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p24c.pv24c_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-p24c"}],
    lookup_label="JBA_v3.0-MNI152_Area-p24c.pv24c_PM-v20.1",
    name="Area p24c.pv24c (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-p32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-p32_PM-v20.1",
    name="Area p32 (pACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_fcm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFcm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PFcm_PM-v11.2",
    name="Area PFcm (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_fm_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFm_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PFm_PM-v11.2",
    name="Area PFm (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_fop_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFop_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PFop_PM-v11.2",
    name="Area PFop (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_ft_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PFt_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PFt_PM-v11.2",
    name="Area PFt (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_ga_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PGa_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PGa_PM-v11.2",
    name="Area PGa (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_p_gp_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PGp_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PGp_PM-v11.2",
    name="Area PGp (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_pf_pm_v11_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-PF_PM-v11.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_inferiorParietalLobule"}],
    lookup_label="JBA_v3.0-MNI152_Area-PF_PM-v11.2",
    name="Area PF (IPL)",
    version_identifier="v3.0-MNI152, PM-v11.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_s24_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s24_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-s24_PM-v20.1",
    name="Area s24 (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_s24_s24a_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s24.s24a_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0-MNI152_Area-s24.s24a_PM-v20.1",
    name="Area s24.s24a (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_s24_s24b_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s24.s24b_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Area-s24"}],
    lookup_label="JBA_v3.0-MNI152_Area-s24.s24b_PM-v20.1",
    name="Area s24.s24b (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_s32_pm_v20_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-s32_PM-v20.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalCingulateGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-s32_PM-v20.1",
    name="Area s32 (sACC)",
    version_identifier="v3.0-MNI152, PM-v20.1",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_sfs1_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-SFS1_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-SFS1_PM-v9.0",
    name="Area SFS1 (SFS)",
    version_identifier="v3.0-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_sfs2_pm_v9_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-SFS2_PM-v9.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorFrontalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-SFS2_PM-v9.0",
    name="Area SFS2 (SFS)",
    version_identifier="v3.0-MNI152, PM-v9.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_sts1_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-STS1_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-STS1_PM-v5.3",
    name="Area STS1 (STS)",
    version_identifier="v3.0-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_sts2_pm_v5_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-STS2_PM-v5.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalSulcus"}],
    lookup_label="JBA_v3.0-MNI152_Area-STS2_PM-v5.3",
    name="Area STS2 (STS)",
    version_identifier="v3.0-MNI152, PM-v5.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_1_0_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-1.0_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-1.0_PM-v6.2",
    name="Area TE 1.0 (HESCHL)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_1_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-1.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-1.1_PM-v6.2",
    name="Area TE 1.1 (HESCHL)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_1_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-1.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_HeschlsGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-1.2_PM-v6.2",
    name="Area TE 1.2 (HESCHL)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_2_1_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-2.1_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-2.1_PM-v6.2",
    name="Area TE 2.1 (STG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_2_2_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-2.2_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-2.2_PM-v6.2",
    name="Area TE 2.2 (STG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_te_3_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TE-3_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_superiorTemporalGyrus"}],
    lookup_label="JBA_v3.0-MNI152_Area-TE-3_PM-v6.2",
    name="Area TE 3 (STG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_ti_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TI_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporalInsula"}],
    lookup_label="JBA_v3.0-MNI152_Area-TI_PM-v6.2",
    name="Area TI (STG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__area_tpj_pm_v6_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Area-TPJ_PM-v6.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_temporo-parietalJunction"}],
    lookup_label="JBA_v3.0-MNI152_Area-TPJ_PM-v6.2",
    name="Area TPJ (STG/SMG)",
    version_identifier="v3.0-MNI152, PM-v6.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__ch_123_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Ch-123_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_magnocellularGroup"}],
    lookup_label="JBA_v3.0-MNI152_Ch-123_PM-v4.3",
    name="Ch 123 (Basal Forebrain)",
    version_identifier="v3.0-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__ch_4_pm_v4_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Ch-4_PM-v4.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_sublenticularBasalForebrain"}],
    lookup_label="JBA_v3.0-MNI152_Ch-4_PM-v4.3",
    name="Ch 4 (Basal Forebrain)",
    version_identifier="v3.0-MNI152, PM-v4.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__dorsal__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0-MNI152_Dorsal-Dentate-Nucleus_PM-v6.3",
    name="Dorsal Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__entorhinal__cortex_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Entorhinal-Cortex_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_Entorhinal-Cortex_PM-v13.2",
    name="Entorhinal Cortex",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__fastigial__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Fastigial-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0-MNI152_Fastigial-Nucleus_PM-v6.3",
    name="Fastigial Nucleus (Cerebellum)",
    version_identifier="v3.0-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__frontal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-MNI152_Frontal-I_PM-v11.4",
    name="Frontal-I (GapMap)",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__frontal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_frontalLobe"}],
    lookup_label="JBA_v3.0-MNI152_Frontal-II_PM-v11.4",
    name="Frontal-II (GapMap)",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__frontal_to__occipital_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-to-Occipital_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-MNI152_Frontal-to-Occipital_PM-v11.4",
    name="Frontal-to-Occipital (GapMap",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__frontal_to__temporal_i_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-MNI152_Frontal-to-Temporal-I_PM-v11.4",
    name="Frontal-to-Temporal-I (GapMap)",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__frontal_to__temporal_ii_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Frontal-to-Temporal"}],
    lookup_label="JBA_v3.0-MNI152_Frontal-to-Temporal-II_PM-v11.4",
    name="Frontal-to-Temporal-II (GapMap)",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__fu_cd_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_FuCd_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-MNI152_FuCd_PM-v5.0",
    name="FuCd (Fundus of Caudate Nucleus, Ventral Striatum)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__fu_p_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_FuP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_ventralStriatum"}],
    lookup_label="JBA_v3.0-MNI152_FuP_PM-v5.0",
    name="FuP (Fundus of Putamen, Ventral Striatum)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__interposed__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Interposed-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebellarNuclei"}],
    lookup_label="JBA_v3.0-MNI152_Interposed-Nucleus_PM-v6.3",
    name="Interposed Nucleus (Cerebellum)",
    version_identifier="v3.0-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_mni152__subiculum__pa_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.PaS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-MNI152_Subiculum.PaS_PM-v13.2",
    name="Subiculum.PaS (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__subiculum__pre_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.PreS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-MNI152_Subiculum.PreS_PM-v13.2",
    name="Subiculum.PreS (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__subiculum__pro_s_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.ProS_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-MNI152_Subiculum.ProS_PM-v13.2",
    name="Subiculum.ProS (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__subiculum__sub_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Subiculum.Sub_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_Subiculum"}],
    lookup_label="JBA_v3.0-MNI152_Subiculum.Sub_PM-v13.2",
    name="Subiculum.Sub (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152__temporal_to__parietal_pm_v11_4 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Temporal-to-Parietal_PM-v11.4",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_cerebralCortex"}],
    lookup_label="JBA_v3.0-MNI152_Temporal-to-Parietal_PM-v11.4",
    name="Temporal-to-Parietal (GapMap)",
    version_identifier="v3.0-MNI152, PM-v11.4",
)
ParcellationEntityVersion.jba_v3_0_mni152__terminal_islands_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Terminal-islands_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0-MNI152_Terminal-islands_PM-v4.0",
    name="Terminal islands (Basal Forebrain)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__tuberculum_pm_v4_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Tuberculum_PM-v4.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_olfactoryCortex"}],
    lookup_label="JBA_v3.0-MNI152_Tuberculum_PM-v4.0",
    name="Tuberculum (Basal Forebrain)",
    version_identifier="v3.0-MNI152, PM-v4.0",
)
ParcellationEntityVersion.jba_v3_0_mni152__ventral__dentate__nucleus_pm_v6_3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_dentateNucleus"}],
    lookup_label="JBA_v3.0-MNI152_Ventral-Dentate-Nucleus_PM-v6.3",
    name="Ventral Dentate Nucleus (Cerebellum)",
    version_identifier="v3.0-MNI152, PM-v6.3",
)
ParcellationEntityVersion.jba_v3_0_mni152_bst_pm_v6_1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_BST_PM-v6.1",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalForebrain"}],
    lookup_label="JBA_v3.0-MNI152_BST_PM-v6.1",
    name="BST (Bed Nucleus)",
    version_identifier="v3.0-MNI152, PM-v6.1",
)
ParcellationEntityVersion.jba_v3_0_mni152_ca1_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CA1_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_CA1_PM-v13.2",
    name="CA1 (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_ca2_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CA2_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_CA2_PM-v13.2",
    name="CA2 (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_ca3_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CA3_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_CA3_PM-v13.2",
    name="CA3 (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_cgl_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CGL_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-MNI152_CGL_PM-v10.0",
    name="CGL (Metathalamus)",
    version_identifier="v3.0-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_mni152_cgm_pm_v10_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CGM_PM-v10.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_metathalamus"}],
    lookup_label="JBA_v3.0-MNI152_CGM_PM-v10.0",
    name="CGM (Metathalamus)",
    version_identifier="v3.0-MNI152, PM-v10.0",
)
ParcellationEntityVersion.jba_v3_0_mni152_cm__ce_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM.Ce_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-MNI152_CM.Ce_PM-v8.2",
    name="CM.Ce (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_cm__me_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM.Me_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-MNI152_CM.Me_PM-v8.2",
    name="CM.Me (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_cm_aaa_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM.AAA_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_CM"}],
    lookup_label="JBA_v3.0-MNI152_CM.AAA_PM-v8.2",
    name="CM.AAA (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_cm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_CM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-MNI152_CM_PM-v8.2",
    name="CM (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_dg_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_DG_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_DG_PM-v13.2",
    name="DG (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_hata_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_HATA_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_HATA_PM-v13.2",
    name="HATA (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_hc__transsubiculum_pm_v13_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_HC-Transsubiculum_PM-v13.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_hippocampalFormation"}],
    lookup_label="JBA_v3.0-MNI152_HC-Transsubiculum_PM-v13.2",
    name="HC-Transsubiculum (Hippocampus)",
    version_identifier="v3.0-MNI152, PM-v13.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_if_ice_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF.ice_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-MNI152_IF.ice_PM-v8.2",
    name="IF.ice (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_if_iol_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF.iol_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-MNI152_IF.iol_PM-v8.2",
    name="IF.iol (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_if_ld_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF.ld_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_IF"}],
    lookup_label="JBA_v3.0-MNI152_IF.ld_PM-v8.2",
    name="IF.ld (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_if_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_IF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-MNI152_IF_PM-v8.2",
    name="IF (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_lb__bl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.Bl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-MNI152_LB.Bl_PM-v8.2",
    name="LB.Bl (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_lb__bm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.Bm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-MNI152_LB.Bm_PM-v8.2",
    name="LB.Bm (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_lb__la_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.La_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-MNI152_LB.La_PM-v8.2",
    name="LB.La (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_lb__pl_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB.Pl_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_LB"}],
    lookup_label="JBA_v3.0-MNI152_LB.Pl_PM-v8.2",
    name="LB.Pl (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_lb_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_LB_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-MNI152_LB_PM-v8.2",
    name="LB (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_mf_icm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_MF.icm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0-MNI152_MF.icm_PM-v8.2",
    name="MF.icm (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_mf_lm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_MF.lm_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_MF"}],
    lookup_label="JBA_v3.0-MNI152_MF.lm_PM-v8.2",
    name="MF.lm (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_mf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_MF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-MNI152_MF_PM-v8.2",
    name="MF (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_sf_a_hi_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF.AHi_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-MNI152_SF.AHi_PM-v8.2",
    name="SF.AHi (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_sf_a_pir_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF.APir_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-MNI152_SF.APir_PM-v8.2",
    name="SF.APir (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_sf_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_amygdaloidGroups"}],
    lookup_label="JBA_v3.0-MNI152_SF_PM-v8.2",
    name="SF (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_sf_v_co_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_SF.VCo_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_SF"}],
    lookup_label="JBA_v3.0-MNI152_SF.VCo_PM-v8.2",
    name="SF.VCo (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.jba_v3_0_mni152_stn_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_STN_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_subthalamus"}],
    lookup_label="JBA_v3.0-MNI152_STN_PM-v5.0",
    name="STN (Subthalamus)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152_vp_pm_v5_0 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_VP_PM-v5.0",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_basalGanglia"}],
    lookup_label="JBA_v3.0-MNI152_VP_PM-v5.0",
    name="VP (Ventral Pallidum)",
    version_identifier="v3.0-MNI152, PM-v5.0",
)
ParcellationEntityVersion.jba_v3_0_mni152_vtm_pm_v8_2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/JBA_v3.0-MNI152_VTM_PM-v8.2",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/left"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/probabalisticAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": None,
            "laterality": [{"@id": "https://openminds.ebrains.eu/instances/laterality/right"}],
            "preferredVisualization": None,
            "specification": None,
            "type": None,
        },
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/JBA_fiberMasses"}],
    lookup_label="JBA_v3.0-MNI152_VTM_PM-v8.2",
    name="VTM (Amygdala)",
    version_identifier="v3.0-MNI152, PM-v8.2",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_10th_cerebellar_lobule_nodule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_10thCerebellarLobuleNodule",
    abbreviation="10Cb",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_10thCerebellarLobuleNodule",
    name="10th cerebellar lobule (nodule)",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_1st_cerebellar_lobule_lingula = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_1stCerebellarLobuleLingula",
    abbreviation="1Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_1stCerebellarLobuleLingula",
    name="1st cerebellar lobule (lingula)",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_2b_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2bCerebellarLobule",
    abbreviation="2bCb",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_2bCerebellarLobule",
    name="2b cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_2nd_and3rd_cerebellar_lobules = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndAnd3rdCerebellarLobules",
    abbreviation="2/3Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_2ndAnd3rdCerebellarLobules",
    name="2nd and 3rd cerebellar lobules",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_2nd_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_2ndCerebellarLobule",
    abbreviation="2Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_2ndCerebellarLobule",
    name="2nd cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_3rd_and4th_cerebellar_lobules = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdAnd4thCerebellarLobules",
    abbreviation="3/4Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_3rdAnd4thCerebellarLobules",
    name="3rd and 4th cerebellar lobules",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_3rd_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdCerebellarLobule",
    abbreviation="3Cb",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_3rdCerebellarLobule",
    name="3rd cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_3rd_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_3rdVentricle",
    abbreviation="3V",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_3rdVentricle",
    name="3rd ventricle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_4th_and5th_cerebellar_lobules = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thAnd5thCerebellarLobules",
    abbreviation="4/5Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_4thAnd5thCerebellarLobules",
    name="4th and 5th cerebellar lobules",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_4th_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thCerebellarLobule",
    abbreviation="4Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_4thCerebellarLobule",
    name="4th cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_4th_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_4thVentricle",
    abbreviation="4V",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_4thVentricle",
    name="4th ventricle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_5th_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_5thCerebellarLobule",
    abbreviation="5Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_5thCerebellarLobule",
    name="5th cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_6a_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6aCerebellarLobule",
    abbreviation="6aCb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_6aCerebellarLobule",
    name="6a cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_6b_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6bCerebellarLobule",
    abbreviation="6bCb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_6bCerebellarLobule",
    name="6b cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_6c_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6cCerebellarLobule",
    abbreviation="6cCb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_6cCerebellarLobule",
    name="6c cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_6th_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_6thCerebellarLobule",
    abbreviation="6Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_6thCerebellarLobule",
    name="6th cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_7th_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_7thCerebellarLobule",
    abbreviation="7Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_7thCerebellarLobule",
    name="7th cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_8th_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_8thCerebellarLobule",
    abbreviation="8Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_8thCerebellarLobule",
    name="8th cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_9th_cerebellar_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobule",
    abbreviation="9Cb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_9thCerebellarLobule",
    name="9th cerebellar lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_9th_cerebellar_lobule_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleA",
    abbreviation="9aCb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_9thCerebellarLobuleA",
    name="9th cerebellar lobule, a",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_9th_cerebellar_lobule_a_and_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleAAndB",
    abbreviation="9a,bCb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_9thCerebellarLobuleAAndB",
    name="9th cerebellar lobule, a and b",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_9th_cerebellar_lobule_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleB",
    abbreviation="9bCb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_9thCerebellarLobuleB",
    name="9th cerebellar lobule, b",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_9th_cerebellar_lobule_c = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_9thCerebellarLobuleC",
    abbreviation="9cCb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_9thCerebellarLobuleC",
    name="9th cerebellar lobule, c",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed__barringtons_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BarringtonsNucleus",
    abbreviation="Bar",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_BarringtonsNucleus",
    name="Barrington’s nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed__botzinger_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_BotzingerComplex",
    abbreviation="Bo",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_BotzingerComplex",
    name="Botzinger complex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed__edinger_westphal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_EdingerWestphalNucleus",
    abbreviation="EW",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_EdingerWestphalNucleus",
    name="Edinger-Westphal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed__killiker_fuse_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_KillikerFuseNucleus",
    abbreviation="KF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Structures'. In 'List of Abbreviations', region name has a spelling mistake ('Kˆlliker' instead of 'Kîlliker'). The original name 'Kˆlliker-Fuse nucleus' has been added under 'alternateName'. 'Kôlliker-Fuse nucleus' was additionally added under 'alternateName' since this appears to be the more common name of the brain region.",
    alternate_names=["Kˆlliker-Fuse nucleus", "Kôlliker-Fuse nucleus"],
    lookup_label="PW-RBSC-cor_6th-ed_KillikerFuseNucleus",
    name="Kîlliker-Fuse nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed__purkinje_cell_layer_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_PurkinjeCellLayerOfTheCerebellum",
    abbreviation="Pk",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_PurkinjeCellLayerOfTheCerebellum",
    name="Purkinje cell layer of the cerebellum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_a11dopamine_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A11dopamineCells",
    abbreviation="A11",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_A11dopamineCells",
    name="A11dopamine cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_a13_dopamine_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A13DopamineCells",
    abbreviation="A13",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_A13DopamineCells",
    name="A13 dopamine cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_a1_noradrenaline_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCells",
    abbreviation="A1",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_A1NoradrenalineCells",
    name="A1 noradrenaline cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_a1_noradrenaline_cells_c1_adrenaline_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A1NoradrenalineCellsC1AdrenalineCells",
    abbreviation="A1/C1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_A1NoradrenalineCellsC1AdrenalineCells",
    name="A1 noradrenaline cells/C1 adrenaline cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_a2_noradrenaline_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A2NoradrenalineCells",
    abbreviation="A2",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_A2NoradrenalineCells",
    name="A2 noradrenaline cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_a5_noradrenaline_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A5NoradrenalineCells",
    abbreviation="A5",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_A5NoradrenalineCells",
    name="A5 noradrenaline cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_a7_noradrenaline_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_A7NoradrenalineCells",
    abbreviation="A7",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_A7NoradrenalineCells",
    name="A7 noradrenaline cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleus",
    abbreviation="6N",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_abducensNucleus",
    name="abducens nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_abducens_nucleus_retractor_bulbi_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_abducensNucleusRetractorBulbiPart",
    abbreviation="6RB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_abducensNucleusRetractorBulbiPart",
    name="abducens nucleus, retractor bulbi part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_accessory_abducens_facial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryAbducensFacialNucleus",
    abbreviation="Acs6/7",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_accessoryAbducensFacialNucleus",
    name="accessory abducens/facial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_accessory_nerve_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNerveNucleus",
    abbreviation="11N",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_accessoryNerveNucleus",
    name="accessory nerve nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_accessory_neurosecretory_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryNeurosecretoryNuclei",
    abbreviation="ANS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_accessoryNeurosecretoryNuclei",
    name="accessory neurosecretory nuclei",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryBulb",
    abbreviation="AOB",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_accessoryOlfactoryBulb",
    name="accessory olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accessoryOlfactoryTract",
    abbreviation="aot",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_accessoryOlfactoryTract",
    name="accessory olfactory tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_accumbens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleus",
    abbreviation="Acb",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_accumbensNucleus",
    name="accumbens nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_accumbens_nucleus_core = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusCore",
    abbreviation="AcbC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_accumbensNucleusCore",
    name="accumbens nucleus, core",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_accumbens_nucleus_shell = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_accumbensNucleusShell",
    abbreviation="AcbSh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_accumbensNucleusShell",
    name="accumbens nucleus, shell",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_agranular_insular_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortex",
    abbreviation="AI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_agranularInsularCortex",
    name="agranular insular cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_agranular_insular_cortex_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexDorsalPart",
    abbreviation="AID",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_agranularInsularCortexDorsalPart",
    name="agranular insular cortex, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_agranular_insular_cortex_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexPosteriorPart",
    abbreviation="AIP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_agranularInsularCortexPosteriorPart",
    name="agranular insular cortex, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_agranular_insular_cortex_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_agranularInsularCortexVentralPart",
    abbreviation="AIV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_agranularInsularCortexVentralPart",
    name="agranular insular cortex, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_alar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alarNucleus",
    abbreviation="Al",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_alarNucleus",
    name="alar nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_alveus_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_alveusOfTheHippocampus",
    abbreviation="alv",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_alveusOfTheHippocampus",
    name="alveus of the hippocampus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ambiguus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleus",
    abbreviation="Amb",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ambiguusNucleus",
    name="ambiguus nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ambiguus_nucleus_compact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusCompactPart",
    abbreviation="AmbC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ambiguusNucleusCompactPart",
    name="ambiguus nucleus, compact part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ambiguus_nucleus_loose_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusLoosePart",
    abbreviation="AmbL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ambiguusNucleusLoosePart",
    name="ambiguus nucleus, loose part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ambiguus_nucleus_subcompact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ambiguusNucleusSubcompactPart",
    abbreviation="AmbSC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ambiguusNucleusSubcompactPart",
    name="ambiguus nucleus, subcompact part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_amygdalohippocampal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalArea",
    abbreviation="AHi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_amygdalohippocampalArea",
    name="amygdalohippocampal area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_amygdalohippocampal_area_anterolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaAnterolateralPart",
    abbreviation="AHiAL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_amygdalohippocampalAreaAnterolateralPart",
    name="amygdalohippocampal area, anterolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_amygdalohippocampal_area_posterolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosterolateralPart",
    abbreviation="AHiPL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'. Region name was extended with 'part' in accordance with the name of other subregions from the same parent structure. The assumed correct name 'amygdalohippocampal area, posterolateral part' has been added under 'correctedName'.",
    corrected_name="amygdalohippocampal area, posterolateral part",
    lookup_label="PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosterolateralPart",
    name="amygdalohippocampal area, posterolateral",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_amygdalohippocampal_area_posteromedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosteromedialPart",
    abbreviation="AHiPM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_amygdalohippocampalAreaPosteromedialPart",
    name="amygdalohippocampal area, posteromedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_amygdaloid_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidFissure",
    abbreviation="af",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_amygdaloidFissure",
    name="amygdaloid fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_amygdaloid_intramedullary_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdaloidIntramedullaryGray",
    abbreviation="IMG",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_amygdaloidIntramedullaryGray",
    name="amygdaloid intramedullary gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_amygdalopiriform_transition_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalopiriformTransitionArea",
    abbreviation="APir",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_amygdalopiriformTransitionArea",
    name="amygdalopiriform transition area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_amygdalostriatal_transition_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_amygdalostriatalTransitionArea",
    abbreviation="ASt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_amygdalostriatalTransitionArea",
    name="amygdalostriatal transition area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_angular_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_angularThalamicNucleus",
    abbreviation="AngT",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_angularThalamicNucleus",
    name="angular thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ansoparamedian_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ansoparamedianFissure",
    abbreviation="apmf",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ansoparamedianFissure",
    name="ansoparamedian fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_amygdaloid_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorAmygdaloidArea",
    abbreviation="AA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorAmygdaloidArea",
    name="anterior amygdaloid area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_cerebral_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCerebralArtery",
    abbreviation="acer",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorCerebralArtery",
    name="anterior cerebral artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_commissural_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissuralNucleus",
    abbreviation="AC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorCommissuralNucleus",
    name="anterior commissural nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissure",
    abbreviation="ac",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorCommissure",
    name="anterior commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_commissure_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureAnteriorPart",
    abbreviation="aca",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorCommissureAnteriorPart",
    name="anterior commissure, anterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_commissure_intrabulbar_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissureIntrabulbarPart",
    abbreviation="aci",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorCommissureIntrabulbarPart",
    name="anterior commissure, intrabulbar part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_commissure_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCommissurePosteriorPart",
    abbreviation="acp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorCommissurePosteriorPart",
    name="anterior commissure, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_cortical_amygdaloid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorCorticalAmygdaloidNucleus",
    abbreviation="ACo",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorCorticalAmygdaloidNucleus",
    name="anterior cortical amygdaloid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicArea",
    abbreviation="AH",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorHypothalamicArea",
    name="anterior hypothalamic area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_hypothalamic_area_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaAnteriorPart",
    abbreviation="AHA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaAnteriorPart",
    name="anterior hypothalamic area, anterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_hypothalamic_area_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaCentralPart",
    abbreviation="AHC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaCentralPart",
    name="anterior hypothalamic area, central part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_hypothalamic_area_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaPosteriorPart",
    abbreviation="AHP",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorHypothalamicAreaPosteriorPart",
    name="anterior hypothalamic area, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_lobe_of_pituitary = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorLobeOfPituitary",
    abbreviation="APit",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorLobeOfPituitary",
    name="anterior lobe of pituitary",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_olfactory_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusDorsalPart",
    abbreviation="AOD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusDorsalPart",
    name="anterior olfactory nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_olfactory_nucleus_external_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusExternalPart",
    abbreviation="AOE",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusExternalPart",
    name="anterior olfactory nucleus, external part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_olfactory_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusLateralPart",
    abbreviation="AOL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusLateralPart",
    name="anterior olfactory nucleus, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_olfactory_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusMedialPart",
    abbreviation="AOM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusMedialPart",
    name="anterior olfactory nucleus, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_olfactory_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusPosteriorPart",
    abbreviation="AOP",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusPosteriorPart",
    name="anterior olfactory nucleus, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_olfactory_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentralPart",
    abbreviation="AOV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentralPart",
    name="anterior olfactory nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_olfactory_nucleus_ventroposterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentroposteriorPart",
    abbreviation="AOVP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorOlfactoryNucleusVentroposteriorPart",
    name="anterior olfactory nucleus, ventroposterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_perifornical_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPerifornicalNucleus",
    abbreviation="APF",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorPerifornicalNucleus",
    name="anterior perifornical nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleus",
    abbreviation="APT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorPretectalNucleus",
    name="anterior pretectal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_pretectal_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusDorsalPart",
    abbreviation="APTD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorPretectalNucleusDorsalPart",
    name="anterior pretectal nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_pretectal_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorPretectalNucleusVentralPart",
    abbreviation="APTV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorPretectalNucleusVentralPart",
    name="anterior pretectal nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_spinal_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorSpinalArtery",
    abbreviation="asp",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorSpinalArtery",
    name="anterior spinal artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterior_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteriorTegmentalNucleus",
    abbreviation="ATg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteriorTegmentalNucleus",
    name="anterior tegmental nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterodorsal_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anterodorsalThalamicNucleus",
    abbreviation="AD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anterodorsalThalamicNucleus",
    name="anterodorsal thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anteromedial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleus",
    abbreviation="AM",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteromedialThalamicNucleus",
    name="anteromedial thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anteromedial_thalamic_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteromedialThalamicNucleusVentralPart",
    abbreviation="AMV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteromedialThalamicNucleusVentralPart",
    name="anteromedial thalamic nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anterovent_thalamic_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventThalamicNucleusDorsomedialPart",
    abbreviation="AVDM",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_anteroventThalamicNucleusDorsomedialPart",
    name="anterovent thalamic nucleus, dorsomedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anteroventral_periventricular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralPeriventricularNucleus",
    abbreviation="AVPe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteroventralPeriventricularNucleus",
    name="anteroventral periventricular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anteroventral_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleus",
    abbreviation="AV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteroventralThalamicNucleus",
    name="anteroventral thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_anteroventral_thalamic_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_anteroventralThalamicNucleusVentrolateralPart",
    abbreviation="AVVL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_anteroventralThalamicNucleusVentrolateralPart",
    name="anteroventral thalamic nucleus, ventrolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_aqueduct = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_aqueduct",
    abbreviation="Aq",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_aqueduct",
    name="aqueduct",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_arcuate_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleus",
    abbreviation="Arc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleus",
    name="arcuate hypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_arcuate_hypothalamic_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusDorsalPart",
    abbreviation="ArcD",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusDorsalPart",
    name="arcuate hypothalamic nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_arcuate_hypothalamic_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateralPart",
    abbreviation="ArcL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateralPart",
    name="arcuate hypothalamic nucleus, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_arcuate_hypothalamic_nucleus_lateroposterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateroposteriorPart",
    abbreviation="ArcLP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusLateroposteriorPart",
    name="arcuate hypothalamic nucleus, lateroposterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_arcuate_hypothalamic_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPart",
    abbreviation="ArcM",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPart",
    name="arcuate hypothalamic nucleus, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_arcuate_hypothalamic_nucleus_medial_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPosteriorPart",
    abbreviation="ArcMP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_arcuateHypothalamicNucleusMedialPosteriorPart",
    name="arcuate hypothalamic nucleus, medial posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_area_postrema = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_areaPostrema",
    abbreviation="AP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_areaPostrema",
    name="area postrema",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_artery",
    abbreviation="a",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_artery",
    name="artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ascending_fibers_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ascendingFibersOfTheFacialNerve",
    abbreviation="asc7",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ascendingFibersOfTheFacialNerve",
    name="ascending fibers of the facial nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_azygous_anterior_cerebral_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousAnteriorCerebralArtery",
    abbreviation="azac",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_azygousAnteriorCerebralArtery",
    name="azygous anterior cerebral artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_azygous_pericallosal_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_azygousPericallosalArtery",
    abbreviation="azp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_azygousPericallosalArtery",
    name="azygous pericallosal artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_b9_serotonin_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_B9SerotoninCells",
    abbreviation="B9",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_B9SerotoninCells",
    name="B9 serotonin cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_basal_nucleus_compact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusCompactPart",
    abbreviation="BC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_basalNucleusCompactPart",
    name="basal nucleus, compact part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_basal_nucleus_meynert = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basalNucleusMeynert",
    abbreviation="B",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_basalNucleusMeynert",
    name="basal nucleus (Meynert)",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_basilar_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basilarArtery",
    abbreviation="bas",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_basilarArtery",
    name="basilar artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_basolateral_amygdaloid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleus",
    abbreviation="BL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleus",
    name="basolateral amygdaloid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_basolateral_amygdaloid_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusAnteriorPart",
    abbreviation="BLA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusAnteriorPart",
    name="basolateral amygdaloid nucleus, anterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_basolateral_amygdaloid_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusPosteriorPart",
    abbreviation="BLP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusPosteriorPart",
    name="basolateral amygdaloid nucleus, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_basolateral_amygdaloid_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusVentralPart",
    abbreviation="BLV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_basolateralAmygdaloidNucleusVentralPart",
    name="basolateral amygdaloid nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_basomedial_amygdaloid_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusAnteriorPart",
    abbreviation="BMA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusAnteriorPart",
    name="basomedial amygdaloid nucleus, anterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_basomedial_amygdaloid_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusPosteriorPart",
    abbreviation="BMP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_basomedialAmygdaloidNucleusPosteriorPart",
    name="basomedial amygdaloid nucleus, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_stria_terminalis_fusiform_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisFusiformPart",
    abbreviation="Fu",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisFusiformPart",
    name="bed nucleus of stria terminalis, fusiform part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_stria_terminalis_supracapsular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivision",
    abbreviation="STS",
    additional_remarks="Brain region name and abbreviation listed both in chapter 'List of Abbreviations' and twice in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'. In 'List of Structures', one of the region names is an alternate version of the region name ('bed nucleus of the stria [...]' instead of 'bed nucleus of stria [...]'). The alternate name 'bed nucleus of the stria terminalis, supracapsular division' has been added under 'alternateName'.",
    alternate_names=["bed nucleus of the stria terminalis, supracapsular division"],
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivision",
    name="bed nucleus of stria terminalis, supracapsular division",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_stria_terminalis_supracapsular_division_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionLateralPart",
    abbreviation="STSL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'. Both the name of the region and its abbreviation have spelling mistakes (name: 'Lateralpart' instead of 'Lateral part'; abbreviation: 'STSL' instead of 'STSM'). The assumed correct name 'bed nucleus of stria terminalis, supracapsular division, lateral part' has been added under 'correctedName'. The assumed correct abbreviation 'STSL' has been added under 'abbreviation'. 'STSM' has been added under 'alternateName'.",
    alternate_names=["STSM"],
    corrected_name="bed nucleus of stria terminalis, supracapsular division, lateral part",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionLateralPart",
    name="bed nucleus of stria terminalis, supracapsular division, lateralpart",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_stria_terminalis_supracapsular_division_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionMedialPart",
    abbreviation="STSM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'. The abbreviation of the brain region has a spelling mistake ('STSL' instead of 'STSM'). The assumed correct abbreviation 'STSM' has been added under 'abbreviation'. 'STSL' has been added under 'alternateName'.",
    alternate_names=["STSL"],
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfStriaTerminalisSupracapsularDivisionMedialPart",
    name="bed nucleus of stria terminalis, supracapsular division, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAccessoryOlfactoryTract",
    abbreviation="BAOT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheAccessoryOlfactoryTract",
    name="bed nucleus of the accessory olfactory tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_anterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheAnteriorCommissure",
    abbreviation="BAC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheAnteriorCommissure",
    name="bed nucleus of the anterior commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_intermediate_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntermediateDivision",
    abbreviation="STI",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntermediateDivision",
    name="bed nucleus of the stria terminalis, intermediate division",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_intraamygdaloid_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntraamygdaloidDivision",
    abbreviation="STIA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisIntraamygdaloidDivision",
    name="bed nucleus of the stria terminalis, intraamygdaloid division",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_lateral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivision",
    abbreviation="STL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivision",
    name="bed nucleus of the stria terminalis, lateral division",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_lateral_division_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionDorsalPart",
    abbreviation="STLD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionDorsalPart",
    name="bed nucleus of the stria terminalis, lateral division, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_lateral_division_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionIntermediatePart",
    abbreviation="STLI",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionIntermediatePart",
    name="bed nucleus of the stria terminalis, lateral division, intermediate part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_lateral_division_juxtacapsular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionJuxtacapsularPart",
    abbreviation="STLJ",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionJuxtacapsularPart",
    name="bed nucleus of the stria terminalis, lateral division, juxtacapsular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_lateral_division_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionPosteriorPart",
    abbreviation="STLP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionPosteriorPart",
    name="bed nucleus of the stria terminalis, lateral division, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_lateral_division_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionVentralPart",
    abbreviation="STLV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisLateralDivisionVentralPart",
    name="bed nucleus of the stria terminalis, lateral division, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivision",
    abbreviation="STM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivision",
    name="bed nucleus of the stria terminalis, medial division",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_medial_division_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteriorPart",
    abbreviation="STMA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteriorPart",
    name="bed nucleus of the stria terminalis, medial division, anterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_medial_division_anterolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnterolateralPart",
    abbreviation="STMAL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnterolateralPart",
    name="bed nucleus of the stria terminalis, medial division, anterolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_medial_division_anteromedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteromedialPart",
    abbreviation="STMAM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionAnteromedialPart",
    name="bed nucleus of the stria terminalis, medial division, anteromedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_medial_division_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteriorPart",
    abbreviation="STMP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteriorPart",
    name="bed nucleus of the stria terminalis, medial division, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_medial_division_posterointermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterointermediatePart",
    abbreviation="STMPI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterointermediatePart",
    name="bed nucleus of the stria terminalis, medial division, posterointermediate part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_medial_division_posterolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterolateralPart",
    abbreviation="STMPL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosterolateralPart",
    name="bed nucleus of the stria terminalis, medial division, posterolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_medial_division_posteromedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteromedialPart",
    abbreviation="STMPM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionPosteromedialPart",
    name="bed nucleus of the stria terminalis, medial division, posteromedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_bed_nucleus_of_the_stria_terminalis_medial_division_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionVentralPart",
    abbreviation="STMV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_bedNucleusOfTheStriaTerminalisMedialDivisionVentralPart",
    name="bed nucleus of the stria terminalis, medial division, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheInferiorColliculus",
    abbreviation="bic",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_brachiumOfTheInferiorColliculus",
    name="brachium of the inferior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_brachiumOfTheSuperiorColliculus",
    abbreviation="bsc",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_c1_adrenaline_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCells",
    abbreviation="C1",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_C1AdrenalineCells",
    name="C1 adrenaline cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_c1_adrenaline_cells_and_a1_noradrenaline_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C1AdrenalineCellsAndA1NoradrenalineCells",
    abbreviation="C1/A1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_C1AdrenalineCellsAndA1NoradrenalineCells",
    name="C1 adrenaline cells and A1 noradrenaline cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_c2_adrenaline_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C2AdrenalineCells",
    abbreviation="C2",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_C2AdrenalineCells",
    name="C2 adrenaline cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_c3_adrenaline_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_C3AdrenalineCells",
    abbreviation="C3",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_C3AdrenalineCells",
    name="C3 adrenaline cells",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_caudal_interstitial_nucleus_of_the_medial_longitudinal_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalInterstitialNucleusOfTheMedialLongitudinalFasciculus",
    abbreviation="CI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_caudalInterstitialNucleusOfTheMedialLongitudinalFasciculus",
    name="caudal interstitial nucleus of the medial longitudinal fasciculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_caudal_linear_nucleus_of_the_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalLinearNucleusOfTheRaphe",
    abbreviation="CLi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_caudalLinearNucleusOfTheRaphe",
    name="caudal linear nucleus of the raphe",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_caudal_periolivary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudalPeriolivaryNucleus",
    abbreviation="CPO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_caudalPeriolivaryNucleus",
    name="caudal periolivary nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_caudate_putamen_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudatePutamenStriatum",
    abbreviation="CPu",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_caudatePutamenStriatum",
    name="caudate putamen (striatum)",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_caudomedial_entothinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudomedialEntothinalCortex",
    abbreviation="CEnt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_caudomedialEntothinalCortex",
    name="caudomedial entothinal cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_caudoventrolateral_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_caudoventrolateralReticularNucleus",
    abbreviation="CVL",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_caudoventrolateralReticularNucleus",
    name="caudoventrolateral reticular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cell_bridges_of_the_ventral_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cellBridgesOfTheVentralStriatum",
    abbreviation="CB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cellBridgesOfTheVentralStriatum",
    name="cell bridges of the ventral striatum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_amygdaloid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleus",
    abbreviation="Ce",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralAmygdaloidNucleus",
    name="central amygdaloid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_amygdaloid_nucleus_capsular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusCapsularPart",
    abbreviation="CeC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusCapsularPart",
    name="central amygdaloid nucleus, capsular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_amygdaloid_nucleus_lateral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusLateralDivision",
    abbreviation="CeL",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusLateralDivision",
    name="central amygdaloid nucleus, lateral division",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_amygdaloid_nucleus_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusMedialDivision",
    abbreviation="CeM",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_centralAmygdaloidNucleusMedialDivision",
    name="central amygdaloid nucleus, medial division",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_canal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCanal",
    abbreviation="CC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralCanal",
    name="central canal",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_cervical_nucleus_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralCervicalNucleusOfTheSpinalCord",
    abbreviation="CeCv",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralCervicalNucleusOfTheSpinalCord",
    name="central cervical nucleus of the spinal cord",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGray",
    abbreviation="CG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralGray",
    name="central gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_gray_alpha_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayAlphaPart",
    abbreviation="CGA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralGrayAlphaPart",
    name="central gray, alpha part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_gray_beta_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayBetaPart",
    abbreviation="CGB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralGrayBetaPart",
    name="central gray, beta part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_gray_gamma_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayGammaPart",
    abbreviation="CGG",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_centralGrayGammaPart",
    name="central gray, gamma part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_gray_nucleus_o = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayNucleusO",
    abbreviation="CGO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralGrayNucleusO",
    name="central gray, nucleus O",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_gray_of_the_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralGrayOfThePons",
    abbreviation="CGPn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralGrayOfThePons",
    name="central gray of the pons",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_medial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralMedialThalamicNucleus",
    abbreviation="CM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralMedialThalamicNucleus",
    name="central medial thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_central_nucleus_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centralNucleusOfTheInferiorColliculus",
    abbreviation="CIC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centralNucleusOfTheInferiorColliculus",
    name="central nucleus of the inferior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_centrolateral_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_centrolateralThalamicNucleus",
    abbreviation="CL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_centrolateralThalamicNucleus",
    name="centrolateral thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cerebellar_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarCommissure",
    abbreviation="cbx",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_cerebellarCommissure",
    name="cerebellar commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cerebellar_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellarWhiteMatter",
    abbreviation="cbw",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cerebellarWhiteMatter",
    name="cerebellar white matter",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebellum",
    abbreviation="Cb",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_cerebellum",
    name="cerebellum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralCortex",
    abbreviation="Cx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cerebralCortex",
    name="cerebral cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cerebral_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cerebralPeduncle",
    abbreviation="cp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cerebralPeduncle",
    name="cerebral peduncle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_choroid_plexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_choroidPlexus",
    abbreviation="chp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_choroidPlexus",
    name="choroid plexus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cingulate_cortex_area1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea1",
    abbreviation="Cg1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cingulateCortexArea1",
    name="cingulate cortex, area 1",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cingulate_cortex_area2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulateCortexArea2",
    abbreviation="Cg2",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cingulateCortexArea2",
    name="cingulate cortex, area 2",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cingulum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cingulum",
    abbreviation="cg",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_cingulum",
    name="cingulum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_circular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_circularNucleus",
    abbreviation="Cir",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_circularNucleus",
    name="circular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_claustrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_claustrum",
    abbreviation="Cl",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_claustrum",
    name="claustrum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cochlear_root_of_the_vestibulocochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cochlearRootOfTheVestibulocochlearNerve",
    abbreviation="8cn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cochlearRootOfTheVestibulocochlearNerve",
    name="cochlear root of the vestibulocochlear nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_commissural_nucleus_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralNucleusOfTheInferiorColliculus",
    abbreviation="Com",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_commissuralNucleusOfTheInferiorColliculus",
    name="commissural nucleus of the inferior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_commissural_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissuralStriaTerminalis",
    abbreviation="cst",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_commissuralStriaTerminalis",
    name="commissural stria terminalis",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_commissure_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheInferiorColliculus",
    abbreviation="cic",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_commissureOfTheInferiorColliculus",
    name="commissure of the inferior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_commissure_of_the_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheLateralLemniscus",
    abbreviation="cll",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_commissureOfTheLateralLemniscus",
    name="commissure of the lateral lemniscus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_commissure_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_commissureOfTheSuperiorColliculus",
    abbreviation="csc",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_commissureOfTheSuperiorColliculus",
    name="commissure of the superior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_conterminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_conterminalNucleus",
    abbreviation="Ct",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_conterminalNucleus",
    name="conterminal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_copula_of_the_pyramis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_copulaOfThePyramis",
    abbreviation="Cop",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_copulaOfThePyramis",
    name="copula of the pyramis",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_corpusCallosum",
    abbreviation="cc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_corpusCallosum",
    name="corpus callosum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cortex_amygdala_transition_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZone",
    abbreviation="CxA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZone",
    name="cortex-amygdala transition zone",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cortex_amygdala_transition_zone_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZoneLayer1",
    abbreviation="CxA1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cortexAmygdalaTransitionZoneLayer1",
    name="cortex-amygdala transition zone, layer 1",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_crus1_of_the_ansiform_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus1OfTheAnsiformLobule",
    abbreviation="Crus1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_crus1OfTheAnsiformLobule",
    name="crus 1 of the ansiform lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_crus2_of_the_ansiform_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_crus2OfTheAnsiformLobule",
    abbreviation="Crus2",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_crus2OfTheAnsiformLobule",
    name="crus 2 of the ansiform lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cuneate_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateFasciculus",
    abbreviation="cu",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cuneateFasciculus",
    name="cuneate fasciculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cuneate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleus",
    abbreviation="Cu",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cuneateNucleus",
    name="cuneate nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cuneate_nucleus_rotundus_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneateNucleusRotundusPart",
    abbreviation="CuR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cuneateNucleusRotundusPart",
    name="cuneate nucleus, rotundus part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cuneiform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleus",
    abbreviation="CnF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cuneiformNucleus",
    name="cuneiform nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cuneiform_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusDorsalPart",
    abbreviation="CnFD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cuneiformNucleusDorsalPart",
    name="cuneiform nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cuneiform_nucleus_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusIntermediatePart",
    abbreviation="CnFI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cuneiformNucleusIntermediatePart",
    name="cuneiform nucleus, intermediate part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_cuneiform_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_cuneiformNucleusVentralPart",
    abbreviation="CnFV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_cuneiformNucleusVentralPart",
    name="cuneiform nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_decussation_of_the_superior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheSuperiorCerebellarPeduncle",
    abbreviation="xscp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_decussationOfTheSuperiorCerebellarPeduncle",
    name="decussation of the superior cerebellar peduncle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_decussation_of_the_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_decussationOfTheTrapezoidBody",
    abbreviation="tzx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_decussationOfTheTrapezoidBody",
    name="decussation of the trapezoid body",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_deep_cerebral_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepCerebralWhiteMatter",
    abbreviation="dcw",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_deepCerebralWhiteMatter",
    name="deep cerebral white matter",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_deep_gray_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepGrayLayerOfTheSuperiorColliculus",
    abbreviation="DpG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_deepGrayLayerOfTheSuperiorColliculus",
    name="deep gray layer of the superior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_deep_white_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_deepWhiteLayerOfTheSuperiorColliculus",
    abbreviation="DpWh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_deepWhiteLayerOfTheSuperiorColliculus",
    name="deep white layer of the superior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dentateGyrus",
    abbreviation="DG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dentateGyrus",
    name="dentate gyrus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal3rd_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsal3rdVentricle",
    abbreviation="D3V",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsal3rdVentricle",
    name="dorsal 3rd ventricle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_acoustic_stria = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalAcousticStria",
    abbreviation="das",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalAcousticStria",
    name="dorsal acoustic stria",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleus",
    abbreviation="DC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalCochlearNucleus",
    name="dorsal cochlear nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_cochlear_nucleus_deep_core = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusDeepCore",
    abbreviation="DCDp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalCochlearNucleusDeepCore",
    name="dorsal cochlear nucleus, deep core",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_cochlear_nucleus_fusiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusFusiformLayer",
    abbreviation="DCFu",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalCochlearNucleusFusiformLayer",
    name="dorsal cochlear nucleus, fusiform layer",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_cochlear_nucleus_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusGranularLayer",
    abbreviation="DCGr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalCochlearNucleusGranularLayer",
    name="dorsal cochlear nucleus, granular layer",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_cochlear_nucleus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCochlearNucleusMolecularLayer",
    abbreviation="DCMo",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalCochlearNucleusMolecularLayer",
    name="dorsal cochlear nucleus, molecular layer",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_cortex_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCortexOfTheInferiorColliculus",
    abbreviation="DCIC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalCortexOfTheInferiorColliculus",
    name="dorsal cortex of the inferior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_corticospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalCorticospinalTract",
    abbreviation="dcs",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalCorticospinalTract",
    name="dorsal corticospinal tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_endopiriform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalEndopiriformNucleus",
    abbreviation="DEn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalEndopiriformNucleus",
    name="dorsal endopiriform nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalFornix",
    abbreviation="df",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalFornix",
    name="dorsal fornix",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHippocampalCommissure",
    abbreviation="dhc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalHippocampalCommissure",
    name="dorsal hippocampal commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalHypothalamicArea",
    abbreviation="DA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalHypothalamicArea",
    name="dorsal hypothalamic area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_intermediate_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalIntermediateEntorhinalCortex",
    abbreviation="DIEnt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalIntermediateEntorhinalCortex",
    name="dorsal intermediate entorhinal cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_lateral_geniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralGeniculateNucleus",
    abbreviation="DLG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalLateralGeniculateNucleus",
    name="dorsal lateral geniculate nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_lateral_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalLateralOlfactoryTract",
    abbreviation="dlo",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalLateralOlfactoryTract",
    name="dorsal lateral olfactory tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_motor_nucleus_of_vagus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalMotorNucleusOfVagus",
    abbreviation="10N",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalMotorNucleusOfVagus",
    name="dorsal motor nucleus of vagus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_nucleus_of_the_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheLateralLemniscus",
    abbreviation="DLL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalNucleusOfTheLateralLemniscus",
    name="dorsal nucleus of the lateral lemniscus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_nucleus_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalNucleusOfTheSpinalCord",
    abbreviation="D",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalNucleusOfTheSpinalCord",
    name="dorsal nucleus of the spinal cord",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_paragigantocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalParagigantocellularNucleus",
    abbreviation="DPGi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalParagigantocellularNucleus",
    name="dorsal paragigantocellular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_part_of_claustrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPartOfClaustrum",
    abbreviation="DCl",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalPartOfClaustrum",
    name="dorsal part of claustrum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_peduncular_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularCortex",
    abbreviation="DP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalPeduncularCortex",
    name="dorsal peduncular cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_peduncular_pontine_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeduncularPontineNucleus",
    abbreviation="DPPn",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalPeduncularPontineNucleus",
    name="dorsal peduncular pontine nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_periolivary_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalPeriolivaryRegion",
    abbreviation="DPO",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalPeriolivaryRegion",
    name="dorsal periolivary region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_raphe_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleus",
    abbreviation="DR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalRapheNucleus",
    name="dorsal raphe nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_raphe_nucleus_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusCaudalPart",
    abbreviation="DRC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalRapheNucleusCaudalPart",
    name="dorsal raphe nucleus, caudal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_raphe_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusDorsalPart",
    abbreviation="DRD",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalRapheNucleusDorsalPart",
    name="dorsal raphe nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_raphe_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusLateralPart",
    abbreviation="DRL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalRapheNucleusLateralPart",
    name="dorsal raphe nucleus, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_raphe_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalRapheNucleusVentralPart",
    abbreviation="DRV",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalRapheNucleusVentralPart",
    name="dorsal raphe nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTract",
    abbreviation="dsc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTract",
    name="dorsal spinocerebellar tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_spinocerebellar_tract_and_olivocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTractAndOlivocerebellarTract",
    abbreviation="dsc/oc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalSpinocerebellarTractAndOlivocerebellarTract",
    name="dorsal spinocerebellar tract and olivocerebellar tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalSubiculum",
    abbreviation="DS",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalSubiculum",
    name="dorsal subiculum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_tegmental_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalDecussation",
    abbreviation="dtgx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalTegmentalDecussation",
    name="dorsal tegmental decussation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_tegmental_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusCentralPart",
    abbreviation="DTgC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusCentralPart",
    name="dorsal tegmental nucleus, central part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_tegmental_nucleus_pericentral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusPericentralPart",
    abbreviation="DTgP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalTegmentalNucleusPericentralPart",
    name="dorsal tegmental nucleus, pericentral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_tenia_tecta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTecta",
    abbreviation="DTT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalTeniaTecta",
    name="dorsal tenia tecta",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_tenia_tecta_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTeniaTectaLayer1",
    abbreviation="DTT1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalTeniaTectaLayer1",
    name="dorsal tenia tecta layer 1",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    abbreviation="DT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalTerminalNucleusOfTheAccessoryOpticTract",
    name="dorsal terminal nucleus of the accessory optic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_transition_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTransitionZone",
    abbreviation="DTr",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalTransitionZone",
    name="dorsal transition zone",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsal_tuberomammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsalTuberomammillaryNucleus",
    abbreviation="DTM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsalTuberomammillaryNucleus",
    name="dorsal tuberomammillary nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsolateral_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralEntorhinalCortex",
    abbreviation="DLEnt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsolateralEntorhinalCortex",
    name="dorsolateral entorhinal cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsolateral_orbital_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralOrbitalCortex",
    abbreviation="DLO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsolateralOrbitalCortex",
    name="dorsolateral orbital cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsolateral_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsolateralPeriaqueductalGray",
    abbreviation="DLPAG",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsolateralPeriaqueductalGray",
    name="dorsolateral periaqueductal gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsomedial_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleus",
    abbreviation="DM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleus",
    name="dorsomedial hypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsomedial_hypothalamic_nucleus_compact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusCompactPart",
    abbreviation="DMC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusCompactPart",
    name="dorsomedial hypothalamic nucleus, compact part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsomedial_hypothalamic_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusDorsalPart",
    abbreviation="DMD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusDorsalPart",
    name="dorsomedial hypothalamic nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsomedial_hypothalamic_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusVentralPart",
    abbreviation="DMV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsomedialHypothalamicNucleusVentralPart",
    name="dorsomedial hypothalamic nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsomedial_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialPeriaqueductalGray",
    abbreviation="DMPAG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsomedialPeriaqueductalGray",
    name="dorsomedial periaqueductal gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsomedial_spinal_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialSpinalTrigeminalNucleus",
    abbreviation="DMSp5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsomedialSpinalTrigeminalNucleus",
    name="dorsomedial spinal trigeminal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dorsomedial_tegmental_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dorsomedialTegmentalArea",
    abbreviation="DMTg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dorsomedialTegmentalArea",
    name="dorsomedial tegmental area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_dysgranular_insular_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_dysgranularInsularCortex",
    abbreviation="DI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_dysgranularInsularCortex",
    name="dysgranular insular cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ectorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectorhinalCortex",
    abbreviation="Ect",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ectorhinalCortex",
    name="ectorhinal cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ectotrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ectotrigeminalNucleus",
    abbreviation="E5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ectotrigeminalNucleus",
    name="ectotrigeminal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_entopeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entopeduncularNucleus",
    abbreviation="EP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_entopeduncularNucleus",
    name="entopeduncular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_entorhinalCortex",
    abbreviation="Ent",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_entorhinalCortex",
    name="entorhinal cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ependyma_and_subependymal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymaAndSubependymalLayer",
    abbreviation="E",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ependymaAndSubependymalLayer",
    name="ependyma and subependymal layer",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ependymal_and_subendymal_layer_olfactory_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ependymalAndSubendymalLayerOlfactoryVentricle",
    abbreviation="E/OV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ependymalAndSubendymalLayerOlfactoryVentricle",
    name="ependymal and subendymal layer/olfactory ventricle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_epifascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epifascicularNucleus",
    abbreviation="EF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_epifascicularNucleus",
    name="epifascicular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_epilemniscal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epilemniscalNucleus",
    abbreviation="ELm",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_epilemniscalNucleus",
    name="epilemniscal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_epipeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epipeduncularNucleus",
    abbreviation="EpP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_epipeduncularNucleus",
    name="epipeduncular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_epirubrospinal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_epirubrospinalNucleus",
    abbreviation="ERS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_epirubrospinalNucleus",
    name="epirubrospinal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_episupraoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_episupraopticNucleus",
    abbreviation="ESO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_episupraopticNucleus",
    name="episupraoptic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ethmoid_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ethmoidThalamicNucleus",
    abbreviation="Eth",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ethmoidThalamicNucleus",
    name="ethmoid thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_external_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCapsule",
    abbreviation="ec",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_externalCapsule",
    name="external capsule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_external_cortex_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculus",
    abbreviation="ECIC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculus",
    name="external cortex of the inferior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_external_cortex_of_the_inferior_colliculus_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculusLayer1",
    abbreviation="ECIC1",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_externalCortexOfTheInferiorColliculusLayer1",
    name="external cortex of the inferior colliculus, layer 1",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_external_cuneate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalCuneateNucleus",
    abbreviation="ECu",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_externalCuneateNucleus",
    name="external cuneate nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_external_medullary_lamina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalMedullaryLamina",
    abbreviation="eml",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_externalMedullaryLamina",
    name="external medullary lamina",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_external_plexiform_layer_of_the_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheAccessoryOlfactoryBulb",
    abbreviation="EPlA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheAccessoryOlfactoryBulb",
    name="external plexiform layer of the accessory olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_external_plexiform_layer_of_the_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheOlfactoryBulb",
    abbreviation="EPl",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_externalPlexiformLayerOfTheOlfactoryBulb",
    name="external plexiform layer of the olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_f_cell_group_of_the_vestibular_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_FCellGroupOfTheVestibularComplex",
    abbreviation="FVe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_FCellGroupOfTheVestibularComplex",
    name="F cell group of the vestibular complex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNerve",
    abbreviation="7n",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_facialNerve",
    name="facial nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_facial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleus",
    abbreviation="7N",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_facialNucleus",
    name="facial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_facial_nucleus_dorsal_intermediate_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsalIntermediateSubnucleus",
    abbreviation="7DI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_facialNucleusDorsalIntermediateSubnucleus",
    name="facial nucleus, dorsal intermediate subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_facial_nucleus_dorsolateral_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsolateralSubnucleus",
    abbreviation="7DL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_facialNucleusDorsolateralSubnucleus",
    name="facial nucleus, dorsolateral subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_facial_nucleus_dorsomedial_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusDorsomedialSubnucleus",
    abbreviation="7DM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_facialNucleusDorsomedialSubnucleus",
    name="facial nucleus, dorsomedial subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_facial_nucleus_lateral_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusLateralSubnucleus",
    abbreviation="7L",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_facialNucleusLateralSubnucleus",
    name="facial nucleus, lateral subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_facial_nucleus_stylohyoid_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusStylohyoidPart",
    abbreviation="7SH",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_facialNucleusStylohyoidPart",
    name="facial nucleus, stylohyoid part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_facial_nucleus_ventral_intermediate_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentralIntermediateSubnucleus",
    abbreviation="7VI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_facialNucleusVentralIntermediateSubnucleus",
    name="facial nucleus, ventral intermediate subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_facial_nucleus_ventromedial_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_facialNucleusVentromedialSubnucleus",
    abbreviation="7VM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_facialNucleusVentromedialSubnucleus",
    name="facial nucleus, ventromedial subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_fasciculus_retroflexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciculusRetroflexus",
    abbreviation="fr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_fasciculusRetroflexus",
    name="fasciculus retroflexus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_fasciola_cinereum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fasciolaCinereum",
    abbreviation="FC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_fasciolaCinereum",
    name="fasciola cinereum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_field_ca1_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA1OfTheHippocampus",
    abbreviation="CA1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_fieldCA1OfTheHippocampus",
    name="field CA1 of the hippocampus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_field_ca2_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA2OfTheHippocampus",
    abbreviation="CA2",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_fieldCA2OfTheHippocampus",
    name="field CA2 of the hippocampus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_field_ca3_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fieldCA3OfTheHippocampus",
    abbreviation="CA3",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_fieldCA3OfTheHippocampus",
    name="field CA3 of the hippocampus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_fimbria_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fimbriaOfTheHippocampus",
    abbreviation="fi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_fimbriaOfTheHippocampus",
    name="fimbria of the hippocampus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_flocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_flocculus",
    abbreviation="Fl",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_flocculus",
    name="flocculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_forceps_major_of_the_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMajorOfTheCorpusCallosum",
    abbreviation="fmj",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_forcepsMajorOfTheCorpusCallosum",
    name="forceps major of the corpus callosum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_forceps_minor_of_the_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_forcepsMinorOfTheCorpusCallosum",
    abbreviation="fmi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_forcepsMinorOfTheCorpusCallosum",
    name="forceps minor of the corpus callosum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_fornix",
    abbreviation="f",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_fornix",
    name="fornix",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_frontal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalAssociationCortex",
    abbreviation="FrA",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter. Region name has a spelling mistake ('assocn' instead of 'association'). The assumed correct name 'frontal association cortex' has been added under 'correctedName'.",
    corrected_name="frontal association cortex",
    lookup_label="PW-RBSC-cor_6th-ed_frontalAssociationCortex",
    name="frontal assocn cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_frontal_cortex_area3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_frontalCortexArea3",
    abbreviation="Fr3",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_frontalCortexArea3",
    name="frontal cortex, area 3",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_gelatinous_layer_of_the_caudal_spinal_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gelatinousLayerOfTheCaudalSpinalTrigeminalNucleus",
    abbreviation="Ge5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_gelatinousLayerOfTheCaudalSpinalTrigeminalNucleus",
    name="gelatinous layer of the caudal spinal trigeminal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_gemini_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_geminiHypothalamicNucleus",
    abbreviation="Gem",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_geminiHypothalamicNucleus",
    name="gemini hypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_genu_of_the_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheCorpusCallosum",
    abbreviation="gcc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_genuOfTheCorpusCallosum",
    name="genu of the corpus callosum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_genuOfTheFacialNerve",
    abbreviation="g7",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_gigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleus",
    abbreviation="Gi",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_gigantocellularReticularNucleus",
    name="gigantocellular reticular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_gigantocellular_reticular_nucleus_alpha_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusAlphaPart",
    abbreviation="GiA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusAlphaPart",
    name="gigantocellular reticular nucleus, alpha part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_gigantocellular_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusVentralPart",
    abbreviation="GiV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_gigantocellularReticularNucleusVentralPart",
    name="gigantocellular reticular nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_globus_pallidus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_globusPallidus",
    abbreviation="GP",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_globusPallidus",
    name="globus pallidus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_glomerular_layer_of_the_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheAccessoryOlfactoryBulb",
    abbreviation="GlA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_glomerularLayerOfTheAccessoryOlfactoryBulb",
    name="glomerular layer of the accessory olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_glomerular_layer_of_the_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glomerularLayerOfTheOlfactoryBulb",
    abbreviation="Gl",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_glomerularLayerOfTheOlfactoryBulb",
    name="glomerular layer of the olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_glossopharyngeal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_glossopharyngealNerve",
    abbreviation="9n",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_glossopharyngealNerve",
    name="glossopharyngeal nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_gracile_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileFasciculus",
    abbreviation="gr",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_gracileFasciculus",
    name="gracile fasciculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_gracile_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_gracileNucleus",
    abbreviation="Gr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_gracileNucleus",
    name="gracile nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_granular_cell_layer_of_the_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularCellLayerOfTheOlfactoryBulb",
    abbreviation="GrO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_granularCellLayerOfTheOlfactoryBulb",
    name="granular cell layer of the olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_granular_insular_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularInsularCortex",
    abbreviation="GI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_granularInsularCortex",
    name="granular insular cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_granular_layer_of_the_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granularLayerOfTheDentateGyrus",
    abbreviation="GrDG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_granularLayerOfTheDentateGyrus",
    name="granular layer of the dentate gyrus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_granule_cell_layer_of_cochlear_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfCochlearNuclei",
    abbreviation="GrC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_granuleCellLayerOfCochlearNuclei",
    name="granule cell layer of cochlear nuclei",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_granule_cell_layer_of_the_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheAccessoryOlfactoryBulb",
    abbreviation="GrA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_granuleCellLayerOfTheAccessoryOlfactoryBulb",
    name="granule cell layer of the accessory olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_granule_cell_layer_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_granuleCellLayerOfTheCerebellum",
    abbreviation="GrCb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_granuleCellLayerOfTheCerebellum",
    name="granule cell layer of the cerebellum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_habenular_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_habenularCommissure",
    abbreviation="hbc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_habenularCommissure",
    name="habenular commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_hilus_of_the_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hilusOfTheDentateGyrus",
    abbreviation="Hil",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_hilusOfTheDentateGyrus",
    name="hilus of the dentate gyrus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_hippocampal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hippocampalFissure",
    abbreviation="hif",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_hippocampalFissure",
    name="hippocampal fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_hypoglossal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleus",
    abbreviation="12N",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_hypoglossalNucleus",
    name="hypoglossal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_hypoglossal_nucleus_geniohyoid_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_hypoglossalNucleusGeniohyoidPart",
    abbreviation="12GH",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_hypoglossalNucleusGeniohyoidPart",
    name="hypoglossal nucleus, geniohyoid part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_indusium_griseum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_indusiumGriseum",
    abbreviation="IG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_indusiumGriseum",
    name="indusium griseum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_cerebellar_peduncle_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleDecussation",
    abbreviation="icpx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleDecussation",
    name="inferior cerebellar peduncle decussation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_cerebellar_peduncle_restiform_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleRestiformBody",
    abbreviation="icp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorCerebellarPeduncleRestiformBody",
    name="inferior cerebellar peduncle (restiform body)",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorColliculus",
    abbreviation="IC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorColliculus",
    name="inferior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_olive_beta_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveBetaSubnucleus",
    abbreviation="IOBe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorOliveBetaSubnucleus",
    name="inferior olive, beta subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_olive_cap_of_kooy_of_the_medial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveCapOfKooyOfTheMedialNucleus",
    abbreviation="IOK",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorOliveCapOfKooyOfTheMedialNucleus",
    name="inferior olive, cap of Kooy of the medial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_olive_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsalNucleus",
    abbreviation="IOD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorOliveDorsalNucleus",
    name="inferior olive, dorsal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_olive_dorsomedial_cell_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveDorsomedialCellGroup",
    abbreviation="IODM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorOliveDorsomedialCellGroup",
    name="inferior olive, dorsomedial cell group",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_olive_medial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveMedialNucleus",
    abbreviation="IOM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorOliveMedialNucleus",
    name="inferior olive, medial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_olive_principal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOlivePrincipalNucleus",
    abbreviation="IOPr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorOlivePrincipalNucleus",
    name="inferior olive, principal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_olive_subnucleus_a_of_medial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusAOfMedialNucleus",
    abbreviation="IOA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusAOfMedialNucleus",
    name="inferior olive, subnucleus A of medial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_olive_subnucleus_b_of_medial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusBOfMedialNucleus",
    abbreviation="IOB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusBOfMedialNucleus",
    name="inferior olive, subnucleus B of medial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_olive_subnucleus_c_of_medial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusCOfMedialNucleus",
    abbreviation="IOC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorOliveSubnucleusCOfMedialNucleus",
    name="inferior olive, subnucleus C of medial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_olive_ventrolateral_protrusion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorOliveVentrolateralProtrusion",
    abbreviation="IOVL",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorOliveVentrolateralProtrusion",
    name="inferior olive, ventrolateral protrusion",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_inferior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_inferiorSalivatoryNucleus",
    abbreviation="IS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_inferiorSalivatoryNucleus",
    name="inferior salivatory nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_infralimbic_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infralimbicCortex",
    abbreviation="IL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_infralimbicCortex",
    name="infralimbic cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_infundibular_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularRecess",
    abbreviation="IRe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_infundibularRecess",
    name="infundibular recess",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_infundibular_stem = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_infundibularStem",
    abbreviation="InfS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_infundibularStem",
    name="infundibular stem",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interanterodorsal_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanterodorsalThalamicNucleus",
    abbreviation="IAD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interanterodorsalThalamicNucleus",
    name="interanterodorsal thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interanteromedial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interanteromedialThalamicNucleus",
    abbreviation="IAM",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_interanteromedialThalamicNucleus",
    name="interanteromedial thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intercalated_amygdaloid_nucleus_main_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedAmygdaloidNucleusMainPart",
    abbreviation="IM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intercalatedAmygdaloidNucleusMainPart",
    name="intercalated amygdaloid nucleus, main part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intercalated_nuclei_of_the_amygdala = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleiOfTheAmygdala",
    abbreviation="I",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intercalatedNucleiOfTheAmygdala",
    name="intercalated nuclei of the amygdala",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intercalated_nucleus_of_the_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercalatedNucleusOfTheMedulla",
    abbreviation="In",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intercalatedNucleusOfTheMedulla",
    name="intercalated nucleus of the medulla",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intercrural_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intercruralFissure",
    abbreviation="icf",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intercruralFissure",
    name="intercrural fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interfascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interfascicularNucleus",
    abbreviation="IF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interfascicularNucleus",
    name="interfascicular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intergeniculate_leaf = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intergeniculateLeaf",
    abbreviation="IGL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intergeniculateLeaf",
    name="intergeniculate leaf",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermediate_endopiriform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateEndopiriformNucleus",
    abbreviation="IEn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediateEndopiriformNucleus",
    name="intermediate endopiriform nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermediate_gray_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateGrayLayerOfTheSuperiorColliculus",
    abbreviation="InG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediateGrayLayerOfTheSuperiorColliculus",
    name="intermediate gray layer of the superior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermediate_interstitial_nucleus_of_the_medial_longitudinal_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateInterstitialNucleusOfTheMedialLongitudinalFasciculus",
    abbreviation="II",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediateInterstitialNucleusOfTheMedialLongitudinalFasciculus",
    name="intermediate interstitial nucleus of the medial longitudinal fasciculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermediate_lobe_of_pituitary = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateLobeOfPituitary",
    abbreviation="IPit",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediateLobeOfPituitary",
    name="intermediate lobe of pituitary",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermediate_nucleus_of_the_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateNucleusOfTheLateralLemniscus",
    abbreviation="ILL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediateNucleusOfTheLateralLemniscus",
    name="intermediate nucleus of the lateral lemniscus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermediate_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleus",
    abbreviation="IRt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediateReticularNucleus",
    name="intermediate reticular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermediate_reticular_nucleus_alpha_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateReticularNucleusAlphaPart",
    abbreviation="IRtA",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediateReticularNucleusAlphaPart",
    name="intermediate reticular nucleus, alpha part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermediate_white_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediateWhiteLayerOfTheSuperiorColliculus",
    abbreviation="InWh",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediateWhiteLayerOfTheSuperiorColliculus",
    name="intermediate white layer of the superior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermediodorsal_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediodorsalThalamicNucleus",
    abbreviation="IMD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediodorsalThalamicNucleus",
    name="intermediodorsal thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermediolateral_cell_column_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediolateralCellColumnOfTheSpinalCord",
    abbreviation="IML",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediolateralCellColumnOfTheSpinalCord",
    name="intermediolateral cell column of the spinal cord",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermedioventral_thalamic_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermedioventralThalamicCommissure",
    abbreviation="imvc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intermedioventralThalamicCommissure",
    name="intermedioventral thalamic commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intermedius_nucleus_of_the_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intermediusNucleusOfTheMedulla",
    abbreviation="InM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intermediusNucleusOfTheMedulla",
    name="intermedius nucleus of the medulla",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_internal_arcuate_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalArcuateFibers",
    abbreviation="ia",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_internalArcuateFibers",
    name="internal arcuate fibers",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_internal_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCapsule",
    abbreviation="ic",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_internalCapsule",
    name="internal capsule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_internal_carotid_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalCarotidArtery",
    abbreviation="ictd",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_internalCarotidArtery",
    name="internal carotid artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_internal_medullary_lamina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalMedullaryLamina",
    abbreviation="iml",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_internalMedullaryLamina",
    name="internal medullary lamina",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_internal_plexiform_layer_of_the_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_internalPlexiformLayerOfTheOlfactoryBulb",
    abbreviation="IPl",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_internalPlexiformLayerOfTheOlfactoryBulb",
    name="internal plexiform layer of the olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interpeduncular_fossa = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularFossa",
    abbreviation="IPF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interpeduncularFossa",
    name="interpeduncular fossa",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interpeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleus",
    abbreviation="IP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interpeduncularNucleus",
    name="interpeduncular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interpeduncular_nucleus_apical_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusApicalSubnucleus",
    abbreviation="IPA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interpeduncularNucleusApicalSubnucleus",
    name="interpeduncular nucleus, apical subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interpeduncular_nucleus_caudal_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusCaudalSubnucleus",
    abbreviation="IPC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interpeduncularNucleusCaudalSubnucleus",
    name="interpeduncular nucleus, caudal subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interpeduncular_nucleus_dorsolateral_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsolateralSubnucleus",
    abbreviation="IPDL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsolateralSubnucleus",
    name="interpeduncular nucleus, dorsolateral subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interpeduncular_nucleus_dorsomedial_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsomedialSubnucleus",
    abbreviation="IPDM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interpeduncularNucleusDorsomedialSubnucleus",
    name="interpeduncular nucleus, dorsomedial subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interpeduncular_nucleus_intermediate_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusIntermediateSubnucleus",
    abbreviation="IPI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interpeduncularNucleusIntermediateSubnucleus",
    name="interpeduncular nucleus, intermediate subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interpeduncular_nucleus_lateral_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusLateralSubnucleus",
    abbreviation="IPL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interpeduncularNucleusLateralSubnucleus",
    name="interpeduncular nucleus, lateral subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interpeduncular_nucleus_rostral_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interpeduncularNucleusRostralSubnucleus",
    abbreviation="IPR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interpeduncularNucleusRostralSubnucleus",
    name="interpeduncular nucleus, rostral subnucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interposed_cerebellar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusAnteriorPart",
    abbreviation="IntA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interposedCerebellarNucleusAnteriorPart",
    name="interposed cerebellar nucleus, anterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interposed_cerebellar_nucleus_dorsolateral_hump = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsolateralHump",
    abbreviation="IntDL",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsolateralHump",
    name="interposed cerebellar nucleus, dorsolateral hump",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interposed_cerebellar_nucleus_dorsomedial_crest = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsomedialCrest",
    abbreviation="IntDM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interposedCerebellarNucleusDorsomedialCrest",
    name="interposed cerebellar nucleus, dorsomedial crest",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interposed_cerebellar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorPart",
    abbreviation="IntP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorPart",
    name="interposed cerebellar nucleus, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interposed_cerebellar_nucleus_posterior_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorParvicellularPart",
    abbreviation="IntPPC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_interposedCerebellarNucleusPosteriorParvicellularPart",
    name="interposed cerebellar nucleus, posterior parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interstitial_nucleus_of_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajal",
    abbreviation="InC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interstitialNucleusOfCajal",
    name="interstitial nucleus of Cajal",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interstitial_nucleus_of_cajal_shell_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfCajalShellRegion",
    abbreviation="InCSh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'. Region name has a spelling mistake (dot instead of comma). The assumed correct name 'interstitial nucleus of Cajal, shell region' has been added under 'correctedName'.",
    corrected_name="interstitial nucleus of Cajal, shell region",
    lookup_label="PW-RBSC-cor_6th-ed_interstitialNucleusOfCajalShellRegion",
    name="interstitial nucleus of Cajal. shell region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interstitial_nucleus_of_the_decussation_of_the_superior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheDecussationOfTheSuperiorCerebellarPeduncle",
    abbreviation="ID",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interstitialNucleusOfTheDecussationOfTheSuperiorCerebellarPeduncle",
    name="interstitial nucleus of the decussation of the superior cerebellar peduncle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interstitial_nucleus_of_the_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheMedulla",
    abbreviation="IB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interstitialNucleusOfTheMedulla",
    name="interstitial nucleus of the medulla",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interstitial_nucleus_of_the_posterior_limb_of_the_anterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissure",
    abbreviation="IPAC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissure",
    name="interstitial nucleus of the posterior limb of the anterior commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interstitial_nucleus_of_the_posterior_limb_of_the_anterior_commissure_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureLateralPart",
    abbreviation="IPACL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureLateralPart",
    name="interstitial nucleus of the posterior limb of the anterior commissure, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interstitial_nucleus_of_the_posterior_limb_of_the_anterior_commissure_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureMedialPart",
    abbreviation="IPACM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interstitialNucleusOfThePosteriorLimbOfTheAnteriorCommissureMedialPart",
    name="interstitial nucleus of the posterior limb of the anterior commissure, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interstitial_nucleus_of_the_vestibulocochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interstitialNucleusOfTheVestibulocochlearNerve",
    abbreviation="I8",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_interstitialNucleusOfTheVestibulocochlearNerve",
    name="interstitial nucleus of the vestibulocochlear nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_interventricular_foramen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_interventricularForamen",
    abbreviation="IVF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_interventricularForamen",
    name="interventricular foramen",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_intramedullary_thalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_intramedullaryThalamicArea",
    abbreviation="IMA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_intramedullaryThalamicArea",
    name="intramedullary thalamic area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_islands_of_calleja = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCalleja",
    abbreviation="ICj",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_islandsOfCalleja",
    name="islands of Calleja",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_islands_of_calleja_major_island = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_islandsOfCallejaMajorIsland",
    abbreviation="ICjM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_islandsOfCallejaMajorIsland",
    name="islands of Calleja, major island",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_isthmic_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicPeriaqueductalGray",
    abbreviation="isPAG",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_isthmicPeriaqueductalGray",
    name="isthmic periaqueductal gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_isthmic_reticular_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_isthmicReticularFormation",
    abbreviation="isRt",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_isthmicReticularFormation",
    name="isthmic reticular formation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_juxtaolivary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaolivaryNucleus",
    abbreviation="JxO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_juxtaolivaryNucleus",
    name="juxtaolivary nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_juxtaparaventricular_part_of_lateral_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_juxtaparaventricularPartOfLateralHypothalamus",
    abbreviation="JPLH",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_juxtaparaventricularPartOfLateralHypothalamus",
    name="juxtaparaventricular part of lateral hypothalamus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lacunosum_moleculare_layer_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lacunosumMoleculareLayerOfTheHippocampus",
    abbreviation="LMol",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lacunosumMoleculareLayerOfTheHippocampus",
    name="lacunosum moleculare layer of the hippocampus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lambdoid_septal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lambdoidSeptalZone",
    abbreviation="Ld",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lambdoidSeptalZone",
    name="lambdoid septal zone",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_accumbens_shell = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAccumbensShell",
    abbreviation="LAcbSh",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralAccumbensShell",
    name="lateral accumbens shell",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_amygdaloid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleus",
    abbreviation="La",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'. Region name has a spelling mistake ('lat' instead of 'lateral'). The assumed correct name 'lateral amygdaloid nucleus' has been added under 'correctedName'.",
    corrected_name="lateral amygdaloid nucleus",
    lookup_label="PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleus",
    name="lat amygdaloid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_amygdaloid_nucleus_dorsolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusDorsolateralPart",
    abbreviation="LaDL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusDorsolateralPart",
    name="lateral amygdaloid nucleus, dorsolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_amygdaloid_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentrolateralPart",
    abbreviation="LaVL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentrolateralPart",
    name="lateral amygdaloid nucleus, ventrolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_amygdaloid_nucleus_ventromedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentromedialPart",
    abbreviation="LaVM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralAmygdaloidNucleusVentromedialPart",
    name="lateral amygdaloid nucleus, ventromedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_cerebellar_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCerebellarNucleusParvicellularPart",
    abbreviation="LatPC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralCerebellarNucleusParvicellularPart",
    name="lateral cerebellar nucleus, parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_cervical_nucleus_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralCervicalNucleusOfTheSpinalCord",
    abbreviation="LatC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralCervicalNucleusOfTheSpinalCord",
    name="lateral cervical nucleus of the spinal cord",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_dentate_cerebellar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralDentateCerebellarNucleus",
    abbreviation="Lat",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralDentateCerebellarNucleus",
    name="lateral (dentate) cerebellar nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralEntorhinalCortex",
    abbreviation="LEnt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralEntorhinalCortex",
    name="lateral entorhinal cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_habenular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleus",
    abbreviation="LHb",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralHabenularNucleus",
    name="lateral habenular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_habenular_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusLateralPart",
    abbreviation="LHbL",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralHabenularNucleusLateralPart",
    name="lateral habenular nucleus, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_habenular_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHabenularNucleusMedialPart",
    abbreviation="LHbM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralHabenularNucleusMedialPart",
    name="lateral habenular nucleus, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralHypothalamicArea",
    abbreviation="LH",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralHypothalamicArea",
    name="lateral hypothalamic area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralLemniscus",
    abbreviation="ll",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralLemniscus",
    name="lateral lemniscus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_mammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralMammillaryNucleus",
    abbreviation="LM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralMammillaryNucleus",
    name="lateral mammillary nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOlfactoryTract",
    abbreviation="lo",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralOlfactoryTract",
    name="lateral olfactory tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_orbital_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitalCortex",
    abbreviation="LO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralOrbitalCortex",
    name="lateral orbital cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_orbitofrontal_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralOrbitofrontalArtery",
    abbreviation="lofr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralOrbitofrontalArtery",
    name="lateral orbitofrontal artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_parabrachial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleus",
    abbreviation="LPB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParabrachialNucleus",
    name="lateral parabrachial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_parabrachial_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCentralPart",
    abbreviation="LPBC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCentralPart",
    name="lateral parabrachial nucleus, central part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_parabrachial_nucleus_crescent_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCrescentPart",
    abbreviation="LPBCr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParabrachialNucleusCrescentPart",
    name="lateral parabrachial nucleus, crescent part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_parabrachial_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusDorsalPart",
    abbreviation="LPBD",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParabrachialNucleusDorsalPart",
    name="lateral parabrachial nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_parabrachial_nucleus_external_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusExternalPart",
    abbreviation="LPBE",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParabrachialNucleusExternalPart",
    name="lateral parabrachial nucleus, external part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_parabrachial_nucleus_internal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusInternalPart",
    abbreviation="LPBI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParabrachialNucleusInternalPart",
    name="lateral parabrachial nucleus, internal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_parabrachial_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusMedialPart",
    abbreviation="LPBM",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParabrachialNucleusMedialPart",
    name="lateral parabrachial nucleus, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_parabrachial_nucleus_superior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusSuperiorPart",
    abbreviation="LPBS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParabrachialNucleusSuperiorPart",
    name="lateral parabrachial nucleus, superior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_parabrachial_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParabrachialNucleusVentralPart",
    abbreviation="LPBV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParabrachialNucleusVentralPart",
    name="lateral parabrachial nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_paragigantocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleus",
    abbreviation="LPGi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleus",
    name="lateral paragigantocellular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_paragigantocellular_nucleus_alpha_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusAlphaPart",
    abbreviation="LPGiA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusAlphaPart",
    name="lateral paragigantocellular nucleus, alpha part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_paragigantocellular_nucleus_external_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusExternalPart",
    abbreviation="LPGiE",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParagigantocellularNucleusExternalPart",
    name="lateral paragigantocellular nucleus, external part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_parietal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralParietalAssociationCortex",
    abbreviation="LPtA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralParietalAssociationCortex",
    name="lateral parietal association cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPeriaqueductalGray",
    abbreviation="LPAG",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralPeriaqueductalGray",
    name="lateral periaqueductal gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_posterior_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleus",
    abbreviation="LP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleus",
    name="lateral posterior thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_posterior_thalamic_nucleus_laterocaudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterocaudalPart",
    abbreviation="LPLC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterocaudalPart",
    name="lateral posterior thalamic nucleus, laterocaudal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_posterior_thalamic_nucleus_laterorostral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterorostralPart",
    abbreviation="LPLR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusLaterorostralPart",
    name="lateral posterior thalamic nucleus, laterorostral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_posterior_thalamic_nucleus_mediocaudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediocaudalPart",
    abbreviation="LPMC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediocaudalPart",
    name="lateral posterior thalamic nucleus, mediocaudal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_posterior_thalamic_nucleus_mediorostral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediorostralPart",
    abbreviation="LPMR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralPosteriorThalamicNucleusMediorostralPart",
    name="lateral posterior thalamic nucleus, mediorostral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralPreopticArea",
    abbreviation="LPO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralPreopticArea",
    name="lateral preoptic area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_recess_of_the4th_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralRecessOfThe4thVentricle",
    abbreviation="LR4V",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralRecessOfThe4thVentricle",
    name="lateral recess of the 4th ventricle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleus",
    abbreviation="LRt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralReticularNucleus",
    name="lateral reticular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusParvicellularPart",
    abbreviation="LRtPC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralReticularNucleusParvicellularPart",
    name="lateral reticular nucleus, parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_reticular_nucleus_subtrigeminal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralReticularNucleusSubtrigeminalPart",
    abbreviation="LRtS5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralReticularNucleusSubtrigeminalPart",
    name="lateral reticular nucleus, subtrigeminal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleus",
    abbreviation="LS",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralSeptalNucleus",
    name="lateral septal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_septal_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusDorsalPart",
    abbreviation="LSD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralSeptalNucleusDorsalPart",
    name="lateral septal nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_septal_nucleus_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusIntermediatePart",
    abbreviation="LSI",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralSeptalNucleusIntermediatePart",
    name="lateral septal nucleus, intermediate part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_septal_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSeptalNucleusVentralPart",
    abbreviation="LSV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralSeptalNucleusVentralPart",
    name="lateral septal nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_spinal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSpinalNucleus",
    abbreviation="LSp",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralSpinalNucleus",
    name="lateral spinal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_stripe_of_the_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralStripeOfTheStriatum",
    abbreviation="LSS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralStripeOfTheStriatum",
    name="lateral stripe of the striatum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_superior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralSuperiorOlive",
    abbreviation="LSO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralSuperiorOlive",
    name="lateral superior olive",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralTerminalNucleusOfTheAccessoryOpticTract",
    abbreviation="LT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralTerminalNucleusOfTheAccessoryOpticTract",
    name="lateral terminal nucleus of the accessory optic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVentricle",
    abbreviation="LV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralVentricle",
    name="lateral ventricle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateral_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateralVestibularNucleus",
    abbreviation="LVe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateralVestibularNucleus",
    name="lateral vestibular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateroanterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroanteriorHypothalamicNucleus",
    abbreviation="LA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateroanteriorHypothalamicNucleus",
    name="lateroanterior hypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_laterodorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleus",
    abbreviation="LDTg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleus",
    name="laterodorsal tegmental nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_laterodorsal_tegmental_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleusVentralPart",
    abbreviation="LDTgV",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_laterodorsalTegmentalNucleusVentralPart",
    name="laterodorsal tegmental nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_laterodorsal_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleus",
    abbreviation="LD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleus",
    name="laterodorsal thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_laterodorsal_thalamic_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusDorsomedialPart",
    abbreviation="LDDM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusDorsomedialPart",
    name="laterodorsal thalamic nucleus, dorsomedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_laterodorsal_thalamic_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusVentrolateralPart",
    abbreviation="LDVL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_laterodorsalThalamicNucleusVentrolateralPart",
    name="laterodorsal thalamic nucleus, ventrolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lateroventral_periolivary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lateroventralPeriolivaryNucleus",
    abbreviation="LVPO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lateroventralPeriolivaryNucleus",
    name="lateroventral periolivary nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer1_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1OfCortex",
    abbreviation="1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_layer1OfCortex",
    name="layer 1 of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer1b_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer1bOfCortex",
    abbreviation="1b",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_layer1bOfCortex",
    name="layer 1b of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer2_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer2OfCortex",
    abbreviation="2",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_layer2OfCortex",
    name="layer 2 of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer3_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer3OfCortex",
    abbreviation="3",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_layer3OfCortex",
    name="layer 3 of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer4_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer4OfCortex",
    abbreviation="4",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_layer4OfCortex",
    name="layer 4 of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer5_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5OfCortex",
    abbreviation="5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_layer5OfCortex",
    name="layer 5 of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer5a_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5aOfCortex",
    abbreviation="5a",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_layer5aOfCortex",
    name="layer 5a of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer5b_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer5bOfCortex",
    abbreviation="5b",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_layer5bOfCortex",
    name="layer 5b of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer6_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6OfCortex",
    abbreviation="6",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_layer6OfCortex",
    name="layer 6 of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer6a_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6aOfCortex",
    abbreviation="6a",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_layer6aOfCortex",
    name="layer 6a of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_layer6b_of_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_layer6bOfCortex",
    abbreviation="6b",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_layer6bOfCortex",
    name="layer 6b of cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lemina_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_leminaTerminalis",
    abbreviation="LTer",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_leminaTerminalis",
    name="lemina terminalis",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_linear_nucleus_of_the_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_linearNucleusOfTheMedulla",
    abbreviation="Li",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_linearNucleusOfTheMedulla",
    name="linear nucleus of the medulla",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_lithoid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_lithoidNucleus",
    abbreviation="Lth",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_lithoidNucleus",
    name="lithoid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_locus_coeruleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_locusCoeruleus",
    abbreviation="LC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_locusCoeruleus",
    name="locus coeruleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_longitudinal_fasciculus_of_the_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_longitudinalFasciculusOfThePons",
    abbreviation="lfp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_longitudinalFasciculusOfThePons",
    name="longitudinal fasciculus of the pons",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_magnocellular_nucleus_of_the_lateral_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfTheLateralHypothalamus",
    abbreviation="MCLH",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_magnocellularNucleusOfTheLateralHypothalamus",
    name="magnocellular nucleus of the lateral hypothalamus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_magnocellular_nucleus_of_the_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularNucleusOfThePosteriorCommissure",
    abbreviation="MCPC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_magnocellularNucleusOfThePosteriorCommissure",
    name="magnocellular nucleus of the posterior commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_magnocellular_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_magnocellularPreopticNucleus",
    abbreviation="MCPO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_magnocellularPreopticNucleus",
    name="magnocellular preoptic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mammillary_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryPeduncle",
    abbreviation="mp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_mammillaryPeduncle",
    name="mammillary peduncle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mammillary_recess_of_the3rd_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillaryRecessOfThe3rdVentricle",
    abbreviation="MRe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_mammillaryRecessOfThe3rdVentricle",
    name="mammillary recess of the 3rd ventricle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mammillotegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillotegmentalTract",
    abbreviation="mtg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_mammillotegmentalTract",
    name="mammillotegmental tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mammillothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mammillothalamicTract",
    abbreviation="mt",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_mammillothalamicTract",
    name="mammillothalamic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_marginal_zone_of_the_medial_geniculate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_marginalZoneOfTheMedialGeniculate",
    abbreviation="MZMG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_marginalZoneOfTheMedialGeniculate",
    name="marginal zone of the medial geniculate",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_matrix_region_of_the_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_matrixRegionOfTheMedulla",
    abbreviation="Mx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_matrixRegionOfTheMedulla",
    name="matrix region of the medulla",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_accessory_oculomotor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAccessoryOculomotorNucleus",
    abbreviation="MA3",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medialAccessoryOculomotorNucleus",
    name="medial accessory oculomotor nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_amygdaloid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleus",
    abbreviation="Me",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialAmygdaloidNucleus",
    name="medial amygdaloid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_amygdaloid_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteriorPart",
    abbreviation="MeA",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteriorPart",
    name="medial amygdaloid nucleus, anterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_amygdaloid_nucleus_anterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnterodorsalPart",
    abbreviation="MeAD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'. Region name has a spelling mistake ('ant dorsal' instead of 'anterodorsal part'). The assumed correct name 'medial amygdaloid nucleus, anterodorsal part' has been added under 'correctedName'.",
    corrected_name="medial amygdaloid nucleus, anterodorsal part",
    lookup_label="PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnterodorsalPart",
    name="medial amygdaloid nucleus, ant dorsal",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_amygdaloid_nucleus_anteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteroventralPart",
    abbreviation="MeAV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusAnteroventralPart",
    name="medial amygdaloid nucleus, anteroventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_amygdaloid_nucleus_posterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosterodorsalPart",
    abbreviation="MePD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosterodorsalPart",
    name="medial amygdaloid nucleus, posterodorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_amygdaloid_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosteroventralPart",
    abbreviation="MePV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialAmygdaloidNucleusPosteroventralPart",
    name="medial amygdaloid nucleus, posteroventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_cerebellar_nucleus_caudomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusCaudomedialPart",
    abbreviation="MedCM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialCerebellarNucleusCaudomedialPart",
    name="medial cerebellar nucleus, caudomedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_cerebellar_nucleus_dorsolateral_protuberance = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusDorsolateralProtuberance",
    abbreviation="MedDL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialCerebellarNucleusDorsolateralProtuberance",
    name="medial cerebellar nucleus, dorsolateral protuberance",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_cerebellar_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCerebellarNucleusLateralPart",
    abbreviation="MedL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialCerebellarNucleusLateralPart",
    name="medial cerebellar nucleus, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_corticohypothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialCorticohypothalamicTract",
    abbreviation="mch",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialCorticohypothalamicTract",
    name="medial corticohypothalamic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_eminence_external_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceExternalLayer",
    abbreviation="MEE",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialEminenceExternalLayer",
    name="medial eminence, external layer",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_eminence_internal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEminenceInternalLayer",
    abbreviation="MEI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialEminenceInternalLayer",
    name="medial eminence, internal layer",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortex",
    abbreviation="MEnt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialEntorhinalCortex",
    name="medial entorhinal cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_entorhinal_cortex_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialEntorhinalCortexVentralPart",
    abbreviation="MEntV",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medialEntorhinalCortexVentralPart",
    name="medial entorhinal cortex, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_fastigial_cerebellar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialFastigialCerebellarNucleus",
    abbreviation="Med",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialFastigialCerebellarNucleus",
    name="medial (fastigial) cerebellar nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_forebrain_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundle",
    abbreviation="mfb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialForebrainBundle",
    name="medial forebrain bundle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_forebrain_bundle_a_component = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleAComponent",
    abbreviation="mfba",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialForebrainBundleAComponent",
    name="medial forebrain bundle, ‘a’ component",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_forebrain_bundle_b_component = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialForebrainBundleBComponent",
    abbreviation="mfbb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialForebrainBundleBComponent",
    name="medial forebrain bundle, ‘b’ component",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_geniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleus",
    abbreviation="MG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialGeniculateNucleus",
    name="medial geniculate nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_geniculate_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusDorsalPart",
    abbreviation="MGD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialGeniculateNucleusDorsalPart",
    name="medial geniculate nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_geniculate_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusMedialPart",
    abbreviation="MGM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialGeniculateNucleusMedialPart",
    name="medial geniculate nucleus, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_geniculate_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialGeniculateNucleusVentralPart",
    abbreviation="MGV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialGeniculateNucleusVentralPart",
    name="medial geniculate nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_habenular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialHabenularNucleus",
    abbreviation="MHb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialHabenularNucleus",
    name="medial habenular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscus",
    abbreviation="ml",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialLemniscus",
    name="medial lemniscus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_lemniscus_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLemniscusDecussation",
    abbreviation="mlx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialLemniscusDecussation",
    name="medial lemniscus decussation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_longitudinal_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialLongitudinalFasciculus",
    abbreviation="mlf",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialLongitudinalFasciculus",
    name="medial longitudinal fasciculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_mammillary_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusLateralPart",
    abbreviation="ML",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialMammillaryNucleusLateralPart",
    name="medial mammillary nucleus, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_mammillary_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedialPart",
    abbreviation="MM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedialPart",
    name="medial mammillary nucleus, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_mammillary_nucleus_median_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedianPart",
    abbreviation="MnM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialMammillaryNucleusMedianPart",
    name="medial mammillary nucleus, median part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_orbital_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitalCortex",
    abbreviation="MO",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medialOrbitalCortex",
    name="medial orbital cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_orbitofrontal_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialOrbitofrontalArtery",
    abbreviation="mofr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialOrbitofrontalArtery",
    name="medial orbitofrontal artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_parabrachial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleus",
    abbreviation="MPB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialParabrachialNucleus",
    name="medial parabrachial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_parabrachial_nucleus_external_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParabrachialNucleusExternalPart",
    abbreviation="MPBE",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialParabrachialNucleusExternalPart",
    name="medial parabrachial nucleus external part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_paralemniscial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParalemniscialNucleus",
    abbreviation="MPL",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medialParalemniscialNucleus",
    name="medial paralemniscial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_parietal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialParietalAssociationCortex",
    abbreviation="MPtA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialParietalAssociationCortex",
    name="medial parietal association cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticArea",
    abbreviation="MPA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialPreopticArea",
    name="medial preoptic area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleus",
    abbreviation="MPO",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medialPreopticNucleus",
    name="medial preoptic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_preoptic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusCentralPart",
    abbreviation="MPOC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medialPreopticNucleusCentralPart",
    name="medial preoptic nucleus, central part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_preoptic_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusLateralPart",
    abbreviation="MPOL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialPreopticNucleusLateralPart",
    name="medial preoptic nucleus, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_preoptic_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPreopticNucleusMedialPart",
    abbreviation="MPOM",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medialPreopticNucleusMedialPart",
    name="medial preoptic nucleus, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialPretectalNucleus",
    abbreviation="MPT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialPretectalNucleus",
    name="medial pretectal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSeptalNucleus",
    abbreviation="MS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialSeptalNucleus",
    name="medial septal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_superior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialSuperiorOlive",
    abbreviation="MSO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialSuperiorOlive",
    name="medial superior olive",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_terminal_nucleus_of_the_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTerminalNucleusOfTheAccessoryOpticTract",
    abbreviation="MT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'. In 'List of Structures', region name has a spelling mistake ('optic trac' instead of 'optic tract'). The original name 'medial terminal nucleus of the accessory optic trac' has been added under 'alternateName'.",
    alternate_names=["medial terminal nucleus of the accessory optic trac"],
    lookup_label="PW-RBSC-cor_6th-ed_medialTerminalNucleusOfTheAccessoryOpticTract",
    name="medial terminal nucleus of the accessory optic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_tuberal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialTuberalNucleus",
    abbreviation="MTu",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialTuberalNucleus",
    name="medial tuberal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleus",
    abbreviation="MVe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialVestibularNucleus",
    name="medial vestibular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_vestibular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusMagnocellularPart",
    abbreviation="MVeMC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialVestibularNucleusMagnocellularPart",
    name="medial vestibular nucleus, magnocellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medial_vestibular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medialVestibularNucleusParvicellularPart",
    abbreviation="MVePC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medialVestibularNucleusParvicellularPart",
    name="medial vestibular nucleus, parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_median_accessory_nucleus_of_the_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianAccessoryNucleusOfTheMedulla",
    abbreviation="MnA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medianAccessoryNucleusOfTheMedulla",
    name="median accessory nucleus of the medulla",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_median_eminence = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianEminence",
    abbreviation="ME",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medianEminence",
    name="median eminence",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_median_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianPreopticNucleus",
    abbreviation="MnPO",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medianPreopticNucleus",
    name="median preoptic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_median_raphe_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medianRapheNucleus",
    abbreviation="MnR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medianRapheNucleus",
    name="median raphe nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mediodorsal_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleus",
    abbreviation="MD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleus",
    name="mediodorsal thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mediodorsal_thalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusCentralPart",
    abbreviation="MDC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusCentralPart",
    name="mediodorsal thalamic nucleus, central part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mediodorsal_thalamic_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusLateralPart",
    abbreviation="MDL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusLateralPart",
    name="mediodorsal thalamic nucleus, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mediodorsal_thalamic_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusMedialPart",
    abbreviation="MDM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_mediodorsalThalamicNucleusMedialPart",
    name="mediodorsal thalamic nucleus, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medioventral_periolivary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medioventralPeriolivaryNucleus",
    abbreviation="MVPO",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medioventralPeriolivaryNucleus",
    name="medioventral periolivary nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medullary_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusDorsalPart",
    abbreviation="MdD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_medullaryReticularNucleusDorsalPart",
    name="medullary reticular nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_medullary_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_medullaryReticularNucleusVentralPart",
    abbreviation="MdV",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_medullaryReticularNucleusVentralPart",
    name="medullary reticular nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mesencephalic_reticular_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicReticularFormation",
    abbreviation="mRt",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_mesencephalicReticularFormation",
    name="mesencephalic reticular formation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mesencephalic_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalNucleus",
    abbreviation="Me5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_mesencephalicTrigeminalNucleus",
    name="mesencephalic trigeminal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mesencephalic_trigeminal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mesencephalicTrigeminalTract",
    abbreviation="me5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_mesencephalicTrigeminalTract",
    name="mesencephalic trigeminal tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_microcellular_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_microcellularTegmentalNucleus",
    abbreviation="MiTg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_microcellularTegmentalNucleus",
    name="microcellular tegmental nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebellarPeduncle",
    abbreviation="mcp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_middle_cerebral_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_middleCerebralArtery",
    abbreviation="mcer",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_middleCerebralArtery",
    name="middle cerebral artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mitral_cell_layer_of_the_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheAccessoryOlfactoryBulb",
    abbreviation="MiA",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_mitralCellLayerOfTheAccessoryOlfactoryBulb",
    name="mitral cell layer of the accessory olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_mitral_cell_layer_of_the_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_mitralCellLayerOfTheOlfactoryBulb",
    abbreviation="Mi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_mitralCellLayerOfTheOlfactoryBulb",
    name="mitral cell layer of the olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_molecular_layer_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheCerebellum",
    abbreviation="MoCb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_molecularLayerOfTheCerebellum",
    name="molecular layer of the cerebellum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_molecular_layer_of_the_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheDentateGyrus",
    abbreviation="MoDG",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_molecularLayerOfTheDentateGyrus",
    name="molecular layer of the dentate gyrus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_molecular_layer_of_the_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_molecularLayerOfTheSubiculum",
    abbreviation="MoS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_molecularLayerOfTheSubiculum",
    name="molecular layer of the subiculum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_motor_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorRootOfTheTrigeminalNerve",
    abbreviation="m5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_motorRootOfTheTrigeminalNerve",
    name="motor root of the trigeminal nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_motor_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleus",
    abbreviation="5N",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_motorTrigeminalNucleus",
    name="motor trigeminal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_motor_trigeminal_nucleus_anterior_digastric_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusAnteriorDigastricPart",
    abbreviation="5ADi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_motorTrigeminalNucleusAnteriorDigastricPart",
    name="motor trigeminal nucleus, anterior digastric part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_motor_trigeminal_nucleus_masseter_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMasseterPart",
    abbreviation="5Ma",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMasseterPart",
    name="motor trigeminal nucleus, masseter part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_motor_trigeminal_nucleus_mylohyoid_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMylohyoidPart",
    abbreviation="5MHy",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_motorTrigeminalNucleusMylohyoidPart",
    name="motor trigeminal nucleus, mylohyoid part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_motor_trigeminal_nucleus_temporalis_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTemporalisPart",
    abbreviation="5Te",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTemporalisPart",
    name="motor trigeminal nucleus, temporalis part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_motor_trigeminal_nucleus_tensor_tympani_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTensorTympaniPart",
    abbreviation="5TT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_motorTrigeminalNucleusTensorTympaniPart",
    name="motor trigeminal nucleus, tensor tympani part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_navicular_nucleus_of_the_basal_forebrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_navicularNucleusOfTheBasalForebrain",
    abbreviation="Nv",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_navicularNucleusOfTheBasalForebrain",
    name="navicular nucleus of the basal forebrain",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nervus_intermedius_component_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nervusIntermediusComponentOfTheFacialNerve",
    abbreviation="7ni",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_nervusIntermediusComponentOfTheFacialNerve",
    name="nervus intermedius component of the facial nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nigrostriatal_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nigrostriatalBundle",
    abbreviation="ns",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nigrostriatalBundle",
    name="nigrostriatal bundle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_darkschewitsch = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfDarkschewitsch",
    abbreviation="Dk",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfDarkschewitsch",
    name="nucleus of Darkschewitsch",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_origin_of_efferents_of_the_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfOriginOfEfferentsOfTheVestibularNerve",
    abbreviation="EVe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfOriginOfEfferentsOfTheVestibularNerve",
    name="nucleus of origin of efferents of the vestibular nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_roller = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfRoller",
    abbreviation="Ro",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfRoller",
    name="nucleus of Roller",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_ansa_lenticularis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheAnsaLenticularis",
    abbreviation="AL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheAnsaLenticularis",
    name="nucleus of the ansa lenticularis",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheBrachiumOfTheInferiorColliculus",
    abbreviation="BIC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheBrachiumOfTheInferiorColliculus",
    name="nucleus of the brachium of the inferior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_central_acoustic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCentralAcousticTract",
    abbreviation="CAT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheCentralAcousticTract",
    name="nucleus of the central acoustic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_commissural_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheCommissuralStriaTerminalis",
    abbreviation="CST",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheCommissuralStriaTerminalis",
    name="nucleus of the commissural stria terminalis",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_fields_of_forel = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheFieldsOfForel",
    abbreviation="F",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheFieldsOfForel",
    name="nucleus of the fields of Forel",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_horizontal_limb_of_the_diagonal_band = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheHorizontalLimbOfTheDiagonalBand",
    abbreviation="HDB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheHorizontalLimbOfTheDiagonalBand",
    name="nucleus of the horizontal limb of the diagonal band",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_lateral_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTract",
    abbreviation="LOT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTract",
    name="nucleus of the lateral olfactory tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_lateral_olfactory_tract_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTractLayer1",
    abbreviation="LOT1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheLateralOlfactoryTractLayer1",
    name="nucleus of the lateral olfactory tract, layer 1",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheOpticTract",
    abbreviation="OT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheOpticTract",
    name="nucleus of the optic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfThePosteriorCommissure",
    abbreviation="PCom",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfThePosteriorCommissure",
    name="nucleus of the posterior commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_solitary_tract_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCentralPart",
    abbreviation="SolCe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCentralPart",
    name="nucleus of the solitary tract, central part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_solitary_tract_commissural_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCommissuralPart",
    abbreviation="SolC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractCommissuralPart",
    name="nucleus of the solitary tract, commissural part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_solitary_tract_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractDorsomedialPart",
    abbreviation="SolDM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractDorsomedialPart",
    name="nucleus of the solitary tract, dorsomedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_solitary_tract_gelatinous_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractGelatinousPart",
    abbreviation="SolG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractGelatinousPart",
    name="nucleus of the solitary tract, gelatinous part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_solitary_tract_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractIntermediatePart",
    abbreviation="SolIM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractIntermediatePart",
    name="nucleus of the solitary tract, intermediate part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_solitary_tract_interstitial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractInterstitialPart",
    abbreviation="SolI",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractInterstitialPart",
    name="nucleus of the solitary tract, interstitial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_solitary_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractLateralPart",
    abbreviation="SolL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractLateralPart",
    name="nucleus of the solitary tract, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_solitary_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractMedialPart",
    abbreviation="SolM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractMedialPart",
    name="nucleus of the solitary tract, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_solitary_tract_rostrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractRostrolateralPart",
    abbreviation="SolRL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractRostrolateralPart",
    name="nucleus of the solitary tract, rostrolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_solitary_tract_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractVentrolateralPart",
    abbreviation="SolVL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheSolitaryTractVentrolateralPart",
    name="nucleus of the solitary tract, ventrolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheStriaMedullaris",
    abbreviation="SM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheStriaMedullaris",
    name="nucleus of the stria medullaris",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheTrapezoidBody",
    abbreviation="Tz",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_of_the_vertical_limb_of_the_diagonal_band = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusOfTheVerticalLimbOfTheDiagonalBand",
    abbreviation="VDB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusOfTheVerticalLimbOfTheDiagonalBand",
    name="nucleus of the vertical limb of the diagonal band",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_x = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusX",
    abbreviation="X",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusX",
    name="nucleus X",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_y = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusY",
    abbreviation="Y",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusY",
    name="nucleus Y",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_nucleus_z = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_nucleusZ",
    abbreviation="Z",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_nucleusZ",
    name="nucleus Z",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_obex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_obex",
    abbreviation="Obex",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_obex",
    name="obex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_oculomotor_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNerve",
    abbreviation="3n",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_oculomotorNerve",
    name="oculomotor nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_oculomotor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleus",
    abbreviation="3N",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_oculomotorNucleus",
    name="oculomotor nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_oculomotor_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oculomotorNucleusParvicellularPart",
    abbreviation="3PC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_oculomotorNucleusParvicellularPart",
    name="oculomotor nucleus, parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryBulb",
    abbreviation="OB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_olfactoryBulb",
    name="olfactory bulb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_olfactory_nerve_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryNerveLayer",
    abbreviation="ON",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_olfactoryNerveLayer",
    name="olfactory nerve layer",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_olfactory_tubercle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryTubercle",
    abbreviation="Tu",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_olfactoryTubercle",
    name="olfactory tubercle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_olfactory_ventricle_olfactory_part_of_lateral_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olfactoryVentricleOlfactoryPartOfLateralVentricle",
    abbreviation="OV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_olfactoryVentricleOlfactoryPartOfLateralVentricle",
    name="olfactory ventricle (olfactory part of lateral ventricle)",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_olivary_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivaryPretectalNucleus",
    abbreviation="OPT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_olivaryPretectalNucleus",
    name="olivary pretectal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_olivocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocerebellarTract",
    abbreviation="oc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_olivocerebellarTract",
    name="olivocerebellar tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_olivocochlear_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_olivocochlearBundle",
    abbreviation="ocb",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_olivocochlearBundle",
    name="olivocochlear bundle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticChiasm",
    abbreviation="och",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_opticChiasm",
    name="optic chiasm",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerve",
    abbreviation="2n",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_opticNerve",
    name="optic nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_optic_nerve_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticNerveLayerOfTheSuperiorColliculus",
    abbreviation="Op",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_opticNerveLayerOfTheSuperiorColliculus",
    name="optic nerve layer of the superior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_opticTract",
    abbreviation="opt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_opticTract",
    name="optic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_oriens_layer_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_oriensLayerOfTheHippocampus",
    abbreviation="Or",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_oriensLayerOfTheHippocampus",
    name="oriens layer of the hippocampus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_oval_paracentral_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ovalParacentralThalamicNucleus",
    abbreviation="OPC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ovalParacentralThalamicNucleus",
    name="oval paracentral thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_p1_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_p1PeriaqueductalGray",
    abbreviation="p1PAG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_p1PeriaqueductalGray",
    name="p1 periaqueductal gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraabducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraabducensNucleus",
    abbreviation="Pa6",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraabducensNucleus",
    name="paraabducens nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parabigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabigeminalNucleus",
    abbreviation="PBG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parabigeminalNucleus",
    name="parabigeminal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parabrachial_pigmented_nucleus_of_the_vta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parabrachialPigmentedNucleusOfTheVTA",
    abbreviation="PBP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parabrachialPigmentedNucleusOfTheVTA",
    name="parabrachial pigmented nucleus of the VTA",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paracentral_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracentralThalamicNucleus",
    abbreviation="PC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paracentralThalamicNucleus",
    name="paracentral thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paracochlear_glial_substance = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracochlearGlialSubstance",
    abbreviation="PCGS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paracochlearGlialSubstance",
    name="paracochlear glial substance",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paracommissural_nucleus_of_the_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paracommissuralNucleusOfThePosteriorCommissure",
    abbreviation="PaC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paracommissuralNucleusOfThePosteriorCommissure",
    name="paracommissural nucleus of the posterior commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parafascicular_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafascicularThalamicNucleus",
    abbreviation="PF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parafascicularThalamicNucleus",
    name="parafascicular thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parafloccular_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parafloccularSulcus",
    abbreviation="pfs",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parafloccularSulcus",
    name="parafloccular sulcus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraflocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraflocculus",
    abbreviation="PFl",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraflocculus",
    name="paraflocculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parainterfascicular_nucleus_of_the_vta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parainterfascicularNucleusOfTheVTA",
    abbreviation="PIF",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_parainterfascicularNucleusOfTheVTA",
    name="parainterfascicular nucleus of the VTA",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paralambdoid_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralambdoidSeptalNucleus",
    abbreviation="PLd",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_paralambdoidSeptalNucleus",
    name="paralambdoid septal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paralemniscal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paralemniscalNucleus",
    abbreviation="PL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paralemniscalNucleus",
    name="paralemniscal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paramedian_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianLobule",
    abbreviation="PM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paramedianLobule",
    name="paramedian lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paramedian_raphe_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianRapheNucleus",
    abbreviation="PMnR",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_paramedianRapheNucleus",
    name="paramedian raphe nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paramedian_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianReticularNucleus",
    abbreviation="PMn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paramedianReticularNucleus",
    name="paramedian reticular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paramedian_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paramedianSulcus",
    abbreviation="pms",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paramedianSulcus",
    name="paramedian sulcus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paranigral_nucleus_of_the_vta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paranigralNucleusOfTheVTA",
    abbreviation="PN",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paranigralNucleusOfTheVTA",
    name="paranigral nucleus of the VTA",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parapyramidal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parapyramidalNucleus",
    abbreviation="PPy",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parapyramidalNucleus",
    name="parapyramidal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pararubral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pararubralNucleus",
    abbreviation="PaR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pararubralNucleus",
    name="pararubral nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parasolitary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasolitaryNucleus",
    abbreviation="PSol",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parasolitaryNucleus",
    name="parasolitary nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parastrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parastrialNucleus",
    abbreviation="PS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parastrialNucleus",
    name="parastrial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parasubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubiculum",
    abbreviation="PaS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parasubiculum",
    name="parasubiculum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parasubthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parasubthalamicNucleus",
    abbreviation="PSTh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parasubthalamicNucleus",
    name="parasubthalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paratenial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratenialThalamicNucleus",
    abbreviation="PT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paratenialThalamicNucleus",
    name="paratenial thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraterete_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratereteNucleus",
    abbreviation="PTe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paratereteNucleus",
    name="paraterete nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paratrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrigeminalNucleus",
    abbreviation="Pa5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paratrigeminalNucleus",
    name="paratrigeminal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paratrochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paratrochlearNucleus",
    abbreviation="Pa4",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paratrochlearNucleus",
    name="paratrochlear nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleus",
    abbreviation="Pa",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter. Region name has a spelling mistake ('hypoth' instead of 'hypothalamic'). The assumed correct name 'paraventricular hypothalamic nucleus' has been added under 'correctedName'.",
    corrected_name="paraventricular hypothalamic nucleus",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleus",
    name="paraventricular hypoth nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_hypothalamic_nucleus_anterior_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart",
    abbreviation="PaAP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart",
    name="paraventricular hypothalamic nucleus, anterior parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_hypothalamic_nucleus_dorsal_cap = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusDorsalCap",
    abbreviation="PaDC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusDorsalCap",
    name="paraventricular hypothalamic nucleus, dorsal cap",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_hypothalamic_nucleus_lateral_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusLateralMagnocellularPart",
    abbreviation="PaLM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusLateralMagnocellularPart",
    name="paraventricular hypothalamic nucleus, lateral magnocellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_hypothalamic_nucleus_medial_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart",
    abbreviation="PaMM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart",
    name="paraventricular hypothalamic nucleus, medial magnocellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_hypothalamic_nucleus_medial_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialParvicellularPart",
    abbreviation="PaMP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusMedialParvicellularPart",
    name="paraventricular hypothalamic nucleus, medial parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusPosteriorPart",
    abbreviation="PaPo",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusPosteriorPart",
    name="paraventricular hypothalamic nucleus, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_hypothalamic_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusVentralPart",
    abbreviation="PaV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularHypothalamicNucleusVentralPart",
    name="paraventricular hypothalamic nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleus",
    abbreviation="PV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularThalamicNucleus",
    name="paraventricular thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_thalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusAnteriorPart",
    abbreviation="PVA",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusAnteriorPart",
    name="paraventricular thalamic nucleus, anterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraventricular_thalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusPosteriorPart",
    abbreviation="PVP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraventricularThalamicNucleusPosteriorPart",
    name="paraventricular thalamic nucleus, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_paraxiphoid_nucleus_of_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_paraxiphoidNucleusOfThalamus",
    abbreviation="PaXi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_paraxiphoidNucleusOfThalamus",
    name="paraxiphoid nucleus of thalamus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parietal_cortex_posterior_area_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaCaudalPart",
    abbreviation="PtPC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaCaudalPart",
    name="parietal cortex, posterior area, caudal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parietal_cortex_posterior_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaDorsalPart",
    abbreviation="PtPD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaDorsalPart",
    name="parietal cortex, posterior area, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parietal_cortex_posterior_area_rostral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaRostralPart",
    abbreviation="PtPR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parietalCortexPosteriorAreaRostralPart",
    name="parietal cortex, posterior area, rostral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parvicellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleus",
    abbreviation="PCRt",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_parvicellularReticularNucleus",
    name="parvicellular reticular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_parvicellular_reticular_nucleus_alpha_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_parvicellularReticularNucleusAlphaPart",
    abbreviation="PCRtA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_parvicellularReticularNucleusAlphaPart",
    name="parvicellular reticular nucleus, alpha part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_peduncular_part_of_lateral_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peduncularPartOfLateralHypothalamus",
    abbreviation="PLH",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_peduncularPartOfLateralHypothalamus",
    name="peduncular part of lateral hypothalamus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pedunculopontine_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pedunculopontineTegmentalNucleus",
    abbreviation="PTg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pedunculopontineTegmentalNucleus",
    name="pedunculopontine tegmental nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periaqueductalGray",
    abbreviation="PAG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_perifacial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifacialZone",
    abbreviation="P7",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_perifacialZone",
    name="perifacial zone",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_perifornical_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalNucleus",
    abbreviation="PeF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_perifornicalNucleus",
    name="perifornical nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_perifornical_part_of_lateral_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perifornicalPartOfLateralHypothalamus",
    abbreviation="PeFLH",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_perifornicalPartOfLateralHypothalamus",
    name="perifornical part of lateral hypothalamus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_perilemniscal_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perilemniscalNucleusVentralPart",
    abbreviation="PLV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_perilemniscalNucleusVentralPart",
    name="perilemniscal nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_periolivary_horn = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periolivaryHorn",
    abbreviation="POH",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_periolivaryHorn",
    name="periolivary horn",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_peripeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peripeduncularNucleus",
    abbreviation="PP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_peripeduncularNucleus",
    name="peripeduncular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_perirhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_perirhinalCortex",
    abbreviation="PRh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_perirhinalCortex",
    name="perirhinal cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_peritrigeminal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_peritrigeminalZone",
    abbreviation="P5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_peritrigeminalZone",
    name="peritrigeminal zone",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_periventricular_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularGray",
    abbreviation="PVG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_periventricularGray",
    name="periventricular gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_periventricular_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleus",
    abbreviation="Pe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleus",
    name="periventricular hypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_periventricular_hypothalamic_nucleus_anterior_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleusAnteriorParvicellularPart",
    abbreviation="PeAP",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_periventricularHypothalamicNucleusAnteriorParvicellularPart",
    name="periventricular hypothalamic nucleus, anterior parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pineal_gland = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealGland",
    abbreviation="Pi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pinealGland",
    name="pineal gland",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pineal_stalk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pinealStalk",
    abbreviation="PiSt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pinealStalk",
    name="pineal stalk",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_piriform_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortex",
    abbreviation="Pir",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_piriformCortex",
    name="piriform cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_piriform_cortex_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_piriformCortexLayer1",
    abbreviation="Pir1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_piriformCortexLayer1",
    name="piriform cortex, layer 1",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pleomorphic_part_of_periaqueductai_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pleomorphicPartOfPeriaqueductaiGray",
    abbreviation="PlPAG",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_pleomorphicPartOfPeriaqueductaiGray",
    name="pleomorphic part of periaqueductai gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_polymorph_layer_of_the_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_polymorphLayerOfTheDentateGyrus",
    abbreviation="PoDG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_polymorphLayerOfTheDentateGyrus",
    name="polymorph layer of the dentate gyrus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pontine_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineNuclei",
    abbreviation="Pn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pontineNuclei",
    name="pontine nuclei",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pontine_raphe_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineRapheNucleus",
    abbreviation="PnR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pontineRapheNucleus",
    name="pontine raphe nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pontine_reticular_nucleus_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusCaudalPart",
    abbreviation="PnC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pontineReticularNucleusCaudalPart",
    name="pontine reticular nucleus, caudal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pontine_reticular_nucleus_oral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusOralPart",
    abbreviation="PnO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pontineReticularNucleusOralPart",
    name="pontine reticular nucleus, oral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pontine_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pontineReticularNucleusVentralPart",
    abbreviation="PnV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pontineReticularNucleusVentralPart",
    name="pontine reticular nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_cerebral_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCerebralArtery",
    abbreviation="pcer",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorCerebralArtery",
    name="posterior cerebral artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorCommissure",
    abbreviation="pc",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorCommissure",
    name="posterior commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicArea",
    abbreviation="PHA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorHypothalamicArea",
    name="posterior hypothalamic area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_hypothalamic_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicAreaDorsalPart",
    abbreviation="PHD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorHypothalamicAreaDorsalPart",
    name="posterior hypothalamic area, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorHypothalamicNucleus",
    abbreviation="PH",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorHypothalamicNucleus",
    name="posterior hypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_intralaminar_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorIntralaminarThalamicNucleus",
    abbreviation="PIL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorIntralaminarThalamicNucleus",
    name="posterior intralaminar thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_limitans_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLimitansThalamicNucleus",
    abbreviation="PLi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorLimitansThalamicNucleus",
    name="posterior limitans thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_lobe_of_pituitary = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorLobeOfPituitary",
    abbreviation="PPit",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorLobeOfPituitary",
    name="posterior lobe of pituitary",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorPretectalNucleus",
    abbreviation="PPT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorPretectalNucleus",
    name="posterior pretectal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_superior_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorSuperiorFissure",
    abbreviation="psf",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorSuperiorFissure",
    name="posterior superior fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_thalamic_nuclear_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroup",
    abbreviation="Po",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroup",
    name="posterior thalamic nuclear group",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterior_thalamic_nuclear_group_triangular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroupTriangularPart",
    abbreviation="PoT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteriorThalamicNuclearGroupTriangularPart",
    name="posterior thalamic nuclear group, triangular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalPreopticNucleus",
    abbreviation="PDPO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posterodorsalPreopticNucleus",
    name="posterodorsal preoptic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterodorsal_raphe_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalRapheNucleus",
    abbreviation="PDR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posterodorsalRapheNucleus",
    name="posterodorsal raphe nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterodorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterodorsalTegmentalNucleus",
    abbreviation="PDTg",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_posterodorsalTegmentalNucleus",
    name="posterodorsal tegmental nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterolateral_cortical_amygdaloid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleus",
    abbreviation="PLCo",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleus",
    name="posterolateral cortical amygdaloid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterolateral_cortical_amygdaloid_nucleus_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleusLayer1",
    abbreviation="PLCo1",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_posterolateralCorticalAmygdaloidNucleusLayer1",
    name="posterolateral cortical amygdaloid nucleus, layer 1",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posterolateral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posterolateralFissure",
    abbreviation="plf",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posterolateralFissure",
    name="posterolateral fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posteromedial_cortical_amygdaloid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedialCorticalAmygdaloidNucleus",
    abbreviation="PMCo",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteromedialCorticalAmygdaloidNucleus",
    name="posteromedial cortical amygdaloid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_posteromedian_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_posteromedianThalamicNucleus",
    abbreviation="PoMn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_posteromedianThalamicNucleus",
    name="posteromedian thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_postsubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_postsubiculum",
    abbreviation="Post",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_postsubiculum",
    name="postsubiculum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pre_botzinger_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preBotzingerComplex",
    abbreviation="PrBo",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_preBotzingerComplex",
    name="pre-Botzinger complex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pre_edinger_westphal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preEdingerWestphalNucleus",
    abbreviation="PrEW",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_preEdingerWestphalNucleus",
    name="pre-Edinger-Westphal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_precommissural_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precommissuralNucleus",
    abbreviation="PrC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_precommissuralNucleus",
    name="precommissural nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_preculminate_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preculminateFissure",
    abbreviation="pcuf",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_preculminateFissure",
    name="preculminate fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_precuneiform_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_precuneiformArea",
    abbreviation="PrCnF",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_precuneiformArea",
    name="precuneiform area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_prelimbic_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prelimbicCortex",
    abbreviation="PrL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_prelimbicCortex",
    name="prelimbic cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_premammillary_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusDorsalPart",
    abbreviation="PMD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_premammillaryNucleusDorsalPart",
    name="premammillary nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_premammillary_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_premammillaryNucleusVentralPart",
    abbreviation="PMV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_premammillaryNucleusVentralPart",
    name="premammillary nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_preoptic_recess_of_the3rd_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_preopticRecessOfThe3rdVentricle",
    abbreviation="P3V",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_preopticRecessOfThe3rdVentricle",
    name="preoptic recess of the 3rd ventricle",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_prepositus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepositusNucleus",
    abbreviation="Pr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_prepositusNucleus",
    name="prepositus nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_prepyramidal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prepyramidalFissure",
    abbreviation="ppf",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_prepyramidalFissure",
    name="prepyramidal fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_prerubral_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_prerubralField",
    abbreviation="PR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_prerubralField",
    name="prerubral field",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_presubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_presubiculum",
    abbreviation="PrS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_presubiculum",
    name="presubiculum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_auditory_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryAuditoryCortex",
    abbreviation="Au1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primaryAuditoryCortex",
    name="primary auditory cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryFissure",
    abbreviation="prf",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primaryFissure",
    name="primary fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_motor_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryMotorCortex",
    abbreviation="M1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primaryMotorCortex",
    name="primary motor cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_somatosensory_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortex",
    abbreviation="S1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primarySomatosensoryCortex",
    name="primary somatosensory cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_somatosensory_cortex_barrel_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexBarrelField",
    abbreviation="S1BF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primarySomatosensoryCortexBarrelField",
    name="primary somatosensory cortex, barrel field",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_somatosensory_cortex_dysgranular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexDysgranularZone",
    abbreviation="S1DZ",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primarySomatosensoryCortexDysgranularZone",
    name="primary somatosensory cortex, dysgranular zone",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_somatosensory_cortex_forelimb_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexForelimbRegion",
    abbreviation="S1FL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primarySomatosensoryCortexForelimbRegion",
    name="primary somatosensory cortex, forelimb region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_somatosensory_cortex_hindlimb_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexHindlimbRegion",
    abbreviation="S1HL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primarySomatosensoryCortexHindlimbRegion",
    name="primary somatosensory cortex, hindlimb region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_somatosensory_cortex_jaw_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexJawRegion",
    abbreviation="S1J",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_primarySomatosensoryCortexJawRegion",
    name="primary somatosensory cortex, jaw region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_somatosensory_cortex_oral_dysgranular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexOralDysgranularZone",
    abbreviation="S1DZO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primarySomatosensoryCortexOralDysgranularZone",
    name="primary somatosensory cortex, oral dysgranular zone",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_somatosensory_cortex_shoulder_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexShoulderRegion",
    abbreviation="S1Sh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primarySomatosensoryCortexShoulderRegion",
    name="primary somatosensory cortex, shoulder region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_somatosensory_cortex_trunk_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexTrunkRegion",
    abbreviation="S1Tr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primarySomatosensoryCortexTrunkRegion",
    name="primary somatosensory cortex, trunk region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_somatosensory_cortex_upper_lip_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primarySomatosensoryCortexUpperLipRegion",
    abbreviation="S1ULp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primarySomatosensoryCortexUpperLipRegion",
    name="primary somatosensory cortex, upper lip region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_visual_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortex",
    abbreviation="V1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primaryVisualCortex",
    name="primary visual cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_visual_cortex_binocular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexBinocularArea",
    abbreviation="V1B",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primaryVisualCortexBinocularArea",
    name="primary visual cortex, binocular area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_primary_visual_cortex_monocular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_primaryVisualCortexMonocularArea",
    abbreviation="V1M",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_primaryVisualCortexMonocularArea",
    name="primary visual cortex, monocular area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_principal_mammillary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalMammillaryTract",
    abbreviation="pm",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_principalMammillaryTract",
    name="principal mammillary tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_principal_sensory_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleus",
    abbreviation="Pr5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleus",
    name="principal sensory trigeminal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_principal_sensory_trigeminal_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusDorsomedialPart",
    abbreviation="Pr5DM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusDorsomedialPart",
    name="principal sensory trigeminal nucleus, dorsomedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_principal_sensory_trigeminal_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusVentrolateralPart",
    abbreviation="Pr5VL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_principalSensoryTrigeminalNucleusVentrolateralPart",
    name="principal sensory trigeminal nucleus, ventrolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pyramidal_cell_layer_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalCellLayerOfTheHippocampus",
    abbreviation="Py",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pyramidalCellLayerOfTheHippocampus",
    name="pyramidal cell layer of the hippocampus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pyramidal_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalDecussation",
    abbreviation="pyx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pyramidalDecussation",
    name="pyramidal decussation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_pyramidal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_pyramidalTract",
    abbreviation="py",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_pyramidalTract",
    name="pyramidal tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_r1_reticular_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r1ReticularFormation",
    abbreviation="r1Rt",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_r1ReticularFormation",
    name="r1 reticular formation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_r2_reticular_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r2ReticularFormation",
    abbreviation="r2Rt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_r2ReticularFormation",
    name="r2 reticular formation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_r3_reticular_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_r3ReticularFormation",
    abbreviation="r3Rt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_r3ReticularFormation",
    name="r3 reticular formation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_radiatum_layer_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_radiatumLayerOfTheHippocampus",
    abbreviation="Rad",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_radiatumLayerOfTheHippocampus",
    name="radiatum layer of the hippocampus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_raphe_interpositus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheInterpositusNucleus",
    abbreviation="RIP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rapheInterpositusNucleus",
    name="raphe interpositus nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_raphe_magnus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheMagnusNucleus",
    abbreviation="RMg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rapheMagnusNucleus",
    name="raphe magnus nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_raphe_obscurus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rapheObscurusNucleus",
    abbreviation="ROb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rapheObscurusNucleus",
    name="raphe obscurus nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_raphe_pallidus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_raphePallidusNucleus",
    abbreviation="RPa",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_raphePallidusNucleus",
    name="raphe pallidus nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_recess_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_recessOfTheInferiorColliculus",
    abbreviation="ReIC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_recessOfTheInferiorColliculus",
    name="recess of the inferior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_red_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleus",
    abbreviation="R",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_redNucleus",
    name="red nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_red_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusMagnocellularPart",
    abbreviation="RMC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_redNucleusMagnocellularPart",
    name="red nucleus, magnocellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_red_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_redNucleusParvicellularPart",
    abbreviation="RPC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_redNucleusParvicellularPart",
    name="red nucleus, parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_region_where_va_and_vl_overlap = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_regionWhereVAAndVLOverlap",
    abbreviation="VA/VL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_regionWhereVAAndVLOverlap",
    name="region where VA and VL overlap",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_reticluostrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticluostrialNucleus",
    abbreviation="RtSt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_reticluostrialNucleus",
    name="reticluostrial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_reticular_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticularThalamicNucleus",
    abbreviation="Rt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_reticularThalamicNucleus",
    name="reticular thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_reticulotegmental_nucleus_of_the_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePons",
    abbreviation="RtTg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePons",
    name="reticulotegmental nucleus of the pons",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_reticulotegmental_nucleus_of_the_pons_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsLateralPart",
    abbreviation="RtTgL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsLateralPart",
    name="reticulotegmental nucleus of the pons, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_reticulotegmental_nucleus_of_the_pons_pericentral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsPericentralPart",
    abbreviation="RtTgP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_reticulotegmentalNucleusOfThePonsPericentralPart",
    name="reticulotegmental nucleus of the pons, pericentral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retroambiguus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroambiguusNucleus",
    abbreviation="RAmb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retroambiguusNucleus",
    name="retroambiguus nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrochiasmatic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticArea",
    abbreviation="RCh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retrochiasmaticArea",
    name="retrochiasmatic area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrochiasmatic_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrochiasmaticAreaLateralPart",
    abbreviation="RChL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retrochiasmaticAreaLateralPart",
    name="retrochiasmatic area, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retroendopiriform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroendopiriformNucleus",
    abbreviation="REn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retroendopiriformNucleus",
    name="retroendopiriform nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retroethmoid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroethmoidNucleus",
    abbreviation="REth",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retroethmoidNucleus",
    name="retroethmoid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrolemniscal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrolemniscalNucleus",
    abbreviation="RL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retrolemniscalNucleus",
    name="retrolemniscal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retroparafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retroparafascicularNucleus",
    abbreviation="RPF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retroparafascicularNucleus",
    name="retroparafascicular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrorubral_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralField",
    abbreviation="RRF",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retrorubralField",
    name="retrorubral field",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrorubral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrorubralNucleus",
    abbreviation="RR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retrorubralNucleus",
    name="retrorubral nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrosplenial_dysgranular_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialDysgranularCortex",
    abbreviation="RSD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retrosplenialDysgranularCortex",
    name="retrosplenial dysgranular cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrosplenial_granular_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortex",
    abbreviation="RSG",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_retrosplenialGranularCortex",
    name="retrosplenial granular cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrosplenial_granular_cortex_a_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexARegion",
    abbreviation="RSGa",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retrosplenialGranularCortexARegion",
    name="retrosplenial granular cortex, a region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrosplenial_granular_cortex_b_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexBRegion",
    abbreviation="RSGb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retrosplenialGranularCortexBRegion",
    name="retrosplenial granular cortex, b region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrosplenial_granular_cortex_c_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrosplenialGranularCortexCRegion",
    abbreviation="RSGc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retrosplenialGranularCortexCRegion",
    name="retrosplenial granular cortex, c region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_retrouniens_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_retrouniensArea",
    abbreviation="RRe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_retrouniensArea",
    name="retrouniens area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_reuniens_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_reuniensThalamicNucleus",
    abbreviation="Re",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_reuniensThalamicNucleus",
    name="reuniens thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rhabdoid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhabdoidNucleus",
    abbreviation="Rbd",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rhabdoidNucleus",
    name="rhabdoid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rhinal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalFissure",
    abbreviation="rf",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rhinalFissure",
    name="rhinal fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rhinal_incisure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhinalIncisure",
    abbreviation="ri",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rhinalIncisure",
    name="rhinal incisure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rhomboid_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rhomboidThalamicNucleus",
    abbreviation="Rh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rhomboidThalamicNucleus",
    name="rhomboid thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_root_of_abducens_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAbducensNerve",
    abbreviation="6n",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rootOfAbducensNerve",
    name="root of abducens nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_root_of_accessory_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfAccessoryNerve",
    abbreviation="11n",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_rootOfAccessoryNerve",
    name="root of accessory nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_root_of_hypoglossal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rootOfHypoglossalNerve",
    abbreviation="12n",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_rootOfHypoglossalNerve",
    name="root of hypoglossal nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rostral_amygdalopiriform_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralAmygdalopiriformArea",
    abbreviation="RAPir",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rostralAmygdalopiriformArea",
    name="rostral amygdalopiriform area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rostral_interstitial_nucleus_of_medial_longitudinal_fasciculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralInterstitialNucleusOfMedialLongitudinalFasciculus",
    abbreviation="RI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rostralInterstitialNucleusOfMedialLongitudinalFasciculus",
    name="rostral interstitial nucleus of medial longitudinal fasciculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rostral_linear_nucleus_of_the_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralLinearNucleusOfTheRaphe",
    abbreviation="RLi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rostralLinearNucleusOfTheRaphe",
    name="rostral linear nucleus of the raphe",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rostral_ventral_respiratory_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostralVentralRespiratoryGroup",
    abbreviation="RVRG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rostralVentralRespiratoryGroup",
    name="rostral ventral respiratory group",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rostroventrolateral_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostroventrolateralReticularNucleus",
    abbreviation="RVL",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_rostroventrolateralReticularNucleus",
    name="rostroventrolateral reticular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rostrum_of_the_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rostrumOfTheCorpusCallosum",
    abbreviation="rcc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_rostrumOfTheCorpusCallosum",
    name="rostrum of the corpus callosum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_rubrospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_rubrospinalTract",
    abbreviation="rs",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_rubrospinalTract",
    name="rubrospinal tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_sagulum_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sagulumNucleus",
    abbreviation="Sag",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_sagulumNucleus",
    name="sagulum nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_scaphoid_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_scaphoidThalamicNucleus",
    abbreviation="Sc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_scaphoidThalamicNucleus",
    name="scaphoid thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_secondary_auditory_cortex_dorsal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexDorsalArea",
    abbreviation="AuD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_secondaryAuditoryCortexDorsalArea",
    name="secondary auditory cortex, dorsal area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_secondary_auditory_cortex_ventral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryAuditoryCortexVentralArea",
    abbreviation="AuV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_secondaryAuditoryCortexVentralArea",
    name="secondary auditory cortex, ventral area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_secondary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryFissure",
    abbreviation="sf",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_secondaryFissure",
    name="secondary fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_secondary_motor_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryMotorCortex",
    abbreviation="M2",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_secondaryMotorCortex",
    name="secondary motor cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_secondary_somatosensory_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondarySomatosensoryCortex",
    abbreviation="S2",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_secondarySomatosensoryCortex",
    name="secondary somatosensory cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_secondary_visual_cortex_lateral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexLateralArea",
    abbreviation="V2L",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_secondaryVisualCortexLateralArea",
    name="secondary visual cortex, lateral area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_secondary_visual_cortex_mediolateral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediolateralArea",
    abbreviation="V2ML",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_secondaryVisualCortexMediolateralArea",
    name="secondary visual cortex, mediolateral area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_secondary_visual_cortex_mediomedial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_secondaryVisualCortexMediomedialArea",
    abbreviation="V2MM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_secondaryVisualCortexMediomedialArea",
    name="secondary visual cortex, mediomedial area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_sensory_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sensoryRootOfTheTrigeminalNerve",
    abbreviation="s5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_sensoryRootOfTheTrigeminalNerve",
    name="sensory root of the trigeminal nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_septofimbrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septofimbrialNucleus",
    abbreviation="SFi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_septofimbrialNucleus",
    name="septofimbrial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_septohippocampal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohippocampalNucleus",
    abbreviation="SHi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_septohippocampalNucleus",
    name="septohippocampal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_septohypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_septohypothalamicNucleus",
    abbreviation="SHy",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_septohypothalamicNucleus",
    name="septohypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_simple_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobule",
    abbreviation="Sim",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_simpleLobule",
    name="simple lobule",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_simple_lobule_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleA",
    abbreviation="SimA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_simpleLobuleA",
    name="simple lobule A",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_simple_lobule_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simpleLobuleB",
    abbreviation="SimB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_simpleLobuleB",
    name="simple lobule B",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_simplex_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_simplexFissure",
    abbreviation="simf",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_simplexFissure",
    name="simplex fissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_solitary_nucleus_dorsolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusDorsolateralPart",
    abbreviation="SolDL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_solitaryNucleusDorsolateralPart",
    name="solitary nucleus, dorsolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_solitary_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryNucleusVentralPart",
    abbreviation="SolV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_solitaryNucleusVentralPart",
    name="solitary nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_solitaryTract",
    abbreviation="sol",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_solitaryTract",
    name="solitary tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_sphenoid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sphenoidNucleus",
    abbreviation="Sph",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_sphenoidNucleus",
    name="sphenoid nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_spinal_trigeminal_nucleus_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusCaudalPart",
    abbreviation="Sp5C",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusCaudalPart",
    name="spinal trigeminal nucleus, caudal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_spinal_trigeminal_nucleus_interpolar_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusInterpolarPart",
    abbreviation="Sp5I",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusInterpolarPart",
    name="spinal trigeminal nucleus, interpolar part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_spinal_trigeminal_nucleus_oral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusOralPart",
    abbreviation="Sp5O",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_spinalTrigeminalNucleusOralPart",
    name="spinal trigeminal nucleus, oral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_spinal_trigeminal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalTrigeminalTract",
    abbreviation="sp5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_spinalTrigeminalTract",
    name="spinal trigeminal tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_spinal_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spinalVestibularNucleus",
    abbreviation="SpVe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_spinalVestibularNucleus",
    name="spinal vestibular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_splenium_of_the_corpus_callosum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_spleniumOfTheCorpusCallosum",
    abbreviation="scc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_spleniumOfTheCorpusCallosum",
    name="splenium of the corpus callosum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_stigmoid_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stigmoidHypothalamicNucleus",
    abbreviation="Stg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_stigmoidHypothalamicNucleus",
    name="stigmoid hypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_stratum_lucidum_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_stratumLucidumOfTheHippocampus",
    abbreviation="SLu",
    additional_remarks="Brain region name and abbreviation listed both in chapter 'List of Abbreviations' and twice in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_stratumLucidumOfTheHippocampus",
    name="stratum lucidum of the hippocampus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_stria_medullaris_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaMedullarisOfTheThalamus",
    abbreviation="sm",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_striaMedullarisOfTheThalamus",
    name="stria medullaris of the thalamus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striaTerminalis",
    abbreviation="st",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_striaTerminalis",
    name="stria terminalis",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_strial_part_of_the_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_strialPartOfThePreopticArea",
    abbreviation="StA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_strialPartOfThePreopticArea",
    name="strial part of the preoptic area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_striohypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_striohypothalamicNucleus",
    abbreviation="StHy",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_striohypothalamicNucleus",
    name="striohypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subbrachial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subbrachialNucleus",
    abbreviation="SubB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subbrachialNucleus",
    name="subbrachial nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subcoeruleus_nucleus_alpha_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusAlphaPart",
    abbreviation="SubCA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subcoeruleusNucleusAlphaPart",
    name="subcoeruleus nucleus, alpha part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subcoeruleus_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusDorsalPart",
    abbreviation="SubCD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subcoeruleusNucleusDorsalPart",
    name="subcoeruleus nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subcoeruleus_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcoeruleusNucleusVentralPart",
    abbreviation="SubCV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subcoeruleusNucleusVentralPart",
    name="subcoeruleus nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subcommissural_organ = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subcommissuralOrgan",
    abbreviation="SCO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subcommissuralOrgan",
    name="subcommissural organ",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subfornical_organ = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subfornicalOrgan",
    abbreviation="SFO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subfornicalOrgan",
    name="subfornical organ",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subgeniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subgeniculateNucleus",
    abbreviation="SubG",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_subgeniculateNucleus",
    name="subgeniculate nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculum",
    abbreviation="S",
    additional_remarks="Brain region name and abbreviation listed twice in chapter 'List of Structures', but not in chapter 'List of Abbreviations', of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_subiculum",
    name="subiculum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subiculum_transition_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subiculumTransitionArea",
    abbreviation="STr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subiculumTransitionArea",
    name="subiculum, transition area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subincertal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subincertalNucleus",
    abbreviation="SubI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subincertalNucleus",
    name="subincertal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_sublenticular_extended_amygdala = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdala",
    abbreviation="EA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdala",
    name="sublenticular extended amygdala",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_sublenticular_extended_amygdala_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaCentralPart",
    abbreviation="EAC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaCentralPart",
    name="sublenticular extended amygdala, central part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_sublenticular_extended_amygdala_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaMedialPart",
    abbreviation="EAM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_sublenticularExtendedAmygdalaMedialPart",
    name="sublenticular extended amygdala, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_submammillothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submammillothalamicNucleus",
    abbreviation="SMT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_submammillothalamicNucleus",
    name="submammillothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_submedius_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleus",
    abbreviation="Sub",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_submediusThalamicNucleus",
    name="submedius thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_submedius_thalamic_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusDorsalPart",
    abbreviation="SubD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_submediusThalamicNucleusDorsalPart",
    name="submedius thalamic nucleus, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_submedius_thalamic_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_submediusThalamicNucleusVentralPart",
    abbreviation="SubV",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_submediusThalamicNucleusVentralPart",
    name="submedius thalamic nucleus, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subparafascicular_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleus",
    abbreviation="SPF",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleus",
    name="subparafascicular thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subparafascicular_thalamic_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleusParvicellularPart",
    abbreviation="SPFPC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subparafascicularThalamicNucleusParvicellularPart",
    name="subparafascicular thalamic nucleus, parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subparaventricular_zone_of_the_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subparaventricularZoneOfTheHypothalamus",
    abbreviation="SPa",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subparaventricularZoneOfTheHypothalamus",
    name="subparaventricular zone of the hypothalamus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subpeduncular_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpeduncularTegmentalNucleus",
    abbreviation="SPTg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subpeduncularTegmentalNucleus",
    name="subpeduncular tegmental nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subpostrema_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subpostremaArea",
    abbreviation="SubP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subpostremaArea",
    name="subpostrema area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_substantia_innominata = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominata",
    abbreviation="SI",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_substantiaInnominata",
    name="substantia innominata",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_substantia_innominata_basal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaInnominataBasalPart",
    abbreviation="SIB",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_substantiaInnominataBasalPart",
    name="substantia innominata, basal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_substantia_nigra_compact_part_dorsal_tier = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartDorsalTier",
    abbreviation="SNCD",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_substantiaNigraCompactPartDorsalTier",
    name="substantia nigra, compact part, dorsal tier",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_substantia_nigra_compact_part_medial_tier = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactPartMedialTier",
    abbreviation="SNCM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_substantiaNigraCompactPartMedialTier",
    name="substantia nigra, compact part, medial tier",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_substantia_nigra_compacta_part_ventral_tier = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraCompactaPartVentralTier",
    abbreviation="SNCV",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_substantiaNigraCompactaPartVentralTier",
    name="substantia nigra, compacta part, ventral tier",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_substantia_nigra_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraLateralPart",
    abbreviation="SNL",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_substantiaNigraLateralPart",
    name="substantia nigra, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_substantia_nigra_reticular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_substantiaNigraReticularPart",
    abbreviation="SNR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_substantiaNigraReticularPart",
    name="substantia nigra, reticular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_subthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_subthalamicNucleus",
    abbreviation="STh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_subthalamicNucleus",
    name="subthalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_superficial_gray_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superficialGrayLayerOfTheSuperiorColliculus",
    abbreviation="SuG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_superficialGrayLayerOfTheSuperiorColliculus",
    name="superficial gray layer of the superior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_superior_cerebellar_peduncle_brachium_conjunctivum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleBrachiumConjunctivum",
    abbreviation="scp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleBrachiumConjunctivum",
    name="superior cerebellar peduncle (brachium conjunctivum)",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_superior_cerebellar_peduncle_descending_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleDescendingLimb",
    abbreviation="scpd",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_superiorCerebellarPeduncleDescendingLimb",
    name="superior cerebellar peduncle, descending limb",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_superior_medullary_velum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorMedullaryVelum",
    abbreviation="SMV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_superiorMedullaryVelum",
    name="superior medullary velum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_superior_paraolivary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorParaolivaryNucleus",
    abbreviation="SPO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_superiorParaolivaryNucleus",
    name="superior paraolivary nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_superior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorSalivatoryNucleus",
    abbreviation="SuS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_superiorSalivatoryNucleus",
    name="superior salivatory nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_superior_thalamic_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorThalamicRadiation",
    abbreviation="str",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_superiorThalamicRadiation",
    name="superior thalamic radiation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_superior_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_superiorVestibularNucleus",
    abbreviation="SuVe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_superiorVestibularNucleus",
    name="superior vestibular nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_suprachiasmatic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleus",
    abbreviation="SCh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_suprachiasmaticNucleus",
    name="suprachiasmatic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_suprachiasmatic_nucleus_dorsolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusDorsolateralPart",
    abbreviation="SChDL",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_suprachiasmaticNucleusDorsolateralPart",
    name="suprachiasmatic nucleus, dorsolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_suprachiasmatic_nucleus_ventromedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprachiasmaticNucleusVentromedialPart",
    abbreviation="SChVM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_suprachiasmaticNucleusVentromedialPart",
    name="suprachiasmatic nucleus, ventromedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_suprageniculate_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_suprageniculateThalamicNucleus",
    abbreviation="SG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_suprageniculateThalamicNucleus",
    name="suprageniculate thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supragenual_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supragenualNucleus",
    abbreviation="SGe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_supragenualNucleus",
    name="supragenual nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supramammillary_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryDecussation",
    abbreviation="sumx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_supramammillaryDecussation",
    name="supramammillary decussation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supramammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleus",
    abbreviation="SuM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_supramammillaryNucleus",
    name="supramammillary nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supramammillary_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusLateralPart",
    abbreviation="SuML",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_supramammillaryNucleusLateralPart",
    name="supramammillary nucleus, lateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supramammillary_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supramammillaryNucleusMedialPart",
    abbreviation="SuMM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_supramammillaryNucleusMedialPart",
    name="supramammillary nucleus, medial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supraoculomotor_cap = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorCap",
    abbreviation="Su3C",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_supraoculomotorCap",
    name="supraoculomotor cap",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supraoculomotor_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraoculomotorPeriaqueductalGray",
    abbreviation="Su3",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_supraoculomotorPeriaqueductalGray",
    name="supraoculomotor periaqueductal gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supraoptic_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticDecussation",
    abbreviation="sox",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_supraopticDecussation",
    name="supraoptic decussation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supraoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleus",
    abbreviation="SO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_supraopticNucleus",
    name="supraoptic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supraoptic_nucleus_retrochiasmatic_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supraopticNucleusRetrochiasmaticPart",
    abbreviation="SOR",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_supraopticNucleusRetrochiasmaticPart",
    name="supraoptic nucleus, retrochiasmatic part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_supratrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_supratrigeminalNucleus",
    abbreviation="Su5",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_supratrigeminalNucleus",
    name="supratrigeminal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_tectospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tectospinalTract",
    abbreviation="ts",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_tectospinalTract",
    name="tectospinal tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_temporal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_temporalAssociationCortex",
    abbreviation="TeA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'. Region name has a spelling mistake ('associatin' instead of 'association'). The assumed correct name 'temporal association cortex' has been added under 'correctedName'.",
    corrected_name="temporal association cortex",
    lookup_label="PW-RBSC-cor_6th-ed_temporalAssociationCortex",
    name="temporal associatin cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_terete_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tereteHypothalamicNucleus",
    abbreviation="Te",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_tereteHypothalamicNucleus",
    name="terete hypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_transverse_fibers_of_the_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_transverseFibersOfThePons",
    abbreviation="tfp",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_transverseFibersOfThePons",
    name="transverse fibers of the pons",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trapezoidBody",
    abbreviation="tz",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_trapezoidBody",
    name="trapezoid body",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_triangular_nucleus_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularNucleusLateralLemniscus",
    abbreviation="TrLL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_triangularNucleusLateralLemniscus",
    name="triangular nucleus, lateral lemniscus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_triangular_septal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_triangularSeptalNucleus",
    abbreviation="TS",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_triangularSeptalNucleus",
    name="triangular septal nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_trigeminal_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalGanglion",
    abbreviation="5Gn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_trigeminalGanglion",
    name="trigeminal ganglion",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_trigeminal_solitary_transition_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalSolitaryTransitionZone",
    abbreviation="5Sol",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_trigeminalSolitaryTransitionZone",
    name="trigeminal-solitary transition zone",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_trigeminal_transition_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminalTransitionZone",
    abbreviation="5Tr",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_trigeminalTransitionZone",
    name="trigeminal transition zone",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_trigeminothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trigeminothalamicTract",
    abbreviation="tth",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_trigeminothalamicTract",
    name="trigeminothalamic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_trochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNerve",
    abbreviation="4n",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_trochlearNerve",
    name="trochlear nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_trochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucleus",
    abbreviation="4N",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_trochlearNucleus",
    name="trochlear nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_trochlear_nuclues_shell_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_trochlearNucluesShellRegion",
    abbreviation="4Sh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_trochlearNucluesShellRegion",
    name="trochlear nuclues shell region",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_tuberal_region_of_lateral_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_tuberalRegionOfLateralHypothalamus",
    abbreviation="TuLH",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_tuberalRegionOfLateralHypothalamus",
    name="tuberal region of lateral hypothalamus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_uncinate_fasciculus_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusDecussation",
    abbreviation="unx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_uncinateFasciculusDecussation",
    name="uncinate fasciculus decussation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_uncinate_fasciculus_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_uncinateFasciculusOfTheCerebellum",
    abbreviation="un",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_uncinateFasciculusOfTheCerebellum",
    name="uncinate fasciculus of the cerebellum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vagusNerve",
    abbreviation="10n",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_vagusNerve",
    name="vagus nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vascular_organ_of_the_lamina_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vascularOrganOfTheLaminaTerminalis",
    abbreviation="VOLT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_vascularOrganOfTheLaminaTerminalis",
    name="vascular organ of the lamina terminalis",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vein = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vein",
    abbreviation="v",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_vein",
    name="vein",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_anterior_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralAnteriorThalamicNucleus",
    abbreviation="VA",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralAnteriorThalamicNucleus",
    name="ventral anterior thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_cochlear_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusAnteriorPart",
    abbreviation="VCA",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralCochlearNucleusAnteriorPart",
    name="ventral cochlear nucleus, anterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_cochlear_nucleus_capsular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusCapsularPart",
    abbreviation="VCCap",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralCochlearNucleusCapsularPart",
    name="ventral cochlear nucleus, capsular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_cochlear_nucleus_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusGranuleCellLayer",
    abbreviation="VCAGr",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralCochlearNucleusGranuleCellLayer",
    name="ventral cochlear nucleus, granule cell layer",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_cochlear_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPart",
    abbreviation="VCP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPart",
    name="ventral cochlear nucleus, posterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_cochlear_nucleus_posterior_part_octopus_cell_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPartOctopusCellArea",
    abbreviation="VCPO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralCochlearNucleusPosteriorPartOctopusCellArea",
    name="ventral cochlear nucleus, posterior part, octopus cell area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_endopiriform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralEndopiriformNucleus",
    abbreviation="VEn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralEndopiriformNucleus",
    name="ventral endopiriform nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_geniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleus",
    abbreviation="VG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralGeniculateNucleus",
    name="ventral geniculate nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_geniculate_nucleus_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralGeniculateNucleusLayer1",
    abbreviation="VG1",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralGeniculateNucleusLayer1",
    name="ventral geniculate nucleus, layer 1",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralHippocampalCommissure",
    abbreviation="vhc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_intermediate_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralIntermediateEntorhinalCortex",
    abbreviation="VIEnt",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralIntermediateEntorhinalCortex",
    name="ventral intermediate entorhinal cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_linear_nucleus_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralLinearNucleusOfTheThalamus",
    abbreviation="VLi",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralLinearNucleusOfTheThalamus",
    name="ventral linear nucleus of the thalamus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_nucleus_of_the_lat_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralNucleusOfTheLatLemniscus",
    abbreviation="VLL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralNucleusOfTheLatLemniscus",
    name="ventral nucleus of the lat lemniscus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_orbital_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralOrbitalCortex",
    abbreviation="VO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralOrbitalCortex",
    name="ventral orbital cortex",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_pallidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPallidum",
    abbreviation="VP",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralPallidum",
    name="ventral pallidum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_part_of_claustrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPartOfClaustrum",
    abbreviation="VCl",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralPartOfClaustrum",
    name="ventral part of claustrum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_posterior_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteriorNucleusOfTheThalamusParvicellularPart",
    abbreviation="VPPC",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralPosteriorNucleusOfTheThalamusParvicellularPart",
    name="ventral posterior nucleus of the thalamus, parvicellular part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_posterolateral_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosterolateralThalamicNucleus",
    abbreviation="VPL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralPosterolateralThalamicNucleus",
    name="ventral posterolateral thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_posteromedial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralPosteromedialThalamicNucleus",
    abbreviation="VPM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralPosteromedialThalamicNucleus",
    name="ventral posteromedial thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_reuniens_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralReuniensThalamicNucleus",
    abbreviation="VRe",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralReuniensThalamicNucleus",
    name="ventral reuniens thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_spinocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTract",
    abbreviation="vsc",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralSpinocerebellarTract",
    name="ventral spinocerebellar tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_spinocerebellar_tract_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSpinocerebellarTractDecussation",
    abbreviation="vscx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralSpinocerebellarTractDecussation",
    name="ventral spinocerebellar tract decussation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralSubiculum",
    abbreviation="VS",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralSubiculum",
    name="ventral subiculum",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_tegmental_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalArea",
    abbreviation="VTA",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralTegmentalArea",
    name="ventral tegmental area",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_tegmental_area_rostral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalAreaRostralPart",
    abbreviation="VTAR",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralTegmentalAreaRostralPart",
    name="ventral tegmental area, rostral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_tegmental_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalDecussation",
    abbreviation="vtgx",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralTegmentalDecussation",
    name="ventral tegmental decussation",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTegmentalNucleus",
    abbreviation="VTg",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralTegmentalNucleus",
    name="ventral tegmental nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_tenia_tecta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTecta",
    abbreviation="VTT",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralTeniaTecta",
    name="ventral tenia tecta",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_tenia_tecta_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTeniaTectaLayer1",
    abbreviation="VTT1",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralTeniaTectaLayer1",
    name="ventral tenia tecta, layer 1",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventral_tuberomammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventralTuberomammillaryNucleus",
    abbreviation="VTM",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventralTuberomammillaryNucleus",
    name="ventral tuberomammillary nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventrolateral_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicNucleus",
    abbreviation="VLH",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventrolateralHypothalamicNucleus",
    name="ventrolateral hypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventrolateral_hypothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralHypothalamicTract",
    abbreviation="vlh",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventrolateralHypothalamicTract",
    name="ventrolateral hypothalamic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventrolateral_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPeriaqueductalGray",
    abbreviation="VLPAG",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventrolateralPeriaqueductalGray",
    name="ventrolateral periaqueductal gray",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventrolateral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralPreopticNucleus",
    abbreviation="VLPO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventrolateralPreopticNucleus",
    name="ventrolateral preoptic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventrolateral_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventrolateralThalamicNucleus",
    abbreviation="VL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventrolateralThalamicNucleus",
    name="ventrolateral thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventromedial_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleus",
    abbreviation="VMH",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleus",
    name="ventromedial hypothalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventromedial_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusAnteriorPart",
    abbreviation="VMHA",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusAnteriorPart",
    name="ventromedial hypothalamic nucleus, anterior part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventromedial_hypothalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusCentralPart",
    abbreviation="VMHC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusCentralPart",
    name="ventromedial hypothalamic nucleus, central part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventromedial_hypothalamic_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusDorsomedialPart",
    abbreviation="VMHDM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusDorsomedialPart",
    name="ventromedial hypothalamic nucleus, dorsomedial part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventromedial_hypothalamic_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusVentrolateralPart",
    abbreviation="VMHVL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventromedialHypothalamicNucleusVentrolateralPart",
    name="ventromedial hypothalamic nucleus, ventrolateral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventromedial_nucleus_of_the_hypothalamus_shell = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialNucleusOfTheHypothalamusShell",
    abbreviation="VMHSh",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_ventromedialNucleusOfTheHypothalamusShell",
    name="ventromedial nucleus of the hypothalamus shell",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventromedial_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialPreopticNucleus",
    abbreviation="VMPO",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventromedialPreopticNucleus",
    name="ventromedial preoptic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_ventromedial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_ventromedialThalamicNucleus",
    abbreviation="VM",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_ventromedialThalamicNucleus",
    name="ventromedial thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vertebral_artery = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vertebralArtery",
    abbreviation="vert",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_vertebralArtery",
    name="vertebral artery",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vestibular_root_of_the_vestibulocochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibularRootOfTheVestibulocochlearNerve",
    abbreviation="8vn",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_vestibularRootOfTheVestibulocochlearNerve",
    name="vestibular root of the vestibulocochlear nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vestibulocerebellar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocerebellarNucleus",
    abbreviation="VeCb",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_vestibulocerebellarNucleus",
    name="vestibulocerebellar nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vestibulocochlear_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearGanglion",
    abbreviation="8Gn",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_vestibulocochlearGanglion",
    name="vestibulocochlear ganglion",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vestibulocochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulocochlearNerve",
    abbreviation="8n",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_vestibulocochlearNerve",
    name="vestibulocochlear nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vestibulomesencephalic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulomesencephalicTract",
    abbreviation="veme",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_vestibulomesencephalicTract",
    name="vestibulomesencephalic tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vestibulospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vestibulospinalTract",
    abbreviation="vesp",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_vestibulospinalTract",
    name="vestibulospinal tract",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vomeronasal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerve",
    abbreviation="vn",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_vomeronasalNerve",
    name="vomeronasal nerve",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_vomeronasal_nerve_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_vomeronasalNerveLayer",
    abbreviation="VN",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_vomeronasalNerveLayer",
    name="vomeronasal nerve layer",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_xiphoid_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_xiphoidThalamicNucleus",
    abbreviation="Xi",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_xiphoidThalamicNucleus",
    name="xiphoid thalamic nucleus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_zona_incerta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncerta",
    abbreviation="ZI",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_zonaIncerta",
    name="zona incerta",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_zona_incerta_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaCaudalPart",
    abbreviation="ZIC",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_zonaIncertaCaudalPart",
    name="zona incerta, caudal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_zona_incerta_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaDorsalPart",
    abbreviation="ZID",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_zonaIncertaDorsalPart",
    name="zona incerta, dorsal part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_zona_incerta_rostral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaRostralPart",
    abbreviation="ZIR",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_zonaIncertaRostralPart",
    name="zona incerta, rostral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_zona_incerta_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaIncertaVentralPart",
    abbreviation="ZIV",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_zonaIncertaVentralPart",
    name="zona incerta, ventral part",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_zona_limitans = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonaLimitans",
    abbreviation="ZL",
    additional_remarks="Brain region name and abbreviation listed in both chapter 'List of Abbreviations' and chapter 'List of Structures' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from chapter 'List of Abbreviations'.",
    lookup_label="PW-RBSC-cor_6th-ed_zonaLimitans",
    name="zona limitans",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.pw_rbsc_cor_6th_ed_zonal_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/PW-RBSC-cor_6th-ed_zonalLayerOfTheSuperiorColliculus",
    abbreviation="Zo",
    additional_remarks="Brain region name and abbreviation only listed in chapter 'List of Abbreviations' of the 6th edition of The Rat Brain in Stereotaxic Coordinates (ISBN: 0-12-547612-4). Brain region name and abbreviation were taken from this chapter.",
    lookup_label="PW-RBSC-cor_6th-ed_zonalLayerOfTheSuperiorColliculus",
    name="zonal layer of the superior colliculus",
    version_identifier="6th ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed__ammons_horn_noguez = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_AmmonsHornNoguez",
    abbreviation="CA",
    lookup_label="SwansonBM_3rd-ed_AmmonsHornNoguez",
    name="Ammon’s horn [Noguez]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed__barringtons_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_BarringtonsNucleus",
    abbreviation="B",
    lookup_label="SwansonBM_3rd-ed_BarringtonsNucleus",
    name="Barrington’s nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed__edinger_westphal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_EdingerWestphalNucleus",
    abbreviation="EW",
    lookup_label="SwansonBM_3rd-ed_EdingerWestphalNucleus",
    name="Edinger-Westphal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed__kolliker_fuse_subnucleus_of_pb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_KollikerFuseSubnucleusOfPB",
    abbreviation="KF",
    lookup_label="SwansonBM_3rd-ed_KollikerFuseSubnucleusOfPB",
    name="Kölliker-Fuse subnucleus (of PB)",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed__onufs_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_OnufsNucleus",
    abbreviation="ON",
    lookup_label="SwansonBM_3rd-ed_OnufsNucleus",
    name="Onuf’s nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_abducens_nerve_eustachius = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_abducensNerveEustachius",
    abbreviation="VIn",
    lookup_label="SwansonBM_3rd-ed_abducensNerveEustachius",
    name="abducens nerve [Eustachius]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_abducensNucleus",
    abbreviation="VI",
    lookup_label="SwansonBM_3rd-ed_abducensNucleus",
    name="abducens nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_abducens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryAbducensNucleus",
    abbreviation="ACVI",
    lookup_label="SwansonBM_3rd-ed_accessoryAbducensNucleus",
    name="accessory abducens nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_facial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryFacialNucleus",
    abbreviation="ACVII",
    lookup_label="SwansonBM_3rd-ed_accessoryFacialNucleus",
    name="accessory facial nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_olfactory_bulb_balogh = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbBalogh",
    abbreviation="AOB",
    lookup_label="SwansonBM_3rd-ed_accessoryOlfactoryBulbBalogh",
    name="accessory olfactory bulb [Balogh]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_olfactory_bulb_glomerular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbGlomerularLayer",
    abbreviation="AOBgl",
    lookup_label="SwansonBM_3rd-ed_accessoryOlfactoryBulbGlomerularLayer",
    name="accessory olfactory bulb, glomerular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_olfactory_bulb_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbGranuleCellLayer",
    abbreviation="AOBgr",
    lookup_label="SwansonBM_3rd-ed_accessoryOlfactoryBulbGranuleCellLayer",
    name="accessory olfactory bulb, granule cell layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_olfactory_bulb_mitral_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryBulbMitralLayer",
    abbreviation="AOBmi",
    lookup_label="SwansonBM_3rd-ed_accessoryOlfactoryBulbMitralLayer",
    name="accessory olfactory bulb, mitral layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_olfactory_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryNerve",
    abbreviation="aIn",
    lookup_label="SwansonBM_3rd-ed_accessoryOlfactoryNerve",
    name="accessory olfactory nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOlfactoryTract",
    abbreviation="aolt",
    lookup_label="SwansonBM_3rd-ed_accessoryOlfactoryTract",
    name="accessory olfactory tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessoryOpticTract",
    abbreviation="aot",
    lookup_label="SwansonBM_3rd-ed_accessoryOpticTract",
    name="accessory optic tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_spinal_nerve_willis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessorySpinalNerveWillis",
    abbreviation="XIn",
    lookup_label="SwansonBM_3rd-ed_accessorySpinalNerveWillis",
    name="accessory spinal nerve [Willis]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_accessory_supraoptic_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_accessorySupraopticGroup",
    abbreviation="ASO",
    lookup_label="SwansonBM_3rd-ed_accessorySupraopticGroup",
    name="accessory supraoptic group",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_agranular_insular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularArea",
    abbreviation="AI",
    lookup_label="SwansonBM_3rd-ed_agranularInsularArea",
    name="agranular insular area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_agranular_insular_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularAreaDorsalPart",
    abbreviation="AId",
    lookup_label="SwansonBM_3rd-ed_agranularInsularAreaDorsalPart",
    name="agranular insular area, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_agranular_insular_area_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularAreaPosteriorPart",
    abbreviation="AIp",
    lookup_label="SwansonBM_3rd-ed_agranularInsularAreaPosteriorPart",
    name="agranular insular area, posterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_agranular_insular_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_agranularInsularAreaVentralPart",
    abbreviation="AIv",
    lookup_label="SwansonBM_3rd-ed_agranularInsularAreaVentralPart",
    name="agranular insular area, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_alveus_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_alveusBurdach",
    abbreviation="alv",
    lookup_label="SwansonBM_3rd-ed_alveusBurdach",
    name="alveus [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_amygdala_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_amygdalaBurdach",
    abbreviation="AMY",
    lookup_label="SwansonBM_3rd-ed_amygdalaBurdach",
    name="amygdala [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_amygdalar_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_amygdalarCapsule",
    abbreviation="amc",
    lookup_label="SwansonBM_3rd-ed_amygdalarCapsule",
    name="amygdalar capsule",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_angular_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_angularBundle",
    abbreviation="ab",
    lookup_label="SwansonBM_3rd-ed_angularBundle",
    name="angular bundle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ansa_peduncularis_gratiolet = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansaPeduncularisGratiolet",
    abbreviation="apd",
    lookup_label="SwansonBM_3rd-ed_ansaPeduncularisGratiolet",
    name="ansa peduncularis [Gratiolet]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ansiform_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansiformLobule",
    abbreviation="AN",
    lookup_label="SwansonBM_3rd-ed_ansiformLobule",
    name="ansiform lobule",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ansiform_lobule_crus1_sublobules_ad = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansiformLobuleCrus1SublobulesAd",
    abbreviation="ANcr1a-d",
    lookup_label="SwansonBM_3rd-ed_ansiformLobuleCrus1SublobulesAd",
    name="ansiform lobule, crus 1, sublobules a-d",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ansiform_lobule_crus2_sublobules_ab = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansiformLobuleCrus2SublobulesAb",
    abbreviation="ANcr2a,b",
    lookup_label="SwansonBM_3rd-ed_ansiformLobuleCrus2SublobulesAb",
    name="ansiform lobule, crus 2, sublobules a,b",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ansoparamedian_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ansoparamedianFissure",
    abbreviation="apf",
    lookup_label="SwansonBM_3rd-ed_ansoparamedianFissure",
    name="ansoparamedian fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_amygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorAmygdalarArea",
    abbreviation="AAA",
    lookup_label="SwansonBM_3rd-ed_anteriorAmygdalarArea",
    name="anterior amygdalar area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_cingulate_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCingulateArea",
    abbreviation="ACA",
    lookup_label="SwansonBM_3rd-ed_anteriorCingulateArea",
    name="anterior cingulate area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_cingulate_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCingulateAreaDorsalPart",
    abbreviation="ACAd",
    lookup_label="SwansonBM_3rd-ed_anteriorCingulateAreaDorsalPart",
    name="anterior cingulate area, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_cingulate_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCingulateAreaVentralPart",
    abbreviation="ACAv",
    lookup_label="SwansonBM_3rd-ed_anteriorCingulateAreaVentralPart",
    name="anterior cingulate area, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_commissure_olfactory_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCommissureOlfactoryLimb",
    abbreviation="aco",
    lookup_label="SwansonBM_3rd-ed_anteriorCommissureOlfactoryLimb",
    name="anterior commissure, olfactory limb",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_commissure_riolan = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCommissureRiolan",
    abbreviation="ac",
    lookup_label="SwansonBM_3rd-ed_anteriorCommissureRiolan",
    name="anterior commissure [Riolan]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_commissure_temporal_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorCommissureTemporalLimb",
    abbreviation="act",
    lookup_label="SwansonBM_3rd-ed_anteriorCommissureTemporalLimb",
    name="anterior commissure, temporal limb",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicArea",
    abbreviation="AHA",
    lookup_label="SwansonBM_3rd-ed_anteriorHypothalamicArea",
    name="anterior hypothalamic area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleus",
    abbreviation="AHN",
    lookup_label="SwansonBM_3rd-ed_anteriorHypothalamicNucleus",
    name="anterior hypothalamic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusAnteriorPart",
    abbreviation="AHNa",
    lookup_label="SwansonBM_3rd-ed_anteriorHypothalamicNucleusAnteriorPart",
    name="anterior hypothalamic nucleus, anterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_hypothalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusCentralPart",
    abbreviation="AHNc",
    lookup_label="SwansonBM_3rd-ed_anteriorHypothalamicNucleusCentralPart",
    name="anterior hypothalamic nucleus, central part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_hypothalamic_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusDorsalPart",
    abbreviation="AHNd",
    lookup_label="SwansonBM_3rd-ed_anteriorHypothalamicNucleusDorsalPart",
    name="anterior hypothalamic nucleus, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorHypothalamicNucleusPosteriorPart",
    abbreviation="AHNp",
    lookup_label="SwansonBM_3rd-ed_anteriorHypothalamicNucleusPosteriorPart",
    name="anterior hypothalamic nucleus, posterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_laterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorLaterolateralVisualArea",
    abbreviation="VISlla",
    lookup_label="SwansonBM_3rd-ed_anteriorLaterolateralVisualArea",
    name="anterior laterolateral visual area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_level_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorLevelHypothalamus",
    abbreviation="ANT",
    lookup_label="SwansonBM_3rd-ed_anteriorLevelHypothalamus",
    name="anterior level, hypothalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_lobe_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorLobeCerebellum",
    abbreviation="ALC",
    lookup_label="SwansonBM_3rd-ed_anteriorLobeCerebellum",
    name="anterior lobe cerebellum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_nuclei_dorsal_thalamus_nissl = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorNucleiDorsalThalamusNissl",
    abbreviation="ATN",
    lookup_label="SwansonBM_3rd-ed_anteriorNucleiDorsalThalamusNissl",
    name="anterior nuclei, dorsal thalamus [Nissl]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPart",
    abbreviation="AONd",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPart",
    name="anterior olfactory nucleus, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_dorsal_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPartMolecularLayer",
    abbreviation="AONd1",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPartMolecularLayer",
    name="anterior olfactory nucleus, dorsal part, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_dorsal_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPartPyramidalLayer",
    abbreviation="AONd2",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusDorsalPartPyramidalLayer",
    name="anterior olfactory nucleus, dorsal part, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_external_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPart",
    abbreviation="AONe",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPart",
    name="anterior olfactory nucleus, external part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_external_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPartMolecularLayer",
    abbreviation="AONe1",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPartMolecularLayer",
    name="anterior olfactory nucleus, external part, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_external_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPartPyramidalLayer",
    abbreviation="AONe2",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusExternalPartPyramidalLayer",
    name="anterior olfactory nucleus, external part, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_kolliker = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusKolliker",
    abbreviation="AON",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusKolliker",
    name="anterior olfactory nucleus [Kölliker]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPart",
    abbreviation="AONl",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPart",
    name="anterior olfactory nucleus, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_lateral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPartMolecularLayer",
    abbreviation="AONl1",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPartMolecularLayer",
    name="anterior olfactory nucleus, lateral part, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_lateral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPartPyramidalLayer",
    abbreviation="AONl2",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusLateralPartPyramidalLayer",
    name="anterior olfactory nucleus, lateral part, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPart",
    abbreviation="AONm",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPart",
    name="anterior olfactory nucleus, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_medial_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPartMolecularLayer",
    abbreviation="AONm1",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPartMolecularLayer",
    name="anterior olfactory nucleus, medial part, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_medial_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPartPyramidalLayer",
    abbreviation="AONm2",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusMedialPartPyramidalLayer",
    name="anterior olfactory nucleus, medial part, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPart",
    abbreviation="AONpv",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPart",
    name="anterior olfactory nucleus, posteroventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_posteroventral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPartMolecularLayer",
    abbreviation="AONpv1",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPartMolecularLayer",
    name="anterior olfactory nucleus, posteroventral part, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_olfactory_nucleus_posteroventral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPartPyramidalLayer",
    abbreviation="AONpv2",
    lookup_label="SwansonBM_3rd-ed_anteriorOlfactoryNucleusPosteroventralPartPyramidalLayer",
    name="anterior olfactory nucleus, posteroventral part, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorPretectalNucleus",
    abbreviation="APN",
    lookup_label="SwansonBM_3rd-ed_anteriorPretectalNucleus",
    name="anterior pretectal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterior_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteriorTegmentalNucleus",
    abbreviation="AT",
    lookup_label="SwansonBM_3rd-ed_anteriorTegmentalNucleus",
    name="anterior tegmental nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterodorsal_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anterodorsalNucleusThalamus",
    abbreviation="AD",
    lookup_label="SwansonBM_3rd-ed_anterodorsalNucleusThalamus",
    name="anterodorsal nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anterodorsalPreopticNucleus",
    abbreviation="ADP",
    lookup_label="SwansonBM_3rd-ed_anterodorsalPreopticNucleus",
    name="anterodorsal preoptic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anterolateralVisualArea",
    abbreviation="VISal",
    lookup_label="SwansonBM_3rd-ed_anterolateralVisualArea",
    name="anterolateral visual area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anteromedial_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialNucleusThalamus",
    abbreviation="AM",
    lookup_label="SwansonBM_3rd-ed_anteromedialNucleusThalamus",
    name="anteromedial nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anteromedial_nucleus_thalamus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialNucleusThalamusDorsalPart",
    abbreviation="AMd",
    lookup_label="SwansonBM_3rd-ed_anteromedialNucleusThalamusDorsalPart",
    name="anteromedial nucleus thalamus, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anteromedial_nucleus_thalamus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialNucleusThalamusVentralPart",
    abbreviation="AMv",
    lookup_label="SwansonBM_3rd-ed_anteromedialNucleusThalamusVentralPart",
    name="anteromedial nucleus thalamus, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anteromedial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteromedialVisualArea",
    abbreviation="VISam",
    lookup_label="SwansonBM_3rd-ed_anteromedialVisualArea",
    name="anteromedial visual area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anteroventral_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteroventralNucleusThalamus",
    abbreviation="AV",
    lookup_label="SwansonBM_3rd-ed_anteroventralNucleusThalamus",
    name="anteroventral nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anteroventral_periventricular_nucleus_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteroventralPeriventricularNucleusHypothalamus",
    abbreviation="AVPV",
    lookup_label="SwansonBM_3rd-ed_anteroventralPeriventricularNucleusHypothalamus",
    name="anteroventral periventricular nucleus hypothalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_anteroventral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_anteroventralPreopticNucleus",
    abbreviation="AVP",
    lookup_label="SwansonBM_3rd-ed_anteroventralPreopticNucleus",
    name="anteroventral preoptic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_arachnoid = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_arachnoid",
    abbreviation="A",
    lookup_label="SwansonBM_3rd-ed_arachnoid",
    name="arachnoid",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_arbor_vitae = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_arborVitae",
    abbreviation="arb",
    lookup_label="SwansonBM_3rd-ed_arborVitae",
    name="arbor vitae",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_arcuate_hypothalamic_nucleus_clark = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_arcuateHypothalamicNucleusClark",
    abbreviation="ARH",
    lookup_label="SwansonBM_3rd-ed_arcuateHypothalamicNucleusClark",
    name="arcuate hypothalamic nucleus [Clark]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_area_postrema = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_areaPostrema",
    abbreviation="AP",
    lookup_label="SwansonBM_3rd-ed_areaPostrema",
    name="area postrema",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_auditory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_auditoryAreas",
    abbreviation="AUD",
    lookup_label="SwansonBM_3rd-ed_auditoryAreas",
    name="auditory areas",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_autonomic_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_autonomicGanglia",
    abbreviation="GA",
    lookup_label="SwansonBM_3rd-ed_autonomicGanglia",
    name="autonomic ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_autonomic_nervous_system_langley = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_autonomicNervousSystemLangley",
    abbreviation="ANS",
    lookup_label="SwansonBM_3rd-ed_autonomicNervousSystemLangley",
    name="autonomic nervous system [Langley]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_basal_nucleus_of_the_dorsal_horn = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basalNucleusOfTheDorsalHorn",
    abbreviation="BN",
    lookup_label="SwansonBM_3rd-ed_basalNucleusOfTheDorsalHorn",
    name="basal nucleus of the dorsal horn",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_basal_nucleus_of_the_dorsal_horn_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basalNucleusOfTheDorsalHornGeneral",
    abbreviation="BNg",
    lookup_label="SwansonBM_3rd-ed_basalNucleusOfTheDorsalHornGeneral",
    name="basal nucleus of the dorsal horn, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_basolateral_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basolateralAmygdalarNucleus",
    abbreviation="BLA",
    lookup_label="SwansonBM_3rd-ed_basolateralAmygdalarNucleus",
    name="basolateral amygdalar nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_basolateral_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basolateralAmygdalarNucleusAnteriorPart",
    abbreviation="BLAa",
    lookup_label="SwansonBM_3rd-ed_basolateralAmygdalarNucleusAnteriorPart",
    name="basolateral amygdalar nucleus, anterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_basolateral_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basolateralAmygdalarNucleusPosteriorPart",
    abbreviation="BLAp",
    lookup_label="SwansonBM_3rd-ed_basolateralAmygdalarNucleusPosteriorPart",
    name="basolateral amygdalar nucleus, posterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_basomedial_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basomedialAmygdalarNucleus",
    abbreviation="BMA",
    lookup_label="SwansonBM_3rd-ed_basomedialAmygdalarNucleus",
    name="basomedial amygdalar nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_basomedial_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basomedialAmygdalarNucleusAnteriorPart",
    abbreviation="BMAa",
    lookup_label="SwansonBM_3rd-ed_basomedialAmygdalarNucleusAnteriorPart",
    name="basomedial amygdalar nucleus, anterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_basomedial_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_basomedialAmygdalarNucleusPosteriorPart",
    abbreviation="BMAp",
    lookup_label="SwansonBM_3rd-ed_basomedialAmygdalarNucleusPosteriorPart",
    name="basomedial amygdalar nucleus, posterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivision",
    abbreviation="BSTa",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivision",
    name="bed nuclei stria terminalis, anterior division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division_anterolateral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionAnterolateralArea",
    abbreviation="BSTal",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionAnterolateralArea",
    name="bed nuclei stria terminalis, anterior division, anterolateral area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division_anteromedial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionAnteromedialArea",
    abbreviation="BSTam",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionAnteromedialArea",
    name="bed nuclei stria terminalis, anterior division, anteromedial area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division_dorsomedial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    abbreviation="BSTdm",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionDorsomedialNucleus",
    name="bed nuclei stria terminalis, anterior division, dorsomedial nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division_fusiform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionFusiformNucleus",
    abbreviation="BSTfu",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionFusiformNucleus",
    name="bed nuclei stria terminalis, anterior division, fusiform nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division_juxtacapsular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    abbreviation="BSTju",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionJuxtacapsularNucleus",
    name="bed nuclei stria terminalis, anterior division, juxtacapsular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division_magnocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    abbreviation="BSTmg",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionMagnocellularNucleus",
    name="bed nuclei stria terminalis, anterior division, magnocellular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division_oval_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionOvalNucleus",
    abbreviation="BSTov",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionOvalNucleus",
    name="bed nuclei stria terminalis, anterior division, oval nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division_rhomboid_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionRhomboidNucleus",
    abbreviation="BSTrh",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionRhomboidNucleus",
    name="bed nuclei stria terminalis, anterior division, rhomboid nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division_subcommissural_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionSubcommissuralZone",
    abbreviation="BSTsc",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionSubcommissuralZone",
    name="bed nuclei stria terminalis, anterior division, subcommissural zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_anterior_division_ventral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionVentralNucleus",
    abbreviation="BSTv",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisAnteriorDivisionVentralNucleus",
    name="bed nuclei stria terminalis, anterior division, ventral nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_johnston = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisJohnston",
    abbreviation="BST",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisJohnston",
    name="bed nuclei stria terminalis [Johnston]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_posterior_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivision",
    abbreviation="BSTp",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivision",
    name="bed nuclei stria terminalis, posterior division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_posterior_division_cellsparse_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionCellsparseZone",
    abbreviation="BSTsz",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionCellsparseZone",
    name="bed nuclei stria terminalis, posterior division, cell-sparse zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_posterior_division_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionDorsalNucleus",
    abbreviation="BSTd",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionDorsalNucleus",
    name="bed nuclei stria terminalis, posterior division, dorsal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_posterior_division_interfascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    abbreviation="BSTif",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionInterfascicularNucleus",
    name="bed nuclei stria terminalis, posterior division, interfascicular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_posterior_division_premedullary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionPremedullaryNucleus",
    abbreviation="BSTpm",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionPremedullaryNucleus",
    name="bed nuclei stria terminalis, posterior division, premedullary nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_posterior_division_principal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionPrincipalNucleus",
    abbreviation="BSTpr",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionPrincipalNucleus",
    name="bed nuclei stria terminalis, posterior division, principal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_posterior_division_strial_extension = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionStrialExtension",
    abbreviation="BSTse",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionStrialExtension",
    name="bed nuclei stria terminalis, posterior division, strial extension",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nuclei_stria_terminalis_posterior_division_transverse_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionTransverseNucleus",
    abbreviation="BSTtr",
    lookup_label="SwansonBM_3rd-ed_bedNucleiStriaTerminalisPosteriorDivisionTransverseNucleus",
    name="bed nuclei stria terminalis, posterior division, transverse nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nucleus_accessory_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleusAccessoryOlfactoryTract",
    abbreviation="BA",
    lookup_label="SwansonBM_3rd-ed_bedNucleusAccessoryOlfactoryTract",
    name="bed nucleus accessory olfactory tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nucleus_anterior_commissure_gurdjian = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleusAnteriorCommissureGurdjian",
    abbreviation="BAC",
    lookup_label="SwansonBM_3rd-ed_bedNucleusAnteriorCommissureGurdjian",
    name="bed nucleus anterior commissure [Gurdjian]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bed_nucleus_of_the_stria_medullaris_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bedNucleusOfTheStriaMedullarisCajal",
    abbreviation="BSM",
    lookup_label="SwansonBM_3rd-ed_bedNucleusOfTheStriaMedullarisCajal",
    name="bed nucleus of the stria medullaris [Cajal]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_behavior_control_column = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_behaviorControlColumn",
    abbreviation="BCC",
    lookup_label="SwansonBM_3rd-ed_behaviorControlColumn",
    name="behavior control column",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_behavioral_state_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_behavioralStateSystem",
    abbreviation="STA",
    lookup_label="SwansonBM_3rd-ed_behavioralStateSystem",
    name="behavioral state system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_brachial_plexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brachialPlexus",
    abbreviation="bp",
    lookup_label="SwansonBM_3rd-ed_brachialPlexus",
    name="brachial plexus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_brachium_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brachiumOfTheInferiorColliculus",
    abbreviation="bic",
    lookup_label="SwansonBM_3rd-ed_brachiumOfTheInferiorColliculus",
    name="brachium of the inferior colliculus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brachiumOfTheSuperiorColliculus",
    abbreviation="bsc",
    lookup_label="SwansonBM_3rd-ed_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_brain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brain",
    abbreviation="BR",
    lookup_label="SwansonBM_3rd-ed_brain",
    name="brain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_brainstem = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_brainstem",
    abbreviation="BS",
    lookup_label="SwansonBM_3rd-ed_brainstem",
    name="brainstem",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_bulbocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_bulbocerebellarTract",
    abbreviation="bct",
    lookup_label="SwansonBM_3rd-ed_bulbocerebellarTract",
    name="bulbocerebellar tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_caudal_intracentral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_caudalIntracentralFissure",
    abbreviation="icec",
    lookup_label="SwansonBM_3rd-ed_caudalIntracentralFissure",
    name="caudal intracentral fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_caudoputamen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_caudoputamen",
    abbreviation="CP",
    lookup_label="SwansonBM_3rd-ed_caudoputamen",
    name="caudoputamen",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_celiac_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_celiacGanglion",
    abbreviation="GCE",
    lookup_label="SwansonBM_3rd-ed_celiacGanglion",
    name="celiac ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleus",
    abbreviation="CEA",
    lookup_label="SwansonBM_3rd-ed_centralAmygdalarNucleus",
    name="central amygdalar nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_amygdalar_nucleus_capsular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleusCapsularPart",
    abbreviation="CEAc",
    lookup_label="SwansonBM_3rd-ed_centralAmygdalarNucleusCapsularPart",
    name="central amygdalar nucleus, capsular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_amygdalar_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleusLateralPart",
    abbreviation="CEAl",
    lookup_label="SwansonBM_3rd-ed_centralAmygdalarNucleusLateralPart",
    name="central amygdalar nucleus, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_amygdalar_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralAmygdalarNucleusMedialPart",
    abbreviation="CEAm",
    lookup_label="SwansonBM_3rd-ed_centralAmygdalarNucleusMedialPart",
    name="central amygdalar nucleus, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_canal_spinal_cordmedulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralCanalSpinalCordmedulla",
    abbreviation="C",
    lookup_label="SwansonBM_3rd-ed_centralCanalSpinalCordmedulla",
    name="central canal, spinal cord/medulla",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_cervical_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralCervicalNucleus",
    abbreviation="CEC",
    lookup_label="SwansonBM_3rd-ed_centralCervicalNucleus",
    name="central cervical nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralGray",
    abbreviation="CG",
    lookup_label="SwansonBM_3rd-ed_centralGray",
    name="central gray",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_gray_brain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralGrayBrain",
    abbreviation="CGB",
    lookup_label="SwansonBM_3rd-ed_centralGrayBrain",
    name="central gray brain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_lateral_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLateralNucleusThalamus",
    abbreviation="CL",
    lookup_label="SwansonBM_3rd-ed_centralLateralNucleusThalamus",
    name="central lateral nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_linear_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLinearNucleusRaphe",
    abbreviation="CLI",
    lookup_label="SwansonBM_3rd-ed_centralLinearNucleusRaphe",
    name="central linear nucleus raphé",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLobule",
    abbreviation="CENT",
    lookup_label="SwansonBM_3rd-ed_centralLobule",
    name="central lobule",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_lobule_lobule_ii_sublobules_ab = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLobuleLobuleIISublobulesAb",
    abbreviation="CENT2a,b",
    lookup_label="SwansonBM_3rd-ed_centralLobuleLobuleIISublobulesAb",
    name="central lobule, lobule II, sublobules a,b",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_lobule_lobule_iii_sublobules_ab = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralLobuleLobuleIIISublobulesAb",
    abbreviation="CENT3a,b",
    lookup_label="SwansonBM_3rd-ed_centralLobuleLobuleIIISublobulesAb",
    name="central lobule, lobule III, sublobules a,b",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_medial_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralMedialNucleusThalamus",
    abbreviation="CM",
    lookup_label="SwansonBM_3rd-ed_centralMedialNucleusThalamus",
    name="central medial nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_nervous_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralNervousSystem",
    abbreviation="CNS",
    lookup_label="SwansonBM_3rd-ed_centralNervousSystem",
    name="central nervous system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_nervous_system_gray_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralNervousSystemGrayMatter",
    abbreviation="CNSg",
    lookup_label="SwansonBM_3rd-ed_centralNervousSystemGrayMatter",
    name="central nervous system gray matter",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_nervous_system_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralNervousSystemWhiteMatter",
    abbreviation="cnsw",
    lookup_label="SwansonBM_3rd-ed_centralNervousSystemWhiteMatter",
    name="central nervous system white matter",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_central_tegmental_bundle_bechterew = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_centralTegmentalBundleBechterew",
    abbreviation="ctb",
    lookup_label="SwansonBM_3rd-ed_centralTegmentalBundleBechterew",
    name="central tegmental bundle [Bechterew]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebellar_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCommissure",
    abbreviation="cbc",
    lookup_label="SwansonBM_3rd-ed_cerebellarCommissure",
    name="cerebellar commissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebellar_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortex",
    abbreviation="CBX",
    lookup_label="SwansonBM_3rd-ed_cerebellarCortex",
    name="cerebellar cortex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebellar_cortex_granule_cell_layer_inner = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexGranuleCellLayerInner",
    abbreviation="CBXg",
    lookup_label="SwansonBM_3rd-ed_cerebellarCortexGranuleCellLayerInner",
    name="cerebellar cortex, granule cell layer (inner)",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebellar_cortex_grooves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexGrooves",
    abbreviation="grvcb",
    lookup_label="SwansonBM_3rd-ed_cerebellarCortexGrooves",
    name="cerebellar cortex grooves",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebellar_cortex_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexMolecularLayer",
    abbreviation="CBXm",
    lookup_label="SwansonBM_3rd-ed_cerebellarCortexMolecularLayer",
    name="cerebellar cortex, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebellar_cortex_purkinje_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarCortexPurkinjeLayer",
    abbreviation="CBXp",
    lookup_label="SwansonBM_3rd-ed_cerebellarCortexPurkinjeLayer",
    name="cerebellar cortex, Purkinje layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebellar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarNuclei",
    abbreviation="CBN",
    lookup_label="SwansonBM_3rd-ed_cerebellarNuclei",
    name="cerebellar nuclei",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebellar_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellarPeduncles",
    abbreviation="cbp",
    lookup_label="SwansonBM_3rd-ed_cerebellarPeduncles",
    name="cerebellar peduncles",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebellum_herophilus_erasistratus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellumHerophilusErasistratus",
    abbreviation="CB",
    lookup_label="SwansonBM_3rd-ed_cerebellumHerophilusErasistratus",
    name="cerebellum [Herophilus, Erasistratus]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebellum_related_fiber_tracts = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebellumRelatedFiberTracts",
    abbreviation="cbf",
    lookup_label="SwansonBM_3rd-ed_cerebellumRelatedFiberTracts",
    name="cerebellum related fiber tracts",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_aqueduct_collicular_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralAqueductCollicularRecess",
    abbreviation="AQc",
    lookup_label="SwansonBM_3rd-ed_cerebralAqueductCollicularRecess",
    name="cerebral aqueduct, collicular recess",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_aqueduct_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralAqueductGeneral",
    abbreviation="AQg",
    lookup_label="SwansonBM_3rd-ed_cerebralAqueductGeneral",
    name="cerebral aqueduct, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_aqueduct_proper_sylvius = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralAqueductProperSylvius",
    abbreviation="AQ",
    lookup_label="SwansonBM_3rd-ed_cerebralAqueductProperSylvius",
    name="cerebral aqueduct proper [Sylvius]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortex",
    abbreviation="CTX",
    lookup_label="SwansonBM_3rd-ed_cerebralCortex",
    name="cerebral cortex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_cortex_cortical_plate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexCorticalPlate",
    abbreviation="CTXpl",
    lookup_label="SwansonBM_3rd-ed_cerebralCortexCorticalPlate",
    name="cerebral cortex, cortical plate",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_cortex_grooves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexGrooves",
    abbreviation="grvc",
    lookup_label="SwansonBM_3rd-ed_cerebralCortexGrooves",
    name="cerebral cortex grooves",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_cortex_polymodal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexPolymodalAssociationCortex",
    abbreviation="CTXpm",
    lookup_label="SwansonBM_3rd-ed_cerebralCortexPolymodalAssociationCortex",
    name="cerebral cortex, polymodal association cortex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_cortex_sensorymotor_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexSensorymotorCortex",
    abbreviation="CTXsm",
    lookup_label="SwansonBM_3rd-ed_cerebralCortexSensorymotorCortex",
    name="cerebral cortex, sensory-motor cortex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_cortex_subplate_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralCortexSubplateRegion",
    abbreviation="CTXsp",
    lookup_label="SwansonBM_3rd-ed_cerebralCortexSubplateRegion",
    name="cerebral cortex, subplate region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralNuclei",
    abbreviation="CNU",
    lookup_label="SwansonBM_3rd-ed_cerebralNuclei",
    name="cerebral nuclei",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebral_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebralPeduncle",
    abbreviation="cpd",
    lookup_label="SwansonBM_3rd-ed_cerebralPeduncle",
    name="cerebral peduncle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebrospinal_fluid = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebrospinalFluid",
    abbreviation="CSF",
    lookup_label="SwansonBM_3rd-ed_cerebrospinalFluid",
    name="cerebrospinal fluid",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebrospinal_trunk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebrospinalTrunk",
    abbreviation="TK",
    lookup_label="SwansonBM_3rd-ed_cerebrospinalTrunk",
    name="cerebrospinal trunk",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cerebrum_cerebral_hemispheres_endbrain_telencephalon = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cerebrumCerebralHemispheresEndbrainTelencephalon",
    abbreviation="CH",
    lookup_label="SwansonBM_3rd-ed_cerebrumCerebralHemispheresEndbrainTelencephalon",
    name="cerebrum (cerebral hemispheres, endbrain, telencephalon)",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cervical_plexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cervicalPlexus",
    abbreviation="cep",
    lookup_label="SwansonBM_3rd-ed_cervicalPlexus",
    name="cervical plexus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cervical_spinal_ganglia18 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cervicalSpinalGanglia18",
    abbreviation="G-C1-8",
    lookup_label="SwansonBM_3rd-ed_cervicalSpinalGanglia18",
    name="cervical spinal ganglia, 1-8",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cervicothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cervicothalamicTract",
    abbreviation="cett",
    lookup_label="SwansonBM_3rd-ed_cervicothalamicTract",
    name="cervicothalamic tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_choroid_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissure",
    abbreviation="chf",
    lookup_label="SwansonBM_3rd-ed_choroidFissure",
    name="choroid fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_choroid_fissure_fourth_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissureFourthVentricle",
    abbreviation="chf4",
    lookup_label="SwansonBM_3rd-ed_choroidFissureFourthVentricle",
    name="choroid fissure, fourth ventricle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_choroid_fissure_lateral_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissureLateralVentricle",
    abbreviation="chfl",
    lookup_label="SwansonBM_3rd-ed_choroidFissureLateralVentricle",
    name="choroid fissure, lateral ventricle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_choroid_fissure_third_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidFissureThirdVentricle",
    abbreviation="chf3",
    lookup_label="SwansonBM_3rd-ed_choroidFissureThirdVentricle",
    name="choroid fissure, third ventricle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_choroid_plexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexus",
    abbreviation="chp",
    lookup_label="SwansonBM_3rd-ed_choroidPlexus",
    name="choroid plexus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_choroid_plexus_fourth_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexusFourthVentricle",
    abbreviation="chp4",
    lookup_label="SwansonBM_3rd-ed_choroidPlexusFourthVentricle",
    name="choroid plexus, fourth ventricle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_choroid_plexus_lateral_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexusLateralVentricle",
    abbreviation="chpl",
    lookup_label="SwansonBM_3rd-ed_choroidPlexusLateralVentricle",
    name="choroid plexus, lateral ventricle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_choroid_plexus_third_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidPlexusThirdVentricle",
    abbreviation="chp3",
    lookup_label="SwansonBM_3rd-ed_choroidPlexusThirdVentricle",
    name="choroid plexus, third ventricle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_choroidal_fissure_eye = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_choroidalFissureEye",
    abbreviation="cho",
    lookup_label="SwansonBM_3rd-ed_choroidalFissureEye",
    name="choroidal fissure (eye)",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ciliary_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ciliaryGanglion",
    abbreviation="GcIII",
    lookup_label="SwansonBM_3rd-ed_ciliaryGanglion",
    name="ciliary ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ciliary_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ciliaryNerve",
    abbreviation="cin",
    lookup_label="SwansonBM_3rd-ed_ciliaryNerve",
    name="ciliary nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cingulate_region_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cingulateRegionBurdach",
    abbreviation="CNG",
    lookup_label="SwansonBM_3rd-ed_cingulateRegionBurdach",
    name="cingulate region [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cingulum_bundle_reil = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cingulumBundleReil",
    abbreviation="cing",
    lookup_label="SwansonBM_3rd-ed_cingulumBundleReil",
    name="cingulum bundle [Reil]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_claustrum_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_claustrumBurdach",
    abbreviation="CLA",
    lookup_label="SwansonBM_3rd-ed_claustrumBurdach",
    name="claustrum [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_coccygeal_spinal_ganglia13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_coccygealSpinalGanglia13",
    abbreviation="G-Co1-3",
    lookup_label="SwansonBM_3rd-ed_coccygealSpinalGanglia13",
    name="coccygeal spinal ganglia, 1-3",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_coccygeal_sympathetic_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_coccygealSympatheticGanglion",
    abbreviation="Gs-C",
    lookup_label="SwansonBM_3rd-ed_coccygealSympatheticGanglion",
    name="coccygeal sympathetic ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNerve",
    abbreviation="cVIIIn",
    lookup_label="SwansonBM_3rd-ed_cochlearNerve",
    name="cochlear nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cochlear_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNuclei",
    abbreviation="CN",
    lookup_label="SwansonBM_3rd-ed_cochlearNuclei",
    name="cochlear nuclei",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cochlear_nuclei_granular_lamina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNucleiGranularLamina",
    abbreviation="CNlam",
    lookup_label="SwansonBM_3rd-ed_cochlearNucleiGranularLamina",
    name="cochlear nuclei, granular lamina",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cochlear_nuclei_subpeduncular_granular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cochlearNucleiSubpeduncularGranularRegion",
    abbreviation="CNspg",
    lookup_label="SwansonBM_3rd-ed_cochlearNucleiSubpeduncularGranularRegion",
    name="cochlear nuclei, subpeduncular granular region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_columns_of_the_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_columnsOfTheFornix",
    abbreviation="fx",
    lookup_label="SwansonBM_3rd-ed_columnsOfTheFornix",
    name="columns of the fornix",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_commissural_nucleus_periaqueductal_gray_paxinos_watson = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_commissuralNucleusPeriaqueductalGrayPaxinosWatson",
    abbreviation="COM",
    lookup_label="SwansonBM_3rd-ed_commissuralNucleusPeriaqueductalGrayPaxinosWatson",
    name="commissural nucleus, periaqueductal gray [Paxinos-Watson]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_copula_pyramidis_sublobules_ab = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_copulaPyramidisSublobulesAb",
    abbreviation="COPYa,b",
    lookup_label="SwansonBM_3rd-ed_copulaPyramidisSublobulesAb",
    name="copula pyramidis, sublobules a,b",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corpus_callosum_anterior_forceps_arnold = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumAnteriorForcepsArnold",
    abbreviation="fa",
    lookup_label="SwansonBM_3rd-ed_corpusCallosumAnteriorForcepsArnold",
    name="corpus callosum, anterior forceps [Arnold]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corpus_callosum_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumBody",
    abbreviation="ccb",
    lookup_label="SwansonBM_3rd-ed_corpusCallosumBody",
    name="corpus callosum, body",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corpus_callosum_galen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumGalen",
    abbreviation="cc",
    lookup_label="SwansonBM_3rd-ed_corpusCallosumGalen",
    name="corpus callosum [Galen]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corpus_callosum_genu = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumGenu",
    abbreviation="ccg",
    lookup_label="SwansonBM_3rd-ed_corpusCallosumGenu",
    name="corpus callosum, genu",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corpus_callosum_posterior_forceps_arnold = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumPosteriorForcepsArnold",
    abbreviation="fp",
    lookup_label="SwansonBM_3rd-ed_corpusCallosumPosteriorForcepsArnold",
    name="corpus callosum, posterior forceps [Arnold]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corpus_callosum_rostrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumRostrum",
    abbreviation="ccr",
    lookup_label="SwansonBM_3rd-ed_corpusCallosumRostrum",
    name="corpus callosum, rostrum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corpus_callosum_splenium_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corpusCallosumSpleniumBurdach",
    abbreviation="ccs",
    lookup_label="SwansonBM_3rd-ed_corpusCallosumSpleniumBurdach",
    name="corpus callosum, splenium [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cortical_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleus",
    abbreviation="COA",
    lookup_label="SwansonBM_3rd-ed_corticalAmygdalarNucleus",
    name="cortical amygdalar nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cortical_amygdalar_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusAnteriorPart",
    abbreviation="COAa",
    lookup_label="SwansonBM_3rd-ed_corticalAmygdalarNucleusAnteriorPart",
    name="cortical amygdalar nucleus, anterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cortical_amygdalar_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPart",
    abbreviation="COAp",
    lookup_label="SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPart",
    name="cortical amygdalar nucleus, posterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cortical_amygdalar_nucleus_posterior_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPartLateralZone",
    abbreviation="COApl",
    lookup_label="SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPartLateralZone",
    name="cortical amygdalar nucleus, posterior part, lateral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cortical_amygdalar_nucleus_posterior_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPartMedialZone",
    abbreviation="COApm",
    lookup_label="SwansonBM_3rd-ed_corticalAmygdalarNucleusPosteriorPartMedialZone",
    name="cortical amygdalar nucleus, posterior part, medial zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corticobulbar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticobulbarTract",
    abbreviation="cbt",
    lookup_label="SwansonBM_3rd-ed_corticobulbarTract",
    name="corticobulbar tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corticopontine_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticopontineTract",
    abbreviation="cpt",
    lookup_label="SwansonBM_3rd-ed_corticopontineTract",
    name="corticopontine tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corticorubral_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticorubralTract",
    abbreviation="crt",
    lookup_label="SwansonBM_3rd-ed_corticorubralTract",
    name="corticorubral tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corticospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticospinalTract",
    abbreviation="cst",
    lookup_label="SwansonBM_3rd-ed_corticospinalTract",
    name="corticospinal tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corticospinal_tract_uncrossed_burdach_turck = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticospinalTractUncrossedBurdachTurck",
    abbreviation="cstu",
    lookup_label="SwansonBM_3rd-ed_corticospinalTractUncrossedBurdachTurck",
    name="corticospinal tract, uncrossed [Burdach, Türck]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_corticotectal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_corticotectalTract",
    abbreviation="cte",
    lookup_label="SwansonBM_3rd-ed_corticotectalTract",
    name="corticotectal tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cranial_nerves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialNerves",
    abbreviation="cran",
    lookup_label="SwansonBM_3rd-ed_cranialNerves",
    name="cranial nerves",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cranial_parasympathetic_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialParasympatheticGanglia",
    abbreviation="GPC",
    lookup_label="SwansonBM_3rd-ed_cranialParasympatheticGanglia",
    name="cranial parasympathetic ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cranial_plexuses = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialPlexuses",
    abbreviation="plxc",
    lookup_label="SwansonBM_3rd-ed_cranialPlexuses",
    name="cranial plexuses",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cranial_sensory_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cranialSensoryGanglia",
    abbreviation="GCR",
    lookup_label="SwansonBM_3rd-ed_cranialSensoryGanglia",
    name="cranial sensory ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_crus1_fissures13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_crus1Fissures13",
    abbreviation="cr1f1-3",
    lookup_label="SwansonBM_3rd-ed_crus1Fissures13",
    name="crus 1, fissures 1-3",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_crus2_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_crus2Fissure",
    abbreviation="cr2f",
    lookup_label="SwansonBM_3rd-ed_crus2Fissure",
    name="crus 2 fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_culmen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_culmen",
    abbreviation="CUL",
    lookup_label="SwansonBM_3rd-ed_culmen",
    name="culmen",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_culmen_lobules_ivv = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_culmenLobulesIVV",
    abbreviation="CUL4,5",
    lookup_label="SwansonBM_3rd-ed_culmenLobulesIVV",
    name="culmen, lobules IV,V",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cuneate_fascicle_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneateFascicleBurdach",
    abbreviation="cuf",
    lookup_label="SwansonBM_3rd-ed_cuneateFascicleBurdach",
    name="cuneate fascicle [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cuneate_nucleus_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneateNucleusBurdach",
    abbreviation="CU",
    lookup_label="SwansonBM_3rd-ed_cuneateNucleusBurdach",
    name="cuneate nucleus [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cuneiform_nucleus_castaldi = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneiformNucleusCastaldi",
    abbreviation="CUN",
    lookup_label="SwansonBM_3rd-ed_cuneiformNucleusCastaldi",
    name="cuneiform nucleus [Castaldi]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_cuneocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_cuneocerebellarTract",
    abbreviation="cct",
    lookup_label="SwansonBM_3rd-ed_cuneocerebellarTract",
    name="cuneocerebellar tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_declival_fissure2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_declivalFissure2",
    abbreviation="def2",
    lookup_label="SwansonBM_3rd-ed_declivalFissure2",
    name="declival fissure 2",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_declive_vi_sublobules_ad = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_decliveVISublobulesAd",
    abbreviation="DECa-d",
    lookup_label="SwansonBM_3rd-ed_decliveVISublobulesAd",
    name="declive (VI), sublobules a-d",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_decussation_of_the_trochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_decussationOfTheTrochlearNerve",
    abbreviation="IVd",
    lookup_label="SwansonBM_3rd-ed_decussationOfTheTrochlearNerve",
    name="decussation of the trochlear nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_deep_cerebellar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_deepCerebellarNuclei",
    abbreviation="DNC",
    lookup_label="SwansonBM_3rd-ed_deepCerebellarNuclei",
    name="deep cerebellar nuclei",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_crest = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrest",
    abbreviation="DGcr",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusCrest",
    name="dentate gyrus, crest",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_crestgranule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrestgranuleCellLayer",
    abbreviation="DGcr-sg",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusCrestgranuleCellLayer",
    name="dentate gyrus, crest-granule cell layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_crestmolecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrestmolecularLayer",
    abbreviation="DGcr-mo",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusCrestmolecularLayer",
    name="dentate gyrus, crest-molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_crestpolymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusCrestpolymorphLayer",
    abbreviation="DGcr-po",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusCrestpolymorphLayer",
    name="dentate gyrus, crest-polymorph layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_lateral_blade = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBlade",
    abbreviation="DGlb",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusLateralBlade",
    name="dentate gyrus, lateral blade",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_lateral_bladegranule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBladegranuleCellLayer",
    abbreviation="DGlb-sg",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusLateralBladegranuleCellLayer",
    name="dentate gyrus, lateral blade-granule cell layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_lateral_blademolecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBlademolecularLayer",
    abbreviation="DGlb-mo",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusLateralBlademolecularLayer",
    name="dentate gyrus, lateral blade-molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_lateral_bladepolymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusLateralBladepolymorphLayer",
    abbreviation="DGlb-po",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusLateralBladepolymorphLayer",
    name="dentate gyrus, lateral blade-polymorph layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_medial_blade = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBlade",
    abbreviation="DGmb",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusMedialBlade",
    name="dentate gyrus, medial blade",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_medial_bladegranule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBladegranuleCellLayer",
    abbreviation="DGmb-sg",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusMedialBladegranuleCellLayer",
    name="dentate gyrus, medial blade-granule cell layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_medial_blademolecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBlademolecularLayer",
    abbreviation="DGmb-mo",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusMedialBlademolecularLayer",
    name="dentate gyrus, medial blade-molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_medial_bladepolymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusMedialBladepolymorphLayer",
    abbreviation="DGmb-po",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusMedialBladepolymorphLayer",
    name="dentate gyrus, medial blade-polymorph layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_gyrus_tarin = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateGyrusTarin",
    abbreviation="DG",
    lookup_label="SwansonBM_3rd-ed_dentateGyrusTarin",
    name="dentate gyrus [Tarin]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateNucleusMagnocellularPart",
    abbreviation="DNm",
    lookup_label="SwansonBM_3rd-ed_dentateNucleusMagnocellularPart",
    name="dentate nucleus, magnocellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateNucleusParvicellularPart",
    abbreviation="DNp",
    lookup_label="SwansonBM_3rd-ed_dentateNucleusParvicellularPart",
    name="dentate nucleus, parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dentate_nucleus_vicq_d_azyr = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dentateNucleusVicqDAzyr",
    abbreviation="DN",
    lookup_label="SwansonBM_3rd-ed_dentateNucleusVicqDAzyr",
    name="dentate nucleus [Vicq d’Azyr]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_diagonal_band_broca = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_diagonalBandBroca",
    abbreviation="db",
    lookup_label="SwansonBM_3rd-ed_diagonalBandBroca",
    name="diagonal band [Broca]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_diagonal_band_nucleus_broca = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_diagonalBandNucleusBroca",
    abbreviation="NDB",
    lookup_label="SwansonBM_3rd-ed_diagonalBandNucleusBroca",
    name="diagonal band nucleus [Broca]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_diencephalon = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_diencephalon",
    abbreviation="DI",
    lookup_label="SwansonBM_3rd-ed_diencephalon",
    name="diencephalon",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_distal_glossopharyngeal_ganglion_andersch = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_distalGlossopharyngealGanglionAndersch",
    abbreviation="GdIX",
    lookup_label="SwansonBM_3rd-ed_distalGlossopharyngealGanglionAndersch",
    name="distal glossopharyngeal ganglion [Andersch]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_distal_glossopharyngeovagal_placode = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_distalGlossopharyngeovagalPlacode",
    abbreviation="IX/Xpd",
    lookup_label="SwansonBM_3rd-ed_distalGlossopharyngeovagalPlacode",
    name="distal glossopharyngeovagal placode",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_distal_vagal_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_distalVagalGanglion",
    abbreviation="GdX",
    lookup_label="SwansonBM_3rd-ed_distalVagalGanglion",
    name="distal vagal ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_acoustic_stria_monakow = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalAcousticStriaMonakow",
    abbreviation="das",
    lookup_label="SwansonBM_3rd-ed_dorsalAcousticStriaMonakow",
    name="dorsal acoustic stria [Monakow]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_auditory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalAuditoryAreas",
    abbreviation="AUDd",
    lookup_label="SwansonBM_3rd-ed_dorsalAuditoryAreas",
    name="dorsal auditory areas",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalCochlearNucleus",
    abbreviation="DCO",
    lookup_label="SwansonBM_3rd-ed_dorsalCochlearNucleus",
    name="dorsal cochlear nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_column_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalColumnNuclei",
    abbreviation="DCN",
    lookup_label="SwansonBM_3rd-ed_dorsalColumnNuclei",
    name="dorsal column nuclei",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_columns = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalColumns",
    abbreviation="dc",
    lookup_label="SwansonBM_3rd-ed_dorsalColumns",
    name="dorsal columns",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_commissural_nucleus_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalCommissuralNucleusOfTheSpinalCord",
    abbreviation="DOC",
    lookup_label="SwansonBM_3rd-ed_dorsalCommissuralNucleusOfTheSpinalCord",
    name="dorsal commissural nucleus of the spinal cord",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_commissure_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalCommissureSpinalCord",
    abbreviation="dcm",
    lookup_label="SwansonBM_3rd-ed_dorsalCommissureSpinalCord",
    name="dorsal commissure, spinal cord",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalFornix",
    abbreviation="df",
    lookup_label="SwansonBM_3rd-ed_dorsalFornix",
    name="dorsal fornix",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalHippocampalCommissure",
    abbreviation="dhc",
    lookup_label="SwansonBM_3rd-ed_dorsalHippocampalCommissure",
    name="dorsal hippocampal commissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_horn_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalHornSpinalCord",
    abbreviation="DH",
    lookup_label="SwansonBM_3rd-ed_dorsalHornSpinalCord",
    name="dorsal horn, spinal cord",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_longitudinal_fascicle_schutz = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalLongitudinalFascicleSchutz",
    abbreviation="dlf",
    lookup_label="SwansonBM_3rd-ed_dorsalLongitudinalFascicleSchutz",
    name="dorsal longitudinal fascicle [Schütz]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_median_septum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalMedianSeptum",
    abbreviation="dms",
    lookup_label="SwansonBM_3rd-ed_dorsalMedianSeptum",
    name="dorsal median septum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_motor_nucleus_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalMotorNucleusVagusNerve",
    abbreviation="DMX",
    lookup_label="SwansonBM_3rd-ed_dorsalMotorNucleusVagusNerve",
    name="dorsal motor nucleus vagus nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusRaphe",
    abbreviation="DR",
    lookup_label="SwansonBM_3rd-ed_dorsalNucleusRaphe",
    name="dorsal nucleus raphé",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_nucleus_spinal_cord_caudal_part_stilling = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusSpinalCordCaudalPartStilling",
    abbreviation="DSNc",
    lookup_label="SwansonBM_3rd-ed_dorsalNucleusSpinalCordCaudalPartStilling",
    name="dorsal nucleus spinal cord, caudal part [Stilling]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_nucleus_spinal_cord_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusSpinalCordGeneral",
    abbreviation="DSNg",
    lookup_label="SwansonBM_3rd-ed_dorsalNucleusSpinalCordGeneral",
    name="dorsal nucleus spinal cord, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_nucleus_spinal_cord_stilling_clarke = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalNucleusSpinalCordStillingClarke",
    abbreviation="DSN",
    lookup_label="SwansonBM_3rd-ed_dorsalNucleusSpinalCordStillingClarke",
    name="dorsal nucleus spinal cord [Stilling, Clarke]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_premammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalPremammillaryNucleus",
    abbreviation="PMd",
    lookup_label="SwansonBM_3rd-ed_dorsalPremammillaryNucleus",
    name="dorsal premammillary nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_propriohypothalamic_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalPropriohypothalamicPathways",
    abbreviation="phpd",
    lookup_label="SwansonBM_3rd-ed_dorsalPropriohypothalamicPathways",
    name="dorsal propriohypothalamic pathways",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_roots_coiter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalRootsCoiter",
    abbreviation="drt",
    lookup_label="SwansonBM_3rd-ed_dorsalRootsCoiter",
    name="dorsal roots [Coiter]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_spinocerebellar_tract_flechsig = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalSpinocerebellarTractFlechsig",
    abbreviation="sctd",
    lookup_label="SwansonBM_3rd-ed_dorsalSpinocerebellarTractFlechsig",
    name="dorsal spinocerebellar tract [Flechsig]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_tegmental_decussation_meynert = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTegmentalDecussationMeynert",
    abbreviation="dtd",
    lookup_label="SwansonBM_3rd-ed_dorsalTegmentalDecussationMeynert",
    name="dorsal tegmental decussation [Meynert]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_tegmental_nucleus_gudden = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTegmentalNucleusGudden",
    abbreviation="DTN",
    lookup_label="SwansonBM_3rd-ed_dorsalTegmentalNucleusGudden",
    name="dorsal tegmental nucleus [Gudden]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_tegmental_tract_lindvall_bjorklund = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTegmentalTractLindvallBjorklund",
    abbreviation="dtt",
    lookup_label="SwansonBM_3rd-ed_dorsalTegmentalTractLindvallBjorklund",
    name="dorsal tegmental tract [Lindvall-Björklund]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_terminal_nucleus_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalTerminalNucleusAccessoryOpticTract",
    abbreviation="DT",
    lookup_label="SwansonBM_3rd-ed_dorsalTerminalNucleusAccessoryOpticTract",
    name="dorsal terminal nucleus accessory optic tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalThalamus",
    abbreviation="DOR",
    lookup_label="SwansonBM_3rd-ed_dorsalThalamus",
    name="dorsal thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_thalamus_polymodal_association_cortex_relate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalThalamusPolymodalAssociationCortexRelate",
    abbreviation="DORpm",
    lookup_label="SwansonBM_3rd-ed_dorsalThalamusPolymodalAssociationCortexRelate",
    name="dorsal thalamus, polymodal association cortex relate",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsal_thalamus_sensorymotor_cortex_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsalThalamusSensorymotorCortexRelated",
    abbreviation="DORsm",
    lookup_label="SwansonBM_3rd-ed_dorsalThalamusSensorymotorCortexRelated",
    name="dorsal thalamus, sensory-motor cortex related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsolateral_fascicle_lissauer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsolateralFascicleLissauer",
    abbreviation="dl",
    lookup_label="SwansonBM_3rd-ed_dorsolateralFascicleLissauer",
    name="dorsolateral fascicle [Lissauer]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsomedial_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleus",
    abbreviation="DMH",
    lookup_label="SwansonBM_3rd-ed_dorsomedialHypothalamicNucleus",
    name="dorsomedial hypothalamic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsomedial_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusAnteriorPart",
    abbreviation="DMHa",
    lookup_label="SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusAnteriorPart",
    name="dorsomedial hypothalamic nucleus, anterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsomedial_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusPosteriorPart",
    abbreviation="DMHp",
    lookup_label="SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusPosteriorPart",
    name="dorsomedial hypothalamic nucleus, posterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dorsomedial_hypothalamic_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusVentralPart",
    abbreviation="DMHv",
    lookup_label="SwansonBM_3rd-ed_dorsomedialHypothalamicNucleusVentralPart",
    name="dorsomedial hypothalamic nucleus, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_dura = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_dura",
    abbreviation="D",
    lookup_label="SwansonBM_3rd-ed_dura",
    name="dura",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ectorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ectorhinalArea",
    abbreviation="ECT",
    lookup_label="SwansonBM_3rd-ed_ectorhinalArea",
    name="ectorhinal area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_efferent_cochlear_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_efferentCochlearGroup",
    abbreviation="ECO",
    lookup_label="SwansonBM_3rd-ed_efferentCochlearGroup",
    name="efferent cochlear group",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_efferent_cochleovestibular_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_efferentCochleovestibularBundle",
    abbreviation="cvb",
    lookup_label="SwansonBM_3rd-ed_efferentCochleovestibularBundle",
    name="efferent cochleovestibular bundle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_efferent_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_efferentVestibularNucleus",
    abbreviation="EV",
    lookup_label="SwansonBM_3rd-ed_efferentVestibularNucleus",
    name="efferent vestibular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_endopiriform_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endopiriformNucleusDorsalPart",
    abbreviation="EPd",
    lookup_label="SwansonBM_3rd-ed_endopiriformNucleusDorsalPart",
    name="endopiriform nucleus, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_endopiriform_nucleus_loo = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endopiriformNucleusLoo",
    abbreviation="EP",
    lookup_label="SwansonBM_3rd-ed_endopiriformNucleusLoo",
    name="endopiriform nucleus [Loo]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_endopiriform_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endopiriformNucleusVentralPart",
    abbreviation="EPv",
    lookup_label="SwansonBM_3rd-ed_endopiriformNucleusVentralPart",
    name="endopiriform nucleus, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_endorhinal_groove = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_endorhinalGroove",
    abbreviation="eg",
    lookup_label="SwansonBM_3rd-ed_endorhinalGroove",
    name="endorhinal groove",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_enteric_nervous_system_langley = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entericNervousSystemLangley",
    abbreviation="ENS",
    lookup_label="SwansonBM_3rd-ed_entericNervousSystemLangley",
    name="enteric nervous system [Langley]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_entorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalArea",
    abbreviation="ENT",
    lookup_label="SwansonBM_3rd-ed_entorhinalArea",
    name="entorhinal area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_entorhinal_area_lateral_part_layers16 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalAreaLateralPartLayers16",
    abbreviation="ENTl1-6",
    lookup_label="SwansonBM_3rd-ed_entorhinalAreaLateralPartLayers16",
    name="entorhinal area, lateral part, layers 1-6",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_entorhinal_area_medial_part_dorsal_zone_layers16 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalAreaMedialPartDorsalZoneLayers16",
    abbreviation="ENTm1-6",
    lookup_label="SwansonBM_3rd-ed_entorhinalAreaMedialPartDorsalZoneLayers16",
    name="entorhinal area, medial part, dorsal zone, layers 1-6",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_entorhinal_area_medial_part_ventral_zone_haug = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_entorhinalAreaMedialPartVentralZoneHaug",
    abbreviation="ENTmv",
    lookup_label="SwansonBM_3rd-ed_entorhinalAreaMedialPartVentralZoneHaug",
    name="entorhinal area, medial part, ventral zone [Haug]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_epithalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_epithalamus",
    abbreviation="EPI",
    lookup_label="SwansonBM_3rd-ed_epithalamus",
    name="epithalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_external_capsule_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_externalCapsuleBurdach",
    abbreviation="ec",
    lookup_label="SwansonBM_3rd-ed_externalCapsuleBurdach",
    name="external capsule [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_external_cuneate_nucleus_monakow_blumenau = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_externalCuneateNucleusMonakowBlumenau",
    abbreviation="ECU",
    lookup_label="SwansonBM_3rd-ed_externalCuneateNucleusMonakowBlumenau",
    name="external cuneate nucleus [Monakow, Blumenau]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_external_medullary_lamina_thalamus_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_externalMedullaryLaminaThalamusBurdach",
    abbreviation="em",
    lookup_label="SwansonBM_3rd-ed_externalMedullaryLaminaThalamusBurdach",
    name="external medullary lamina thalamus [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_extrapyramidal_fiber_systems = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_extrapyramidalFiberSystems",
    abbreviation="eps",
    lookup_label="SwansonBM_3rd-ed_extrapyramidalFiberSystems",
    name="extrapyramidal fiber systems",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_extrapyramidal_fiber_systems_cerebral_nuclei_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_extrapyramidalFiberSystemsCerebralNucleiRelated",
    abbreviation="epsc",
    lookup_label="SwansonBM_3rd-ed_extrapyramidalFiberSystemsCerebralNucleiRelated",
    name="extrapyramidal fiber systems, cerebral nuclei related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_extreme_capsule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_extremeCapsule",
    abbreviation="ee",
    lookup_label="SwansonBM_3rd-ed_extremeCapsule",
    name="extreme capsule",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_facialNerve",
    abbreviation="VIIn",
    lookup_label="SwansonBM_3rd-ed_facialNerve",
    name="facial nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_facial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_facialNucleus",
    abbreviation="VII",
    lookup_label="SwansonBM_3rd-ed_facialNucleus",
    name="facial nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_fasciculus_proprius = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fasciculusProprius",
    abbreviation="fpr",
    lookup_label="SwansonBM_3rd-ed_fasciculusProprius",
    name="fasciculus proprius",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_fasciculus_retroflexus_meynert = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fasciculusRetroflexusMeynert",
    abbreviation="fr",
    lookup_label="SwansonBM_3rd-ed_fasciculusRetroflexusMeynert",
    name="fasciculus retroflexus [Meynert]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_fasciola_cinerea_reil_arnold = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fasciolaCinereaReilArnold",
    abbreviation="FC",
    lookup_label="SwansonBM_3rd-ed_fasciolaCinereaReilArnold",
    name="fasciola cinerea [Reil, Arnold]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_fastigial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fastigialNucleus",
    abbreviation="FN",
    lookup_label="SwansonBM_3rd-ed_fastigialNucleus",
    name="fastigial nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca1_ammons_horn_lorente_de_no = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1AmmonsHornLorenteDeNo",
    abbreviation="CA1",
    lookup_label="SwansonBM_3rd-ed_fieldCA1AmmonsHornLorenteDeNo",
    name="field CA1, Ammon’s horn [Lorente de Nó]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca1_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1PyramidalLayer",
    abbreviation="CA1sp",
    lookup_label="SwansonBM_3rd-ed_fieldCA1PyramidalLayer",
    name="field CA1, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca1_pyramidal_layer_deep = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1PyramidalLayerDeep",
    abbreviation="CA1spd",
    lookup_label="SwansonBM_3rd-ed_fieldCA1PyramidalLayerDeep",
    name="field CA1, pyramidal layer, deep",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca1_pyramidal_layer_superficial = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1PyramidalLayerSuperficial",
    abbreviation="CA1sps",
    lookup_label="SwansonBM_3rd-ed_fieldCA1PyramidalLayerSuperficial",
    name="field CA1, pyramidal layer, superficial",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca1_stratum_lacunosummoleculare_meynert = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1StratumLacunosummoleculareMeynert",
    abbreviation="CA1slm",
    lookup_label="SwansonBM_3rd-ed_fieldCA1StratumLacunosummoleculareMeynert",
    name="field CA1, stratum lacunosum-moleculare [Meynert]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca1_stratum_oriens_sala = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1StratumOriensSala",
    abbreviation="CA1so",
    lookup_label="SwansonBM_3rd-ed_fieldCA1StratumOriensSala",
    name="field CA1, stratum oriens [Sala]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca1_stratum_radiatum_meynert = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA1StratumRadiatumMeynert",
    abbreviation="CA1sr",
    lookup_label="SwansonBM_3rd-ed_fieldCA1StratumRadiatumMeynert",
    name="field CA1, stratum radiatum [Meynert]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca2_ammons_horn_lorente_de_no = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2AmmonsHornLorenteDeNo",
    abbreviation="CA2",
    lookup_label="SwansonBM_3rd-ed_fieldCA2AmmonsHornLorenteDeNo",
    name="field CA2, Ammon’s horn [Lorente de Nó]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca2_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2PyramidalLayer",
    abbreviation="CA2sp",
    lookup_label="SwansonBM_3rd-ed_fieldCA2PyramidalLayer",
    name="field CA2, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca2_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2StratumLacunosummoleculare",
    abbreviation="CA2slm",
    lookup_label="SwansonBM_3rd-ed_fieldCA2StratumLacunosummoleculare",
    name="field CA2, stratum lacunosum-moleculare",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca2_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2StratumOriens",
    abbreviation="CA2so",
    lookup_label="SwansonBM_3rd-ed_fieldCA2StratumOriens",
    name="field CA2, stratum oriens",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca2_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA2StratumRadiatum",
    abbreviation="CA2sr",
    lookup_label="SwansonBM_3rd-ed_fieldCA2StratumRadiatum",
    name="field CA2, stratum radiatum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca3_ammons_horn_lorente_de_no = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3AmmonsHornLorenteDeNo",
    abbreviation="CA3",
    lookup_label="SwansonBM_3rd-ed_fieldCA3AmmonsHornLorenteDeNo",
    name="field CA3, Ammon’s horn [Lorente de Nó]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca3_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3PyramidalLayer",
    abbreviation="CA3sp",
    lookup_label="SwansonBM_3rd-ed_fieldCA3PyramidalLayer",
    name="field CA3, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca3_stratum_lacunosummoleculare = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumLacunosummoleculare",
    abbreviation="CA3slm",
    lookup_label="SwansonBM_3rd-ed_fieldCA3StratumLacunosummoleculare",
    name="field CA3, stratum lacunosum-moleculare",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca3_stratum_lucidum_honegger = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumLucidumHonegger",
    abbreviation="CA3slu",
    lookup_label="SwansonBM_3rd-ed_fieldCA3StratumLucidumHonegger",
    name="field CA3, stratum lucidum [Honegger]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca3_stratum_oriens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumOriens",
    abbreviation="CA3so",
    lookup_label="SwansonBM_3rd-ed_fieldCA3StratumOriens",
    name="field CA3, stratum oriens",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_field_ca3_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldCA3StratumRadiatum",
    abbreviation="CA3sr",
    lookup_label="SwansonBM_3rd-ed_fieldCA3StratumRadiatum",
    name="field CA3, stratum radiatum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_fields_of_forel = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fieldsOfForel",
    abbreviation="FF",
    lookup_label="SwansonBM_3rd-ed_fieldsOfForel",
    name="fields of Forel",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_filum_terminale = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_filumTerminale",
    abbreviation="ft",
    lookup_label="SwansonBM_3rd-ed_filumTerminale",
    name="filum terminale",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_fimbria_vieussens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fimbriaVieussens",
    abbreviation="fi",
    lookup_label="SwansonBM_3rd-ed_fimbriaVieussens",
    name="fimbria [Vieussens]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_flocculonodular_lobe_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_flocculonodularLobeCerebellum",
    abbreviation="FNL",
    lookup_label="SwansonBM_3rd-ed_flocculonodularLobeCerebellum",
    name="flocculonodular lobe cerebellum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_flocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_flocculus",
    abbreviation="FL",
    lookup_label="SwansonBM_3rd-ed_flocculus",
    name="flocculus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_foliumtuber_vermis_vii = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_foliumtuberVermisVII",
    abbreviation="FOTU",
    lookup_label="SwansonBM_3rd-ed_foliumtuberVermisVII",
    name="folium-tuber vermis (VII)",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_forebrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_forebrain",
    abbreviation="FB",
    lookup_label="SwansonBM_3rd-ed_forebrain",
    name="forebrain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_fornix_system_galen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fornixSystemGalen",
    abbreviation="fxs",
    lookup_label="SwansonBM_3rd-ed_fornixSystemGalen",
    name="fornix system [Galen]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_fourth_ventricle_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fourthVentricleGeneral",
    abbreviation="V4g",
    lookup_label="SwansonBM_3rd-ed_fourthVentricleGeneral",
    name="fourth ventricle, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_fourth_ventricle_lateral_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fourthVentricleLateralRecess",
    abbreviation="V4r",
    lookup_label="SwansonBM_3rd-ed_fourthVentricleLateralRecess",
    name="fourth ventricle, lateral recess",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_fourth_ventricle_proper = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_fourthVentricleProper",
    abbreviation="V4",
    lookup_label="SwansonBM_3rd-ed_fourthVentricleProper",
    name="fourth ventricle proper",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_frontal_pole_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_frontalPoleCerebralCortex",
    abbreviation="FRP",
    lookup_label="SwansonBM_3rd-ed_frontalPoleCerebralCortex",
    name="frontal pole, cerebral cortex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_frontal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_frontalRegion",
    abbreviation="FRO",
    lookup_label="SwansonBM_3rd-ed_frontalRegion",
    name="frontal region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ganglia",
    abbreviation="G",
    lookup_label="SwansonBM_3rd-ed_ganglia",
    name="ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_geniculate_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_geniculateGanglion",
    abbreviation="GgVII",
    lookup_label="SwansonBM_3rd-ed_geniculateGanglion",
    name="geniculate ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_geniculate_group_of_the_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_geniculateGroupOfTheDorsalThalamus",
    abbreviation="GENd",
    lookup_label="SwansonBM_3rd-ed_geniculateGroupOfTheDorsalThalamus",
    name="geniculate group of the dorsal thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_geniculate_group_of_the_ventral_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_geniculateGroupOfTheVentralThalamus",
    abbreviation="GENv",
    lookup_label="SwansonBM_3rd-ed_geniculateGroupOfTheVentralThalamus",
    name="geniculate group of the ventral thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_genuOfTheFacialNerve",
    abbreviation="gVIIn",
    lookup_label="SwansonBM_3rd-ed_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_gigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gigantocellularReticularNucleus",
    abbreviation="GRN",
    lookup_label="SwansonBM_3rd-ed_gigantocellularReticularNucleus",
    name="gigantocellular reticular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_globus_pallidus_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_globusPallidusBurdach",
    abbreviation="GP",
    lookup_label="SwansonBM_3rd-ed_globusPallidusBurdach",
    name="globus pallidus [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_globus_pallidus_external_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_globusPallidusExternalSegment",
    abbreviation="GPe",
    lookup_label="SwansonBM_3rd-ed_globusPallidusExternalSegment",
    name="globus pallidus, external segment",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_globus_pallidus_internal_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_globusPallidusInternalSegment",
    abbreviation="GPi",
    lookup_label="SwansonBM_3rd-ed_globusPallidusInternalSegment",
    name="globus pallidus, internal segment",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_glossopharyngeal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_glossopharyngealNerve",
    abbreviation="IXn",
    lookup_label="SwansonBM_3rd-ed_glossopharyngealNerve",
    name="glossopharyngeal nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_gracile_fascicle_goll = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileFascicleGoll",
    abbreviation="grf",
    lookup_label="SwansonBM_3rd-ed_gracileFascicleGoll",
    name="gracile fascicle [Goll]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_gracile_nucleus_general_goll = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileNucleusGeneralGoll",
    abbreviation="GRg",
    lookup_label="SwansonBM_3rd-ed_gracileNucleusGeneralGoll",
    name="gracile nucleus, general [Goll]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_gracile_nucleus_median_part_bischoff = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileNucleusMedianPartBischoff",
    abbreviation="GRm",
    lookup_label="SwansonBM_3rd-ed_gracileNucleusMedianPartBischoff",
    name="gracile nucleus, median part [Bischoff]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_gracile_nucleus_principal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gracileNucleusPrincipalPart",
    abbreviation="GR",
    lookup_label="SwansonBM_3rd-ed_gracileNucleusPrincipalPart",
    name="gracile nucleus, principal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_grooves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_grooves",
    abbreviation="grv",
    lookup_label="SwansonBM_3rd-ed_grooves",
    name="grooves",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_gustatory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_gustatoryArea",
    abbreviation="GU",
    lookup_label="SwansonBM_3rd-ed_gustatoryArea",
    name="gustatory area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_habenular_commissure_haller = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_habenularCommissureHaller",
    abbreviation="hbc",
    lookup_label="SwansonBM_3rd-ed_habenularCommissureHaller",
    name="habenular commissure [Haller]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hemispheric_region_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hemisphericRegionCerebellum",
    abbreviation="HEM",
    lookup_label="SwansonBM_3rd-ed_hemisphericRegionCerebellum",
    name="hemispheric region, cerebellum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hindbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hindbrain",
    abbreviation="HB",
    lookup_label="SwansonBM_3rd-ed_hindbrain",
    name="hindbrain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hippocampal_commissures_david = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalCommissuresDavid",
    abbreviation="hc",
    lookup_label="SwansonBM_3rd-ed_hippocampalCommissuresDavid",
    name="hippocampal commissures [David]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hippocampal_fissure_gratiolet = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalFissureGratiolet",
    abbreviation="hf",
    lookup_label="SwansonBM_3rd-ed_hippocampalFissureGratiolet",
    name="hippocampal fissure [Gratiolet]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hippocampal_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalFormation",
    abbreviation="HPF",
    lookup_label="SwansonBM_3rd-ed_hippocampalFormation",
    name="hippocampal formation",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hippocampal_region_aranzi = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hippocampalRegionAranzi",
    abbreviation="HIP",
    lookup_label="SwansonBM_3rd-ed_hippocampalRegionAranzi",
    name="hippocampal region [Aranzi]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hypoglossal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypoglossalNerve",
    abbreviation="XIIn",
    lookup_label="SwansonBM_3rd-ed_hypoglossalNerve",
    name="hypoglossal nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hypoglossal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypoglossalNucleus",
    abbreviation="XII",
    lookup_label="SwansonBM_3rd-ed_hypoglossalNucleus",
    name="hypoglossal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hypothalamic_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicLateralZone",
    abbreviation="LZ",
    lookup_label="SwansonBM_3rd-ed_hypothalamicLateralZone",
    name="hypothalamic lateral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hypothalamic_lateral_zone_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicLateralZoneMotorRelated",
    abbreviation="LZm",
    lookup_label="SwansonBM_3rd-ed_hypothalamicLateralZoneMotorRelated",
    name="hypothalamic lateral zone, motor related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hypothalamic_lateral_zone_state_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicLateralZoneStateRelated",
    abbreviation="LZs",
    lookup_label="SwansonBM_3rd-ed_hypothalamicLateralZoneStateRelated",
    name="hypothalamic lateral zone, state related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hypothalamic_periventricular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamicPeriventricularRegion",
    abbreviation="PVR",
    lookup_label="SwansonBM_3rd-ed_hypothalamicPeriventricularRegion",
    name="hypothalamic periventricular region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hypothalamohypophysial_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamohypophysialTract",
    abbreviation="hht",
    lookup_label="SwansonBM_3rd-ed_hypothalamohypophysialTract",
    name="hypothalamohypophysial tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_hypothalamus_his = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_hypothalamusHis",
    abbreviation="HY",
    lookup_label="SwansonBM_3rd-ed_hypothalamusHis",
    name="hypothalamus [His]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_induseum_griseum_valentin = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_induseumGriseumValentin",
    abbreviation="IG",
    lookup_label="SwansonBM_3rd-ed_induseumGriseumValentin",
    name="induseum griseum [Valentin]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_cerebellar_peduncle_ridley = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorCerebellarPeduncleRidley",
    abbreviation="icp",
    lookup_label="SwansonBM_3rd-ed_inferiorCerebellarPeduncleRidley",
    name="inferior cerebellar peduncle [Ridley]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculus",
    abbreviation="IC",
    lookup_label="SwansonBM_3rd-ed_inferiorColliculus",
    name="inferior colliculus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_colliculus_central_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusCentralNucleus",
    abbreviation="ICc",
    lookup_label="SwansonBM_3rd-ed_inferiorColliculusCentralNucleus",
    name="inferior colliculus, central nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusCommissure",
    abbreviation="cic",
    lookup_label="SwansonBM_3rd-ed_inferiorColliculusCommissure",
    name="inferior colliculus commissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_colliculus_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusDorsalNucleus",
    abbreviation="ICd",
    lookup_label="SwansonBM_3rd-ed_inferiorColliculusDorsalNucleus",
    name="inferior colliculus, dorsal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_colliculus_external_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorColliculusExternalNucleus",
    abbreviation="ICe",
    lookup_label="SwansonBM_3rd-ed_inferiorColliculusExternalNucleus",
    name="inferior colliculus, external nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_mesenteric_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorMesentericGanglia",
    abbreviation="GIM",
    lookup_label="SwansonBM_3rd-ed_inferiorMesentericGanglia",
    name="inferior mesenteric ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_olivary_complex_dorsal_accessory_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexDorsalAccessoryOlive",
    abbreviation="IOda",
    lookup_label="SwansonBM_3rd-ed_inferiorOlivaryComplexDorsalAccessoryOlive",
    name="inferior olivary complex, dorsal accessory olive",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_olivary_complex_medial_accessory_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexMedialAccessoryOlive",
    abbreviation="IOma",
    lookup_label="SwansonBM_3rd-ed_inferiorOlivaryComplexMedialAccessoryOlive",
    name="inferior olivary complex, medial accessory olive",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_olivary_complex_principal_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexPrincipalOlive",
    abbreviation="IOpr",
    lookup_label="SwansonBM_3rd-ed_inferiorOlivaryComplexPrincipalOlive",
    name="inferior olivary complex, principal olive",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_olivary_complex_vieussens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorOlivaryComplexVieussens",
    abbreviation="IO",
    lookup_label="SwansonBM_3rd-ed_inferiorOlivaryComplexVieussens",
    name="inferior olivary complex [Vieussens]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_inferior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_inferiorSalivatoryNucleus",
    abbreviation="ISN",
    lookup_label="SwansonBM_3rd-ed_inferiorSalivatoryNucleus",
    name="inferior salivatory nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_infracerebellar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infracerebellarNucleus",
    abbreviation="ICB",
    lookup_label="SwansonBM_3rd-ed_infracerebellarNucleus",
    name="infracerebellar nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_infralimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infralimbicArea",
    abbreviation="ILA",
    lookup_label="SwansonBM_3rd-ed_infralimbicArea",
    name="infralimbic area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_infundibulum_external_lamina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infundibulumExternalLamina",
    abbreviation="INFex",
    lookup_label="SwansonBM_3rd-ed_infundibulumExternalLamina",
    name="infundibulum, external lamina",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_infundibulum_galen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infundibulumGalen",
    abbreviation="INF",
    lookup_label="SwansonBM_3rd-ed_infundibulumGalen",
    name="infundibulum [Galen]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_infundibulum_internal_lamina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_infundibulumInternalLamina",
    abbreviation="INFin",
    lookup_label="SwansonBM_3rd-ed_infundibulumInternalLamina",
    name="infundibulum, internal lamina",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_insular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_insularRegion",
    abbreviation="INS",
    lookup_label="SwansonBM_3rd-ed_insularRegion",
    name="insular region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interanterodorsal_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interanterodorsalNucleusThalamus",
    abbreviation="IAD",
    lookup_label="SwansonBM_3rd-ed_interanterodorsalNucleusThalamus",
    name="interanterodorsal nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interanteromedial_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interanteromedialNucleusThalamus",
    abbreviation="IAM",
    lookup_label="SwansonBM_3rd-ed_interanteromedialNucleusThalamus",
    name="interanteromedial nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interbrain",
    abbreviation="IB",
    lookup_label="SwansonBM_3rd-ed_interbrain",
    name="interbrain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intercalated_amygdalar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intercalatedAmygdalarNuclei",
    abbreviation="IA",
    lookup_label="SwansonBM_3rd-ed_intercalatedAmygdalarNuclei",
    name="intercalated amygdalar nuclei",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intercalated_nucleus_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intercalatedNucleusOfTheSpinalCord",
    abbreviation="ICS",
    lookup_label="SwansonBM_3rd-ed_intercalatedNucleusOfTheSpinalCord",
    name="intercalated nucleus of the spinal cord",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intercrural_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intercruralFissure",
    abbreviation="icf",
    lookup_label="SwansonBM_3rd-ed_intercruralFissure",
    name="intercrural fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interfascicular_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interfascicularNucleusRaphe",
    abbreviation="IF",
    lookup_label="SwansonBM_3rd-ed_interfascicularNucleusRaphe",
    name="interfascicular nucleus raphé",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intermediate_acoustic_stria_held = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateAcousticStriaHeld",
    abbreviation="ias",
    lookup_label="SwansonBM_3rd-ed_intermediateAcousticStriaHeld",
    name="intermediate acoustic stria [Held]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intermediate_gray_spinal_cord_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateGraySpinalCordGeneral",
    abbreviation="IHg",
    lookup_label="SwansonBM_3rd-ed_intermediateGraySpinalCordGeneral",
    name="intermediate gray spinal cord, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intermediate_gray_spinal_cord_proper = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateGraySpinalCordProper",
    abbreviation="IH",
    lookup_label="SwansonBM_3rd-ed_intermediateGraySpinalCordProper",
    name="intermediate gray spinal cord proper",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intermediate_nerve_wrisberg = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediateNerveWrisberg",
    abbreviation="iVIIn",
    lookup_label="SwansonBM_3rd-ed_intermediateNerveWrisberg",
    name="intermediate nerve [Wrisberg]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intermediodorsal_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediodorsalNucleusThalamus",
    abbreviation="IMD",
    lookup_label="SwansonBM_3rd-ed_intermediodorsalNucleusThalamus",
    name="intermediodorsal nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intermediolateral_spinal_column = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralSpinalColumn",
    abbreviation="IML",
    lookup_label="SwansonBM_3rd-ed_intermediolateralSpinalColumn",
    name="intermediolateral spinal column",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intermediolateral_spinal_column_sacral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralSpinalColumnSacralDivision",
    abbreviation="IMLp",
    lookup_label="SwansonBM_3rd-ed_intermediolateralSpinalColumnSacralDivision",
    name="intermediolateral spinal column, sacral division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intermediolateral_spinal_column_thoracolumbar_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralSpinalColumnThoracolumbarDivision",
    abbreviation="IMLs",
    lookup_label="SwansonBM_3rd-ed_intermediolateralSpinalColumnThoracolumbarDivision",
    name="intermediolateral spinal column, thoracolumbar division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intermediolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediolateralVisualArea",
    abbreviation="VISli",
    lookup_label="SwansonBM_3rd-ed_intermediolateralVisualArea",
    name="intermediolateral visual area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intermediomedial_spinal_column = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intermediomedialSpinalColumn",
    abbreviation="IMM",
    lookup_label="SwansonBM_3rd-ed_intermediomedialSpinalColumn",
    name="intermediomedial spinal column",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_internal_arcuate_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internalArcuateFibers",
    abbreviation="iaf",
    lookup_label="SwansonBM_3rd-ed_internalArcuateFibers",
    name="internal arcuate fibers",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_internal_capsule_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internalCapsuleBurdach",
    abbreviation="int",
    lookup_label="SwansonBM_3rd-ed_internalCapsuleBurdach",
    name="internal capsule [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_internal_medullary_lamina_thalamus_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internalMedullaryLaminaThalamusBurdach",
    abbreviation="im",
    lookup_label="SwansonBM_3rd-ed_internalMedullaryLaminaThalamusBurdach",
    name="internal medullary lamina thalamus [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_internuclear_area_hypothalamic_periventricular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_internuclearAreaHypothalamicPeriventricularRegion",
    abbreviation="I",
    lookup_label="SwansonBM_3rd-ed_internuclearAreaHypothalamicPeriventricularRegion",
    name="internuclear area, hypothalamic periventricular region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_apical_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusApicalSubnucleus",
    abbreviation="IPNa",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusApicalSubnucleus",
    name="interpeduncular nucleus, apical subnucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_central_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusCentralSubnucleus",
    abbreviation="IPNc",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusCentralSubnucleus",
    name="interpeduncular nucleus, central subnucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_dorsomedial_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusDorsomedialSubnucleus",
    abbreviation="IPNd",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusDorsomedialSubnucleus",
    name="interpeduncular nucleus, dorsomedial subnucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_gudden = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusGudden",
    abbreviation="IPN",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusGudden",
    name="interpeduncular nucleus [Gudden]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_intermediate_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusIntermediateSubnucleus",
    abbreviation="IPNi",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusIntermediateSubnucleus",
    name="interpeduncular nucleus, intermediate subnucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_lateral_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleus",
    abbreviation="IPNl",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleus",
    name="interpeduncular nucleus, lateral subnucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_lateral_subnucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusDorsalPart",
    abbreviation="IPNld",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusDorsalPart",
    name="interpeduncular nucleus, lateral subnucleus, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_lateral_subnucleus_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusIntermediatePart",
    abbreviation="IPNli",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusIntermediatePart",
    name="interpeduncular nucleus, lateral subnucleus, intermediate part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_lateral_subnucleus_rostral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusRostralPart",
    abbreviation="IPNlr",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusRostralPart",
    name="interpeduncular nucleus, lateral subnucleus, rostral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_lateral_subnucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusVentralPart",
    abbreviation="IPNlv",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusLateralSubnucleusVentralPart",
    name="interpeduncular nucleus, lateral subnucleus, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interpeduncular_nucleus_rostral_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interpeduncularNucleusRostralSubnucleus",
    abbreviation="IPNr",
    lookup_label="SwansonBM_3rd-ed_interpeduncularNucleusRostralSubnucleus",
    name="interpeduncular nucleus, rostral subnucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interposed_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interposedNucleus",
    abbreviation="IP",
    lookup_label="SwansonBM_3rd-ed_interposedNucleus",
    name="interposed nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interposed_nucleus_main_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interposedNucleusMainPart",
    abbreviation="IPm",
    lookup_label="SwansonBM_3rd-ed_interposedNucleusMainPart",
    name="interposed nucleus, main part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interposed_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interposedNucleusParvicellularPart",
    abbreviation="IPp",
    lookup_label="SwansonBM_3rd-ed_interposedNucleusParvicellularPart",
    name="interposed nucleus, parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interstitial_nucleus_auditory_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interstitialNucleusAuditoryNerve",
    abbreviation="IAN",
    lookup_label="SwansonBM_3rd-ed_interstitialNucleusAuditoryNerve",
    name="interstitial nucleus auditory nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interstitial_nucleus_of_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interstitialNucleusOfCajal",
    abbreviation="INC",
    lookup_label="SwansonBM_3rd-ed_interstitialNucleusOfCajal",
    name="interstitial nucleus of Cajal",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interstitial_nucleus_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interstitialNucleusVestibularNerve",
    abbreviation="INV",
    lookup_label="SwansonBM_3rd-ed_interstitialNucleusVestibularNerve",
    name="interstitial nucleus vestibular nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_interventricular_foramen_monro = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_interventricularForamenMonro",
    abbreviation="IVF",
    lookup_label="SwansonBM_3rd-ed_interventricularForamenMonro",
    name="interventricular foramen [Monro]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intracentral_fissure2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intracentralFissure2",
    abbreviation="ice2",
    lookup_label="SwansonBM_3rd-ed_intracentralFissure2",
    name="intracentral fissure 2",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intraculminate_fissure1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intraculminateFissure1",
    abbreviation="icu1",
    lookup_label="SwansonBM_3rd-ed_intraculminateFissure1",
    name="intraculminate fissure 1",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intralaminar_nuclei_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intralaminarNucleiDorsalThalamus",
    abbreviation="ILM",
    lookup_label="SwansonBM_3rd-ed_intralaminarNucleiDorsalThalamus",
    name="intralaminar nuclei, dorsal thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_intraparafloccular_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_intraparafloccularFissure",
    abbreviation="ipf",
    lookup_label="SwansonBM_3rd-ed_intraparafloccularFissure",
    name="intraparafloccular fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_islands_of_calleja_olfactory_tubercle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_islandsOfCallejaOlfactoryTubercle",
    abbreviation="isl",
    lookup_label="SwansonBM_3rd-ed_islandsOfCallejaOlfactoryTubercle",
    name="islands of Calleja (olfactory tubercle)",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_isocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortex",
    abbreviation="ISO",
    lookup_label="SwansonBM_3rd-ed_isocortex",
    name="isocortex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_isocortex_deep_supragranular_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexDeepSupragranularPyramidalLayer",
    abbreviation="ISO3",
    lookup_label="SwansonBM_3rd-ed_isocortexDeepSupragranularPyramidalLayer",
    name="isocortex, deep supragranular pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_isocortex_granular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexGranularLayer",
    abbreviation="ISO4",
    lookup_label="SwansonBM_3rd-ed_isocortexGranularLayer",
    name="isocortex, granular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_isocortex_infragranular_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexInfragranularPyramidalLayer",
    abbreviation="ISO5",
    lookup_label="SwansonBM_3rd-ed_isocortexInfragranularPyramidalLayer",
    name="isocortex, infragranular pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_isocortex_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexMolecularLayer",
    abbreviation="ISO1",
    lookup_label="SwansonBM_3rd-ed_isocortexMolecularLayer",
    name="isocortex, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_isocortex_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexPolymorphLayer",
    abbreviation="ISO6",
    lookup_label="SwansonBM_3rd-ed_isocortexPolymorphLayer",
    name="isocortex, polymorph layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_isocortex_superficial_supragranular_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_isocortexSuperficialSupragranularPyramidalLayer",
    abbreviation="ISO2",
    lookup_label="SwansonBM_3rd-ed_isocortexSuperficialSupragranularPyramidalLayer",
    name="isocortex, superficial supragranular pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_juxtarestiform_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_juxtarestiformBody",
    abbreviation="jrb",
    lookup_label="SwansonBM_3rd-ed_juxtarestiformBody",
    name="juxtarestiform body",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralAmygdalarNucleus",
    abbreviation="LA",
    lookup_label="SwansonBM_3rd-ed_lateralAmygdalarNucleus",
    name="lateral amygdalar nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_aperture_fourth_ventricle_luschka = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralApertureFourthVentricleLuschka",
    abbreviation="LAP",
    lookup_label="SwansonBM_3rd-ed_lateralApertureFourthVentricleLuschka",
    name="lateral aperture, fourth ventricle [Luschka]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_cervical_nucleus_rexed_brodal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralCervicalNucleusRexedBrodal",
    abbreviation="LCN",
    lookup_label="SwansonBM_3rd-ed_lateralCervicalNucleusRexedBrodal",
    name="lateral cervical nucleus [Rexed-Brodal]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_dorsal_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralDorsalNucleusThalamus",
    abbreviation="LD",
    lookup_label="SwansonBM_3rd-ed_lateralDorsalNucleusThalamus",
    name="lateral dorsal nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_forebrain_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralForebrainBundle",
    abbreviation="lfb",
    lookup_label="SwansonBM_3rd-ed_lateralForebrainBundle",
    name="lateral forebrain bundle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_forebrain_bundle_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralForebrainBundleSystem",
    abbreviation="lfbs",
    lookup_label="SwansonBM_3rd-ed_lateralForebrainBundleSystem",
    name="lateral forebrain bundle system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_forebrain_bundle_system_thalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralForebrainBundleSystemThalamusRelated",
    abbreviation="lfbst",
    lookup_label="SwansonBM_3rd-ed_lateralForebrainBundleSystemThalamusRelated",
    name="lateral forebrain bundle system, thalamus related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_funiculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralFuniculus",
    abbreviation="lf",
    lookup_label="SwansonBM_3rd-ed_lateralFuniculus",
    name="lateral funiculus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_geniculate_complex_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexDorsalPart",
    abbreviation="LGd",
    lookup_label="SwansonBM_3rd-ed_lateralGeniculateComplexDorsalPart",
    name="lateral geniculate complex, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_geniculate_complex_intergeniculate_leaflet = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexIntergeniculateLeaflet",
    abbreviation="IGL",
    lookup_label="SwansonBM_3rd-ed_lateralGeniculateComplexIntergeniculateLeaflet",
    name="lateral geniculate complex, intergeniculate leaflet",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_geniculate_complex_santorini = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexSantorini",
    abbreviation="LG",
    lookup_label="SwansonBM_3rd-ed_lateralGeniculateComplexSantorini",
    name="lateral geniculate complex [Santorini]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_geniculate_complex_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexVentralPart",
    abbreviation="LGv",
    lookup_label="SwansonBM_3rd-ed_lateralGeniculateComplexVentralPart",
    name="lateral geniculate complex, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_geniculate_complex_ventral_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexVentralPartLateralZone",
    abbreviation="LGvl",
    lookup_label="SwansonBM_3rd-ed_lateralGeniculateComplexVentralPartLateralZone",
    name="lateral geniculate complex, ventral part, lateral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_geniculate_complex_ventral_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralGeniculateComplexVentralPartMedialZone",
    abbreviation="LGvm",
    lookup_label="SwansonBM_3rd-ed_lateralGeniculateComplexVentralPartMedialZone",
    name="lateral geniculate complex, ventral part, medial zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_habenula_nissl = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHabenulaNissl",
    abbreviation="LH",
    lookup_label="SwansonBM_3rd-ed_lateralHabenulaNissl",
    name="lateral habenula [Nissl]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_anterior_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegion",
    abbreviation="LHAa",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegion",
    name="lateral hypothalamic area, anterior region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_anterior_region_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionDorsalZone",
    abbreviation="LHAad",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionDorsalZone",
    name="lateral hypothalamic area, anterior region, dorsal zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_anterior_region_intermediate_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionIntermediateZone",
    abbreviation="LHAai",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionIntermediateZone",
    name="lateral hypothalamic area, anterior region, intermediate zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_anterior_region_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionVentralZone",
    abbreviation="LHAav",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaAnteriorRegionVentralZone",
    name="lateral hypothalamic area, anterior region, ventral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaDorsalRegion",
    abbreviation="LHAd",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaDorsalRegion",
    name="lateral hypothalamic area, dorsal region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_juxtadorsomedial_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtadorsomedialRegion",
    abbreviation="LHAjd",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtadorsomedialRegion",
    name="lateral hypothalamic area, juxtadorsomedial region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_juxtaparaventricular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaparaventricularRegion",
    abbreviation="LHAjp",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaparaventricularRegion",
    name="lateral hypothalamic area, juxtaparaventricular region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_juxtaventromedial_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegion",
    abbreviation="LHAjv",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegion",
    name="lateral hypothalamic area, juxtaventromedial region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_juxtaventromedial_region_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegionDorsalZone",
    abbreviation="LHAjvd",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegionDorsalZone",
    name="lateral hypothalamic area, juxtaventromedial region, dorsal zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_juxtaventromedial_region_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegionVentralZone",
    abbreviation="LHAjvv",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaJuxtaventromedialRegionVentralZone",
    name="lateral hypothalamic area, juxtaventromedial region, ventral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_magnocellular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaMagnocellularNucleus",
    abbreviation="LHAm",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaMagnocellularNucleus",
    name="lateral hypothalamic area, magnocellular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaMotorRelated",
    abbreviation="LHAmo",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaMotorRelated",
    name="lateral hypothalamic area, motor related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_nissl = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaNissl",
    abbreviation="LHA",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaNissl",
    name="lateral hypothalamic area [Nissl]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_parvicellular_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaParvicellularRegion",
    abbreviation="LHApc",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaParvicellularRegion",
    name="lateral hypothalamic area, parvicellular region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_posterior_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaPosteriorRegion",
    abbreviation="LHAp",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaPosteriorRegion",
    name="lateral hypothalamic area, posterior region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_subfornical_region_anterior_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionAnteriorZone",
    abbreviation="LHAsfa",
    additional_remarks="Corrected name based on ['Errata for Brain maps: structure of the rat brain, 3rd edition'](https://larrywswanson.com/wp-content/uploads/2015/03/BM3-Errata.pdf). The correct name 'lateral hypothalamic area, subfornical region, anterior zone' has been added under 'correctedName'.",
    corrected_name="lateral hypothalamic area, subfornical region, anterior zone",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionAnteriorZone",
    name="lateral hypothalamic area, subfornical region, rostral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_subfornical_region_posterior_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionPosteriorZone",
    abbreviation="LHAsfp",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionPosteriorZone",
    name="lateral hypothalamic area, subfornical region, posterior zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_subfornical_region_premammillary_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionPremammillaryZone",
    abbreviation="LHAsfpm",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaSubfornicalRegionPremammillaryZone",
    name="lateral hypothalamic area, subfornical region, premammillary zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_suprafornical_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaSuprafornicalRegion",
    abbreviation="LHAs",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaSuprafornicalRegion",
    name="lateral hypothalamic area, suprafornical region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegion",
    abbreviation="LHAv",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegion",
    name="lateral hypothalamic area, ventral region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_ventral_region_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegionLateralZone",
    abbreviation="LHAvl",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegionLateralZone",
    name="lateral hypothalamic area, ventral region, lateral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_hypothalamic_area_ventral_region_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegionMedialZone",
    abbreviation="LHAvm",
    lookup_label="SwansonBM_3rd-ed_lateralHypothalamicAreaVentralRegionMedialZone",
    name="lateral hypothalamic area, ventral region, medial zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_lemniscus_reil = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralLemniscusReil",
    abbreviation="ll",
    lookup_label="SwansonBM_3rd-ed_lateralLemniscusReil",
    name="lateral lemniscus [Reil]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_mammillary_nucleus_gudden = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralMammillaryNucleusGudden",
    abbreviation="LM",
    lookup_label="SwansonBM_3rd-ed_lateralMammillaryNucleusGudden",
    name="lateral mammillary nucleus [Gudden]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_nuclei_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralNucleiDorsalThalamus",
    abbreviation="LAT",
    lookup_label="SwansonBM_3rd-ed_lateralNucleiDorsalThalamus",
    name="lateral nuclei, dorsal thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_olfactory_tract_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralOlfactoryTractBody",
    abbreviation="lot",
    lookup_label="SwansonBM_3rd-ed_lateralOlfactoryTractBody",
    name="lateral olfactory tract, body",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_olfactory_tract_dorsal_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralOlfactoryTractDorsalLimb",
    abbreviation="lotd",
    lookup_label="SwansonBM_3rd-ed_lateralOlfactoryTractDorsalLimb",
    name="lateral olfactory tract, dorsal limb",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_olfactory_tract_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralOlfactoryTractGeneral",
    abbreviation="lotg",
    lookup_label="SwansonBM_3rd-ed_lateralOlfactoryTractGeneral",
    name="lateral olfactory tract, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_posterior_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralPosteriorNucleusThalamus",
    abbreviation="LP",
    lookup_label="SwansonBM_3rd-ed_lateralPosteriorNucleusThalamus",
    name="lateral posterior nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralPreopticArea",
    abbreviation="LPO",
    lookup_label="SwansonBM_3rd-ed_lateralPreopticArea",
    name="lateral preoptic area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_propriohypothalamic_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralPropriohypothalamicPathways",
    abbreviation="phpl",
    lookup_label="SwansonBM_3rd-ed_lateralPropriohypothalamicPathways",
    name="lateral propriohypothalamic pathways",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralReticularNucleus",
    abbreviation="LRN",
    lookup_label="SwansonBM_3rd-ed_lateralReticularNucleus",
    name="lateral reticular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_reticular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralReticularNucleusMagnocellularPart",
    abbreviation="LRNm",
    lookup_label="SwansonBM_3rd-ed_lateralReticularNucleusMagnocellularPart",
    name="lateral reticular nucleus, magnocellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralReticularNucleusParvicellularPart",
    abbreviation="LRNp",
    lookup_label="SwansonBM_3rd-ed_lateralReticularNucleusParvicellularPart",
    name="lateral reticular nucleus, parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_complex_risold_swanson = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalComplexRisoldSwanson",
    abbreviation="LSX",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalComplexRisoldSwanson",
    name="lateral septal complex [Risold-Swanson]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCajal",
    abbreviation="LS",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCajal",
    name="lateral septal nucleus [Cajal]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_caudodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalCaudodorsalPart",
    abbreviation="LSc",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalCaudodorsalPart",
    name="lateral septal nucleus, caudal (caudodorsal) part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZone",
    abbreviation="LSc.d",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZone",
    name="lateral septal nucleus, caudal part, dorsal zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_dorsal_zone_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneDorsalRegion",
    abbreviation="LSc.d.d",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneDorsalRegion",
    name="lateral septal nucleus, caudal part, dorsal zone, dorsal region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_dorsal_zone_lateral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneLateralRegion",
    abbreviation="LSc.d.l",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneLateralRegion",
    name="lateral septal nucleus, caudal part, dorsal zone, lateral region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_dorsal_zone_rostral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneRostralRegion",
    abbreviation="LSc.d.r",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneRostralRegion",
    name="lateral septal nucleus, caudal part, dorsal zone, rostral region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_dorsal_zone_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneVentralRegion",
    abbreviation="LSc.d.v",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartDorsalZoneVentralRegion",
    name="lateral septal nucleus, caudal part, dorsal zone, ventral region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZone",
    abbreviation="LSc.v",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZone",
    name="lateral septal nucleus, caudal part, ventral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_ventral_zone_intermediate_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneIntermediateRegion",
    abbreviation="LSc.v.i",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneIntermediateRegion",
    name="lateral septal nucleus, caudal part, ventral zone, intermediate region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_ventral_zone_lateral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegion",
    abbreviation="LSc.v.l",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegion",
    name="lateral septal nucleus, caudal part, ventral zone, lateral region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_ventral_zone_lateral_region_dorsal_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionDorsalDomain",
    abbreviation="LSc.v.l.d",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionDorsalDomain",
    name="lateral septal nucleus, caudal part, ventral zone, lateral region, dorsal domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_ventral_zone_lateral_region_ventral_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionVentralDomain",
    abbreviation="LSc.v.l.v",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneLateralRegionVentralDomain",
    name="lateral septal nucleus, caudal part, ventral zone, lateral region, ventral domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_ventral_zone_medial_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegion",
    abbreviation="LSc.v.m",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegion",
    name="lateral septal nucleus, caudal part, ventral zone, medial region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_ventral_zone_medial_region_dorsal_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionDorsalDomain",
    abbreviation="LSc.v.m.d",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionDorsalDomain",
    name="lateral septal nucleus, caudal part, ventral zone, medial region, dorsal domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_caudal_part_ventral_zone_medial_region_ventral_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionVentralDomain",
    abbreviation="LSc.v.m.v",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusCaudalPartVentralZoneMedialRegionVentralDomain",
    name="lateral septal nucleus, caudal part, ventral zone, medial region, ventral domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_dorsolateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZone",
    abbreviation="LSr.dl",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZone",
    name="lateral septal nucleus, rostral part, dorsolateral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_dorsolateral_zone_lateral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegion",
    abbreviation="LSr.dl.l",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegion",
    name="lateral septal nucleus, rostral part, dorsolateral zone, lateral region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_dorsolateral_zone_lateral_region_dorsal_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionDorsalDomain",
    abbreviation="LSr.dl.l.d",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionDorsalDomain",
    name="lateral septal nucleus, rostral part, dorsolateral zone, lateral region, dorsal domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_dorsolateral_zone_lateral_region_ventral_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionVentralDomain",
    abbreviation="LSr.dl.l.v",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneLateralRegionVentralDomain",
    name="lateral septal nucleus, rostral part, dorsolateral zone, lateral region, ventral domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_dorsolateral_zone_medial_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegion",
    abbreviation="LSr.dl.m",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegion",
    name="lateral septal nucleus, rostral part, dorsolateral zone, medial region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_dorsolateral_zone_medial_region_dorsal_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionDorsalDomain",
    abbreviation="LSr.dl.m.d",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionDorsalDomain",
    name="lateral septal nucleus, rostral part, dorsolateral zone, medial region, dorsal domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_dorsolateral_zone_medial_region_ventral_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionVentralDomain",
    abbreviation="LSr.dl.m.v",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartDorsolateralZoneMedialRegionVentralDomain",
    name="lateral septal nucleus, rostral part, dorsolateral zone, medial region, ventral domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZone",
    abbreviation="LSr.m",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZone",
    name="lateral septal nucleus, rostral part, medial zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_medial_zone_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneDorsalRegion",
    abbreviation="LSr.m.d",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneDorsalRegion",
    name="lateral septal nucleus, rostral part, medial zone, dorsal region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_medial_zone_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegion",
    abbreviation="LSr.m.v",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegion",
    name="lateral septal nucleus, rostral part, medial zone, ventral region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_medial_zone_ventral_region_caudal_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegionCaudalDomain",
    abbreviation="LSr.m.v.c",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegionCaudalDomain",
    name="lateral septal nucleus, rostral part, medial zone, ventral region, caudal domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_medial_zone_ventral_region_rostral_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegionRostralDomain",
    abbreviation="LSr.m.v.r",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartMedialZoneVentralRegionRostralDomain",
    name="lateral septal nucleus, rostral part, medial zone, ventral region, rostral domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_ventrolateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZone",
    abbreviation="LSr.vl",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZone",
    name="lateral septal nucleus, rostral part, ventrolateral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_ventrolateral_zone_dorsal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegion",
    abbreviation="LSr.vl.d",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegion",
    name="lateral septal nucleus, rostral part, ventrolateral zone, dorsal region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_ventrolateral_zone_dorsal_region_lateral_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionLateralDomain",
    abbreviation="LSr.vl.d.l",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionLateralDomain",
    name="lateral septal nucleus, rostral part, ventrolateral zone, dorsal region, lateral domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_ventrolateral_zone_dorsal_region_medial_domain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionMedialDomain",
    abbreviation="LSr.vl.d.m",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneDorsalRegionMedialDomain",
    name="lateral septal nucleus, rostral part, ventrolateral zone, dorsal region, medial domain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_part_ventrolateral_zone_ventral_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneVentralRegion",
    abbreviation="LSr.vl.v",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralPartVentrolateralZoneVentralRegion",
    name="lateral septal nucleus, rostral part, ventrolateral zone, ventral region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_rostral_rostroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusRostralRostroventralPart",
    abbreviation="LSr",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusRostralRostroventralPart",
    name="lateral septal nucleus, rostral (rostroventral) part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_septal_nucleus_ventral_part_risold_swanson = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSeptalNucleusVentralPartRisoldSwanson",
    abbreviation="LSv",
    lookup_label="SwansonBM_3rd-ed_lateralSeptalNucleusVentralPartRisoldSwanson",
    name="lateral septal nucleus, ventral part [Risold-Swanson]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_spinal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSpinalNucleus",
    abbreviation="LSN",
    lookup_label="SwansonBM_3rd-ed_lateralSpinalNucleus",
    name="lateral spinal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralSpinothalamicTract",
    abbreviation="sttl",
    lookup_label="SwansonBM_3rd-ed_lateralSpinothalamicTract",
    name="lateral spinothalamic tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralTegmentalNucleus",
    abbreviation="LTN",
    lookup_label="SwansonBM_3rd-ed_lateralTegmentalNucleus",
    name="lateral tegmental nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_terminal_nucleus_accessory_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralTerminalNucleusAccessoryOpticTract",
    abbreviation="LT",
    lookup_label="SwansonBM_3rd-ed_lateralTerminalNucleusAccessoryOpticTract",
    name="lateral terminal nucleus accessory optic tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralVentricle",
    abbreviation="VL",
    lookup_label="SwansonBM_3rd-ed_lateralVentricle",
    name="lateral ventricle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lateral_vestibular_nucleus_deiters = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lateralVestibularNucleusDeiters",
    abbreviation="LAV",
    lookup_label="SwansonBM_3rd-ed_lateralVestibularNucleusDeiters",
    name="lateral vestibular nucleus [Deiters]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_laterodorsal_tegmental_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_laterodorsalTegmentalNucleus",
    abbreviation="LDT",
    lookup_label="SwansonBM_3rd-ed_laterodorsalTegmentalNucleus",
    name="laterodorsal tegmental nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_laterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_laterolateralVisualArea",
    abbreviation="VISll",
    lookup_label="SwansonBM_3rd-ed_laterolateralVisualArea",
    name="laterolateral visual area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_linear_nucleus_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_linearNucleusMedulla",
    abbreviation="LIN",
    lookup_label="SwansonBM_3rd-ed_linearNucleusMedulla",
    name="linear nucleus medulla",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lingula_i = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lingulaI",
    abbreviation="LING",
    lookup_label="SwansonBM_3rd-ed_lingulaI",
    name="lingula (I)",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_locus_ceruleus_vicq_d_azyr = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_locusCeruleusVicqDAzyr",
    abbreviation="LC",
    lookup_label="SwansonBM_3rd-ed_locusCeruleusVicqDAzyr",
    name="locus ceruleus [Vicq d’Azyr]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_longitudinal_association_bundle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_longitudinalAssociationBundle",
    abbreviation="lab",
    lookup_label="SwansonBM_3rd-ed_longitudinalAssociationBundle",
    name="longitudinal association bundle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lumbar_spinal_ganglia16 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lumbarSpinalGanglia16",
    abbreviation="G-L1-6",
    lookup_label="SwansonBM_3rd-ed_lumbarSpinalGanglia16",
    name="lumbar spinal ganglia, 1-6",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lumbar_sympathetic_ganglia16 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lumbarSympatheticGanglia16",
    abbreviation="Gs-L1-6",
    lookup_label="SwansonBM_3rd-ed_lumbarSympatheticGanglia16",
    name="lumbar sympathetic ganglia, 1-6",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_lumbosacral_plexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_lumbosacralPlexus",
    abbreviation="lsp",
    lookup_label="SwansonBM_3rd-ed_lumbosacralPlexus",
    name="lumbosacral plexus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_magnocellular_nucleus_loo = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_magnocellularNucleusLoo",
    abbreviation="MA",
    lookup_label="SwansonBM_3rd-ed_magnocellularNucleusLoo",
    name="magnocellular nucleus [Loo]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_magnocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_magnocellularReticularNucleus",
    abbreviation="MARN",
    lookup_label="SwansonBM_3rd-ed_magnocellularReticularNucleus",
    name="magnocellular reticular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_main_olfactory_bulb_glomerular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbGlomerularLayer",
    abbreviation="MOBgl",
    lookup_label="SwansonBM_3rd-ed_mainOlfactoryBulbGlomerularLayer",
    name="main olfactory bulb, glomerular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_main_olfactory_bulb_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbGranuleCellLayer",
    abbreviation="MOBgr",
    lookup_label="SwansonBM_3rd-ed_mainOlfactoryBulbGranuleCellLayer",
    name="main olfactory bulb, granule cell layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_main_olfactory_bulb_inner_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbInnerPlexiformLayer",
    abbreviation="MOBipl",
    lookup_label="SwansonBM_3rd-ed_mainOlfactoryBulbInnerPlexiformLayer",
    name="main olfactory bulb, inner plexiform layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_main_olfactory_bulb_mitral_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbMitralLayer",
    abbreviation="MOBmi",
    lookup_label="SwansonBM_3rd-ed_mainOlfactoryBulbMitralLayer",
    name="main olfactory bulb, mitral layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_main_olfactory_bulb_outer_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbOuterPlexiformLayer",
    abbreviation="MOBopl",
    lookup_label="SwansonBM_3rd-ed_mainOlfactoryBulbOuterPlexiformLayer",
    name="main olfactory bulb, outer plexiform layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_main_olfactory_bulb_soemmerring = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mainOlfactoryBulbSoemmerring",
    abbreviation="MOB",
    lookup_label="SwansonBM_3rd-ed_mainOlfactoryBulbSoemmerring",
    name="main olfactory bulb [Soemmerring]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_major_island_of_calleja_olfactory_tubercle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_majorIslandOfCallejaOlfactoryTubercle",
    abbreviation="islm",
    lookup_label="SwansonBM_3rd-ed_majorIslandOfCallejaOlfactoryTubercle",
    name="major island of Calleja (olfactory tubercle)",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_mammillary_body_gall_spurzheim = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillaryBodyGallSpurzheim",
    abbreviation="MBO",
    lookup_label="SwansonBM_3rd-ed_mammillaryBodyGallSpurzheim",
    name="mammillary body [Gall-Spurzheim]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_mammillary_peduncle_meynert = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillaryPeduncleMeynert",
    abbreviation="mp",
    lookup_label="SwansonBM_3rd-ed_mammillaryPeduncleMeynert",
    name="mammillary peduncle [Meynert]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_mammillotegmental_tract_gudden = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillotegmentalTractGudden",
    abbreviation="mtg",
    lookup_label="SwansonBM_3rd-ed_mammillotegmentalTractGudden",
    name="mammillotegmental tract [Gudden]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_mammillothalamic_tract_vicq_d_azyr = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mammillothalamicTractVicqDAzyr",
    abbreviation="mtt",
    lookup_label="SwansonBM_3rd-ed_mammillothalamicTractVicqDAzyr",
    name="mammillothalamic tract [Vicq d'Azyr]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_marginal_zone_spinal_cord_waldeyer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_marginalZoneSpinalCordWaldeyer",
    abbreviation="MZ",
    lookup_label="SwansonBM_3rd-ed_marginalZoneSpinalCordWaldeyer",
    name="marginal zone spinal cord [Waldeyer]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_accessory_oculomotor_nucleus_bechterew = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAccessoryOculomotorNucleusBechterew",
    abbreviation="MAN",
    lookup_label="SwansonBM_3rd-ed_medialAccessoryOculomotorNucleusBechterew",
    name="medial accessory oculomotor nucleus [Bechterew]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_amygdalar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleus",
    abbreviation="MEA",
    lookup_label="SwansonBM_3rd-ed_medialAmygdalarNucleus",
    name="medial amygdalar nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_amygdalar_nucleus_anterodorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusAnterodorsalPart",
    abbreviation="MEAad",
    lookup_label="SwansonBM_3rd-ed_medialAmygdalarNucleusAnterodorsalPart",
    name="medial amygdalar nucleus, anterodorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_amygdalar_nucleus_anteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusAnteroventralPart",
    abbreviation="MEAav",
    lookup_label="SwansonBM_3rd-ed_medialAmygdalarNucleusAnteroventralPart",
    name="medial amygdalar nucleus, anteroventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_amygdalar_nucleus_posterodorsal_part_sublayers_ac = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusPosterodorsalPartSublayersAc",
    abbreviation="MEApd-a,b,c",
    lookup_label="SwansonBM_3rd-ed_medialAmygdalarNucleusPosterodorsalPartSublayersAc",
    name="medial amygdalar nucleus, posterodorsal part, sublayers a-c",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_amygdalar_nucleus_posteroventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialAmygdalarNucleusPosteroventralPart",
    abbreviation="MEApv",
    lookup_label="SwansonBM_3rd-ed_medialAmygdalarNucleusPosteroventralPart",
    name="medial amygdalar nucleus, posteroventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_corticohypothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialCorticohypothalamicTract",
    abbreviation="mct",
    lookup_label="SwansonBM_3rd-ed_medialCorticohypothalamicTract",
    name="medial corticohypothalamic tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_forebrain_bundle_edinger = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleEdinger",
    abbreviation="mfb",
    lookup_label="SwansonBM_3rd-ed_medialForebrainBundleEdinger",
    name="medial forebrain bundle [Edinger]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_forebrain_bundle_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystem",
    abbreviation="mfbs",
    lookup_label="SwansonBM_3rd-ed_medialForebrainBundleSystem",
    name="medial forebrain bundle system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_forebrain_bundle_system_cerebrum_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemCerebrumRelated",
    abbreviation="mfbsc",
    lookup_label="SwansonBM_3rd-ed_medialForebrainBundleSystemCerebrumRelated",
    name="medial forebrain bundle system, cerebrum related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_forebrain_bundle_system_epithalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemEpithalamusRelated",
    abbreviation="mfbse",
    lookup_label="SwansonBM_3rd-ed_medialForebrainBundleSystemEpithalamusRelated",
    name="medial forebrain bundle system, epithalamus related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_forebrain_bundle_system_hypothalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemHypothalamusRelated",
    abbreviation="mfbshy",
    lookup_label="SwansonBM_3rd-ed_medialForebrainBundleSystemHypothalamusRelated",
    name="medial forebrain bundle system, hypothalamus related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_forebrain_bundle_system_mammillary_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemMammillaryRelated",
    abbreviation="mfbsma",
    lookup_label="SwansonBM_3rd-ed_medialForebrainBundleSystemMammillaryRelated",
    name="medial forebrain bundle system, mammillary related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_forebrain_bundle_system_midbrain_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemMidbrainRelated",
    abbreviation="mfbsm",
    lookup_label="SwansonBM_3rd-ed_medialForebrainBundleSystemMidbrainRelated",
    name="medial forebrain bundle system, midbrain related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_forebrain_bundle_system_thalamus_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialForebrainBundleSystemThalamusRelated",
    abbreviation="mfbst",
    lookup_label="SwansonBM_3rd-ed_medialForebrainBundleSystemThalamusRelated",
    name="medial forebrain bundle system, thalamus related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_geniculate_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplex",
    abbreviation="MG",
    lookup_label="SwansonBM_3rd-ed_medialGeniculateComplex",
    name="medial geniculate complex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_geniculate_complex_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplexDorsalPart",
    abbreviation="MGd",
    lookup_label="SwansonBM_3rd-ed_medialGeniculateComplexDorsalPart",
    name="medial geniculate complex, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_geniculate_complex_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplexMedialPart",
    abbreviation="MGm",
    lookup_label="SwansonBM_3rd-ed_medialGeniculateComplexMedialPart",
    name="medial geniculate complex, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_geniculate_complex_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialGeniculateComplexVentralPart",
    abbreviation="MGv",
    lookup_label="SwansonBM_3rd-ed_medialGeniculateComplexVentralPart",
    name="medial geniculate complex, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_habenula_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialHabenulaDorsalPart",
    abbreviation="MHd",
    lookup_label="SwansonBM_3rd-ed_medialHabenulaDorsalPart",
    name="medial habenula, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_habenula_nissl = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialHabenulaNissl",
    abbreviation="MH",
    lookup_label="SwansonBM_3rd-ed_medialHabenulaNissl",
    name="medial habenula [Nissl]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_habenula_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialHabenulaVentralPart",
    abbreviation="MHv",
    lookup_label="SwansonBM_3rd-ed_medialHabenulaVentralPart",
    name="medial habenula, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_lemniscus_reil = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialLemniscusReil",
    abbreviation="ml",
    lookup_label="SwansonBM_3rd-ed_medialLemniscusReil",
    name="medial lemniscus [Reil]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_longitudinal_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialLongitudinalFascicle",
    abbreviation="mlf",
    lookup_label="SwansonBM_3rd-ed_medialLongitudinalFascicle",
    name="medial longitudinal fascicle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_mammillary_nucleus_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialMammillaryNucleusBody",
    abbreviation="MM",
    lookup_label="SwansonBM_3rd-ed_medialMammillaryNucleusBody",
    name="medial mammillary nucleus, body",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_mammillary_nucleus_general_gudden = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialMammillaryNucleusGeneralGudden",
    abbreviation="MMg",
    lookup_label="SwansonBM_3rd-ed_medialMammillaryNucleusGeneralGudden",
    name="medial mammillary nucleus, general [Gudden]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_mammillary_nucleus_median_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialMammillaryNucleusMedianPart",
    abbreviation="MMme",
    lookup_label="SwansonBM_3rd-ed_medialMammillaryNucleusMedianPart",
    name="medial mammillary nucleus, median part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_nuclei_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialNucleiDorsalThalamus",
    abbreviation="MED",
    lookup_label="SwansonBM_3rd-ed_medialNucleiDorsalThalamus",
    name="medial nuclei, dorsal thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_preoptic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticArea",
    abbreviation="MPO",
    lookup_label="SwansonBM_3rd-ed_medialPreopticArea",
    name="medial preoptic area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleus",
    abbreviation="MPN",
    lookup_label="SwansonBM_3rd-ed_medialPreopticNucleus",
    name="medial preoptic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_preoptic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleusCentralPart",
    abbreviation="MPNc",
    lookup_label="SwansonBM_3rd-ed_medialPreopticNucleusCentralPart",
    name="medial preoptic nucleus, central part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_preoptic_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleusLateralPart",
    abbreviation="MPNl",
    lookup_label="SwansonBM_3rd-ed_medialPreopticNucleusLateralPart",
    name="medial preoptic nucleus, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_preoptic_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPreopticNucleusMedialPart",
    abbreviation="MPNm",
    lookup_label="SwansonBM_3rd-ed_medialPreopticNucleusMedialPart",
    name="medial preoptic nucleus, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_pretectal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPretectalArea",
    abbreviation="MPT",
    lookup_label="SwansonBM_3rd-ed_medialPretectalArea",
    name="medial pretectal area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_propriohypothalamic_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialPropriohypothalamicPathways",
    abbreviation="phpm",
    lookup_label="SwansonBM_3rd-ed_medialPropriohypothalamicPathways",
    name="medial propriohypothalamic pathways",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_septal_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialSeptalComplex",
    abbreviation="MSC",
    lookup_label="SwansonBM_3rd-ed_medialSeptalComplex",
    name="medial septal complex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_septal_nucleus_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialSeptalNucleusCajal",
    abbreviation="MS",
    lookup_label="SwansonBM_3rd-ed_medialSeptalNucleusCajal",
    name="medial septal nucleus [Cajal]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_terminal_nucleus_accessory_optic_tract_edinger = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialTerminalNucleusAccessoryOpticTractEdinger",
    abbreviation="MT",
    lookup_label="SwansonBM_3rd-ed_medialTerminalNucleusAccessoryOpticTractEdinger",
    name="medial terminal nucleus accessory optic tract [Edinger]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medial_vestibular_nucleus_schwalbe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medialVestibularNucleusSchwalbe",
    abbreviation="MV",
    lookup_label="SwansonBM_3rd-ed_medialVestibularNucleusSchwalbe",
    name="medial vestibular nucleus [Schwalbe]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_median_aperture_fourth_ventricle_magendie = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianApertureFourthVentricleMagendie",
    abbreviation="MAP",
    lookup_label="SwansonBM_3rd-ed_medianApertureFourthVentricleMagendie",
    name="median aperture, fourth ventricle [Magendie]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_median_eminence = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianEminence",
    abbreviation="ME",
    lookup_label="SwansonBM_3rd-ed_medianEminence",
    name="median eminence",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_median_eminence_external_lamina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianEminenceExternalLamina",
    abbreviation="MEex",
    lookup_label="SwansonBM_3rd-ed_medianEminenceExternalLamina",
    name="median eminence, external lamina",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_median_eminence_internal_lamina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianEminenceInternalLamina",
    abbreviation="MEin",
    lookup_label="SwansonBM_3rd-ed_medianEminenceInternalLamina",
    name="median eminence, internal lamina",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_median_preoptic_nucleus_loo = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medianPreopticNucleusLoo",
    abbreviation="MEPO",
    lookup_label="SwansonBM_3rd-ed_medianPreopticNucleusLoo",
    name="median preoptic nucleus [Loo]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_mediodorsal_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamus",
    abbreviation="MD",
    lookup_label="SwansonBM_3rd-ed_mediodorsalNucleusThalamus",
    name="mediodorsal nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_mediodorsal_nucleus_thalamus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamusCentralPart",
    abbreviation="MDc",
    lookup_label="SwansonBM_3rd-ed_mediodorsalNucleusThalamusCentralPart",
    name="mediodorsal nucleus thalamus, central part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_mediodorsal_nucleus_thalamus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamusLateralPart",
    abbreviation="MDl",
    lookup_label="SwansonBM_3rd-ed_mediodorsalNucleusThalamusLateralPart",
    name="mediodorsal nucleus thalamus, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_mediodorsal_nucleus_thalamus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediodorsalNucleusThalamusMedialPart",
    abbreviation="MDm",
    lookup_label="SwansonBM_3rd-ed_mediodorsalNucleusThalamusMedialPart",
    name="mediodorsal nucleus thalamus, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_mediolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_mediolateralVisualArea",
    abbreviation="VISlm",
    lookup_label="SwansonBM_3rd-ed_mediolateralVisualArea",
    name="mediolateral visual area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medulla = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medulla",
    abbreviation="MY",
    lookup_label="SwansonBM_3rd-ed_medulla",
    name="medulla",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medullary_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medullaryReticularNucleus",
    abbreviation="MDRN",
    lookup_label="SwansonBM_3rd-ed_medullaryReticularNucleus",
    name="medullary reticular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medullary_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medullaryReticularNucleusDorsalPart",
    abbreviation="MDRNd",
    lookup_label="SwansonBM_3rd-ed_medullaryReticularNucleusDorsalPart",
    name="medullary reticular nucleus, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_medullary_reticular_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_medullaryReticularNucleusVentralPart",
    abbreviation="MDRNv",
    lookup_label="SwansonBM_3rd-ed_medullaryReticularNucleusVentralPart",
    name="medullary reticular nucleus, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_meninges = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_meninges",
    abbreviation="MEN",
    lookup_label="SwansonBM_3rd-ed_meninges",
    name="meninges",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_midbrain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrain",
    abbreviation="MB",
    lookup_label="SwansonBM_3rd-ed_midbrain",
    name="midbrain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_midbrain_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleus",
    abbreviation="MRN",
    lookup_label="SwansonBM_3rd-ed_midbrainReticularNucleus",
    name="midbrain reticular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_midbrain_reticular_nucleus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusMagnocellularPart",
    abbreviation="MRNm",
    lookup_label="SwansonBM_3rd-ed_midbrainReticularNucleusMagnocellularPart",
    name="midbrain reticular nucleus, magnocellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_midbrain_reticular_nucleus_magnocellular_part_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusMagnocellularPartGeneral",
    abbreviation="MRNmg",
    lookup_label="SwansonBM_3rd-ed_midbrainReticularNucleusMagnocellularPartGeneral",
    name="midbrain reticular nucleus, magnocellular part, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_midbrain_reticular_nucleus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusParvicellularPart",
    abbreviation="MRNp",
    lookup_label="SwansonBM_3rd-ed_midbrainReticularNucleusParvicellularPart",
    name="midbrain reticular nucleus, parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_midbrain_reticular_nucleus_retrorubral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainReticularNucleusRetrorubralArea",
    abbreviation="RR",
    lookup_label="SwansonBM_3rd-ed_midbrainReticularNucleusRetrorubralArea",
    name="midbrain reticular nucleus, retrorubral area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_midbrain_tract_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainTractOfTheTrigeminalNerve",
    abbreviation="mtV",
    lookup_label="SwansonBM_3rd-ed_midbrainTractOfTheTrigeminalNerve",
    name="midbrain tract of the trigeminal nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_midbrain_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midbrainTrigeminalNucleus",
    abbreviation="MEV",
    lookup_label="SwansonBM_3rd-ed_midbrainTrigeminalNucleus",
    name="midbrain trigeminal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_middleCerebellarPeduncle",
    abbreviation="mcp",
    lookup_label="SwansonBM_3rd-ed_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_middle_cervical_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_middleCervicalGanglion",
    abbreviation="GMC",
    lookup_label="SwansonBM_3rd-ed_middleCervicalGanglion",
    name="middle cervical ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_middle_commissure_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_middleCommissureOfTheThalamus",
    abbreviation="mtc",
    lookup_label="SwansonBM_3rd-ed_middleCommissureOfTheThalamus",
    name="middle commissure of the thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_midline_group_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midlineGroupDorsalThalamus",
    abbreviation="MTN",
    lookup_label="SwansonBM_3rd-ed_midlineGroupDorsalThalamus",
    name="midline group, dorsal thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_midline_nuclei_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_midlineNucleiDorsalThalamus",
    abbreviation="MID",
    lookup_label="SwansonBM_3rd-ed_midlineNucleiDorsalThalamus",
    name="midline nuclei, dorsal thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_motoneuron_groups = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motoneuronGroups",
    abbreviation="MNG",
    lookup_label="SwansonBM_3rd-ed_motoneuronGroups",
    name="motoneuron groups",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_motor_nucleus_of_the_trigeminal_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalMagnocellularPart",
    abbreviation="Vma",
    lookup_label="SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalMagnocellularPart",
    name="motor nucleus of the trigeminal, magnocellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_motor_nucleus_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalNerve",
    abbreviation="V",
    lookup_label="SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalNerve",
    name="motor nucleus of the trigeminal nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_motor_nucleus_of_the_trigeminal_nerve_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalNerveParvicellularPart",
    abbreviation="Vpc",
    lookup_label="SwansonBM_3rd-ed_motorNucleusOfTheTrigeminalNerveParvicellularPart",
    name="motor nucleus of the trigeminal nerve, parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_motor_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorRootOfTheTrigeminalNerve",
    abbreviation="moV",
    lookup_label="SwansonBM_3rd-ed_motorRootOfTheTrigeminalNerve",
    name="motor root of the trigeminal nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_motor_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_motorSystem",
    abbreviation="MOT",
    lookup_label="SwansonBM_3rd-ed_motorSystem",
    name="motor system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_myenteric_plexus_auerbach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_myentericPlexusAuerbach",
    abbreviation="myp",
    lookup_label="SwansonBM_3rd-ed_myentericPlexusAuerbach",
    name="myenteric plexus [Auerbach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nerve_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nerveFibers",
    abbreviation="nfi",
    lookup_label="SwansonBM_3rd-ed_nerveFibers",
    name="nerve fibers",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nerve_plexuses = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nervePlexuses",
    abbreviation="plx",
    lookup_label="SwansonBM_3rd-ed_nervePlexuses",
    name="nerve plexuses",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nerves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nerves",
    abbreviation="n",
    lookup_label="SwansonBM_3rd-ed_nerves",
    name="nerves",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nervous_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nervousSystem",
    abbreviation="NS",
    lookup_label="SwansonBM_3rd-ed_nervousSystem",
    name="nervous system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_neuroendocrine_motor_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_neuroendocrineMotorZone",
    abbreviation="NEM",
    lookup_label="SwansonBM_3rd-ed_neuroendocrineMotorZone",
    name="neuroendocrine motor zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_neuroendocrine_motor_zone_magnocellular = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_neuroendocrineMotorZoneMagnocellular",
    abbreviation="NEMm",
    lookup_label="SwansonBM_3rd-ed_neuroendocrineMotorZoneMagnocellular",
    name="neuroendocrine motor zone, magnocellular",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_neuroendocrine_motor_zone_parvicellular = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_neuroendocrineMotorZoneParvicellular",
    abbreviation="NEMp",
    lookup_label="SwansonBM_3rd-ed_neuroendocrineMotorZoneParvicellular",
    name="neuroendocrine motor zone, parvicellular",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nigrostriatal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nigrostriatalTract",
    abbreviation="nst",
    lookup_label="SwansonBM_3rd-ed_nigrostriatalTract",
    name="nigrostriatal tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nigrothalamic_fibers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nigrothalamicFibers",
    abbreviation="ntt",
    lookup_label="SwansonBM_3rd-ed_nigrothalamicFibers",
    name="nigrothalamic fibers",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nodular_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nodularFissure",
    abbreviation="nf",
    lookup_label="SwansonBM_3rd-ed_nodularFissure",
    name="nodular fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nodulus_x_sublobules_ab = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nodulusXSublobulesAb",
    abbreviation="NODa,b",
    lookup_label="SwansonBM_3rd-ed_nodulusXSublobulesAb",
    name="nodulus (X), sublobules a,b",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_accumbens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusAccumbens",
    abbreviation="ACB",
    lookup_label="SwansonBM_3rd-ed_nucleusAccumbens",
    name="nucleus accumbens",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_ambiguus_dorsal_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusAmbiguusDorsalDivision",
    abbreviation="AMBd",
    lookup_label="SwansonBM_3rd-ed_nucleusAmbiguusDorsalDivision",
    name="nucleus ambiguus, dorsal division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_ambiguus_ventral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusAmbiguusVentralDivision",
    abbreviation="AMBv",
    lookup_label="SwansonBM_3rd-ed_nucleusAmbiguusVentralDivision",
    name="nucleus ambiguus, ventral division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_brachium_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusBrachiumInferiorColliculus",
    abbreviation="NB",
    lookup_label="SwansonBM_3rd-ed_nucleusBrachiumInferiorColliculus",
    name="nucleus brachium inferior colliculus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_circularis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusCircularis",
    abbreviation="NC",
    lookup_label="SwansonBM_3rd-ed_nucleusCircularis",
    name="nucleus circularis",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_incertus_compact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIncertusCompactPart",
    abbreviation="NIc",
    lookup_label="SwansonBM_3rd-ed_nucleusIncertusCompactPart",
    name="nucleus incertus, compact part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_incertus_diffuse_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIncertusDiffusePart",
    abbreviation="NId",
    lookup_label="SwansonBM_3rd-ed_nucleusIncertusDiffusePart",
    name="nucleus incertus, diffuse part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_incertus_streeter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIncertusStreeter",
    abbreviation="NI",
    lookup_label="SwansonBM_3rd-ed_nucleusIncertusStreeter",
    name="nucleus incertus [Streeter]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_intercalatus_staderini = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusIntercalatusStaderini",
    abbreviation="NIS",
    lookup_label="SwansonBM_3rd-ed_nucleusIntercalatusStaderini",
    name="nucleus intercalatus [Staderini]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_darkschewitsch = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfDarkschewitsch",
    abbreviation="ND",
    lookup_label="SwansonBM_3rd-ed_nucleusOfDarkschewitsch",
    name="nucleus of Darkschewitsch",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_roller = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfRoller",
    abbreviation="NR",
    lookup_label="SwansonBM_3rd-ed_nucleusOfRoller",
    name="nucleus of Roller",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_bulbocavernosus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheBulbocavernosus",
    abbreviation="NBC",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheBulbocavernosus",
    name="nucleus of the bulbocavernosus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_lateral_lemniscus_bechterew = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusBechterew",
    abbreviation="NLL",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusBechterew",
    name="nucleus of the lateral lemniscus [Bechterew]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_lateral_lemniscus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusDorsalPart",
    abbreviation="NLLd",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusDorsalPart",
    name="nucleus of the lateral lemniscus, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_lateral_lemniscus_horizontal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusHorizontalPart",
    abbreviation="NLLh",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusHorizontalPart",
    name="nucleus of the lateral lemniscus, horizontal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_lateral_lemniscus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusVentralPart",
    abbreviation="NLLv",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheLateralLemniscusVentralPart",
    name="nucleus of the lateral lemniscus, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_lateral_olfactory_tract_dorsal_cap = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractDorsalCap",
    abbreviation="NLOT3",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractDorsalCap",
    name="nucleus of the lateral olfactory tract, dorsal cap",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_lateral_olfactory_tract_ganser = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractGanser",
    abbreviation="NLOT",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractGanser",
    name="nucleus of the lateral olfactory tract [Ganser]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_lateral_olfactory_tract_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    abbreviation="NLOT1",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractMolecularLayer",
    name="nucleus of the lateral olfactory tract, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_lateral_olfactory_tract_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    abbreviation="NLOT2",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheLateralOlfactoryTractPyramidalLayer",
    name="nucleus of the lateral olfactory tract, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheOpticTract",
    abbreviation="NOT",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheOpticTract",
    name="nucleus of the optic tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfThePosteriorCommissure",
    abbreviation="NPC",
    lookup_label="SwansonBM_3rd-ed_nucleusOfThePosteriorCommissure",
    name="nucleus of the posterior commissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTract",
    abbreviation="NTS",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheSolitaryTract",
    name="nucleus of the solitary tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_solitary_tract_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractCentralPart",
    abbreviation="NTSce",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheSolitaryTractCentralPart",
    name="nucleus of the solitary tract, central part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_solitary_tract_commissural_part_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractCommissuralPartCajal",
    abbreviation="NTSco",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheSolitaryTractCommissuralPartCajal",
    name="nucleus of the solitary tract, commissural part [Cajal]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_solitary_tract_gelatinous_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractGelatinousPart",
    abbreviation="NTSge",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheSolitaryTractGelatinousPart",
    name="nucleus of the solitary tract, gelatinous part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_solitary_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractLateralPart",
    abbreviation="NTSl",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheSolitaryTractLateralPart",
    name="nucleus of the solitary tract, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_solitary_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSolitaryTractMedialPart",
    abbreviation="NTSm",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheSolitaryTractMedialPart",
    name="nucleus of the solitary tract, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_spinal_accessory_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheSpinalAccessoryNerve",
    abbreviation="XI",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheSpinalAccessoryNerve",
    name="nucleus of the spinal accessory nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_of_the_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusOfTheTrapezoidBody",
    abbreviation="NTB",
    lookup_label="SwansonBM_3rd-ed_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_prepositus_marburg = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusPrepositusMarburg",
    abbreviation="PRP",
    lookup_label="SwansonBM_3rd-ed_nucleusPrepositusMarburg",
    name="nucleus prepositus [Marburg]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_proprius_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusPropriusOfTheSpinalCord",
    abbreviation="NP",
    lookup_label="SwansonBM_3rd-ed_nucleusPropriusOfTheSpinalCord",
    name="nucleus proprius of the spinal cord",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_raphe_magnus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRapheMagnus",
    abbreviation="RM",
    lookup_label="SwansonBM_3rd-ed_nucleusRapheMagnus",
    name="nucleus raphé magnus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_raphe_obscurus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRapheObscurus",
    abbreviation="RO",
    lookup_label="SwansonBM_3rd-ed_nucleusRapheObscurus",
    name="nucleus raphé obscurus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_raphe_pallidus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRaphePallidus",
    abbreviation="RPA",
    lookup_label="SwansonBM_3rd-ed_nucleusRaphePallidus",
    name="nucleus raphé pallidus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_raphe_pontis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusRaphePontis",
    abbreviation="RPO",
    lookup_label="SwansonBM_3rd-ed_nucleusRaphePontis",
    name="nucleus raphé pontis",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_caudal_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivision",
    abbreviation="REc",
    additional_remarks="Corrected name based on ['Errata for Brain maps: structure of the rat brain, 3rd edition'](https://larrywswanson.com/wp-content/uploads/2015/03/BM3-Errata.pdf). The 'nucleus reuniens, caudal division, caudal part' should not exist, but 'nucleus reuniens, caudal division' should. Abbreviation remained. Correct name has been added under 'correctedName'.",
    corrected_name="nucleus reuniens, caudal division",
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensCaudalDivision",
    name="nucleus reuniens, caudal division, caudal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_caudal_division_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionDorsalPart",
    abbreviation="REcd",
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionDorsalPart",
    name="nucleus reuniens, caudal division, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_caudal_division_median_part_gurdjian = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionMedianPartGurdjian",
    abbreviation="REcm",
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionMedianPartGurdjian",
    name="nucleus reuniens, caudal division, median part [Gurdjian]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_caudal_division_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionPosteriorPart",
    abbreviation="REp",
    additional_remarks="Corrected abbreviation based on ['Errata for Brain maps: structure of the rat brain, 3rd edition'](https://larrywswanson.com/wp-content/uploads/2015/03/BM3-Errata.pdf). 'REcp' has been added under 'alternateName'.",
    alternate_names=["REcp"],
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensCaudalDivisionPosteriorPart",
    name="nucleus reuniens, caudal division, posterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_malone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensMalone",
    abbreviation="RE",
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensMalone",
    name="nucleus reuniens [Malone]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_rostral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivision",
    abbreviation="REr",
    additional_remarks="Manually added based on ['Errata for Brain maps: structure of the rat brain, 3rd edition'](https://larrywswanson.com/wp-content/uploads/2015/03/BM3-Errata.pdf).",
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensRostralDivision",
    name="nucleus reuniens, rostral division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_rostral_division_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionAnteriorPart",
    abbreviation="REa",
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensRostralDivisionAnteriorPart",
    name="nucleus reuniens, rostral division, anterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_rostral_division_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionDorsalPart",
    abbreviation="REd",
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensRostralDivisionDorsalPart",
    name="nucleus reuniens, rostral division, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_rostral_division_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionLateralPart",
    abbreviation="REl",
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensRostralDivisionLateralPart",
    name="nucleus reuniens, rostral division, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_rostral_division_median_part_gurdjian = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionMedianPartGurdjian",
    abbreviation="REm",
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensRostralDivisionMedianPartGurdjian",
    name="nucleus reuniens, rostral division, median part [Gurdjian]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_reuniens_rostral_division_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusReuniensRostralDivisionVentralPart",
    abbreviation="REv",
    lookup_label="SwansonBM_3rd-ed_nucleusReuniensRostralDivisionVentralPart",
    name="nucleus reuniens, rostral division, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_sagulum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusSagulum",
    abbreviation="SAG",
    lookup_label="SwansonBM_3rd-ed_nucleusSagulum",
    name="nucleus sagulum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_x_brodal_pompeiano = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusXBrodalPompeiano",
    abbreviation="x",
    lookup_label="SwansonBM_3rd-ed_nucleusXBrodalPompeiano",
    name="nucleus x [Brodal-Pompeiano]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_y_brodal_pompeiano = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusYBrodalPompeiano",
    abbreviation="y",
    lookup_label="SwansonBM_3rd-ed_nucleusYBrodalPompeiano",
    name="nucleus y [Brodal-Pompeiano]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_nucleus_z_brodal_pompeiano = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_nucleusZBrodalPompeiano",
    abbreviation="z",
    lookup_label="SwansonBM_3rd-ed_nucleusZBrodalPompeiano",
    name="nucleus z [Brodal-Pompeiano]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_occipital_pole_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_occipitalPoleCerebralCortex",
    abbreviation="OCP",
    lookup_label="SwansonBM_3rd-ed_occipitalPoleCerebralCortex",
    name="occipital pole, cerebral cortex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_occipital_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_occipitalRegion",
    abbreviation="OCC",
    lookup_label="SwansonBM_3rd-ed_occipitalRegion",
    name="occipital region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_oculomotor_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_oculomotorNerve",
    abbreviation="IIIn",
    lookup_label="SwansonBM_3rd-ed_oculomotorNerve",
    name="oculomotor nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_oculomotor_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_oculomotorNucleus",
    abbreviation="III",
    lookup_label="SwansonBM_3rd-ed_oculomotorNucleus",
    name="oculomotor nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_olfactory_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryCortex",
    abbreviation="OLF",
    lookup_label="SwansonBM_3rd-ed_olfactoryCortex",
    name="olfactory cortex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_olfactory_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryNerve",
    abbreviation="In",
    lookup_label="SwansonBM_3rd-ed_olfactoryNerve",
    name="olfactory nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_olfactory_tubercle_ganser = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTubercleGanser",
    abbreviation="OT",
    lookup_label="SwansonBM_3rd-ed_olfactoryTubercleGanser",
    name="olfactory tubercle [Ganser]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_olfactory_tubercle_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTubercleMolecularLayer",
    abbreviation="OT1",
    lookup_label="SwansonBM_3rd-ed_olfactoryTubercleMolecularLayer",
    name="olfactory tubercle, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_olfactory_tubercle_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTuberclePolymorphLayer",
    abbreviation="OT3",
    lookup_label="SwansonBM_3rd-ed_olfactoryTuberclePolymorphLayer",
    name="olfactory tubercle, polymorph layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_olfactory_tubercle_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olfactoryTuberclePyramidalLayer",
    abbreviation="OT2",
    lookup_label="SwansonBM_3rd-ed_olfactoryTuberclePyramidalLayer",
    name="olfactory tubercle, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_olivary_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olivaryPretectalNucleus",
    abbreviation="OP",
    lookup_label="SwansonBM_3rd-ed_olivaryPretectalNucleus",
    name="olivary pretectal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_olivocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_olivocerebellarTract",
    abbreviation="oct",
    lookup_label="SwansonBM_3rd-ed_olivocerebellarTract",
    name="olivocerebellar tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_opticChiasm",
    abbreviation="och",
    lookup_label="SwansonBM_3rd-ed_opticChiasm",
    name="optic chiasm",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_opticNerve",
    abbreviation="IIn",
    lookup_label="SwansonBM_3rd-ed_opticNerve",
    name="optic nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_optic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_opticTract",
    abbreviation="opt",
    lookup_label="SwansonBM_3rd-ed_opticTract",
    name="optic tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_orbital_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalArea",
    abbreviation="ORB",
    lookup_label="SwansonBM_3rd-ed_orbitalArea",
    name="orbital area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_orbital_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaLateralPart",
    abbreviation="ORBl",
    lookup_label="SwansonBM_3rd-ed_orbitalAreaLateralPart",
    name="orbital area, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_orbital_area_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaMedialPart",
    abbreviation="ORBm",
    lookup_label="SwansonBM_3rd-ed_orbitalAreaMedialPart",
    name="orbital area, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_orbital_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaVentralPart",
    abbreviation="ORBv",
    lookup_label="SwansonBM_3rd-ed_orbitalAreaVentralPart",
    name="orbital area, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_orbital_area_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_orbitalAreaVentrolateralPart",
    abbreviation="ORBvl",
    lookup_label="SwansonBM_3rd-ed_orbitalAreaVentrolateralPart",
    name="orbital area, ventrolateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_otic_ganglion_arnold = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_oticGanglionArnold",
    abbreviation="GoIX",
    lookup_label="SwansonBM_3rd-ed_oticGanglionArnold",
    name="otic ganglion [Arnold]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pallidotegmental_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pallidotegmentalFascicle",
    abbreviation="ptf",
    lookup_label="SwansonBM_3rd-ed_pallidotegmentalFascicle",
    name="pallidotegmental fascicle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pallidothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pallidothalamicPathway",
    abbreviation="pap",
    lookup_label="SwansonBM_3rd-ed_pallidothalamicPathway",
    name="pallidothalamic pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pallidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pallidum",
    abbreviation="PAL",
    lookup_label="SwansonBM_3rd-ed_pallidum",
    name="pallidum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabigeminal_nucleus_bechterew = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabigeminalNucleusBechterew",
    abbreviation="PBG",
    lookup_label="SwansonBM_3rd-ed_parabigeminalNucleusBechterew",
    name="parabigeminal nucleus [Bechterew]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleus",
    abbreviation="PB",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleus",
    name="parabrachial nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_central_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusCentralLateralPart",
    abbreviation="PBlc",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusCentralLateralPart",
    name="parabrachial nucleus, central lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_dorsal_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusDorsalLateralPart",
    abbreviation="PBld",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusDorsalLateralPart",
    name="parabrachial nucleus, dorsal lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_external_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusExternalLateralPart",
    abbreviation="PBle",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusExternalLateralPart",
    name="parabrachial nucleus, external lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_external_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusExternalMedialPart",
    abbreviation="PBme",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusExternalMedialPart",
    name="parabrachial nucleus, external medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_extreme_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusExtremeLateralPart",
    abbreviation="PBlex",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusExtremeLateralPart",
    name="parabrachial nucleus, extreme lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_internal_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusInternalLateralPart",
    abbreviation="PBli",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusInternalLateralPart",
    name="parabrachial nucleus, internal lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_lateral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusLateralDivision",
    abbreviation="PBl",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusLateralDivision",
    name="parabrachial nucleus, lateral division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusMedialDivision",
    abbreviation="PBm",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusMedialDivision",
    name="parabrachial nucleus, medial division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_medial_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusMedialMedialPart",
    abbreviation="PBmm",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusMedialMedialPart",
    name="parabrachial nucleus, medial medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_superior_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusSuperiorLateralPart",
    abbreviation="PBls",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusSuperiorLateralPart",
    name="parabrachial nucleus, superior lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_ventral_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusVentralLateralPart",
    abbreviation="PBlv",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusVentralLateralPart",
    name="parabrachial nucleus, ventral lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parabrachial_nucleus_ventral_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parabrachialNucleusVentralMedialPart",
    abbreviation="PBmv",
    lookup_label="SwansonBM_3rd-ed_parabrachialNucleusVentralMedialPart",
    name="parabrachial nucleus, ventral medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paracentral_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paracentralNucleusThalamus",
    abbreviation="PCN",
    lookup_label="SwansonBM_3rd-ed_paracentralNucleusThalamus",
    name="paracentral nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parafascicular_nucleus_vogt = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parafascicularNucleusVogt",
    abbreviation="PF",
    lookup_label="SwansonBM_3rd-ed_parafascicularNucleusVogt",
    name="parafascicular nucleus [Vogt]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parafloccular_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parafloccularSulcus",
    abbreviation="pfs",
    lookup_label="SwansonBM_3rd-ed_parafloccularSulcus",
    name="parafloccular sulcus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraflocculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraflocculus",
    abbreviation="PFL",
    lookup_label="SwansonBM_3rd-ed_paraflocculus",
    name="paraflocculus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paragigantocellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paragigantocellularReticularNucleus",
    abbreviation="PGRN",
    lookup_label="SwansonBM_3rd-ed_paragigantocellularReticularNucleus",
    name="paragigantocellular reticular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paragigantocellular_reticular_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paragigantocellularReticularNucleusDorsalPart",
    abbreviation="PGRNd",
    lookup_label="SwansonBM_3rd-ed_paragigantocellularReticularNucleusDorsalPart",
    name="paragigantocellular reticular nucleus, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paragigantocellular_reticular_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paragigantocellularReticularNucleusLateralPart",
    abbreviation="PGRNl",
    lookup_label="SwansonBM_3rd-ed_paragigantocellularReticularNucleusLateralPart",
    name="paragigantocellular reticular nucleus, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paramedian_lobule = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paramedianLobule",
    abbreviation="PRM",
    lookup_label="SwansonBM_3rd-ed_paramedianLobule",
    name="paramedian lobule",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paramedian_reticular_nucleus_mislawsky = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paramedianReticularNucleusMislawsky",
    abbreviation="PMR",
    lookup_label="SwansonBM_3rd-ed_paramedianReticularNucleusMislawsky",
    name="paramedian reticular nucleus [Mislawsky]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paramedian_sulcus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paramedianSulcus",
    abbreviation="pms",
    lookup_label="SwansonBM_3rd-ed_paramedianSulcus",
    name="paramedian sulcus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parapyramidal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parapyramidalNucleus",
    abbreviation="PPY",
    lookup_label="SwansonBM_3rd-ed_parapyramidalNucleus",
    name="parapyramidal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parapyramidal_nucleus_deep_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parapyramidalNucleusDeepPart",
    abbreviation="PPYd",
    lookup_label="SwansonBM_3rd-ed_parapyramidalNucleusDeepPart",
    name="parapyramidal nucleus, deep part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parapyramidal_nucleus_superficial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parapyramidalNucleusSuperficialPart",
    abbreviation="PPYs",
    lookup_label="SwansonBM_3rd-ed_parapyramidalNucleusSuperficialPart",
    name="parapyramidal nucleus, superficial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parasolitary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasolitaryNucleus",
    abbreviation="PAS",
    lookup_label="SwansonBM_3rd-ed_parasolitaryNucleus",
    name="parasolitary nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parastrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parastrialNucleus",
    abbreviation="PS",
    lookup_label="SwansonBM_3rd-ed_parastrialNucleus",
    name="parastrial nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parasubiculum_layers16 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasubiculumLayers16",
    abbreviation="PAR1-6",
    lookup_label="SwansonBM_3rd-ed_parasubiculumLayers16",
    name="parasubiculum, layers 1-6",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parasubthalamic_nucleus_zhang_wang = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasubthalamicNucleusZhangWang",
    abbreviation="PSTN",
    lookup_label="SwansonBM_3rd-ed_parasubthalamicNucleusZhangWang",
    name="parasubthalamic nucleus [Zhang-Wang]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parasympathetic_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasympatheticGanglia",
    abbreviation="GPA",
    lookup_label="SwansonBM_3rd-ed_parasympatheticGanglia",
    name="parasympathetic ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parasympathetic_plexuses = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasympatheticPlexuses",
    abbreviation="PPX",
    lookup_label="SwansonBM_3rd-ed_parasympatheticPlexuses",
    name="parasympathetic plexuses",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parasympathetic_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parasympatheticSystem",
    abbreviation="PSY",
    lookup_label="SwansonBM_3rd-ed_parasympatheticSystem",
    name="parasympathetic system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paratenial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paratenialNucleus",
    abbreviation="PT",
    lookup_label="SwansonBM_3rd-ed_paratenialNucleus",
    name="paratenial nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paratrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paratrigeminalNucleus",
    abbreviation="PAT",
    lookup_label="SwansonBM_3rd-ed_paratrigeminalNucleus",
    name="paratrigeminal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_anterior_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusAnteriorMagnocellularPart",
    abbreviation="PVHam",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusAnteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, anterior magnocellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_anterior_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart",
    abbreviation="PVHap",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusAnteriorParvicellularPart",
    name="paraventricular hypothalamic nucleus, anterior parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_descending_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusDescendingDivision",
    abbreviation="PVHd",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusDescendingDivision",
    name="paraventricular hypothalamic nucleus, descending division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_dorsal_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusDorsalParvicellularPart",
    abbreviation="PVHdp",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusDorsalParvicellularPart",
    name="paraventricular hypothalamic nucleus, dorsal parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_forniceal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusFornicealPart",
    abbreviation="PVHf",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusFornicealPart",
    name="paraventricular hypothalamic nucleus, forniceal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_lateral_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusLateralParvicellularPart",
    abbreviation="PVHlp",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusLateralParvicellularPart",
    name="paraventricular hypothalamic nucleus, lateral parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_magnocellular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMagnocellularDivision",
    abbreviation="PVHm",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMagnocellularDivision",
    name="paraventricular hypothalamic nucleus, magnocellular division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_malone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMalone",
    abbreviation="PVH",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMalone",
    name="paraventricular hypothalamic nucleus [Malone]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_medial_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart",
    abbreviation="PVHmm",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialMagnocellularPart",
    name="paraventricular hypothalamic nucleus, medial magnocellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_medial_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPart",
    abbreviation="PVHmp",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPart",
    name="paraventricular hypothalamic nucleus, medial parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_medial_parvicellular_part_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPartDorsalZone",
    abbreviation="PVHmpd",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPartDorsalZone",
    name="paraventricular hypothalamic nucleus, medial parvicellular part, dorsal zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_medial_parvicellular_part_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPartVentralZone",
    abbreviation="PVHmpv",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusMedialParvicellularPartVentralZone",
    name="paraventricular hypothalamic nucleus, medial parvicellular part, ventral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_neuroendocrine_component = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusNeuroendocrineComponent",
    abbreviation="PVHne",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusNeuroendocrineComponent",
    name="paraventricular hypothalamic nucleus, neuroendocrine component",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_parvicellular_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusParvicellularDivision",
    abbreviation="PVHp",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusParvicellularDivision",
    name="paraventricular hypothalamic nucleus, parvicellular division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_periventricular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPeriventricularPart",
    abbreviation="PVHpv",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPeriventricularPart",
    name="paraventricular hypothalamic nucleus, periventricular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_posterior_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPart",
    abbreviation="PVHpm",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPart",
    name="paraventricular hypothalamic nucleus, posterior magnocellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_posterior_magnocellular_part_lateral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPartLateralZone",
    abbreviation="PVHpml",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPartLateralZone",
    name="paraventricular hypothalamic nucleus, posterior magnocellular part, lateral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_hypothalamic_nucleus_posterior_magnocellular_part_medial_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPartMedialZone",
    abbreviation="PVHpmm",
    lookup_label="SwansonBM_3rd-ed_paraventricularHypothalamicNucleusPosteriorMagnocellularPartMedialZone",
    name="paraventricular hypothalamic nucleus, posterior magnocellular part, medial zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paraventricular_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paraventricularThalamicNucleus",
    abbreviation="PVT",
    lookup_label="SwansonBM_3rd-ed_paraventricularThalamicNucleus",
    name="paraventricular thalamic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_paravertebral_sympathetic_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_paravertebralSympatheticGanglia",
    abbreviation="GPAS",
    lookup_label="SwansonBM_3rd-ed_paravertebralSympatheticGanglia",
    name="paravertebral sympathetic ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parietal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parietalRegion",
    abbreviation="PTL",
    lookup_label="SwansonBM_3rd-ed_parietalRegion",
    name="parietal region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parietal_region_posterior_association_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parietalRegionPosteriorAssociationAreas",
    abbreviation="PTLp",
    lookup_label="SwansonBM_3rd-ed_parietalRegionPosteriorAssociationAreas",
    name="parietal region, posterior association areas",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_parvicellular_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_parvicellularReticularNucleus",
    abbreviation="PARN",
    lookup_label="SwansonBM_3rd-ed_parvicellularReticularNucleus",
    name="parvicellular reticular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pedunculopontine_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pedunculopontineNucleus",
    abbreviation="PPN",
    lookup_label="SwansonBM_3rd-ed_pedunculopontineNucleus",
    name="pedunculopontine nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pelvic_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pelvicGanglion",
    abbreviation="GPEL",
    lookup_label="SwansonBM_3rd-ed_pelvicGanglion",
    name="pelvic ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_perforant_path = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perforantPath",
    abbreviation="per",
    lookup_label="SwansonBM_3rd-ed_perforantPath",
    name="perforant path",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGray",
    abbreviation="PAG",
    lookup_label="SwansonBM_3rd-ed_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periaqueductal_gray_dorsal_division_beitz = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayDorsalDivisionBeitz",
    abbreviation="PAGd",
    lookup_label="SwansonBM_3rd-ed_periaqueductalGrayDorsalDivisionBeitz",
    name="periaqueductal gray, dorsal division [Beitz]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periaqueductal_gray_dorsolateral_division_beitz = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayDorsolateralDivisionBeitz",
    abbreviation="PAGdl",
    lookup_label="SwansonBM_3rd-ed_periaqueductalGrayDorsolateralDivisionBeitz",
    name="periaqueductal gray, dorsolateral division [Beitz]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periaqueductal_gray_medial_division_beitz = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayMedialDivisionBeitz",
    abbreviation="PAGm",
    lookup_label="SwansonBM_3rd-ed_periaqueductalGrayMedialDivisionBeitz",
    name="periaqueductal gray, medial division [Beitz]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periaqueductal_gray_rostrolateral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayRostrolateralDivision",
    abbreviation="PAGrl",
    lookup_label="SwansonBM_3rd-ed_periaqueductalGrayRostrolateralDivision",
    name="periaqueductal gray, rostrolateral division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periaqueductal_gray_rostromedial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayRostromedialDivision",
    abbreviation="PAGrm",
    lookup_label="SwansonBM_3rd-ed_periaqueductalGrayRostromedialDivision",
    name="periaqueductal gray, rostromedial division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periaqueductal_gray_ventrolateral_division_beitz = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periaqueductalGrayVentrolateralDivisionBeitz",
    abbreviation="PAGvl",
    lookup_label="SwansonBM_3rd-ed_periaqueductalGrayVentrolateralDivisionBeitz",
    name="periaqueductal gray, ventrolateral division [Beitz]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_perihypoglossal_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perihypoglossalNuclei",
    abbreviation="PHY",
    lookup_label="SwansonBM_3rd-ed_perihypoglossalNuclei",
    name="perihypoglossal nuclei",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periolivary_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periolivaryRegion",
    abbreviation="POR",
    lookup_label="SwansonBM_3rd-ed_periolivaryRegion",
    name="periolivary region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_peripeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_peripeduncularNucleus",
    abbreviation="PP",
    lookup_label="SwansonBM_3rd-ed_peripeduncularNucleus",
    name="peripeduncular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_peripheral_nervous_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_peripheralNervousSystem",
    abbreviation="PNS",
    lookup_label="SwansonBM_3rd-ed_peripheralNervousSystem",
    name="peripheral nervous system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_perireuniens_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perireuniensNucleus",
    abbreviation="PR",
    lookup_label="SwansonBM_3rd-ed_perireuniensNucleus",
    name="perireuniens nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_perirhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_perirhinalArea",
    abbreviation="PERI",
    lookup_label="SwansonBM_3rd-ed_perirhinalArea",
    name="perirhinal area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periventricular_bundle_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularBundleHypothalamus",
    abbreviation="pvbh",
    lookup_label="SwansonBM_3rd-ed_periventricularBundleHypothalamus",
    name="periventricular bundle hypothalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periventricular_bundle_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularBundleThalamus",
    abbreviation="pvbt",
    lookup_label="SwansonBM_3rd-ed_periventricularBundleThalamus",
    name="periventricular bundle thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periventricular_hypothalamic_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularHypothalamicNucleusAnteriorPart",
    abbreviation="PVa",
    lookup_label="SwansonBM_3rd-ed_periventricularHypothalamicNucleusAnteriorPart",
    name="periventricular hypothalamic nucleus, anterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periventricular_hypothalamic_nucleus_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularHypothalamicNucleusIntermediatePart",
    abbreviation="PVi",
    lookup_label="SwansonBM_3rd-ed_periventricularHypothalamicNucleusIntermediatePart",
    name="periventricular hypothalamic nucleus, intermediate part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periventricular_hypothalamic_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularHypothalamicNucleusPosteriorPart",
    abbreviation="PVp",
    lookup_label="SwansonBM_3rd-ed_periventricularHypothalamicNucleusPosteriorPart",
    name="periventricular hypothalamic nucleus, posterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_periventricular_region_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_periventricularRegionHypothalamus",
    abbreviation="PE",
    lookup_label="SwansonBM_3rd-ed_periventricularRegionHypothalamus",
    name="periventricular region, hypothalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_phrenic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_phrenicNerve",
    abbreviation="phn",
    lookup_label="SwansonBM_3rd-ed_phrenicNerve",
    name="phrenic nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_phrenic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_phrenicNucleus",
    abbreviation="PN",
    lookup_label="SwansonBM_3rd-ed_phrenicNucleus",
    name="phrenic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pia",
    abbreviation="PI",
    lookup_label="SwansonBM_3rd-ed_pia",
    name="pia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pineal_gland_galen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pinealGlandGalen",
    abbreviation="PIN",
    lookup_label="SwansonBM_3rd-ed_pinealGlandGalen",
    name="pineal gland [Galen]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pineal_stalk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pinealStalk",
    abbreviation="PIS",
    lookup_label="SwansonBM_3rd-ed_pinealStalk",
    name="pineal stalk",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_piriform_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformArea",
    abbreviation="PIR",
    lookup_label="SwansonBM_3rd-ed_piriformArea",
    name="piriform area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_piriform_area_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformAreaMolecularLayer",
    abbreviation="PIR1",
    lookup_label="SwansonBM_3rd-ed_piriformAreaMolecularLayer",
    name="piriform area, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_piriform_area_polymorph_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformAreaPolymorphLayer",
    abbreviation="PIR3",
    lookup_label="SwansonBM_3rd-ed_piriformAreaPolymorphLayer",
    name="piriform area, polymorph layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_piriform_area_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformAreaPyramidalLayer",
    abbreviation="PIR2",
    lookup_label="SwansonBM_3rd-ed_piriformAreaPyramidalLayer",
    name="piriform area, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_piriformamygdalar_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_piriformamygdalarArea",
    abbreviation="PAA",
    lookup_label="SwansonBM_3rd-ed_piriformamygdalarArea",
    name="piriform-amygdalar area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pituitary_gland_anterior_lobe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandAnteriorLobe",
    abbreviation="AL",
    lookup_label="SwansonBM_3rd-ed_pituitaryGlandAnteriorLobe",
    name="pituitary gland, anterior lobe",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pituitary_gland_galen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandGalen",
    abbreviation="PIT",
    lookup_label="SwansonBM_3rd-ed_pituitaryGlandGalen",
    name="pituitary gland [Galen]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pituitary_gland_intermediate_lobe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandIntermediateLobe",
    abbreviation="IL",
    lookup_label="SwansonBM_3rd-ed_pituitaryGlandIntermediateLobe",
    name="pituitary gland, intermediate lobe",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pituitary_gland_neural_lobe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pituitaryGlandNeuralLobe",
    abbreviation="NL",
    lookup_label="SwansonBM_3rd-ed_pituitaryGlandNeuralLobe",
    name="pituitary gland, neural lobe",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pons_varolio = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ponsVarolio",
    abbreviation="P",
    lookup_label="SwansonBM_3rd-ed_ponsVarolio",
    name="pons [Varolio]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pontine_central_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineCentralGray",
    abbreviation="PCG",
    lookup_label="SwansonBM_3rd-ed_pontineCentralGray",
    name="pontine central gray",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pontine_central_gray_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineCentralGrayGeneral",
    abbreviation="PCGg",
    lookup_label="SwansonBM_3rd-ed_pontineCentralGrayGeneral",
    name="pontine central gray, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pontine_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineGray",
    abbreviation="PG",
    lookup_label="SwansonBM_3rd-ed_pontineGray",
    name="pontine gray",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pontine_gray_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineGrayGeneral",
    abbreviation="PGg",
    lookup_label="SwansonBM_3rd-ed_pontineGrayGeneral",
    name="pontine gray, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pontine_reticular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineReticularNucleus",
    abbreviation="PRN",
    lookup_label="SwansonBM_3rd-ed_pontineReticularNucleus",
    name="pontine reticular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pontine_reticular_nucleus_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineReticularNucleusCaudalPart",
    abbreviation="PRNc",
    lookup_label="SwansonBM_3rd-ed_pontineReticularNucleusCaudalPart",
    name="pontine reticular nucleus, caudal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pontine_reticular_nucleus_rostral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pontineReticularNucleusRostralPart",
    abbreviation="PRNr",
    lookup_label="SwansonBM_3rd-ed_pontineReticularNucleusRostralPart",
    name="pontine reticular nucleus, rostral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_post_and_precerebellar_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postAndPrecerebellarNuclei",
    abbreviation="CBPP",
    lookup_label="SwansonBM_3rd-ed_postAndPrecerebellarNuclei",
    name="post- and precerebellar nuclei",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_postcommissural_fornix_elliot_smith = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postcommissuralFornixElliotSmith",
    abbreviation="fxpo",
    lookup_label="SwansonBM_3rd-ed_postcommissuralFornixElliotSmith",
    name="postcommissural fornix [Elliot Smith]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterior_amygdalar_nucleus_canteras_swanson = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorAmygdalarNucleusCanterasSwanson",
    abbreviation="PA",
    lookup_label="SwansonBM_3rd-ed_posteriorAmygdalarNucleusCanterasSwanson",
    name="posterior amygdalar nucleus [Canteras-Swanson]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterior_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorAuditoryArea",
    abbreviation="AUDpo",
    lookup_label="SwansonBM_3rd-ed_posteriorAuditoryArea",
    name="posterior auditory area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterior_commissure_lieutaud = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorCommissureLieutaud",
    abbreviation="pc",
    lookup_label="SwansonBM_3rd-ed_posteriorCommissureLieutaud",
    name="posterior commissure [Lieutaud]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterior_complex_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorComplexThalamus",
    abbreviation="PO",
    lookup_label="SwansonBM_3rd-ed_posteriorComplexThalamus",
    name="posterior complex thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterior_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorHypothalamicNucleus",
    abbreviation="PH",
    lookup_label="SwansonBM_3rd-ed_posteriorHypothalamicNucleus",
    name="posterior hypothalamic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterior_limiting_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorLimitingNucleusThalamus",
    abbreviation="POL",
    lookup_label="SwansonBM_3rd-ed_posteriorLimitingNucleusThalamus",
    name="posterior limiting nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterior_lobe_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorLobeCerebellum",
    abbreviation="PLC",
    lookup_label="SwansonBM_3rd-ed_posteriorLobeCerebellum",
    name="posterior lobe cerebellum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterior_pretectal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorPretectalNucleus",
    abbreviation="PPT",
    lookup_label="SwansonBM_3rd-ed_posteriorPretectalNucleus",
    name="posterior pretectal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterior_septal_complex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorSeptalComplex",
    abbreviation="PSC",
    lookup_label="SwansonBM_3rd-ed_posteriorSeptalComplex",
    name="posterior septal complex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterior_superior_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteriorSuperiorFissure",
    abbreviation="psf",
    lookup_label="SwansonBM_3rd-ed_posteriorSuperiorFissure",
    name="posterior superior fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterodorsal_intraculminate_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterodorsalIntraculminateFissure",
    abbreviation="icupd",
    lookup_label="SwansonBM_3rd-ed_posterodorsalIntraculminateFissure",
    name="posterodorsal intraculminate fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterodorsal_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterodorsalPreopticNucleus",
    abbreviation="PD",
    lookup_label="SwansonBM_3rd-ed_posterodorsalPreopticNucleus",
    name="posterodorsal preoptic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterolateral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterolateralFissure",
    abbreviation="plf",
    lookup_label="SwansonBM_3rd-ed_posterolateralFissure",
    name="posterolateral fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posterolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posterolateralVisualArea",
    abbreviation="VISpl",
    lookup_label="SwansonBM_3rd-ed_posterolateralVisualArea",
    name="posterolateral visual area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_posteromedial_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_posteromedialVisualArea",
    abbreviation="VISpm",
    lookup_label="SwansonBM_3rd-ed_posteromedialVisualArea",
    name="posteromedial visual area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_postpiriform_transition_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postpiriformTransitionArea",
    abbreviation="TR",
    lookup_label="SwansonBM_3rd-ed_postpiriformTransitionArea",
    name="postpiriform transition area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_postsubiculum_layers16 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_postsubiculumLayers16",
    abbreviation="POST1-6",
    lookup_label="SwansonBM_3rd-ed_postsubiculumLayers16",
    name="postsubiculum, layers 1-6",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_precentral_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precentralFissure",
    abbreviation="pce",
    lookup_label="SwansonBM_3rd-ed_precentralFissure",
    name="precentral fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_precentral_fissure_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precentralFissureA",
    abbreviation="pcea",
    lookup_label="SwansonBM_3rd-ed_precentralFissureA",
    name="precentral fissure a",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_precentral_fissure_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precentralFissureB",
    abbreviation="pceb",
    lookup_label="SwansonBM_3rd-ed_precentralFissureB",
    name="precentral fissure b",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_precommissural_fornix_elliot_smith = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precommissuralFornixElliotSmith",
    abbreviation="fxpr",
    lookup_label="SwansonBM_3rd-ed_precommissuralFornixElliotSmith",
    name="precommissural fornix [Elliot Smith]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_precommissural_fornix_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precommissuralFornixGeneral",
    abbreviation="fxprg",
    lookup_label="SwansonBM_3rd-ed_precommissuralFornixGeneral",
    name="precommissural fornix, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_precommissural_nucleus_periaqueductal_gray_paxinos_watson = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_precommissuralNucleusPeriaqueductalGrayPaxinosWatson",
    abbreviation="PRC",
    lookup_label="SwansonBM_3rd-ed_precommissuralNucleusPeriaqueductalGrayPaxinosWatson",
    name="precommissural nucleus, periaqueductal gray [Paxinos-Watson]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_preculminate_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preculminateFissure",
    abbreviation="pcf",
    lookup_label="SwansonBM_3rd-ed_preculminateFissure",
    name="preculminate fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_prefrontal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prefrontalRegion",
    abbreviation="PFR",
    lookup_label="SwansonBM_3rd-ed_prefrontalRegion",
    name="prefrontal region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_preganglionic_autonomic_pools = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preganglionicAutonomicPools",
    abbreviation="ANSpre",
    lookup_label="SwansonBM_3rd-ed_preganglionicAutonomicPools",
    name="preganglionic autonomic pools",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_preganglionic_autonomic_pools_parasympathetic = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preganglionicAutonomicPoolsParasympathetic",
    abbreviation="ANSprep",
    lookup_label="SwansonBM_3rd-ed_preganglionicAutonomicPoolsParasympathetic",
    name="preganglionic autonomic pools, parasympathetic",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_preganglionic_autonomic_pools_sympathetic = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preganglionicAutonomicPoolsSympathetic",
    abbreviation="ANSpres",
    lookup_label="SwansonBM_3rd-ed_preganglionicAutonomicPoolsSympathetic",
    name="preganglionic autonomic pools, sympathetic",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_prelimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prelimbicArea",
    abbreviation="PL",
    lookup_label="SwansonBM_3rd-ed_prelimbicArea",
    name="prelimbic area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_premammillary_commissure_risold_et_al = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_premammillaryCommissureRisoldEtAl",
    abbreviation="pmx",
    lookup_label="SwansonBM_3rd-ed_premammillaryCommissureRisoldEtAl",
    name="premammillary commissure [Risold et al.]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_preoptic_commissure_risold_et_al = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preopticCommissureRisoldEtAl",
    abbreviation="poc",
    lookup_label="SwansonBM_3rd-ed_preopticCommissureRisoldEtAl",
    name="preoptic commissure [Risold et al.]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_preoptic_level_hypothalamus_edinger = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preopticLevelHypothalamusEdinger",
    abbreviation="PRO",
    lookup_label="SwansonBM_3rd-ed_preopticLevelHypothalamusEdinger",
    name="preoptic level, hypothalamus [Edinger]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_preoptic_periventricular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preopticPeriventricularNucleus",
    abbreviation="PVpo",
    lookup_label="SwansonBM_3rd-ed_preopticPeriventricularNucleus",
    name="preoptic periventricular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_preparasubthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_preparasubthalamicNucleus",
    abbreviation="PST",
    lookup_label="SwansonBM_3rd-ed_preparasubthalamicNucleus",
    name="preparasubthalamic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_prepyramidal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prepyramidalFissure",
    abbreviation="ppf",
    lookup_label="SwansonBM_3rd-ed_prepyramidalFissure",
    name="prepyramidal fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_presubiculum_layers16_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_presubiculumLayers16Cajal",
    abbreviation="PRE1-6",
    lookup_label="SwansonBM_3rd-ed_presubiculumLayers16Cajal",
    name="presubiculum, layers 1-6 [Cajal]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pretectal_region_edinger = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pretectalRegionEdinger",
    abbreviation="PRT",
    lookup_label="SwansonBM_3rd-ed_pretectalRegionEdinger",
    name="pretectal region [Edinger]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_prevertebral_sympathetic_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_prevertebralSympatheticGanglia",
    abbreviation="GPRS",
    lookup_label="SwansonBM_3rd-ed_prevertebralSympatheticGanglia",
    name="prevertebral sympathetic ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primaryAuditoryArea",
    abbreviation="AUDp",
    lookup_label="SwansonBM_3rd-ed_primaryAuditoryArea",
    name="primary auditory area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primaryFissure",
    abbreviation="pri",
    lookup_label="SwansonBM_3rd-ed_primaryFissure",
    name="primary fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_somatomotor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatomotorArea",
    abbreviation="MOp",
    lookup_label="SwansonBM_3rd-ed_primarySomatomotorArea",
    name="primary somatomotor area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryArea",
    abbreviation="SSp",
    lookup_label="SwansonBM_3rd-ed_primarySomatosensoryArea",
    name="primary somatosensory area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_somatosensory_area_barrel_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaBarrelField",
    abbreviation="SSp-bfd",
    lookup_label="SwansonBM_3rd-ed_primarySomatosensoryAreaBarrelField",
    name="primary somatosensory area, barrel field",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_somatosensory_area_lower_limb_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaLowerLimbRegion",
    abbreviation="SSp-ll",
    lookup_label="SwansonBM_3rd-ed_primarySomatosensoryAreaLowerLimbRegion",
    name="primary somatosensory area, lower limb region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_somatosensory_area_mouth_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaMouthRegion",
    abbreviation="SSp-m",
    lookup_label="SwansonBM_3rd-ed_primarySomatosensoryAreaMouthRegion",
    name="primary somatosensory area, mouth region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_somatosensory_area_nose_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaNoseRegion",
    abbreviation="SSp-n",
    lookup_label="SwansonBM_3rd-ed_primarySomatosensoryAreaNoseRegion",
    name="primary somatosensory area, nose region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_somatosensory_area_trunk_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaTrunkRegion",
    abbreviation="SSp-tr",
    lookup_label="SwansonBM_3rd-ed_primarySomatosensoryAreaTrunkRegion",
    name="primary somatosensory area, trunk region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_somatosensory_area_upper_limb_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primarySomatosensoryAreaUpperLimbRegion",
    abbreviation="SSp-ul",
    lookup_label="SwansonBM_3rd-ed_primarySomatosensoryAreaUpperLimbRegion",
    name="primary somatosensory area, upper limb region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_primary_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_primaryVisualArea",
    abbreviation="VISp",
    lookup_label="SwansonBM_3rd-ed_primaryVisualArea",
    name="primary visual area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_principal_mammillary_tract_kolliker = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_principalMammillaryTractKolliker",
    abbreviation="pm",
    lookup_label="SwansonBM_3rd-ed_principalMammillaryTractKolliker",
    name="principal mammillary tract [Kölliker]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_principal_sensory_nucleus_of_the_trigeminal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_principalSensoryNucleusOfTheTrigeminal",
    abbreviation="PSV",
    lookup_label="SwansonBM_3rd-ed_principalSensoryNucleusOfTheTrigeminal",
    name="principal sensory nucleus of the trigeminal",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_propriohypothalamic_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_propriohypothalamicPathways",
    abbreviation="php",
    lookup_label="SwansonBM_3rd-ed_propriohypothalamicPathways",
    name="propriohypothalamic pathways",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_proximal_glossopharyngeal_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_proximalGlossopharyngealGanglion",
    abbreviation="GpIX",
    lookup_label="SwansonBM_3rd-ed_proximalGlossopharyngealGanglion",
    name="proximal glossopharyngeal ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_proximal_glossopharyngeovagal_placode = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_proximalGlossopharyngeovagalPlacode",
    abbreviation="IX/Xpp",
    lookup_label="SwansonBM_3rd-ed_proximalGlossopharyngeovagalPlacode",
    name="proximal glossopharyngeovagal placode",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_proximal_vagal_ganglion_ehrenritter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_proximalVagalGanglionEhrenritter",
    abbreviation="GpX",
    lookup_label="SwansonBM_3rd-ed_proximalVagalGanglionEhrenritter",
    name="proximal vagal ganglion [Ehrenritter]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pterygopalatine_ganglion_meckel = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pterygopalatineGanglionMeckel",
    abbreviation="GptVII",
    lookup_label="SwansonBM_3rd-ed_pterygopalatineGanglionMeckel",
    name="pterygopalatine ganglion [Meckel]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pudental_plexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pudentalPlexus",
    abbreviation="pup",
    lookup_label="SwansonBM_3rd-ed_pudentalPlexus",
    name="pudental plexus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pyramid_willis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramidWillis",
    abbreviation="py",
    lookup_label="SwansonBM_3rd-ed_pyramidWillis",
    name="pyramid [Willis]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pyramidal_decussation_pourfour_du_petit = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramidalDecussationPourfourDuPetit",
    abbreviation="pyd",
    lookup_label="SwansonBM_3rd-ed_pyramidalDecussationPourfourDuPetit",
    name="pyramidal decussation [Pourfour du Petit]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pyramidal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramidalFissure",
    abbreviation="pyf",
    lookup_label="SwansonBM_3rd-ed_pyramidalFissure",
    name="pyramidal fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_pyramus_viii_sublobules_ab = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_pyramusVIIISublobulesAb",
    abbreviation="PYRa,b",
    lookup_label="SwansonBM_3rd-ed_pyramusVIIISublobulesAb",
    name="pyramus (VIII), sublobules a,b",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_raphe_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rapheNuclei",
    abbreviation="RA",
    lookup_label="SwansonBM_3rd-ed_rapheNuclei",
    name="raphé nuclei",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_red_nucleus_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_redNucleusBurdach",
    abbreviation="RN",
    lookup_label="SwansonBM_3rd-ed_redNucleusBurdach",
    name="red nucleus [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_reticular_formation_j_lenhossek = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticularFormationJLenhossek",
    abbreviation="RET",
    lookup_label="SwansonBM_3rd-ed_reticularFormationJLenhossek",
    name="reticular formation [J. Lenhossék]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_reticular_nucleus_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticularNucleusSpinalCord",
    abbreviation="RS",
    lookup_label="SwansonBM_3rd-ed_reticularNucleusSpinalCord",
    name="reticular nucleus spinal cord",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_reticular_nucleus_thalamus_arnold = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticularNucleusThalamusArnold",
    abbreviation="RT",
    lookup_label="SwansonBM_3rd-ed_reticularNucleusThalamusArnold",
    name="reticular nucleus thalamus [Arnold]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_reticulocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulocerebellarTract",
    abbreviation="rct",
    lookup_label="SwansonBM_3rd-ed_reticulocerebellarTract",
    name="reticulocerebellar tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_reticulospinal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulospinalTract",
    abbreviation="rst",
    lookup_label="SwansonBM_3rd-ed_reticulospinalTract",
    name="reticulospinal tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_reticulospinal_tract_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulospinalTractLateralPart",
    abbreviation="rstl",
    lookup_label="SwansonBM_3rd-ed_reticulospinalTractLateralPart",
    name="reticulospinal tract , lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_reticulospinal_tract_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_reticulospinalTractMedialPart",
    abbreviation="rstm",
    lookup_label="SwansonBM_3rd-ed_reticulospinalTractMedialPart",
    name="reticulospinal tract, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retina",
    abbreviation="R",
    lookup_label="SwansonBM_3rd-ed_retina",
    name="retina",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retina_ganglion_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaGanglionCellLayer",
    abbreviation="Rgcl",
    lookup_label="SwansonBM_3rd-ed_retinaGanglionCellLayer",
    name="retina, ganglion cell layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retina_inner_nuclear_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaInnerNuclearLayer",
    abbreviation="Rinl",
    lookup_label="SwansonBM_3rd-ed_retinaInnerNuclearLayer",
    name="retina, inner nuclear layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retina_inner_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaInnerPlexiformLayer",
    abbreviation="Ripl",
    lookup_label="SwansonBM_3rd-ed_retinaInnerPlexiformLayer",
    name="retina, inner plexiform layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retina_outer_nuclear_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaOuterNuclearLayer",
    abbreviation="Ronl",
    lookup_label="SwansonBM_3rd-ed_retinaOuterNuclearLayer",
    name="retina, outer nuclear layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retina_outer_plexiform_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retinaOuterPlexiformLayer",
    abbreviation="Ropl",
    lookup_label="SwansonBM_3rd-ed_retinaOuterPlexiformLayer",
    name="retina, outer plexiform layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retrochiasmatic_area_lateral_hypothalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrochiasmaticAreaLateralHypothalamicArea",
    abbreviation="RCH",
    lookup_label="SwansonBM_3rd-ed_retrochiasmaticAreaLateralHypothalamicArea",
    name="retrochiasmatic area, lateral hypothalamic area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retrohippocampal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrohippocampalRegion",
    abbreviation="RHP",
    lookup_label="SwansonBM_3rd-ed_retrohippocampalRegion",
    name="retrohippocampal region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retrosplenial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialArea",
    abbreviation="RSP",
    lookup_label="SwansonBM_3rd-ed_retrosplenialArea",
    name="retrosplenial area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retrosplenial_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaDorsalPart",
    abbreviation="RSPd",
    lookup_label="SwansonBM_3rd-ed_retrosplenialAreaDorsalPart",
    name="retrosplenial area, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retrosplenial_area_lateral_agranular_part_risold_swanson = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaLateralAgranularPartRisoldSwanson",
    abbreviation="RSPagl",
    lookup_label="SwansonBM_3rd-ed_retrosplenialAreaLateralAgranularPartRisoldSwanson",
    name="retrosplenial area, lateral agranular part [Risold-Swanson]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retrosplenial_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaVentralPart",
    abbreviation="RSPv",
    lookup_label="SwansonBM_3rd-ed_retrosplenialAreaVentralPart",
    name="retrosplenial area, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retrosplenial_area_ventral_part_zone_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaVentralPartZoneA",
    abbreviation="RSPv.a",
    lookup_label="SwansonBM_3rd-ed_retrosplenialAreaVentralPartZoneA",
    name="retrosplenial area, ventral part, zone a",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_retrosplenial_area_ventral_part_zone_bc = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_retrosplenialAreaVentralPartZoneBc",
    abbreviation="RSPv.b/c",
    lookup_label="SwansonBM_3rd-ed_retrosplenialAreaVentralPartZoneBc",
    name="retrosplenial area, ventral part, zone b/c",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rhinal_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinalFissure",
    abbreviation="rf",
    lookup_label="SwansonBM_3rd-ed_rhinalFissure",
    name="rhinal fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rhinal_incisure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinalIncisure",
    abbreviation="ri",
    lookup_label="SwansonBM_3rd-ed_rhinalIncisure",
    name="rhinal incisure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rhinal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinalRegion",
    abbreviation="RHI",
    lookup_label="SwansonBM_3rd-ed_rhinalRegion",
    name="rhinal region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rhinocele = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhinocele",
    abbreviation="RC",
    lookup_label="SwansonBM_3rd-ed_rhinocele",
    name="rhinocele",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rhomboid_nucleus_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rhomboidNucleusCajal",
    abbreviation="RH",
    lookup_label="SwansonBM_3rd-ed_rhomboidNucleusCajal",
    name="rhomboid nucleus [Cajal]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rostral_linear_nucleus_raphe = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostralLinearNucleusRaphe",
    abbreviation="RL",
    lookup_label="SwansonBM_3rd-ed_rostralLinearNucleusRaphe",
    name="rostral linear nucleus raphé",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rostral_medullary_velum_vieussens = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostralMedullaryVelumVieussens",
    abbreviation="RMVE",
    lookup_label="SwansonBM_3rd-ed_rostralMedullaryVelumVieussens",
    name="rostral medullary velum [Vieussens]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rostral_neuropore = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostralNeuropore",
    abbreviation="rnp",
    lookup_label="SwansonBM_3rd-ed_rostralNeuropore",
    name="rostral neuropore",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rostrolateral_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rostrolateralVisualArea",
    abbreviation="VISrl",
    lookup_label="SwansonBM_3rd-ed_rostrolateralVisualArea",
    name="rostrolateral visual area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rubroreticular_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rubroreticularTract",
    abbreviation="rrt",
    lookup_label="SwansonBM_3rd-ed_rubroreticularTract",
    name="rubroreticular tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_rubrospinal_tract_monakow = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_rubrospinalTractMonakow",
    abbreviation="rust",
    lookup_label="SwansonBM_3rd-ed_rubrospinalTractMonakow",
    name="rubrospinal tract [Monakow]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sacral_parasympathetic_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sacralParasympatheticGanglia",
    abbreviation="GPS",
    lookup_label="SwansonBM_3rd-ed_sacralParasympatheticGanglia",
    name="sacral parasympathetic ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sacral_spinal_ganglia14 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sacralSpinalGanglia14",
    abbreviation="G-S1-4",
    lookup_label="SwansonBM_3rd-ed_sacralSpinalGanglia14",
    name="sacral spinal ganglia, 1-4",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sacral_sympathetic_ganglia14 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sacralSympatheticGanglia14",
    abbreviation="Gs-S1-4",
    lookup_label="SwansonBM_3rd-ed_sacralSympatheticGanglia14",
    name="sacral sympathetic ganglia, 1-4",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_secondary_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_secondaryFissure",
    abbreviation="sec",
    lookup_label="SwansonBM_3rd-ed_secondaryFissure",
    name="secondary fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_secondary_somatomotor_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_secondarySomatomotorAreas",
    abbreviation="MOs",
    lookup_label="SwansonBM_3rd-ed_secondarySomatomotorAreas",
    name="secondary somatomotor areas",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sensory_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensoryGanglia",
    abbreviation="GSE",
    lookup_label="SwansonBM_3rd-ed_sensoryGanglia",
    name="sensory ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sensory_root_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensoryRootOfTheTrigeminalNerve",
    abbreviation="sV",
    lookup_label="SwansonBM_3rd-ed_sensoryRootOfTheTrigeminalNerve",
    name="sensory root of the trigeminal nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sensory_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystem",
    abbreviation="SEN",
    lookup_label="SwansonBM_3rd-ed_sensorySystem",
    name="sensory system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sensory_system_auditory = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemAuditory",
    abbreviation="SENaud",
    lookup_label="SwansonBM_3rd-ed_sensorySystemAuditory",
    name="sensory system, auditory",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sensory_system_gustatory = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemGustatory",
    abbreviation="SENgu",
    lookup_label="SwansonBM_3rd-ed_sensorySystemGustatory",
    name="sensory system, gustatory",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sensory_system_humorosensory = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemHumorosensory",
    abbreviation="SENhum",
    lookup_label="SwansonBM_3rd-ed_sensorySystemHumorosensory",
    name="sensory system, humorosensory",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sensory_system_somatosensory = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemSomatosensory",
    abbreviation="SENss",
    lookup_label="SwansonBM_3rd-ed_sensorySystemSomatosensory",
    name="sensory system, somatosensory",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sensory_system_visceral = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemVisceral",
    abbreviation="SENvsc",
    lookup_label="SwansonBM_3rd-ed_sensorySystemVisceral",
    name="sensory system, visceral",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sensory_system_visual = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sensorySystemVisual",
    abbreviation="SENvis",
    lookup_label="SwansonBM_3rd-ed_sensorySystemVisual",
    name="sensory system, visual",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_septal_region_meynert = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_septalRegionMeynert",
    abbreviation="SEP",
    lookup_label="SwansonBM_3rd-ed_septalRegionMeynert",
    name="septal region [Meynert]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_septofimbrial_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_septofimbrialNucleus",
    abbreviation="SF",
    lookup_label="SwansonBM_3rd-ed_septofimbrialNucleus",
    name="septofimbrial nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_septohippocampal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_septohippocampalNucleus",
    abbreviation="SH",
    lookup_label="SwansonBM_3rd-ed_septohippocampalNucleus",
    name="septohippocampal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_simple_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_simpleFissure",
    abbreviation="sif",
    lookup_label="SwansonBM_3rd-ed_simpleFissure",
    name="simple fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_simple_lobule_sublobules_ab = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_simpleLobuleSublobulesAb",
    abbreviation="SIMa,b",
    lookup_label="SwansonBM_3rd-ed_simpleLobuleSublobulesAb",
    name="simple lobule, sublobules a,b",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_solitary_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_solitaryTract",
    abbreviation="ts",
    lookup_label="SwansonBM_3rd-ed_solitaryTract",
    name="solitary tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_somatic_nervous_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somaticNervousSystem",
    abbreviation="SMS",
    lookup_label="SwansonBM_3rd-ed_somaticNervousSystem",
    name="somatic nervous system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_somatomotor_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somatomotorAreas",
    abbreviation="MO",
    lookup_label="SwansonBM_3rd-ed_somatomotorAreas",
    name="somatomotor areas",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_somatomotor_motoneuron_pools = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somatomotorMotoneuronPools",
    abbreviation="SMM",
    lookup_label="SwansonBM_3rd-ed_somatomotorMotoneuronPools",
    name="somatomotor motoneuron pools",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_somatosensory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_somatosensoryAreas",
    abbreviation="SS",
    lookup_label="SwansonBM_3rd-ed_somatosensoryAreas",
    name="somatosensory areas",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_central_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCentralGray",
    abbreviation="CGS",
    lookup_label="SwansonBM_3rd-ed_spinalCentralGray",
    name="spinal central gray",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCord",
    abbreviation="SP",
    lookup_label="SwansonBM_3rd-ed_spinalCord",
    name="spinal cord",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_cord_cervical_level_segments18 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordCervicalLevelSegments18",
    abbreviation="SP-C1-8",
    lookup_label="SwansonBM_3rd-ed_spinalCordCervicalLevelSegments18",
    name="spinal cord, cervical level, segments 1-8",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_cord_coccygeal_level_segments13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordCoccygealLevelSegments13",
    abbreviation="SP-Co1-3",
    lookup_label="SwansonBM_3rd-ed_spinalCordCoccygealLevelSegments13",
    name="spinal cord, coccygeal level, segments 1-3",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_cord_grooves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordGrooves",
    abbreviation="grvs",
    lookup_label="SwansonBM_3rd-ed_spinalCordGrooves",
    name="spinal cord grooves",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_cord_lumbar_level_segments16 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordLumbarLevelSegments16",
    abbreviation="SP-L1-6",
    lookup_label="SwansonBM_3rd-ed_spinalCordLumbarLevelSegments16",
    name="spinal cord, lumbar level, segments 1-6",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_cord_sacral_level_segments14 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordSacralLevelSegments14",
    abbreviation="SP-S1-4",
    lookup_label="SwansonBM_3rd-ed_spinalCordSacralLevelSegments14",
    name="spinal cord, sacral level, segments 1-4",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_cord_thoracic_level_segments113 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalCordThoracicLevelSegments113",
    abbreviation="SP-T1-13",
    lookup_label="SwansonBM_3rd-ed_spinalCordThoracicLevelSegments113",
    name="spinal cord, thoracic level, segments 1-13",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_nerves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNerves",
    abbreviation="spin",
    lookup_label="SwansonBM_3rd-ed_spinalNerves",
    name="spinal nerves",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_nucleus_of_the_trigeminal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminal",
    abbreviation="SPV",
    lookup_label="SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminal",
    name="spinal nucleus of the trigeminal",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_nucleus_of_the_trigeminal_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalCaudalPart",
    abbreviation="SPVC",
    lookup_label="SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalCaudalPart",
    name="spinal nucleus of the trigeminal, caudal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_nucleus_of_the_trigeminal_interpolar_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalInterpolarPart",
    abbreviation="SPVI",
    lookup_label="SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalInterpolarPart",
    name="spinal nucleus of the trigeminal, interpolar part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_nucleus_of_the_trigeminal_oral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPart",
    abbreviation="SPVO",
    lookup_label="SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPart",
    name="spinal nucleus of the trigeminal, oral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_nucleus_of_the_trigeminal_oral_part_caudal_dorsomedial_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialRegion",
    abbreviation="SPVOcdm",
    lookup_label="SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartCaudalDorsomedialRegion",
    name="spinal nucleus of the trigeminal, oral part, caudal dorsomedial region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_region_dorsal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionDorsalZone",
    abbreviation="SPVOmdmd",
    lookup_label="SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionDorsalZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial region, dorsal zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_nucleus_of_the_trigeminal_oral_part_middle_dorsomedial_region_ventral_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionVentralZone",
    abbreviation="SPVOmdmv",
    lookup_label="SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartMiddleDorsomedialRegionVentralZone",
    name="spinal nucleus of the trigeminal, oral part, middle dorsomedial region, ventral zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_nucleus_of_the_trigeminal_oral_part_rostral_dorsomedial_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialRegion",
    abbreviation="SPVOrdm",
    lookup_label="SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartRostralDorsomedialRegion",
    name="spinal nucleus of the trigeminal oral part, rostral dorsomedial region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_nucleus_of_the_trigeminal_oral_part_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    abbreviation="SPVOvl",
    lookup_label="SwansonBM_3rd-ed_spinalNucleusOfTheTrigeminalOralPartVentrolateralPart",
    name="spinal nucleus of the trigeminal, oral part, ventrolateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_plexuses = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalPlexuses",
    abbreviation="plxs",
    lookup_label="SwansonBM_3rd-ed_spinalPlexuses",
    name="spinal plexuses",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_sensory_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalSensoryGanglia",
    abbreviation="GSP",
    lookup_label="SwansonBM_3rd-ed_spinalSensoryGanglia",
    name="spinal sensory ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_tract_of_the_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalTractOfTheTrigeminalNerve",
    abbreviation="sptV",
    lookup_label="SwansonBM_3rd-ed_spinalTractOfTheTrigeminalNerve",
    name="spinal tract of the trigeminal nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinal_vestibular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinalVestibularNucleus",
    abbreviation="SPIV",
    lookup_label="SwansonBM_3rd-ed_spinalVestibularNucleus",
    name="spinal vestibular nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinocerebellar_tracts = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinocerebellarTracts",
    abbreviation="sct",
    lookup_label="SwansonBM_3rd-ed_spinocerebellarTracts",
    name="spinocerebellar tracts",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinocervical_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinocervicalTract",
    abbreviation="scrt",
    lookup_label="SwansonBM_3rd-ed_spinocervicalTract",
    name="spinocervical tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinohypothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinohypothalamicPathway",
    abbreviation="shp",
    lookup_label="SwansonBM_3rd-ed_spinohypothalamicPathway",
    name="spinohypothalamic pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinoolivary_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinoolivaryPathway",
    abbreviation="sop",
    lookup_label="SwansonBM_3rd-ed_spinoolivaryPathway",
    name="spino-olivary pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinoreticular_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinoreticularPathway",
    abbreviation="srp",
    lookup_label="SwansonBM_3rd-ed_spinoreticularPathway",
    name="spinoreticular pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinotectal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinotectalPathway",
    abbreviation="stp",
    lookup_label="SwansonBM_3rd-ed_spinotectalPathway",
    name="spinotectal pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinotelencephalic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinotelencephalicPathway",
    abbreviation="step",
    lookup_label="SwansonBM_3rd-ed_spinotelencephalicPathway",
    name="spinotelencephalic pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinothalamic_tract_thiele_horsley = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinothalamicTractThieleHorsley",
    abbreviation="stt",
    lookup_label="SwansonBM_3rd-ed_spinothalamicTractThieleHorsley",
    name="spinothalamic tract [Thiele-Horsley]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spinovestibular_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spinovestibularPathway",
    abbreviation="svp",
    lookup_label="SwansonBM_3rd-ed_spinovestibularPathway",
    name="spinovestibular pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_spiral_ganglion_corti = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_spiralGanglionCorti",
    abbreviation="GcVIII",
    lookup_label="SwansonBM_3rd-ed_spiralGanglionCorti",
    name="spiral ganglion [Corti]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_splanchnic_nerves = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_splanchnicNerves",
    abbreviation="spn",
    lookup_label="SwansonBM_3rd-ed_splanchnicNerves",
    name="splanchnic nerves",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_stellate_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_stellateGanglion",
    abbreviation="GSTL",
    lookup_label="SwansonBM_3rd-ed_stellateGanglion",
    name="stellate ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_stratum_zonale_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_stratumZonaleThalamus",
    abbreviation="sz",
    lookup_label="SwansonBM_3rd-ed_stratumZonaleThalamus",
    name="stratum zonale, thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striaMedullaris",
    abbreviation="sm",
    lookup_label="SwansonBM_3rd-ed_striaMedullaris",
    name="stria medullaris",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_stria_terminalis_wenzel_wenzel = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striaTerminalisWenzelWenzel",
    abbreviation="st",
    lookup_label="SwansonBM_3rd-ed_striaTerminalisWenzelWenzel",
    name="stria terminalis [Wenzel-Wenzel]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_striatal_fundus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striatalFundus",
    abbreviation="FS",
    lookup_label="SwansonBM_3rd-ed_striatalFundus",
    name="striatal fundus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_striatonigral_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striatonigralPathway",
    abbreviation="snp",
    lookup_label="SwansonBM_3rd-ed_striatonigralPathway",
    name="striatonigral pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_striatum",
    abbreviation="STR",
    lookup_label="SwansonBM_3rd-ed_striatum",
    name="striatum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subceruleus_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subceruleusNucleus",
    abbreviation="SLC",
    lookup_label="SwansonBM_3rd-ed_subceruleusNucleus",
    name="subceruleus nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subcommissural_organ = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subcommissuralOrgan",
    abbreviation="SCO",
    lookup_label="SwansonBM_3rd-ed_subcommissuralOrgan",
    name="subcommissural organ",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subependymal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subependymalZone",
    abbreviation="SEZ",
    lookup_label="SwansonBM_3rd-ed_subependymalZone",
    name="subependymal zone",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subfornical_organ_pines = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subfornicalOrganPines",
    abbreviation="SFO",
    lookup_label="SwansonBM_3rd-ed_subfornicalOrganPines",
    name="subfornical organ [Pines]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subiculum_burdach = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumBurdach",
    abbreviation="SUB",
    lookup_label="SwansonBM_3rd-ed_subiculumBurdach",
    name="subiculum [Burdach]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subiculum_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPart",
    abbreviation="SUBd",
    lookup_label="SwansonBM_3rd-ed_subiculumDorsalPart",
    name="subiculum, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subiculum_dorsal_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPartMolecularLayer",
    abbreviation="SUBd-m",
    lookup_label="SwansonBM_3rd-ed_subiculumDorsalPartMolecularLayer",
    name="subiculum, dorsal part, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subiculum_dorsal_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPartPyramidalLayer",
    abbreviation="SUBd-sp",
    lookup_label="SwansonBM_3rd-ed_subiculumDorsalPartPyramidalLayer",
    name="subiculum, dorsal part, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subiculum_dorsal_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumDorsalPartStratumRadiatum",
    abbreviation="SUBd-sr",
    lookup_label="SwansonBM_3rd-ed_subiculumDorsalPartStratumRadiatum",
    name="subiculum, dorsal part, stratum radiatum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subiculum_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPart",
    abbreviation="SUBv",
    lookup_label="SwansonBM_3rd-ed_subiculumVentralPart",
    name="subiculum, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subiculum_ventral_part_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPartMolecularLayer",
    abbreviation="SUBv-m",
    lookup_label="SwansonBM_3rd-ed_subiculumVentralPartMolecularLayer",
    name="subiculum, ventral part, molecular layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subiculum_ventral_part_pyramidal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPartPyramidalLayer",
    abbreviation="SUBv-sp",
    lookup_label="SwansonBM_3rd-ed_subiculumVentralPartPyramidalLayer",
    name="subiculum, ventral part, pyramidal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subiculum_ventral_part_stratum_radiatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subiculumVentralPartStratumRadiatum",
    abbreviation="SUBv-sr",
    lookup_label="SwansonBM_3rd-ed_subiculumVentralPartStratumRadiatum",
    name="subiculum, ventral part, stratum radiatum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sublaterodorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sublaterodorsalNucleus",
    abbreviation="SLD",
    lookup_label="SwansonBM_3rd-ed_sublaterodorsalNucleus",
    name="sublaterodorsal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_submandibular_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_submandibularGanglion",
    abbreviation="GsVII",
    lookup_label="SwansonBM_3rd-ed_submandibularGanglion",
    name="submandibular ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_submedial_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_submedialNucleusThalamus",
    abbreviation="SMT",
    lookup_label="SwansonBM_3rd-ed_submedialNucleusThalamus",
    name="submedial nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_submucosal_plexus_meissner = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_submucosalPlexusMeissner",
    abbreviation="smp",
    lookup_label="SwansonBM_3rd-ed_submucosalPlexusMeissner",
    name="submucosal plexus [Meissner]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subparafascicular_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamus",
    abbreviation="SPF",
    lookup_label="SwansonBM_3rd-ed_subparafascicularNucleusThalamus",
    name="subparafascicular nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subparafascicular_nucleus_thalamus_magnocellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamusMagnocellularPart",
    abbreviation="SPFm",
    lookup_label="SwansonBM_3rd-ed_subparafascicularNucleusThalamusMagnocellularPart",
    name="subparafascicular nucleus thalamus, magnocellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subparafascicular_nucleus_thalamus_parvicellular_part_lateral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamusParvicellularPartLateralDivision",
    abbreviation="SPFpl",
    lookup_label="SwansonBM_3rd-ed_subparafascicularNucleusThalamusParvicellularPartLateralDivision",
    name="subparafascicular nucleus thalamus, parvicellular part, lateral division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subparafascicular_nucleus_thalamus_parvicellular_part_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparafascicularNucleusThalamusParvicellularPartMedialDivision",
    abbreviation="SPFpm",
    lookup_label="SwansonBM_3rd-ed_subparafascicularNucleusThalamusParvicellularPartMedialDivision",
    name="subparafascicular nucleus thalamus, parvicellular part, medial division",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subparaventricular_zone_hypothalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subparaventricularZoneHypothalamus",
    abbreviation="SBPV",
    lookup_label="SwansonBM_3rd-ed_subparaventricularZoneHypothalamus",
    name="subparaventricular zone hypothalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_substantia_gelatinosa_spinal_cord_rolando = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaGelatinosaSpinalCordRolando",
    abbreviation="SGE",
    lookup_label="SwansonBM_3rd-ed_substantiaGelatinosaSpinalCordRolando",
    name="substantia gelatinosa spinal cord [Rolando]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_substantia_innominata_reil_reichert = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaInnominataReilReichert",
    abbreviation="SI",
    lookup_label="SwansonBM_3rd-ed_substantiaInnominataReilReichert",
    name="substantia innominata [Reil, Reichert]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_substantia_nigra_compact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaNigraCompactPart",
    abbreviation="SNc",
    lookup_label="SwansonBM_3rd-ed_substantiaNigraCompactPart",
    name="substantia nigra, compact part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_substantia_nigra_reticular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaNigraReticularPart",
    abbreviation="SNr",
    lookup_label="SwansonBM_3rd-ed_substantiaNigraReticularPart",
    name="substantia nigra, reticular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_substantia_nigra_soemmerring_vicq_d_azyr = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_substantiaNigraSoemmerringVicqDAzyr",
    abbreviation="SN",
    lookup_label="SwansonBM_3rd-ed_substantiaNigraSoemmerringVicqDAzyr",
    name="substantia nigra [Soemmerring, Vicq d’Azyr]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subthalamic_fascicle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subthalamicFascicle",
    abbreviation="stf",
    lookup_label="SwansonBM_3rd-ed_subthalamicFascicle",
    name="subthalamic fascicle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_subthalamic_nucleus_luys = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_subthalamicNucleusLuys",
    abbreviation="STN",
    lookup_label="SwansonBM_3rd-ed_subthalamicNucleusLuys",
    name="subthalamic nucleus [Luys]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_central_nucleus_raphe_bechterew = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCentralNucleusRapheBechterew",
    abbreviation="CS",
    lookup_label="SwansonBM_3rd-ed_superiorCentralNucleusRapheBechterew",
    name="superior central nucleus raphé [Bechterew]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_central_nucleus_raphe_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCentralNucleusRapheLateralPart",
    abbreviation="CSl",
    lookup_label="SwansonBM_3rd-ed_superiorCentralNucleusRapheLateralPart",
    name="superior central nucleus raphé, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_central_nucleus_raphe_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCentralNucleusRapheMedialPart",
    abbreviation="CSm",
    lookup_label="SwansonBM_3rd-ed_superiorCentralNucleusRapheMedialPart",
    name="superior central nucleus raphé, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCerebellarPeduncle",
    abbreviation="scp",
    lookup_label="SwansonBM_3rd-ed_superiorCerebellarPeduncle",
    name="superior cerebellar peduncle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_cerebellar_peduncle_wernekinck = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCerebellarPeduncleWernekinck",
    abbreviation="dscp",
    lookup_label="SwansonBM_3rd-ed_superiorCerebellarPeduncleWernekinck",
    name="superior cerebellar peduncle [Wernekinck]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_cervical_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorCervicalGanglion",
    abbreviation="GSC",
    lookup_label="SwansonBM_3rd-ed_superiorCervicalGanglion",
    name="superior cervical ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculus",
    abbreviation="SC",
    lookup_label="SwansonBM_3rd-ed_superiorColliculus",
    name="superior colliculus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusCommissure",
    abbreviation="csc",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusCommissure",
    name="superior colliculus commissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_deep_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusDeepGrayLayer",
    abbreviation="SCdg",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusDeepGrayLayer",
    name="superior colliculus, deep gray layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_deep_white_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusDeepWhiteLayer",
    abbreviation="SCdw",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusDeepWhiteLayer",
    name="superior colliculus, deep white layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_intermediate_gray_layer_sublayer_a = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerA",
    abbreviation="SCig.a",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerA",
    name="superior colliculus, intermediate gray layer, sublayer a",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_intermediate_gray_layer_sublayer_b = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerB",
    abbreviation="SCig.b",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerB",
    name="superior colliculus, intermediate gray layer, sublayer b",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_intermediate_gray_layer_sublayer_c = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerC",
    abbreviation="SCig.c",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusIntermediateGrayLayerSublayerC",
    name="superior colliculus, intermediate gray layer, sublayer c",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_intermediate_white_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusIntermediateWhiteLayer",
    abbreviation="SCiw",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusIntermediateWhiteLayer",
    name="superior colliculus, intermediate white layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_motor_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusMotorRelated",
    abbreviation="SCm",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusMotorRelated",
    name="superior colliculus, motor related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_optic_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusOpticLayer",
    abbreviation="SCop",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusOpticLayer",
    name="superior colliculus, optic layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_sensory_related = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusSensoryRelated",
    abbreviation="SCs",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusSensoryRelated",
    name="superior colliculus, sensory related",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_superficial_gray_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusSuperficialGrayLayer",
    abbreviation="SCsg",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusSuperficialGrayLayer",
    name="superior colliculus, superficial gray layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_colliculus_zonal_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorColliculusZonalLayer",
    abbreviation="SCzo",
    lookup_label="SwansonBM_3rd-ed_superiorColliculusZonalLayer",
    name="superior colliculus, zonal layer",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_mesenteric_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorMesentericGanglion",
    abbreviation="GSM",
    lookup_label="SwansonBM_3rd-ed_superiorMesentericGanglion",
    name="superior mesenteric ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_olivary_complex_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorOlivaryComplexLateralPart",
    abbreviation="SOCl",
    lookup_label="SwansonBM_3rd-ed_superiorOlivaryComplexLateralPart",
    name="superior olivary complex, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_olivary_complex_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorOlivaryComplexMedialPart",
    abbreviation="SOCm",
    lookup_label="SwansonBM_3rd-ed_superiorOlivaryComplexMedialPart",
    name="superior olivary complex, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_olivary_complex_schroeder_van_der_kolk = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorOlivaryComplexSchroederVanDerKolk",
    abbreviation="SOC",
    lookup_label="SwansonBM_3rd-ed_superiorOlivaryComplexSchroederVanDerKolk",
    name="superior olivary complex [Schroeder van der Kolk]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_salivatory_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorSalivatoryNucleus",
    abbreviation="SSN",
    lookup_label="SwansonBM_3rd-ed_superiorSalivatoryNucleus",
    name="superior salivatory nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_superior_vestibular_nucleus_bechterew = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_superiorVestibularNucleusBechterew",
    abbreviation="SUV",
    lookup_label="SwansonBM_3rd-ed_superiorVestibularNucleusBechterew",
    name="superior vestibular nucleus [Bechterew]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supplemental_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supplementalSomatosensoryArea",
    abbreviation="SSs",
    lookup_label="SwansonBM_3rd-ed_supplementalSomatosensoryArea",
    name="supplemental somatosensory area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_suprachiasmatic_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticNucleusDorsomedialPart",
    abbreviation="SCHd",
    lookup_label="SwansonBM_3rd-ed_suprachiasmaticNucleusDorsomedialPart",
    name="suprachiasmatic nucleus, dorsomedial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_suprachiasmatic_nucleus_spiegel_zwieg = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticNucleusSpiegelZwieg",
    abbreviation="SCH",
    lookup_label="SwansonBM_3rd-ed_suprachiasmaticNucleusSpiegelZwieg",
    name="suprachiasmatic nucleus [Spiegel-Zwieg]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_suprachiasmatic_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticNucleusVentrolateralPart",
    abbreviation="SCHv",
    lookup_label="SwansonBM_3rd-ed_suprachiasmaticNucleusVentrolateralPart",
    name="suprachiasmatic nucleus, ventrolateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_suprachiasmatic_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprachiasmaticPreopticNucleus",
    abbreviation="PSCH",
    lookup_label="SwansonBM_3rd-ed_suprachiasmaticPreopticNucleus",
    name="suprachiasmatic preoptic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_suprageniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_suprageniculateNucleus",
    abbreviation="SGN",
    lookup_label="SwansonBM_3rd-ed_suprageniculateNucleus",
    name="suprageniculate nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supragenual_nucleus_meessen_olszewski = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supragenualNucleusMeessenOlszewski",
    abbreviation="SG",
    lookup_label="SwansonBM_3rd-ed_supragenualNucleusMeessenOlszewski",
    name="supragenual nucleus [Meessen-Olszewskí]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supramammillary_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryDecussation",
    abbreviation="smd",
    lookup_label="SwansonBM_3rd-ed_supramammillaryDecussation",
    name="supramammillary decussation",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supramammillary_nucleus_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryNucleusCajal",
    abbreviation="SUM",
    lookup_label="SwansonBM_3rd-ed_supramammillaryNucleusCajal",
    name="supramammillary nucleus [Cajal]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supramammillary_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryNucleusLateralPart",
    abbreviation="SUMl",
    lookup_label="SwansonBM_3rd-ed_supramammillaryNucleusLateralPart",
    name="supramammillary nucleus, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supramammillary_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supramammillaryNucleusMedialPart",
    abbreviation="SUMm",
    lookup_label="SwansonBM_3rd-ed_supramammillaryNucleusMedialPart",
    name="supramammillary nucleus, medial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supraoptic_commissures = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissures",
    abbreviation="sup",
    lookup_label="SwansonBM_3rd-ed_supraopticCommissures",
    name="supraoptic commissures",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supraoptic_commissures_anterior_ganser = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissuresAnteriorGanser",
    abbreviation="supa",
    lookup_label="SwansonBM_3rd-ed_supraopticCommissuresAnteriorGanser",
    name="supraoptic commissures, anterior [Ganser]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supraoptic_commissures_dorsal_meynert = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissuresDorsalMeynert",
    abbreviation="supd",
    lookup_label="SwansonBM_3rd-ed_supraopticCommissuresDorsalMeynert",
    name="supraoptic commissures, dorsal [Meynert]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supraoptic_commissures_ventral_gudden = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticCommissuresVentralGudden",
    abbreviation="supv",
    lookup_label="SwansonBM_3rd-ed_supraopticCommissuresVentralGudden",
    name="supraoptic commissures, ventral [Gudden]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supraoptic_nucleus_general_lenhossek = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticNucleusGeneralLenhossek",
    abbreviation="SOg",
    lookup_label="SwansonBM_3rd-ed_supraopticNucleusGeneralLenhossek",
    name="supraoptic nucleus, general [Lenhossék]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supraoptic_nucleus_proper = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticNucleusProper",
    abbreviation="SO",
    lookup_label="SwansonBM_3rd-ed_supraopticNucleusProper",
    name="supraoptic nucleus, proper",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supraoptic_nucleus_retrochiasmatic_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supraopticNucleusRetrochiasmaticPart",
    abbreviation="SOr",
    lookup_label="SwansonBM_3rd-ed_supraopticNucleusRetrochiasmaticPart",
    name="supraoptic nucleus, retrochiasmatic part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_supratrigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_supratrigeminalNucleus",
    abbreviation="SUT",
    lookup_label="SwansonBM_3rd-ed_supratrigeminalNucleus",
    name="supratrigeminal nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sympathetic_chain = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticChain",
    abbreviation="S",
    lookup_label="SwansonBM_3rd-ed_sympatheticChain",
    name="sympathetic chain",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sympathetic_ganglia = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticGanglia",
    abbreviation="GSY",
    lookup_label="SwansonBM_3rd-ed_sympatheticGanglia",
    name="sympathetic ganglia",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sympathetic_plexuses = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticPlexuses",
    abbreviation="SPX",
    lookup_label="SwansonBM_3rd-ed_sympatheticPlexuses",
    name="sympathetic plexuses",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_sympathetic_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_sympatheticSystem",
    abbreviation="SYM",
    lookup_label="SwansonBM_3rd-ed_sympatheticSystem",
    name="sympathetic system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tectospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectospinalPathway",
    abbreviation="tsp",
    lookup_label="SwansonBM_3rd-ed_tectospinalPathway",
    name="tectospinal pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tectospinal_pathway_crossed_edinger = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectospinalPathwayCrossedEdinger",
    abbreviation="tspc",
    lookup_label="SwansonBM_3rd-ed_tectospinalPathwayCrossedEdinger",
    name="tectospinal pathway, crossed [Edinger]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tectospinal_pathway_direct = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectospinalPathwayDirect",
    abbreviation="tspd",
    lookup_label="SwansonBM_3rd-ed_tectospinalPathwayDirect",
    name="tectospinal pathway, direct",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tectothalamic_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectothalamicPathway",
    abbreviation="ttp",
    lookup_label="SwansonBM_3rd-ed_tectothalamicPathway",
    name="tectothalamic pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tectum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tectum",
    abbreviation="TC",
    lookup_label="SwansonBM_3rd-ed_tectum",
    name="tectum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tegmental_reticular_nucleus_pontine_gray_bechterew = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tegmentalReticularNucleusPontineGrayBechterew",
    abbreviation="TRN",
    lookup_label="SwansonBM_3rd-ed_tegmentalReticularNucleusPontineGrayBechterew",
    name="tegmental reticular nucleus, pontine gray [Bechterew]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tegmentum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tegmentum",
    abbreviation="TG",
    lookup_label="SwansonBM_3rd-ed_tegmentum",
    name="tegmentum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_telencephalic_roof_plate = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_telencephalicRoofPlate",
    abbreviation="trp",
    lookup_label="SwansonBM_3rd-ed_telencephalicRoofPlate",
    name="telencephalic roof plate",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_telencephalon = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_telencephalon",
    abbreviation="TL",
    lookup_label="SwansonBM_3rd-ed_telencephalon",
    name="telencephalon",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_temporal_association_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_temporalAssociationAreas",
    abbreviation="TEa",
    lookup_label="SwansonBM_3rd-ed_temporalAssociationAreas",
    name="temporal association areas",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_temporal_pole_cerebral_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_temporalPoleCerebralCortex",
    abbreviation="TEP",
    lookup_label="SwansonBM_3rd-ed_temporalPoleCerebralCortex",
    name="temporal pole, cerebral cortex",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_temporal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_temporalRegion",
    abbreviation="TE",
    lookup_label="SwansonBM_3rd-ed_temporalRegion",
    name="temporal region",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tenia_tecta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_teniaTecta",
    abbreviation="TT",
    lookup_label="SwansonBM_3rd-ed_teniaTecta",
    name="tenia tecta",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tenia_tecta_dorsal_part_layers14 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_teniaTectaDorsalPartLayers14",
    abbreviation="TTd1-4",
    lookup_label="SwansonBM_3rd-ed_teniaTectaDorsalPartLayers14",
    name="tenia tecta, dorsal part, layers 1-4",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tenia_tecta_ventral_part_layers13 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_teniaTectaVentralPartLayers13",
    abbreviation="TTv1-3",
    lookup_label="SwansonBM_3rd-ed_teniaTectaVentralPartLayers13",
    name="tenia tecta, ventral part, layers 1-3",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_terminal_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_terminalGanglion",
    abbreviation="GTE",
    lookup_label="SwansonBM_3rd-ed_terminalGanglion",
    name="terminal ganglion",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_terminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_terminalNerve",
    abbreviation="tn",
    lookup_label="SwansonBM_3rd-ed_terminalNerve",
    name="terminal nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_thalamic_peduncles = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thalamicPeduncles",
    abbreviation="tp",
    lookup_label="SwansonBM_3rd-ed_thalamicPeduncles",
    name="thalamic peduncles",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thalamus",
    abbreviation="TH",
    lookup_label="SwansonBM_3rd-ed_thalamus",
    name="thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_third_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricle",
    abbreviation="V3",
    lookup_label="SwansonBM_3rd-ed_thirdVentricle",
    name="third ventricle",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_third_ventricle_hypothalamic_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleHypothalamicPart",
    abbreviation="V3h",
    lookup_label="SwansonBM_3rd-ed_thirdVentricleHypothalamicPart",
    name="third ventricle, hypothalamic part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_third_ventricle_infundibular_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleInfundibularRecess",
    abbreviation="V3ir",
    lookup_label="SwansonBM_3rd-ed_thirdVentricleInfundibularRecess",
    name="third ventricle, infundibular recess",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_third_ventricle_mammillary_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleMammillaryRecess",
    abbreviation="V3m",
    lookup_label="SwansonBM_3rd-ed_thirdVentricleMammillaryRecess",
    name="third ventricle, mammillary recess",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_third_ventricle_periventricular_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentriclePeriventricularRecess",
    abbreviation="V3r",
    lookup_label="SwansonBM_3rd-ed_thirdVentriclePeriventricularRecess",
    name="third ventricle, periventricular recess",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_third_ventricle_pineal_recess = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentriclePinealRecess",
    abbreviation="V3pi",
    lookup_label="SwansonBM_3rd-ed_thirdVentriclePinealRecess",
    name="third ventricle, pineal recess",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_third_ventricle_preoptic_recess_edinger = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentriclePreopticRecessEdinger",
    abbreviation="V3p",
    lookup_label="SwansonBM_3rd-ed_thirdVentriclePreopticRecessEdinger",
    name="third ventricle, preoptic recess [Edinger]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_third_ventricle_thalamic_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thirdVentricleThalamicPart",
    abbreviation="V3t",
    lookup_label="SwansonBM_3rd-ed_thirdVentricleThalamicPart",
    name="third ventricle, thalamic part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_thoracic_spinal_ganglia113 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thoracicSpinalGanglia113",
    abbreviation="G-T1-13",
    lookup_label="SwansonBM_3rd-ed_thoracicSpinalGanglia113",
    name="thoracic spinal ganglia, 1-13",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_thoracic_sympathetic_ganglia313 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_thoracicSympatheticGanglia313",
    abbreviation="Gs-T3-13",
    lookup_label="SwansonBM_3rd-ed_thoracicSympatheticGanglia313",
    name="thoracic sympathetic ganglia, 3-13",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_trapezoid_body_treviranus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trapezoidBodyTreviranus",
    abbreviation="tb",
    lookup_label="SwansonBM_3rd-ed_trapezoidBodyTreviranus",
    name="trapezoid body [Treviranus]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_triangular_nucleus_septum_cajal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_triangularNucleusSeptumCajal",
    abbreviation="TRS",
    lookup_label="SwansonBM_3rd-ed_triangularNucleusSeptumCajal",
    name="triangular nucleus septum [Cajal]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_trigeminal_ganglion_vieussens_gasser = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trigeminalGanglionVieussensGasser",
    abbreviation="GV",
    lookup_label="SwansonBM_3rd-ed_trigeminalGanglionVieussensGasser",
    name="trigeminal ganglion [Vieussens, Gasser]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_trigeminal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trigeminalNerve",
    abbreviation="Vn",
    lookup_label="SwansonBM_3rd-ed_trigeminalNerve",
    name="trigeminal nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_trigeminocerebellar_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trigeminocerebellarTract",
    abbreviation="tct",
    lookup_label="SwansonBM_3rd-ed_trigeminocerebellarTract",
    name="trigeminocerebellar tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_trochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trochlearNerve",
    abbreviation="IVn",
    lookup_label="SwansonBM_3rd-ed_trochlearNerve",
    name="trochlear nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_trochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_trochlearNucleus",
    abbreviation="IV",
    lookup_label="SwansonBM_3rd-ed_trochlearNucleus",
    name="trochlear nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tuberal_nucleus_intermediate_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusIntermediatePart",
    abbreviation="Toy",
    lookup_label="SwansonBM_3rd-ed_tuberalNucleusIntermediatePart",
    name="tuberal nucleus, intermediate part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tuberal_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusLateralPart",
    abbreviation="TUl",
    lookup_label="SwansonBM_3rd-ed_tuberalNucleusLateralPart",
    name="tuberal nucleus, lateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tuberal_nucleus_malone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusMalone",
    abbreviation="TU",
    lookup_label="SwansonBM_3rd-ed_tuberalNucleusMalone",
    name="tuberal nucleus [Malone]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tuberal_nucleus_subventricular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusSubventricularPart",
    abbreviation="TUsv",
    lookup_label="SwansonBM_3rd-ed_tuberalNucleusSubventricularPart",
    name="tuberal nucleus, subventricular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tuberal_nucleus_terete_subnucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberalNucleusTereteSubnucleus",
    abbreviation="TUte",
    lookup_label="SwansonBM_3rd-ed_tuberalNucleusTereteSubnucleus",
    name="tuberal nucleus, terete subnucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tuberomammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberomammillaryNucleus",
    abbreviation="TM",
    lookup_label="SwansonBM_3rd-ed_tuberomammillaryNucleus",
    name="tuberomammillary nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tuberomammillary_nucleus_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberomammillaryNucleusDorsalPart",
    abbreviation="TMd",
    lookup_label="SwansonBM_3rd-ed_tuberomammillaryNucleusDorsalPart",
    name="tuberomammillary nucleus, dorsal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_tuberomammillary_nucleus_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_tuberomammillaryNucleusVentralPart",
    abbreviation="TMv",
    lookup_label="SwansonBM_3rd-ed_tuberomammillaryNucleusVentralPart",
    name="tuberomammillary nucleus, ventral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_uncinate_fascicle_russell = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_uncinateFascicleRussell",
    abbreviation="uf",
    lookup_label="SwansonBM_3rd-ed_uncinateFascicleRussell",
    name="uncinate fascicle [Russell]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_uvula_ix_sublobules_abc = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_uvulaIXSublobulesAbc",
    abbreviation="UVUab,c",
    lookup_label="SwansonBM_3rd-ed_uvulaIXSublobulesAbc",
    name="uvula (IX), sublobules ab,c",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_uvular_fissure1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_uvularFissure1",
    abbreviation="uf1",
    lookup_label="SwansonBM_3rd-ed_uvularFissure1",
    name="uvular fissure 1",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vagal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vagalCommissure",
    abbreviation="Xc",
    lookup_label="SwansonBM_3rd-ed_vagalCommissure",
    name="vagal commissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vagus_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vagusNerve",
    abbreviation="Xn",
    lookup_label="SwansonBM_3rd-ed_vagusNerve",
    name="vagus nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vascular_organ_of_the_lamina_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vascularOrganOfTheLaminaTerminalis",
    abbreviation="OV",
    lookup_label="SwansonBM_3rd-ed_vascularOrganOfTheLaminaTerminalis",
    name="vascular organ of the lamina terminalis",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_anteriorlateral_complex_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralAnteriorlateralComplexThalamus",
    abbreviation="VAL",
    lookup_label="SwansonBM_3rd-ed_ventralAnteriorlateralComplexThalamus",
    name="ventral anterior-lateral complex thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_auditory_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralAuditoryAreas",
    abbreviation="AUDv",
    lookup_label="SwansonBM_3rd-ed_ventralAuditoryAreas",
    name="ventral auditory areas",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_cochlear_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCochlearNucleus",
    abbreviation="VCO",
    lookup_label="SwansonBM_3rd-ed_ventralCochlearNucleus",
    name="ventral cochlear nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_cochlear_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCochlearNucleusAnteriorPart",
    abbreviation="VCOa",
    lookup_label="SwansonBM_3rd-ed_ventralCochlearNucleusAnteriorPart",
    name="ventral cochlear nucleus, anterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_cochlear_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCochlearNucleusPosteriorPart",
    abbreviation="VCOp",
    lookup_label="SwansonBM_3rd-ed_ventralCochlearNucleusPosteriorPart",
    name="ventral cochlear nucleus, posterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_commissure_of_the_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCommissureOfTheSpinalCord",
    abbreviation="vc",
    lookup_label="SwansonBM_3rd-ed_ventralCommissureOfTheSpinalCord",
    name="ventral commissure of the spinal cord",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_commissure_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralCommissureSpinalCord",
    abbreviation="vwc",
    lookup_label="SwansonBM_3rd-ed_ventralCommissureSpinalCord",
    name="ventral commissure, spinal cord",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_funiculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralFuniculus",
    abbreviation="vf",
    lookup_label="SwansonBM_3rd-ed_ventralFuniculus",
    name="ventral funiculus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralHippocampalCommissure",
    abbreviation="vhc",
    lookup_label="SwansonBM_3rd-ed_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_horn_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralHornSpinalCord",
    abbreviation="VH",
    lookup_label="SwansonBM_3rd-ed_ventralHornSpinalCord",
    name="ventral horn spinal cord",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_horn_spinal_cord_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralHornSpinalCordGeneral",
    abbreviation="VHg",
    lookup_label="SwansonBM_3rd-ed_ventralHornSpinalCordGeneral",
    name="ventral horn spinal cord, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_medial_nucleus_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralMedialNucleusThalamus",
    abbreviation="VM",
    lookup_label="SwansonBM_3rd-ed_ventralMedialNucleusThalamus",
    name="ventral medial nucleus thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_median_fissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralMedianFissure",
    abbreviation="vmf",
    lookup_label="SwansonBM_3rd-ed_ventralMedianFissure",
    name="ventral median fissure",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_nuclei_dorsal_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralNucleiDorsalThalamus",
    abbreviation="VENT",
    lookup_label="SwansonBM_3rd-ed_ventralNucleiDorsalThalamus",
    name="ventral nuclei, dorsal thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_posterior_complex_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteriorComplexThalamus",
    abbreviation="VP",
    lookup_label="SwansonBM_3rd-ed_ventralPosteriorComplexThalamus",
    name="ventral posterior complex thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_posterolateral_nucleus_thalamus_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusGeneral",
    abbreviation="VPLg",
    lookup_label="SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusGeneral",
    name="ventral posterolateral nucleus thalamus, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_posterolateral_nucleus_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusParvicellularPart",
    abbreviation="VPLpc",
    lookup_label="SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusParvicellularPart",
    name="ventral posterolateral nucleus thalamus, parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_posterolateral_nucleus_thalamus_principal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusPrincipalPart",
    abbreviation="VPL",
    lookup_label="SwansonBM_3rd-ed_ventralPosterolateralNucleusThalamusPrincipalPart",
    name="ventral posterolateral nucleus thalamus, principal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_posteromedial_nucleus_thalamus_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusGeneral",
    abbreviation="VPMg",
    lookup_label="SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusGeneral",
    name="ventral posteromedial nucleus thalamus, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_posteromedial_nucleus_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusParvicellularPart",
    abbreviation="VPMpc",
    lookup_label="SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusParvicellularPart",
    name="ventral posteromedial nucleus thalamus, parvicellular part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_posteromedial_nucleus_thalamus_principal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusPrincipalPart",
    abbreviation="VPM",
    lookup_label="SwansonBM_3rd-ed_ventralPosteromedialNucleusThalamusPrincipalPart",
    name="ventral posteromedial nucleus thalamus, principal part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_premammillary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPremammillaryNucleus",
    abbreviation="PMv",
    lookup_label="SwansonBM_3rd-ed_ventralPremammillaryNucleus",
    name="ventral premammillary nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_propriohypothalamic_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralPropriohypothalamicPathways",
    abbreviation="phpv",
    additional_remarks="Region name does not match the abbreviation (medial propriohypothalamic pathways vs. phpv). The assumed correct name 'ventral propriohypothalamic pathways' has been added under 'correctedName'.",
    corrected_name="ventral propriohypothalamic pathways",
    lookup_label="SwansonBM_3rd-ed_ventralPropriohypothalamicPathways",
    name="medial propriohypothalamic pathways",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_roots_coiter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralRootsCoiter",
    abbreviation="vrt",
    lookup_label="SwansonBM_3rd-ed_ventralRootsCoiter",
    name="ventral roots [Coiter]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_spinocerebellar_tract_gowers = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralSpinocerebellarTractGowers",
    abbreviation="sctv",
    lookup_label="SwansonBM_3rd-ed_ventralSpinocerebellarTractGowers",
    name="ventral spinocerebellar tract [Gowers]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_spinothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralSpinothalamicTract",
    abbreviation="sttv",
    lookup_label="SwansonBM_3rd-ed_ventralSpinothalamicTract",
    name="ventral spinothalamic tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_tegmental_area_tsai = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralTegmentalAreaTsai",
    abbreviation="VTA",
    lookup_label="SwansonBM_3rd-ed_ventralTegmentalAreaTsai",
    name="ventral tegmental area [Tsai]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_tegmental_decussation_forel = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralTegmentalDecussationForel",
    abbreviation="vtd",
    lookup_label="SwansonBM_3rd-ed_ventralTegmentalDecussationForel",
    name="ventral tegmental decussation [Forel]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_tegmental_nucleus_gudden = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralTegmentalNucleusGudden",
    abbreviation="VTN",
    lookup_label="SwansonBM_3rd-ed_ventralTegmentalNucleusGudden",
    name="ventral tegmental nucleus [Gudden]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventral_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventralThalamus",
    abbreviation="VNT",
    lookup_label="SwansonBM_3rd-ed_ventralThalamus",
    name="ventral thalamus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventricular_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventricularSystem",
    abbreviation="VS",
    lookup_label="SwansonBM_3rd-ed_ventricularSystem",
    name="ventricular system",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventrolateral_hypothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventrolateralHypothalamicTract",
    abbreviation="vlt",
    lookup_label="SwansonBM_3rd-ed_ventrolateralHypothalamicTract",
    name="ventrolateral hypothalamic tract",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventrolateral_preoptic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventrolateralPreopticNucleus",
    abbreviation="VLP",
    lookup_label="SwansonBM_3rd-ed_ventrolateralPreopticNucleus",
    name="ventrolateral preoptic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventromedial_hypothalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialHypothalamicNucleus",
    abbreviation="VMH",
    lookup_label="SwansonBM_3rd-ed_ventromedialHypothalamicNucleus",
    name="ventromedial hypothalamic nucleus",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventromedial_nucleus_hypothalamus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusAnteriorPart",
    abbreviation="VMHa",
    lookup_label="SwansonBM_3rd-ed_ventromedialNucleusHypothalamusAnteriorPart",
    name="ventromedial nucleus hypothalamus, anterior part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventromedial_nucleus_hypothalamus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusCentralPart",
    abbreviation="VMHc",
    lookup_label="SwansonBM_3rd-ed_ventromedialNucleusHypothalamusCentralPart",
    name="ventromedial nucleus hypothalamus, central part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventromedial_nucleus_hypothalamus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusDorsomedialPart",
    abbreviation="VMHdm",
    lookup_label="SwansonBM_3rd-ed_ventromedialNucleusHypothalamusDorsomedialPart",
    name="ventromedial nucleus hypothalamus, dorsomedial part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_ventromedial_nucleus_hypothalamus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_ventromedialNucleusHypothalamusVentrolateralPart",
    abbreviation="VMHvl",
    lookup_label="SwansonBM_3rd-ed_ventromedialNucleusHypothalamusVentrolateralPart",
    name="ventromedial nucleus hypothalamus, ventrolateral part",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vermal_regions_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vermalRegionsCerebellum",
    abbreviation="VERM",
    lookup_label="SwansonBM_3rd-ed_vermalRegionsCerebellum",
    name="vermal regions, cerebellum",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vestibular_ganglion_scarpa = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibularGanglionScarpa",
    abbreviation="GvVIII",
    lookup_label="SwansonBM_3rd-ed_vestibularGanglionScarpa",
    name="vestibular ganglion [Scarpa]",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibularNerve",
    abbreviation="vVIIIn",
    lookup_label="SwansonBM_3rd-ed_vestibularNerve",
    name="vestibular nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vestibular_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibularNuclei",
    abbreviation="VNC",
    lookup_label="SwansonBM_3rd-ed_vestibularNuclei",
    name="vestibular nuclei",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vestibulocochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibulocochlearNerve",
    abbreviation="VIIIn",
    lookup_label="SwansonBM_3rd-ed_vestibulocochlearNerve",
    name="vestibulocochlear nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vestibulomotor_regions = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibulomotorRegions",
    abbreviation="VMO",
    lookup_label="SwansonBM_3rd-ed_vestibulomotorRegions",
    name="vestibulomotor regions",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vestibulospinal_pathway = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vestibulospinalPathway",
    abbreviation="vsp",
    lookup_label="SwansonBM_3rd-ed_vestibulospinalPathway",
    name="vestibulospinal pathway",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_visceral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_visceralArea",
    abbreviation="VISC",
    lookup_label="SwansonBM_3rd-ed_visceralArea",
    name="visceral area",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_visceral_sensorymotor_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_visceralSensorymotorAreas",
    abbreviation="VSM",
    lookup_label="SwansonBM_3rd-ed_visceralSensorymotorAreas",
    name="visceral sensory-motor areas",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_visual_areas = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_visualAreas",
    abbreviation="VIS",
    lookup_label="SwansonBM_3rd-ed_visualAreas",
    name="visual areas",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_vomeronasal_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_vomeronasalNerve",
    abbreviation="von",
    lookup_label="SwansonBM_3rd-ed_vomeronasalNerve",
    name="vomeronasal nerve",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_zona_incerta = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaIncerta",
    abbreviation="ZI",
    lookup_label="SwansonBM_3rd-ed_zonaIncerta",
    name="zona incerta",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_zona_incerta_dopaminergic_group = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaIncertaDopaminergicGroup",
    abbreviation="ZIda",
    lookup_label="SwansonBM_3rd-ed_zonaIncertaDopaminergicGroup",
    name="zona incerta, dopaminergic group",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_zona_incerta_general = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaIncertaGeneral",
    abbreviation="ZIg",
    lookup_label="SwansonBM_3rd-ed_zonaIncertaGeneral",
    name="zona incerta, general",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.swanson_bm_3rd_ed_zona_limitans = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/SwansonBM_3rd-ed_zonaLimitans",
    abbreviation="zl",
    lookup_label="SwansonBM_3rd-ed_zonaLimitans",
    name="zona limitans",
    version_identifier="3rd ed.",
)
ParcellationEntityVersion.whss_datlas_v1_01_alveus_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_alveusOfTheHippocampus",
    alternate_names=["alv"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "6",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v1.01_alveusOfTheHippocampus",
    name="alveus of the hippocampus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_anterior_commissure_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_anteriorCommissureAnteriorPart",
    alternate_names=["aca", "anterior commissure, anterior limb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "36",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7CFC00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v1.01_anteriorCommissureAnteriorPart",
    name="anterior commissure, anterior part",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_anterior_commissure_intrabulbar_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_anteriorCommissureIntrabulbarPart",
    alternate_names=["aci"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "73",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4FCE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v1.01_anteriorCommissureIntrabulbarPart",
    name="anterior commissure, intrabulbar part",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_anterior_commissure_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_anteriorCommissurePosteriorPart",
    alternate_names=["acp", "anterior commissure, posterior limb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "37",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v1.01_anteriorCommissurePosteriorPart",
    name="anterior commissure, posterior part",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_ascending_fibers_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ascendingFibersOfTheFacialNerve",
    alternate_names=["asc7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "72",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B31C35"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v1.01_ascendingFibersOfTheFacialNerve",
    name="ascending fibers of the facial nerve",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_basal_forebrain_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_basalForebrainRegion",
    additional_remarks="both .label file name and .mbat file name are 'basal forebrain region', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["BFR-u"],
    corrected_name="basal forebrain region, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "82",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E1F00D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_basalForebrainRegion",
    name="basal forebrain region",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_bed_nucleus_of_the_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_bedNucleusOfTheStriaTerminalis",
    alternate_names=["BNST"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "93",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0008B6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_bedNucleusOfTheStriaTerminalis",
    name="bed nucleus of the stria terminalis",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_brachiumOfTheSuperiorColliculus",
    alternate_names=["bsc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "68",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#BC20AD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v1.01_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_brainstem = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_brainstem",
    additional_remarks=".label file name 'brainstem' does not match the name in the .mbat file ('brain stem') - same meaning but different spelling; name was also changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["BS-u", "brain stem, unspecified"],
    corrected_name="brainstem, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "47",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9953FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_brainstem",
    name="brainstem",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_caudal_entorhinal_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_caudalEntorhinalField",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "91",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBB0D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_caudalEntorhinalField",
    name="caudal entorhinal field",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_central_canal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_centralCanal",
    additional_remarks="'central canal' and 'spinal cord' (annotated)  had 'spinal cord' (hierarchical term) as parent; this was changed in v3 and later versions ('central canal' has parent 'ventricular system' and 'spinal cord' has no parent structure; no hierarchical term has not been added to this parcellation entity version",
    alternate_names=["CC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "70",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#27F4FD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v1.01_centralCanal",
    name="central canal",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_cingulate_cortex_area2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_cingulateCortexArea2",
    alternate_names=["Cg2", "cingulate area 2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1D68EB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_cingulateCortexArea2",
    name="cingulate cortex, area 2",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_commissural_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_commissuralStriaTerminalis",
    alternate_names=["cst"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "54",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ADFF2F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v1.01_commissuralStriaTerminalis",
    name="commissural stria terminalis",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_commissure_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_commissureOfTheInferiorColliculus",
    alternate_names=["cic", "inferior colliculus, commissure"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "69",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#93FF27"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v1.01_commissureOfTheInferiorColliculus",
    name="commissure of the inferior colliculus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_commissure_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_commissureOfTheSuperiorColliculus",
    alternate_names=["csc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "46",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#21E6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v1.01_commissureOfTheSuperiorColliculus",
    name="commissure of the superior colliculus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_corpus_callosum_and_associated_subcortical_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    alternate_names=["cc-ec-cing-dwm"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "67",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF6E00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v1.01_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    name="corpus callosum and associated subcortical white matter",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_deeper_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_deeperCerebellum",
    additional_remarks="both .label file name and .mbat file name are 'deeper cerebellum', but name was changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["Cb-u", ""],
    corrected_name="cerebellum, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "5",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum"}],
    lookup_label="WHSSDatlas_v1.01_deeperCerebellum",
    name="deeper cerebellum",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_deeper_layers_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_deeperLayersOfTheSuperiorColliculus",
    alternate_names=["SuD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "55",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E1970F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tectum"}],
    lookup_label="WHSSDatlas_v1.01_deeperLayersOfTheSuperiorColliculus",
    name="deeper layers of the superior colliculus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_descending_corticofugal_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_descendingCorticofugalPathways",
    additional_remarks=".label file name 'descending corticofugal pathways' does not match the name in the .mbat file ('corticofugal pathways'), which is an error; for details, see atlas documentation",
    alternate_names=["ic-cp-lfp-py", "corticofugal tract and corona radiata"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF3427"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways"}],
    lookup_label="WHSSDatlas_v1.01_descendingCorticofugalPathways",
    name="descending corticofugal pathways",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_dorsalintermediate_entorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_dorsalintermediateEntorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "15",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7F81FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_dorsalintermediateEntorhinalArea",
    name="dorsal-intermediate entorhinal area",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_dorsallateral_entorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_dorsallateralEntorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "14",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2E8B57"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_dorsallateralEntorhinalArea",
    name="dorsal-lateral entorhinal area",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_entopeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_entopeduncularNucleus",
    alternate_names=["EP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "32",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AE7FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_entopeduncularNucleus",
    name="entopeduncular nucleus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_facialNerve",
    additional_remarks="both .label file name and .mbat file name are 'facial nerve', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["7n-u"],
    corrected_name="facial nerve, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "35",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00B03F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v1.01_facialNerve",
    name="facial nerve",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_fasciculus_retroflexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_fasciculusRetroflexus",
    alternate_names=["fr"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "60",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F44345"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v1.01_fasciculusRetroflexus",
    name="fasciculus retroflexus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_fimbria_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_fimbriaOfTheHippocampus",
    alternate_names=["fi"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "59",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF1D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v1.01_fimbriaOfTheHippocampus",
    name="fimbria of the hippocampus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_fornix",
    alternate_names=["f"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "52",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15C0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v1.01_fornix",
    name="fornix",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_frontal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_frontalAssociationCortex",
    alternate_names=["FrA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "77",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CED307"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_frontalAssociationCortex",
    name="frontal association cortex",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_genuOfTheFacialNerve",
    alternate_names=["g7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "57",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FAF4F7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v1.01_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_globus_pallidus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_globusPallidus",
    alternate_names=["GP", "Gpe", "globus pallidus external "],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "31",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF91BA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_globusPallidus",
    name="globus pallidus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_glomerular_layer_of_the_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_glomerularLayerOfTheAccessoryOlfactoryBulb",
    alternate_names=["GlA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "64",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0F6DE6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v1.01_glomerularLayerOfTheAccessoryOlfactoryBulb",
    name="glomerular layer of the accessory olfactory bulb",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_glomerular_layer_of_the_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_glomerularLayerOfTheOlfactoryBulb",
    alternate_names=["Gl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "65",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFE300"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v1.01_glomerularLayerOfTheOlfactoryBulb",
    name="glomerular layer of the olfactory bulb",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_habenular_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_habenularCommissure",
    alternate_names=["hbc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "80",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#45EBCA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v1.01_habenularCommissure",
    name="habenular commissure",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_hippocampal_formation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_hippocampalFormation",
    additional_remarks="both .label file name and .mbat file name are 'hippocampal formation', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["HF-u"],
    corrected_name="hippocampal formation, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "86",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0E47E2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_hippocampalFormation",
    name="hippocampal formation",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_hypothalamic_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_hypothalamicRegion",
    additional_remarks="both .label file name and .mbat file name are 'hypothalamic region', but name was changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["HTh-u"],
    corrected_name="hypothalamic region, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "48",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E278A1"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_hypothalamicRegion",
    name="hypothalamic region",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_inferior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_inferiorCerebellarPeduncle",
    alternate_names=["icp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "7",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#34FF0D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_inferiorCerebellarPeduncle",
    name="inferior cerebellar peduncle",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_inferiorColliculus",
    alternate_names=["IC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "49",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EE2F2C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tectum"}],
    lookup_label="WHSSDatlas_v1.01_inferiorColliculus",
    name="inferior colliculus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_inferior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_inferiorOlive",
    alternate_names=["IO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "74",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00F60E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_inferiorOlive",
    name="inferior olive",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_inner_ear = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_innerEar",
    alternate_names=["IE"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "44",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00A515"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v1.01_innerEar",
    name="inner ear",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_interpeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_interpeduncularNucleus",
    alternate_names=["IP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "71",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#3FC0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_interpeduncularNucleus",
    name="interpeduncular nucleus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_mammillothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_mammillothalamicTract",
    additional_remarks="both .label file name and .mbat file name are 'mammillothalamic tract', which is an error; for details, see atlas documentation",
    alternate_names=["mtg"],
    corrected_name="mammillotegmental tract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "53",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EEBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v1.01_mammillothalamicTract",
    name="mammillothalamic tract",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_medial_entorhinal_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_medialEntorhinalField",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "90",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#41FF27"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_medialEntorhinalField",
    name="medial entorhinal field",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_medial_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_medialLemniscus",
    additional_remarks="both .label file name and .mbat file name are 'medial lemniscus', but name was changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["ml-u"],
    corrected_name="medial lemniscus, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "34",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D4FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus"}],
    lookup_label="WHSSDatlas_v1.01_medialLemniscus",
    name="medial lemniscus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_medial_lemniscus_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_medialLemniscusDecussation",
    alternate_names=["mlx"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "84",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4196FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus"}],
    lookup_label="WHSSDatlas_v1.01_medialLemniscusDecussation",
    name="medial lemniscus decussation",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_middleCerebellarPeduncle",
    alternate_names=["mcp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "78",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#86CC4C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_molecular_cell_layer_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_molecularCellLayerOfTheCerebellum",
    alternate_names=["Cb-m"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "4",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum"}],
    lookup_label="WHSSDatlas_v1.01_molecularCellLayerOfTheCerebellum",
    name="molecular cell layer of the cerebellum",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_neocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_neocortex",
    additional_remarks="both .label file name and .mbat file name are 'neocortex', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["Ncx-u"],
    corrected_name="neocortex, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "92",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#03C12D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_neocortex",
    name="neocortex",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_nucleus_of_the_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_nucleusOfTheStriaMedullaris",
    alternate_names=["SMn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "81",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DE07ED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_nucleusOfTheStriaMedullaris",
    name="nucleus of the stria medullaris",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_olfactoryBulb",
    additional_remarks="both .label file name and .mbat file name are 'olfactory bulb', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["OB-u"],
    corrected_name="olfactory bulb, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "66",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8700"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v1.01_olfactoryBulb",
    name="olfactory bulb",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_opticNerve",
    alternate_names=["2n"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "41",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#30DA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_opticNerve",
    name="optic nerve",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_optic_tract_and_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_opticTractAndOpticChiasm",
    alternate_names=["opt-och"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "42",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#267EFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_opticTractAndOpticChiasm",
    name="optic tract and optic chiasm",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_periaqueductalGray",
    alternate_names=["PAG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "51",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#07FF59"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_perirhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_perirhinalCortex",
    alternate_names=["PER"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "17",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DD6479"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_perirhinalCortex",
    name="perirhinal cortex",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_periventricular_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_periventricularGray",
    alternate_names=["PVG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "56",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EB57FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_periventricularGray",
    name="periventricular gray",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_pineal_gland = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pinealGland",
    alternate_names=["PG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "43",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DAAA3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_pinealGland",
    name="pineal gland",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_pontine_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pontineNuclei",
    alternate_names=["Pn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "58",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00D70B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_pontineNuclei",
    name="pontine nuclei",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_posteriorCommissure",
    alternate_names=["pc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "63",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00DA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v1.01_posteriorCommissure",
    name="posterior commissure",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_postrhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_postrhinalCortex",
    alternate_names=["POR"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "88",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#89D355"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_postrhinalCortex",
    name="postrhinal cortex",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_pretectal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pretectalRegion",
    alternate_names=["PT", "PRT"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "94",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF571E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tectum"}],
    lookup_label="WHSSDatlas_v1.01_pretectalRegion",
    name="pretectal region",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_pyramidal_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_pyramidalDecussation",
    alternate_names=["pyx"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "85",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7209D4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways"}],
    lookup_label="WHSSDatlas_v1.01_pyramidalDecussation",
    name="pyramidal decussation",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_septal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_septalRegion",
    alternate_names=["Sep"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "40",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0800"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_septalRegion",
    name="septal region",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_spinalCord",
    additional_remarks=" 'spinal cord' (annotated)  had 'spinal cord' (hierarchical term) as parent, which was removed in v3 and later versions; here that hierarchical term has not been added as a parcellation entity",
    alternate_names=["SpC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "45",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#86FF5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v1.01_spinalCord",
    name="spinal cord",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_spinal_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_spinalTrigeminalNucleus",
    alternate_names=["Sp5n"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "75",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5BF1FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_spinalTrigeminalNucleus",
    name="spinal trigeminal nucleus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_spinal_trigeminal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_spinalTrigeminalTract",
    alternate_names=["sp5t"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "76",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FA8072"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v1.01_spinalTrigeminalTract",
    name="spinal trigeminal tract",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_stria_medullaris_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_striaMedullarisOfTheThalamus",
    alternate_names=["sm", "stria medullaris thalami"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "61",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v1.01_striaMedullarisOfTheThalamus",
    name="stria medullaris of the thalamus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_striaTerminalis",
    alternate_names=["st"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "62",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EE7533"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v1.01_striaTerminalis",
    name="stria terminalis",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_striatum",
    alternate_names=["Str"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "30",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#814FFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_striatum",
    name="striatum",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_subiculum",
    alternate_names=["SUB"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "87",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DDD951"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_subiculum",
    name="subiculum",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_substantia_nigra = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_substantiaNigra",
    alternate_names=["SN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "2",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_substantiaNigra",
    name="substantia nigra",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_subthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_subthalamicNucleus",
    alternate_names=["STh"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "3",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0000FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_subthalamicNucleus",
    name="subthalamic nucleus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_superficial_gray_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_superficialGrayLayerOfTheSuperiorColliculus",
    alternate_names=["SuG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "50",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5600DD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tectum"}],
    lookup_label="WHSSDatlas_v1.01_superficialGrayLayerOfTheSuperiorColliculus",
    name="superficial gray layer of the superior colliculus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_supraoptic_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_supraopticDecussation",
    alternate_names=["sox"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "83",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FAAA40"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_supraopticDecussation",
    name="supraoptic decussation",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_thalamus",
    additional_remarks="both .label file name and .mbat file name are 'thalamus', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["Thal-u"],
    corrected_name="thalamus, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "39",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#006400"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v1.01_thalamus",
    name="thalamus",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_transverse_fibers_of_the_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_transverseFibersOfThePons",
    alternate_names=["tfp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "79",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80AAFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_transverseFibersOfThePons",
    name="transverse fibers of the pons",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ventralHippocampalCommissure",
    alternate_names=["vhc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "38",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AE00E8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v1.01_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_ventralintermediate_entorhinal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ventralintermediateEntorhinalArea",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "89",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8B008B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v1.01_ventralintermediateEntorhinalArea",
    name="ventral-intermediate entorhinal area",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v1_01_ventricular_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v1.01_ventricularSystem",
    additional_remarks="both .label file name and .mbat file name are 'ventricular system', but name was changed to reflect the possibility for subdivision; for details, see atlas documentation 'brain' has been added as parent in accordance with later versions where that hierarchical term exists ",
    alternate_names=["V-u"],
    corrected_name="ventricular system, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "33",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#022CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_brain"}],
    lookup_label="WHSSDatlas_v1.01_ventricularSystem",
    name="ventricular system",
    version_identifier="v1.01",
)
ParcellationEntityVersion.whss_datlas_v2_alveus_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_alveusOfTheHippocampus",
    alternate_names=["alv"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "6",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v2_alveusOfTheHippocampus",
    name="alveus of the hippocampus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_anterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_anteriorCommissure",
    additional_remarks=".label file name 'anterior commissure' has been corrected to .mbat file name 'anterior commissure, intrabulbar part'; for details, see atlas documentation",
    alternate_names=["aci"],
    corrected_name="anterior commissure, intrabulbar part",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "73",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4FCE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v2_anteriorCommissure",
    name="anterior commissure",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_anterior_commissure_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_anteriorCommissureAnteriorPart",
    alternate_names=["aca", "anterior commissure, anterior limb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "36",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7CFC00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v2_anteriorCommissureAnteriorPart",
    name="anterior commissure, anterior part",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_anterior_commissure_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_anteriorCommissurePosteriorPart",
    alternate_names=["acp", "anterior commissure, posterior limb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "37",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v2_anteriorCommissurePosteriorPart",
    name="anterior commissure, posterior part",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_ascending_fibers_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_ascendingFibersOfTheFacialNerve",
    alternate_names=["asc7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "72",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B31C35"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v2_ascendingFibersOfTheFacialNerve",
    name="ascending fibers of the facial nerve",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_basal_forebrain_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_basalForebrainRegion",
    additional_remarks="both .label file name and .mbat file name are 'basal forebrain region', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["BFR-u"],
    corrected_name="basal forebrain region, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "82",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E1F00D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_basalForebrainRegion",
    name="basal forebrain region",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_bed_nucleus_of_the_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_bedNucleusOfTheStriaTerminalis",
    alternate_names=["BNST"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "93",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0008B6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_bedNucleusOfTheStriaTerminalis",
    name="bed nucleus of the stria terminalis",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_brachiumOfTheSuperiorColliculus",
    alternate_names=["bsc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "68",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#BC20AD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v2_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_brainstem = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_brainstem",
    additional_remarks=".label file name 'brainstem' does not match the name in the .mbat file ('brain stem') - same meaning but different spelling; name was also changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["BS-u", "brain stem, unspecified"],
    corrected_name="brainstem, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "47",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9953FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_brainstem",
    name="brainstem",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_central_canal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_centralCanal",
    additional_remarks="'central canal' and 'spinal cord' (annotated)  had 'spinal cord' (hierarchical term) as parent; this was changed in v3 and later versions ('central canal' has parent 'ventricular system' and 'spinal cord' has no parent structure; no hierarchical term has been added to this parcellation entity version",
    alternate_names=["CC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "70",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#27F4FD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v2_centralCanal",
    name="central canal",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_cingulate_cortex_area2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_cingulateCortexArea2",
    alternate_names=["Cg2", "cingulate area 2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1D68EB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_cingulateCortexArea2",
    name="cingulate cortex, area 2",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_commissural_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_commissuralStriaTerminalis",
    alternate_names=["cst"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "54",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ADFF2F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v2_commissuralStriaTerminalis",
    name="commissural stria terminalis",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_commissure_of_the_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_commissureOfTheInferiorColliculus",
    alternate_names=["cic", "inferior colliculus, commissure"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "69",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#93FF27"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v2_commissureOfTheInferiorColliculus",
    name="commissure of the inferior colliculus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_commissure_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_commissureOfTheSuperiorColliculus",
    alternate_names=["csc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "46",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#21E6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v2_commissureOfTheSuperiorColliculus",
    name="commissure of the superior colliculus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_cornu_ammonis1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_cornuAmmonis1",
    alternate_names=["CA1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "98",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D9680D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_cornuAmmonis1",
    name="cornu ammonis 1",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_cornu_ammonis2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_cornuAmmonis2",
    alternate_names=["CA2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "97",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_cornuAmmonis2",
    name="cornu ammonis 2",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_cornu_ammonis3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_cornuAmmonis3",
    alternate_names=["CA3"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "95",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A5836B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_cornuAmmonis3",
    name="cornu ammonis 3",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_corpus_callosum_and_associated_subcortical_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    alternate_names=["cc-ec-cing-dwm"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "67",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF6E00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v2_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    name="corpus callosum and associated subcortical white matter",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_deeper_layers_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_deeperLayersOfTheSuperiorColliculus",
    alternate_names=["SuD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "55",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E1970F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tectum"}],
    lookup_label="WHSSDatlas_v2_deeperLayersOfTheSuperiorColliculus",
    name="deeper layers of the superior colliculus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_dentateGyrus",
    alternate_names=["DG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "96",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5B2D0A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_dentateGyrus",
    name="dentate gyrus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_descending_corticofugal_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_descendingCorticofugalPathways",
    additional_remarks=".label file name 'descending corticofugal pathways' does not match the name in the .mbat file ('corticofugal pathways'), which is an error; .label file name is correct; for details, see atlas documentation",
    alternate_names=["ic-cp-lfp-py", "corticofugal tract and corona radiata"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF3427"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways"}],
    lookup_label="WHSSDatlas_v2_descendingCorticofugalPathways",
    name="descending corticofugal pathways",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_entopeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_entopeduncularNucleus",
    alternate_names=["EP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "32",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AE7FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_entopeduncularNucleus",
    name="entopeduncular nucleus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_entorhinalCortex",
    additional_remarks="both .label file name and .mbat file name are 'entorhinal cortex', which is an error; for details, see atlas documentation",
    alternate_names=["MEC"],
    corrected_name="medial entorhinal cortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0C5C08"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_entorhinalCortex",
    name="entorhinal cortex",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_facialNerve",
    additional_remarks="both .label file name and .mbat file name are 'facial nerve', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["7n-u"],
    corrected_name="facial nerve, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "35",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00B03F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v2_facialNerve",
    name="facial nerve",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_fasciculus_retroflexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_fasciculusRetroflexus",
    alternate_names=["fr"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "60",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F44345"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v2_fasciculusRetroflexus",
    name="fasciculus retroflexus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_fasciola_cinereum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_fasciolaCinereum",
    alternate_names=["FC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "99",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5252"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_fasciolaCinereum",
    name="fasciola cinereum",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_fimbria_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_fimbriaOfTheHippocampus",
    alternate_names=["fi"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "59",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF1D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v2_fimbriaOfTheHippocampus",
    name="fimbria of the hippocampus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_fornix",
    alternate_names=["f"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "52",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15C0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v2_fornix",
    name="fornix",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_frontal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_frontalAssociationCortex",
    alternate_names=["FrA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "77",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CED307"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_frontalAssociationCortex",
    name="frontal association cortex",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_genuOfTheFacialNerve",
    alternate_names=["g7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "57",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FAF4F7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v2_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_globus_pallidus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_globusPallidus",
    alternate_names=["GP", "Gpe", "globus pallidus external "],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "31",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF91BA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_globusPallidus",
    name="globus pallidus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_glomerular_layer_of_the_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_glomerularLayerOfTheAccessoryOlfactoryBulb",
    alternate_names=["GlA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "64",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0F6DE6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v2_glomerularLayerOfTheAccessoryOlfactoryBulb",
    name="glomerular layer of the accessory olfactory bulb",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_glomerular_layer_of_the_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_glomerularLayerOfTheOlfactoryBulb",
    alternate_names=["Gl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "65",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFE300"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v2_glomerularLayerOfTheOlfactoryBulb",
    name="glomerular layer of the olfactory bulb",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_granule_cell_level_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_granuleCellLevelOfTheCerebellum",
    additional_remarks=".label file name 'granule cell level of the cerebellum' does not match the name in the .mbat file ('deeper cerebellum'); name was changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["Cb-u", "deeper cerebellum"],
    corrected_name="cerebellum, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "5",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum"}],
    lookup_label="WHSSDatlas_v2_granuleCellLevelOfTheCerebellum",
    name="granule cell level of the cerebellum",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_habenular_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_habenularCommissure",
    alternate_names=["hbc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "80",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#45EBCA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v2_habenularCommissure",
    name="habenular commissure",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_hypothalamic_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_hypothalamicRegion",
    additional_remarks="both .label file name and .mbat file name are 'hypothalamic region', but name was changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["HTh-u"],
    corrected_name="hypothalamic region, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "48",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E278A1"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_hypothalamicRegion",
    name="hypothalamic region",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_inferior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_inferiorCerebellarPeduncle",
    alternate_names=["icp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "7",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#34FF0D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v2_inferiorCerebellarPeduncle",
    name="inferior cerebellar peduncle",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_inferior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_inferiorColliculus",
    alternate_names=["IC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "49",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EE2F2C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tectum"}],
    lookup_label="WHSSDatlas_v2_inferiorColliculus",
    name="inferior colliculus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_inferior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_inferiorOlive",
    alternate_names=["IO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "74",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00F60E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_inferiorOlive",
    name="inferior olive",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_inner_ear = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_innerEar",
    alternate_names=["IE"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "44",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00A515"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v2_innerEar",
    name="inner ear",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_interpeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_interpeduncularNucleus",
    alternate_names=["IP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "71",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#3FC0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_interpeduncularNucleus",
    name="interpeduncular nucleus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_lateral_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_lateralEntorhinalCortex",
    alternate_names=["LEC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "115",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DDA624"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_lateralEntorhinalCortex",
    name="lateral entorhinal cortex",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_mammillothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_mammillothalamicTract",
    additional_remarks="both .label file name and .mbat file name are 'mammillothalamic tract', which is an error; for details, see atlas documentation",
    alternate_names=["mtg"],
    corrected_name="mammillotegmental tract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "53",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EEBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v2_mammillothalamicTract",
    name="mammillothalamic tract",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_medial_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_medialLemniscus",
    additional_remarks="both .label file name and .mbat file name are 'medial lemniscus', but name was changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["ml-u"],
    corrected_name="medial lemniscus, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "34",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D4FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus"}],
    lookup_label="WHSSDatlas_v2_medialLemniscus",
    name="medial lemniscus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_medial_lemniscus_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_medialLemniscusDecussation",
    alternate_names=["mlx"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "84",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4196FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus"}],
    lookup_label="WHSSDatlas_v2_medialLemniscusDecussation",
    name="medial lemniscus decussation",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_middleCerebellarPeduncle",
    alternate_names=["mcp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "78",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#86CC4C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v2_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_molecular_layer_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_molecularLayerOfTheCerebellum",
    alternate_names=["Cb-m"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "4",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum"}],
    lookup_label="WHSSDatlas_v2_molecularLayerOfTheCerebellum",
    name="molecular layer of the cerebellum",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_neocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_neocortex",
    additional_remarks="both .label file name and .mbat file name are 'neocortex', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["Ncx-u"],
    corrected_name="neocortex, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "92",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#03C12D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_neocortex",
    name="neocortex",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_nucleus_of_the_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_nucleusOfTheStriaMedullaris",
    alternate_names=["SMn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "81",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DE07ED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_nucleusOfTheStriaMedullaris",
    name="nucleus of the stria medullaris",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_olfactoryBulb",
    additional_remarks="both .label file name and .mbat file name are 'olfactory bulb', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["OB-u"],
    corrected_name="olfactory bulb, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "66",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8700"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v2_olfactoryBulb",
    name="olfactory bulb",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_opticNerve",
    alternate_names=["2n"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "41",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#30DA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v2_opticNerve",
    name="optic nerve",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_optic_tract_and_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_opticTractAndOpticChiasm",
    alternate_names=["opt-och"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "42",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#267EFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v2_opticTractAndOpticChiasm",
    name="optic tract and optic chiasm",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_parasubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_parasubiculum",
    alternate_names=["PaS"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#173660"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_parasubiculum",
    name="parasubiculum",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_periaqueductalGray",
    alternate_names=["PAG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "51",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#07FF59"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_perirhinal_area35 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_perirhinalArea35",
    alternate_names=["PER35"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CD33FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_perirhinalArea35",
    name="perirhinal area 35",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_perirhinal_area36 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_perirhinalArea36",
    alternate_names=["PER36"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7030A0"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_perirhinalArea36",
    name="perirhinal area 36",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_periventricular_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_periventricularGray",
    alternate_names=["PVG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "56",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EB57FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_periventricularGray",
    name="periventricular gray",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_pineal_gland = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_pinealGland",
    alternate_names=["PG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "43",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DAAA3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_pinealGland",
    name="pineal gland",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_pontine_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_pontineNuclei",
    alternate_names=["Pn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "58",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00D70B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_pontineNuclei",
    name="pontine nuclei",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_posteriorCommissure",
    alternate_names=["pc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "63",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00DA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v2_posteriorCommissure",
    name="posterior commissure",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_postrhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_postrhinalCortex",
    alternate_names=["POR"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#287082"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_postrhinalCortex",
    name="postrhinal cortex",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_presubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_presubiculum",
    alternate_names=["PrS"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#507BAF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_presubiculum",
    name="presubiculum",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_pretectal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_pretectalRegion",
    alternate_names=["PT", "PRT"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "94",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF571E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tectum"}],
    lookup_label="WHSSDatlas_v2_pretectalRegion",
    name="pretectal region",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_pyramidal_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_pyramidalDecussation",
    alternate_names=["pyx"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "85",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7209D4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways"}],
    lookup_label="WHSSDatlas_v2_pyramidalDecussation",
    name="pyramidal decussation",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_septal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_septalRegion",
    alternate_names=["Sep"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "40",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0800"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_septalRegion",
    name="septal region",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_spinalCord",
    additional_remarks=" 'spinal cord' (annotated)  had 'spinal cord' (hierarchical term) as parent, which was removed in v3 and later versions; here that hierarchical term has not been added as a parcellation entity",
    alternate_names=["SpC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "45",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#86FF5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v2_spinalCord",
    name="spinal cord",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_spinal_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_spinalTrigeminalNucleus",
    alternate_names=["Sp5n"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "75",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5BF1FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_spinalTrigeminalNucleus",
    name="spinal trigeminal nucleus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_spinal_trigeminal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_spinalTrigeminalTract",
    alternate_names=["sp5t"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "76",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FA8072"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v2_spinalTrigeminalTract",
    name="spinal trigeminal tract",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_stria_medullaris_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_striaMedullarisOfTheThalamus",
    alternate_names=["sm", "stria medullaris thalami"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "61",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFC00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v2_striaMedullarisOfTheThalamus",
    name="stria medullaris of the thalamus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_striaTerminalis",
    alternate_names=["st"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "62",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EE7533"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v2_striaTerminalis",
    name="stria terminalis",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_striatum",
    alternate_names=["Str"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "30",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#814FFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_striatum",
    name="striatum",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_subiculum",
    alternate_names=["SUB"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC000"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralCortexIncludingTheNeocortexAndTheHippocampus"
        }
    ],
    lookup_label="WHSSDatlas_v2_subiculum",
    name="subiculum",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_substantia_nigra = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_substantiaNigra",
    alternate_names=["SN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "2",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_substantiaNigra",
    name="substantia nigra",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_subthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_subthalamicNucleus",
    alternate_names=["STh"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "3",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0000FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_subthalamicNucleus",
    name="subthalamic nucleus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_superficial_gray_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_superficialGrayLayerOfTheSuperiorColliculus",
    alternate_names=["SuG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "50",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5600DD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tectum"}],
    lookup_label="WHSSDatlas_v2_superficialGrayLayerOfTheSuperiorColliculus",
    name="superficial gray layer of the superior colliculus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_supraoptic_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_supraopticDecussation",
    alternate_names=["sox"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "83",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FAAA40"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v2_supraopticDecussation",
    name="supraoptic decussation",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_thalamus",
    additional_remarks="both .label file name and .mbat file name are 'thalamus', which is an error; abbreviation for the corrected name has been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["Thal-u"],
    corrected_name="thalamus, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "39",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#006400"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_grayMatter"}],
    lookup_label="WHSSDatlas_v2_thalamus",
    name="thalamus",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_transverse_fibers_of_the_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_transverseFibersOfThePons",
    alternate_names=["tfp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "79",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80AAFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v2_transverseFibersOfThePons",
    name="transverse fibers of the pons",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_ventralHippocampalCommissure",
    alternate_names=["vhc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "38",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AE00E8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v2_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v2_ventricular_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v2_ventricularSystem",
    additional_remarks="both .label file name and .mbat file name are 'ventricular system', but name was changed to reflect the possibility for subdivision; for details, see atlas documentation 'brain' has been added as parent in accordance with later versions where that hierarchical term exists ",
    alternate_names=["V-u"],
    corrected_name="ventricular system, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "33",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#022CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_brain"}],
    lookup_label="WHSSDatlas_v2_ventricularSystem",
    name="ventricular system",
    version_identifier="v2",
)
ParcellationEntityVersion.whss_datlas_v3_01_4th_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_4thVentricle",
    alternate_names=["4V"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#341D90"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystem"}],
    lookup_label="WHSSDatlas_v3.01_4thVentricle",
    name="4th ventricle",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_acoustic_striae = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_acousticStriae",
    alternate_names=["as"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFD900"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheBrainstem"}
    ],
    lookup_label="WHSSDatlas_v3.01_acousticStriae",
    name="acoustic striae",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_alveus_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_alveusOfTheHippocampus",
    alternate_names=["alv"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "6",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v3.01_alveusOfTheHippocampus",
    name="alveus of the hippocampus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_anterior_commissure_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_anteriorCommissureAnteriorPart",
    alternate_names=["aca", "anterior commissure, anterior limb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "36",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7CFC00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v3.01_anteriorCommissureAnteriorPart",
    name="anterior commissure, anterior part",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_anterior_commissure_intrabulbar_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_anteriorCommissureIntrabulbarPart",
    alternate_names=["aci"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "73",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4FCE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v3.01_anteriorCommissureIntrabulbarPart",
    name="anterior commissure, intrabulbar part",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_anterior_commissure_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_anteriorCommissurePosteriorPart",
    alternate_names=["acp", "anterior commissure, posterior limb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "37",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v3.01_anteriorCommissurePosteriorPart",
    name="anterior commissure, posterior part",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_ascending_fibers_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ascendingFibersOfTheFacialNerve",
    alternate_names=["asc7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "72",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B31C35"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v3.01_ascendingFibersOfTheFacialNerve",
    name="ascending fibers of the facial nerve",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_auditory_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_auditoryRadiation",
    alternate_names=["ar", "eml-ar ", "external medullary lamina, auditory radiation"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "157",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F49CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v3.01_auditoryRadiation",
    name="auditory radiation",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_basal_forebrain_region_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_basalForebrainRegionUnspecified",
    alternate_names=["BFR"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "82",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E1F00D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebrum"}],
    lookup_label="WHSSDatlas_v3.01_basalForebrainRegionUnspecified",
    name="basal forebrain region, unspecified",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_bed_nucleus_of_the_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_bedNucleusOfTheStriaTerminalis",
    alternate_names=["ST"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "93",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0008B6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralNuclei"}],
    lookup_label="WHSSDatlas_v3.01_bedNucleusOfTheStriaTerminalis",
    name="bed nucleus of the stria terminalis",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_brachiumOfTheSuperiorColliculus",
    alternate_names=["bsc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "68",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#BC20AD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v3.01_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_brainstem_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_brainstemUnspecified",
    alternate_names=["BS-u", "brain stem, unspecified"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "47",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9953FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_brainstem"}],
    lookup_label="WHSSDatlas_v3.01_brainstemUnspecified",
    name="brainstem, unspecified",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_central_canal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_centralCanal",
    alternate_names=["CC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "70",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#27F4FD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystem"}],
    lookup_label="WHSSDatlas_v3.01_centralCanal",
    name="central canal",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_cingulate_cortex_area2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cingulateCortexArea2",
    alternate_names=["Cg2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1D68EB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cingulateCortex"}],
    lookup_label="WHSSDatlas_v3.01_cingulateCortexArea2",
    name="cingulate cortex, area 2",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_cochlea = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cochlea",
    alternate_names=["Co"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF1D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v3.01_cochlea",
    name="cochlea",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_cochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cochlearNerve",
    alternate_names=["8cn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FD9400"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v3.01_cochlearNerve",
    name="cochlear nerve",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_commissural_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_commissuralStriaTerminalis",
    alternate_names=["cst"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "54",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ADFF2F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3.01_commissuralStriaTerminalis",
    name="commissural stria terminalis",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_commissure_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_commissureOfTheSuperiorColliculus",
    alternate_names=["csc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "46",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#21E6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v3.01_commissureOfTheSuperiorColliculus",
    name="commissure of the superior colliculus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_cornu_ammonis1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cornuAmmonis1",
    alternate_names=["CA1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "98",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D9680D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis"}],
    lookup_label="WHSSDatlas_v3.01_cornuAmmonis1",
    name="cornu ammonis 1",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_cornu_ammonis2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cornuAmmonis2",
    alternate_names=["CA2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "97",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis"}],
    lookup_label="WHSSDatlas_v3.01_cornuAmmonis2",
    name="cornu ammonis 2",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_cornu_ammonis3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_cornuAmmonis3",
    alternate_names=["CA3"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "95",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A5836B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis"}],
    lookup_label="WHSSDatlas_v3.01_cornuAmmonis3",
    name="cornu ammonis 3",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_corpus_callosum_and_associated_subcortical_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    alternate_names=["cc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "67",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF6E00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v3.01_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    name="corpus callosum and associated subcortical white matter",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_deeper_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_deeperCerebellum",
    additional_remarks="both .label file name and .mbat file name are 'deeper cerebellum', but name was changed to reflect the possibility for subdivision; abbreviations for both the corrected name and the original name have been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["DpCb", "Cb-u"],
    corrected_name="cerebellum, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "5",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum"}],
    lookup_label="WHSSDatlas_v3.01_deeperCerebellum",
    name="deeper cerebellum",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_deeper_layers_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_deeperLayersOfTheSuperiorColliculus",
    alternate_names=["SuD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "55",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E1970F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorColliculus"}],
    lookup_label="WHSSDatlas_v3.01_deeperLayersOfTheSuperiorColliculus",
    name="deeper layers of the superior colliculus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dentateGyrus",
    alternate_names=["DG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "96",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5B2D0A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormation"}],
    lookup_label="WHSSDatlas_v3.01_dentateGyrus",
    name="dentate gyrus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_descending_corticofugal_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_descendingCorticofugalPathways",
    alternate_names=["ic-cp-lfp-py", "corticofugal tract and corona radiata"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF3427"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways"}],
    lookup_label="WHSSDatlas_v3.01_descendingCorticofugalPathways",
    name="descending corticofugal pathways",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_dorsal_cochlear_nucleus_deep_core = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dorsalCochlearNucleusDeepCore",
    alternate_names=["DCND"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#C5EEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusDorsalPart"}
    ],
    lookup_label="WHSSDatlas_v3.01_dorsalCochlearNucleusDeepCore",
    name="dorsal cochlear nucleus, deep core",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_dorsal_cochlear_nucleus_fusiform_and_granule_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dorsalCochlearNucleusFusiformAndGranuleLayer",
    alternate_names=["DCNFG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00509C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusDorsalPart"}
    ],
    lookup_label="WHSSDatlas_v3.01_dorsalCochlearNucleusFusiformAndGranuleLayer",
    name="dorsal cochlear nucleus, fusiform and granule layer",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_dorsal_cochlear_nucleus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_dorsalCochlearNucleusMolecularLayer",
    alternate_names=["DCNM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5C9CD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusDorsalPart"}
    ],
    lookup_label="WHSSDatlas_v3.01_dorsalCochlearNucleusMolecularLayer",
    name="dorsal cochlear nucleus, molecular layer",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_entopeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_entopeduncularNucleus",
    alternate_names=["EP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "32",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AE7FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pallidum"}],
    lookup_label="WHSSDatlas_v3.01_entopeduncularNucleus",
    name="entopeduncular nucleus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_facialNerve",
    additional_remarks="both .label file name and .mbat file name are 'facial nerve', which is an error; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["7n-u"],
    corrected_name="facial nerve, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "35",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF19F0"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v3.01_facialNerve",
    name="facial nerve",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_fasciculus_retroflexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fasciculusRetroflexus",
    alternate_names=["fr"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "60",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F44345"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3.01_fasciculusRetroflexus",
    name="fasciculus retroflexus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_fasciola_cinereum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fasciolaCinereum",
    alternate_names=["FC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "99",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0000"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormation"}],
    lookup_label="WHSSDatlas_v3.01_fasciolaCinereum",
    name="fasciola cinereum",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_fimbria_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fimbriaOfTheHippocampus",
    alternate_names=["fi"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "59",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF1D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v3.01_fimbriaOfTheHippocampus",
    name="fimbria of the hippocampus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_fornix",
    alternate_names=["f"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "52",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15C0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v3.01_fornix",
    name="fornix",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_frontal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_frontalAssociationCortex",
    alternate_names=["FrA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "77",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CED307"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_isocortex"}],
    lookup_label="WHSSDatlas_v3.01_frontalAssociationCortex",
    name="frontal association cortex",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_genuOfTheFacialNerve",
    alternate_names=["g7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "57",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FAF4F7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v3.01_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_globus_pallidus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_globusPallidus",
    alternate_names=["GP", "GPe", "globus pallidus external "],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "31",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF91BA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pallidum"}],
    lookup_label="WHSSDatlas_v3.01_globusPallidus",
    name="globus pallidus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_glomerular_layer_of_the_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_glomerularLayerOfTheAccessoryOlfactoryBulb",
    alternate_names=["GlA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "64",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0F6DE6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v3.01_glomerularLayerOfTheAccessoryOlfactoryBulb",
    name="glomerular layer of the accessory olfactory bulb",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_glomerular_layer_of_the_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_glomerularLayerOfTheOlfactoryBulb",
    alternate_names=["Gl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "65",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFE300"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v3.01_glomerularLayerOfTheOlfactoryBulb",
    name="glomerular layer of the olfactory bulb",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_habenular_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_habenularCommissure",
    alternate_names=["hbc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "80",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#45EBCA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3.01_habenularCommissure",
    name="habenular commissure",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_hypothalamic_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_hypothalamicRegion",
    additional_remarks="both .label file name and .mbat file name are 'hypothalamic region', but name was changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["HTh-u"],
    corrected_name="hypothalamic region, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "48",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E278A1"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hypothalamus"}],
    lookup_label="WHSSDatlas_v3.01_hypothalamicRegion",
    name="hypothalamic region",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_inferior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorCerebellarPeduncle",
    alternate_names=["icp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "7",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#34FF0D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v3.01_inferiorCerebellarPeduncle",
    name="inferior cerebellar peduncle",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_inferior_colliculus_brachium = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusBrachium",
    alternate_names=["bic"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "146",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B03A48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v3.01_inferiorColliculusBrachium",
    name="inferior colliculus, brachium",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_inferior_colliculus_central_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusCentralNucleus",
    alternate_names=["CNIC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00EEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculus"}],
    lookup_label="WHSSDatlas_v3.01_inferiorColliculusCentralNucleus",
    name="inferior colliculus, central nucleus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_inferior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusCommissure",
    alternate_names=["cic"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "69",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF2A27"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v3.01_inferiorColliculusCommissure",
    name="inferior colliculus, commissure",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_inferior_colliculus_dorsal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusDorsalCortex",
    alternate_names=["DCIC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CEFF8E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculus"}],
    lookup_label="WHSSDatlas_v3.01_inferiorColliculusDorsalCortex",
    name="inferior colliculus, dorsal cortex",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_inferior_colliculus_external_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorColliculusExternalCortex",
    alternate_names=["ECIC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#3088CB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculus"}],
    lookup_label="WHSSDatlas_v3.01_inferiorColliculusExternalCortex",
    name="inferior colliculus, external cortex",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_inferior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_inferiorOlive",
    alternate_names=["IO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "74",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00F60E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medullaOblongata"}],
    lookup_label="WHSSDatlas_v3.01_inferiorOlive",
    name="inferior olive",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_interpeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_interpeduncularNucleus",
    alternate_names=["IP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "71",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#3FC0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum"}],
    lookup_label="WHSSDatlas_v3.01_interpeduncularNucleus",
    name="interpeduncular nucleus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_lateral_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralEntorhinalCortex",
    alternate_names=["LEC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "115",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5A6F2F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_entorhinalCortex"}],
    lookup_label="WHSSDatlas_v3.01_lateralEntorhinalCortex",
    name="lateral entorhinal cortex",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscus",
    additional_remarks="both .label file name and .mbat file name are 'lateral lemniscus', which is an error; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["ll-u"],
    corrected_name="lateral lemniscus, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA600"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscus"}],
    lookup_label="WHSSDatlas_v3.01_lateralLemniscus",
    name="lateral lemniscus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_lateral_lemniscus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusCommissure",
    alternate_names=["cll"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF1D00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscus"}],
    lookup_label="WHSSDatlas_v3.01_lateralLemniscusCommissure",
    name="lateral lemniscus, commissure",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_lateral_lemniscus_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusDorsalNucleus",
    alternate_names=["DLL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6C125B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleiOfTheLateralLemniscus"}
    ],
    lookup_label="WHSSDatlas_v3.01_lateralLemniscusDorsalNucleus",
    name="lateral lemniscus, dorsal nucleus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_lateral_lemniscus_intermediate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusIntermediateNucleus",
    alternate_names=["ILL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "138",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AB105B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleiOfTheLateralLemniscus"}
    ],
    lookup_label="WHSSDatlas_v3.01_lateralLemniscusIntermediateNucleus",
    name="lateral lemniscus, intermediate nucleus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_lateral_lemniscus_ventral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralLemniscusVentralNucleus",
    alternate_names=["VLL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "137",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0073"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleiOfTheLateralLemniscus"}
    ],
    lookup_label="WHSSDatlas_v3.01_lateralLemniscusVentralNucleus",
    name="lateral lemniscus, ventral nucleus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_lateral_superior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_lateralSuperiorOlive",
    alternate_names=["LSO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "134",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#234CBE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3.01_lateralSuperiorOlive",
    name="lateral superior olive",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_mammillotegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_mammillotegmentalTract",
    alternate_names=["mtg"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "53",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EEBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3.01_mammillotegmentalTract",
    name="mammillotegmental tract",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_medial_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialEntorhinalCortex",
    alternate_names=["MEC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ABB33"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_entorhinalCortex"}],
    lookup_label="WHSSDatlas_v3.01_medialEntorhinalCortex",
    name="medial entorhinal cortex",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_medial_geniculate_body_dorsal_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyDorsalDivision",
    alternate_names=["MGD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "148",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EFA300"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3.01_medialGeniculateBodyDorsalDivision",
    name="medial geniculate body, dorsal division",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_medial_geniculate_body_marginal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyMarginalZone",
    alternate_names=["MGMZ"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "150",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF2FF2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3.01_medialGeniculateBodyMarginalZone",
    name="medial geniculate body, marginal zone",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_medial_geniculate_body_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyMedialDivision",
    alternate_names=["MGM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "147",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0AF4D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3.01_medialGeniculateBodyMedialDivision",
    name="medial geniculate body, medial division",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_medial_geniculate_body_ventral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialGeniculateBodyVentralDivision",
    alternate_names=["MGV"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "149",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#833A1F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3.01_medialGeniculateBodyVentralDivision",
    name="medial geniculate body, ventral division",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_medial_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialLemniscus",
    additional_remarks="both .label file name and .mbat file name are 'medial lemniscus', but name was changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["ml-u"],
    corrected_name="medial lemniscus, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "34",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D4FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus"}],
    lookup_label="WHSSDatlas_v3.01_medialLemniscus",
    name="medial lemniscus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_medial_lemniscus_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialLemniscusDecussation",
    alternate_names=["mlx"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "84",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4196FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus"}],
    lookup_label="WHSSDatlas_v3.01_medialLemniscusDecussation",
    name="medial lemniscus decussation",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_medial_superior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_medialSuperiorOlive",
    alternate_names=["MSO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DBEF3D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3.01_medialSuperiorOlive",
    name="medial superior olive",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_middleCerebellarPeduncle",
    alternate_names=["mcp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "78",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#86CC4C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v3.01_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_molecular_cell_layer_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_molecularCellLayerOfTheCerebellum",
    alternate_names=["MoCb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "4",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum"}],
    lookup_label="WHSSDatlas_v3.01_molecularCellLayerOfTheCerebellum",
    name="molecular cell layer of the cerebellum",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_neocortex_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_neocortexUnspecified",
    alternate_names=["Ncx-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "92",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#03C12D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_isocortex"}],
    lookup_label="WHSSDatlas_v3.01_neocortexUnspecified",
    name="neocortex, unspecified",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_nucleus_of_the_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_nucleusOfTheStriaMedullaris",
    alternate_names=["SM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "81",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DE07ED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralNuclei"}],
    lookup_label="WHSSDatlas_v3.01_nucleusOfTheStriaMedullaris",
    name="nucleus of the stria medullaris",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_nucleus_of_the_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_nucleusOfTheTrapezoidBody",
    alternate_names=["NTB"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF51"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3.01_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_nucleus_sagulum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_nucleusSagulum",
    alternate_names=["Sag"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "163",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#63CD00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_midbrain"}],
    lookup_label="WHSSDatlas_v3.01_nucleusSagulum",
    name="nucleus sagulum",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_olfactoryBulb",
    additional_remarks="both .label file name and .mbat file name are 'olfactory bulb', which is an error; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["OB-u"],
    corrected_name="olfactory bulb, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "66",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8700"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v3.01_olfactoryBulb",
    name="olfactory bulb",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_opticNerve",
    alternate_names=["2n"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "41",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#30DA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v3.01_opticNerve",
    name="optic nerve",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_optic_tract_and_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_opticTractAndOpticChiasm",
    alternate_names=["opt-och"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "42",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#267EFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v3.01_opticTractAndOpticChiasm",
    name="optic tract and optic chiasm",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_parasubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_parasubiculum",
    alternate_names=["PaS"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#173660"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parahippocampalRegion"}
    ],
    lookup_label="WHSSDatlas_v3.01_parasubiculum",
    name="parasubiculum",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_periaqueductalGray",
    alternate_names=["PAG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "51",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#07FF59"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum"}],
    lookup_label="WHSSDatlas_v3.01_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_perirhinal_area35 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_perirhinalArea35",
    alternate_names=["PER35"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CD33FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_perirhinalCortex"}],
    lookup_label="WHSSDatlas_v3.01_perirhinalArea35",
    name="perirhinal area 35",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_perirhinal_area36 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_perirhinalArea36",
    alternate_names=["PER36"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7030A0"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_perirhinalCortex"}],
    lookup_label="WHSSDatlas_v3.01_perirhinalArea36",
    name="perirhinal area 36",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_periventricular_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_periventricularGray",
    alternate_names=["PVG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "56",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EB57FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medullaOblongata"}],
    lookup_label="WHSSDatlas_v3.01_periventricularGray",
    name="periventricular gray",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_pineal_gland = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pinealGland",
    alternate_names=["Pi"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "43",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DAAA3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_interbrain"}],
    lookup_label="WHSSDatlas_v3.01_pinealGland",
    name="pineal gland",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_pontine_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pontineNuclei",
    alternate_names=["Pn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "58",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00D70B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pons"}],
    lookup_label="WHSSDatlas_v3.01_pontineNuclei",
    name="pontine nuclei",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_posteriorCommissure",
    alternate_names=["pc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "63",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00DA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v3.01_posteriorCommissure",
    name="posterior commissure",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_postrhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_postrhinalCortex",
    alternate_names=["POR"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#287082"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parahippocampalRegion"}
    ],
    lookup_label="WHSSDatlas_v3.01_postrhinalCortex",
    name="postrhinal cortex",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_presubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_presubiculum",
    alternate_names=["PrS"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#507BAF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parahippocampalRegion"}
    ],
    lookup_label="WHSSDatlas_v3.01_presubiculum",
    name="presubiculum",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_pretectal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pretectalRegion",
    alternate_names=["PT"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "94",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF571E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_midbrain"}],
    lookup_label="WHSSDatlas_v3.01_pretectalRegion",
    name="pretectal region",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_primary_auditory_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_primaryAuditoryCortex",
    alternate_names=["Au1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "151",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFD700"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_auditoryCortex"}],
    lookup_label="WHSSDatlas_v3.01_primaryAuditoryCortex",
    name="primary auditory cortex",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_pyramidal_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_pyramidalDecussation",
    alternate_names=["pyx"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "85",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7209D4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways"}],
    lookup_label="WHSSDatlas_v3.01_pyramidalDecussation",
    name="pyramidal decussation",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_reticular_thalamic_nucleus_auditory_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_reticularThalamicNucleusAuditorySegment",
    alternate_names=["RTa", "reticular (pre)thalamic nucleus, auditory segment"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "164",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6E00FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3.01_reticularThalamicNucleusAuditorySegment",
    name="reticular thalamic nucleus, auditory segment",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_secondary_auditory_cortex_dorsal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_secondaryAuditoryCortexDorsalArea",
    alternate_names=["AuD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "152",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0FFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_auditoryCortex"}],
    lookup_label="WHSSDatlas_v3.01_secondaryAuditoryCortexDorsalArea",
    name="secondary auditory cortex, dorsal area",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_secondary_auditory_cortex_ventral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_secondaryAuditoryCortexVentralArea",
    alternate_names=["AuV"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "153",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D8BFD8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_auditoryCortex"}],
    lookup_label="WHSSDatlas_v3.01_secondaryAuditoryCortexVentralArea",
    name="secondary auditory cortex, ventral area",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_septal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_septalRegion",
    alternate_names=["Sep"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "40",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0800"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralNuclei"}],
    lookup_label="WHSSDatlas_v3.01_septalRegion",
    name="septal region",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spinalCord",
    alternate_names=["SpC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "45",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#86FF5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3.01_spinalCord",
    name="spinal cord",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_spinal_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spinalTrigeminalNucleus",
    alternate_names=["Sp5"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "75",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5BF1FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medullaOblongata"}],
    lookup_label="WHSSDatlas_v3.01_spinalTrigeminalNucleus",
    name="spinal trigeminal nucleus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_spinal_trigeminal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spinalTrigeminalTract",
    alternate_names=["sp5"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "76",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FA8072"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheBrainstem"}
    ],
    lookup_label="WHSSDatlas_v3.01_spinalTrigeminalTract",
    name="spinal trigeminal tract",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_spiral_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_spiralGanglion",
    alternate_names=["SpG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "162",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B9FFE9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v3.01_spiralGanglion",
    name="spiral ganglion",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_stria_medullaris_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_striaMedullarisOfTheThalamus",
    alternate_names=["sm"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "61",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3.01_striaMedullarisOfTheThalamus",
    name="stria medullaris of the thalamus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_striaTerminalis",
    alternate_names=["st"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "62",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EE7533"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3.01_striaTerminalis",
    name="stria terminalis",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_striatum",
    alternate_names=["Str"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "30",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#814FFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralNuclei"}],
    lookup_label="WHSSDatlas_v3.01_striatum",
    name="striatum",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_subiculum",
    alternate_names=["SUB"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC000"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormation"}],
    lookup_label="WHSSDatlas_v3.01_subiculum",
    name="subiculum",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_substantia_nigra = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_substantiaNigra",
    alternate_names=["SN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "2",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum"}],
    lookup_label="WHSSDatlas_v3.01_substantiaNigra",
    name="substantia nigra",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_subthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_subthalamicNucleus",
    alternate_names=["STh"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "3",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0000FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hypothalamus"}],
    lookup_label="WHSSDatlas_v3.01_subthalamicNucleus",
    name="subthalamic nucleus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_superficial_gray_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_superficialGrayLayerOfTheSuperiorColliculus",
    alternate_names=["SuG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "50",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5600DD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorColliculus"}],
    lookup_label="WHSSDatlas_v3.01_superficialGrayLayerOfTheSuperiorColliculus",
    name="superficial gray layer of the superior colliculus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_superior_paraolivary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_superiorParaolivaryNucleus",
    alternate_names=["SPN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00EEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3.01_superiorParaolivaryNucleus",
    name="superior paraolivary nucleus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_superior_periolivary_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_superiorPeriolivaryRegion",
    alternate_names=["SPR"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "135",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019915"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3.01_superiorPeriolivaryRegion",
    name="superior periolivary region",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_supraoptic_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_supraopticDecussation",
    alternate_names=["sox"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "83",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FAAA40"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v3.01_supraopticDecussation",
    name="supraoptic decussation",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_thalamus_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_thalamusUnspecified",
    alternate_names=["Thal-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "39",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#006400"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamus"}],
    lookup_label="WHSSDatlas_v3.01_thalamusUnspecified",
    name="thalamus, unspecified",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_transverse_fibers_of_the_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_transverseFibersOfThePons",
    alternate_names=["tfp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "79",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80AAFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v3.01_transverseFibersOfThePons",
    name="transverse fibers of the pons",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_trapezoidBody",
    alternate_names=["tz"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "130",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D5FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheBrainstem"}
    ],
    lookup_label="WHSSDatlas_v3.01_trapezoidBody",
    name="trapezoid body",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_ventral_cochlear_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusAnteriorPart",
    alternate_names=["AVCN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "158",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2298FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v3.01_ventralCochlearNucleusAnteriorPart",
    name="ventral cochlear nucleus, anterior part",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_ventral_cochlear_nucleus_cap_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusCapArea",
    alternate_names=["Cap"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "160",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF6A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v3.01_ventralCochlearNucleusCapArea",
    name="ventral cochlear nucleus, cap area",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_ventral_cochlear_nucleus_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusGranuleCellLayer",
    alternate_names=["GCL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#000CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v3.01_ventralCochlearNucleusGranuleCellLayer",
    name="ventral cochlear nucleus, granule cell layer",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_ventral_cochlear_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralCochlearNucleusPosteriorPart",
    alternate_names=["PVCN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "159",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00E6CF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v3.01_ventralCochlearNucleusPosteriorPart",
    name="ventral cochlear nucleus, posterior part",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralHippocampalCommissure",
    alternate_names=["vhc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "38",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AE00E8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v3.01_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_ventral_periolivary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventralPeriolivaryNucleus",
    additional_remarks="both .label file name and .mbat file name are 'ventral periolivary nucleus', but name was changed to plural 'nuclei'; for details, see atlas documentation",
    alternate_names=["VPO"],
    corrected_name="ventral periolivary nuclei",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "136",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00AEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3.01_ventralPeriolivaryNucleus",
    name="ventral periolivary nucleus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_ventricular_system_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_ventricularSystemUnspecified",
    alternate_names=["V-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "33",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#022CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystem"}],
    lookup_label="WHSSDatlas_v3.01_ventricularSystemUnspecified",
    name="ventricular system, unspecified",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_vestibular_apparatus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_vestibularApparatus",
    alternate_names=["VeA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009037"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v3.01_vestibularApparatus",
    name="vestibular apparatus",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_01_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3.01_vestibularNerve",
    alternate_names=["8vn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "122",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FD3200"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v3.01_vestibularNerve",
    name="vestibular nerve",
    version_identifier="v3.01",
)
ParcellationEntityVersion.whss_datlas_v3_4th_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_4thVentricle",
    alternate_names=["4V"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#341D90"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystem"}],
    lookup_label="WHSSDatlas_v3_4thVentricle",
    name="4th ventricle",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_acoustic_striae = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_acousticStriae",
    alternate_names=["as"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFD900"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheBrainstem"}
    ],
    lookup_label="WHSSDatlas_v3_acousticStriae",
    name="acoustic striae",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_alveus_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_alveusOfTheHippocampus",
    alternate_names=["alv"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "6",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v3_alveusOfTheHippocampus",
    name="alveus of the hippocampus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_anterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_anteriorCommissure",
    additional_remarks=".label file name 'anterior commissure' has been corrected to .mbat file name 'anterior commissure, intrabulbar part'; for details, see atlas documentation",
    alternate_names=["aci"],
    corrected_name="anterior commissure, intrabulbar part",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "73",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4FCE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v3_anteriorCommissure",
    name="anterior commissure",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_anterior_commissure_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_anteriorCommissureAnteriorPart",
    alternate_names=["aca", "anterior commissure, anterior limb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "36",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7CFC00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v3_anteriorCommissureAnteriorPart",
    name="anterior commissure, anterior part",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_anterior_commissure_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_anteriorCommissurePosteriorPart",
    alternate_names=["acp", "anterior commissure, posterior limb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "37",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v3_anteriorCommissurePosteriorPart",
    name="anterior commissure, posterior part",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_ascending_fibers_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ascendingFibersOfTheFacialNerve",
    alternate_names=["asc7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "72",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B31C35"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v3_ascendingFibersOfTheFacialNerve",
    name="ascending fibers of the facial nerve",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_auditory_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_auditoryRadiation",
    alternate_names=["ar", "eml-ar", "external medullary lamina, auditory radiation"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "157",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F49CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v3_auditoryRadiation",
    name="auditory radiation",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_basal_forebrain_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_basalForebrainRegion",
    additional_remarks=".label file name 'basal forebrain region' has been corrected to .mbat file name 'basal forebrain region, unspecified'; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["BFR-u"],
    corrected_name="basal forebrain region, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "82",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E1F00D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebrum"}],
    lookup_label="WHSSDatlas_v3_basalForebrainRegion",
    name="basal forebrain region",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_bed_nucleus_of_the_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_bedNucleusOfTheStriaTerminalis",
    alternate_names=["ST"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "93",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0008B6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralNuclei"}],
    lookup_label="WHSSDatlas_v3_bedNucleusOfTheStriaTerminalis",
    name="bed nucleus of the stria terminalis",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_brachiumOfTheSuperiorColliculus",
    alternate_names=["bsc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "68",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#BC20AD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v3_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_brainstem = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_brainstem",
    additional_remarks=".label file name 'brainstem' has been corrected to .mbat file name 'brainstem, unspecified'; for details, see atlas documentation",
    alternate_names=["BS-u", "brain stem, unspecified"],
    corrected_name="brainstem, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "47",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9953FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_brainstem"}],
    lookup_label="WHSSDatlas_v3_brainstem",
    name="brainstem",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_central_canal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_centralCanal",
    alternate_names=["CC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "70",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#27F4FD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystem"}],
    lookup_label="WHSSDatlas_v3_centralCanal",
    name="central canal",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_cingulate_cortex_area2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cingulateCortexArea2",
    alternate_names=["Cg2", "cingulate area 2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1D68EB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cingulateCortex"}],
    lookup_label="WHSSDatlas_v3_cingulateCortexArea2",
    name="cingulate cortex, area 2",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_cochlea = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cochlea",
    alternate_names=["Co"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF1D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v3_cochlea",
    name="cochlea",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_cochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cochlearNerve",
    alternate_names=["8cn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FD9400"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v3_cochlearNerve",
    name="cochlear nerve",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_commissural_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_commissuralStriaTerminalis",
    alternate_names=["cst"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "54",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ADFF2F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3_commissuralStriaTerminalis",
    name="commissural stria terminalis",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_commissure_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_commissureOfTheSuperiorColliculus",
    alternate_names=["csc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "46",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#21E6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v3_commissureOfTheSuperiorColliculus",
    name="commissure of the superior colliculus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_cornu_ammonis1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cornuAmmonis1",
    alternate_names=["CA1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "98",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D9680D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis"}],
    lookup_label="WHSSDatlas_v3_cornuAmmonis1",
    name="cornu ammonis 1",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_cornu_ammonis2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cornuAmmonis2",
    alternate_names=["CA2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "97",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis"}],
    lookup_label="WHSSDatlas_v3_cornuAmmonis2",
    name="cornu ammonis 2",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_cornu_ammonis3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_cornuAmmonis3",
    alternate_names=["CA3"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "95",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A5836B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis"}],
    lookup_label="WHSSDatlas_v3_cornuAmmonis3",
    name="cornu ammonis 3",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_corpus_callosum_and_associated_subcortical_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    alternate_names=["cc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "67",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF6E00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v3_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    name="corpus callosum and associated subcortical white matter",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_deeper_layers_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_deeperLayersOfTheSuperiorColliculus",
    alternate_names=["SuD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "55",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E1970F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorColliculus"}],
    lookup_label="WHSSDatlas_v3_deeperLayersOfTheSuperiorColliculus",
    name="deeper layers of the superior colliculus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_dentateGyrus",
    alternate_names=["DG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "96",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5B2D0A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormation"}],
    lookup_label="WHSSDatlas_v3_dentateGyrus",
    name="dentate gyrus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_descending_corticofugal_pathways = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_descendingCorticofugalPathways",
    alternate_names=["ic-cp-lfp-py", "corticofugal tract and corona radiata"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF3427"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways"}],
    lookup_label="WHSSDatlas_v3_descendingCorticofugalPathways",
    name="descending corticofugal pathways",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_dorsal_cochlear_nucleus_deep_core = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_dorsalCochlearNucleusDeepCore",
    alternate_names=["DCND"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#C5EEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusDorsalPart"}
    ],
    lookup_label="WHSSDatlas_v3_dorsalCochlearNucleusDeepCore",
    name="dorsal cochlear nucleus, deep core",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_dorsal_cochlear_nucleus_fusiform_and_granule_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_dorsalCochlearNucleusFusiformAndGranuleLayer",
    alternate_names=["DCNFG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00509C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusDorsalPart"}
    ],
    lookup_label="WHSSDatlas_v3_dorsalCochlearNucleusFusiformAndGranuleLayer",
    name="dorsal cochlear nucleus, fusiform and granule layer",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_dorsal_cochlear_nucleus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_dorsalCochlearNucleusMolecularLayer",
    alternate_names=["DCNM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5C9CD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusDorsalPart"}
    ],
    lookup_label="WHSSDatlas_v3_dorsalCochlearNucleusMolecularLayer",
    name="dorsal cochlear nucleus, molecular layer",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_entopeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_entopeduncularNucleus",
    alternate_names=["EP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "32",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AE7FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pallidum"}],
    lookup_label="WHSSDatlas_v3_entopeduncularNucleus",
    name="entopeduncular nucleus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_entorhinalCortex",
    additional_remarks=".label file name 'entorhinal cortex' has been corrected to .mbat file name 'medial entorhinal cortex'; for details, see atlas documentation",
    alternate_names=["MEC"],
    corrected_name="medial entorhinal cortex",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ABB33"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_entorhinalCortex"}],
    lookup_label="WHSSDatlas_v3_entorhinalCortex",
    name="entorhinal cortex",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_facialNerve",
    additional_remarks="both .label file name and .mbat file name are 'facial nerve', which is an error; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["7n-u"],
    corrected_name="facial nerve, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "35",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF19F0"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v3_facialNerve",
    name="facial nerve",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_fasciculus_retroflexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_fasciculusRetroflexus",
    alternate_names=["fr"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "60",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F44345"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3_fasciculusRetroflexus",
    name="fasciculus retroflexus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_fasciola_cinereum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_fasciolaCinereum",
    alternate_names=["FC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "99",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0000"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormation"}],
    lookup_label="WHSSDatlas_v3_fasciolaCinereum",
    name="fasciola cinereum",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_fimbria_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_fimbriaOfTheHippocampus",
    alternate_names=["fi"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "59",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF1D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v3_fimbriaOfTheHippocampus",
    name="fimbria of the hippocampus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_fornix",
    alternate_names=["f"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "52",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15C0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v3_fornix",
    name="fornix",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_frontal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_frontalAssociationCortex",
    alternate_names=["FrA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "77",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CED307"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_isocortex"}],
    lookup_label="WHSSDatlas_v3_frontalAssociationCortex",
    name="frontal association cortex",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_genuOfTheFacialNerve",
    alternate_names=["g7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "57",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FAF4F7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v3_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_globus_pallidus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_globusPallidus",
    alternate_names=["GP", "GPe", "globus pallidus external "],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "31",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF91BA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pallidum"}],
    lookup_label="WHSSDatlas_v3_globusPallidus",
    name="globus pallidus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_glomerular_layer_of_the_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_glomerularLayerOfTheAccessoryOlfactoryBulb",
    alternate_names=["GlA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "64",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0F6DE6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v3_glomerularLayerOfTheAccessoryOlfactoryBulb",
    name="glomerular layer of the accessory olfactory bulb",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_glomerular_layer_of_the_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_glomerularLayerOfTheOlfactoryBulb",
    alternate_names=["Gl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "65",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFE300"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v3_glomerularLayerOfTheOlfactoryBulb",
    name="glomerular layer of the olfactory bulb",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_granule_cell_level_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_granuleCellLevelOfTheCerebellum",
    additional_remarks=".label file name 'granule cell level of the cerebellum' does not match the name in the .mbat file ('deeper cerebellum'); name was changed to reflect the possibility for subdivision; abbreviations for both the corrected name and the original name have been added under 'alternateName'; for details, see atlas documentation",
    alternate_names=["DpCb", "Cb-u", "deeper cerebellum"],
    corrected_name="cerebellum, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "5",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum"}],
    lookup_label="WHSSDatlas_v3_granuleCellLevelOfTheCerebellum",
    name="granule cell level of the cerebellum",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_habenular_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_habenularCommissure",
    alternate_names=["hbc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "80",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#45EBCA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3_habenularCommissure",
    name="habenular commissure",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_hypothalamic_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_hypothalamicRegion",
    additional_remarks="both .label file name and .mbat file name are 'hypothalamic region', but name was changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["HTh-u"],
    corrected_name="hypothalamic region, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "48",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E278A1"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hypothalamus"}],
    lookup_label="WHSSDatlas_v3_hypothalamicRegion",
    name="hypothalamic region",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_inferior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorCerebellarPeduncle",
    alternate_names=["icp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "7",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#34FF0D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v3_inferiorCerebellarPeduncle",
    name="inferior cerebellar peduncle",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_inferior_colliculus_brachium = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusBrachium",
    alternate_names=["bic"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "146",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B03A48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v3_inferiorColliculusBrachium",
    name="inferior colliculus, brachium",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_inferior_colliculus_central_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusCentralNucleus",
    alternate_names=["CNIC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00EEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculus"}],
    lookup_label="WHSSDatlas_v3_inferiorColliculusCentralNucleus",
    name="inferior colliculus, central nucleus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_inferior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusCommissure",
    alternate_names=["cic", "commissure of the inferior colliculus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "69",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF2A27"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v3_inferiorColliculusCommissure",
    name="inferior colliculus, commissure",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_inferior_colliculus_dorsal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusDorsalCortex",
    alternate_names=["DCIC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CEFF8E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculus"}],
    lookup_label="WHSSDatlas_v3_inferiorColliculusDorsalCortex",
    name="inferior colliculus, dorsal cortex",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_inferior_colliculus_external_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorColliculusExternalCortex",
    alternate_names=["ECIC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#3088CB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculus"}],
    lookup_label="WHSSDatlas_v3_inferiorColliculusExternalCortex",
    name="inferior colliculus, external cortex",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_inferior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_inferiorOlive",
    alternate_names=["IO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "74",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00F60E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medullaOblongata"}],
    lookup_label="WHSSDatlas_v3_inferiorOlive",
    name="inferior olive",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_interpeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_interpeduncularNucleus",
    alternate_names=["IP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "71",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#3FC0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum"}],
    lookup_label="WHSSDatlas_v3_interpeduncularNucleus",
    name="interpeduncular nucleus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_lateral_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralEntorhinalCortex",
    alternate_names=["LEC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "115",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5A6F2F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_entorhinalCortex"}],
    lookup_label="WHSSDatlas_v3_lateralEntorhinalCortex",
    name="lateral entorhinal cortex",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_lateral_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscus",
    additional_remarks="both .label file name and .mbat file name are 'lateral lemniscus', which is an error; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["ll-u"],
    corrected_name="lateral lemniscus, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA600"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscus"}],
    lookup_label="WHSSDatlas_v3_lateralLemniscus",
    name="lateral lemniscus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_lateral_lemniscus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusCommissure",
    alternate_names=["cll"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF1D00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscus"}],
    lookup_label="WHSSDatlas_v3_lateralLemniscusCommissure",
    name="lateral lemniscus, commissure",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_lateral_lemniscus_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusDorsalNucleus",
    alternate_names=["DLL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6C125B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleiOfTheLateralLemniscus"}
    ],
    lookup_label="WHSSDatlas_v3_lateralLemniscusDorsalNucleus",
    name="lateral lemniscus, dorsal nucleus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_lateral_lemniscus_intermediate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusIntermediateNucleus",
    alternate_names=["ILL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "138",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AB105B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleiOfTheLateralLemniscus"}
    ],
    lookup_label="WHSSDatlas_v3_lateralLemniscusIntermediateNucleus",
    name="lateral lemniscus, intermediate nucleus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_lateral_lemniscus_ventral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralLemniscusVentralNucleus",
    alternate_names=["VLL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "137",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0073"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleiOfTheLateralLemniscus"}
    ],
    lookup_label="WHSSDatlas_v3_lateralLemniscusVentralNucleus",
    name="lateral lemniscus, ventral nucleus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_lateral_superior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_lateralSuperiorOlive",
    alternate_names=["LSO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "134",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#234CBE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3_lateralSuperiorOlive",
    name="lateral superior olive",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_mammillothalamic_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_mammillothalamicTract",
    additional_remarks=".label file name 'mammillothalamic tract' has been corrected to .mbat file name 'mammilotegmental tract'; for details, see atlas documentation",
    alternate_names=["mtg"],
    corrected_name="mammillotegmental tract",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "53",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EEBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3_mammillothalamicTract",
    name="mammillothalamic tract",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_medial_geniculate_body_dorsal_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyDorsalDivision",
    alternate_names=["MGD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "148",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EFA300"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3_medialGeniculateBodyDorsalDivision",
    name="medial geniculate body, dorsal division",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_medial_geniculate_body_marginal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyMarginalZone",
    alternate_names=["MGMZ"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "150",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF2FF2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3_medialGeniculateBodyMarginalZone",
    name="medial geniculate body, marginal zone",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_medial_geniculate_body_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyMedialDivision",
    alternate_names=["MGM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "147",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0AF4D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3_medialGeniculateBodyMedialDivision",
    name="medial geniculate body, medial division",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_medial_geniculate_body_ventral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialGeniculateBodyVentralDivision",
    alternate_names=["MGV"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "149",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#833A1F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3_medialGeniculateBodyVentralDivision",
    name="medial geniculate body, ventral division",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_medial_lemniscus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialLemniscus",
    additional_remarks="both .label file name and .mbat file name are 'medial lemniscus', but name was changed to reflect the possibility for subdivision; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["ml-u"],
    corrected_name="medial lemniscus, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "34",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D4FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus"}],
    lookup_label="WHSSDatlas_v3_medialLemniscus",
    name="medial lemniscus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_medial_lemniscus_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialLemniscusDecussation",
    alternate_names=["mlx"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "84",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4196FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus"}],
    lookup_label="WHSSDatlas_v3_medialLemniscusDecussation",
    name="medial lemniscus decussation",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_medial_superior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_medialSuperiorOlive",
    alternate_names=["MSO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DBEF3D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3_medialSuperiorOlive",
    name="medial superior olive",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_middleCerebellarPeduncle",
    alternate_names=["mcp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "78",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#86CC4C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v3_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_molecular_layer_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_molecularLayerOfTheCerebellum",
    alternate_names=["MoCb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "4",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum"}],
    lookup_label="WHSSDatlas_v3_molecularLayerOfTheCerebellum",
    name="molecular layer of the cerebellum",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_neocortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_neocortex",
    additional_remarks=".label file name 'neocortex' has been corrected to .mbat file name 'neocortex, unspecified'; for details, see atlas documentation",
    alternate_names=["Ncx-u"],
    corrected_name="neocortex, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "92",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#03C12D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_isocortex"}],
    lookup_label="WHSSDatlas_v3_neocortex",
    name="neocortex",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_nucleus_of_the_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_nucleusOfTheStriaMedullaris",
    alternate_names=["SM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "81",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DE07ED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralNuclei"}],
    lookup_label="WHSSDatlas_v3_nucleusOfTheStriaMedullaris",
    name="nucleus of the stria medullaris",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_nucleus_of_the_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_nucleusOfTheTrapezoidBody",
    alternate_names=["NTB"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF51"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_nucleus_sagulum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_nucleusSagulum",
    alternate_names=["Sag"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "163",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#63CD00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_midbrain"}],
    lookup_label="WHSSDatlas_v3_nucleusSagulum",
    name="nucleus sagulum",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_olfactoryBulb",
    additional_remarks="both .label file name and .mbat file name are 'olfactory bulb', which is an error; abbreviation for the corrected name has been added under 'alternateName' instead of the abbreviation from the .mbat file; for details, see atlas documentation",
    alternate_names=["OB-u"],
    corrected_name="olfactory bulb, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "66",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8700"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v3_olfactoryBulb",
    name="olfactory bulb",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_opticNerve",
    alternate_names=["2n"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "41",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#30DA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v3_opticNerve",
    name="optic nerve",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_optic_tract_and_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_opticTractAndOpticChiasm",
    alternate_names=["opt-och"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "42",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#267EFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v3_opticTractAndOpticChiasm",
    name="optic tract and optic chiasm",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_parasubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_parasubiculum",
    alternate_names=["PaS"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#173660"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parahippocampalRegion"}
    ],
    lookup_label="WHSSDatlas_v3_parasubiculum",
    name="parasubiculum",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_periaqueductalGray",
    alternate_names=["PAG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "51",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#07FF59"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum"}],
    lookup_label="WHSSDatlas_v3_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_perirhinal_area35 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_perirhinalArea35",
    alternate_names=["PER35"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CD33FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_perirhinalCortex"}],
    lookup_label="WHSSDatlas_v3_perirhinalArea35",
    name="perirhinal area 35",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_perirhinal_area36 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_perirhinalArea36",
    alternate_names=["PER36"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7030A0"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_perirhinalCortex"}],
    lookup_label="WHSSDatlas_v3_perirhinalArea36",
    name="perirhinal area 36",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_periventricular_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_periventricularGray",
    alternate_names=["PVG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "56",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EB57FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medullaOblongata"}],
    lookup_label="WHSSDatlas_v3_periventricularGray",
    name="periventricular gray",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_pineal_gland = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_pinealGland",
    alternate_names=["Pi"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "43",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DAAA3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_interbrain"}],
    lookup_label="WHSSDatlas_v3_pinealGland",
    name="pineal gland",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_pontine_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_pontineNuclei",
    alternate_names=["Pn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "58",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00D70B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pons"}],
    lookup_label="WHSSDatlas_v3_pontineNuclei",
    name="pontine nuclei",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_posteriorCommissure",
    alternate_names=["pc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "63",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00DA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v3_posteriorCommissure",
    name="posterior commissure",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_postrhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_postrhinalCortex",
    alternate_names=["POR"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#287082"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parahippocampalRegion"}
    ],
    lookup_label="WHSSDatlas_v3_postrhinalCortex",
    name="postrhinal cortex",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_presubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_presubiculum",
    alternate_names=["PrS"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#507BAF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parahippocampalRegion"}
    ],
    lookup_label="WHSSDatlas_v3_presubiculum",
    name="presubiculum",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_pretectal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_pretectalRegion",
    alternate_names=["PT", "PRT"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "94",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF571E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_midbrain"}],
    lookup_label="WHSSDatlas_v3_pretectalRegion",
    name="pretectal region",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_primary_auditory_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_primaryAuditoryCortex",
    alternate_names=["Au1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "151",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFD700"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_auditoryCortex"}],
    lookup_label="WHSSDatlas_v3_primaryAuditoryCortex",
    name="primary auditory cortex",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_pyramidal_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_pyramidalDecussation",
    alternate_names=["pyx"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "85",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7209D4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways"}],
    lookup_label="WHSSDatlas_v3_pyramidalDecussation",
    name="pyramidal decussation",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_reticular_thalamic_nucleus_auditory_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_reticularThalamicNucleusAuditorySegment",
    alternate_names=["Rta", "reticular (pre)thalamic nucleus, auditory segment"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "164",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6E00FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3_reticularThalamicNucleusAuditorySegment",
    name="reticular thalamic nucleus, auditory segment",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_secondary_auditory_cortex_dorsal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_secondaryAuditoryCortexDorsalArea",
    alternate_names=["AuD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "152",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0FFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_auditoryCortex"}],
    lookup_label="WHSSDatlas_v3_secondaryAuditoryCortexDorsalArea",
    name="secondary auditory cortex, dorsal area",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_secondary_auditory_cortex_ventral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_secondaryAuditoryCortexVentralArea",
    alternate_names=["AuV"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "153",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D8BFD8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_auditoryCortex"}],
    lookup_label="WHSSDatlas_v3_secondaryAuditoryCortexVentralArea",
    name="secondary auditory cortex, ventral area",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_septal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_septalRegion",
    alternate_names=["Sep"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "40",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0800"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralNuclei"}],
    lookup_label="WHSSDatlas_v3_septalRegion",
    name="septal region",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_spinalCord",
    alternate_names=["SpC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "45",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#86FF5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v3_spinalCord",
    name="spinal cord",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_spinal_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_spinalTrigeminalNucleus",
    alternate_names=["Sp5"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "75",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5BF1FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medullaOblongata"}],
    lookup_label="WHSSDatlas_v3_spinalTrigeminalNucleus",
    name="spinal trigeminal nucleus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_spinal_trigeminal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_spinalTrigeminalTract",
    alternate_names=["sp5"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "76",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FA8072"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheBrainstem"}
    ],
    lookup_label="WHSSDatlas_v3_spinalTrigeminalTract",
    name="spinal trigeminal tract",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_spiral_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_spiralGanglion",
    alternate_names=["SpG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "162",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B9FFE9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v3_spiralGanglion",
    name="spiral ganglion",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_stria_medullaris_of_the_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_striaMedullarisOfTheThalamus",
    alternate_names=["sm", "stria medullaris thalami"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "61",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3_striaMedullarisOfTheThalamus",
    name="stria medullaris of the thalamus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_striaTerminalis",
    alternate_names=["st"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "62",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EE7533"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v3_striaTerminalis",
    name="stria terminalis",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_striatum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_striatum",
    alternate_names=["Str"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "30",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#814FFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebralNuclei"}],
    lookup_label="WHSSDatlas_v3_striatum",
    name="striatum",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_subiculum",
    alternate_names=["SUB"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC000"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormation"}],
    lookup_label="WHSSDatlas_v3_subiculum",
    name="subiculum",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_substantia_nigra = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_substantiaNigra",
    alternate_names=["SN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "2",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum"}],
    lookup_label="WHSSDatlas_v3_substantiaNigra",
    name="substantia nigra",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_subthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_subthalamicNucleus",
    alternate_names=["STh"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "3",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0000FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hypothalamus"}],
    lookup_label="WHSSDatlas_v3_subthalamicNucleus",
    name="subthalamic nucleus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_superficial_gray_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_superficialGrayLayerOfTheSuperiorColliculus",
    alternate_names=["SuG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "50",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5600DD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorColliculus"}],
    lookup_label="WHSSDatlas_v3_superficialGrayLayerOfTheSuperiorColliculus",
    name="superficial gray layer of the superior colliculus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_superior_paraolivary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_superiorParaolivaryNucleus",
    alternate_names=["SPN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00EEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3_superiorParaolivaryNucleus",
    name="superior paraolivary nucleus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_superior_periolivary_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_superiorPeriolivaryRegion",
    alternate_names=["SPR"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "135",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019915"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3_superiorPeriolivaryRegion",
    name="superior periolivary region",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_supraoptic_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_supraopticDecussation",
    alternate_names=["sox"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "83",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FAAA40"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v3_supraopticDecussation",
    name="supraoptic decussation",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_thalamus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_thalamus",
    additional_remarks=".label file name 'thalamus' has been corrected to .mbat file name 'thalamus, unspecified'; for details, see atlas documentation",
    alternate_names=["Thal-u"],
    corrected_name="thalamus, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "39",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#006400"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamus"}],
    lookup_label="WHSSDatlas_v3_thalamus",
    name="thalamus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_transverse_fibers_of_the_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_transverseFibersOfThePons",
    alternate_names=["tfp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "79",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80AAFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v3_transverseFibersOfThePons",
    name="transverse fibers of the pons",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_trapezoidBody",
    alternate_names=["tz"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "130",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D5FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheBrainstem"}
    ],
    lookup_label="WHSSDatlas_v3_trapezoidBody",
    name="trapezoid body",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_ventral_cochlear_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusAnteriorPart",
    alternate_names=["AVCN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "158",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2298FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v3_ventralCochlearNucleusAnteriorPart",
    name="ventral cochlear nucleus, anterior part",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_ventral_cochlear_nucleus_cap_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusCapArea",
    alternate_names=["Cap"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "160",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF6A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v3_ventralCochlearNucleusCapArea",
    name="ventral cochlear nucleus, cap area",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_ventral_cochlear_nucleus_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusGranuleCellLayer",
    alternate_names=["GCL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#000CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v3_ventralCochlearNucleusGranuleCellLayer",
    name="ventral cochlear nucleus, granule cell layer",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_ventral_cochlear_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralCochlearNucleusPosteriorPart",
    alternate_names=["PVCN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "159",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00E6CF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v3_ventralCochlearNucleusPosteriorPart",
    name="ventral cochlear nucleus, posterior part",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralHippocampalCommissure",
    alternate_names=["vhc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "38",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AE00E8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v3_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_ventral_periolivary_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventralPeriolivaryNuclei",
    additional_remarks=".label file name 'ventral periolivary nuclei' does not match the name in the .mbat file ('ventral periolivary nucleus') - .label file name correct; for details, see atlas documentation",
    alternate_names=["VPO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "136",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00AEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v3_ventralPeriolivaryNuclei",
    name="ventral periolivary nuclei",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_ventricular_system = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_ventricularSystem",
    additional_remarks=".label file name 'ventricular system' does not match the name in the .mbat file ('ventricular system, unspecified'); name was also changed to reflect the possibility for subdivision; for details, see atlas documentation",
    alternate_names=["V-u"],
    corrected_name="ventricular system, unspecified",
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "33",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#022CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystem"}],
    lookup_label="WHSSDatlas_v3_ventricularSystem",
    name="ventricular system",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_vestibular_apparatus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_vestibularApparatus",
    alternate_names=["VeA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009037"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v3_vestibularApparatus",
    name="vestibular apparatus",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v3_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v3_vestibularNerve",
    alternate_names=["8vn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "122",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FD3200"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v3_vestibularNerve",
    name="vestibular nerve",
    version_identifier="v3",
)
ParcellationEntityVersion.whss_datlas_v4_4th_ventricle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_4thVentricle",
    alternate_names=["4V"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "125",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#341D90"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystem"}],
    lookup_label="WHSSDatlas_v4_4thVentricle",
    name="4th ventricle",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_acoustic_striae = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_acousticStriae",
    alternate_names=["as"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "129",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFD900"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheBrainstem"}
    ],
    lookup_label="WHSSDatlas_v4_acousticStriae",
    name="acoustic striae",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_agranular_insular_cortex_dorsal_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_agranularInsularCortexDorsalArea",
    alternate_names=["AI-d"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "410",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7F27"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_agranularInsularCortex"}
    ],
    lookup_label="WHSSDatlas_v4_agranularInsularCortexDorsalArea",
    name="agranular insular cortex dorsal area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_agranular_insular_cortex_posterior_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_agranularInsularCortexPosteriorArea",
    alternate_names=["AI-p"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "424",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B5E61D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_agranularInsularCortex"}
    ],
    lookup_label="WHSSDatlas_v4_agranularInsularCortexPosteriorArea",
    name="agranular insular cortex, posterior area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_agranular_insular_cortex_ventral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_agranularInsularCortexVentralArea",
    alternate_names=["AI-v"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "409",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC90E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_agranularInsularCortex"}
    ],
    lookup_label="WHSSDatlas_v4_agranularInsularCortexVentralArea",
    name="agranular insular cortex, ventral area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_alveus_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_alveusOfTheHippocampus",
    alternate_names=["alv"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "6",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v4_alveusOfTheHippocampus",
    name="alveus of the hippocampus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_amygdaloid_area_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_amygdaloidAreaUnspecified",
    alternate_names=["Am-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "501",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0214C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nonlaminatedPallium"}],
    lookup_label="WHSSDatlas_v4_amygdaloidAreaUnspecified",
    name="amygdaloid area, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_angular_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_angularThalamicNucleus",
    alternate_names=["Ang"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "223",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8B5D8B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_angularThalamicNucleus",
    name="angular thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_anterior_commissure_anterior_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteriorCommissureAnteriorLimb",
    alternate_names=["aca", "anterior commissure, anterior part"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "36",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7CFC00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v4_anteriorCommissureAnteriorLimb",
    name="anterior commissure, anterior limb",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_anterior_commissure_intrabulbar_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteriorCommissureIntrabulbarPart",
    alternate_names=["aci"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "73",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF4FCE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v4_anteriorCommissureIntrabulbarPart",
    name="anterior commissure, intrabulbar part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_anterior_commissure_posterior_limb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteriorCommissurePosteriorLimb",
    alternate_names=["acp", "anterior commissure, posterior part"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "37",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorCommissure"}],
    lookup_label="WHSSDatlas_v4_anteriorCommissurePosteriorLimb",
    name="anterior commissure, posterior limb",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_anterodorsal_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anterodorsalThalamicNucleus",
    alternate_names=["AD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "213",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#830A79"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_anterodorsalThalamicNucleus",
    name="anterodorsal thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_anteromedial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteromedialThalamicNucleus",
    alternate_names=["AM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "254",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0055FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_anteromedialThalamicNucleus",
    name="anteromedial thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_anteroventral_thalamic_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteroventralThalamicNucleusDorsomedialPart",
    alternate_names=["AV"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "214",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EF79DA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteroventralThalamicNucleus"}
    ],
    lookup_label="WHSSDatlas_v4_anteroventralThalamicNucleusDorsomedialPart",
    name="anteroventral thalamic nucleus, dorsomedial part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_anteroventral_thalamic_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_anteroventralThalamicNucleusVentrolateralPart",
    alternate_names=["AV-dm"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "215",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#65238E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteroventralThalamicNucleus"}
    ],
    lookup_label="WHSSDatlas_v4_anteroventralThalamicNucleusVentrolateralPart",
    name="anteroventral thalamic nucleus, ventrolateral part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ascending_fibers_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ascendingFibersOfTheFacialNerve",
    alternate_names=["asc7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "72",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B31C35"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v4_ascendingFibersOfTheFacialNerve",
    name="ascending fibers of the facial nerve",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_basal_forebrain_region_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_basalForebrainRegionUnspecified",
    alternate_names=["BFR-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "82",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E1F00D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_basalForebrainRegion"}],
    lookup_label="WHSSDatlas_v4_basalForebrainRegionUnspecified",
    name="basal forebrain region, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_bed_nucleus_of_the_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_bedNucleusOfTheStriaTerminalis",
    alternate_names=["BNST"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "93",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0008B6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_basalForebrainRegion"}],
    lookup_label="WHSSDatlas_v4_bedNucleusOfTheStriaTerminalis",
    name="bed nucleus of the stria terminalis",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_brachium_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_brachiumOfTheSuperiorColliculus",
    alternate_names=["bsc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "68",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#BC20AD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v4_brachiumOfTheSuperiorColliculus",
    name="brachium of the superior colliculus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_brainstem_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_brainstemUnspecified",
    alternate_names=["BS-u", "brain stem, unspecified"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "47",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9953FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mesencephalon"}],
    lookup_label="WHSSDatlas_v4_brainstemUnspecified",
    name="brainstem, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_caudate_putamen = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_caudatePutamen",
    alternate_names=["CPu"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "197",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#814F9B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_striatum"}],
    lookup_label="WHSSDatlas_v4_caudatePutamen",
    name="caudate putamen",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_central_canal = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_centralCanal",
    alternate_names=["CC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "70",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#27F4FD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystem"}],
    lookup_label="WHSSDatlas_v4_centralCanal",
    name="central canal",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_central_lateral_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_centralLateralThalamicNucleus",
    alternate_names=["CL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "248",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9932CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_intralaminarNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_centralLateralThalamicNucleus",
    name="central lateral thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_central_medial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_centralMedialThalamicNucleus",
    alternate_names=["CM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "247",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E0B640"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_intralaminarNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_centralMedialThalamicNucleus",
    name="central medial thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_cerebellum_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cerebellumUnspecified",
    alternate_names=["Cb-u", "deeper cerebellum"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "5",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum"}],
    lookup_label="WHSSDatlas_v4_cerebellumUnspecified",
    name="cerebellum, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_cingulate_area1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cingulateArea1",
    alternate_names=["Cg1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "411",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#008080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cingulateCortex"}],
    lookup_label="WHSSDatlas_v4_cingulateArea1",
    name="cingulate area 1",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_cingulate_area2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cingulateArea2",
    alternate_names=["Cg2", "cingulate cortex, area 2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "10",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1D68EB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cingulateCortex"}],
    lookup_label="WHSSDatlas_v4_cingulateArea2",
    name="cingulate area 2",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_claustrum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_claustrum",
    alternate_names=["CLA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "412",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#99D9C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nonlaminatedPallium"}],
    lookup_label="WHSSDatlas_v4_claustrum",
    name="claustrum",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_cochlea = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cochlea",
    alternate_names=["Co"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "120",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF1C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v4_cochlea",
    name="cochlea",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_cochlear_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cochlearNerve",
    alternate_names=["8cn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "121",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FD9400"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v4_cochlearNerve",
    name="cochlear nerve",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_commissural_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_commissuralStriaTerminalis",
    alternate_names=["cst"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "54",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ADFF2F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v4_commissuralStriaTerminalis",
    name="commissural stria terminalis",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_commissure_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_commissureOfTheSuperiorColliculus",
    alternate_names=["csc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "46",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#21E6FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v4_commissureOfTheSuperiorColliculus",
    name="commissure of the superior colliculus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_cornu_ammonis1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cornuAmmonis1",
    alternate_names=["CA1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "98",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D9680D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis"}],
    lookup_label="WHSSDatlas_v4_cornuAmmonis1",
    name="cornu ammonis 1",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_cornu_ammonis2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cornuAmmonis2",
    alternate_names=["CA2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "97",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis"}],
    lookup_label="WHSSDatlas_v4_cornuAmmonis2",
    name="cornu ammonis 2",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_cornu_ammonis3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_cornuAmmonis3",
    alternate_names=["CA3"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "95",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A5836B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cornuAmmonis"}],
    lookup_label="WHSSDatlas_v4_cornuAmmonis3",
    name="cornu ammonis 3",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_corpus_callosum_and_associated_subcortical_white_matter = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    alternate_names=["cc-ec-cing-dwm"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "67",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF6E00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v4_corpusCallosumAndAssociatedSubcorticalWhiteMatter",
    name="corpus callosum and associated subcortical white matter",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_corticofugal_tract_and_corona_radiata = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_corticofugalTractAndCoronaRadiata",
    alternate_names=["ic-cp-lfp-py", "descending corticofugal pathways"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "1",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF3427"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways"}],
    lookup_label="WHSSDatlas_v4_corticofugalTractAndCoronaRadiata",
    name="corticofugal tract and corona radiata",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_deeper_layers_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_deeperLayersOfTheSuperiorColliculus",
    alternate_names=["SuD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "55",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E1970F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorColliculus"}],
    lookup_label="WHSSDatlas_v4_deeperLayersOfTheSuperiorColliculus",
    name="deeper layers of the superior colliculus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_dentate_gyrus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dentateGyrus",
    alternate_names=["DG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "96",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5B2D0A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormation"}],
    lookup_label="WHSSDatlas_v4_dentateGyrus",
    name="dentate gyrus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_dorsal_cochlear_nucleus_deep_core = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalCochlearNucleusDeepCore",
    alternate_names=["DCND"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "128",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#C5EEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusDorsalPart"}
    ],
    lookup_label="WHSSDatlas_v4_dorsalCochlearNucleusDeepCore",
    name="dorsal cochlear nucleus, deep core",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_dorsal_cochlear_nucleus_fusiform_and_granule_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalCochlearNucleusFusiformAndGranuleLayer",
    alternate_names=["DCNFG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "127",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00509C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusDorsalPart"}
    ],
    lookup_label="WHSSDatlas_v4_dorsalCochlearNucleusFusiformAndGranuleLayer",
    name="dorsal cochlear nucleus, fusiform and granule layer",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_dorsal_cochlear_nucleus_molecular_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalCochlearNucleusMolecularLayer",
    alternate_names=["DCNM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "126",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5C9CD3"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusDorsalPart"}
    ],
    lookup_label="WHSSDatlas_v4_dorsalCochlearNucleusMolecularLayer",
    name="dorsal cochlear nucleus, molecular layer",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_dorsal_lateral_geniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsalLateralGeniculateNucleus",
    alternate_names=["DLG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "205",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFE200"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_laterodorsalThalamicNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_dorsalLateralGeniculateNucleus",
    name="dorsal lateral geniculate nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_dorsolateral_orbital_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dorsolateralOrbitalArea",
    alternate_names=["DLO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "404",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B97A57"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_orbitofrontalCortex"}],
    lookup_label="WHSSDatlas_v4_dorsolateralOrbitalArea",
    name="dorsolateral orbital area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_dysgranular_insular_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_dysgranularInsularCortex",
    alternate_names=["DI"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "414",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFF200"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_insularRegion"}],
    lookup_label="WHSSDatlas_v4_dysgranularInsularCortex",
    name="dysgranular insular cortex",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_endopiriform_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_endopiriformNucleus",
    alternate_names=["Endo"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "500",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#010A64"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nonlaminatedPallium"}],
    lookup_label="WHSSDatlas_v4_endopiriformNucleus",
    name="endopiriform nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_entopeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_entopeduncularNucleus",
    alternate_names=["EP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "32",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1AE7FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pallidum"}],
    lookup_label="WHSSDatlas_v4_entopeduncularNucleus",
    name="entopeduncular nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ethmoid_limitans_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ethmoidLimitansNucleus",
    alternate_names=["Eth"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "282",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#833280"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_intralaminarNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_ethmoidLimitansNucleus",
    name="ethmoid-Limitans nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_external_medullary_lamina_auditory_radiation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_externalMedullaryLaminaAuditoryRadiation",
    alternate_names=["eml-ar", "auditory radiation"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "157",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F49CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_externalMedullaryLamina"}
    ],
    lookup_label="WHSSDatlas_v4_externalMedullaryLaminaAuditoryRadiation",
    name="external medullary lamina, auditory radiation",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_external_medullary_lamina_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_externalMedullaryLaminaUnspecified",
    alternate_names=["eml-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "249",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAFF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_externalMedullaryLamina"}
    ],
    lookup_label="WHSSDatlas_v4_externalMedullaryLaminaUnspecified",
    name="external medullary lamina, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_facial_nerve_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_facialNerveUnspecified",
    alternate_names=["7n-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "35",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF19F0"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v4_facialNerveUnspecified",
    name="facial nerve, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_fasciculus_retroflexus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_fasciculusRetroflexus",
    alternate_names=["fr"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "60",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F44345"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v4_fasciculusRetroflexus",
    name="fasciculus retroflexus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_fasciola_cinereum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_fasciolaCinereum",
    alternate_names=["FC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "99",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0000"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormation"}],
    lookup_label="WHSSDatlas_v4_fasciolaCinereum",
    name="fasciola cinereum",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_fields_of_forel = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_fieldsOfForel",
    alternate_names=["FoF"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "280",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFAFA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncerta"}],
    lookup_label="WHSSDatlas_v4_fieldsOfForel",
    name="fields of Forel",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_fimbria_of_the_hippocampus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_fimbriaOfTheHippocampus",
    alternate_names=["fi"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "59",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF1D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v4_fimbriaOfTheHippocampus",
    name="fimbria of the hippocampus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_fornix = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_fornix",
    alternate_names=["f"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "52",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#15C0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v4_fornix",
    name="fornix",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_frontal_association_area3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_frontalAssociationArea3",
    alternate_names=["Fr3"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "407",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#880015"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_motorCortex"}],
    lookup_label="WHSSDatlas_v4_frontalAssociationArea3",
    name="frontal association area 3",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_frontal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_frontalAssociationCortex",
    alternate_names=["FrA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "77",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CED307"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_frontalRegion"}],
    lookup_label="WHSSDatlas_v4_frontalAssociationCortex",
    name="frontal association cortex",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_genu_of_the_facial_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_genuOfTheFacialNerve",
    alternate_names=["g7"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "57",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FAF4F7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_facialNerve"}],
    lookup_label="WHSSDatlas_v4_genuOfTheFacialNerve",
    name="genu of the facial nerve",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_globus_pallidus_external_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_globusPallidusExternalLateralPart",
    alternate_names=["GPe-l"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "198",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#C819C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_globusPallidusExternal"}
    ],
    lookup_label="WHSSDatlas_v4_globusPallidusExternalLateralPart",
    name="globus pallidus external, lateral part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_globus_pallidus_external_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_globusPallidusExternalMedialPart",
    alternate_names=["GPe-m"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "195",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF55FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_globusPallidusExternal"}
    ],
    lookup_label="WHSSDatlas_v4_globusPallidusExternalMedialPart",
    name="globus pallidus external, medial part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_glomerular_layer_of_the_accessory_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_glomerularLayerOfTheAccessoryOlfactoryBulb",
    alternate_names=["GlA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "64",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0F6DE6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v4_glomerularLayerOfTheAccessoryOlfactoryBulb",
    name="glomerular layer of the accessory olfactory bulb",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_glomerular_layer_of_the_olfactory_bulb = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_glomerularLayerOfTheOlfactoryBulb",
    alternate_names=["Gl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "65",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFE300"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v4_glomerularLayerOfTheOlfactoryBulb",
    name="glomerular layer of the olfactory bulb",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_granular_insular_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_granularInsularCortex",
    alternate_names=["GI"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "416",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EFE4B0"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_insularRegion"}],
    lookup_label="WHSSDatlas_v4_granularInsularCortex",
    name="granular insular cortex",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_habenular_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_habenularCommissure",
    alternate_names=["hbc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "80",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#45EBCA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v4_habenularCommissure",
    name="habenular commissure",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_hypothalamic_region_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_hypothalamicRegionUnspecified",
    alternate_names=["HTh-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "48",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E278A1"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hypothalamus"}],
    lookup_label="WHSSDatlas_v4_hypothalamicRegionUnspecified",
    name="hypothalamic region, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_inferior_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorCerebellarPeduncle",
    alternate_names=["icp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "7",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#34FF0D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v4_inferiorCerebellarPeduncle",
    name="inferior cerebellar peduncle",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_inferior_colliculus_brachium = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusBrachium",
    alternate_names=["bic"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "146",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B03A48"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v4_inferiorColliculusBrachium",
    name="inferior colliculus, brachium",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_inferior_colliculus_central_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusCentralNucleus",
    alternate_names=["CNIC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "143",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00EEFE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculus"}],
    lookup_label="WHSSDatlas_v4_inferiorColliculusCentralNucleus",
    name="inferior colliculus, central nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_inferior_colliculus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusCommissure",
    alternate_names=["cic", "commissure of the inferior colliculus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "69",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF2A27"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheTectum"}
    ],
    lookup_label="WHSSDatlas_v4_inferiorColliculusCommissure",
    name="inferior colliculus, commissure",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_inferior_colliculus_dorsal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusDorsalCortex",
    alternate_names=["DCIC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "142",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CEFF8E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculus"}],
    lookup_label="WHSSDatlas_v4_inferiorColliculusDorsalCortex",
    name="inferior colliculus, dorsal cortex",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_inferior_colliculus_external_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorColliculusExternalCortex",
    alternate_names=["ECIC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "145",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#3088CB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_inferiorColliculus"}],
    lookup_label="WHSSDatlas_v4_inferiorColliculusExternalCortex",
    name="inferior colliculus, external cortex",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_inferior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_inferiorOlive",
    alternate_names=["IO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "74",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00F60E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_myelencephalon"}],
    lookup_label="WHSSDatlas_v4_inferiorOlive",
    name="inferior olive",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_infralimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_infralimbicArea",
    alternate_names=["IL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "413",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#22B14C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mediofrontalCortex"}],
    lookup_label="WHSSDatlas_v4_infralimbicArea",
    name="infralimbic area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_interanteromedial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_interanteromedialThalamicNucleus",
    alternate_names=["IAM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "255",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F875DE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_anteriorNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_interanteromedialThalamicNucleus",
    name="interanteromedial thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_intergeniculate_leaflet = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_intergeniculateLeaflet",
    alternate_names=["IGL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "272",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#000080"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_prethalamus"}],
    lookup_label="WHSSDatlas_v4_intergeniculateLeaflet",
    name="intergeniculate leaflet",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_intermediodorsal_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_intermediodorsalThalamicNucleus",
    alternate_names=["IMD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "260",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A0522D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalcaudalMidlineGroupOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_intermediodorsalThalamicNucleus",
    name="intermediodorsal thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_internal_medullary_lamina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_internalMedullaryLamina",
    alternate_names=["iml"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "291",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF5C0A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v4_internalMedullaryLamina",
    name="internal medullary lamina",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_interpeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_interpeduncularNucleus",
    alternate_names=["IP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "71",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#3FC0FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum"}],
    lookup_label="WHSSDatlas_v4_interpeduncularNucleus",
    name="interpeduncular nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_intramedullary_thalamic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_intramedullaryThalamicArea",
    alternate_names=["ima"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "290",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9B946F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v4_intramedullaryThalamicArea",
    name="intramedullary thalamic area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralEntorhinalCortex",
    alternate_names=["LEC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "115",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5A6F2F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_entorhinalCortex"}],
    lookup_label="WHSSDatlas_v4_lateralEntorhinalCortex",
    name="lateral entorhinal cortex",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_habenular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralHabenularNucleus",
    alternate_names=["LHb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "206",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D96C00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_epithalamus"}],
    lookup_label="WHSSDatlas_v4_lateralHabenularNucleus",
    name="lateral habenular nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_lemniscus_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusCommissure",
    alternate_names=["ll-c"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "140",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF1D00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscus"}],
    lookup_label="WHSSDatlas_v4_lateralLemniscusCommissure",
    name="lateral lemniscus, commissure",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_lemniscus_dorsal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusDorsalNucleus",
    alternate_names=["DLL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "139",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6C125B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleiOfTheLateralLemniscus"}
    ],
    lookup_label="WHSSDatlas_v4_lateralLemniscusDorsalNucleus",
    name="lateral lemniscus, dorsal nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_lemniscus_intermediate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusIntermediateNucleus",
    alternate_names=["ILL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "138",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AB105B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleiOfTheLateralLemniscus"}
    ],
    lookup_label="WHSSDatlas_v4_lateralLemniscusIntermediateNucleus",
    name="lateral lemniscus, intermediate nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_lemniscus_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusUnspecified",
    alternate_names=["ll-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "141",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFA600"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralLemniscus"}],
    lookup_label="WHSSDatlas_v4_lateralLemniscusUnspecified",
    name="lateral lemniscus, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_lemniscus_ventral_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralLemniscusVentralNucleus",
    alternate_names=["VLL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "137",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0073"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleiOfTheLateralLemniscus"}
    ],
    lookup_label="WHSSDatlas_v4_lateralLemniscusVentralNucleus",
    name="lateral lemniscus, ventral nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralOlfactoryTract",
    alternate_names=["lot"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "180",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00DD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryWhiteMatter"}],
    lookup_label="WHSSDatlas_v4_lateralOlfactoryTract",
    name="lateral olfactory tract",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_orbital_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralOrbitalArea",
    alternate_names=["LO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "401",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAEC9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_orbitofrontalCortex"}],
    lookup_label="WHSSDatlas_v4_lateralOrbitalArea",
    name="lateral orbital area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_posterior_thalamic_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralPosteriorThalamicNucleusLateralPart",
    alternate_names=["LP-l"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "283",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#C7573D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralPosteriorPulvinarComplexOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_lateralPosteriorThalamicNucleusLateralPart",
    name="lateral posterior thalamic nucleus, lateral part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_posterior_thalamic_nucleus_mediocaudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralPosteriorThalamicNucleusMediocaudalPart",
    alternate_names=["LP-mc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "286",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFEBCD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralPosteriorPulvinarComplexOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_lateralPosteriorThalamicNucleusMediocaudalPart",
    name="lateral posterior thalamic nucleus, mediocaudal part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_posterior_thalamic_nucleus_mediorostral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralPosteriorThalamicNucleusMediorostralPart",
    alternate_names=["LP-mr"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "285",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#3CB371"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_lateralPosteriorPulvinarComplexOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_lateralPosteriorThalamicNucleusMediorostralPart",
    name="lateral posterior thalamic nucleus, mediorostral part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_lateral_superior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_lateralSuperiorOlive",
    alternate_names=["LSO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "134",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#234CBE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v4_lateralSuperiorOlive",
    name="lateral superior olive",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_laterodorsal_thalamic_nucleus_dorsomedial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_laterodorsalThalamicNucleusDorsomedialPart",
    alternate_names=["LD-dm"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "228",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF7B00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_laterodorsalThalamicNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_laterodorsalThalamicNucleusDorsomedialPart",
    name="laterodorsal thalamic nucleus, dorsomedial part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_laterodorsal_thalamic_nucleus_ventrolateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_laterodorsalThalamicNucleusVentrolateralPart",
    alternate_names=["LD-vl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "229",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2B991F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_laterodorsalThalamicNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_laterodorsalThalamicNucleusVentrolateralPart",
    name="laterodorsal thalamic nucleus, ventrolateral part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_mammillotegmental_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_mammillotegmentalTract",
    alternate_names=["mtg"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "53",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EEBA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v4_mammillotegmentalTract",
    name="mammillotegmental tract",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_entorhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialEntorhinalCortex",
    alternate_names=["MEC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "114",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7ABB33"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_entorhinalCortex"}],
    lookup_label="WHSSDatlas_v4_medialEntorhinalCortex",
    name="medial entorhinal cortex",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_geniculate_body_dorsal_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyDorsalDivision",
    alternate_names=["MG-d"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "295",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EFA300"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateComplexOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_medialGeniculateBodyDorsalDivision",
    name="medial geniculate body, dorsal division",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_geniculate_body_marginal_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyMarginalZone",
    alternate_names=["MG-mz"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "150",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF2FF2"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateComplexOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_medialGeniculateBodyMarginalZone",
    name="medial geniculate body, marginal zone",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_geniculate_body_medial_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyMedialDivision",
    alternate_names=["MG-m"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "297",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0AF4D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateComplexOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_medialGeniculateBodyMedialDivision",
    name="medial geniculate body, medial division",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_geniculate_body_suprageniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodySuprageniculateNucleus",
    alternate_names=["MG-sg"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "299",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0AF496"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateComplexOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_medialGeniculateBodySuprageniculateNucleus",
    name="medial geniculate body, suprageniculate nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_geniculate_body_ventral_division = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialGeniculateBodyVentralDivision",
    alternate_names=["MG-v"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "298",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#833A1F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialGeniculateComplexOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_medialGeniculateBodyVentralDivision",
    name="medial geniculate body, ventral division",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_habenular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialHabenularNucleus",
    alternate_names=["MHb"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "207",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CD0018"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_epithalamus"}],
    lookup_label="WHSSDatlas_v4_medialHabenularNucleus",
    name="medial habenular nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_lemniscus_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialLemniscusDecussation",
    alternate_names=["mlx"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "84",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4196FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus"}],
    lookup_label="WHSSDatlas_v4_medialLemniscusDecussation",
    name="medial lemniscus decussation",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_lemniscus_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialLemniscusUnspecified",
    alternate_names=["ml-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "34",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D4FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_medialLemniscus"}],
    lookup_label="WHSSDatlas_v4_medialLemniscusUnspecified",
    name="medial lemniscus, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_orbital_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialOrbitalArea",
    alternate_names=["MO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "403",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#3F48CC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_orbitofrontalCortex"}],
    lookup_label="WHSSDatlas_v4_medialOrbitalArea",
    name="medial orbital area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_medial_superior_olive = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_medialSuperiorOlive",
    alternate_names=["MSO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "133",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DBEF3D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v4_medialSuperiorOlive",
    name="medial superior olive",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_mediodorsal_thalamic_nucleus_central_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_mediodorsalThalamicNucleusCentralPart",
    alternate_names=["MD-c"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "233",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#55AA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mediodorsalNucleusOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_mediodorsalThalamicNucleusCentralPart",
    name="mediodorsal thalamic nucleus, central part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_mediodorsal_thalamic_nucleus_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_mediodorsalThalamicNucleusLateralPart",
    alternate_names=["MD-l"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "232",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF557F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mediodorsalNucleusOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_mediodorsalThalamicNucleusLateralPart",
    name="mediodorsal thalamic nucleus, lateral part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_mediodorsal_thalamic_nucleus_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_mediodorsalThalamicNucleusMedialPart",
    alternate_names=["MD-m"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "240",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAFFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mediodorsalNucleusOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_mediodorsalThalamicNucleusMedialPart",
    name="mediodorsal thalamic nucleus, medial part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_middle_cerebellar_peduncle = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_middleCerebellarPeduncle",
    alternate_names=["mcp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "78",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#86CC4C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v4_middleCerebellarPeduncle",
    name="middle cerebellar peduncle",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_molecular_cell_layer_of_the_cerebellum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_molecularCellLayerOfTheCerebellum",
    alternate_names=["Cb-m"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "4",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF01"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellum"}],
    lookup_label="WHSSDatlas_v4_molecularCellLayerOfTheCerebellum",
    name="molecular cell layer of the cerebellum",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_nucleus_accumbens_core = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusAccumbensCore",
    alternate_names=["NAc-c"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "184",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E6D8FA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleusAccumbens"}],
    lookup_label="WHSSDatlas_v4_nucleusAccumbensCore",
    name="nucleus accumbens, core",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_nucleus_accumbens_shell = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusAccumbensShell",
    alternate_names=["NAc-sh"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "192",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#582F6C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_nucleusAccumbens"}],
    lookup_label="WHSSDatlas_v4_nucleusAccumbensShell",
    name="nucleus accumbens, shell",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_nucleus_of_the_lateral_olfactory_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusOfTheLateralOlfactoryTract",
    alternate_names=["NLOT"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "502",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E6B843"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v4_nucleusOfTheLateralOlfactoryTract",
    name="nucleus of the lateral olfactory tract",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_nucleus_of_the_stria_medullaris = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusOfTheStriaMedullaris",
    alternate_names=["SMn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "81",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DE07ED"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_epithalamus"}],
    lookup_label="WHSSDatlas_v4_nucleusOfTheStriaMedullaris",
    name="nucleus of the stria medullaris",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_nucleus_of_the_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusOfTheTrapezoidBody",
    alternate_names=["NTB"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "131",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF51"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v4_nucleusOfTheTrapezoidBody",
    name="nucleus of the trapezoid body",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_nucleus_sagulum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_nucleusSagulum",
    alternate_names=["Sag"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "163",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#63CD00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pretectum"}],
    lookup_label="WHSSDatlas_v4_nucleusSagulum",
    name="nucleus sagulum",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_olfactory_bulb_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_olfactoryBulbUnspecified",
    alternate_names=["OB-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "66",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8700"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_olfactoryBulb"}],
    lookup_label="WHSSDatlas_v4_olfactoryBulbUnspecified",
    name="olfactory bulb, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_optic_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_opticNerve",
    alternate_names=["2n"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "41",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#30DA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v4_opticNerve",
    name="optic nerve",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_optic_tract_and_optic_chiasm = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_opticTractAndOpticChiasm",
    alternate_names=["opt-och"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "42",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#267EFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v4_opticTractAndOpticChiasm",
    name="optic tract and optic chiasm",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_paracentral_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_paracentralThalamicNucleus",
    alternate_names=["PCN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "246",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0F8FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_intralaminarNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_paracentralThalamicNucleus",
    name="paracentral thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_parafascicular_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parafascicularThalamicNucleus",
    alternate_names=["PF"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "267",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFEFD5"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_intralaminarNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_parafascicularThalamicNucleus",
    name="parafascicular thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_parasubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parasubiculum",
    alternate_names=["PaS"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "110",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#173660"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parahippocampalRegion"}
    ],
    lookup_label="WHSSDatlas_v4_parasubiculum",
    name="parasubiculum",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_parataenial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parataenialThalamicNucleus",
    alternate_names=["PT"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "211",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CD0006"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalcaudalMidlineGroupOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_parataenialThalamicNucleus",
    name="parataenial thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_paraventricular_thalamic_nuclei_anterior_and_posterior = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_paraventricularThalamicNucleiAnteriorAndPosterior",
    alternate_names=["PV"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "242",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9C3333"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalcaudalMidlineGroupOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_paraventricularThalamicNucleiAnteriorAndPosterior",
    name="paraventricular thalamic nuclei (anterior and posterior)",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_parietal_association_cortex_lateral_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parietalAssociationCortexLateralArea",
    alternate_names=["lPPC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "432",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFF01D"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorParietalCortex"}
    ],
    lookup_label="WHSSDatlas_v4_parietalAssociationCortexLateralArea",
    name="parietal association cortex, lateral area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_parietal_association_cortex_medial_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parietalAssociationCortexMedialArea",
    alternate_names=["mPPC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "433",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6C006C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorParietalCortex"}
    ],
    lookup_label="WHSSDatlas_v4_parietalAssociationCortexMedialArea",
    name="parietal association cortex, medial area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_parietal_association_cortex_posterior_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_parietalAssociationCortexPosteriorArea",
    alternate_names=["PtP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "436",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#800040"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorParietalCortex"}
    ],
    lookup_label="WHSSDatlas_v4_parietalAssociationCortexPosteriorArea",
    name="parietal association cortex, posterior area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_periaqueductal_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_periaqueductalGray",
    alternate_names=["PAG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "51",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#07FF59"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum"}],
    lookup_label="WHSSDatlas_v4_periaqueductalGray",
    name="periaqueductal gray",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_peripeduncular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_peripeduncularNucleus",
    alternate_names=["PP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "201",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B7C788"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum"}],
    lookup_label="WHSSDatlas_v4_peripeduncularNucleus",
    name="peripeduncular nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_perirhinal_area35 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_perirhinalArea35",
    alternate_names=["PER35"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "112",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#CD33FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_perirhinalCortex"}],
    lookup_label="WHSSDatlas_v4_perirhinalArea35",
    name="perirhinal area 35",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_perirhinal_area36 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_perirhinalArea36",
    alternate_names=["PER36"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "113",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7030A0"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_perirhinalCortex"}],
    lookup_label="WHSSDatlas_v4_perirhinalArea36",
    name="perirhinal area 36",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_periventricular_gray = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_periventricularGray",
    alternate_names=["PVG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "56",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EB57FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_myelencephalon"}],
    lookup_label="WHSSDatlas_v4_periventricularGray",
    name="periventricular gray",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_pineal_gland = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pinealGland",
    alternate_names=["PG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "43",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DAAA3E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_epithalamus"}],
    lookup_label="WHSSDatlas_v4_pinealGland",
    name="pineal gland",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_piriform_cortex_layer1 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_piriformCortexLayer1",
    alternate_names=["PIR1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "181",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00CCFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_piriformCortex"}],
    lookup_label="WHSSDatlas_v4_piriformCortexLayer1",
    name="piriform cortex, layer 1",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_piriform_cortex_layer2 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_piriformCortexLayer2",
    alternate_names=["PIR2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "182",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0000FE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_piriformCortex"}],
    lookup_label="WHSSDatlas_v4_piriformCortexLayer2",
    name="piriform cortex, layer 2",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_piriform_cortex_layer3 = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_piriformCortexLayer3",
    alternate_names=["PIR3"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "183",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A578DD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_piriformCortex"}],
    lookup_label="WHSSDatlas_v4_piriformCortexLayer3",
    name="piriform cortex, layer 3",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_pontine_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pontineNuclei",
    alternate_names=["Pn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "58",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00D70B"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_metencephalon"}],
    lookup_label="WHSSDatlas_v4_pontineNuclei",
    name="pontine nuclei",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_posterior_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorCommissure",
    alternate_names=["pc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "63",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00DA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatter"}],
    lookup_label="WHSSDatlas_v4_posteriorCommissure",
    name="posterior commissure",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_posterior_intralaminar_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorIntralaminarNucleus",
    alternate_names=["PIL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "208",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E470D6"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalcaudalMidlineGroupOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_posteriorIntralaminarNucleus",
    name="posterior intralaminar nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_posterior_thalamic_nuclear_group_triangular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorThalamicNuclearGroupTriangularPart",
    alternate_names=["Po-t"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "210",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFFC8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorComplexOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_posteriorThalamicNuclearGroupTriangularPart",
    name="posterior thalamic nuclear group, triangular part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_posterior_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_posteriorThalamicNucleus",
    alternate_names=["Po"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "230",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF02"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_posteriorComplexOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_posteriorThalamicNucleus",
    name="posterior thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_postrhinal_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_postrhinalCortex",
    alternate_names=["POR"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "108",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#287082"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parahippocampalRegion"}
    ],
    lookup_label="WHSSDatlas_v4_postrhinalCortex",
    name="postrhinal cortex",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_pregeniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pregeniculateNucleus",
    alternate_names=["PrG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "204",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF1900"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_prethalamus"}],
    lookup_label="WHSSDatlas_v4_pregeniculateNucleus",
    name="pregeniculate nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_prelimbic_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_prelimbicArea",
    alternate_names=["PrL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "405",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#A349A4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_mediofrontalCortex"}],
    lookup_label="WHSSDatlas_v4_prelimbicArea",
    name="prelimbic area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_presubiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_presubiculum",
    alternate_names=["PrS"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "109",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#507BAF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_parahippocampalRegion"}
    ],
    lookup_label="WHSSDatlas_v4_presubiculum",
    name="presubiculum",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_pretectal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pretectalRegion",
    alternate_names=["PRT"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "94",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF571E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pretectum"}],
    lookup_label="WHSSDatlas_v4_pretectalRegion",
    name="pretectal region",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_pretectothalamic_lamina = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pretectothalamicLamina",
    alternate_names=["ptl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "239",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DB8FF7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v4_pretectothalamicLamina",
    name="pretectothalamic lamina",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_primary_auditory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primaryAuditoryArea",
    alternate_names=["Au1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "151",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFD700"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_auditoryCortex"}],
    lookup_label="WHSSDatlas_v4_primaryAuditoryArea",
    name="primary auditory area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_primary_motor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primaryMotorArea",
    alternate_names=["M1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "408",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#99D9EA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_motorCortex"}],
    lookup_label="WHSSDatlas_v4_primaryMotorArea",
    name="primary motor area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_primary_somatosensory_area_barrel_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaBarrelField",
    alternate_names=["S1-bf"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "425",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#78B14C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v4_primarySomatosensoryAreaBarrelField",
    name="primary somatosensory area, barrel field",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_primary_somatosensory_area_dysgranular_zone = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaDysgranularZone",
    alternate_names=["S1-dz"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "418",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#ED1C24"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v4_primarySomatosensoryAreaDysgranularZone",
    name="primary somatosensory area, dysgranular zone",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_primary_somatosensory_area_face_representation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaFaceRepresentation",
    alternate_names=["S1-f"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "420",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF80C0"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v4_primarySomatosensoryAreaFaceRepresentation",
    name="primary somatosensory area, face representation",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_primary_somatosensory_area_forelimb_representation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaForelimbRepresentation",
    alternate_names=["S1-fl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "417",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B90E83"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v4_primarySomatosensoryAreaForelimbRepresentation",
    name="primary somatosensory area, forelimb representation",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_primary_somatosensory_area_hindlimb_representation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaHindlimbRepresentation",
    alternate_names=["S1-hl"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "423",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#886415"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v4_primarySomatosensoryAreaHindlimbRepresentation",
    name="primary somatosensory area, hindlimb representation",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_primary_somatosensory_area_trunk_representation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primarySomatosensoryAreaTrunkRepresentation",
    alternate_names=["S1-tr"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "429",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E196C9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v4_primarySomatosensoryAreaTrunkRepresentation",
    name="primary somatosensory area, trunk representation",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_primary_visual_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_primaryVisualArea",
    alternate_names=["V1"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "442",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#543423"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_visualCortex"}],
    lookup_label="WHSSDatlas_v4_primaryVisualArea",
    name="primary visual area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_pyramidal_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_pyramidalDecussation",
    alternate_names=["pyx"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "85",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7209D4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_corticofugalPathways"}],
    lookup_label="WHSSDatlas_v4_pyramidalDecussation",
    name="pyramidal decussation",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_reticular_prethalamic_nucleus_auditory_segment = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_reticularPrethalamicNucleusAuditorySegment",
    alternate_names=["RT-a", "reticular thalamic nucleus, auditory segment"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "164",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#6E00FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_reticularPrethalamicNucleus"}
    ],
    lookup_label="WHSSDatlas_v4_reticularPrethalamicNucleusAuditorySegment",
    name="reticular (pre)thalamic nucleus, auditory segment",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_reticular_prethalamic_nucleus_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_reticularPrethalamicNucleusUnspecified",
    alternate_names=["RT-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "200",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00D9FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_reticularPrethalamicNucleus"}
    ],
    lookup_label="WHSSDatlas_v4_reticularPrethalamicNucleusUnspecified",
    name="reticular (pre)thalamic nucleus, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_retroreuniens_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_retroreuniensThalamicNucleus",
    alternate_names=["RRe"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "268",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0000CD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralMidlineGroupOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_retroreuniensThalamicNucleus",
    name="retroreuniens thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_retrosplenial_dysgranular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_retrosplenialDysgranularArea",
    alternate_names=["RSD"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "427",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#C849A4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_retrosplenialCortex"}],
    lookup_label="WHSSDatlas_v4_retrosplenialDysgranularArea",
    name="retrosplenial dysgranular area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_retrosplenial_granular_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_retrosplenialGranularArea",
    alternate_names=["RSG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "430",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1964C8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_retrosplenialCortex"}],
    lookup_label="WHSSDatlas_v4_retrosplenialGranularArea",
    name="retrosplenial granular area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_reuniens_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_reuniensThalamicNucleus",
    alternate_names=["Re"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "219",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFAA00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralMidlineGroupOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_reuniensThalamicNucleus",
    name="reuniens thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_rhomboid_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_rhomboidThalamicNucleus",
    alternate_names=["Rh"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "216",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF11"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralMidlineGroupOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_rhomboidThalamicNucleus",
    name="rhomboid thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_secondary_auditory_area_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryAuditoryAreaDorsalPart",
    alternate_names=["Au2-d"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "152",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#F0FFFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_secondaryAuditoryArea"}
    ],
    lookup_label="WHSSDatlas_v4_secondaryAuditoryAreaDorsalPart",
    name="secondary auditory area, dorsal part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_secondary_auditory_area_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryAuditoryAreaVentralPart",
    alternate_names=["Au2-v"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "153",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D8BFD8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_secondaryAuditoryArea"}
    ],
    lookup_label="WHSSDatlas_v4_secondaryAuditoryAreaVentralPart",
    name="secondary auditory area, ventral part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_secondary_motor_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryMotorArea",
    alternate_names=["M2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "406",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00A2E8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_motorCortex"}],
    lookup_label="WHSSDatlas_v4_secondaryMotorArea",
    name="secondary motor area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_secondary_somatosensory_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondarySomatosensoryArea",
    alternate_names=["S2"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "422",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#C864FA"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_somatosensoryCortex"}],
    lookup_label="WHSSDatlas_v4_secondarySomatosensoryArea",
    name="secondary somatosensory area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_secondary_visual_area_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryVisualAreaLateralPart",
    alternate_names=["V2L"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "443",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF6464"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v4_secondaryVisualAreaLateralPart",
    name="secondary visual area, lateral part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_secondary_visual_area_medial_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_secondaryVisualAreaMedialPart",
    alternate_names=["V2M"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "448",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#800064"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v4_secondaryVisualAreaMedialPart",
    name="secondary visual area, medial part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_septal_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_septalRegion",
    alternate_names=["Sep"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "40",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0800"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_basalForebrainRegion"}],
    lookup_label="WHSSDatlas_v4_septalRegion",
    name="septal region",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_spinal_cord = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_spinalCord",
    alternate_names=["SpC"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "45",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#86FF5A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    lookup_label="WHSSDatlas_v4_spinalCord",
    name="spinal cord",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_spinal_trigeminal_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_spinalTrigeminalNucleus",
    alternate_names=["Sp5n"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "75",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5BF1FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_myelencephalon"}],
    lookup_label="WHSSDatlas_v4_spinalTrigeminalNucleus",
    name="spinal trigeminal nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_spinal_trigeminal_tract = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_spinalTrigeminalTract",
    alternate_names=["sp5t"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "76",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FA8072"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheBrainstem"}
    ],
    lookup_label="WHSSDatlas_v4_spinalTrigeminalTract",
    name="spinal trigeminal tract",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_spiral_ganglion = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_spiralGanglion",
    alternate_names=["SpG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "162",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#B9FFE9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v4_spiralGanglion",
    name="spiral ganglion",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_stria_medullaris_thalami = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_striaMedullarisThalami",
    alternate_names=["sm", "stria medullaris of the thalamus"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "61",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v4_striaMedullarisThalami",
    name="stria medullaris thalami",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_stria_terminalis = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_striaTerminalis",
    alternate_names=["st"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "62",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#EE7533"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v4_striaTerminalis",
    name="stria terminalis",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_subgeniculate_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_subgeniculateNucleus",
    alternate_names=["SubG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "281",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#9370DB"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_prethalamus"}],
    lookup_label="WHSSDatlas_v4_subgeniculateNucleus",
    name="subgeniculate nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_subiculum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_subiculum",
    alternate_names=["SUB"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "100",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFC000"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalFormation"}],
    lookup_label="WHSSDatlas_v4_subiculum",
    name="subiculum",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_submedius_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_submediusThalamicNucleus",
    alternate_names=["SMT"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "222",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#8200D9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_submediusThalamicNucleus",
    name="submedius thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_subparafascicular_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_subparafascicularNucleus",
    alternate_names=["SPF"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "278",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#E9967A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_dorsalcaudalMidlineGroupOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_subparafascicularNucleus",
    name="subparafascicular nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_substantia_nigra_compact_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_substantiaNigraCompactPart",
    alternate_names=["SN-c"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "188",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFFF7F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_substantiaNigra"}],
    lookup_label="WHSSDatlas_v4_substantiaNigraCompactPart",
    name="substantia nigra, compact part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_substantia_nigra_lateral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_substantiaNigraLateralPart",
    alternate_names=["SN-l"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "189",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009F9F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_substantiaNigra"}],
    lookup_label="WHSSDatlas_v4_substantiaNigraLateralPart",
    name="substantia nigra, lateral part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_substantia_nigra_reticular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_substantiaNigraReticularPart",
    alternate_names=["SN-r"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "187",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#63C512"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_substantiaNigra"}],
    lookup_label="WHSSDatlas_v4_substantiaNigraReticularPart",
    name="substantia nigra, reticular part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_subthalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_subthalamicNucleus",
    alternate_names=["STh"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "3",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#0000FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_basalForebrainRegion"}],
    lookup_label="WHSSDatlas_v4_subthalamicNucleus",
    name="subthalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_superficial_gray_layer_of_the_superior_colliculus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_superficialGrayLayerOfTheSuperiorColliculus",
    alternate_names=["SuG"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "50",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#5600DD"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorColliculus"}],
    lookup_label="WHSSDatlas_v4_superficialGrayLayerOfTheSuperiorColliculus",
    name="superficial gray layer of the superior colliculus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_superior_cerebellar_peduncle_and_prerubral_field = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_superiorCerebellarPeduncleAndPrerubralField",
    alternate_names=["scp-pr"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "270",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D2B68C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_thalamicTracts"}],
    lookup_label="WHSSDatlas_v4_superiorCerebellarPeduncleAndPrerubralField",
    name="superior cerebellar peduncle and prerubral field",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_superior_paraolivary_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_superiorParaolivaryNucleus",
    alternate_names=["SPN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "132",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00EEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v4_superiorParaolivaryNucleus",
    name="superior paraolivary nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_superior_periolivary_region = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_superiorPeriolivaryRegion",
    alternate_names=["SPR"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "135",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#019915"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v4_superiorPeriolivaryRegion",
    name="superior periolivary region",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_supraoptic_decussation = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_supraopticDecussation",
    alternate_names=["sox"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "83",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FAAA40"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_opticFiberSystemAndSupraopticDecussation"
        }
    ],
    lookup_label="WHSSDatlas_v4_supraopticDecussation",
    name="supraoptic decussation",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_temporal_association_cortex = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_temporalAssociationCortex",
    alternate_names=["TeA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "444",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#008000"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_temporalRegion"}],
    lookup_label="WHSSDatlas_v4_temporalAssociationCortex",
    name="temporal association cortex",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_transverse_fibers_of_the_pons = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_transverseFibersOfThePons",
    alternate_names=["tfp"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "79",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#80AAFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cerebellarAndPrecerebellarWhiteMatter"
        }
    ],
    lookup_label="WHSSDatlas_v4_transverseFibersOfThePons",
    name="transverse fibers of the pons",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_trapezoid_body = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_trapezoidBody",
    alternate_names=["tz"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "130",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D5FF00"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_whiteMatterOfTheBrainstem"}
    ],
    lookup_label="WHSSDatlas_v4_trapezoidBody",
    name="trapezoid body",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_anterior_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralAnteriorThalamicNucleus",
    alternate_names=["VA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "293",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF8800"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_ventralAnteriorThalamicNucleus",
    name="ventral anterior thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_cochlear_nucleus_anterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusAnteriorPart",
    alternate_names=["AVCN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "158",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#2298FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v4_ventralCochlearNucleusAnteriorPart",
    name="ventral cochlear nucleus, anterior part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_cochlear_nucleus_cap_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusCapArea",
    alternate_names=["Cap"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "160",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF6A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v4_ventralCochlearNucleusCapArea",
    name="ventral cochlear nucleus, cap area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_cochlear_nucleus_granule_cell_layer = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusGranuleCellLayer",
    alternate_names=["GCL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "123",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#000CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v4_ventralCochlearNucleusGranuleCellLayer",
    name="ventral cochlear nucleus, granule cell layer",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_cochlear_nucleus_posterior_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralCochlearNucleusPosteriorPart",
    alternate_names=["PVCN"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "159",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00E6CF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_cochlearNucleusVentralPart"}
    ],
    lookup_label="WHSSDatlas_v4_ventralCochlearNucleusPosteriorPart",
    name="ventral cochlear nucleus, posterior part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_hippocampal_commissure = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralHippocampalCommissure",
    alternate_names=["vhc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "38",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AE00E8"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_hippocampalWhiteMatter"}
    ],
    lookup_label="WHSSDatlas_v4_ventralHippocampalCommissure",
    name="ventral hippocampal commissure",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_orbital_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralOrbitalArea",
    alternate_names=["VO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "402",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#C8BFE7"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_orbitofrontalCortex"}],
    lookup_label="WHSSDatlas_v4_ventralOrbitalArea",
    name="ventral orbital area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_pallidum = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPallidum",
    alternate_names=["VP"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "193",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00A2FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_pallidum"}],
    lookup_label="WHSSDatlas_v4_ventralPallidum",
    name="ventral pallidum",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_periolivary_nuclei = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPeriolivaryNuclei",
    alternate_names=["VPO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "136",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00AEFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_superiorOlivaryComplex"}
    ],
    lookup_label="WHSSDatlas_v4_ventralPeriolivaryNuclei",
    name="ventral periolivary nuclei",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_posterior_nucleus_of_the_thalamus_parvicellular_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPosteriorNucleusOfTheThalamusParvicellularPart",
    alternate_names=["VP-pc"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "266",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00FF08"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralPosteriorThalamicNucleus"}
    ],
    lookup_label="WHSSDatlas_v4_ventralPosteriorNucleusOfTheThalamusParvicellularPart",
    name="ventral posterior nucleus of the thalamus, parvicellular part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_posterolateral_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPosterolateralThalamicNucleus",
    alternate_names=["VPL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "294",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AB563E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralPosteriorThalamicNucleus"}
    ],
    lookup_label="WHSSDatlas_v4_ventralPosterolateralThalamicNucleus",
    name="ventral posterolateral thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_posteromedial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralPosteromedialThalamicNucleus",
    alternate_names=["VPM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "227",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF00FE"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralPosteriorThalamicNucleus"}
    ],
    lookup_label="WHSSDatlas_v4_ventralPosteromedialThalamicNucleus",
    name="ventral posteromedial thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_striatal_region_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralStriatalRegionUnspecified",
    alternate_names=["VSR-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "199",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#DC143C"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_striatum"}],
    lookup_label="WHSSDatlas_v4_ventralStriatalRegionUnspecified",
    name="ventral striatal region, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventral_tegmental_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventralTegmentalArea",
    alternate_names=["VTA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "196",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#7FFFD4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_tegmentum"}],
    lookup_label="WHSSDatlas_v4_ventralTegmentalArea",
    name="ventral tegmental area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventricular_system_unspecified = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventricularSystemUnspecified",
    alternate_names=["V-u"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "33",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#022CFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventricularSystem"}],
    lookup_label="WHSSDatlas_v4_ventricularSystemUnspecified",
    name="ventricular system, unspecified",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventrolateral_orbital_area = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventrolateralOrbitalArea",
    alternate_names=["VLO"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "400",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FF0001"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_orbitofrontalCortex"}],
    lookup_label="WHSSDatlas_v4_ventrolateralOrbitalArea",
    name="ventrolateral orbital area",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventrolateral_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventrolateralThalamicNucleus",
    alternate_names=["VL"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "231",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#AAAAFF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_ventrolateralThalamicNucleus",
    name="ventrolateral thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_ventromedial_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_ventromedialThalamicNucleus",
    alternate_names=["VM"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "221",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#00B97E"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralNucleiOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_ventromedialThalamicNucleus",
    name="ventromedial thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_vestibular_apparatus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_vestibularApparatus",
    alternate_names=["VeA"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "119",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#009037"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v4_vestibularApparatus",
    name="vestibular apparatus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_vestibular_nerve = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_vestibularNerve",
    alternate_names=["8vn"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "122",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FD3200"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_innerEar"}],
    lookup_label="WHSSDatlas_v4_vestibularNerve",
    name="vestibular nerve",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_xiphoid_thalamic_nucleus = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_xiphoidThalamicNucleus",
    alternate_names=["Xi"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "218",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#23FFEC"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[
        {
            "@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_ventralMidlineGroupOfTheDorsalThalamus"
        }
    ],
    lookup_label="WHSSDatlas_v4_xiphoidThalamicNucleus",
    name="xiphoid thalamic nucleus",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_zona_incerta_a11_dopamine_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaA11DopamineCells",
    alternate_names=["ZI-A11"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "284",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFB6C1"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncerta"}],
    lookup_label="WHSSDatlas_v4_zonaIncertaA11DopamineCells",
    name="zona incerta, A11 dopamine cells",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_zona_incerta_a13_dopamine_cells = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaA13DopamineCells",
    alternate_names=["ZI-A13"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "238",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#C2474F"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncerta"}],
    lookup_label="WHSSDatlas_v4_zonaIncertaA13DopamineCells",
    name="zona incerta, A13 dopamine cells",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_zona_incerta_caudal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaCaudalPart",
    alternate_names=["ZI-c"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "287",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#FFE4C4"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncerta"}],
    lookup_label="WHSSDatlas_v4_zonaIncertaCaudalPart",
    name="zona incerta, caudal part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_zona_incerta_dorsal_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaDorsalPart",
    alternate_names=["ZI-d"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "235",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#D8BFD9"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncerta"}],
    lookup_label="WHSSDatlas_v4_zonaIncertaDorsalPart",
    name="zona incerta, dorsal part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_zona_incerta_rostral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaRostralPart",
    alternate_names=["ZI-r"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "257",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#1E90FF"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncerta"}],
    lookup_label="WHSSDatlas_v4_zonaIncertaRostralPart",
    name="zona incerta, rostral part",
    version_identifier="v4",
)
ParcellationEntityVersion.whss_datlas_v4_zona_incerta_ventral_part = ParcellationEntityVersion(
    id="https://openminds.ebrains.eu/instances/parcellationEntityVersion/WHSSDatlas_v4_zonaIncertaVentralPart",
    alternate_names=["ZI-v"],
    has_annotations=[
        {
            "@type": "https://openminds.ebrains.eu/sands/AtlasAnnotation",
            "anchorPoint": None,
            "criteria": None,
            "criteriaQualityType": {"@id": "https://openminds.ebrains.eu/instances/criteriaQualityType/processive"},
            "criteriaType": {
                "@id": "https://openminds.ebrains.eu/instances/annotationCriteriaType/deterministicAnnotation"
            },
            "inspiredBy": None,
            "internalIdentifier": "236",
            "laterality": [
                {"@id": "https://openminds.ebrains.eu/instances/laterality/left"},
                {"@id": "https://openminds.ebrains.eu/instances/laterality/right"},
            ],
            "preferredVisualization": {
                "@type": "https://openminds.ebrains.eu/sands/ViewerSpecification",
                "additionalRemarks": None,
                "anchorPoint": None,
                "cameraPosition": None,
                "preferredDisplayColor": {"@id": "https://openminds.ebrains.eu/instances/singleColor/#4BC88A"},
            },
            "specification": None,
            "type": None,
        }
    ],
    has_parents=[{"@id": "https://openminds.ebrains.eu/instances/parcellationEntity/WHSSDatlas_zonaIncerta"}],
    lookup_label="WHSSDatlas_v4_zonaIncertaVentralPart",
    name="zona incerta, ventral part",
    version_identifier="v4",
)
